<?xml version="1.0" encoding="utf-8"?>

<xsl:stylesheet version="1.0"
    xmlns:xsl="http://www.w3.org/1999/XSL/Transform">

	 <xsl:template match="*|@*">
		<xsl:copy>
			<xsl:apply-templates select="@*|*|comment()|processing-instruction()|text()"/>
		</xsl:copy>
	  </xsl:template>
  <xsl:template match="br">
    <br />
  </xsl:template>
	<xsl:template match="PN"></xsl:template>
	<xsl:template match="Total"></xsl:template>
	<xsl:template match="/Result/CommentList">
		<table class="commenttable"  cellSpacing="0" cellPadding="0" border="0">
			<tr style="width:100%">
				<td width="100%">
					<table cellspacing="2px" cellpadding="0" class="commenttitle" border="0" width="100%">
            <tr width="100%">
              <td>Subject</td>
							<td nowrap="nowrap" align="right" width="140px">Author</td>
              <td nowrap="nowrap" align="center" width="140px">Post Time</td>
              <td nowrap="nowrap" align="center" width="140px">Update Time</td>
						</tr>
					</table>
				</td>
			</tr>
			<xsl:apply-templates select="Comment" />
			<xsl:if test="((floor(/Result/Permission div 32) mod 2) = 1) or ((floor(/Result/Permission div 64) mod 2) = 1) or ((floor(/Result/Permission div 128) mod 2) = 1) or ((floor(/Result/Permission div 256) mod 2) = 1) ">
				<tr class="tdbg-light">
					<td>
						&#160;[<span class="commentoperation1" onmouseover="this.className='commentoperation2'" onmouseout="this.className='commentoperation1'">
							<xsl:attribute name="onclick">prepareCommentAdd('<xsl:value-of select="normalize-space(/Result/Foo)" />', '1', '1')</xsl:attribute>New Subject</span>]
					</td>
				</tr>
			</xsl:if>
		</table>
	</xsl:template>

	<xsl:template match="Comment">
		<xsl:if test="(Type mod 2 = 1) or (normalize-space(/Result/UserID)=normalize-space(UserID))">
			<tr style="width:100%">
				<td style="width:100%">
					<table cellSpacing="0" cellPadding="0" border="0" width="100%" style="table-layout:fixed">
            <tr style="width:100%">
							<td align="left">
                <img src="img/ind.gif" height="1px">
                  <xsl:attribute name="width"><xsl:value-of select="Level * 20" />px</xsl:attribute>
                </img>
								<img>
                  <xsl:choose>
                    <xsl:when test="(floor(Type div 8) mod 2 = 1)">
                      <xsl:attribute name="src">img/system-note.gif</xsl:attribute>
                      <xsl:attribute name="title">System Note</xsl:attribute>
                      <xsl:attribute name="alt">System Note</xsl:attribute>
                    </xsl:when>
                    <xsl:when test="(floor(Type div 4) mod 2 = 1)">
                      <xsl:attribute name="src">img/expert-note.gif</xsl:attribute>
                      <xsl:attribute name="title">Expert Note</xsl:attribute>
                      <xsl:attribute name="alt">Expert Note</xsl:attribute>
                    </xsl:when>
                    <xsl:when test="(floor(Type div 2) mod 2 = 1)">
                      <xsl:attribute name="src">img/public-replyable.gif</xsl:attribute>
                      <xsl:attribute name="title">Public Replyable</xsl:attribute>
                      <xsl:attribute name="alt">Public Replyable</xsl:attribute>
                    </xsl:when>
                    <xsl:when test="(Type mod 2 = 1) or (Type = 0)">
                      <xsl:attribute name="src">img/public-readable.gif</xsl:attribute>
                      <xsl:attribute name="title">Public Readable</xsl:attribute>
                      <xsl:attribute name="alt">Public Readable</xsl:attribute>
                    </xsl:when>
                  </xsl:choose>
								</img>
								<span class="commentoperation1" onmouseover="this.className='commentoperation2'" onmouseout="this.className='commentoperation1'">
									<xsl:attribute name="id">comment-title-<xsl:value-of select="normalize-space(Id)" /></xsl:attribute>
									<xsl:attribute name="onclick">showCommentContent(<xsl:value-of select="normalize-space(Id)" />)</xsl:attribute>
									<xsl:value-of select="normalize-space(Title)" />
								</span>
								<input type="hidden">
									<xsl:attribute name="id">comment-type-<xsl:value-of select="normalize-space(Id)" /></xsl:attribute>
									<xsl:attribute name="value"><xsl:value-of select="normalize-space(Type)" /></xsl:attribute>
								</input>
							</td>
              <td nowrap="nowrap" align="right" width="140px">
								<xsl:if test="((floor(/Result/Permission div 128) mod 2) = 0) and ((floor(/Result/Permission div 256) mod 2) = 0) ">
									<img src="img/women.gif" alt="general user" title="general user"></img>
								</xsl:if>
								<xsl:if test="((floor(/Result/Permission div 128) mod 2) = 1) or ((floor(/Result/Permission div 256) mod 2) = 1) ">
									<img src="img/admin.gif" alt="expert or admininistrator" title="expert or admininistrator"></img>
								</xsl:if>
								<xsl:value-of select="normalize-space(UserID)" />
							</td>
              <td nowrap="nowrap" align="center" width="140px"><xsl:value-of select="substring-before(normalize-space(PostTime), '.')" /></td>
							<td nowrap="nowrap" align="center" width="140px"><xsl:value-of select="substring-before(normalize-space(UpdateTime), '.')" /></td>
						</tr>
						<tr style="display:none;width:100%">
							<xsl:attribute name="id">comment-tr-<xsl:value-of select="normalize-space(Id)" /></xsl:attribute>
							<td align="center" colspan="4">
               <xsl:attribute name="style">padding-left:<xsl:value-of select="Level * 20" />px</xsl:attribute>
								<div class="commentdiv">
                  <div>
										<xsl:attribute name="id">comment-content-<xsl:value-of select="normalize-space(Id)" /></xsl:attribute>
										<xsl:apply-templates select="Content" />
									</div>
                  <div style="margin-bottom:4px;margin-top:4px">
									  <xsl:if test="(floor(Type div 2) mod 2 = 1) and (((floor(/Result/Permission div 32) mod 2) = 1) or ((floor(/Result/Permission div 64) mod 2) = 1) or ((floor(/Result/Permission div 128) mod 2) = 1) or ((floor(/Result/Permission div 256) mod 2) = 1)) or normalize-space(/Result/UserID)=normalize-space(UserID)">
                    [<span class="commentoperation1" onmouseover="this.className='commentoperation2'" onmouseout="this.className='commentoperation1'">
										  <xsl:attribute name="onclick">prepareCommentAdd('<xsl:value-of select="normalize-space(Section)" />', '<xsl:value-of select="normalize-space(Id)" />', '1')</xsl:attribute>Reply</span>]							
									  </xsl:if>
                    <xsl:if test="normalize-space(/Result/UserID)=normalize-space(UserID)">
                      <span>|</span>
										  [<span class="commentoperation1" onmouseover="this.className='commentoperation2'" onmouseout="this.className='commentoperation1'">
											  <xsl:attribute name="onclick">prepareCommentAdd('<xsl:value-of select="normalize-space(Section)" />', '<xsl:value-of select="normalize-space(Id)" />', '2')</xsl:attribute>Edit</span>]						
										  <span>|</span>
										  [<span class="commentoperation1" onmouseover="this.className='commentoperation2'" onmouseout="this.className='commentoperation1'">
											  <xsl:attribute name="onclick">doCommentDelete('<xsl:value-of select="normalize-space(Section)" />', '<xsl:value-of select="normalize-space(Id)" />')</xsl:attribute>Delete</span>]
									  </xsl:if>
                  </div>
								</div>							
							</td>						
						</tr>
					</table>
				</td>
			</tr>
      <xsl:if test="count(CommentList/Comment) &gt; 0">
				<tr style="width:100%">
          <td style="width:100%">
						<table cellSpacing="0" cellPadding="0" border="0" width="100%">
							<xsl:apply-templates select="CommentList/Comment"></xsl:apply-templates>
						</table>
					</td>
				</tr>
			</xsl:if>

		</xsl:if>
	</xsl:template>

  <xsl:template match="Content">
    <xsl:apply-templates />
  </xsl:template>
	<xsl:template match="UserID" />
	<xsl:template match="Permission" />
  <xsl:template match="Foo" />
	<xsl:template match="Error" >
		<xsl:value-of select="normalize-space(.)" />
	</xsl:template>

</xsl:stylesheet> 

