<?xml version="1.0" encoding="utf-8"?>

<xsl:stylesheet version="1.0"
    xmlns:xsl="http://www.w3.org/1999/XSL/Transform">

  <xsl:template match="FooTemp"></xsl:template>
  <xsl:template match="FooCaseType"></xsl:template>
  
	<xsl:template match="/">
		<xsl:apply-templates select="Result"></xsl:apply-templates>
	</xsl:template>

	<xsl:template match="Result">
		<table cellspacing="0" cellpadding="0" id="quickbookmarklist-table" style="width:100%">
      <xsl:variable name="pncount" select="count(BookmarkList/Bookmark)" />
			<xsl:for-each select="BookmarkList/Bookmark">
        <xsl:if test="normalize-space(/Result/FooTemp) != 1 or ((position() &gt; ($pncount - 5)) and (position() &lt; ($pncount + 1)))">
				  <tr width="100%">
          <td valign="top" style="display:none">
            <xsl:if test="count(TermListList/TermList) &gt; 0">
					    <img src="img/plus.gif" class="imglink" style="vertical-align:middle">
                <xsl:attribute name="id">search-bookmark-img-<xsl:value-of select="position()" /></xsl:attribute>
						    <xsl:attribute name="onclick">showBookmarkPatents('<xsl:value-of select="position()" />', <xsl:value-of select="normalize-space(Id)" />)</xsl:attribute>
					    </img>
            </xsl:if>
            <xsl:if test="count(TermListList/TermList) = 0">
              <img src="img/empty.gif" class="imglink" style="vertical-align:middle">
                <xsl:attribute name="id">search-bookmark-img-<xsl:value-of select="position()" /></xsl:attribute>
						    <xsl:attribute name="onclick">showBookmarkPatents('<xsl:value-of select="position()" />', <xsl:value-of select="normalize-space(Id)" />)</xsl:attribute>
					    </img>
            </xsl:if>
				  </td>
          <td valign="top" align="left" >
						<span style="color:blue"  onmouseover="onQuickProjectTableMouseOver(this)" onmouseout="onQuickProjectTableMouseOut(this)">
							<xsl:attribute name="class">quickproject-name</xsl:attribute>
							<xsl:attribute name="onclick">doBookmarkClick(this, '<xsl:value-of select="normalize-space(Database)" />', '<xsl:value-of select="normalize-space(Option)" />', 1, 'm')</xsl:attribute>
							<xsl:attribute name="title"><xsl:value-of select="normalize-space(CreateDate)" /></xsl:attribute>
              S/<xsl:value-of select="normalize-space(Number)" />
						</span>&#160;
          </td>
           
            <td valign="top" align="left" width="100%">
            <span onmouseover="onQuickProjectTableMouseOver(this)" onmouseout="onQuickProjectTableMouseOut(this)">
              <xsl:attribute name="class">quickproject-name</xsl:attribute>
              <xsl:attribute name="title"><xsl:value-of select="normalize-space(QueryText)" /></xsl:attribute>
              <xsl:attribute name="onclick">doBookmarkClick(this, '<xsl:value-of select="normalize-space(Database)" />', '<xsl:value-of select="normalize-space(Option)" />', 2, 'm')</xsl:attribute>
              <xsl:if test="string-length(normalize-space(QueryText)) &lt; 30">
                <xsl:value-of select="normalize-space(QueryText)" />
              </xsl:if>
              <xsl:if test="string-length(normalize-space(QueryText)) = 30 or string-length(normalize-space(QueryText)) &gt; 30">
                <xsl:value-of select="concat(substring(normalize-space(QueryText), 0, 30),'...')" />
              </xsl:if>
            </span>&#160;(<xsl:value-of select="normalize-space(Count)" />)
          </td>
          <td valign="top" align="right" nowrap="nowrap">
            <!--<xsl:if test="/Result/FooCaseType = 1">
            <img onmouseover="this.src='img/delete-active.gif'" onmouseout="this.src='img/delete.gif'" src="img/delete.gif" title="删除此项" alt="删除此项" class="imglink" style="vertical-align:middle">
					    <xsl:attribute name="onclick">doDeleteBookmark('<xsl:value-of select="normalize-space(Number)" />', this)</xsl:attribute>
				    </img>&#32;
            </xsl:if>-->
			  <!--<img onmouseover="this.src='img/delete-active.gif'" onmouseout="this.src='img/delete.gif'" src="img/delete.gif" title="删除此项" alt="删除此项" class="imglink" style="vertical-align:middle">
				  <xsl:attribute name="onclick">
					  doDeleteBookmark('<xsl:value-of select="normalize-space(Number)" />', this)
				  </xsl:attribute>
			  </img>&#32;-->
            <!--<input type="checkbox" class="keywordcheckbox" style="vertical-align:middle;">
              <xsl:attribute name="caseValue">S/<xsl:value-of select="normalize-space(Number)" /></xsl:attribute>
            </input>&#160;&#160;&#160;-->
			  <span class="case">
				  <xsl:attribute name="caseValue">S/<xsl:value-of select="normalize-space(Number)" /></xsl:attribute>
				  <img class="imglink"  onmouseover="imgCheckboxOver(this)" onmouseout="imgCheckboxOut(this)" src="img/check.gif">
					  <xsl:attribute name="onclick">
						  checkCheckboxImg(this);
					  </xsl:attribute>
				  </img>
			  </span>&#160;&#160;&#160;
          </td>
				</tr>
        </xsl:if>
			</xsl:for-each>
		</table>
	</xsl:template>

</xsl:stylesheet>


