<?xml version='1.0' encoding='utf-8'?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
	<xsl:output method="html" encoding="utf-8"/>

	<xsl:template match="*|@*">
		<xsl:copy>
			<xsl:apply-templates select="@*|*|comment()|processing-instruction()|text()"/>
		</xsl:copy>
	</xsl:template>

	<xsl:template match="Foo"></xsl:template>
	<xsl:template match="Footype"></xsl:template>
	<xsl:template match="Total"></xsl:template>
	<xsl:template match="PageSize"></xsl:template>
	<xsl:template match="PageIndex"></xsl:template>
	<xsl:template match="Suffix"></xsl:template>
	<xsl:template match="Classsuffix"></xsl:template>
	<xsl:template match="PageCount"></xsl:template>
	<xsl:template match="DisplayFieldList"></xsl:template>
	<xsl:template match="PN"></xsl:template>
	<xsl:template match="ID"></xsl:template>
	<xsl:template match="Other"></xsl:template>
	<xsl:template match="Color"></xsl:template>
	<xsl:template match="ColorList"></xsl:template>
	<xsl:template match="CheckPdf"></xsl:template>
	<xsl:template match="ap"></xsl:template>
	<xsl:template match="pt"></xsl:template>

	<xsl:template match="Related">
		<td nowrap="true" width="25%" align="left">
			<span style="color:Green" title="用此相关概念做概念搜索">
				<xsl:attribute name="class">
					querylist-related-w<xsl:value-of select="normalize-space(/Result/Classsuffix)" />
				</xsl:attribute>
				<xsl:attribute name="onmouseover">
					onQuerylistRelatedMouseOver<xsl:value-of select="normalize-space(/Result/Suffix)" />(this, 'w')
				</xsl:attribute>
				<xsl:attribute name="onmouseout">
					onQuerylistRelatedMouseOut<xsl:value-of select="normalize-space(/Result/Suffix)" />(this, 'w')
				</xsl:attribute>
				<xsl:attribute name="onclick">
					onQuerylistRelatedClick<xsl:value-of select="normalize-space(/Result/Suffix)" />(this, 'w',null,null,'<xsl:value-of select="/Result/FooTechnicalWord"/>','<xsl:value-of select="/Result/FooIdx"/>')
				</xsl:attribute>
				<xsl:attribute name="oncontextmenu">
					onQuerylistRelatedContextMenu<xsl:value-of select="normalize-space(/Result/Suffix)" />(this, 'w')
				</xsl:attribute>
				<xsl:value-of select="substring-before(.,'.')"/>.<xsl:value-of select="substring-before(substring-after(.,'.'),'.')"/>
			</span>.<span><xsl:value-of select="substring-after(substring-after(.,'.'),'.')"/></span>
		</td>
	</xsl:template>
	<xsl:template match="/Result/RelatedList/RelatedList">
		<tr>
			<xsl:if test="count(Related) = 4">
				<xsl:apply-templates select="Related"></xsl:apply-templates>
			</xsl:if>
			<xsl:if test="count(Related) = 1">
				<td colspan="4" style="padding-top:4px;padding-bottom:4px;">
					<img src="img/hr-1.gif"/>
				</td>
			</xsl:if>
		</tr>
	</xsl:template>
	<xsl:template match="/Result/RelatedList">
		<table cellspacing="2" width="100%">
			<xsl:attribute name="style">line-height:20px;width:500px;</xsl:attribute>
			<xsl:apply-templates select="RelatedList"></xsl:apply-templates>
		</table>
	</xsl:template>

	<xsl:template match="Result">
		<table cellspacing="0" cellpadding="0">
			<tr>
				<td>
					<xsl:apply-templates select="RelatedList" />
				</td>
				<td align="right" valign="top">
					<img onmouseover="this.src='/img/close-active.gif'" onmouseout="this.src='/img/close.gif'" src="/img/close.gif" alt="close" title="close" onclick="hideHighlightPopupDiv();" class="imglink"></img>
				</td>
			</tr>
		</table>

	</xsl:template>
</xsl:stylesheet>