<?xml version="1.0" encoding="utf-8"?>

<xsl:stylesheet version="1.0"
    xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
	<xsl:template name="lastIndexOf">
		<!-- declare that it takes two parameters - the string and the char -->
		<xsl:param name="string" />
		
		<xsl:choose>
			<!-- if the string contains the character... -->
			<xsl:when test="contains($string, '_')">
				<!-- call the template recursively... -->
				<xsl:call-template name="lastIndexOf">
					<!-- with the string being the string after the character
                  -->
					<xsl:with-param name="string"
									select="substring-after($string, '_')" />
					<!-- and the character being the same as before -->
					
				</xsl:call-template>
			</xsl:when>
			<!-- otherwise, return the value of the string -->
			<xsl:otherwise>
				<xsl:value-of select="$string" />
			</xsl:otherwise>
		</xsl:choose>
	</xsl:template>
	
	<xsl:template name="indexOf">
		<!-- declare that it takes two parameters - the string and the char -->
		<xsl:param name="string" />

		<xsl:choose>
			<!-- if the string contains the character... -->
			<xsl:when test="contains($string, '_')">
				<xsl:choose>
					<xsl:when test="substring-before($string, '_')='中国' or substring-before($string,'_')='国外'"><xsl:call-template name="indexOf"><xsl:with-param name="string" select="substring-after($string, '_')" /></xsl:call-template>
					</xsl:when>
					<xsl:otherwise><xsl:value-of select="substring-before($string,'_')"/>|<xsl:call-template name="indexOf"><xsl:with-param name="string" select="substring-after($string, '_')" /></xsl:call-template>
					</xsl:otherwise>

				</xsl:choose>

			</xsl:when>
			<xsl:otherwise><xsl:value-of select="$string" /></xsl:otherwise>
		</xsl:choose>
	</xsl:template>

	<xsl:template match="/Result">
	<table width="100%">
		
		<xsl:if test="Fooroot = 1">
			<tr>
				
				<td width="10px"></td>
				<td align="center">
				<xsl:if test="Foolib = 1">
					<!--<span class="placeclassstat font_12">发明</span>
					<span style="margin-left:2px;"> </span>
					<span class="placeclassstatmid font_12">实用新型</span>
					<span style="margin-left:2px;"> </span>
					<span class="placeclassstatright font_12">全部</span>
					<span>已公开</span>
					<span class="placeclassstat font_12">发明</span>
					<span style="margin-left:2px;"> </span>
					<span class="placeclassstatmid font_12">实用新型</span>
					<span style="margin-left:2px;"> </span>
					<span class="placeclassstatright font_12">全部</span>
					<span>[授权]</span>
					<span class="placeclassstat font_12">发明</span>
					<span style="margin-left:2px;"> </span>
					<span class="placeclassstatmid font_12">实用新型</span>
					<span style="margin-left:2px;"> </span>
					<span class="placeclassstatright font_12">全部</span>
					<span>[有效]</span>
					<span class="placeclassstat font_12">发明</span>
					<span style="margin-left:2px;"> </span>
					<span class="placeclassstatmid font_12">实用新型</span>
					<span style="margin-left:2px;"> </span>
					<span class="placeclassstatright font_12">全部</span>
					<span>[无效]</span>-->
					&#160;&#160;&#160;&#160;&#160;&#160;<span class="font_12">已公开申请</span>
					<span class="margin_left_6 font_12">授权专利</span>
					<span class="margin_left_6 font_12">有效专利</span>
					<span class="margin_left_6 font_12">无效专利</span>
					&#160;&#160;
					<span class="placeclassstat">[发明</span>
					<span style="margin-left:2px;"> </span>
					<span class="placeclassstatmid">实用新型</span>
					<span style="margin-left:2px;"> </span>
					<span class="placeclassstatright">全部]</span>
					</xsl:if>
					<xsl:if test="Foolib = 0">
						<span class="placeclassstat">[美国申请</span>
						<span style="margin-left:2px;"> </span>
						<span class="placeclassstatmid">美国专利</span>
						<span style="margin-left:2px;"> </span>
						<span class="placeclassstatright">全部]</span>
						
					</xsl:if>
					
					<span id="clearallfigure" style="cursor:pointer;margin-left:2px;color:gray;text-decoration:underline" onclick="clearCheckedCompare()">清空选中</span>
					<span id="unexpandall" style="cursor:pointer;margin-left:2px;color:gray;text-decoration:underline" onclick="changeClassInfoType('5')">全部收缩</span>
				</td>
				
			<td align="right">
				<input type="radio" name="lib" value="1" onclick="changeStatisticsLib(this, 'cn');">
					<xsl:if test="Foolib = 1">
						<xsl:attribute name="checked">true</xsl:attribute>
					</xsl:if> 
				</input>中国专利
				<input type="radio" name="lib" value="0" onclick="changeStatisticsLib(this, 'en');">
					<xsl:if test="Foolib = 0">
						<xsl:attribute name="checked">true</xsl:attribute>
					</xsl:if> 
				</input>美国专利
			</td>
		
			</tr>
		</xsl:if>
		<xsl:if test="Fooit = 0">
		<xsl:if test="count(KeyPatentOrder)>0">
			
		</xsl:if>
		
			<xsl:if test="KeyPatentOrder/HasAssignee = 1">
			<tr ann="1">
				<td width="10px">
					<img class="patent-switchoff" src="img/plus.gif">
						<xsl:attribute name="onclick">
							showClassStat2(this,"<xsl:value-of select="Foosq"></xsl:value-of>",2, true)
						</xsl:attribute>
						
					</img>
				</td>
				<td >
					<span style="background-color:#ffcc33;color:black">Top公司</span>
				</td>

			</tr>
				
				<tr style="display:none">
					<td width="10px"></td>
					<td>
						<img style="cursor:pointer" src="img/close.gif" onmouseover="this.src='img/close-active.gif'" onmouseout="this.src='img/close.gif'" align="left" onclick="hideParentTr(this);"></img>
						<div>

							<img></img>

						</div>
					</td>
				</tr>
			<tr style="display:none" resultcache="0">
				<td></td>
				<td>
					<div></div>
				</td>
			</tr>
			</xsl:if>
			<xsl:if test="KeyPatentOrder/HasICL = 1">
			<tr icl="1">
				<td width="10px">
					<img class="patent-switchoff" src="img/plus.gif">
				 		<xsl:attribute name="onclick">
							showClassStat2(this,"<xsl:value-of select="Foosq"></xsl:value-of>",1, true)
						</xsl:attribute>
						<!--<xsl:attribute name="querytext">
							<xsl:value-of select="QueryText"/>
						</xsl:attribute>
						<xsl:attribute name="lang">
							<xsl:value-of select="Lang"/>
						</xsl:attribute>-->
					</img>
				</td>
				<td>
					<span style="background-color:#ccff33;color:black">Top技术领域</span>
				</td>

			</tr>
				<tr style="display:none">
					<td></td>
					<td>
						<img style="cursor:pointer" src="img/close.gif" onmouseover="this.src='img/close-active.gif'" onmouseout="this.src='img/close.gif'" align="left" onclick="hideParentTr(this);"></img>
						<div>

							<img></img>

						</div>
					</td>
				</tr>
			<tr style="display:none" resultcache="0">
				<td></td>
				<td colspan="2">
					<div></div>
				</td>
			</tr>
			</xsl:if>

		</xsl:if>

		<xsl:for-each select="ChildPatentOrderList/ChildPatentOrder">
			<tr item="1">
				<td width="10px">
					<xsl:choose>
						<xsl:when test="/Result/Fooshowparent = 1">
							<img style="padding-right:2px;cursor:pointer" src="img/case-and.gif" onmouseover="this.src='img/case-and-active.gif'" onmouseout="this.src='img/case-and.gif'">
								<xsl:attribute name="onclick">
									expandClassPath(null, '<xsl:value-of select="Key"/>');
								</xsl:attribute>
							</img>
						</xsl:when>
						<xsl:otherwise>
							
							<img class="patent-switchoff">
								<xsl:choose>
									<xsl:when test="Num = -1">
										<xsl:attribute name="src">img/Cc.gif</xsl:attribute>
									</xsl:when>
									<xsl:when test="Type = 'ICLASSIGNEE' or Type='ASSIGNEEICL'">
										<xsl:attribute name="src">img/square.gif</xsl:attribute>
									</xsl:when>
									<xsl:otherwise>

										<xsl:attribute name="src">img/plus.gif</xsl:attribute>
									</xsl:otherwise>
								</xsl:choose>
								<xsl:attribute name="onclick">
									showClassStat2(this,"<xsl:value-of select="normalize-space(Key)" />",0, true)
								</xsl:attribute>
							</img>
						
						</xsl:otherwise>
						
							
					
					</xsl:choose>
				</td>
				<td>
					<span>
						<xsl:choose>
						<xsl:when test="/Result/Fooroot = 1 and /Result/Foolib = 0">
							<xsl:attribute name="style">
								display:inline-block;width:30px;cursor:pointer;
							</xsl:attribute>
						</xsl:when>
						<xsl:otherwise>
							<xsl:attribute name="style">
								cursor:pointer;
							</xsl:attribute>
						</xsl:otherwise>
						</xsl:choose>
						<xsl:attribute name="QueryText">
							<xsl:value-of select="Key"/>
						</xsl:attribute>
						<xsl:attribute name="hashkey">
							<xsl:value-of select="HashKey"></xsl:value-of>
						</xsl:attribute>


						<xsl:choose>
							<xsl:when test="/Result/Fooshowparent = 1">
								<xsl:attribute name="onclick">

									doSearchByClassInfo('<xsl:value-of select="Key"/>',this,1,'<xsl:value-of select="/Result/Foolib"/>');
								</xsl:attribute>

								<xsl:call-template name="indexOf">
									<xsl:with-param name="string" select="Key" />
								</xsl:call-template>
							</xsl:when>
							<xsl:otherwise>
								<xsl:attribute name="onclick">
									doSearchByClassInfo('<xsl:value-of select="Key"/>',this,1,'<xsl:value-of select="/Result/Foolib"/>');
								</xsl:attribute>
								<xsl:call-template name="lastIndexOf">
									<xsl:with-param name="string" select="Key" />
								</xsl:call-template>
							</xsl:otherwise>

						</xsl:choose>

					</span>
				
					<xsl:if test="description_cn">
						<span style="padding-left:3px;padding-right:3px;font-size:10px">
							<xsl:attribute name="title">
								<xsl:value-of select="description_cn"></xsl:value-of>
							</xsl:attribute>
							<xsl:choose>
								<!--
							<xsl:when test="string-length(substring-before(description, '('))>20">
								[<xsl:value-of select="substring(description, 1, 20)"></xsl:value-of>...]
							</xsl:when>
								
							<xsl:when test="string-length(substring-before(description, '(')) = 0">
								
										[<xsl:value-of select="description"></xsl:value-of>]
							</xsl:when>
								<xsl:otherwise>
									[<xsl:value-of select="substring-before(description, '(')"></xsl:value-of>]
								</xsl:otherwise>-->
								<xsl:when test="string-length(description_cn)>12">
									[<xsl:value-of select="substring(description_cn, 1, 12)"></xsl:value-of>...]
								</xsl:when>
								<xsl:otherwise>
									[<xsl:value-of select="description_cn"></xsl:value-of>]
								</xsl:otherwise>

							</xsl:choose>
						</span>
					</xsl:if>
					<img style="padding-left:7px" onmouseover="imgCheckboxOver(this)" onmouseout="imgCheckboxOut(this)" 
									src="img/check.gif"  onclick="checkCheckboxImgAndRecord(this);"/>
					&#160;
					<!--<xsl:if test="Num &gt; 0">
						<span style="font-weight:bold;font-size:9px">
							<xsl:value-of select="Num"/>
						</span>
					</xsl:if>-->
					<xsl:for-each select="PatentStastics/SumList/Sum">

						<span>
							<xsl:attribute name="onclick">
								ShowStatFigure(this,<xsl:value-of select="position()"/>);
							</xsl:attribute>
							<xsl:attribute name="class">
								<xsl:if test="../../../Type = 'PLACEASSIGNEE'">
									annclassstat-<xsl:value-of select="position() mod 3"></xsl:value-of>
								</xsl:if>
								<xsl:if test="../../../Type = 'PLACEICL'">
									iclclassstat-<xsl:value-of select="position() mod 3"></xsl:value-of>
								</xsl:if>
								<xsl:if test="../../../Type = 'PLACE'">
									placeclassstat-<xsl:value-of select="position() mod 3"></xsl:value-of>
								</xsl:if>
								<xsl:if test="../../../Type = 'ICLASSIGNEE'">
									annclassstat-<xsl:value-of select="position() mod 3"></xsl:value-of>
								</xsl:if>
								<xsl:if test="../../../Type = 'ASSIGNEEICL'">
									iclclassstat-<xsl:value-of select="position() mod 3"></xsl:value-of>
								</xsl:if>
							</xsl:attribute>
							<xsl:attribute name="title">
								
								<xsl:if test="position() = 1">
									发明专利
								</xsl:if>
								<xsl:if test="position() = 2">
									实用新型
								</xsl:if>
								<xsl:if test="position() = 3">
									全部专利
								</xsl:if>
							</xsl:attribute>
							<xsl:value-of select="."></xsl:value-of>
						</span>
						<xsl:if test="position() &lt; count(../Sum) and (position() mod 3 &gt; 0)">
							<span style="margin-left:1px;margin-right:1px">|</span>
						</xsl:if>
					</xsl:for-each>


				</td>

			</tr>
			<tr style="display:none">
				<td></td>
				<td>
					
					<div>
						<xsl:attribute name="style">
							position:relative;
							<xsl:choose>

								<xsl:when test="/Result/Fooshowparent = 1">

								</xsl:when>
								<xsl:otherwise>
									left:<xsl:value-of select="DisplayDepth*(-20)"></xsl:value-of>px;
								</xsl:otherwise>
							</xsl:choose>
						</xsl:attribute>
						<table>
							<tr>
								<td>
									<img style="cursor:pointer" src="img/close.gif" onmouseover="this.src='img/close-active.gif'" onmouseout="this.src='img/close.gif'" align="left" onclick="hideParentTr(findParentNode(this,'tr',1));"></img>
								</td>
							</tr>
							<tr>
								<td>
									<img></img>
								</td>
							</tr>
						</table>

					</div>
				</td>
			</tr>
			<tr style="display:none">
				<td></td>
				<td align="left" valign="top">
					<div>

					</div>
				</td>
			</tr>

		</xsl:for-each>
		
	</table>
</xsl:template>

</xsl:stylesheet> 

