<?xml version="1.0" encoding="utf-8"?>

<xsl:stylesheet version="1.0"
    xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
  <xsl:template match="Fooipid"></xsl:template>
  <xsl:template match="Result">
    <table width="100%">
		  <tr>
			  <td align="left">
          <xsl:value-of select="count(/Result/TermList/Term)" />
          项结果:
        </td>
			  <td align="right">
          <img onmouseover="this.src='img/close-active.gif'" onmouseout="this.src='img/close.gif'" src="img/close.gif" alt="关闭" onclick="hideParentTr(findParentNode(this,'div',1));" title="关闭"  class="imglink"></img>
			  </td>
		  </tr>
	  </table>
	  <xsl:apply-templates select="TermList" />
	</xsl:template>
  
  <xsl:template match="TermList">
   	<table cellspacing="2" width="100%">
		  <xsl:attribute name="id">querylist-projectpatent-table-<xsl:value-of select="normalize-space(/Result/Foo)" /></xsl:attribute>
   		<xsl:attribute name="class">querylist-content<xsl:value-of select="normalize-space(/Result/Classsuffix)" /></xsl:attribute>
   		<tr> 
   			<xsl:attribute name="class">querylist-title<xsl:value-of select="normalize-space(/Result/Classsuffix)" /></xsl:attribute>
			  <td width="15px" align="center">
				  <input type="checkbox">
					  <xsl:attribute name="id">querylist-projectpatent-titlecheckbox-<xsl:value-of select="normalize-space(/Result/Foo)" /></xsl:attribute>
					  <xsl:attribute name="onclick">doCheckAll('<xsl:value-of select="normalize-space(/Result/Foo)" />');</xsl:attribute>
				  </input>
			  </td>
  	 		<td width="100%">
          <xsl:if test="normalize-space(/Result/Footype) = '2'">
            公司
          </xsl:if>
          <xsl:if test="normalize-space(/Result/Footype) = '3'">
            美国分类
          </xsl:if>
          <xsl:if test="normalize-space(/Result/Footype) = '4'">
            国际分类
          </xsl:if>
          <xsl:if test="normalize-space(/Result/Footype) = '7'">
            索引词          
          </xsl:if>
   			</td>
			  <td width="20px" align="center">
          <xsl:if test="normalize-space(/Result/Fooipid) = '-1'">
            <xsl:attribute name="style">display:none</xsl:attribute>
          </xsl:if>
        </td>
 			</tr> 
 			<xsl:for-each select="Term">
 			 <tr>
 			 	<xsl:if test="position() mod 2 = 0">
 			 	 <xsl:attribute name="class">querylist-dark<xsl:value-of select="normalize-space(/Result/Classsuffix)" /></xsl:attribute>
 			 	</xsl:if>
 			 	<xsl:if test="position() mod 2 != 0">
 			 	 <xsl:attribute name="class">querylist-light<xsl:value-of select="normalize-space(/Result/Classsuffix)" /></xsl:attribute>
 			 	</xsl:if>
				 <td>
					 <input type="checkbox" style="vertical-align:middle">
						 <xsl:attribute name="value"><xsl:value-of select="normalize-space(.)" /></xsl:attribute>
					 </input>
				 </td>
         <td>
           <xsl:if test="normalize-space(/Result/Footype) = '2'">
            <span target="_blank" title="在公司字段(ANN)中进行二次搜索">
			        <xsl:attribute name="class">querylist-a<xsl:value-of select="normalize-space(/Result/Classsuffix)" /></xsl:attribute>   		  	 							
			        <xsl:attribute name="onmouseover">onQueryTableMouseOver<xsl:value-of select="normalize-space(/Result/Suffix)" />(this, 'a', '<xsl:value-of select="normalize-space(../PN)" />')</xsl:attribute> 
			        <xsl:attribute name="onmouseout">onQueryTableMouseOut<xsl:value-of select="normalize-space(/Result/Suffix)" />(this, 'a', '<xsl:value-of select="normalize-space(../PN)" />')</xsl:attribute> 
			        <xsl:attribute name="onclick">onQueryTableClick<xsl:value-of select="normalize-space(/Result/Suffix)" />(this, 'a', '<xsl:value-of select="normalize-space(../PN)" />', '<xsl:value-of select="normalize-space(../ID)"/>', '<xsl:value-of select="normalize-space(/Result/ID)" />')</xsl:attribute>
			        <xsl:attribute name="oncontextmenu">onQueryTableContextMenu<xsl:value-of select="normalize-space(/Result/Suffix)" />(this, 'a', '<xsl:value-of select="normalize-space(../PN)" />', '<xsl:value-of select="normalize-space(../ID)" />')</xsl:attribute>
			        <xsl:value-of select="normalize-space(.)" />
		        </span>     
           </xsl:if>
           <xsl:if test="normalize-space(/Result/Footype) = '3'">
             <span target="_blank" title="在美国分类(CCL)中进行二次搜索">
			        <xsl:attribute name="class">querylist-a<xsl:value-of select="normalize-space(/Result/Classsuffix)" /></xsl:attribute>   		  	 							
			        <xsl:attribute name="onmouseover">onQueryTableMouseOver<xsl:value-of select="normalize-space(/Result/Suffix)" />(this, 'c', '<xsl:value-of select="normalize-space(../PN)" />')</xsl:attribute> 
			        <xsl:attribute name="onmouseout">onQueryTableMouseOut<xsl:value-of select="normalize-space(/Result/Suffix)" />(this, 'c', '<xsl:value-of select="normalize-space(../PN)" />')</xsl:attribute> 
			        <xsl:attribute name="onclick">onQueryTableClick<xsl:value-of select="normalize-space(/Result/Suffix)" />(this, 'c', '<xsl:value-of select="normalize-space(../PN)" />', '<xsl:value-of select="normalize-space(../ID)"/>', '<xsl:value-of select="normalize-space(/Result/ID)" />')</xsl:attribute>
			        <xsl:attribute name="oncontextmenu">onQueryTableContextMenu<xsl:value-of select="normalize-space(/Result/Suffix)" />(this, 'c', '<xsl:value-of select="normalize-space(../PN)" />', '<xsl:value-of select="normalize-space(../ID)" />')</xsl:attribute>
			        <xsl:value-of select="normalize-space(.)" />
		        </span>
           </xsl:if>
           <xsl:if test="normalize-space(/Result/Footype) = '4'">
             <span target="_blank" title="在国际分类(ICL)中进行二次搜索">
			        <xsl:attribute name="class">querylist-a<xsl:value-of select="normalize-space(/Result/Classsuffix)" /></xsl:attribute>   		  	 							
			        <xsl:attribute name="onmouseover">onQueryTableMouseOver<xsl:value-of select="normalize-space(/Result/Suffix)" />(this, 'l', '<xsl:value-of select="normalize-space(../PN)" />')</xsl:attribute> 
			        <xsl:attribute name="onmouseout">onQueryTableMouseOut<xsl:value-of select="normalize-space(/Result/Suffix)" />(this, 'l', '<xsl:value-of select="normalize-space(../PN)" />')</xsl:attribute> 
			        <xsl:attribute name="onclick">onQueryTableClick<xsl:value-of select="normalize-space(/Result/Suffix)" />(this.getElementsByTagName('span')[0], 'l', '<xsl:value-of select="normalize-space(../PN)" />', '<xsl:value-of select="normalize-space(../ID)"/>', '<xsl:value-of select="normalize-space(/Result/ID)" />')</xsl:attribute>
			        <xsl:attribute name="oncontextmenu">onQueryTableContextMenu<xsl:value-of select="normalize-space(/Result/Suffix)" />(this, 'l', '<xsl:value-of select="normalize-space(../PN)" />', '<xsl:value-of select="normalize-space(../ID)" />')</xsl:attribute>
			        <span><xsl:value-of select="normalize-space(substring-before(., '@_@'))" /></span>&#160;
				<xsl:value-of select="normalize-space(substring-after(., '@_@'))" />
		        </span>
           </xsl:if>
           <xsl:if test="normalize-space(/Result/Footype) = '7'">
             <span target="_blank" title="在索引词字段(IW)中进行二次搜索">
			        <xsl:attribute name="class">querylist-a<xsl:value-of select="normalize-space(/Result/Classsuffix)" /></xsl:attribute>   		  	 							
			        <xsl:attribute name="onmouseover">onQueryTableMouseOver<xsl:value-of select="normalize-space(/Result/Suffix)" />(this, 'w', '<xsl:value-of select="normalize-space(../PN)" />')</xsl:attribute> 
			        <xsl:attribute name="onmouseout">onQueryTableMouseOut<xsl:value-of select="normalize-space(/Result/Suffix)" />(this, 'w', '<xsl:value-of select="normalize-space(../PN)" />')</xsl:attribute> 
			        <xsl:attribute name="onclick">onQueryTableClick<xsl:value-of select="normalize-space(/Result/Suffix)" />(this, 'k', '<xsl:value-of select="normalize-space(../PN)" />', '<xsl:value-of select="normalize-space(../ID)"/>', '<xsl:value-of select="normalize-space(/Result/ID)" />')</xsl:attribute>
			        <xsl:attribute name="oncontextmenu">onQueryTableContextMenu<xsl:value-of select="normalize-space(/Result/Suffix)" />(this, 'w', '<xsl:value-of select="normalize-space(../PN)" />', '<xsl:value-of select="normalize-space(../ID)" />')</xsl:attribute>
			        <xsl:value-of select="normalize-space(.)" />
		        </span>
           </xsl:if>
         </td>
				 <td>
           <xsl:if test="normalize-space(/Result/Fooipid) = '-1'">
             <xsl:attribute name="style">display:none</xsl:attribute>
           </xsl:if>
					 <img class="imglink"  onmouseover="this.src='img/delete-active.gif'" onmouseout="this.src='img/delete.gif'" src="img/delete.gif" title="删除" alt="删除">
						 <xsl:attribute name="onclick">
							 <xsl:choose>
								 <xsl:when test="normalize-space(/Result/Footype) = '3'">
									 doProjectPatentDelete('<xsl:value-of select="normalize-space(/Result/Foo)" />','<xsl:value-of select="normalize-space(substring-before(., '@_@'))" />')
								 </xsl:when>
								 <xsl:otherwise>
									 doProjectPatentDelete('<xsl:value-of select="normalize-space(/Result/Foo)" />','<xsl:value-of select="normalize-space(.)" />')
								 </xsl:otherwise>
							 </xsl:choose>
						 </xsl:attribute>
					 </img>
				 </td>
			 </tr>
 			</xsl:for-each>
 		</table>
		 <table>
			 <xsl:attribute name="class">querylist-content<xsl:value-of select="normalize-space(/Result/Classsuffix)" /></xsl:attribute>
			 <tr width="100%">
				 <td align="left" colspan="3">
					 <table width="100%">
						 <tr width="100%">
							 <td align="left">
								 <xsl:if test="count(/Result/TermList/Term) &gt; 0">
                   <xsl:if test="normalize-space(/Result/Footype) = '2'">
                     <span>选中的公司:</span>
                   </xsl:if>
                   <xsl:if test="normalize-space(/Result/Footype) = '3'">
                     <span>选中的美国分类:</span>
                   </xsl:if>
                   <xsl:if test="normalize-space(/Result/Footype) = '4'">
                     <span>选中的国际分类:</span>
                   </xsl:if>
                   <xsl:if test="normalize-space(/Result/Footype) = '7'">
                     <span>选中的索引词:</span>
                   </xsl:if>
                   &#160;
                   <xsl:if test="normalize-space(/Result/Fooipid) != '-1'">
									   <span class="anchorunderline">
										   <xsl:attribute name="onclick">prepareProjectPatentDelete('<xsl:value-of select="normalize-space(/Result/Foo)" />')</xsl:attribute>删除</span>
									   <span>|</span>
                   </xsl:if>
									 <span>
										 <xsl:attribute name="class">anchorunderline</xsl:attribute>
										 <xsl:attribute name="onclick">prepareProjectPatentAdd('<xsl:value-of select="normalize-space(/Result/Foo)" />')</xsl:attribute>添加到</span>&#160;
									 <xsl:if test="normalize-space(/Result/Fooipid) != '-1'">
                   <span>
										 <xsl:attribute name="class">anchorunderline</xsl:attribute>
										 <xsl:attribute name="onclick">prepareProjectPatentMove('<xsl:value-of select="normalize-space(/Result/Foo)" />')</xsl:attribute>移动到</span>&#160;
                   </xsl:if>
                   <select>
										 <xsl:attribute name="class">selectproject</xsl:attribute>
										 <xsl:attribute name="id">querylist-projectpatent-select-<xsl:value-of select="normalize-space(/Result/Foo)" /></xsl:attribute>
									 </select>
								 </xsl:if>
							 </td>
               </tr>
							 <tr>
							 <td align="left">
                 <xsl:if test="normalize-space(/Result/Fooipid) != '-1'">
                 <xsl:if test="normalize-space(/Result/Footype) = '2'">
                   <span>公司:</span>
                 </xsl:if>
                 <xsl:if test="normalize-space(/Result/Footype) = '3'">
                   <span>美国分类:</span>
                 </xsl:if>
                 <xsl:if test="normalize-space(/Result/Footype) = '4'">
                   <span>国际分类:</span>
                 </xsl:if>
                 <xsl:if test="normalize-space(/Result/Footype) = '7'">
                   <span>索引词:</span>
                 </xsl:if>
                 &#160;
                 <xsl:if test="normalize-space(/Result/Footype) = '2'">
                   <input type="radio"  style="vertical-align:middle">
					   <xsl:if test="/Result/Fooidb = 1">
						   <xsl:attribute name ="checked">true</xsl:attribute>
					   </xsl:if>
                     <xsl:attribute name="name">querylist-projectpatent-radio-<xsl:value-of select="normalize-space(/Result/Foo)" /></xsl:attribute>
                     <xsl:attribute name="onclick">changeInputAssgneeType('3', '<xsl:value-of select="normalize-space(/Result/Foo)" />')</xsl:attribute>
                   </input>美国
                   <input type="radio" style="vertical-align:middle">
					   <xsl:if test="/Result/Fooidb = 4">
						   <xsl:attribute name ="checked">true</xsl:attribute>
					   </xsl:if>
                     <xsl:attribute name="name">querylist-projectpatent-radio-<xsl:value-of select="normalize-space(/Result/Foo)" /></xsl:attribute>
                     <xsl:attribute name="onclick">changeInputAssgneeType('4', '<xsl:value-of select="normalize-space(/Result/Foo)" />')</xsl:attribute>
                   </input>中国&#160;
                 </xsl:if>
                 <input style="width:350px" onfocus="onInputFocus(this);">
                   <xsl:attribute name="id">querylist-projectpatent-inputpn-<xsl:value-of select="normalize-space(/Result/Foo)" /></xsl:attribute>
                 </input>&#160;
								<span class="anchorunderline">
									<xsl:attribute name="onclick">
										doProjectPatentAdd('<xsl:value-of select="normalize-space(/Result/Foo)" />', '#')
									</xsl:attribute>添加</span>
                 </xsl:if>
							 </td>
                 
						 </tr>
					 </table>
		 		</td>				 
			 </tr>
		 </table>
	</xsl:template>
  
  
</xsl:stylesheet> 

