<?xml version="1.0" encoding="utf-8"?>

<xsl:stylesheet version="1.0"
    xmlns:xsl="http://www.w3.org/1999/XSL/Transform">

	<xsl:template match="Total">
		<xsl:if test="count(/Result/USLitigation) = 0 and count(/Result/PatentAssignorList)=0">
			<span>
				<xsl:value-of select="normalize-space(/Result/Total)" />&#160;项结果:&#160;
			</span>
		</xsl:if>
	</xsl:template>

	<xsl:template match="PageIndex"></xsl:template>
	<xsl:template match="PageCount"></xsl:template>
	<xsl:template match="PN"></xsl:template>
	<xsl:template match="Legal"></xsl:template>
	<xsl:template match="Assignor"></xsl:template>
	<xsl:template match="h"></xsl:template>

	<xsl:template match="LegalStatusList">
		<table class="querylist-contenttable-1">
			<tr class="querylist-title-1">
				<td nowrap="true">
					公告号
				</td>
				<td nowrap="true">
					公告日期
				</td>
				<td nowrap="true">
					类型
				</td>
			</tr>

			<xsl:for-each select="LegalStatus">
				<tr>
					<td>
						<xsl:value-of select="normalize-space(./publish_num)" />
					</td>
					<td>
						<xsl:value-of select="normalize-space(./PD)" />
					</td>
					<td >
            <span target="_blank">
              <xsl:if test="count(Content)='1'">
                <xsl:attribute name="class">
                  querylist-t-1
                </xsl:attribute>
                <xsl:attribute name="onmouseover">
                  onLegalStatusFontMouseOver(this)
                </xsl:attribute>
                <xsl:attribute name="onmouseout">
                  onLegalStatusMouseOut(this,event)
                </xsl:attribute>
                <xsl:attribute name="onclick">
                  onLegalStatusTypeClick(this,'<xsl:value-of select="ID" />')
                </xsl:attribute>
              </xsl:if>
              <xsl:value-of select="normalize-space(./Type)" />
            </span>
					</td>
					<div style="display:none">
						<xsl:attribute name="id">
							<xsl:value-of select="ID" />
						</xsl:attribute>
						<xsl:value-of select="Content" disable-output-escaping="yes"/>
					</div>
				</tr>


			</xsl:for-each>

		</table>
		<xsl:if test="1 &lt; /Result/PageCount">
			<table>
				<xsl:attribute name="class">
					querylist-pager-1
				</xsl:attribute>
				<tr>
					<td align="left" height="14px">
						<xsl:choose>
							<xsl:when test="/Result/PageIndex = 0">
								<span class="graytext">首页</span> | <span class="graytext">上一页</span> |
							</xsl:when>
							<xsl:otherwise>
								<span>
									<xsl:attribute name="class">querylist-pageranchor</xsl:attribute>
									<xsl:attribute name="onclick">
										javascript:goPage_Tab_LF('l',0, <xsl:value-of select="/Result/PN"/>, <xsl:value-of select="/Result/PageCount"/>,this)
									</xsl:attribute>
									首页
								</span> |
								<span>
									<xsl:attribute name="class">querylist-pageranchor</xsl:attribute>
									<xsl:attribute name="onclick">
										javascript:goPage_Tab_LF('l',<xsl:value-of select="/Result/PageIndex - 1" />, <xsl:value-of select="/Result/PN"/>, <xsl:value-of select="/Result/PageCount"/>,this)
									</xsl:attribute>
									上一页
								</span>  |
							</xsl:otherwise>
						</xsl:choose>
						<xsl:choose>
							<xsl:when test="/Result/PageIndex = /Result/PageCount - 1">
								<span class="graytext">下一页</span>
								<xsl:if test="/Result/PageCount &lt; 21">
									| <span class="graytext">上一页</span>
								</xsl:if>
							</xsl:when>
							<xsl:otherwise>
								<span>
									<xsl:attribute name="class">querylist-pageranchor</xsl:attribute>
									<xsl:attribute name="onclick">
										goPage_Tab_LF('l',<xsl:value-of select="/Result/PageIndex + 1" />, <xsl:value-of select="/Result/PN"/>, <xsl:value-of select="/Result/PageCount"/>,this)
									</xsl:attribute>
									下一页
								</span>
								<xsl:if test="/Result/PageCount &lt; 21">
									|
									<span>
										<xsl:attribute name="class">querylist-pageranchor</xsl:attribute>
										<xsl:attribute name="onclick">
											goPage_Tab_LF('l',<xsl:value-of select="/Result/PageCount - 1" />, <xsl:value-of select="/Result/PN"/>, <xsl:value-of select="/Result/PageCount"/>,this)
										</xsl:attribute>
										尾页
									</span>
								</xsl:if>
							</xsl:otherwise>
						</xsl:choose>
						&#160;<input type="text" id="querylist-input">
							<xsl:attribute name="class">querylist-pagerinput</xsl:attribute>
							<xsl:attribute name="onkeydown">
								checkPagerInputKey_LF(event,'l',<xsl:value-of select="/Result/PN"/>,<xsl:value-of select="/Result/PageCount"/>,this)
							</xsl:attribute>
							<xsl:if test="normalize-space(/Result/FooShowPN) != '' and normalize-space(/Result/FooShowPN) != 'null'">
								<xsl:attribute name="value">
									<xsl:value-of select="normalize-space(/Result/FooShowPN)"/>
								</xsl:attribute>
							</xsl:if>
						</input><xsl:if test="/Result/PageCount &lt; 21">
							&#160;<span>
								<xsl:attribute name="class">querylist-pageranchor</xsl:attribute>
								<xsl:attribute name="onclick">
									goPage_Tab_LF('l',findSiblingBefore(this, 'input', 1).value - 1, <xsl:value-of select="/Result/PN"/>, <xsl:value-of select="/Result/PageCount"/>,this)
								</xsl:attribute>跳转
							</span>
						</xsl:if>

					</td>
					<td height="14px" align="right">
						页号 <xsl:value-of select="/Result/PageIndex + 1"/> / <xsl:value-of select="/Result/PageCount"/>
					</td>
				</tr>
			</table>
		</xsl:if>
	</xsl:template>

	<xsl:template match="lpanList">
		<table>
			<xsl:for-each select="lpan">
				<tr >
					<td style="width:130px">
						<xsl:if test="position() &lt; 2">
							<i>LPAN(原告)</i>
						</xsl:if>
					</td>
					<td >
						<span target="_blank" title="Click to search assignee">
							<xsl:attribute name="class">
								querylist-a
							</xsl:attribute>
							<xsl:attribute name="onmouseover">
								onQueryTableMouseOver(this, 'lsa', '')
							</xsl:attribute>
							<xsl:attribute name="onmouseout">
								onQueryTableMouseOut(this, 'lsa', '')
							</xsl:attribute>

							<xsl:attribute name="onclick">
								onQueryTableClick(this, 'lpan', '', '', '')
							</xsl:attribute>
							<xsl:attribute name="oncontextmenu">
								onQueryTableContextMenu(this, 'lsa', '', '')
							</xsl:attribute>
							<xsl:value-of select="."/>
							<br/>
						</span>
					</td>
				</tr>
			</xsl:for-each>
		</table>
	</xsl:template>
	<xsl:template match="ldanList">
		<table>
			<xsl:for-each select="ldan">
				<tr >
					<td style="width:130px">
						<xsl:if test="position() &lt; 2">
							<i>LDAN(被告)</i>
						</xsl:if>
					</td>
					<td valign="top">
						<span target="_blank" title="Click to search assignee">
							<xsl:attribute name="class">
								querylist-a
							</xsl:attribute>
							<xsl:attribute name="onmouseover">
								onQueryTableMouseOver(this, 'lsa', '')
							</xsl:attribute>
							<xsl:attribute name="onmouseout">
								onQueryTableMouseOut(this, 'lsa', '')
							</xsl:attribute>

							<xsl:attribute name="onclick">
								onQueryTableClick(this, 'ldan', '', '', '')
							</xsl:attribute>
							<xsl:attribute name="oncontextmenu">
								onQueryTableContextMenu(this, 'lsa', '', '')
							</xsl:attribute>
							<xsl:value-of select="."/>
							<br/>
						</span>
					</td>
				</tr>
			</xsl:for-each>
		</table>
	</xsl:template>
	<xsl:template match="USLitigation">
		<xsl:if test="count(/Result/PatentAssignorList/PatentAssignor) &gt; 0">
			<br/>
			<br/>
		</xsl:if>
		<b>诉讼信息</b>
		<xsl:apply-templates select="lpanList"/>
		<xsl:apply-templates select="ldanList"/>
	</xsl:template>

	<xsl:template match="PatentAssignorList">
		<xsl:if test="/Result/Legal = 1">
			<xsl:if test="count(PatentAssignor) &gt; 0">
				<b>法律状态</b>
				<br/>
			</xsl:if>
			<table class="querylist-contenttable-1">
				<xsl:for-each select="PatentAssignor">
					<xsl:if test="position() &gt; 1 and position() &lt; 3">
						<tr>
							<td colspan="2" height="10px">
							</td>
						</tr>
					</xsl:if>
					<xsl:if test="count(LegalList/Legal) &gt; 0">
						<xsl:for-each select="LegalList/Legal">
							<tr>
								<td colspan="2">
									<xsl:apply-templates/>
								</td>
							</tr>
						</xsl:for-each>
					</xsl:if>
				</xsl:for-each>
			</table>
		</xsl:if>

		<xsl:if test="count(PatentAssignor) &gt; 0">
			<b>转移信息</b>
		</xsl:if>
		<table class="querylist-contenttable-1">
			<xsl:for-each select="PatentAssignor">
				<xsl:if test="h = 1">
					<tr>
						<td colspan="2" height="10px">
						</td>
					</tr>
				</xsl:if>
				<xsl:if test="count(AssignorList/Assignor) &gt; 0">
					<xsl:for-each select="ConveyanceList/Conveyance">
						<tr>
							<td style="width:130px">
								<i>Conveyance</i>
							</td>
							<td>
								<xsl:apply-templates/>
							</td>
						</tr>
					</xsl:for-each>
					<xsl:for-each select="AssignorList/Assignor">
						<tr>
							<td>
								<xsl:if test="position()&lt;2">
									<i>Assignor</i>
								</xsl:if>
							</td>
							<td >
								<xsl:apply-templates/>
							</td>
						</tr>
					</xsl:for-each>
					<xsl:for-each select="CorrespondentList/Correspondent">
						<tr>
							<td>
								<xsl:if test="position()&lt;2">
									<i>Correspondent</i>
								</xsl:if>
							</td>
							<td >
								<xsl:apply-templates/>
							</td>
						</tr>
					</xsl:for-each>
					<xsl:for-each select="AssigneeList/Assignee">
						<tr>
							<td >
								<xsl:if test="position()&lt;2">
									<i>Assignee</i>
								</xsl:if>
							</td>
							<td>
								<span target="_blank" title="(法律状态)公司字段中二次搜索">
									<xsl:attribute name="class">
										querylist-a
									</xsl:attribute>
									<xsl:attribute name="onmouseover">
										onQueryTableMouseOver(this, 'lsa', '')
									</xsl:attribute>
									<xsl:attribute name="onmouseout">
										onQueryTableMouseOut(this, 'lsa', '')
									</xsl:attribute>

									<xsl:attribute name="onclick">
										onQueryTableClick(this, 'lsa', '', '', '')
									</xsl:attribute>
									<xsl:attribute name="oncontextmenu">
										onQueryTableContextMenu(this, 'lsa', '', '')
									</xsl:attribute>
									<xsl:apply-templates/>
								</span> (address: <xsl:apply-templates select="../../AssigneeAddrList/AssigneeAddr[position()=1]"/>)
							</td>
						</tr>
					</xsl:for-each>
				</xsl:if>
			</xsl:for-each>
		</table>

		<xsl:if test="1 &lt; /Result/PageCount">
			<table>
				<xsl:attribute name="class">
					querylist-pager-1
				</xsl:attribute>
				<tr>
					<td align="left" height="14px">
						<xsl:choose>
							<xsl:when test="/Result/PageIndex = 0">
								<span class="graytext">首页</span> | <span class="graytext">上一页</span> |
							</xsl:when>
							<xsl:otherwise>
								<span>
									<xsl:attribute name="class">querylist-pageranchor</xsl:attribute>
									<xsl:attribute name="onclick">
										javascript:goPage_Tab_LF('l',0, <xsl:value-of select="/Result/PN"/>, <xsl:value-of select="/Result/PageCount"/>,this)
									</xsl:attribute>

								</span> |
								<span>
									<xsl:attribute name="class">querylist-pageranchor</xsl:attribute>
									<xsl:attribute name="onclick">
										javascript:goPage_Tab_LF('l',<xsl:value-of select="/Result/PageIndex - 1" />, <xsl:value-of select="/Result/PN"/>, <xsl:value-of select="/Result/PageCount"/>,this)
									</xsl:attribute>

								</span>  |
							</xsl:otherwise>
						</xsl:choose>
						<xsl:choose>
							<xsl:when test="/Result/PageIndex = /Result/PageCount - 1">
								<span class="graytext">下一页</span>
								<xsl:if test="/Result/PageCount &lt; 21">
									| <span class="graytext">上一页</span>
								</xsl:if>
							</xsl:when>
							<xsl:otherwise>
								<span>
									<xsl:attribute name="class">querylist-pageranchor</xsl:attribute>
									<xsl:attribute name="onclick">
										goPage_Tab_LF('l',<xsl:value-of select="/Result/PageIndex + 1" />, <xsl:value-of select="/Result/PN"/>, <xsl:value-of select="/Result/PageCount"/>,this)
									</xsl:attribute>

								</span>
								<xsl:if test="/Result/PageCount &lt; 21">
									|
									<span>
										<xsl:attribute name="class">querylist-pageranchor</xsl:attribute>
										<xsl:attribute name="onclick">
											goPage_Tab_LF('l',<xsl:value-of select="/Result/PageCount - 1" />, <xsl:value-of select="/Result/PN"/>, <xsl:value-of select="/Result/PageCount"/>,this)
										</xsl:attribute>

									</span>
								</xsl:if>
							</xsl:otherwise>
						</xsl:choose>
						&#160;<input type="text" id="querylist-input">
							<xsl:attribute name="class">querylist-pagerinput</xsl:attribute>
							<xsl:attribute name="onkeydown">
								checkPagerInputKey_LF(event,'l',<xsl:value-of select="/Result/PN"/>,<xsl:value-of select="/Result/PageCount"/>,this)
							</xsl:attribute>
							<xsl:if test="normalize-space(/Result/FooShowPN) != '' and normalize-space(/Result/FooShowPN) != 'null'">
								<xsl:attribute name="value">
									<xsl:value-of select="normalize-space(/Result/FooShowPN)"/>
								</xsl:attribute>
							</xsl:if>
						</input><xsl:if test="/Result/PageCount &lt; 21">
							&#160;<span>
								<xsl:attribute name="class">querylist-pageranchor</xsl:attribute>
								<xsl:attribute name="onclick">
									goPage_Tab_LF('l',findSiblingBefore(this, 'input', 1).value - 1, <xsl:value-of select="/Result/PN"/>, <xsl:value-of select="/Result/PageCount"/>,this)
								</xsl:attribute>
							</span>
						</xsl:if>

					</td>
					<td height="14px" align="right">
						<xsl:value-of select="/Result/PageIndex + 1"/> / <xsl:value-of select="/Result/PageCount"/>
					</td>
				</tr>
			</table>
		</xsl:if>
	</xsl:template>
</xsl:stylesheet>

