<?xml version="1.0" encoding="utf-8"?>

<xsl:stylesheet version="1.0"
    xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
	<xsl:template match="*|@*">
		<xsl:copy>
			<xsl:apply-templates select="@*|*|comment()|processing-instruction()|text()"/>
		</xsl:copy>
	</xsl:template>
	<xsl:template match="/Result/MarginList"/>
	<xsl:template match="/Result/sTypeList"/>
	<xsl:template match="/Result/sNorderList">
		<table style="width:100%;" cellspacing="1">
			<xsl:for-each select="sNorder">
				<tr>
					<td>
						<xsl:variable name="pos" select="position()" />
						<xsl:if test="/Result/sTypeList/sType[$pos]='+'">
							<xsl:attribute name="style">color:red</xsl:attribute>
						</xsl:if>
						<span title="搜索该词组" alt="搜索该词组"  onclick="showNorderWordsInSearch(this,'w');" onmouseover="this.style.textDecoration = 'underline';" onmouseout="this.style.textDecoration = 'none';">
							<xsl:attribute name="style">
								cursor: pointer;margin-left:<xsl:value-of select="/Result/MarginList/Margin[$pos]*30"/>px
							</xsl:attribute>
							<xsl:value-of select="substring-before(Key,'.')"/>
						</span>.<xsl:value-of select="substring-after(Key,'.')"/>
						<xsl:if test="string-length(normalize-space(Value)) &gt; 0">
							<span title="搜索该分类号" alt="搜索该分类号"  onclick="showNorderWordsInSearch(this,'i');" onmouseover="this.style.textDecoration = 'underline';" onmouseout="this.style.textDecoration = 'none';">
								<xsl:attribute name="style">cursor: pointer;margin-left:3px</xsl:attribute>
								<xsl:value-of select="substring-before(Value,'.')"/>
							</span>.<xsl:value-of select="substring-after(Value,'.')"/>
						</xsl:if>
					</td>
				</tr>
			</xsl:for-each>
		</table>
	</xsl:template>
</xsl:stylesheet>
