<?xml version="1.0" encoding="utf-8"?>

<xsl:stylesheet version="1.0"
    xmlns:xsl="http://www.w3.org/1999/XSL/Transform">

<xsl:template match="Result">
    <xsl:apply-templates select="ANCountList"/>
    <xsl:apply-templates select="INCountList"/>
    <xsl:apply-templates select="KWCountList"/>
    <xsl:apply-templates select="CCLCountList"/>
    <xsl:apply-templates select="ICLCountList"/>
</xsl:template>

  <xsl:template match="ANCountList">
  <xsl:if test="count(ANCount) &gt; 0" >
    <table cellspacing="2">
		  <xsl:attribute name="id">querylist-table</xsl:attribute>
 		    <xsl:attribute name="class">querylist-content<xsl:value-of select="normalize-space(/Result/Classsuffix)" /></xsl:attribute>
 		    <tr width="100%"> 
 			    <xsl:attribute name="class">querylist-title<xsl:value-of select="normalize-space(/Result/Classsuffix)" /></xsl:attribute>
	 			  <td width="300px" onclick="showHideParentSiblings(this, 'TR');" style="cursor:pointer">公司</td>
          <td nowrap="true">
            <xsl:if test="substring-before(normalize-space(/Result/Foo), '~') = 'QueryResult'">
              <table width="100%" cellspacing="0" cellpadding="0">
                <tr width="100%">
                  <xsl:attribute name="class">querylist-title<xsl:value-of select="normalize-space(/Result/Classsuffix)" /></xsl:attribute>
                  <td align="left">专利数</td>
                  <td align="right"><img onmouseover="this.src='img/close-active.gif'" onmouseout="this.src='img/close.gif'" src="img/close.gif" alt="关闭" title="关闭" class="imglink">
					  <xsl:attribute name="onclick">
					getQueryResultStat('<xsl:value-of select="/Result/FooFrom" />');
					  </xsl:attribute>
				  </img></td>
                </tr>                
              </table>  
            </xsl:if>
            <xsl:if test="substring-before(normalize-space(/Result/Foo), '~') != 'QueryResult'">
              专利数
            </xsl:if>
          </td>
		    </tr> 
		    <xsl:for-each select="ANCount">
		     <tr>
		 	    <xsl:if test="position() mod 2 = 0">
		 	     <xsl:attribute name="class">querylist-dark<xsl:value-of select="normalize-space(/Result/Classsuffix)" /></xsl:attribute>
		 	    </xsl:if>
		 	    <xsl:if test="position() mod 2 != 0">
		 	     <xsl:attribute name="class">querylist-light<xsl:value-of select="normalize-space(/Result/Classsuffix)" /></xsl:attribute>
		 	    </xsl:if>
		 	      <td width="300px">
		        <span title="在公司字段(ANN)中进行二次搜索">
			        <xsl:attribute name="class">querylist-a<xsl:value-of select="normalize-space(/Result/Classsuffix)" /></xsl:attribute>
			        <xsl:attribute name="onmouseover">onQueryTableMouseOver<xsl:value-of select="normalize-space(/Result/Suffix)" />(this, 'a', '<xsl:value-of select="normalize-space(../PN)" />')</xsl:attribute> 
			        <xsl:attribute name="onmouseout">onQueryTableMouseOut<xsl:value-of select="normalize-space(/Result/Suffix)" />(this, 'a', '<xsl:value-of select="normalize-space(../PN)" />')</xsl:attribute> 
			        <xsl:attribute name="onclick">onQueryTableClick<xsl:value-of select="normalize-space(/Result/Suffix)" />(this, 'a', '<xsl:value-of select="substring-after(normalize-space(/Result/Foo), '~')" />')</xsl:attribute>
			        <xsl:attribute name="oncontextmenu">onQueryTableContextMenu<xsl:value-of select="normalize-space(/Result/Suffix)" />(this, 'a', '<xsl:value-of select="normalize-space(../PN)" />', '<xsl:value-of select="normalize-space(../ID)" />')</xsl:attribute>
			        <xsl:value-of select="normalize-space(Key)" />
		        </span>&#160;
           </td>
           <td nowrap="true" valign="middle">
             <img src="img/reddot.gif" height="12px" style="cursor:pointer">
               <xsl:attribute name="width"><xsl:value-of select="Value * 300 div (../ANCount[position() = 1]/Value)" /></xsl:attribute>
               <xsl:attribute name="title"><xsl:value-of select="Value" /></xsl:attribute>
               <xsl:attribute name="alt"><xsl:value-of select="Value" /></xsl:attribute>
               <xsl:attribute name="onclick">onQueryResultStatBarClick('a', '<xsl:value-of select="normalize-space(Key)" />', '<xsl:value-of select="substring-after(normalize-space(/Result/Foo), '~')" />')</xsl:attribute>
             </img>
             &#160;<xsl:value-of select="Value" />&#160;(<xsl:value-of select="Percent" />%)
	   </td>
         </tr>
       </xsl:for-each>
     </table>
   </xsl:if>
   </xsl:template>

  <xsl:template match="INCountList">
   <xsl:if test="count(INCount) &gt; 0" >
    <table cellspacing="2">
      <xsl:attribute name="id">querylist-table</xsl:attribute>
      <xsl:attribute name="class">
        querylist-content<xsl:value-of select="normalize-space(/Result/Classsuffix)" />
      </xsl:attribute>
      <tr width="100%">
        <xsl:attribute name="class">
          querylist-title<xsl:value-of select="normalize-space(/Result/Classsuffix)" />
        </xsl:attribute>
        <td width="300px" onclick="showHideParentSiblings(this, 'TR');" style="cursor:pointer">发明人</td>
        <td nowrap="true">专利数</td>
      </tr>
      <xsl:for-each select="INCount">
        <tr>
          <xsl:if test="position() mod 2 = 0">
            <xsl:attribute name="class">
              querylist-dark<xsl:value-of select="normalize-space(/Result/Classsuffix)" />
            </xsl:attribute>
          </xsl:if>
          <xsl:if test="position() mod 2 != 0">
            <xsl:attribute name="class">
              querylist-light<xsl:value-of select="normalize-space(/Result/Classsuffix)" />
            </xsl:attribute>
          </xsl:if>
          <td width="300px">
            <span title="在索引词字段(IWK)中进行二次搜索">
              <xsl:attribute name="class">
                querylist-w<xsl:value-of select="normalize-space(/Result/Classsuffix)" />
              </xsl:attribute>
              <xsl:attribute name="onmouseover">
                onQueryTableMouseOver<xsl:value-of select="normalize-space(/Result/Suffix)" />(this, 'i', '<xsl:value-of select="normalize-space(../PN)" />')
              </xsl:attribute>
              <xsl:attribute name="onmouseout">
                onQueryTableMouseOut<xsl:value-of select="normalize-space(/Result/Suffix)" />(this, 'i', '<xsl:value-of select="normalize-space(../PN)" />')
              </xsl:attribute>
              <xsl:attribute name="onclick">
                onQueryTableClick<xsl:value-of select="normalize-space(/Result/Suffix)" />(this, 'i', '<xsl:value-of select="substring-after(normalize-space(/Result/Foo), '~')" />')
              </xsl:attribute>
              <xsl:attribute name="oncontextmenu">
                onQueryTableContextMenu<xsl:value-of select="normalize-space(/Result/Suffix)" />(this, 'i', '<xsl:value-of select="normalize-space(../PN)" />', '<xsl:value-of select="normalize-space(../ID)" />')
              </xsl:attribute>
              <xsl:value-of select="normalize-space(Key)" />
            </span>&#160;
          </td>
          <td nowrap="true" valign="middle">
            <img src="img/reddot.gif" height="12px" style="cursor:pointer">
              <xsl:attribute name="width">
                <xsl:value-of select="Value * 300 div (../INCount[position() = 1]/Value)" />
              </xsl:attribute>
              <xsl:attribute name="title">
                <xsl:value-of select="Value" />
              </xsl:attribute>
              <xsl:attribute name="alt">
                <xsl:value-of select="Value" />
              </xsl:attribute>
              <xsl:attribute name="onclick">
                onQueryResultStatBarClick('i', '<xsl:value-of select="normalize-space(Key)" />', '<xsl:value-of select="substring-after(normalize-space(/Result/Foo), '~')" />')
              </xsl:attribute>
            </img>
            &#160;<xsl:value-of select="Value" />&#160;(<xsl:value-of select="Percent" />%)
	  </td>
        </tr>
      </xsl:for-each>
    </table>
    </xsl:if>
  </xsl:template>

  <xsl:template match="KWCountList">
   <xsl:if test="count(KWCount) &gt; 0" >
     <table cellspacing="2">
       <xsl:attribute name="id">querylist-table</xsl:attribute>
       <xsl:attribute name="class">
         querylist-content<xsl:value-of select="normalize-space(/Result/Classsuffix)" />
       </xsl:attribute>
       <tr width="100%">
         <xsl:attribute name="class">
           querylist-title<xsl:value-of select="normalize-space(/Result/Classsuffix)" />
         </xsl:attribute>
         <td width="300px" onclick="showHideParentSiblings(this, 'TR');" style="cursor:pointer">索引词</td>
         <td nowrap="true">专利数</td>
       </tr>
       <xsl:for-each select="KWCount">
         <tr>
           <xsl:if test="position() mod 2 = 0">
             <xsl:attribute name="class">
               querylist-dark<xsl:value-of select="normalize-space(/Result/Classsuffix)" />
             </xsl:attribute>
           </xsl:if>
           <xsl:if test="position() mod 2 != 0">
             <xsl:attribute name="class">
               querylist-light<xsl:value-of select="normalize-space(/Result/Classsuffix)" />
             </xsl:attribute>
           </xsl:if>
           <td width="300px">
             <span title="在索引词字段(IWK)中进行二次搜索">
               <xsl:attribute name="class">querylist-w<xsl:value-of select="normalize-space(/Result/Classsuffix)" /></xsl:attribute>
               <xsl:attribute name="onmouseover">onQueryTableMouseOver<xsl:value-of select="normalize-space(/Result/Suffix)" />(this, 'k', '<xsl:value-of select="normalize-space(../PN)" />')</xsl:attribute>
               <xsl:attribute name="onmouseout">onQueryTableMouseOut<xsl:value-of select="normalize-space(/Result/Suffix)" />(this, 'k', '<xsl:value-of select="normalize-space(../PN)" />')</xsl:attribute>
               <xsl:attribute name="onclick">onQueryTableClick<xsl:value-of select="normalize-space(/Result/Suffix)" />(this, 'kwk', '<xsl:value-of select="substring-after(normalize-space(/Result/Foo), '~')" />')</xsl:attribute>
               <xsl:attribute name="oncontextmenu">onQueryTableContextMenu<xsl:value-of select="normalize-space(/Result/Suffix)" />(this, 'k', '<xsl:value-of select="normalize-space(../PN)" />', '<xsl:value-of select="normalize-space(../ID)" />')</xsl:attribute>
               <xsl:value-of select="normalize-space(Key)" />
             </span>&#160;
           </td>
           <td nowrap="true" valign="middle">
             <img src="img/reddot.gif" height="12px" style="cursor:pointer">
               <xsl:attribute name="width"><xsl:value-of select="Value * 300 div (../KWCount[position() = 1]/Value)" /></xsl:attribute>
               <xsl:attribute name="title"><xsl:value-of select="Value" /></xsl:attribute>
               <xsl:attribute name="alt"><xsl:value-of select="Value" /></xsl:attribute>
               <xsl:attribute name="onclick">onQueryResultStatBarClick('kwk', '<xsl:value-of select="normalize-space(Key)" />', '<xsl:value-of select="substring-after(normalize-space(/Result/Foo), '~')" />')</xsl:attribute>
             </img>
             &#160;<xsl:value-of select="Value" />&#160;(<xsl:value-of select="Percent" />%)
	   </td>
   </tr>
		    </xsl:for-each>
 		</table>
 		</xsl:if>
  </xsl:template>
  
  <xsl:template match="CCLCountList">
   <xsl:if test="count(CCLCount) &gt; 0" >
    <table cellspacing="2">
		  <xsl:attribute name="id">querylist-table</xsl:attribute>
 		    <xsl:attribute name="class">querylist-content<xsl:value-of select="normalize-space(/Result/Classsuffix)" /></xsl:attribute>
      <tr width="100%"> 
 			    <xsl:attribute name="class">querylist-title<xsl:value-of select="normalize-space(/Result/Classsuffix)" /></xsl:attribute>
        <td width="300px" onclick="showHideParentSiblings(this, 'TR',1);" style="cursor:pointer">美国分类</td>
          <td nowrap="true">专利数</td>
		    </tr> 
		    <xsl:for-each select="CCLCount">
		     <tr>
		 	    <xsl:if test="position() mod 2 = 0">
		 	     <xsl:attribute name="class">querylist-dark<xsl:value-of select="normalize-space(/Result/Classsuffix)" /></xsl:attribute>
		 	    </xsl:if>
		 	    <xsl:if test="position() mod 2 != 0">
		 	     <xsl:attribute name="class">querylist-light<xsl:value-of select="normalize-space(/Result/Classsuffix)" /></xsl:attribute>
		 	    </xsl:if>
		 	      <td width="300px">
		        <!--<span title="在美国分类(CCL)中进行二次搜索">-->
		        <span>
		        	<xsl:attribute name="title">
		        	<xsl:value-of select="Desc"/></xsl:attribute>
			        <xsl:attribute name="class">querylist-c<xsl:value-of select="normalize-space(/Result/Classsuffix)" /></xsl:attribute>
			        <xsl:attribute name="onmouseover">onQueryTableMouseOver<xsl:value-of select="normalize-space(/Result/Suffix)" />(this, 'c', '<xsl:value-of select="normalize-space(../PN)" />')</xsl:attribute> 
			        <xsl:attribute name="onmouseout">onQueryTableMouseOut<xsl:value-of select="normalize-space(/Result/Suffix)" />(this, 'c', '<xsl:value-of select="normalize-space(../PN)" />')</xsl:attribute> 
			        <xsl:attribute name="onclick">onQueryTableClick<xsl:value-of select="normalize-space(/Result/Suffix)" />(this, 'c', '<xsl:value-of select="substring-after(normalize-space(/Result/Foo), '~')" />')</xsl:attribute>
              <xsl:attribute name="oncontextmenu">onQueryTableContextMenu<xsl:value-of select="normalize-space(/Result/Suffix)" />(this, 'c', '<xsl:value-of select="normalize-space(../PN)" />', '<xsl:value-of select="normalize-space(../ID)" />')</xsl:attribute>
			        <xsl:value-of select="normalize-space(Key)" />
			        
		        </span>&#160;
		         <span>
		        <xsl:attribute name="title">
		        	<xsl:value-of select="Desc"/></xsl:attribute>
		        <xsl:choose>
			        <xsl:when test="string-length(Desc)>30">
									[<xsl:value-of select="substring(Desc, 1, 30)"></xsl:value-of>...]
							    </xsl:when>
								<xsl:otherwise>
									[<xsl:value-of select="Desc"></xsl:value-of>]
								</xsl:otherwise>
							</xsl:choose>
						</span>

					  <xsl:if test="/Result/isSub = 0">
						  &#160;<img src="/img/plus.gif" style="cursor:pointer" >
							  <xsl:attribute name="onclick">
								  onQueryTableClick(this, 'c', '<xsl:value-of select="substring-after(normalize-space(/Result/Foo), '~')" />',null,null,null,null,'<xsl:value-of select="normalize-space(Key)" />')
							  </xsl:attribute>
						  </img>
					  </xsl:if>
           </td>
           <td  nowrap="true" valign="middle">
             <img src="img/reddot.gif" height="12px" style="cursor:pointer">
               <xsl:attribute name="width"><xsl:value-of select="Value * 300 div (../CCLCount[position() = 1]/Value)" /></xsl:attribute>
               <xsl:attribute name="title"><xsl:value-of select="Value" /></xsl:attribute>
               <xsl:attribute name="alt"><xsl:value-of select="Value" /></xsl:attribute>
               <xsl:attribute name="onclick">onQueryResultStatBarClick('c', '<xsl:value-of select="normalize-space(Key)" />', '<xsl:value-of select="substring-after(normalize-space(/Result/Foo), '~')" />')</xsl:attribute>
             </img>
             &#160;<xsl:value-of select="Value" />&#160;(<xsl:value-of select="Percent" />%)
	   </td>
		     </tr>
				<xsl:if test="/Result/isSub = 0">
					<tr style="display:none">
						<td colspan="2">
							<div style="padding-left:10px;padding-right:10px;">
								<xsl:attribute name="id">
									<xsl:value-of select="substring-after(normalize-space(/Result/Foo), '~')" />-<xsl:value-of select="normalize-space(Key)" />
								</xsl:attribute>

							</div>
						</td>
					</tr>
				</xsl:if>
		    </xsl:for-each>
 		</table>
 		</xsl:if>
  </xsl:template>
  
  <xsl:template match="ICLCountList">
   <xsl:if test="count(ICLCount) &gt; 0" >
    <table cellspacing="2">
		  <xsl:attribute name="id">querylist-table</xsl:attribute>
 		    <xsl:attribute name="class">querylist-content<xsl:value-of select="normalize-space(/Result/Classsuffix)" /></xsl:attribute>
      <tr width="100%"> 
 			    <xsl:attribute name="class">querylist-title<xsl:value-of select="normalize-space(/Result/Classsuffix)" /></xsl:attribute>
	 			  <td width="300px" onclick="showHideParentSiblings(this, 'TR',1);" style="cursor:pointer">国际分类</td>
          <td nowrap="true">专利数</td>
		    </tr> 
		    <xsl:for-each select="ICLCount">
		     <tr>
		 	    <xsl:if test="position() mod 2 = 0">
		 	     <xsl:attribute name="class">querylist-dark<xsl:value-of select="normalize-space(/Result/Classsuffix)" /></xsl:attribute>
		 	    </xsl:if>
		 	    <xsl:if test="position() mod 2 != 0">
		 	     <xsl:attribute name="class">querylist-light<xsl:value-of select="normalize-space(/Result/Classsuffix)" /></xsl:attribute>
		 	    </xsl:if>
		 	      <td width="300px">
		        <!--<span title="在国际分类(ICL)中进行二次搜索">-->
		           <span>
		        	<xsl:attribute name="title">
		        	<xsl:value-of select="Desc"/></xsl:attribute>
			        <xsl:attribute name="class">querylist-l<xsl:value-of select="normalize-space(/Result/Classsuffix)" /></xsl:attribute>
			        <xsl:attribute name="onmouseover">onQueryTableMouseOver<xsl:value-of select="normalize-space(/Result/Suffix)" />(this, 'l', '<xsl:value-of select="normalize-space(../PN)" />')</xsl:attribute> 
			        <xsl:attribute name="onmouseout">onQueryTableMouseOut<xsl:value-of select="normalize-space(/Result/Suffix)" />(this, 'l', '<xsl:value-of select="normalize-space(../PN)" />')</xsl:attribute> 
			        <xsl:attribute name="onclick">onQueryTableClick<xsl:value-of select="normalize-space(/Result/Suffix)" />(this, 'l', '<xsl:value-of select="substring-after(normalize-space(/Result/Foo), '~')" />')</xsl:attribute>
              <xsl:attribute name="oncontextmenu">onQueryTableContextMenu<xsl:value-of select="normalize-space(/Result/Suffix)" />(this, 'l', '<xsl:value-of select="normalize-space(../PN)" />', '<xsl:value-of select="normalize-space(../ID)" />')</xsl:attribute>
			        <xsl:value-of select="normalize-space(Key)" />
			        </span>&#160;
			         <span>
		        <xsl:attribute name="title">
		        	<xsl:value-of select="Desc"/></xsl:attribute>
		        <xsl:choose>
			        <xsl:when test="string-length(Desc)>30">
									[<xsl:value-of select="substring(Desc, 1, 30)"></xsl:value-of>...]
							    </xsl:when>
								<xsl:otherwise>
									[<xsl:value-of select="Desc"></xsl:value-of>]
								</xsl:otherwise>
							</xsl:choose>
						</span>

					  <xsl:if test="/Result/isSub = 0">
						  &#160;<img src="/img/plus.gif" style="cursor:pointer" >
							  <xsl:attribute name="onclick">
								  onQueryTableClick(this, 'l', '<xsl:value-of select="substring-after(normalize-space(/Result/Foo), '~')" />',null,null,null,null,'<xsl:value-of select="normalize-space(Key)" />')
							  </xsl:attribute>
						  </img>
					  </xsl:if>
           </td>
           <td  nowrap="true" valign="middle">
             <img src="img/reddot.gif" height="12px" style="cursor:pointer">
               <xsl:attribute name="width"><xsl:value-of select="Value * 300 div (../ICLCount[position() = 1]/Value)" /></xsl:attribute>
               <xsl:attribute name="title"><xsl:value-of select="Value" /></xsl:attribute>
               <xsl:attribute name="alt"><xsl:value-of select="Value" /></xsl:attribute>
               <xsl:attribute name="onclick">onQueryResultStatBarClick('l', '<xsl:value-of select="normalize-space(Key)" />', '<xsl:value-of select="substring-after(normalize-space(/Result/Foo), '~')" />')</xsl:attribute>
             </img>
             &#160;<xsl:value-of select="Value" />&#160;(<xsl:value-of select="Percent" />%)
	   </td>
		     </tr>
				<xsl:if test="/Result/isSub = 0">
					<tr style="display:none">
						<td colspan="2">
							<div style="padding-left:10px;padding-right:10px;">
								<xsl:attribute name="id">
									<xsl:value-of select="substring-after(normalize-space(/Result/Foo), '~')" />-<xsl:value-of select="normalize-space(Key)" />
								</xsl:attribute>

							</div>
						</td>
					</tr>
				</xsl:if>
		    </xsl:for-each>
 		</table>
 		</xsl:if>
  </xsl:template>

</xsl:stylesheet> 

