<?xml version="1.0" encoding="utf-8"?>

<xsl:stylesheet version="1.0"
    xmlns:xsl="http://www.w3.org/1999/XSL/Transform">

	<xsl:output method="html" encoding="utf-8"/>

	<xsl:template match="*|@*">
		<xsl:copy>
			<xsl:apply-templates select="@*|*|comment()|processing-instruction()|text()"/>
		</xsl:copy>
	</xsl:template>

	<xsl:template match="Abstraction">
		<xsl:apply-templates/>
	</xsl:template>

	<xsl:template match="Result">
		<xsl:if test="normalize-space(Field) != ''">
		<table class="querytag-abstraction">
			<tr width="100%">
				<td valign="top" width="100%" align="left">
					<span>
						<xsl:attribute name="class">querytag-w</xsl:attribute>
            <xsl:attribute name="pn"><xsl:value-of select="normalize-space(FooPN)" /></xsl:attribute>
						<xsl:attribute name="onmouseover">onQueryTagMouseOver(this, 'w')</xsl:attribute>
						<xsl:attribute name="onmouseout">onQueryTagMouseOut(this, 'w')</xsl:attribute>
						<xsl:attribute name="onclick">onQueryTagKeywordClick(this, 'w')</xsl:attribute>
						<xsl:attribute name="oncontextmenu">onQueryTagContextMenu(this, 'w')</xsl:attribute>
						<xsl:value-of select="normalize-space(OriginalWord)" />
					</span>&#160;[在<xsl:value-of select="normalize-space(Field)" />中]:
					<div style="display:inline"></div><br /><br />
					<div>
						<img src="img/search-end.gif" onmouseover="this.src='img/search-end-active.gif'" onmouseout="this.src='img/search-end.gif'" class="imglink" title="用本段文字进行概念搜索" alt="用本段文字进行概念搜索" >
							<xsl:attribute name="onclick">doSearchByObject(this.parentNode, '<xsl:value-of select="normalize-space(/Result/FooPN)" />')</xsl:attribute>
						</img>
						<img width="6" height="9"></img>
            <div class="searchobject">
              <xsl:apply-templates select="Abstraction" />
            </div>
					</div>
				</td>
			</tr>
		</table>
		</xsl:if>
	</xsl:template>

</xsl:stylesheet>

