<?xml version='1.0' encoding='utf-8'?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
<xsl:output method="html" encoding="utf-8"/>

  <xsl:template match="*|@*">
	<xsl:copy>
		<xsl:apply-templates select="@*|*|comment()|processing-instruction()|text()"/>
	</xsl:copy>
  </xsl:template>
   
    <xsl:template match="Total"></xsl:template>
  <xsl:template match="QueryFilter"></xsl:template>

  <xsl:template match="PageSize"></xsl:template> 
    <xsl:template match="PageIndex"></xsl:template> 
    <xsl:template match="Suffix"></xsl:template> 
    <xsl:template match="Classsuffix"></xsl:template>
    <xsl:template match="PageCount"></xsl:template>
    <xsl:template match="DisplayFieldList"></xsl:template>
    <xsl:template match="PN"></xsl:template>
    <xsl:template match="ID"></xsl:template>
  <xsl:template match="Threshold"></xsl:template>
  <xsl:template match="Other"></xsl:template>
  <xsl:template match="Color"></xsl:template>
  <xsl:template match="BookmarkNumber"></xsl:template>
  <xsl:template match="BookmarkName"></xsl:template>
  <xsl:template match="Fooipid"></xsl:template>
  
    <xsl:template match="RelatedList">  
  		<table>
  			<xsl:attribute name="class">querylist-related<xsl:value-of select="normalize-space(/Result/Classsuffix)" /></xsl:attribute>
  			<tr>
  				<xsl:attribute name="class">querylist-related-title<xsl:value-of select="normalize-space(/Result/Classsuffix)" /></xsl:attribute>
  				<td width="100%" colspan="4">相关概念:</td>
  			</tr>
  			<tr>				 	
  				<td width="25%">
  				 <xsl:for-each select="Related">
  				  <xsl:if test="position() &lt; 3">
  					<img class="imglink" style="vertical-align:middle"  src="img/st.gif">
						<xsl:attribute name="onclick">onQuerylistRelatedIconClick<xsl:value-of select="normalize-space(/Result/Suffix)" />(this, 'w')</xsl:attribute>
					</img>
  				  	<span>
  				  	<xsl:attribute name="class">querylist-related-w<xsl:value-of select="normalize-space(/Result/Classsuffix)" /></xsl:attribute>
  				  	<xsl:attribute name="onmouseover">onQuerylistRelatedMouseOver<xsl:value-of select="normalize-space(/Result/Suffix)" />(this, 'w')</xsl:attribute>
  				  	<xsl:attribute name="onmouseout">onQuerylistRelatedMouseOut<xsl:value-of select="normalize-space(/Result/Suffix)" />(this, 'w')</xsl:attribute>
  				  	<xsl:attribute name="onclick">onQuerylistRelatedClick<xsl:value-of select="normalize-space(/Result/Suffix)" />(this, 'w')</xsl:attribute>
					<xsl:attribute name="oncontextmenu">onQuerylistRelatedContextMenu<xsl:value-of select="normalize-space(/Result/Suffix)" />(this, 'w')</xsl:attribute>
  				  		<xsl:value-of select="normalize-space(.)" />
  				  	</span>
					  <br /> 				 	
  				   </xsl:if>
  				 </xsl:for-each>
  				</td>
  				<td width="25%">
  				 <xsl:for-each select="Related">
  				  <xsl:if test="2 &lt; position() and position() &lt; 5">
  					<img class="imglink" style="vertical-align:middle"  src="img/st.gif">
						<xsl:attribute name="onclick">onQuerylistRelatedIconClick<xsl:value-of select="normalize-space(/Result/Suffix)" />(this, 'w')</xsl:attribute>
					</img>
  				  	<span>
  				  	<xsl:attribute name="class">querylist-related-w<xsl:value-of select="normalize-space(/Result/Classsuffix)" /></xsl:attribute>
  				  	<xsl:attribute name="onmouseover">onQuerylistRelatedMouseOver<xsl:value-of select="normalize-space(/Result/Suffix)" />(this, 'w')</xsl:attribute>
  				  	<xsl:attribute name="onmouseout">onQuerylistRelatedMouseOut<xsl:value-of select="normalize-space(/Result/Suffix)" />(this, 'w')</xsl:attribute>
  				  	<xsl:attribute name="onclick">onQuerylistRelatedClick<xsl:value-of select="normalize-space(/Result/Suffix)" />(this, 'w')</xsl:attribute>
					<xsl:attribute name="oncontextmenu">onQuerylistRelatedContextMenu<xsl:value-of select="normalize-space(/Result/Suffix)" />(this, 'w')</xsl:attribute>
  				  		<xsl:value-of select="normalize-space(.)" />
  				  	</span>
  				  <br />  				 	
  				   </xsl:if>
  				 </xsl:for-each>
  				</td> 
  				<td width="25%">
  				 <xsl:for-each select="Related">
  				  <xsl:if test="4 &lt; position() and position() &lt; 7">
  					<img class="imglink" style="vertical-align:middle"  src="img/st.gif">
						<xsl:attribute name="onclick">onQuerylistRelatedIconClick<xsl:value-of select="normalize-space(/Result/Suffix)" />(this, 'w')</xsl:attribute>
					</img>
  				  	<span>
  				  	<xsl:attribute name="class">querylist-related-w<xsl:value-of select="normalize-space(/Result/Classsuffix)" /></xsl:attribute>
  				  	<xsl:attribute name="onmouseover">onQuerylistRelatedMouseOver<xsl:value-of select="normalize-space(/Result/Suffix)" />(this, 'w')</xsl:attribute>
  				  	<xsl:attribute name="onmouseout">onQuerylistRelatedMouseOut<xsl:value-of select="normalize-space(/Result/Suffix)" />(this, 'w')</xsl:attribute>
  				  	<xsl:attribute name="onclick">onQuerylistRelatedClick<xsl:value-of select="normalize-space(/Result/Suffix)" />(this, 'w')</xsl:attribute>
					<xsl:attribute name="oncontextmenu">onQuerylistRelatedContextMenu<xsl:value-of select="normalize-space(/Result/Suffix)" />(this, 'w')</xsl:attribute>
  				  		<xsl:value-of select="normalize-space(.)" />
  				  	</span>
  					<br />  				 	
  				   </xsl:if>
  				 </xsl:for-each>
  				</td> 
  				<td width="25%">
  				 <xsl:for-each select="Related">
  				  <xsl:if test="6 &lt; position()">
  					<img class="imglink" style="vertical-align:middle"  src="img/st.gif">
						<xsl:attribute name="onclick">onQuerylistRelatedIconClick<xsl:value-of select="normalize-space(/Result/Suffix)" />(this, 'w')</xsl:attribute>
					</img>
  				  	<span>
  				  	<xsl:attribute name="class">querylist-related-w<xsl:value-of select="normalize-space(/Result/Classsuffix)" /></xsl:attribute>
  				  	<xsl:attribute name="onmouseover">onQuerylistRelatedMouseOver<xsl:value-of select="normalize-space(/Result/Suffix)" />(this, 'w')</xsl:attribute>
  				  	<xsl:attribute name="onmouseout">onQuerylistRelatedMouseOut<xsl:value-of select="normalize-space(/Result/Suffix)" />(this, 'w')</xsl:attribute>
  				  	<xsl:attribute name="onclick">onQuerylistRelatedClick<xsl:value-of select="normalize-space(/Result/Suffix)" />(this, 'w')</xsl:attribute>
					<xsl:attribute name="oncontextmenu">onQuerylistRelatedContextMenu<xsl:value-of select="normalize-space(/Result/Suffix)" />(this, 'w')</xsl:attribute>
  				  		<xsl:value-of select="normalize-space(.)" />
  				  	</span>
  					<br />  				 	
  				   </xsl:if>
  				 </xsl:for-each>
  				</td>
  			</tr>
  		</table>
  </xsl:template>

   <xsl:template match="p">
   <td>
     <a target="_self" href="#" title="浏览专利全文">
			<xsl:attribute name="class">querylist<xsl:value-of select="normalize-space(../Other)" />-p<xsl:value-of select="normalize-space(/Result/Classsuffix)" /></xsl:attribute>   		
      <xsl:attribute name="url">pncompare.htm?ip=<xsl:value-of select="normalize-space(/Result/ID)" />&amp;pnlist=<xsl:value-of select="normalize-space(.)" /></xsl:attribute>
			<xsl:attribute name="onmouseover">onQueryTableMouseOver<xsl:value-of select="normalize-space(/Result/Suffix)" />(this, 'p', '<xsl:value-of select="normalize-space(../PN)" />')</xsl:attribute> 
			<xsl:attribute name="onmouseout">onQueryTableMouseOut<xsl:value-of select="normalize-space(/Result/Suffix)" />(this, 'p', '<xsl:value-of select="normalize-space(../PN)" />')</xsl:attribute> 
			<xsl:attribute name="onclick">onQueryTableClick<xsl:value-of select="normalize-space(/Result/Suffix)" />(this, 'p', '<xsl:value-of select="normalize-space(../PN)" />', '<xsl:value-of select="normalize-space(../ID)" />', '<xsl:value-of select="normalize-space(/Result/ID)" />')</xsl:attribute>
			<xsl:attribute name="oncontextmenu">onQueryTableContextMenu<xsl:value-of select="normalize-space(/Result/Suffix)" />(this, 'p', '<xsl:value-of select="normalize-space(../PN)" />', '<xsl:value-of select="normalize-space(../ID)" />')</xsl:attribute>
			<xsl:value-of select="normalize-space(.)" />
		</a>
   </td> 
  </xsl:template> 
   
  <xsl:template match="t">
   <td>
		<span target="_blank" title="点击打开专利浏览器">
			<xsl:attribute name="class">querylist-t<xsl:value-of select="normalize-space(/Result/Classsuffix)" /></xsl:attribute>   		  	 							
			<xsl:attribute name="onmouseover">onQueryTableMouseOver<xsl:value-of select="normalize-space(/Result/Suffix)" />(this, 't', '<xsl:value-of select="normalize-space(../PN)" />')</xsl:attribute> 
			<xsl:attribute name="onmouseout">onQueryTableMouseOut<xsl:value-of select="normalize-space(/Result/Suffix)" />(this, 't', '<xsl:value-of select="normalize-space(../PN)" />')</xsl:attribute>
			<xsl:attribute name="onclick">
				onQueryTableClick(this, 'l', '<xsl:value-of select="normalize-space(../PN)" />', '<xsl:value-of select="normalize-space(../ID)"/>', '<xsl:value-of select="normalize-space(/Result/ID)" />')
			</xsl:attribute>
			<xsl:attribute name="oncontextmenu">onQueryTableContextMenu<xsl:value-of select="normalize-space(/Result/Suffix)" />(this, 't', '<xsl:value-of select="normalize-space(../PN)" />', '<xsl:value-of select="normalize-space(../ID)" />')</xsl:attribute>
			<xsl:value-of select="normalize-space(.)" />
		</span>
   </td> 
  </xsl:template> 
	
	<xsl:template match="r">
		<td>
			<span target="_blank">
				<xsl:value-of select="normalize-space(.)" />%
			</span>
		</td> 
	</xsl:template> 

  <xsl:template match="a">
   <td>
		<span target="_blank" title="查找该公司专利">
			<xsl:attribute name="class">querylist-a<xsl:value-of select="normalize-space(/Result/Classsuffix)" /></xsl:attribute>   		  	 							
			<xsl:attribute name="onmouseover">onQueryTableMouseOver<xsl:value-of select="normalize-space(/Result/Suffix)" />(this, 'a', '<xsl:value-of select="normalize-space(../PN)" />')</xsl:attribute> 
			<xsl:attribute name="onmouseout">onQueryTableMouseOut<xsl:value-of select="normalize-space(/Result/Suffix)" />(this, 'a', '<xsl:value-of select="normalize-space(../PN)" />')</xsl:attribute> 
			<xsl:attribute name="onclick">onQueryTableClick<xsl:value-of select="normalize-space(/Result/Suffix)" />(this, 'a', '<xsl:value-of select="normalize-space(../PN)" />', '<xsl:value-of select="normalize-space(../ID)"/>', '<xsl:value-of select="normalize-space(/Result/ID)" />')</xsl:attribute>
			<xsl:attribute name="oncontextmenu">onQueryTableContextMenu<xsl:value-of select="normalize-space(/Result/Suffix)" />(this, 'a', '<xsl:value-of select="normalize-space(../PN)" />', '<xsl:value-of select="normalize-space(../ID)" />')</xsl:attribute>
			<xsl:value-of select="normalize-space(.)" />
		</span>
   </td>
  </xsl:template> 
         
  <xsl:template match="i">
    <span target="_blank" title="查找该发明人专利">
			<xsl:attribute name="class">querylist-i<xsl:value-of select="normalize-space(/Result/Classsuffix)" /></xsl:attribute>   		  	 							
			<xsl:attribute name="onmouseover">onQueryTableMouseOver<xsl:value-of select="normalize-space(/Result/Suffix)" />(this, 'i', '<xsl:value-of select="normalize-space(../../PN)" />')</xsl:attribute> 
			<xsl:attribute name="onmouseout">onQueryTableMouseOut<xsl:value-of select="normalize-space(/Result/Suffix)" />(this, 'i', '<xsl:value-of select="normalize-space(../../PN)" />')</xsl:attribute> 
			<xsl:attribute name="onclick">onQueryTableClick<xsl:value-of select="normalize-space(/Result/Suffix)" />(this, 'i', '<xsl:value-of select="normalize-space(../../PN)" />', '<xsl:value-of select="normalize-space(../../ID)"/>', '<xsl:value-of select="normalize-space(/Result/ID)" />')</xsl:attribute>
			<xsl:attribute name="oncontextmenu">onQueryTableContextMenu<xsl:value-of select="normalize-space(/Result/Suffix)" />(this, 'i', '<xsl:value-of select="normalize-space(../PN)" />', '<xsl:value-of select="normalize-space(../ID)" />')</xsl:attribute>
			<xsl:value-of select="normalize-space(.)" />
		</span>
	  <xsl:if test="position() != last()"> | </xsl:if>
  </xsl:template>
 
  <xsl:template match="iList">
   <td>
    <xsl:apply-templates />    
   </td> 
  </xsl:template>  

  <xsl:template match="c">
   <td>
		<span target="_blank" title="查找该美国分类(CCL)专利">
			<xsl:attribute name="class">querylist-c<xsl:value-of select="normalize-space(/Result/Classsuffix)" /></xsl:attribute>   		  	 							
			<xsl:attribute name="onmouseover">onQueryTableMouseOver<xsl:value-of select="normalize-space(/Result/Suffix)" />(this, 'c', '<xsl:value-of select="normalize-space(../PN)" />')</xsl:attribute> 
			<xsl:attribute name="onmouseout">onQueryTableMouseOut<xsl:value-of select="normalize-space(/Result/Suffix)" />(this, 'c', '<xsl:value-of select="normalize-space(../PN)" />')</xsl:attribute> 
			<xsl:attribute name="onclick">onQueryTableClick<xsl:value-of select="normalize-space(/Result/Suffix)" />(this, 'c', '<xsl:value-of select="normalize-space(../PN)" />', '<xsl:value-of select="normalize-space(../ID)"/>', '<xsl:value-of select="normalize-space(/Result/ID)" />')</xsl:attribute>
			<xsl:attribute name="oncontextmenu">onQueryTableContextMenu<xsl:value-of select="normalize-space(/Result/Suffix)" />(this, 'c', '<xsl:value-of select="normalize-space(../PN)" />', '<xsl:value-of select="normalize-space(../ID)" />')</xsl:attribute>
			<xsl:attribute name="title"><xsl:value-of select="normalize-space(Value)" /></xsl:attribute>
			<xsl:value-of select="normalize-space(Key)" />
		</span>
   </td> 
  </xsl:template> 

  <xsl:template match="w">
   <td>
		<span target="_blank">
			<xsl:attribute name="class">querylist-w<xsl:value-of select="normalize-space(/Result/Classsuffix)" /></xsl:attribute>   		  	 							
			<xsl:attribute name="onmouseover">onQueryTableMouseOver<xsl:value-of select="normalize-space(/Result/Suffix)" />(this, 'w', '<xsl:value-of select="normalize-space(../PN)" />')</xsl:attribute> 
			<xsl:attribute name="onmouseout">onQueryTableMouseOut<xsl:value-of select="normalize-space(/Result/Suffix)" />(this, 'w', '<xsl:value-of select="normalize-space(../PN)" />')</xsl:attribute> 
			<xsl:attribute name="onclick">onQueryTableClick<xsl:value-of select="normalize-space(/Result/Suffix)" />(this, 'w', '<xsl:value-of select="normalize-space(../PN)" />', '<xsl:value-of select="normalize-space(../ID)"/>', '<xsl:value-of select="normalize-space(/Result/ID)" />')</xsl:attribute>
			<xsl:attribute name="oncontextmenu">onQueryTableContextMenu<xsl:value-of select="normalize-space(/Result/Suffix)" />(this, 'w', '<xsl:value-of select="normalize-space(../PN)" />', '<xsl:value-of select="normalize-space(../ID)" />')</xsl:attribute>
			<xsl:value-of select="normalize-space(.)" />
		</span>
   </td> 
  </xsl:template> 

  <xsl:template match="n">
   <td>
		<span target="_blank">
			<xsl:attribute name="class">querylist-t<xsl:value-of select="normalize-space(/Result/Classsuffix)" /></xsl:attribute>   		  	 							
			<xsl:attribute name="onmouseover">onQueryTableMouseOver<xsl:value-of select="normalize-space(/Result/Suffix)" />(this, 'n', '<xsl:value-of select="normalize-space(../PN)" />')</xsl:attribute> 
			<xsl:attribute name="onmouseout">onQueryTableMouseOut<xsl:value-of select="normalize-space(/Result/Suffix)" />(this, 'n', '<xsl:value-of select="normalize-space(../PN)" />')</xsl:attribute> 
			<xsl:attribute name="onclick">onQueryTableClick<xsl:value-of select="normalize-space(/Result/Suffix)" />(this, 'n', '<xsl:value-of select="normalize-space(../PN)" />', '<xsl:value-of select="normalize-space(../ID)"/>', '<xsl:value-of select="normalize-space(/Result/ID)" />')</xsl:attribute>
			<xsl:attribute name="oncontextmenu">onQueryTableContextMenu<xsl:value-of select="normalize-space(/Result/Suffix)" />(this, 'n', '<xsl:value-of select="normalize-space(../PN)" />', '<xsl:value-of select="normalize-space(../ID)" />')</xsl:attribute>
			<xsl:value-of select="normalize-space(.)" />
		</span>
   </td> 
  </xsl:template> 

  <xsl:template match="e">
   <td>
		<span target="_blank" title="查找该审查员审查专利">
			<xsl:attribute name="class">querylist-t<xsl:value-of select="normalize-space(/Result/Classsuffix)" /></xsl:attribute>   		  	 							
			<xsl:attribute name="onmouseover">onQueryTableMouseOver<xsl:value-of select="normalize-space(/Result/Suffix)" />(this, 'e', '<xsl:value-of select="normalize-space(../PN)" />')</xsl:attribute> 
			<xsl:attribute name="onmouseout">onQueryTableMouseOut<xsl:value-of select="normalize-space(/Result/Suffix)" />(this, 'e', '<xsl:value-of select="normalize-space(../PN)" />')</xsl:attribute> 
			<xsl:attribute name="onclick">onQueryTableClick<xsl:value-of select="normalize-space(/Result/Suffix)" />(this, 'e', '<xsl:value-of select="normalize-space(../PN)" />', '<xsl:value-of select="normalize-space(../ID)"/>', '<xsl:value-of select="normalize-space(/Result/ID)" />')</xsl:attribute>
			<xsl:attribute name="oncontextmenu">onQueryTableContextMenu<xsl:value-of select="normalize-space(/Result/Suffix)" />(this, 'e', '<xsl:value-of select="normalize-space(../PN)" />', '<xsl:value-of select="normalize-space(../ID)" />')</xsl:attribute>
			<xsl:value-of select="normalize-space(.)" />
		</span>
   </td> 
  </xsl:template> 

  <xsl:template match="l">
   <td>
		<span target="_blank" title="查找该国际分类(ICL)专利">
			<xsl:attribute name="class">querylist-t<xsl:value-of select="normalize-space(/Result/Classsuffix)" /></xsl:attribute>   		  	 							
			<xsl:attribute name="onmouseover">onQueryTableMouseOver<xsl:value-of select="normalize-space(/Result/Suffix)" />(this, 'l', '<xsl:value-of select="normalize-space(../PN)" />')</xsl:attribute> 
			<xsl:attribute name="onmouseout">onQueryTableMouseOut<xsl:value-of select="normalize-space(/Result/Suffix)" />(this, 'l', '<xsl:value-of select="normalize-space(../PN)" />')</xsl:attribute> 
			<xsl:attribute name="onclick">onQueryTableClick<xsl:value-of select="normalize-space(/Result/Suffix)" />(this, 'l', '<xsl:value-of select="normalize-space(../PN)" />', '<xsl:value-of select="normalize-space(../ID)"/>', '<xsl:value-of select="normalize-space(/Result/ID)" />')</xsl:attribute>
			<xsl:attribute name="oncontextmenu">onQueryTableContextMenu<xsl:value-of select="normalize-space(/Result/Suffix)" />(this, 'l', '<xsl:value-of select="normalize-space(../PN)" />', '<xsl:value-of select="normalize-space(../ID)" />')</xsl:attribute>
			<xsl:value-of select="normalize-space(.)" />
		</span>
   </td> 
  </xsl:template> 

  
 <xsl:template match="PatentList">
   	<table cellspacing="2">
		<xsl:attribute name="id">querylist-projectpatent-table-<xsl:value-of select="normalize-space(/Result/Foo)" /></xsl:attribute>
   		<xsl:attribute name="class">querylist-content<xsl:value-of select="normalize-space(/Result/Classsuffix)" /></xsl:attribute>
   		<tr> 
   			<xsl:attribute name="class">querylist-title<xsl:value-of select="normalize-space(/Result/Classsuffix)" /></xsl:attribute>
			<td width="15px" align="center">
				<input type="checkbox">
					<xsl:attribute name="id">querylist-projectpatent-titlecheckbox-<xsl:value-of select="normalize-space(/Result/Foo)" /></xsl:attribute>
					<xsl:attribute name="onclick">doCheckAll('<xsl:value-of select="normalize-space(/Result/Foo)" />');</xsl:attribute>
				</input>
			</td>
			<xsl:for-each select="/Result/DisplayFieldList/DisplayField">
  	 			<td> 
  	 				<xsl:if test="normalize-space(Value) != ''"><xsl:attribute name="width"><xsl:value-of select="concat(normalize-space(Value),'px')" /></xsl:attribute></xsl:if>
  	 				<xsl:choose> 
  	 					<xsl:when test="normalize-space(Key) = 'p'">专利号</xsl:when>
  	 					<xsl:when test="normalize-space(Key) = 't'">标题</xsl:when>
  	 					<xsl:when test="normalize-space(Key) = 'a'">公司</xsl:when> 
  	 					<xsl:when test="normalize-space(Key) = 'i'">发明人</xsl:when> 
  	 					<xsl:when test="normalize-space(Key) = 'c'">分类</xsl:when> 
  	 					<xsl:when test="normalize-space(Key) = 'w'">索引词</xsl:when> 
  	 					<xsl:when test="normalize-space(Key) = 'n'">总数</xsl:when> 
  	 					<xsl:when test="normalize-space(Key) = 'e'">审查员</xsl:when>
  	 					<xsl:when test="normalize-space(Key) = 'l'">代理</xsl:when>
						<xsl:when test="normalize-space(Key) = 'r'">相关度</xsl:when>
  	 					<xsl:otherwise>其他</xsl:otherwise>
  	 				</xsl:choose>
   				</td>
			</xsl:for-each>
			<td width="20px" align="center">
        <xsl:if test="normalize-space(/Result/Fooipid) = '-1'">
          <xsl:attribute name="style">display:none</xsl:attribute>
        </xsl:if>
      </td>
 			</tr> 
 			<xsl:for-each select="Patent">
 			 <tr>
 			 	<xsl:if test="position() mod 2 = 0">
 			 	 <xsl:attribute name="class">querylist-dark<xsl:value-of select="normalize-space(/Result/Classsuffix)" /></xsl:attribute>
 			 	</xsl:if>
 			 	<xsl:if test="position() mod 2 != 0">
 			 	 <xsl:attribute name="class">querylist-light<xsl:value-of select="normalize-space(/Result/Classsuffix)" /></xsl:attribute>
 			 	</xsl:if>
				 <td>
					 <input type="checkbox">
						 <xsl:attribute name="id">querylist-projectpatent-checkbox-<xsl:value-of select="normalize-space(PN)" /></xsl:attribute>
						 <xsl:attribute name="value"><xsl:value-of select="normalize-space(PN)" /></xsl:attribute>
					 </input>
				 </td>
				 <xsl:apply-templates />
				 <td>
           <xsl:if test="normalize-space(/Result/Fooipid) = '-1'">
             <xsl:attribute name="style">display:none</xsl:attribute>
           </xsl:if>
					 <img class="imglink"  onmouseover="this.src='img/delete-active.gif'" onmouseout="this.src='img/delete.gif'" src="img/delete.gif" title="删除">
						 <xsl:attribute name="onclick">
							 doProjectPatentDelete('<xsl:value-of select="normalize-space(/Result/Foo)" />','<xsl:value-of select="normalize-space(PN)" />')
						 </xsl:attribute>
					 </img>
				 </td>
			 </tr>
			 <tr width="100%" style="display:none;">
 			 	<xsl:attribute name="class">querylist-hiderow<xsl:value-of select="normalize-space(/Result/Classsuffix)" /></xsl:attribute>
				 <td align="center" width="100%"> 
 			 		<xsl:attribute name="colspan"><xsl:value-of select="count(/Result/DisplayFieldList/DisplayField) + 2" /></xsl:attribute>   		
 			 		<div style="width:100%">
 			 			<xsl:attribute name="id"><xsl:value-of select="ID" /></xsl:attribute>
 			 		</div>
 			 	</td>
 			 </tr>
 			</xsl:for-each>
 		</table>
		<xsl:if test="1 &lt; /Result/PageCount">
			<center>
     		<table>
     			<xsl:attribute name="class">querylist-pager<xsl:value-of select="normalize-space(/Result/Classsuffix)" /></xsl:attribute>
     			<tr>
     			 <td align="left">
						 <xsl:choose>
					 		<xsl:when test="/Result/PageIndex = 0">
					 			<span class="graytext">首页</span> | <span class="graytext">上一页</span> | 
					 		</xsl:when>
					 		<xsl:otherwise>
					 			<span> 
					 				<xsl:attribute name="class">querylist-pageranchor<xsl:value-of select="normalize-space(/Result/Classsuffix)" /></xsl:attribute>
					 				<xsl:attribute name="onclick">javascript:goPage<xsl:value-of select="normalize-space(/Result/Suffix)" />(0, this, <xsl:value-of select="/Result/PageCount"/>)</xsl:attribute>
					 				首页</span> | 
					 			<span> 
					 				<xsl:attribute name="class">querylist-pageranchor<xsl:value-of select="normalize-space(/Result/Classsuffix)" /></xsl:attribute>
					 				<xsl:attribute name="onclick">javascript:goPage<xsl:value-of select="normalize-space(/Result/Suffix)" />(<xsl:value-of select="/Result/PageIndex - 1" />, this, <xsl:value-of select="/Result/PageCount"/>)</xsl:attribute>
					 				上一页</span>  |					 		
					 		</xsl:otherwise>
						 </xsl:choose>     		  
						 <xsl:choose>
					 		<xsl:when test="/Result/PageIndex = /Result/PageCount - 1">
					 			<span class="graytext">下一页</span> | <span class="graytext">尾页</span> 
					 		</xsl:when>
					 		<xsl:otherwise>
								<span>
									<xsl:attribute name="class">querylist-pageranchor</xsl:attribute>
									<xsl:attribute name="onclick">goPage<xsl:value-of select="normalize-space(/Result/Suffix)" />(<xsl:value-of select="/Result/PageIndex + 1" />, this, <xsl:value-of select="/Result/PageCount"/>)</xsl:attribute>
									下一页</span> |
								<span>
									<xsl:attribute name="class">querylist-pageranchor</xsl:attribute>
									<xsl:attribute name="onclick">goPage<xsl:value-of select="normalize-space(/Result/Suffix)" />(<xsl:value-of select="/Result/PageCount - 1" />, this, <xsl:value-of select="/Result/PageCount"/>)</xsl:attribute>
									尾页
								</span> 	 		
					 		</xsl:otherwise>
						 </xsl:choose>
							 &#160;<input type="text" id="querylist-input">
					 		<xsl:attribute name="class">querylist-pagerinput<xsl:value-of select="normalize-space(/Result/Classsuffix)" /></xsl:attribute>
							<xsl:attribute name="onkeydown">checkPagerInputKey<xsl:value-of select="normalize-space(/Result/Suffix)" />(event, this, <xsl:value-of select="/Result/PageCount"/>)</xsl:attribute> 
						 </input>
							&#160;<span>
					  		<xsl:attribute name="class">querylist-pageranchor</xsl:attribute>		
					  		<xsl:attribute name="onclick">goPage<xsl:value-of select="normalize-space(/Result/Suffix)" />(findSiblingBefore(this, 'input', 1).value - 1, this, <xsl:value-of select="/Result/PageCount"/>)</xsl:attribute>跳转</span>  
     			 </td>
     			 <td align="right">页号 <xsl:value-of select="/Result/PageIndex + 1"/> / <xsl:value-of select="/Result/PageCount"/> &#160;
					 <xsl:for-each select="/Result/PageList/Page">
						 <xsl:choose>
							 <xsl:when test="/Result/PageIndex + 1 = .">
								 <span class="graytext">[<xsl:value-of select="."/>]</span>
							 </xsl:when>
							 <xsl:otherwise>
								 [<span><xsl:attribute name="class">querylist-pageranchor</xsl:attribute>
									 <xsl:attribute name="onclick">goPage<xsl:value-of select="normalize-space(/Result/Suffix)" />(<xsl:value-of select=". - 1" />, this, <xsl:value-of select="/Result/PageCount"/>)</xsl:attribute>
									 <xsl:value-of select="normalize-space(.)"/></span>]
							 </xsl:otherwise>
						 </xsl:choose>
					 </xsl:for-each>
     		   </td>
     			</tr>
     		</table>
			</center>
		</xsl:if>
		 <table>
			 <xsl:attribute name="class">querylist-content<xsl:value-of select="normalize-space(/Result/Classsuffix)" /></xsl:attribute>
			 <tr width="100%">
				 <td align="left">
					<xsl:attribute name="colspan"><xsl:value-of select="count(/Result/DisplayFieldList/DisplayField) + 2" /></xsl:attribute>
					 <table width="100%">
						 <tr width="100%">
							 <td align="left">
								 <xsl:if test="count(/Result/PatentList/Patent) &gt; 0">
									 <span>选中的专利:</span>&#160;
                   <xsl:if test="normalize-space(/Result/Fooipid) != '-1'">
									 <span class="anchorunderline">
										 <xsl:attribute name="onclick">prepareProjectPatentDelete('<xsl:value-of select="normalize-space(/Result/Foo)" />')</xsl:attribute>删除</span>
									 <span>|</span>
                   </xsl:if>
									 <span>
										 <xsl:attribute name="class">anchorunderline</xsl:attribute>
										 <xsl:attribute name="onclick">prepareProjectPatentAdd('<xsl:value-of select="normalize-space(/Result/Foo)" />')</xsl:attribute>添加到</span>&#160;
                   <xsl:if test="normalize-space(/Result/Fooipid) != '-1'">
                    <span>
										 <xsl:attribute name="class">anchorunderline</xsl:attribute>
										 <xsl:attribute name="onclick">prepareProjectPatentMove('<xsl:value-of select="normalize-space(/Result/Foo)" />')</xsl:attribute>移动到</span>&#160;
									 </xsl:if>
                    <select>
										 <xsl:attribute name="class">selectproject</xsl:attribute>
										 <xsl:attribute name="id">querylist-projectpatent-select-<xsl:value-of select="normalize-space(/Result/Foo)" /></xsl:attribute>
									 </select>
								 </xsl:if>
							 </td>
							 <td align="right">
                 <xsl:if test="normalize-space(/Result/Fooipid) = '-1'">
                   <xsl:attribute name="style">display:none</xsl:attribute>
                 </xsl:if>
								<span>专利号:</span>&#160;
								<input class="querylist-rotate-input" title="请输入专利号">
									<xsl:attribute name="id">querylist-projectpatent-inputpn-<xsl:value-of select="normalize-space(/Result/Foo)" /></xsl:attribute>
								</input>
								<span class="anchorunderline">
									<xsl:attribute name="onclick">
										doProjectPatentAdd('<xsl:value-of select="normalize-space(/Result/Foo)" />', '#')
									</xsl:attribute>添加</span>
							 </td>
						 </tr>
					 </table>
		 		</td>				 
			 </tr>
		 </table>
	</xsl:template>  

	<xsl:template match="Result"> 
    
    
    <div style="display:none"><xsl:value-of select="normalize-space(/Result/ID)" /></div>
    <xsl:if test="/Result/Total > 0" >
      <table width="100%">
        <tr>
          <td align="left">
            <span>
			        <xsl:attribute name="id">project-tab-header-p-<xsl:value-of select="normalize-space(/Result/Foo)" /></xsl:attribute>
			        <xsl:attribute name="class">querytab-tabactive</xsl:attribute>
			        <xsl:attribute name="onmouseover">onQuerytabMouseOver(this)</xsl:attribute>
			        <xsl:attribute name="onmouseout">onQuerytabMouseOut(this)</xsl:attribute>
			        <xsl:attribute name="onclick">onProjectTabClick('p', '<xsl:value-of select="normalize-space(/Result/Foo)" />')</xsl:attribute>
			        专利
		        </span>
            <xsl:if test="/Result/Total > 0" >
              |
              <span>
			          <xsl:attribute name="id">project-tab-header-s-<xsl:value-of select="normalize-space(/Result/Foo)" /></xsl:attribute>
			          <xsl:attribute name="class">querytab-tab</xsl:attribute>
			          <xsl:attribute name="onmouseover">onQuerytabMouseOver(this)</xsl:attribute>
			          <xsl:attribute name="onmouseout">onQuerytabMouseOut(this)</xsl:attribute>
			          <xsl:attribute name="onclick">onProjectTabClick('s', '<xsl:value-of select="normalize-space(/Result/Foo)" />')</xsl:attribute>
			          统计
		          </span>
            </xsl:if>    
          </td>
          <td align="right">
            <xsl:if test="/Result/Total > 0" >
              <img onmouseover="this.src='img/close-active.gif'" onmouseout="this.src='img/close.gif'" src="img/close.gif"  alt="关闭"  title="关闭" onclick="hideParentDiv(this);" class="imglink"></img>
            </xsl:if>
          </td>
        </tr>
      </table>
    </xsl:if>
    
    <div style="width:100%;">
      <xsl:attribute name="id">project-tab-div-p-<xsl:value-of select="normalize-space(/Result/Foo)" /></xsl:attribute>
      <table width="100%">
			  <tr>
				  <td align="left">
				   <xsl:choose>
				 	  <xsl:when test="/Result/PageCount = 0 and /Result/PageSize &lt;= /Result/Total">Top <xsl:value-of select="normalize-space(/Result/PageSize)" /> </xsl:when>
				 	  <xsl:when test="/Result/PageCount != 0 and 10000 &lt; /Result/Total">More than <xsl:value-of select="normalize-space(/Result/Total)" />  </xsl:when>
				 	  <xsl:otherwise><xsl:value-of select="normalize-space(/Result/Total)" /></xsl:otherwise>
				   </xsl:choose>
            项结果:
          </td>
				  <td align="right">           
            <xsl:if test="normalize-space(/Result/Total) = 0" >
              <img onmouseover="this.src='img/close-active.gif'" onmouseout="this.src='img/close.gif'" src="img/close.gif" alt="关闭"  title="关闭" onclick="hideParentDiv(findParentNode(this, 'div', 1));" class="imglink"></img>
            </xsl:if>
				  </td>
			  </tr>
		  </table>
		  <xsl:apply-templates />
    </div>
    <div style="width:100%;display:none" >
      <xsl:attribute name="id">project-tab-div-s-<xsl:value-of select="normalize-space(/Result/Foo)" /></xsl:attribute>
    </div>
      
  </xsl:template>

	<xsl:template match="PageList"></xsl:template>
	<xsl:template match="Foo"></xsl:template>
</xsl:stylesheet>