<?xml version='1.0' encoding='utf-8'?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
<xsl:output method="html" encoding="utf-8"/>

  <xsl:template match="*|@*">
	<xsl:copy>
		<xsl:apply-templates select="@*|*|comment()|processing-instruction()|text()"/>
	</xsl:copy> 
  </xsl:template>

	<xsl:template match="WithCount"></xsl:template>
	<xsl:template match="Foo"></xsl:template>
	<xsl:template match="ConceptFlag"></xsl:template>
  <xsl:template match="ShowPN"></xsl:template>
  <xsl:template match="QueryFilter"></xsl:template>
	<xsl:template match="ConceptTerm"></xsl:template>
	<xsl:template match="Fooconceptflag"></xsl:template>
  <xsl:template match="Footype"></xsl:template>
	<xsl:template match="Total"></xsl:template> 
    <xsl:template match="PageSize"></xsl:template> 
    <xsl:template match="PageIndex"></xsl:template> 
    <xsl:template match="Suffix"></xsl:template> 
    <xsl:template match="Classsuffix"></xsl:template>
    <xsl:template match="PageCount"></xsl:template>
    <xsl:template match="DisplayFieldList"></xsl:template>
    <xsl:template match="PN"></xsl:template>
    <xsl:template match="ID"></xsl:template>
    <xsl:template match="Other"></xsl:template>
    <xsl:template match="Color"></xsl:template>
    <xsl:template match="ColorList"></xsl:template>
  <xsl:template match="BookmarkNumber"></xsl:template>
  <xsl:template match="BookmarkName"></xsl:template>
  <xsl:template match="FooShowPN"></xsl:template>
  <xsl:template match="CheckPdf"></xsl:template>
  <xsl:template match="ChangedQuery"></xsl:template>
	<xsl:template match="ChangeLan"></xsl:template>
  <xsl:template match="SpellSuggestQuery"></xsl:template>
  <xsl:template match="QueryExp"></xsl:template>
	<xsl:template match="ap"></xsl:template>
	<xsl:template match="Click"></xsl:template>
  <xsl:template match="FooIndex"></xsl:template>
	<xsl:template match="pt"></xsl:template>
	<xsl:template match="ErrorMsg"></xsl:template>
	<xsl:template match="et"></xsl:template>
  <xsl:template match="ad"></xsl:template>
	<xsl:template match="isd"></xsl:template>
	<xsl:template match="prd"></xsl:template>
	<xsl:template match="ct"></xsl:template>
	<xsl:template match="fam"></xsl:template>
	<xsl:template match="Database"></xsl:template>
	<xsl:template match="lsd"></xsl:template>
	<xsl:template match="ref"></xsl:template>
	<xsl:template match="abst"></xsl:template>
	<xsl:template match="fig"></xsl:template>
	<xsl:template match="date"></xsl:template>
  <xsl:template match="iEnc"></xsl:template>
  <xsl:template match="cpcs"></xsl:template>
  <xsl:template match="icls"></xsl:template>
  <xsl:template match="fam"></xsl:template>
  <xsl:template match="ct"></xsl:template>
  <xsl:template match="ref"></xsl:template>
  <xsl:template match="sFigsList"></xsl:template>
  <xsl:template match="sUrlsList"></xsl:template>
	<xsl:template match="dbs">
		<div style="display:none" id="dbsdiv">
			<xsl:value-of select="normalize-space(.)" />
		</div>
	</xsl:template>
	<xsl:template match="nds">
		<div style="display:none" id="ndsdiv">
			<xsl:value-of select="normalize-space(.)" />
		</div>
	</xsl:template>
	<xsl:template match="infos">
		<div style="display:none" id="infosdiv">
			<xsl:value-of select="normalize-space(.)" />
		</div>
	</xsl:template>
	<xsl:template match="idb">
		<div id="returndb" style="display:none">
			<xsl:value-of select="."/>
		</div>
	</xsl:template>
	<xsl:template match="sd"></xsl:template>

	<xsl:template match="iHighCntList">
		<div style="display:none">
			<xsl:attribute name="id">ret-high-list-<xsl:value-of select="/Result/Foo"/></xsl:attribute>
			<xsl:for-each select="iHighCnt">
				<span>
					<xsl:value-of select="normalize-space(.)" />
				</span>
			</xsl:for-each>
		</div>
	</xsl:template>
	<xsl:template match="RelatedList">  
  		<table>
  			<xsl:attribute name="class">querylist-related<xsl:value-of select="normalize-space(/Result/Classsuffix)" /></xsl:attribute>
  			<tr>
  				<xsl:attribute name="class">querylist-related-title<xsl:value-of select="normalize-space(/Result/Classsuffix)" /></xsl:attribute>
  				<td width="100%" colspan="4">相关概念:</td>
  			</tr>
  			<tr>				 	
  				<td width="25%">
  				 <xsl:for-each select="Related">
  				  <xsl:if test="position() &lt; 3">
  					<img class="imglink" style="vertical-align:middle"  src="img/st.gif" title="用此相关概念在全文字段(B)中进行二次搜索">
						<xsl:attribute name="onclick">onQuerylistRelatedIconClick<xsl:value-of select="normalize-space(/Result/Suffix)" />(this, 'w')</xsl:attribute>
					</img>
  				  	<span title="用此相关概念做概念搜索">
  				  	<xsl:attribute name="class">querylist-related-w<xsl:value-of select="normalize-space(/Result/Classsuffix)" /></xsl:attribute>
  				  	<xsl:attribute name="onmouseover">onQuerylistRelatedMouseOver<xsl:value-of select="normalize-space(/Result/Suffix)" />(this, 'w')</xsl:attribute>
  				  	<xsl:attribute name="onmouseout">onQuerylistRelatedMouseOut<xsl:value-of select="normalize-space(/Result/Suffix)" />(this, 'w')</xsl:attribute>
  				  	<xsl:attribute name="onclick">onQuerylistRelatedClick<xsl:value-of select="normalize-space(/Result/Suffix)" />(this, 'w')</xsl:attribute>
					<xsl:attribute name="oncontextmenu">onQuerylistRelatedContextMenu<xsl:value-of select="normalize-space(/Result/Suffix)" />(this, 'w')</xsl:attribute>
  				  		<xsl:value-of select="normalize-space(.)" />
  				  	</span>
					  <br /> 				 	
  				   </xsl:if>
  				 </xsl:for-each>
  				</td>
  				<td width="25%">
  				 <xsl:for-each select="Related">
  				  <xsl:if test="2 &lt; position() and position() &lt; 5">
  					<img class="imglink" style="vertical-align:middle"  src="img/st.gif" title="用此相关概念在全文字段(B)中进行二次搜索">
              <xsl:attribute name="onclick">onQuerylistRelatedIconClick<xsl:value-of select="normalize-space(/Result/Suffix)" />(this, 'w')
              </xsl:attribute>
            </img>
              <span title="用此相关概念做概念搜索">
              <xsl:attribute name="class">querylist-related-w<xsl:value-of select="normalize-space(/Result/Classsuffix)" />
              </xsl:attribute>
              <xsl:attribute name="onmouseover">onQuerylistRelatedMouseOver<xsl:value-of select="normalize-space(/Result/Suffix)" />(this, 'w')
              </xsl:attribute>
              <xsl:attribute name="onmouseout">onQuerylistRelatedMouseOut<xsl:value-of select="normalize-space(/Result/Suffix)" />(this, 'w')
              </xsl:attribute>
              <xsl:attribute name="onclick">onQuerylistRelatedClick<xsl:value-of select="normalize-space(/Result/Suffix)" />(this, 'w')
              </xsl:attribute>
              <xsl:attribute name="oncontextmenu">onQuerylistRelatedContextMenu<xsl:value-of select="normalize-space(/Result/Suffix)" />(this, 'w')
              </xsl:attribute>
              <xsl:value-of select="normalize-space(.)" />
            </span>
            <br />
          </xsl:if>
        </xsl:for-each>
      </td>
      <td width="25%">
        <xsl:for-each select="Related">
          <xsl:if test="4 &lt; position() and position() &lt; 7">
            <img class="imglink" style="vertical-align:middle"  src="img/st.gif" title="用此相关概念在全文字段(B)中进行二次搜索">
						<xsl:attribute name="onclick">onQuerylistRelatedIconClick<xsl:value-of select="normalize-space(/Result/Suffix)" />(this, 'w')</xsl:attribute>
					</img>
            <span title="用此相关概念做概念搜索">
              <xsl:attribute name="class">querylist-related-w<xsl:value-of select="normalize-space(/Result/Classsuffix)" />
              </xsl:attribute>
              <xsl:attribute name="onmouseover">onQuerylistRelatedMouseOver<xsl:value-of select="normalize-space(/Result/Suffix)" />(this, 'w')
              </xsl:attribute>
              <xsl:attribute name="onmouseout">onQuerylistRelatedMouseOut<xsl:value-of select="normalize-space(/Result/Suffix)" />(this, 'w')
              </xsl:attribute>
              <xsl:attribute name="onclick">onQuerylistRelatedClick<xsl:value-of select="normalize-space(/Result/Suffix)" />(this, 'w')
              </xsl:attribute>
              <xsl:attribute name="oncontextmenu">onQuerylistRelatedContextMenu<xsl:value-of select="normalize-space(/Result/Suffix)" />(this, 'w')
              </xsl:attribute>
              <xsl:value-of select="normalize-space(.)" />
            </span>
            <br />
          </xsl:if>
        </xsl:for-each>
      </td>
      <td width="25%">
        <xsl:for-each select="Related">
          <xsl:if test="6 &lt; position()">
            <img class="imglink" style="vertical-align:middle"  src="img/st.gif" title="用此相关概念在全文字段(B)中进行二次搜索">
              <xsl:attribute name="onclick">onQuerylistRelatedIconClick<xsl:value-of select="normalize-space(/Result/Suffix)" />(this, 'w')
              </xsl:attribute>
            </img>
            <span title="用此相关概念做概念搜索">
  				  	<xsl:attribute name="class">querylist-related-w<xsl:value-of select="normalize-space(/Result/Classsuffix)" /></xsl:attribute>
  				  	<xsl:attribute name="onmouseover">onQuerylistRelatedMouseOver<xsl:value-of select="normalize-space(/Result/Suffix)" />(this, 'w')</xsl:attribute>
  				  	<xsl:attribute name="onmouseout">onQuerylistRelatedMouseOut<xsl:value-of select="normalize-space(/Result/Suffix)" />(this, 'w')</xsl:attribute>
  				  	<xsl:attribute name="onclick">onQuerylistRelatedClick<xsl:value-of select="normalize-space(/Result/Suffix)" />(this, 'w')</xsl:attribute>
					<xsl:attribute name="oncontextmenu">onQuerylistRelatedContextMenu<xsl:value-of select="normalize-space(/Result/Suffix)" />(this, 'w')</xsl:attribute>
  				  		<xsl:value-of select="normalize-space(.)" />
  				  	</span>
  					<br />  				 	
  				   </xsl:if>
  				 </xsl:for-each>
  				</td>
  			</tr>
  		</table>
  </xsl:template>

   <xsl:template match="p">
	   <td>
		   <xsl:attribute name="e"><xsl:value-of select="../et"/></xsl:attribute>
		   <xsl:if test="normalize-space(.) != normalize-space(/Result/ShowPN)">
			   <xsl:if test="../pt=4">
				   <xsl:attribute name="class">top1</xsl:attribute>
			   </xsl:if>
			   <xsl:if test="../pt=2">
				   <xsl:attribute name="class">top3</xsl:attribute>
			   </xsl:if>
			   <xsl:if test="../pt=1">
				   <xsl:attribute name="class">top20</xsl:attribute>
			   </xsl:if>
		   </xsl:if>
		   <xsl:choose>

			   <xsl:when test ="starts-with(., 'SS')">
					   <xsl:choose>
						   <xsl:when test ="../Other = ''">
							   <span>
								   <xsl:value-of select="."/>
							   </span>
						   </xsl:when>
						   <xsl:otherwise>

							   <a style="text-decoration:none" target="_blank">
								   <xsl:attribute name="href">
									   <xsl:value-of select="../Other"/>
								   </xsl:attribute>
								   <xsl:value-of select="."/>
							   </a>
						   </xsl:otherwise>
					   </xsl:choose>
			   </xsl:when>
			   <xsl:otherwise>
        <!--<xsl:if test="normalize-space(../Color) != ''">
       <xsl:attribute name="class">querylist-contenttd<xsl:value-of select="normalize-space(/Result/Classsuffix)" /></xsl:attribute>
         </xsl:if>-->
		   <xsl:if test="(../PN) &lt; 410000000 or (../PN) &gt; 211000000">
			   <!--<xsl:attribute name="class">querylist-contenttd<xsl:value-of select="normalize-space(/Result/Classsuffix)" />
			   </xsl:attribute>-->
			   <xsl:for-each select="/Result/DisplayFieldList/DisplayField">
				   <xsl:if test="normalize-space(Key) = 'p' and normalize-space(Value) != ''">
					   <xsl:attribute name="style">
						   width:<xsl:value-of select="normalize-space(Value)" />
					   </xsl:attribute>
				   </xsl:if>
			   </xsl:for-each>
			   <xsl:if test="(((../PN) &gt; 3574860)  or ((../PN) &lt; 60000) or (((../PN) &lt; 1000000) and ((../PN) &gt; 242582))) and (count(../Click) = 0)">
				   <span target="_self" href="#" title="浏览专利全文">
					   <!--
					   <xsl:if test="normalize-space(../sd) = '1'">
						   <xsl:attribute name="style">color:rgb(85, 26, 139)</xsl:attribute>
						   <xsl:if test="normalize-space(../Color) != ''">
							 <xsl:attribute name="style">background-color:<xsl:value-of select="normalize-space(Color)"/></xsl:attribute>
							 <xsl:attribute name="Color"><xsl:value-of select="normalize-space(Color)"/></xsl:attribute>
						   </xsl:if>
					   </xsl:if>-->
					   <xsl:if test="count(../CheckPdf) > 0">
						   <xsl:if test="(../CheckPdf) = 0">
							   <xsl:attribute name="url">
								   pncompare.htm?sl=chs&amp;ip=<xsl:value-of select="normalize-space(/Result/ID)" />&amp;pnlist=<xsl:value-of select="normalize-space(.)" />
							   </xsl:attribute>
						   </xsl:if>
						   <xsl:if test="(../CheckPdf) = 1">
							   <xsl:attribute name="url">
								   /PatenticsMisc/invokebinary.do?sf=ShowPdf&amp;mime=application/pdf&amp;spn=<xsl:value-of select="normalize-space(../PN)" />
							   </xsl:attribute>
						   </xsl:if>
					   </xsl:if>
					   <xsl:if test="count(../CheckPdf) =0 ">
						   <xsl:attribute name="url">
							   pncompare.htm?sl=chs&amp;ip=<xsl:value-of select="normalize-space(/Result/ID)" />&amp;pnlist=<xsl:value-of select="normalize-space(.)" />
						   </xsl:attribute>
					   </xsl:if>
					   <!--<xsl:attribute name="url">
			 pncompare.htm?sl=chs&amp;ip=<xsl:value-of select="normalize-space(/Result/ID)" />&amp;pnlist=<xsl:value-of select="normalize-space(.)" /></xsl:attribute>
        <xsl:attribute name="url">invokehtml.do?sf=ShowPatent&amp;ip=<xsl:value-of select="normalize-space(/Result/ID)" />&amp;spn=<xsl:value-of select="normalize-space(../PN)" />&amp;sx=showpatent</xsl:attribute>-->
					   <xsl:attribute name="onmouseover">onQueryTableMouseOver<xsl:value-of select="normalize-space(/Result/Suffix)" />(this, 'p', '<xsl:value-of select="normalize-space(../PN)" />')
					   </xsl:attribute>
					   <xsl:attribute name="onmouseout">onQueryTableMouseOut<xsl:value-of select="normalize-space(/Result/Suffix)" />(this, 'p', '<xsl:value-of select="normalize-space(../PN)" />')
					   </xsl:attribute>
					   <!--<xsl:attribute name="onclick">onQueryTableClick<xsl:value-of select="normalize-space(/Result/Suffix)" />(this, 'p', '<xsl:value-of select="normalize-space(../PN)" />', '<xsl:value-of select="normalize-space(../ID)" />', '<xsl:value-of select="normalize-space(/Result/ID)" />')</xsl:attribute>-->
					   <xsl:attribute name="onclick">
						   setCurrentEvent(event);return onQueryFulltextPNClick(this, '<xsl:value-of select="normalize-space(.)" />', '<xsl:value-of select="normalize-space(../PN)" />')
					   </xsl:attribute>
					   <xsl:attribute name="oncontextmenu">onQueryTableContextMenu<xsl:value-of select="normalize-space(/Result/Suffix)" />(this, 'p', '<xsl:value-of select="normalize-space(../PN)" />', '<xsl:value-of select="normalize-space(../ID)" />')
					   </xsl:attribute>
						<xsl:choose>
						  <xsl:when test="(../PN) &gt; 30239999 and (../PN) &lt; 35000000 ">
							<xsl:attribute name="pn"><xsl:value-of select="normalize-space(.)" />_CG</xsl:attribute>
						   </xsl:when>
						  <xsl:when test="(../PN) &gt; 30000000 or (../PN) &lt; 20200000 ">
							<xsl:attribute name="pn"><xsl:value-of select="normalize-space(.)" /></xsl:attribute>
						   </xsl:when>
						   <xsl:otherwise>
							 <xsl:attribute name="pn"><xsl:value-of select="normalize-space(.)" />_EN</xsl:attribute>
						   </xsl:otherwise>
						 </xsl:choose>
						<xsl:attribute name="apn"><xsl:value-of select="normalize-space(../ap)" /></xsl:attribute>
					   <xsl:if test="(normalize-space(.) = normalize-space(/Result/ShowPN) or normalize-space(../PN) = normalize-space(/Result/ShowPN)) and (normalize-space(../Other) = '-triggered')">
						   <xsl:attribute name="style">color:White</xsl:attribute>
					   </xsl:if>

					   <xsl:if test="(normalize-space(.) != normalize-space(/Result/ShowPN)) and (normalize-space(../Other) = '-triggered') and substring(normalize-space(.),1,2)='CN' and substring(normalize-space(/Result/ShowPN),1,string-length(normalize-space(.)))=normalize-space(.)">
						   <xsl:attribute name="style">color:White</xsl:attribute>
					   </xsl:if>
					   <!--<xsl:if test="normalize-space(.) != normalize-space(/Result/ShowPN)">-->
						   <xsl:if test="normalize-space(/Result/Foo) != 'SEARCH-MASTER-TOP'">
							   <xsl:if test="(normalize-space(../Other) = '-triggered')">
								   <xsl:attribute name="class">querylist<xsl:value-of select="normalize-space(../Other)" />-p-1</xsl:attribute>
							   </xsl:if>
							   <xsl:if test="(normalize-space(../Other) != '-triggered')">
								   <xsl:attribute name="class">querylist<xsl:value-of select="normalize-space(../Other)" />-p<xsl:value-of select="normalize-space(/Result/Classsuffix)" />
								   </xsl:attribute>
							   </xsl:if>
						   </xsl:if>
						   <xsl:if test="normalize-space(/Result/Foo) = 'SEARCH-MASTER-TOP' or (normalize-space(../r) = '100' and (normalize-space(/Result/Foo) = 'SEARCH-MASTER' or normalize-space(/Result/Foo) = 'SEARCH-PATENT'))">
							   <xsl:if test="/Result/WithCount = 0">
								   <xsl:attribute name="class">querylist-toppatent-p</xsl:attribute>
							   </xsl:if>
							   </xsl:if>
						   <xsl:if test="normalize-space(/Result/Foo) = 'SEARCH-MASTER-TOP-C'">
							   <xsl:attribute name="class">querylist-toppatent-c</xsl:attribute>
						   </xsl:if>
					   <!--</xsl:if>-->

					   <xsl:value-of select="normalize-space(.)" />

				   </span>
			   </xsl:if>
		   </xsl:if>
					   <xsl:if test="((../PN) &lt; 3574861 and (../PN) &gt; 1000000) or ((../PN) &lt; 242583 and (../PN) &gt; 60000) or (count(../Click) =1) ">
		   <span>
			   <xsl:value-of select="normalize-space(.)" />
		   </span>
	   </xsl:if><!--
		   <xsl:if test="(../PN) &lt; 211000000 and (../PN) &gt; 309999999">
			   <a>
				   <xsl:if test="normalize-space(/Result/Foo) = 'SEARCH-MASTER-TOP'">
					   <xsl:attribute name="class">querylist-toppatent-p</xsl:attribute>
				   </xsl:if>
				   <xsl:value-of select="normalize-space(.)" />
			   </a>
		   </xsl:if>-->
	   <input type="hidden">
       <xsl:attribute name="value">
         <xsl:value-of select="normalize-space(../PN)"/>
       </xsl:attribute>
     </input>
				   </xsl:otherwise>
			   </xsl:choose>
	   </td>
  </xsl:template> 
   
  <xsl:template match="t">
	  <td>
           <xsl:if test="normalize-space(../Color) != ''">
       <xsl:attribute name="class">querylist-contenttd<xsl:value-of select="normalize-space(/Result/Classsuffix)" /></xsl:attribute>
         </xsl:if>
	   <xsl:for-each select="/Result/DisplayFieldList/DisplayField">
		   <xsl:if test="normalize-space(Key) = 't' and normalize-space(Value) != ''">
			   <xsl:attribute name="style">width:<xsl:value-of select="normalize-space(Value)" /></xsl:attribute>
		   </xsl:if>
	   </xsl:for-each>
		<span target="_blank" title="点击打开专利浏览器">
			<xsl:attribute name="class">querylist-t<xsl:value-of select="normalize-space(/Result/Classsuffix)" /></xsl:attribute>   		  	 							
			<xsl:attribute name="onmouseover">onQueryTableMouseOver<xsl:value-of select="normalize-space(/Result/Suffix)" />(this, 't', '<xsl:value-of select="normalize-space(../PN)" />')</xsl:attribute> 
			<xsl:attribute name="onmouseout">onQueryTableMouseOut<xsl:value-of select="normalize-space(/Result/Suffix)" />(this, 't', '<xsl:value-of select="normalize-space(../PN)" />')</xsl:attribute>
			<xsl:choose>
			<xsl:when test="starts-with(../PN, '-')">
				<xsl:attribute name="onclick">
					onQueryTableClick<xsl:value-of select="normalize-space(/Result/Suffix)" />(this, 't', 'SS<xsl:value-of select="normalize-space(../PN)" />', '<xsl:value-of select="normalize-space(../ID)"/>', '<xsl:value-of select="normalize-space(/Result/ID)" />', '<xsl:value-of select="normalize-space(/Result/BookmarkName)" />', '<xsl:value-of select="normalize-space(/Result/BookmarkNumber)" />')
				</xsl:attribute>
			</xsl:when>
				<xsl:otherwise>
					<xsl:attribute name="onclick">
						onQueryTableClick<xsl:value-of select="normalize-space(/Result/Suffix)" />(this, 't', '<xsl:value-of select="normalize-space(../PN)" />', '<xsl:value-of select="normalize-space(../ID)"/>', '<xsl:value-of select="normalize-space(/Result/ID)" />', '<xsl:value-of select="normalize-space(/Result/BookmarkName)" />', '<xsl:value-of select="normalize-space(/Result/BookmarkNumber)" />')
					</xsl:attribute>		
				</xsl:otherwise>
			</xsl:choose>
			
			
			<xsl:attribute name="oncontextmenu">onQueryTableContextMenu<xsl:value-of select="normalize-space(/Result/Suffix)" />(this, 't', '<xsl:value-of select="normalize-space(../PN)" />', '<xsl:value-of select="normalize-space(../ID)" />')</xsl:attribute>
      <xsl:attribute name="pnid"><xsl:value-of select="normalize-space(../ID)" /></xsl:attribute>
      <xsl:attribute name="pn"><xsl:value-of select="normalize-space(../PN)" /></xsl:attribute>
      <!--<xsl:value-of select="normalize-space(.)" />上下标问题修改-->
			<xsl:apply-templates/>

		</span>
		<!-- 在这里 -->
		<span title="点击展开法律状态" style="margin-left:4px;border-radius:2px;color:white;padding:0 2px;cursor:pointer;">
			<xsl:attribute name="info"><xsl:value-of select="fam" /></xsl:attribute>
            <xsl:attribute name="class">falvzhuangtai</xsl:attribute>
            <!-- <xsl:for-each select="/Result/sFigsList"> -->
	            <xsl:attribute name="src2">
		           <xsl:value-of select="/Result/sFigsList"/> 
		        </xsl:attribute>
			<!-- </xsl:for-each>         -->
		    <xsl:attribute name="src3">
	           <xsl:value-of select="normalize-space(../p)"/>
	        </xsl:attribute>

			<xsl:attribute name="onmouseover">onQueryTableMouseOver<xsl:value-of select="normalize-space(/Result/Suffix)" />(this, 't', '<xsl:value-of select="normalize-space(../PN)" />')</xsl:attribute> 
			<xsl:attribute name="onmouseout">onQueryTableMouseOut<xsl:value-of select="normalize-space(/Result/Suffix)" />(this, 't', '<xsl:value-of select="normalize-space(../PN)" />')</xsl:attribute>
			<xsl:choose>
			<xsl:when test="starts-with(../PN, '-')">
				<xsl:attribute name="onclick">
					onQueryTableClick<xsl:value-of select="normalize-space(/Result/Suffix)" />(this, 't', 'SS<xsl:value-of select="normalize-space(../PN)" />', '<xsl:value-of select="normalize-space(../ID)"/>', '<xsl:value-of select="normalize-space(/Result/ID)" />', '<xsl:value-of select="normalize-space(/Result/BookmarkName)" />', '<xsl:value-of select="normalize-space(/Result/BookmarkNumber)" />',1)
				</xsl:attribute>
			</xsl:when>
				<xsl:otherwise>
					<xsl:attribute name="onclick">
						onQueryTableClick<xsl:value-of select="normalize-space(/Result/Suffix)" />(this, 't', '<xsl:value-of select="normalize-space(../PN)" />', '<xsl:value-of select="normalize-space(../ID)"/>', '<xsl:value-of select="normalize-space(/Result/ID)" />', '<xsl:value-of select="normalize-space(/Result/BookmarkName)" />', '<xsl:value-of select="normalize-space(/Result/BookmarkNumber)" />',1)
					</xsl:attribute>		
				</xsl:otherwise>
			</xsl:choose>

		</span>
		<span style="display:none;">
		</span>
   </td> 
  </xsl:template> 
	
	<xsl:template match="r">
		<td>
           <xsl:if test="normalize-space(../Color) != ''">
       <xsl:attribute name="class">querylist-contenttd<xsl:value-of select="normalize-space(/Result/Classsuffix)" /></xsl:attribute>
         </xsl:if>
			<xsl:for-each select="/Result/DisplayFieldList/DisplayField">
			   <xsl:if test="normalize-space(Key) = 'r' and normalize-space(Value) != ''">
				   <xsl:attribute name="width"><xsl:value-of select="normalize-space(Value)" /></xsl:attribute>
			   </xsl:if>
		   </xsl:for-each>
			<span target="_blank">
					<xsl:value-of select="normalize-space(.)" /><xsl:if test="/Result/WithCount = 0">%</xsl:if>
			</span>
		</td> 
	</xsl:template>

  <xsl:template match="aList">
    <td>
      <xsl:if test="normalize-space(../Color) != ''">
        <xsl:attribute name="class">
          querylist-contenttd<xsl:value-of select="normalize-space(/Result/Classsuffix)" />
        </xsl:attribute>
      </xsl:if>
      <xsl:for-each select="/Result/DisplayFieldList/DisplayField">
        <xsl:if test="normalize-space(Key) = 'a' and normalize-space(Value) != ''">
          <xsl:attribute name="style">
            width:<xsl:value-of select="normalize-space(Value)" />
          </xsl:attribute>
        </xsl:if>
      </xsl:for-each>
      <xsl:apply-templates />
    </td>
  </xsl:template>
  <xsl:template match="a" >
    <xsl:if test="normalize-space(.) != ''">
      <span target="_blank" title="在公司字段(AN)中进行二次搜索">
        <xsl:attribute name="an"><xsl:value-of select="."/></xsl:attribute>
        <xsl:if test="starts-with(../PN, '-') = false">
					<xsl:if test="normalize-space(/Result/Foo)='SEARCH-SLAVE'">
						<xsl:attribute name="class">
							querylist-a a-slave<xsl:value-of select="normalize-space(/Result/Classsuffix)" />
						</xsl:attribute>
					</xsl:if>
					<xsl:if test="normalize-space(/Result/Foo)='SEARCH-MASTER'">
							<xsl:attribute name="class">
								querylist-a a-master<xsl:value-of select="normalize-space(/Result/Classsuffix)" />
							</xsl:attribute>
					</xsl:if>	
          <xsl:attribute name="onmouseover">
            onQueryTableMouseOver<xsl:value-of select="normalize-space(/Result/Suffix)" />(this, 'an', '<xsl:value-of select="normalize-space(../PN)" />')
          </xsl:attribute>
          <xsl:attribute name="onmouseout">
            onQueryTableMouseOut<xsl:value-of select="normalize-space(/Result/Suffix)" />(this, 'an', '<xsl:value-of select="normalize-space(../PN)" />')
          </xsl:attribute>

          <xsl:attribute name="onclick">
            onQueryTableClick<xsl:value-of select="normalize-space(/Result/Suffix)" />(this, 'an', '<xsl:value-of select="normalize-space(../PN)" />', '<xsl:value-of select="normalize-space(../ID)"/>', '<xsl:value-of select="normalize-space(/Result/ID)" />')
          </xsl:attribute>
          <xsl:attribute name="oncontextmenu">
            onQueryTableContextMenu<xsl:value-of select="normalize-space(/Result/Suffix)" />(this, 'an', '<xsl:value-of select="normalize-space(../PN)" />', '<xsl:value-of select="normalize-space(../ID)" />')
          </xsl:attribute>
        </xsl:if>
        <xsl:choose>
          <xsl:when test="string-length(substring-before(normalize-space(.),'$')) &gt; 0">
            <xsl:value-of select="substring-before(normalize-space(.),'$')"/>
          </xsl:when>
          <xsl:otherwise>
            <xsl:value-of select="normalize-space(.)" />
          </xsl:otherwise>
        </xsl:choose>
      </span>
    </xsl:if>
    <xsl:if test="normalize-space(.) = ''">
      &#160;
    </xsl:if>
    <xsl:if test="position() != last()"> | </xsl:if>
  </xsl:template> 
         
  <xsl:template match="i">
    <span target="_blank" title="在发明人(IN)中进行二次搜索">
			<xsl:attribute name="class">querylist-i<xsl:value-of select="normalize-space(/Result/Classsuffix)" /></xsl:attribute>   		  	 							
			<xsl:attribute name="onmouseover">onQueryTableMouseOver<xsl:value-of select="normalize-space(/Result/Suffix)" />(this, 'i', '<xsl:value-of select="normalize-space(../../PN)" />')</xsl:attribute> 
			<xsl:attribute name="onmouseout">onQueryTableMouseOut<xsl:value-of select="normalize-space(/Result/Suffix)" />(this, 'i', '<xsl:value-of select="normalize-space(../../PN)" />')</xsl:attribute> 
			<xsl:attribute name="onclick">onQueryTableClick<xsl:value-of select="normalize-space(/Result/Suffix)" />(this, 'i', '<xsl:value-of select="normalize-space(../../PN)" />', '<xsl:value-of select="normalize-space(../../ID)"/>', '<xsl:value-of select="normalize-space(/Result/ID)" />')</xsl:attribute>
			<xsl:attribute name="oncontextmenu">onQueryTableContextMenu<xsl:value-of select="normalize-space(/Result/Suffix)" />(this, 'i', '<xsl:value-of select="normalize-space(../PN)" />', '<xsl:value-of select="normalize-space(../ID)" />')</xsl:attribute>
			<xsl:value-of select="normalize-space(.)" />
		</span>
	  <xsl:if test="position() != last()"> | </xsl:if>
  </xsl:template>
 
  <xsl:template match="iList">
	  <td>
       <xsl:if test="normalize-space(../Color) != ''">
       <xsl:attribute name="class">querylist-contenttd<xsl:value-of select="normalize-space(/Result/Classsuffix)" /></xsl:attribute>
         </xsl:if>
	   <xsl:for-each select="/Result/DisplayFieldList/DisplayField">
		   <xsl:if test="normalize-space(Key) = 'i' and normalize-space(Value) != ''">
			   <xsl:attribute name="style">width:<xsl:value-of select="normalize-space(Value)" /></xsl:attribute>
		   </xsl:if>
	   </xsl:for-each>
    <xsl:apply-templates />    
   </td> 
  </xsl:template>  

  <xsl:template match="c">
   <td>
          <xsl:if test="normalize-space(../Color) != ''">
       <xsl:attribute name="class">querylist-contenttd<xsl:value-of select="normalize-space(/Result/Classsuffix)" /></xsl:attribute>
         </xsl:if>
	   <xsl:for-each select="/Result/DisplayFieldList/DisplayField">
		   <xsl:if test="normalize-space(Key) = 'c' and normalize-space(Value) != ''">
			   <xsl:attribute name="style">width:<xsl:value-of select="normalize-space(Value)" /></xsl:attribute>
		   </xsl:if>
	   </xsl:for-each>
		<span target="_blank" title="在CPC分类中进行二次搜索">
			<xsl:attribute name="class">querylist-c<xsl:value-of select="normalize-space(/Result/Classsuffix)" /></xsl:attribute>   		  	 							
			<xsl:attribute name="onmouseover">onQueryTableMouseOver<xsl:value-of select="normalize-space(/Result/Suffix)" />(this, 'c', '<xsl:value-of select="normalize-space(../PN)" />')</xsl:attribute> 
			<xsl:attribute name="onmouseout">onQueryTableMouseOut<xsl:value-of select="normalize-space(/Result/Suffix)" />(this, 'c', '<xsl:value-of select="normalize-space(../PN)" />')</xsl:attribute> 
			<xsl:attribute name="onclick">onQueryTableClick<xsl:value-of select="normalize-space(/Result/Suffix)" />(this, 'cpc', '<xsl:value-of select="normalize-space(../PN)" />', '<xsl:value-of select="normalize-space(../ID)"/>', '<xsl:value-of select="normalize-space(/Result/ID)" />')</xsl:attribute>
			<xsl:attribute name="oncontextmenu">onQueryTableContextMenu<xsl:value-of select="normalize-space(/Result/Suffix)" />(this, 'c', '<xsl:value-of select="normalize-space(../PN)" />', '<xsl:value-of select="normalize-space(../ID)" />')</xsl:attribute>
			<!--<xsl:attribute name="title"><xsl:value-of select="normalize-space(Value)" /></xsl:attribute>-->
			<xsl:value-of select="substring(normalize-space(.), 1, 4)" />
			<!--
			<xsl:choose>
				<xsl:when test="contains(normalize-space(Key),'/')">
					<xsl:value-of select="substring-before(normalize-space(Key),'/')" />
				</xsl:when>
				<xsl:otherwise>
					<xsl:value-of select="normalize-space(Key)" />
				</xsl:otherwise>
			</xsl:choose>-->
		</span>
   </td> 
  </xsl:template> 

  <xsl:template match="w">
   <td>
	   <xsl:for-each select="/Result/DisplayFieldList/DisplayField">
		   <xsl:if test="normalize-space(Key) = 'w' and normalize-space(Value) != ''">
			   <xsl:attribute name="style">width:<xsl:value-of select="normalize-space(Value)" /></xsl:attribute>
		   </xsl:if>
	   </xsl:for-each>
		<span target="_blank" title="在索引词(IWK)字段中进行二次搜索">
			<xsl:attribute name="class">querylist-w<xsl:value-of select="normalize-space(/Result/Classsuffix)" /></xsl:attribute>   		  	 							
			<xsl:attribute name="onmouseover">onQueryTableMouseOver<xsl:value-of select="normalize-space(/Result/Suffix)" />(this, 'w', '<xsl:value-of select="normalize-space(../PN)" />')</xsl:attribute> 
			<xsl:attribute name="onmouseout">onQueryTableMouseOut<xsl:value-of select="normalize-space(/Result/Suffix)" />(this, 'w', '<xsl:value-of select="normalize-space(../PN)" />')</xsl:attribute> 
			<xsl:attribute name="onclick">onQueryTableClick<xsl:value-of select="normalize-space(/Result/Suffix)" />(this, 'w', '<xsl:value-of select="normalize-space(../PN)" />', '<xsl:value-of select="normalize-space(../ID)"/>', '<xsl:value-of select="normalize-space(/Result/ID)" />')</xsl:attribute>
			<xsl:attribute name="oncontextmenu">onQueryTableContextMenu<xsl:value-of select="normalize-space(/Result/Suffix)" />(this, 'w', '<xsl:value-of select="normalize-space(../PN)" />', '<xsl:value-of select="normalize-space(../ID)" />')</xsl:attribute>
			<xsl:value-of select="normalize-space(.)" />
		</span>
   </td> 
  </xsl:template> 

  <xsl:template match="n">
	  <td >
	   <xsl:for-each select="/Result/DisplayFieldList/DisplayField">
		   <xsl:if test="normalize-space(Key) = 'n' and normalize-space(Value) != ''">
			   <xsl:attribute name="style">width:<xsl:value-of select="normalize-space(Value)" /></xsl:attribute>
		   </xsl:if>
	   </xsl:for-each>
		<span target="_blank">
			<xsl:value-of select="normalize-space(.)" />
		</span>
   </td> 
  </xsl:template> 

  <xsl:template match="e">
	  <td>
	   <xsl:for-each select="/Result/DisplayFieldList/DisplayField">
		   <xsl:if test="normalize-space(Key) = 'e' and normalize-space(Value) != ''">
			   <xsl:attribute name="style">width:<xsl:value-of select="normalize-space(Value)" /></xsl:attribute>
		   </xsl:if>
	   </xsl:for-each>
		<span target="_blank" title="在审查员(EXP)中进行二次搜索">
			<xsl:attribute name="class">querylist-t<xsl:value-of select="normalize-space(/Result/Classsuffix)" /></xsl:attribute>   		  	 							
			<xsl:attribute name="onmouseover">onQueryTableMouseOver<xsl:value-of select="normalize-space(/Result/Suffix)" />(this, 'e', '<xsl:value-of select="normalize-space(../PN)" />')</xsl:attribute> 
			<xsl:attribute name="onmouseout">onQueryTableMouseOut<xsl:value-of select="normalize-space(/Result/Suffix)" />(this, 'e', '<xsl:value-of select="normalize-space(../PN)" />')</xsl:attribute> 
			<xsl:attribute name="onclick">onQueryTableClick<xsl:value-of select="normalize-space(/Result/Suffix)" />(this, 'e', '<xsl:value-of select="normalize-space(../PN)" />', '<xsl:value-of select="normalize-space(../ID)"/>', '<xsl:value-of select="normalize-space(/Result/ID)" />')</xsl:attribute>
			<xsl:attribute name="oncontextmenu">onQueryTableContextMenu<xsl:value-of select="normalize-space(/Result/Suffix)" />(this, 'e', '<xsl:value-of select="normalize-space(../PN)" />', '<xsl:value-of select="normalize-space(../ID)" />')</xsl:attribute>
			<xsl:value-of select="normalize-space(.)" />
		</span>
   </td> 
  </xsl:template> 

  <xsl:template match="l">
   <td>
         <xsl:if test="normalize-space(../Color) != ''">
       <xsl:attribute name="class">querylist-contenttd<xsl:value-of select="normalize-space(/Result/Classsuffix)" /></xsl:attribute>
         </xsl:if>
	   <xsl:for-each select="/Result/DisplayFieldList/DisplayField">
		   <xsl:if test="normalize-space(Key) = 'l' and normalize-space(Value) != ''">
			   <xsl:attribute name="style">width:<xsl:value-of select="normalize-space(Value)" /></xsl:attribute>
		   </xsl:if>
	   </xsl:for-each>
		<span target="_blank" title="在国际分类(ICL)中进行二次搜索">
			<xsl:attribute name="class">querylist-t<xsl:value-of select="normalize-space(/Result/Classsuffix)" /></xsl:attribute>   		  	 							
			<xsl:attribute name="onmouseover">onQueryTableMouseOver<xsl:value-of select="normalize-space(/Result/Suffix)" />(this, 'l', '<xsl:value-of select="normalize-space(../PN)" />')</xsl:attribute> 
			<xsl:attribute name="onmouseout">onQueryTableMouseOut<xsl:value-of select="normalize-space(/Result/Suffix)" />(this, 'l', '<xsl:value-of select="normalize-space(../PN)" />')</xsl:attribute> 
			<xsl:attribute name="onclick">onQueryTableClick<xsl:value-of select="normalize-space(/Result/Suffix)" />(this, 'l', '<xsl:value-of select="normalize-space(../PN)" />', '<xsl:value-of select="normalize-space(../ID)"/>', '<xsl:value-of select="normalize-space(/Result/ID)" />')</xsl:attribute>
			<xsl:attribute name="oncontextmenu">onQueryTableContextMenu<xsl:value-of select="normalize-space(/Result/Suffix)" />(this, 'l', '<xsl:value-of select="normalize-space(../PN)" />', '<xsl:value-of select="normalize-space(../ID)" />')</xsl:attribute>
			<xsl:value-of select="substring(normalize-space(.), 1, 4)" />
		</span>
   </td> 
  </xsl:template> 

  
 <xsl:template match="PatentList">
   <xsl:if test="count(Patent) &gt; 0 or /Result/iEnc = 1">
   	<table cellspacing="2">
   		<xsl:if test="/Result/Foo = 'SEARCH-MASTER' or /Result/Foo = 'SEARCH-SLAVE'">
    		<xsl:attribute name="style">border:1px solid #808080;background-color:white;position:relative;</xsl:attribute>
    	</xsl:if>
      <xsl:attribute name="id">querylist-queryresult-table-<xsl:value-of select="normalize-space(/Result/Foo)" /></xsl:attribute>
      <xsl:attribute name="resultid"><xsl:value-of select="normalize-space(/Result/ID)" /></xsl:attribute>
   		<xsl:if test="normalize-space(/Result/Classsuffix) = ''"><xsl:attribute name="cellspacing">2</xsl:attribute></xsl:if>
      <xsl:if test="normalize-space(/Result/Classsuffix) != ''"><xsl:attribute name="cellspacing">0</xsl:attribute></xsl:if>
   		<xsl:attribute name="class">querylist-contenttable<xsl:value-of select="normalize-space(/Result/Classsuffix)" /></xsl:attribute>
   		<tr> 
   			<xsl:attribute name="class">querylist-title<xsl:value-of select="normalize-space(/Result/Classsuffix)" /></xsl:attribute>   		
	   		<xsl:for-each select="/Result/DisplayFieldList/DisplayField">  	 			
  	 			<td nowrap="true" > 
  	 				<xsl:if test="normalize-space(Value) != ''"><xsl:attribute name="style">width:<xsl:value-of select="normalize-space(Value)" /></xsl:attribute></xsl:if>
  	 				<xsl:choose> 
  	 					<xsl:when test="normalize-space(Key) = 'p'">
							<xsl:if test="normalize-space(/Result/Foo) = 'SEARCH-MASTER'">
								<xsl:attribute name="align">left</xsl:attribute>   	
								<span class="querylist-sortedColumn" title="先按专利类型排序，再按专利公开日排序">
									<xsl:attribute name="onclick">prepareMasterSearch('', -1, -1, '0', null, null)</xsl:attribute>   
									公开号</span>
								<img src="img/sort.gif" style="display:none">
									<xsl:attribute name="id">querylist-sort-img-pn<xsl:value-of select="normalize-space(/Result/Suffix)" /></xsl:attribute> 
								</img>
							</xsl:if>
							<xsl:if test="normalize-space(/Result/Foo) = 'SEARCH-SLAVE'">
								<xsl:attribute name="align">left</xsl:attribute>   	
								<span class="querylist-sortedColumn" title="先按专利类型排序，再按专利公开日排序">
									<xsl:attribute name="onclick">prepareSlaveSearch('', -1, '0', null, null, null)</xsl:attribute>   
									公开号</span>
								<img src="img/sort.gif" style="display:none">
									<xsl:attribute name="id">querylist-sort-img-pn<xsl:value-of select="normalize-space(/Result/Suffix)" /></xsl:attribute> 
								</img>
							</xsl:if>
							<xsl:if test="normalize-space(/Result/Foo) = 'SEARCH-PATENT'">
								<xsl:attribute name="align">left</xsl:attribute>   	
								<span class="querylist-sortedColumn" title="先按专利类型排序，再按专利公开日排序">
									<xsl:attribute name="onclick">prepareSlaveSearch('', -1, '0', null, null, null)</xsl:attribute>   
									公开号</span>
								<img src="img/sort.gif" style="display:none">
									<xsl:attribute name="id">querylist-sort-img-pn<xsl:value-of select="normalize-space(/Result/Suffix)" /></xsl:attribute> 
								</img>
							</xsl:if>
							<xsl:if test="normalize-space(/Result/Foo) != 'SEARCH-MASTER' and normalize-space(/Result/Foo) != 'SEARCH-SLAVE' and normalize-space(/Result/Foo) != 'SEARCH-PATENT'" >专利号</xsl:if>
						</xsl:when>
  	 					<xsl:when test="normalize-space(Key) = 't'">标题</xsl:when>
							
  	 						<xsl:when test="normalize-space(Key) = 'a'">
									<xsl:if test="normalize-space(/Result/Foo)='SEARCH-MASTER'">
										<span style="cursor:pointer;" id='anclickM'>申请人</span>/<span style="cursor:pointer;" id="annclickM">标准申请人</span>
									</xsl:if>
									<xsl:if test="normalize-space(/Result/Foo)='SEARCH-SLAVE'">
										<span style="cursor:pointer;" id='anclickS'>申请人</span>/<span style="cursor:pointer;" id="annclickS">标准申请人</span> 
									</xsl:if>
								</xsl:when> 
							
							
							<xsl:when test="normalize-space(Key) = 'i'">发明人</xsl:when> 
  	 					<xsl:when test="normalize-space(Key) = 'c'">CPC</xsl:when> 
  	 					<xsl:when test="normalize-space(Key) = 'w'">索引词</xsl:when> 
  	 					<xsl:when test="normalize-space(Key) = 'n'">总数</xsl:when> 
  	 					<xsl:when test="normalize-space(Key) = 'e'">审查员</xsl:when>
  	 					<xsl:when test="normalize-space(Key) = 'l'">IPC</xsl:when>
						<xsl:when test="normalize-space(Key) = 'r'">
							<xsl:if test="normalize-space(/Result/Foo) = 'SEARCH-MASTER'">
								<xsl:attribute name="align">left</xsl:attribute>   	
								<span class="sortedColumn" title="按相关度从高到低排序">
									<xsl:attribute name="onclick">prepareMasterSearch('', -1, -1, '1', null, null)</xsl:attribute>
									<xsl:if test="/Result/WithCount = 0">
										相关度
									</xsl:if>
									<xsl:if test="/Result/WithCount = 1">
										个数
									</xsl:if>
								</span>
								<img src="img/sort.gif" style="display:none">
									<xsl:attribute name="id">querylist-sort-img-rate<xsl:value-of select="normalize-space(/Result/Suffix)" />
									</xsl:attribute>
								</img>
							</xsl:if>
							<xsl:if test="normalize-space(/Result/Foo) = 'SEARCH-SLAVE'">
								<xsl:attribute name="align">left</xsl:attribute>
								<span class="sortedColumn" title="按相关度从高到低排序">
									<xsl:attribute name="onclick">prepareSlaveSearch('', -1, '1', null, null, null)</xsl:attribute>
									<xsl:if test="/Result/WithCount = 0">相关度</xsl:if>
									<xsl:if test="/Result/WithCount = 1">个数</xsl:if>
								</span>
								<img src="img/sort.gif" style="display:none">
									<xsl:attribute name="id">querylist-sort-img-rate<xsl:value-of select="normalize-space(/Result/Suffix)" /></xsl:attribute> 
								</img>
							</xsl:if>
							<xsl:if test="normalize-space(/Result/Foo) = 'SEARCH-PATENT'">
								<xsl:attribute name="align">left</xsl:attribute>   	
								<span class="sortedColumn" title="按相关度从高到低排序">
									<xsl:attribute name="onclick">prepareSlaveSearch('', -1, '1', null, null, null)</xsl:attribute>
									<xsl:if test="/Result/WithCount = 0">相关度</xsl:if>
									<xsl:if test="/Result/WithCount = 1">个数</xsl:if>
								</span>
								<img src="img/sort.gif" style="display:none">
									<xsl:attribute name="id">querylist-sort-img-rate<xsl:value-of select="normalize-space(/Result/Suffix)" /></xsl:attribute> 
								</img>
							</xsl:if>
							<xsl:if test="normalize-space(/Result/Foo) != 'SEARCH-MASTER' and normalize-space(/Result/Foo) != 'SEARCH-SLAVE' and normalize-space(/Result/Foo) != 'SEARCH-PATENT'">相关度</xsl:if>
						</xsl:when>
  	 					<xsl:otherwise>其他</xsl:otherwise>
  	 				</xsl:choose>
   				</td>
   			</xsl:for-each>
 			</tr> 
 			<xsl:for-each select="Patent">
 			 <tr>
         <xsl:if test="normalize-space(p) = normalize-space(/Result/ShowPN)">
           <xsl:attribute name="class">querylist-showpn</xsl:attribute>
         </xsl:if>
         <xsl:if test="normalize-space(p) != normalize-space(/Result/ShowPN)">
          <xsl:if test="normalize-space(/Result/Foo) != 'SEARCH-MASTER-TOP'">
			  <xsl:if test="normalize-space(/Result/Foo)='SEARCH-MASTER'">
				  <xsl:if test="position() mod 2 = 0">
					  <xsl:attribute name="class">r-master querylist-dark<xsl:value-of select="normalize-space(/Result/Classsuffix)" />
					  </xsl:attribute>
				  </xsl:if>
				  <xsl:if test="position() mod 2 != 0">
					  <xsl:attribute name="class">r-master querylist-light<xsl:value-of select="normalize-space(/Result/Classsuffix)" />
					  </xsl:attribute>
				  </xsl:if>
			  </xsl:if>
				<xsl:if test="normalize-space(/Result/Foo)='SEARCH-PATENT'">
				  <xsl:if test="position() mod 2 = 0">
					  <xsl:attribute name="class">r-patent querylist-dark<xsl:value-of select="normalize-space(/Result/Classsuffix)" />
					  </xsl:attribute>
				  </xsl:if>
				  <xsl:if test="position() mod 2 != 0">
					  <xsl:attribute name="class">r-patent querylist-light<xsl:value-of select="normalize-space(/Result/Classsuffix)" />
					  </xsl:attribute>
				  </xsl:if>
			  </xsl:if>
			  <xsl:if test="normalize-space(/Result/Foo)='SEARCH-SLAVE'">
				  <xsl:if test="position() mod 2 = 0">
					  <xsl:attribute name="class">r-slave querylist-dark<xsl:value-of select="normalize-space(/Result/Classsuffix)" />-SEARCH-SLAVE</xsl:attribute>
				  </xsl:if>
				  <xsl:if test="position() mod 2 != 0">
					  <xsl:attribute name="class">r-slave querylist-light<xsl:value-of select="normalize-space(/Result/Classsuffix)" />-SEARCH-SLAVE</xsl:attribute>
				  </xsl:if>
			  </xsl:if>
          </xsl:if>

			 <!-- <xsl:if test="substring(normalize-space(p),1,2)='CN' and substring(normalize-space(/Result/ShowPN),3,5)=substring(normalize-space(p),3,5)">
				 <xsl:attribute name="class">querylist-showpn</xsl:attribute>
				 <xsl:attribute name="style">overflow:auto</xsl:attribute>
			 </xsl:if> -->
			 <xsl:if test="normalize-space(/Result/ShowPN)=normalize-space(PN)">
				 <xsl:attribute name="class">querylist-showpn</xsl:attribute>
				 <xsl:attribute name="style">overflow:auto</xsl:attribute>
			 </xsl:if>
			 <xsl:if test="normalize-space(p) = normalize-space(/Result/FooShowPN)">
           <xsl:attribute name="class">querylist-showpn</xsl:attribute>
					 <xsl:attribute name="style">overflow:auto</xsl:attribute>
					 <xsl:attribute name="style">color:white</xsl:attribute>
				</xsl:if>
			 <xsl:if test="normalize-space(/Result/Foo) = 'SEARCH-MASTER-TOP'">
				<xsl:attribute name="class">querylist-top</xsl:attribute>
			 </xsl:if>
           <xsl:if test="normalize-space(Color) != ''">
             <xsl:attribute name="style">background-color:<xsl:value-of select="normalize-space(Color)"/></xsl:attribute>
              <xsl:attribute name="Color"><xsl:value-of select="normalize-space(Color)"/></xsl:attribute>
           </xsl:if>
        </xsl:if>
		 <xsl:if test="normalize-space(sd) = '1'">
			 <xsl:attribute name="style">color:rgb(85, 26, 139)</xsl:attribute>
			 <xsl:if test="normalize-space(Color) != ''">
				 <xsl:attribute name="style">background-color:<xsl:value-of select="normalize-space(Color)"/></xsl:attribute>
				 <xsl:attribute name="Color"><xsl:value-of select="normalize-space(Color)"/></xsl:attribute>
			   </xsl:if>
		 </xsl:if>
	 	<xsl:apply-templates /> 			 	
 			 </tr>
 			 <tr width="100%">
         <xsl:variable name="pos" select="position()" />
				 <xsl:choose>
				 	 <!-- and count(/Result/sFigsList) = 0 -->
					 <xsl:when test="count(./abst) = 0">
						 <xsl:attribute name="class">
							 querylist-hiderow<xsl:value-of select="normalize-space(/Result/Classsuffix)" />
						 </xsl:attribute>
						 <xsl:attribute name="style">display:none</xsl:attribute>
					 </xsl:when>
					 <xsl:otherwise>
						 <xsl:if test="normalize-space(/Result/Foo) != 'SEARCH-MASTER-TOP'">
							 <xsl:if test="normalize-space(/Result/Foo)='SEARCH-MASTER'">
								 <xsl:if test="position() mod 2 = 0">
									 <xsl:attribute name="class">r-master querylist-dark<xsl:value-of select="normalize-space(/Result/Classsuffix)" /></xsl:attribute>
								 </xsl:if>
								 <xsl:if test="position() mod 2 != 0">
									 <xsl:attribute name="class">r-master querylist-light<xsl:value-of select="normalize-space(/Result/Classsuffix)" /></xsl:attribute>
								 </xsl:if>
							 </xsl:if>
							 <xsl:if test="normalize-space(/Result/Foo)='SEARCH-PATENT'">
								 <xsl:if test="position() mod 2 = 0">
									 <xsl:attribute name="class">r-patent querylist-dark<xsl:value-of select="normalize-space(/Result/Classsuffix)" /></xsl:attribute>
								 </xsl:if>
								 <xsl:if test="position() mod 2 != 0">
									 <xsl:attribute name="class">r-patent querylist-light<xsl:value-of select="normalize-space(/Result/Classsuffix)" /></xsl:attribute>
								 </xsl:if>
							 </xsl:if>
							 <xsl:if test="normalize-space(/Result/Foo)='SEARCH-SLAVE'">
								 <xsl:if test="position() mod 2 = 0">
									 <xsl:attribute name="class">r-slave querylist-dark<xsl:value-of select="normalize-space(/Result/Classsuffix)" />-SEARCH-SLAVE</xsl:attribute>
								 </xsl:if>
								 <xsl:if test="position() mod 2 != 0">
									 <xsl:attribute name="class">r-salve querylist-light<xsl:value-of select="normalize-space(/Result/Classsuffix)" />-SEARCH-SLAVE</xsl:attribute>
								 </xsl:if>
							 </xsl:if>
						 </xsl:if>
					 </xsl:otherwise>
				 </xsl:choose>
 			 	 <td align="center" width="100%"> 
 			 		<xsl:attribute name="colspan"><xsl:value-of select="count(/Result/DisplayFieldList/DisplayField)" /></xsl:attribute>   		
 			 		<div style="width:100%"  onclick="onActiveQueryList(this, 't');event.cancelBubble=true;">
 			 			<xsl:attribute name="id"><xsl:value-of select="ID" /></xsl:attribute>
 			 		</div>
          
           <xsl:if test="count(/Result/PatentList) &gt; 0">
             <table class="figtable" cellspacing="0" table-layout="flex" style="text-align:left;width:100%;background-color:#edf1f8;display:none;">
               <tr>
                 <td style="width:150px;height:150px;background-color:#ffffe0;position:relative;" align="center" rowspan="9">
                   <img class="figimg" style="max-width:150px;max-height:150px;text-align:center;vertical-align:middle;">
                     <xsl:attribute name="src">
                       <xsl:value-of select="/Result/sFigsList/sFigs[position()=$pos]"/>
                     </xsl:attribute>
                   </img>
                   <img style="text-align:center;vertical-align:middle;position:absolute;left:152px;top:0px;display:none;">
                     <xsl:attribute name="src">
                       <xsl:value-of select="/Result/sFigsList/sFigs[position()=$pos]"/>
                     </xsl:attribute>
                   </img>
                 </td>
                 <td style="min-width:60px;border-right:0;">申请日:</td>
                 <td style="min-width:120px;max-width:180px;">
                   <xsl:attribute name="info"><xsl:value-of select="ad" /></xsl:attribute>
                 	<xsl:attribute name="class">ad</xsl:attribute>
                 </td>
                 <td style="min-width:80px;border-right:0">
                   公开(公告)日:
                 </td>
                 <td style="min-width:120px;max-width:180px;border-left:0;">
                   <xsl:attribute name="info"><xsl:value-of select="isd" /></xsl:attribute>
                   <xsl:attribute name="class">isd</xsl:attribute>
                 </td>
                 <td style="min-width:80px;border-right:0">申请号:</td>
                 <td style="min-width:120px;max-width:180px;border-left:0;">
                   <xsl:value-of select="ap"/>
                 </td>
                 <td style="min-width:80px;border-right:0">优先权:</td>
                 <td style="min-width:120px;max-width:180px;border-left:0;">
                   <xsl:value-of select="prd"/>
                 </td>
               </tr>

               <tr>
                 <td style="min-width:60px;border-right:0">IPC:</td>
                 <td colspan="3" style="min-width:200px;max-width:280px;border-left:0;overflow:hidden;">
                   	<xsl:attribute name="info"><xsl:value-of select="icls" /></xsl:attribute>
                   <xsl:attribute name="class">icl</xsl:attribute>
                 </td>
                 <td style="min-width:80px;border-right:0">CPC:</td>
                 <td colspan="3" style="min-width:200px;max-width:280px;border-left:0;overflow:hidden;">
                  	 <xsl:attribute name="info"><xsl:value-of select="cpcs" /></xsl:attribute>
                   <xsl:attribute name="class">cpc</xsl:attribute>
                 </td>
               </tr>
               <tr>
                 <td style="min-width:60px;border-right:0">被引:</td>
                 <td style="min-width:120px;max-width:180px;border-left:0;">
                 	<xsl:attribute name="info"><xsl:value-of select="ref" /></xsl:attribute>
                 	<xsl:attribute name="class">beiyin</xsl:attribute>
                 </td>
                 <td style="min-width:80px;border-right:0">同族:</td>
                 <td style="min-width:120px;max-width:180px;border-left:0;">
                   <xsl:attribute name="info"><xsl:value-of select="fam" /></xsl:attribute>
                   <xsl:attribute name="class">tongzu</xsl:attribute>
                 </td>
                 <td style="min-width:80px;border-right:0">专利度:</td>
                 <td style="min-width:120px;max-width:180px;border-left:0;">
                   <xsl:attribute name="info"><xsl:value-of select="fam" /></xsl:attribute>
                   <xsl:attribute name="class">zhuanlidu</xsl:attribute>
                 </td>
                 <td style="min-width:80px;border-right:0">特征度:</td>
                 <td style="min-width:120px;max-width:180px;border-left:0;">
                   <xsl:attribute name="info"><xsl:value-of select="fam" /></xsl:attribute>
                   <xsl:attribute name="class">tezhengdu</xsl:attribute>
                 </td>
               </tr>

               <tr>
                 <td style="min-width:60px;border-right:0">被引国家:</td>
                 <td style="min-width:120px;max-width:180px;border-left:0;">
                   <xsl:attribute name="info"><xsl:value-of select="fam" /></xsl:attribute>
                   <xsl:attribute name="class">beiyinguojia</xsl:attribute>
                 </td>
                 <td style="min-width:80px;border-right:0">引用:</td>
                 <td style="min-width:120px;max-width:180px;border-left:0;">
                   <xsl:attribute name="info"><xsl:value-of select="ct" /></xsl:attribute>
                   <xsl:attribute name="class">yinyong</xsl:attribute>
                 </td>
                 <td style="min-width:80px;border-right:0">被引公司:</td>
                 <td style="min-width:120px;max-width:180px;border-left:0;">
                   <xsl:attribute name="info"><xsl:value-of select="ref" /></xsl:attribute>
                   <xsl:attribute name="class">beiyingongsi</xsl:attribute>
                 </td>
                 <td style="min-width:80px;border-right:0">自引用:</td>
                 <td style="min-width:120px;max-width:180px;border-left:0;">
                   <xsl:attribute name="info"><xsl:value-of select="ct" /></xsl:attribute>
                   <xsl:attribute name="class">ziyinyong</xsl:attribute>
                 </td>
               </tr>

               <tr>
                 <td style="min-width:60px;border-right:0">被自引:</td>
                 <td style="min-width:120px;max-width:180px;border-left:0;">
                   <xsl:attribute name="info"><xsl:value-of select="ref" /></xsl:attribute>
                   <xsl:attribute name="class">beiziyin</xsl:attribute>
                 </td>
                 <td style="min-width:80px;border-right:0">引用公司数:</td>
                 <td style="min-width:120px;max-width:180px;border-left:0;">
                   <xsl:attribute name="info"><xsl:value-of select="ct" /></xsl:attribute>
                   <xsl:attribute name="class">yinyonggongsishu</xsl:attribute>
                 </td>
                 <td style="min-width:80px;border-right:0">影响因子:</td>
                 <td style="min-width:120px;max-width:180px;border-left:0;">
                   <xsl:attribute name="info"><xsl:value-of select="ref" /></xsl:attribute>
                   <xsl:attribute name="class">yingxiangyinzi</xsl:attribute>
                 </td>
                 <td style="min-width:80px;border-right:0">同族国家:</td>
                 <td style="min-width:120px;max-width:180px;border-left:0;">
                   <xsl:attribute name="info"><xsl:value-of select="fam" /></xsl:attribute>
                   <xsl:attribute name="class">tongzuguojia</xsl:attribute>
                 </td>
               </tr>

             </table>
           </xsl:if>
					 <xsl:if test="count(./abst) &gt; 0">
					  <div style="width:100%" onclick="onActiveQueryList(this,'t');event.cancelBubble=true;">
 			 			<xsl:attribute name="id">abst-<xsl:value-of select="ID" /></xsl:attribute>
							<div class="s2abst">
								<xsl:value-of select="abst"/>
							</div>
							<div class="s2abst2">
								<xsl:attribute name="guid"><xsl:value-of select="ID"/></xsl:attribute>
								<xsl:attribute name="fc"><xsl:value-of select="fig/fc"/></xsl:attribute>
								<xsl:attribute name="md"><xsl:value-of select="fig/md"/></xsl:attribute>
								<xsl:attribute name="sc"><xsl:value-of select="fig/sc"/></xsl:attribute>
								<xsl:attribute name="ss"><xsl:value-of select="fig/ss"/></xsl:attribute>			
								<xsl:attribute name="apd"><xsl:value-of select="date/a"/></xsl:attribute>
								<xsl:attribute name="isd"><xsl:value-of select="date/i"/></xsl:attribute>
								<xsl:attribute name="prd"><xsl:value-of select="date/p"/></xsl:attribute>
								<xsl:attribute name="pn"><xsl:value-of select="p"/></xsl:attribute>
							</div>
					</div>
				 </xsl:if>
 			 	</td>
 			 </tr>
 			</xsl:for-each>
 		</table>
		<xsl:if test="1 &lt; /Result/PageCount">
     		<table>
     			<xsl:attribute name="class">querylist-pager<xsl:value-of select="normalize-space(/Result/Classsuffix)" /></xsl:attribute>
				<tr>
     			 <td align="left" height="14px">
						 <xsl:choose>
					 		<xsl:when test="/Result/PageIndex = 0">
					 			<span class="graytext">首页</span> | <span class="graytext">上一页</span> | 
					 		</xsl:when>
					 		<xsl:otherwise>
					 			<span> 
					 				<xsl:attribute name="class">querylist-pageranchor</xsl:attribute>
					 				<xsl:attribute name="onclick">javascript:goPage<xsl:value-of select="normalize-space(/Result/Suffix)" />(0, this, <xsl:value-of select="/Result/PageCount"/>)</xsl:attribute>
					 				首页</span> | 
					 			<span> 
					 				<xsl:attribute name="class">querylist-pageranchor</xsl:attribute>
					 				<xsl:attribute name="onclick">javascript:goPage<xsl:value-of select="normalize-space(/Result/Suffix)" />(<xsl:value-of select="/Result/PageIndex - 1" />, this, <xsl:value-of select="/Result/PageCount"/>)</xsl:attribute>
					 				上一页</span>  |					 		
					 		</xsl:otherwise>
						 </xsl:choose>     		  
						 <xsl:choose>
					 		<xsl:when test="/Result/PageIndex = /Result/PageCount - 1">
					 			<span class="graytext">下一页</span><xsl:if test="/Result/PageCount &lt; 41"> | <span class="graytext">尾页</span></xsl:if> 
					 		</xsl:when>
					 		<xsl:otherwise>
								<span>
									<xsl:attribute name="class">querylist-pageranchor</xsl:attribute>
									<xsl:attribute name="onclick">goPage<xsl:value-of select="normalize-space(/Result/Suffix)" />(<xsl:value-of select="/Result/PageIndex + 1" />, this, <xsl:value-of select="/Result/PageCount"/>)</xsl:attribute>
									下一页</span><xsl:if test="/Result/PageCount &lt; 41"> |
								<span>
									<xsl:attribute name="class">querylist-pageranchor</xsl:attribute>
									<xsl:attribute name="onclick">goPage<xsl:value-of select="normalize-space(/Result/Suffix)" />(<xsl:value-of select="/Result/PageCount - 1" />, this, <xsl:value-of select="/Result/PageCount"/>)</xsl:attribute>
									尾页</span></xsl:if>  	 		
					 		</xsl:otherwise>
						 </xsl:choose>
							 &#160;<input type="text" onclick="onInputFocus(this);">
								 <xsl:attribute name="id">querylist-input-<xsl:value-of select="normalize-space(/Result/Foo)" />
							 </xsl:attribute>
					 		<xsl:attribute name="class">querylist-pagerinput</xsl:attribute>
								 <xsl:attribute name="onkeydown">checkPagerInputKey<xsl:value-of select="normalize-space(/Result/Suffix)" />(event, this, <xsl:value-of select="/Result/PageCount"/>)</xsl:attribute> 
                 <xsl:if test="normalize-space(/Result/FooShowPN) != '' and normalize-space(/Result/FooShowPN) != 'null'">
                   <xsl:attribute name="value"><xsl:value-of select="normalize-space(/Result/FooShowPN)"/></xsl:attribute>
                 </xsl:if>
						 </input><xsl:if test="/Result/PageCount &lt; 41">
							&#160;<span>
					  		<xsl:attribute name="class">querylist-pageranchor</xsl:attribute>		
					  		<xsl:attribute name="onclick">goPage<xsl:value-of select="normalize-space(/Result/Suffix)" />(findSiblingBefore(this, 'input', 1).value - 1, this, <xsl:value-of select="/Result/PageCount"/>)</xsl:attribute>跳转</span></xsl:if>   
     			 		&#160;
     			 		<span>
					  		<xsl:attribute name="class">querylist-pageranchor</xsl:attribute>
                <xsl:attribute name="id">querylist-goPatent-<xsl:value-of select="normalize-space(/Result/Foo)" /></xsl:attribute>
              <xsl:attribute name="onclick">goPatent<xsl:value-of select="normalize-space(/Result/Suffix)" />(findSiblingBefore(this, 'input', 1).value, this)</xsl:attribute>查找专利</span>
           </td>
					<td height="14px" align="right">
            页号 <xsl:value-of select="/Result/PageIndex + 1"/> / <xsl:value-of select="/Result/PageCount"/> &#160;
					 <xsl:for-each select="/Result/PageList/Page">
						 <xsl:choose>
							 <xsl:when test="/Result/PageIndex + 1 = .">
							 <input type="hidden" style="display:none" >
							 	<xsl:attribute name="id">querylist-queryresult-pageindex-<xsl:value-of select="normalize-space(/Result/Foo)" /></xsl:attribute>
							 	
							 	<xsl:attribute name="value"><xsl:value-of select="."/></xsl:attribute></input>
								 <span class="graytext">[<xsl:value-of select="."/>]</span>
							 </xsl:when>
							 <xsl:otherwise>
								 [<span><xsl:attribute name="class">querylist-pageranchor</xsl:attribute>
									 <xsl:attribute name="onclick">goPage<xsl:value-of select="normalize-space(/Result/Suffix)" />(<xsl:value-of select=". - 1" />, this, <xsl:value-of select="/Result/PageCount"/>)</xsl:attribute>
									 <xsl:value-of select="normalize-space(.)"/></span>]
							 </xsl:otherwise>
						 </xsl:choose>
					 </xsl:for-each>
     		   </td>
     			</tr>
     		</table>
		</xsl:if>

		<xsl:if test="/Result/PageCount &lt; 2">
     		<table>
     			<xsl:attribute name="class">querylist-pager<xsl:value-of select="normalize-space(/Result/Classsuffix)" /></xsl:attribute>
				<tr>
     			 <td align="left" height="14px">
							<input type="text" onclick="onInputFocus(this);">
								 <xsl:attribute name="id">querylist-input-<xsl:value-of select="normalize-space(/Result/Foo)" />
							 </xsl:attribute>
					 		<xsl:attribute name="class">querylist-pagerinput</xsl:attribute>
								 <xsl:attribute name="onkeydown">checkPagerInputKey<xsl:value-of select="normalize-space(/Result/Suffix)" />(event, this, <xsl:value-of select="/Result/PageCount"/>)</xsl:attribute> 
                 <xsl:if test="normalize-space(/Result/FooShowPN) != '' and normalize-space(/Result/FooShowPN) != 'null'">
                   <xsl:attribute name="value"><xsl:value-of select="normalize-space(/Result/FooShowPN)"/></xsl:attribute>
                 </xsl:if>
						 </input>
     			 		&#160;<span>
					  		<xsl:attribute name="class">querylist-pageranchor</xsl:attribute>
                <xsl:attribute name="id">querylist-goPatent-<xsl:value-of select="normalize-space(/Result/Foo)" /></xsl:attribute>
              <xsl:attribute name="onclick">goPatent<xsl:value-of select="normalize-space(/Result/Suffix)" />(findSiblingBefore(this, 'input', 1).value, this)</xsl:attribute>查找专利</span>
           </td>
     			</tr>
     		</table>
		</xsl:if>


   </xsl:if>

   <xsl:if test="/Result/iEnc = 0 and count(Patent) = 0 and (/Result/Foo = 'SEARCH-MASTER' or /Result/Foo = 'SEARCH-SLAVE')">
   <!-- 暂无数据 -->
   <div style="text-align:left">
   <p><span style="font-size:18px;font-weight:bold;">未搜索到相关数据</span>，原因可能是：</p>
   <p>1、满足检索条件数据为0。</p>
   <p>2、所选数据库并非此专利所在数据库，或此专利不存在，请尝试勾选全球专利(PATENT)再次搜索查询。</p>
   <p>3、通过申请号、公开/公告号查询时，请注意专利号码格式，我们与欧洲专利局（EPO）号码格式是一样的。</p>
   <p>4、该专利目前尚未公开/公告，处于保密状态，请过段时间再来看看。</p>
   <p>5、请核对您的检索条件与字段限定是否匹配。</p>
   <p>6、关键词等限定内容过多，检索范围过窄，请尝试扩展检索范围，或使用R/命令进行语义检索。</p>
   <p>7、不正确的搜索请求，搜索表达式无法解析，请检查您的表达式。</p>
   </div>
   </xsl:if>
 </xsl:template>
	
<xsl:template match="Threshold"></xsl:template>
	<xsl:template match="Result"> 
	<input type="hidden" id="changedquery">
		<xsl:attribute name="value"><xsl:value-of select="ChangedQuery"/></xsl:attribute>
	</input>
		<input type="hidden" id="changelan">
			<xsl:attribute name="value">
				<xsl:value-of select="ChangeLan"/>
			</xsl:attribute>	
		</input>
	<input type="hidden" id="suggestedquery">
		<xsl:attribute name="value">
			<xsl:value-of select="SpellSuggestQuery"/>
		</xsl:attribute>
	</input>
	<input type="hidden">
		  <xsl:attribute name="id">queryexp<xsl:value-of select="/Result/Suffix"/></xsl:attribute>
			<xsl:attribute name="value">
			<xsl:value-of select="QueryExp"/>
			</xsl:attribute>
			
		</input>
		<div style="display:none"  id="resultparamdiv">
	<xsl:attribute name="conceptterm"><xsl:value-of select="normalize-space(/Result/ConceptTerm)"/></xsl:attribute>
      <xsl:attribute name="showpn"><xsl:value-of select="normalize-space(/Result/ShowPN)" /></xsl:attribute>
      <xsl:value-of select="normalize-space(/Result/ID)" />
    </div> 
		 <span style="display:none">
			 <xsl:attribute name="id">querylist-result-total-span<xsl:value-of select="normalize-space(/Result/Suffix)" /></xsl:attribute>
			 <xsl:value-of select="normalize-space(/Result/Total)" />
		 </span>
    <xsl:if test="count(/Result/PatentList/Patent) &gt; 0 or /Result/iEnc = 1 or (/Result/Foo != 'SEARCH-MASTER' and /Result/Foo != 'SEARCH-SLAVE')">
		<table>
			<xsl:attribute name="class">querylist-summary<xsl:value-of select="normalize-space(/Result/Classsuffix)" /></xsl:attribute>
			<tr>
				<td align="left">
					<span>
            <!--<xsl:if test="normalize-space(/Result/QueryFilter) != '' and (normalize-space(/Result/Foo) = 'SEARCH-MASTER' or normalize-space(/Result/Foo) = 'SEARCH-SLAVE')">-->
            <xsl:if test="normalize-space(/Result/QueryFilter) != ''">
              <xsl:attribute name="class">resultsummary</xsl:attribute>
              <xsl:attribute name="onclick">onSelectTypeChange('p');</xsl:attribute>
            </xsl:if>
						<xsl:choose>
							<xsl:when test="/Result/ConceptFlag = 1">
								最相关<xsl:value-of select="normalize-space(/Result/Total)" />项结果:&#160;
							</xsl:when>
							<xsl:otherwise>
								<xsl:value-of select="normalize-space(/Result/Total)" />项结果:&#160;
							</xsl:otherwise>
						</xsl:choose>
					</span>          
          <xsl:if test="normalize-space(/Result/Footype) = '1' or normalize-space(/Result/Footype) = '2' ">
            <div style="display:none">
              <xsl:attribute name="id">querytab-beforeafterdate-div-<xsl:value-of select="normalize-space(/Result/Footype)" />-<xsl:value-of select="substring-after(normalize-space(/Result/Foo),'~')" /></xsl:attribute>
            </div>
          </xsl:if>
          <xsl:if test="(normalize-space(/Result/Foo) = 'SEARCH-MASTER' or normalize-space(/Result/Foo) = 'SEARCH-SLAVE' or normalize-space(/Result/Foo) = 'SEARCH-PATENT') and /Result/Total > 0">
			  <div dojoType="dijit.Tooltip" showDelay="0">
						<xsl:attribute name="connectId">queryfulltext_addtoproject_<xsl:value-of select="normalize-space(/Result/Foo)" /></xsl:attribute>
							将当前页搜索结果添加到项目中
						</div>
						<div dojoType="dijit.Tooltip" showDelay="0">
							<xsl:attribute name="connectId">queryfulltext_addtoclipboard_<xsl:value-of select="normalize-space(/Result/Foo)" /></xsl:attribute>
							将当前页搜索结果添加到剪贴板中
						</div>
						<div dojoType="dijit.Tooltip" showDelay="0">
							<xsl:attribute name="connectId">queryfulltext_mail_<xsl:value-of select="normalize-space(/Result/Foo)" /></xsl:attribute>
							用E-mail发送当前页的搜索结果
						</div>

						<div dojoType="dijit.Tooltip" showDelay="0">
							<xsl:attribute name="connectId">queryfulltext_exportpatent_<xsl:value-of select="normalize-space(/Result/Foo)" /></xsl:attribute>
							导出搜索结果/导出
						</div>
						
						<div dojoType="dijit.Tooltip" showDelay="0">
							<xsl:attribute name="connectId">fulltextView_<xsl:value-of select="normalize-space(/Result/Foo)" /></xsl:attribute>
							全文浏览
						</div>
						
						<div dojoType="dijit.Tooltip" showDelay="0">
							<xsl:attribute name="connectId">queryfulltext_querystat_<xsl:value-of select="normalize-space(/Result/Foo)" /></xsl:attribute>
							搜索结果统计
						</div>
						
						<div dojoType="dijit.Tooltip" showDelay="0">
							<xsl:attribute name="connectId">queryfulltext_statdrawing_<xsl:value-of select="normalize-space(/Result/Foo)" /></xsl:attribute>
							查看搜索结果统计图
						</div>
						
						<div dojoType="dijit.Tooltip" showDelay="0">
							<xsl:attribute name="connectId">queryfulltext_clusterpatent_<xsl:value-of select="normalize-space(/Result/Foo)" /></xsl:attribute>
							查询结果聚类分析
						</div>
						
						<div dojoType="dijit.Tooltip" showDelay="0">
							<xsl:attribute name="connectId">queryfulltext_rotatesearch_<xsl:value-of select="normalize-space(/Result/Foo)" /></xsl:attribute>
							旋转搜索
						</div>
						<div dojoType="dijit.Tooltip" showDelay="0">
							<xsl:attribute name="connectId">doPatentMap_<xsl:value-of select="normalize-space(/Result/Foo)" /></xsl:attribute>
							专利地图
						</div>
						<div dojoType="dijit.Tooltip" showDelay="0">
							<xsl:attribute name="connectId">hankclick2h</xsl:attribute>
							列表浏览模式
						</div>
						<div dojoType="dijit.Tooltip" showDelay="0">
							<xsl:attribute name="connectId">hankclick</xsl:attribute>
							附图浏览模式
						</div>
						<div dojoType="dijit.Tooltip" showDelay="0">
							<xsl:attribute name="connectId">hankclick1</xsl:attribute>
							图文浏览模式
						</div>
            <img src="img/1.gif" mouseoverImg="img/1-active.gif" normalImg="img/1.gif" clickedImg="img/1-clicked.gif" state="normal" onmouseover="fulltextImgMouseOver(this);" onmouseout="fulltextImgMouseOut(this);" class="fulltextimglink2">
              <xsl:attribute name="onclick">fulltextImgClick(this, 1, 1);showProjectDiv(this, 'page', '', '1')</xsl:attribute>
              <xsl:attribute name="id">queryfulltext_addtoproject_<xsl:value-of select="normalize-space(/Result/Foo)" /></xsl:attribute>
            </img>
			  <xsl:if test="normalize-space(/Result/Foo) = 'SEARCH-MASTER' or normalize-space(/Result/Foo) = 'SEARCH-SLAVE'">
              <img src="img/6.gif" mouseoverImg="img/6-active.gif" normalImg="img/6.gif" clickedImg="img/6-clicked.gif" state="normal" onmouseover="fulltextImgMouseOver(this);" onmouseout="fulltextImgMouseOut(this);" class="fulltextimglink2">
                <xsl:attribute name="onclick">
					fulltextImgClick(this, 1, 1);addCurrentPagePN('<xsl:value-of select="normalize-space(/Result/Foo)" />')
                </xsl:attribute>
                <xsl:attribute name="id">queryfulltext_addtoclipboard_<xsl:value-of select="normalize-space(/Result/Foo)" />
                </xsl:attribute>
              </img>
            </xsl:if>
			   <!--<xsl:if test="normalize-space(/Result/Foo) = 'SEARCH-MASTER'">
				  <img src="img/11.gif" mouseoverImg="img/11-active.gif" normalImg="img/11.gif" clickedImg="img/11-clicked.gif" state="normal" onmouseover="fulltextImgMouseOver(this);" onmouseout="fulltextImgMouseOut(this);" title="搜索结果专利显示"  class="fulltextimglink2">
					  <xsl:attribute name="onclick">
						  fulltextImgClick(this, 1, 1);compareTopPatents('m')
					  </xsl:attribute>
					  <xsl:attribute name="id">
						  queryfulltext_comparetoppatents_<xsl:value-of select="normalize-space(/Result/Foo)" />
					  </xsl:attribute>
				  </img>
			  </xsl:if>
			 <xsl:if test="normalize-space(/Result/Foo) = 'SEARCH-SLAVE'">
							<img src="img/11.gif" mouseoverImg="img/11-active.gif" normalImg="img/11.gif" clickedImg="img/11-clicked.gif" state="normal" onmouseover="fulltextImgMouseOver(this);" onmouseout="fulltextImgMouseOut(this);" title="Compare top patents"  class="fulltextimglink2">
								<xsl:attribute name="onclick">
									fulltextImgClick(this, 1, 1);compareTopPatents('s')
								</xsl:attribute>
								<xsl:attribute name="id">
									queryfulltext_comparetoppatents_<xsl:value-of select="normalize-space(/Result/Foo)" />
								</xsl:attribute>
							</img>
						</xsl:if>-->
            <xsl:if test="(normalize-space(/Result/Foo) = 'SEARCH-MASTER' or normalize-space(/Result/Foo) = 'SEARCH-SLAVE')">
              <img src="img/7.gif" mouseoverImg="img/7-active.gif" normalImg="img/7.gif" clickedImg="img/7-clicked.gif" state="normal" onmouseover="fulltextImgMouseOver(this);" onmouseout="fulltextImgMouseOut(this);" class="fulltextimglink2">
                <xsl:attribute name="onclick">
					doMailSearchResults('<xsl:value-of select="normalize-space(/Result/Foo)" />')
                </xsl:attribute>
                <xsl:attribute name="id">queryfulltext_mail_<xsl:value-of select="normalize-space(/Result/Foo)" />
                </xsl:attribute>
              </img>
            </xsl:if>
            <xsl:if test="(normalize-space(/Result/Foo) = 'SEARCH-MASTER' or normalize-space(/Result/Foo) = 'SEARCH-SLAVE')">
              <img src="img/8.gif" mouseoverImg="img/8-active.gif" normalImg="img/8.gif" clickedImg="img/8-clicked.gif" state="normal" onmouseover="fulltextImgMouseOver(this);" onmouseout="fulltextImgMouseOut(this);" class="funcimg2">
                <xsl:attribute name="onclick">
					fulltextImgClick(this,1,1);doExportSearchResults(event,'<xsl:value-of select="normalize-space(/Result/Foo)" />')
                </xsl:attribute>
                <xsl:attribute name="id">queryfulltext_exportpatent_<xsl:value-of select="normalize-space(/Result/Foo)" />
                </xsl:attribute>
              </img>
			</xsl:if>
			<img src="img/11.gif" mouseoverImg="img/11-active.gif" normalImg="img/11.gif" clickedImg="img/11-clicked.gif" state="normal" onmouseover="fulltextImgMouseOver(this);" onmouseout="fulltextImgMouseOut(this);" class="fulltextimglink2">
				<xsl:attribute name="onclick">
					fulltextImgClick(this);compareTopPatents('<xsl:value-of select="normalize-space(/Result/Foo)"/>', this);
				</xsl:attribute>
				<xsl:attribute name="id">fulltextView_<xsl:value-of select="normalize-space(/Result/Foo)" /></xsl:attribute>
			</img>

			<img src="img/sep.gif" style="padding-left:2px; padding-right:2px" class="fulltextimglink2"/>
             <xsl:if test="/Result/Total > 0">
              <img src="img/2.gif" mouseoverImg="img/2-active.gif" normalImg="img/2.gif" clickedImg="img/2-clicked.gif" state="normal" onmouseover="fulltextImgMouseOver(this);" onmouseout="fulltextImgMouseOut(this);" class="fulltextimglink2">
                <xsl:attribute name="onclick">getQueryResultStat('<xsl:value-of select="normalize-space(/Result/Foo)" />')</xsl:attribute>
                <xsl:attribute name="id">queryfulltext_querystat_<xsl:value-of select="normalize-space(/Result/Foo)" /></xsl:attribute>
              </img>
            </xsl:if>
            <!-- <xsl:if test="normalize-space(/Result/Foo) = 'SEARCH-MASTER'">
              <img name="queryFulltextDrawing" src="img/3.gif" mouseoverImg="img/3-active.gif" normalImg="img/3.gif" clickedImg="img/3-clicked.gif" state="normal" onmouseover="fulltextImgMouseOver(this);" onmouseout="fulltextImgMouseOut(this);" class="fulltextimglink2">
                <xsl:attribute name="onclick">openQueryFulltextDrawing()</xsl:attribute>
                <xsl:attribute name="id">queryfulltext_statdrawing_<xsl:value-of select="normalize-space(/Result/Foo)" /></xsl:attribute>
              </img>
            </xsl:if> -->
            <xsl:if test="(normalize-space(/Result/Foo) = 'SEARCH-MASTER' or normalize-space(/Result/Foo) = 'SEARCH-SLAVE')">
              <img name ="queryFulltextCluster" src="img/4.gif" mouseoverImg="img/4-active.gif" normalImg="img/4.gif" clickedImg="img/4-clicked.gif"   state="normal" onmouseover="fulltextImgMouseOver(this);" onmouseout="fulltextImgMouseOut(this);" class="fulltextimglink2">
                <xsl:attribute name="onclick">loadQueryFulltextCluster('<xsl:value-of select="normalize-space(/Result/Foo)" />', false)</xsl:attribute>
                 <xsl:attribute name="id">queryfulltext_clusterpatent_<xsl:value-of select="normalize-space(/Result/Foo)" /></xsl:attribute>
             </img>
            </xsl:if>
            <xsl:if test="normalize-space(/Result/Foo) = 'SEARCH-MASTER'">
              <img src="img/5.gif" mouseoverImg="img/5-active.gif" normalImg="img/5.gif" clickedImg="img/5-clicked.gif" state="normal" onmouseover="fulltextImgMouseOver(this);" onmouseout="fulltextImgMouseOut(this);" class="fulltextimglink2">
                <xsl:attribute name="onclick">prepareRotate()</xsl:attribute>
                 <xsl:attribute name="id">queryfulltext_rotatesearch_<xsl:value-of select="normalize-space(/Result/Foo)" /></xsl:attribute>
             </img>
            </xsl:if>
            

			  <!-- <xsl:if test="(normalize-space(/Result/Foo) = 'SEARCH-MASTER')">
				  <img src="img/9.gif" mouseoverImg="img/9-active.gif" normalImg="img/9.gif" clickedImg="img/9-clicked.gif" state="normal" onmouseover="fulltextImgMouseOver(this);" onmouseout="fulltextImgMouseOut(this);" class="fulltextimglink2">
					  <xsl:attribute name="onclick">doPatentMap('<xsl:value-of select="normalize-space(/Result/Foo)" />',null,this)</xsl:attribute>
					  <xsl:attribute name="id">doPatentMap_<xsl:value-of select="normalize-space(/Result/Foo)" /></xsl:attribute>
				  </img>        
			  </xsl:if> -->

				<!-- <xsl:if test="(normalize-space(/Result/Foo) = 'SEARCH-MASTER')">
					<button id="tzjj" style="cursor:pointer;">
					同族聚焦
					</button>
			  </xsl:if> -->

			  <xsl:if test="(normalize-space(/Result/Foo) = 'SEARCH-MASTER')">
				  <img style="margin-left:20px;" src="img/listh-clicked.gif" mouseoverImg="img/listh-active.gif" normalImg="img/listh.gif" clickedImg="img/listh-clicked.gif" state="normal"  class="fulltextimglink2">
					 <!--  <xsl:attribute name="onclick">doPatentMap('<xsl:value-of select="normalize-space(/Result/Foo)" />',null,this)</xsl:attribute> -->
					  <xsl:attribute name="id">hankclick2</xsl:attribute>
				  </img> 
				  <img style="margin-left:20px;display:none;" src="img/listh.gif" mouseoverImg="img/listh-active.gif" normalImg="img/listh.gif" clickedImg="img/listh-clicked.gif" state="normal"  class="fulltextimglink2">
					 <!--  <xsl:attribute name="onclick">doPatentMap('<xsl:value-of select="normalize-space(/Result/Foo)" />',null,this)</xsl:attribute> -->
					  <xsl:attribute name="id">hankclick2h</xsl:attribute>
				  </img>        	
			  </xsl:if>

			  <xsl:if test="(normalize-space(/Result/Foo) = 'SEARCH-MASTER')">
				  <img src="img/tf.gif" mouseoverImg="img/tf-active.gif" normalImg="img/tf.gif" clickedImg="img/tf-clicked.gif" state="normal" class="fulltextimglink2">
					 <!--  <xsl:attribute name="onclick">doPatentMap('<xsl:value-of select="normalize-space(/Result/Foo)" />',null,this)</xsl:attribute> -->
					  <xsl:attribute name="id">hankclick1</xsl:attribute>
				  </img> 
				  <img style="display:none;" src="img/tf-clicked.gif" mouseoverImg="img/tf-active.gif" normalImg="img/tf.gif" clickedImg="img/tf-clicked.gif" state="normal" class="fulltextimglink2">
					 <!--  <xsl:attribute name="onclick">doPatentMap('<xsl:value-of select="normalize-space(/Result/Foo)" />',null,this)</xsl:attribute> -->
					  <xsl:attribute name="id">hankclick1h</xsl:attribute>
				  </img>         	
			  </xsl:if>

			  <xsl:if test="(normalize-space(/Result/Foo) = 'SEARCH-MASTER')">
				  <img src="img/fig.gif" mouseoverImg="img/fig-active.gif" normalImg="img/fig.gif" clickedImg="img/fig-clicked.gif" state="normal" class="fulltextimglink2">
					 <!--  <xsl:attribute name="onclick">doPatentMap('<xsl:value-of select="normalize-space(/Result/Foo)" />',null,this)</xsl:attribute> -->
					  <xsl:attribute name="id">hankclick</xsl:attribute>
				  </img>  
				  <img style="display:none;" src="img/fig-clicked.gif" mouseoverImg="img/fig-active.gif" normalImg="img/fig.gif" clickedImg="img/fig-clicked.gif" state="normal" class="fulltextimglink2">
					 <!--  <xsl:attribute name="onclick">doPatentMap('<xsl:value-of select="normalize-space(/Result/Foo)" />',null,this)</xsl:attribute> -->
					  <xsl:attribute name="id">hankclickh</xsl:attribute>
				  </img>
					<div style="position:relative;margin-left:4px;width:90px;height:20px;display:inline-block;">
						<button style="cursor:pointer;font-size:12px;width:62px;height:20px;line-height:16px;padding: 1px 0px;" id="hbmasterM">未合并</button>
						<div id="hbmasterMD" style="position:absolute;left:62px;top:-10px;width:450px;height:auto;border:1px solid grey;z-index:9999999;background-color:white;display:none;">

							<div style="float:left;">
								<div id="tznonemaster" style="width:90px;height:20px;line-height:20px;text-align:center;cursor:pointer;">未合并</div>
								<div id="hbmaster" style="width:90px;height:20px;line-height:20px;text-align:center;cursor:pointer;">同族合并</div>
								<div id="jjmaster" style="width:90px;height:20px;line-height:20px;text-align:center;cursor:pointer;">同族聚焦</div>
								<div id="pn-master" style="width:90px;height:20px;line-height:20px;text-align:center;cursor:pointer;">
										<div id="pre-master" style="width:45px;height:20px;line-height:20px;text-align:center;cursor:pointer;float:left;">
											&lt;上库
										</div>
										<div id="next-master" style="width:45px;height:20px;line-height:20px;text-align:center;cursor:pointer;float:left;">
											下库&gt;
										</div>
								</div>
							</div>
							
							<div id="master_container" style="width:360px;height:60px;background-color:white;float:left;">
								<!-- <div style="width:90px;height:4px;line-height:4px;text-align:center;cursor:pointer;"></div>
								<div style="width:90px;height:1px;line-height:1px;text-align:center;cursor:pointer;background-color:lightgray;"></div>
								<div style="width:90px;height:4px;line-height:4px;text-align:center;cursor:pointer;"></div> -->
								<div style="width:90px;height:20px;line-height:20px;text-align:center;cursor:pointer;float:left;">
									<input checked="true" id="master_alldata" style="float:left;" type="checkbox"/><span style="height:20px;line-height:20px;float:left;">全部</span>
									<span id="countallm" style="height:20px;line-height:20px;float:left;"></span>
								</div>
								<div style="width:90px;height:20px;line-height:20px;text-align:center;cursor:pointer;background-color:#e0f8fe;float:left;display:none;">
									<input checked="true" id="master_cndata" style="float:left;" type="checkbox"/><span style="height:20px;line-height:20px;float:left;">中文库</span>
									<span id="countcnallm" style="height:20px;line-height:20px;float:left;"></span>
								</div>
								<!-- <div style="width:90px;height:4px;line-height:4px;text-align:center;cursor:pointer;"></div>
								<div style="width:90px;height:1px;line-height:1px;text-align:center;cursor:pointer;background-color:lightgray;"></div>
								<div style="width:90px;height:4px;line-height:4px;text-align:center;cursor:pointer;"></div> -->
								<div style="width:90px;height:20px;line-height:20px;text-align:center;cursor:pointer;float:left;background-color:#e0f8fe;">
									<input checked="true" id="master_cn" style="float:left;" type="checkbox"/><span style="height:20px;line-height:20px;float:left;">中国</span>
									<span id="countcn" style="height:20px;line-height:20px;float:left;"></span>
								</div>
								<div style="width:90px;height:20px;line-height:20px;text-align:center;cursor:pointer;float:left;background-color:#e0f8fe;">	
									<input checked="true" id="master_tw" style="float:left;" type="checkbox"/><span style="height:20px;line-height:20px;float:left;">台湾</span>
									<span id="counttw" style="height:20px;line-height:20px;float:left;"></span>
								</div>
								<div style="width:90px;height:20px;line-height:20px;text-align:center;cursor:pointer;float:left;background-color:#e0f8fe;">	
									<input checked="true" id="master_uc" style="float:left;" type="checkbox"/><span style="height:20px;line-height:20px;float:left;">美国中文</span>
									<span id="countuc" style="height:20px;line-height:20px;float:left;"></span>
								</div>

								<div id="div-toujingcn-master" style="width:90px;height:20px;line-height:20px;text-align:center;cursor:pointer;visibility:hidden;float:left;">	
									<input id="toujing_cn-master" style="float:left;" type="checkbox"/><span style="height:20px;line-height:20px;float:left;">中国透镜</span>
									<span id="count-toujingcn-master" style="height:20px;line-height:20px;float:left;"></span>
								</div>
								<!-- <div style="width:90px;height:4px;line-height:4px;text-align:center;cursor:pointer;"></div>
								<div style="width:90px;height:1px;line-height:1px;text-align:center;cursor:pointer;background-color:lightgray;"></div>
								<div style="width:90px;height:4px;line-height:4px;text-align:center;cursor:pointer;"></div> -->

								<div style="width:90px;height:20px;line-height:20px;text-align:center;cursor:pointer;background-color:#fbe8cf;float:left;display:none;">
									<input checked="true" id="master_endata" style="float:left;" type="checkbox"/><span style="height:20px;line-height:20px;float:left;">英文库</span>
									<span id="countenallm" style="height:20px;line-height:20px;float:left;"></span>
								</div>

								<!-- <div style="width:90px;height:4px;line-height:4px;text-align:center;cursor:pointer;"></div>
								<div style="width:90px;height:1px;line-height:1px;text-align:center;cursor:pointer;background-color:lightgray;"></div>
								<div style="width:90px;height:4px;line-height:4px;text-align:center;cursor:pointer;"></div> -->

								<!-- <div style="width:90px;height:20px;line-height:20px;text-align:center;cursor:pointer;">
									<input checked="true" id="master_endata" style="float:left;" type="checkbox"/><span style="height:20px;line-height:20px;float:left;">英文库</span>
								</div> -->
								
								<div style="width:90px;height:20px;line-height:20px;text-align:center;cursor:pointer;float:left;background-color:#fbe8cf;">	
									<input checked="true" id="master_us" style="float:left;" type="checkbox"/><span style="height:20px;line-height:20px;float:left;">美国</span>
									<span id="countus" style="height:20px;line-height:20px;float:left;"></span>
								</div>
								<div style="width:90px;height:20px;line-height:20px;text-align:center;cursor:pointer;float:left;background-color:#fbe8cf;">	
									<input checked="true" id="master_ep" style="float:left;" type="checkbox"/><span style="height:20px;line-height:20px;float:left;">欧专局</span>
									<span id="countep" style="height:20px;line-height:20px;float:left;"></span>
								</div>
								<div style="width:90px;height:20px;line-height:20px;text-align:center;cursor:pointer;float:left;background-color:#fbe8cf;">	
									<input checked="true" id="master_jp" style="float:left;" type="checkbox"/><span style="height:20px;line-height:20px;float:left;">日本</span>
									<span id="countjp" style="height:20px;line-height:20px;float:left;"></span>
								</div>

								<div id="div-toujingen-master" style="width:90px;height:20px;line-height:20px;text-align:center;cursor:pointer;float:left;visibility:hidden;">	
									<input id="toujing_en-master" style="float:left;" type="checkbox"/><span style="height:20px;line-height:20px;float:left;">美国透镜</span>
									<span id="count-toujingen-master" style="height:20px;line-height:20px;float:left;"></span>
								</div>

								<div style="width:90px;height:20px;line-height:20px;text-align:center;cursor:pointer;float:left;background-color:#fbe8cf;">	
									<input checked="true" id="master_kr" style="float:left;" type="checkbox"/><span style="height:20px;line-height:20px;float:left;">韩国</span>
									<span id="countkr" style="height:20px;line-height:20px;float:left;"></span>
								</div>

								


								<div style="width:90px;height:20px;line-height:20px;text-align:center;cursor:pointer;float:left;background-color:#fbe8cf;">	
									<input checked="true" id="master_wo" style="float:left;" type="checkbox"/><span style="height:20px;line-height:20px;float:left;">wo</span>
									<span id="countwo" style="height:20px;line-height:20px;float:left;"></span>
								</div>
								<div style="width:90px;height:20px;line-height:20px;text-align:center;cursor:pointer;float:left;background-color:#fbe8cf;">	
									<input checked="true" id="master_ce" style="float:left;" type="checkbox"/><span style="height:20px;line-height:20px;float:left;">中国英文</span>
									<span id="countce" style="height:20px;line-height:20px;float:left;"></span>
								</div>


								<!-- <div id="splitline-m" style="width:90px;height:4px;line-height:4px;text-align:center;cursor:pointer;display:none;"></div>
								<div style="width:90px;height:1px;line-height:1px;text-align:center;cursor:pointer;background-color:lightgray;"></div>
								<div style="width:90px;height:4px;line-height:4px;text-align:center;cursor:pointer;"></div> -->

								

								


							</div>	

						</div>    
					</div>
					    	
			  </xsl:if>

			  <xsl:if test="(normalize-space(/Result/Foo) = 'SEARCH-MASTER')">
				  <label class="switch hhh" style="vertical-align: middle;margin-left:4px;" >
                      <input id="hideM" type="checkbox" />
                      <div class="slider round"></div>
                  </label>
                  <span id="hidesM" class="querylist-p hhh" style="vertical-align:middle;color:#ccc;" 
                  >  全文同框</span>      	
			  </xsl:if>
			  

			 
				
			  <xsl:if test="(normalize-space(/Result/Foo) = 'SEARCH-SLAVE')">
				  <img style="margin-left:20px;" src="img/listh-clicked.gif" mouseoverImg="img/listh-active.gif" normalImg="img/listh.gif" clickedImg="img/listh-clicked.gif" state="normal"  class="fulltextimglink2">
					 <!--  <xsl:attribute name="onclick">doPatentMap('<xsl:value-of select="normalize-space(/Result/Foo)" />',null,this)</xsl:attribute> -->
					  <xsl:attribute name="id">hankclick2s</xsl:attribute>
				  </img> 
				  <img style="margin-left:20px;display:none;" src="img/listh.gif" mouseoverImg="img/listh-active.gif" normalImg="img/listh.gif" clickedImg="img/listh-clicked.gif" state="normal"  class="fulltextimglink2">
					 <!--  <xsl:attribute name="onclick">doPatentMap('<xsl:value-of select="normalize-space(/Result/Foo)" />',null,this)</xsl:attribute> -->
					  <xsl:attribute name="id">hankclick2hs</xsl:attribute>
				  </img>        	
			  </xsl:if>

			  <xsl:if test="(normalize-space(/Result/Foo) = 'SEARCH-SLAVE')">
				  <img src="img/tf.gif" mouseoverImg="img/tf-active.gif" normalImg="img/tf.gif" clickedImg="img/tf-clicked.gif" state="normal" class="fulltextimglink2">
					 <!--  <xsl:attribute name="onclick">doPatentMap('<xsl:value-of select="normalize-space(/Result/Foo)" />',null,this)</xsl:attribute> -->
					  <xsl:attribute name="id">hankclick1s</xsl:attribute>
				  </img> 
				  <img style="display:none;" src="img/tf-clicked.gif" mouseoverImg="img/tf-active.gif" normalImg="img/tf.gif" clickedImg="img/tf-clicked.gif" state="normal" class="fulltextimglink2">
					 <!--  <xsl:attribute name="onclick">doPatentMap('<xsl:value-of select="normalize-space(/Result/Foo)" />',null,this)</xsl:attribute> -->
					  <xsl:attribute name="id">hankclick1hs</xsl:attribute>
				  </img>         	
			  </xsl:if>

			  <xsl:if test="(normalize-space(/Result/Foo) = 'SEARCH-SLAVE')">
				  <img src="img/fig.gif" mouseoverImg="img/fig-active.gif" normalImg="img/fig.gif" clickedImg="img/fig-clicked.gif" state="normal" class="fulltextimglink2">
					 <!--  <xsl:attribute name="onclick">doPatentMap('<xsl:value-of select="normalize-space(/Result/Foo)" />',null,this)</xsl:attribute> -->
					  <xsl:attribute name="id">hankclicks</xsl:attribute>
				  </img>  
				  <img style="display:none;" src="img/fig-clicked.gif" mouseoverImg="img/fig-active.gif" normalImg="img/fig.gif" clickedImg="img/fig-clicked.gif" state="normal" class="fulltextimglink2">
					 <!--  <xsl:attribute name="onclick">doPatentMap('<xsl:value-of select="normalize-space(/Result/Foo)" />',null,this)</sl:xattribute> -->
					  <xsl:attribute name="id">hankclickhs</xsl:attribute>
				  </img>

					<div style="position:relative;margin-left:4px;width:60px;height:20px;display:inline-block;">
						<button style="cursor:pointer;font-size:12px;width:62px;height:20px;line-height:16px;padding: 1px 0px;" id="hbslaveS">未合并</button>
						<div id="hbslaveSD" style="position:absolute;left:62px;top:-10px;width:450px;height:auto;border:1px solid grey;z-index:9999999;background-color:white;display:none;">

						<div style="float:left;">
							<div id="tznoneslave" style="width:90px;height:20px;line-height:20px;text-align:center;cursor:pointer;">未合并</div>
							<div id="hbslave" style="width:90px;height:20px;line-height:20px;text-align:center;cursor:pointer;">同族合并</div>
							<div id="jjslave" style="width:90px;height:20px;line-height:20px;text-align:center;cursor:pointer;">同族聚焦</div>

							<div id="pn-slave" style="width:90px;height:20px;line-height:20px;text-align:center;cursor:pointer;">
									<div id="pre-slave" style="width:45px;height:20px;line-height:20px;text-align:center;cursor:pointer;float:left;">
										&lt;上库
									</div>
									<div id="next-slave" style="width:45px;height:20px;line-height:20px;text-align:center;cursor:pointer;float:left;">
										下库&gt;
									</div>
							</div>

						</div>	


							<div id="slave_container" style="width:360px;height:60px;background-color:white;float:left;">

								<!-- <div style="width:90px;height:4px;line-height:4px;text-align:center;cursor:pointer;"></div>
								<div style="width:90px;height:1px;line-height:1px;text-align:center;cursor:pointer;background-color:lightgray;"></div>
								<div style="width:90px;height:4px;line-height:4px;text-align:center;cursor:pointer;"></div> -->

								<div style="width:90px;height:20px;line-height:20px;text-align:center;cursor:pointer;float:left;">
									<input checked="true" id="slave_alldata" style="float:left;" type="checkbox"/><span style="height:20px;line-height:20px;float:left;">全部</span>
									<span id="countalls" style="height:20px;line-height:20px;float:left;"></span>
								</div>
								<div style="width:90px;height:20px;line-height:20px;text-align:center;cursor:pointer;background-color:#e0f8fe;float:left;display:none;">
									<input checked="true" id="slave_cndata" style="float:left;" type="checkbox"/><span style="height:20px;line-height:20px;float:left;">中文库</span>
									<span id="countcnalls" style="height:20px;line-height:20px;float:left;"></span>
								</div>

								<!-- <div style="width:90px;height:4px;line-height:4px;text-align:center;cursor:pointer;"></div>
								<div style="width:90px;height:1px;line-height:1px;text-align:center;cursor:pointer;background-color:lightgray;"></div>
								<div style="width:90px;height:4px;line-height:4px;text-align:center;cursor:pointer;"></div> -->

								<div style="width:90px;height:20px;line-height:20px;text-align:center;cursor:pointer;float:left;background-color:#e0f8fe;">
									<input checked="true" id="slave_cn" style="float:left;" type="checkbox"/><span style="height:20px;line-height:20px;float:left;">中国</span>
									<span id="countcns" style="height:20px;line-height:20px;float:left;"></span>
								</div>
								<div style="width:90px;height:20px;line-height:20px;text-align:center;cursor:pointer;float:left;background-color:#e0f8fe;">	
									<input checked="true" id="slave_tw" style="float:left;" type="checkbox"/><span style="height:20px;line-height:20px;float:left;">台湾</span>
									<span id="counttws" style="height:20px;line-height:20px;float:left;"></span>
								</div>
								<div style="width:90px;height:20px;line-height:20px;text-align:center;cursor:pointer;float:left;background-color:#e0f8fe;">	
									<input checked="true" id="slave_uc" style="float:left;" type="checkbox"/><span style="height:20px;line-height:20px;float:left;">美国中文</span>
									<span id="countucs" style="height:20px;line-height:20px;float:left;"></span>
								</div>

								<div id="div-toujingcn-slave" style="width:90px;height:20px;line-height:20px;text-align:center;cursor:pointer;float:left;visibility:hidden;">	
									<input id="toujing_cn-slave" style="float:left;" type="checkbox"/><span style="height:20px;line-height:20px;float:left;">中国透镜</span>
									<span id="count-toujingcn-slave" style="height:20px;line-height:20px;float:left;"></span>
								</div>

								<!-- <div style="width:90px;height:4px;line-height:4px;text-align:center;cursor:pointer;"></div>
								<div style="width:90px;height:1px;line-height:1px;text-align:center;cursor:pointer;background-color:lightgray;"></div>
								<div style="width:90px;height:4px;line-height:4px;text-align:center;cursor:pointer;"></div> -->

								<div style="width:90px;height:20px;line-height:20px;text-align:center;cursor:pointer;background-color:#fbe8cf;float:left;display:none;">
									<input checked="true" id="slave_endata" style="float:left;" type="checkbox"/><span style="height:20px;line-height:20px;float:left;">英文库</span>
									<span id="countenalls" style="height:20px;line-height:20px;float:left;"></span>
								</div>

								<!-- <div style="width:90px;height:4px;line-height:4px;text-align:center;cursor:pointer;"></div>
								<div style="width:90px;height:1px;line-height:1px;text-align:center;cursor:pointer;background-color:lightgray;"></div>
								<div style="width:90px;height:4px;line-height:4px;text-align:center;cursor:pointer;"></div> -->

								<!-- <div style="width:90px;height:20px;line-height:20px;text-align:center;cursor:pointer;">
									<input checked="true" id="slave_endata" style="float:left;" type="checkbox"/><span style="height:20px;line-height:20px;float:left;">英文库</span>
								</div> -->
								<div style="width:90px;height:20px;line-height:20px;text-align:center;cursor:pointer;float:left;background-color:#fbe8cf;">	
									<input checked="true" id="slave_us" style="float:left;" type="checkbox"/><span style="height:20px;line-height:20px;float:left;">美国</span>
									<span id="countuss" style="height:20px;line-height:20px;float:left;"></span>
								</div>
								<div style="width:90px;height:20px;line-height:20px;text-align:center;cursor:pointer;float:left;background-color:#fbe8cf;">	
									<input checked="true" id="slave_ep" style="float:left;" type="checkbox"/><span style="height:20px;line-height:20px;float:left;">欧专局</span>
									<span id="counteps" style="height:20px;line-height:20px;float:left;"></span>
								</div>
								<div style="width:90px;height:20px;line-height:20px;text-align:center;cursor:pointer;float:left;background-color:#fbe8cf;">	
									<input checked="true" id="slave_jp" style="float:left;" type="checkbox"/><span style="height:20px;line-height:20px;float:left;">日本</span>
									<span id="countjps" style="height:20px;line-height:20px;float:left;"></span>
								</div>

								<div id="div-toujingen-slave" style="width:90px;height:20px;line-height:20px;text-align:center;cursor:pointer;float:left;visibility:hidden;">	
									<input id="toujing_en-slave" style="float:left;" type="checkbox"/><span style="height:20px;line-height:20px;float:left;">美国透镜</span>
									<span id="count-toujingen-slave" style="height:20px;line-height:20px;float:left;"></span>
								</div>


								<div style="width:90px;height:20px;line-height:20px;text-align:center;cursor:pointer;float:left;background-color:#fbe8cf;">	
									<input checked="true" id="slave_kr" style="float:left;" type="checkbox"/><span style="height:20px;line-height:20px;float:left;">韩国</span>
									<span id="countkrs" style="height:20px;line-height:20px;float:left;"></span>
								</div>
								<div style="width:90px;height:20px;line-height:20px;text-align:center;cursor:pointer;float:left;background-color:#fbe8cf;">	
									<input checked="true" id="slave_wo" style="float:left;" type="checkbox"/><span style="height:20px;line-height:20px;float:left;">wo</span>
									<span id="countwos" style="height:20px;line-height:20px;float:left;"></span>
								</div>
								<div style="width:90px;height:20px;line-height:20px;text-align:center;cursor:pointer;float:left;background-color:#fbe8cf;">	
									<input checked="true" id="slave_ce" style="float:left;" type="checkbox"/><span style="height:20px;line-height:20px;float:left;">中国英文</span>
									<span id="countces" style="height:20px;line-height:20px;float:left;"></span>
								</div>

								<!-- <div id="splitline-s" style="width:90px;height:4px;line-height:4px;text-align:center;cursor:pointer;"></div>
								<div style="width:90px;height:1px;line-height:1px;text-align:center;cursor:pointer;background-color:lightgray;"></div>
								<div style="width:90px;height:4px;line-height:4px;text-align:center;cursor:pointer;"></div> -->

								

								

							 </div>
						</div>    
					</div>

			  </xsl:if>	


				<xsl:if test="(normalize-space(/Result/Foo) = 'SEARCH-PATENT')">
				  <img style="margin-left:20px;" src="img/listh-clicked.gif" mouseoverImg="img/listh-active.gif" normalImg="img/listh.gif" clickedImg="img/listh-clicked.gif" state="normal"  class="fulltextimglink2">
					 <!--  <xsl:attribute name="onclick">doPatentMap('<xsl:value-of select="normalize-space(/Result/Foo)" />',null,this)</xsl:attribute> -->
					  <xsl:attribute name="id">hankclick2p</xsl:attribute>
				  </img> 
				  <img style="margin-left:20px;display:none;" src="img/listh.gif" mouseoverImg="img/listh-active.gif" normalImg="img/listh.gif" clickedImg="img/listh-clicked.gif" state="normal"  class="fulltextimglink2">
					 <!--  <xsl:attribute name="onclick">doPatentMap('<xsl:value-of select="normalize-space(/Result/Foo)" />',null,this)</xsl:attribute> -->
					  <xsl:attribute name="id">hankclick2hp</xsl:attribute>
				  </img>        	
			  </xsl:if>

			  <xsl:if test="(normalize-space(/Result/Foo) = 'SEARCH-PATENT')">
				  <img src="img/tf.gif" mouseoverImg="img/tf-active.gif" normalImg="img/tf.gif" clickedImg="img/tf-clicked.gif" state="normal" class="fulltextimglink2">
					 <!--  <xsl:attribute name="onclick">doPatentMap('<xsl:value-of select="normalize-space(/Result/Foo)" />',null,this)</xsl:attribute> -->
					  <xsl:attribute name="id">hankclick1p</xsl:attribute>
				  </img> 
				  <img style="display:none;" src="img/tf-clicked.gif" mouseoverImg="img/tf-active.gif" normalImg="img/tf.gif" clickedImg="img/tf-clicked.gif" state="normal" class="fulltextimglink2">
					 <!--  <xsl:attribute name="onclick">doPatentMap('<xsl:value-of select="normalize-space(/Result/Foo)" />',null,this)</xsl:attribute> -->
					  <xsl:attribute name="id">hankclick1hp</xsl:attribute>
				  </img>         	
			  </xsl:if>

			  <xsl:if test="(normalize-space(/Result/Foo) = 'SEARCH-PATENT')">
				  <img src="img/fig.gif" mouseoverImg="img/fig-active.gif" normalImg="img/fig.gif" clickedImg="img/fig-clicked.gif" state="normal" class="fulltextimglink2">
					 <!--  <xsl:attribute name="onclick">doPatentMap('<xsl:value-of select="normalize-space(/Result/Foo)" />',null,this)</xsl:attribute> -->
					  <xsl:attribute name="id">hankclickp</xsl:attribute>
				  </img>  
				  <img style="display:none;" src="img/fig-clicked.gif" mouseoverImg="img/fig-active.gif" normalImg="img/fig.gif" clickedImg="img/fig-clicked.gif" state="normal" class="fulltextimglink2">
					 <!--  <xsl:attribute name="onclick">doPatentMap('<xsl:value-of select="normalize-space(/Result/Foo)" />',null,this)</sl:xattribute> -->
					  <xsl:attribute name="id">hankclickhp</xsl:attribute>
				  </img> 

					<button  style="margin-left:4px;cursor:pointer;font-size:12px;display:none;" id="hbpatent">未合并</button>       	
			  </xsl:if>	

			  <xsl:if test="(normalize-space(/Result/Foo) = 'SEARCH-SLAVE')">
				   <label class="switch hhh" style="vertical-align: middle;margin-left:4px;" >
                      <input id="hideS" type="checkbox" />
                      <div class="slider round"></div>
                  </label>
                  <span id="hidesS" class="querylist-p hhh" style="vertical-align:middle;color:#ccc;" 
                  >  全文同框</span>     	
			  </xsl:if>	



			  <xsl:if test="count(/Result/ColorList) > 0">
              <div style="display:none">
                <xsl:attribute name="id">querylist-color-control-div-<xsl:value-of select="normalize-space(/Result/Foo)" /></xsl:attribute>
                <xsl:for-each select="/Result/ColorList/Color">
                  <img class="imglink" style="margin-right:5px">
                    <xsl:attribute name="src">img/<xsl:value-of select="substring-after(normalize-space(Key), '#')" />.gif</xsl:attribute>
                    <xsl:attribute name="onmouseover">src='img/<xsl:value-of select="substring-after(normalize-space(Key), '#')" />-active.gif'</xsl:attribute>
                    <xsl:attribute name="onmouseout">src='img/<xsl:value-of select="substring-after(normalize-space(Key), '#')" />.gif'</xsl:attribute>
                    <xsl:attribute name="onclick">setPatentDisplayColor(this, '<xsl:value-of select="normalize-space(Key)" />')</xsl:attribute>
                    <xsl:attribute name="title"><xsl:value-of select="normalize-space(Name)" /></xsl:attribute>
                  </img>(<xsl:value-of select="normalize-space(Count)" />)
                </xsl:for-each>
              </div>
            </xsl:if>
          </xsl:if>
					<xsl:if test="normalize-space(/Result/ErrorMsg) != ''">
						<div>
							<span style="color:white;background-color:red">
								<xsl:value-of select="/Result/ErrorMsg"/>
							</span>
						</div>
					</xsl:if>
				</td>
        <xsl:if test="normalize-space(/Result/Foo) = 'SEARCH-MASTER' or normalize-space(/Result/Foo) = 'SEARCH-SLAVE' or normalize-space(/Result/Foo) = 'SEARCH-MASTER-TOP' or normalize-space(/Result/Foo) = 'SEARCH-PATENT'">
					<td align="right">
            <xsl:if test="normalize-space(/Result/Threshold) >= 0 and (normalize-space(/Result/Foo) = 'SEARCH-MASTER' or normalize-space(/Result/Foo) = 'SEARCH-SLAVE')">
                <span style="vertical-align:middle">相关度(%):</span>
                <input class="querylist-searchrank" type="text" onkeydown="checkSearchRankKey(event, this);" title="请输入0到100的整数值">
                  <xsl:attribute name="id">querylist-searchrank-input<xsl:value-of select="normalize-space(/Result/Suffix)" /></xsl:attribute>
                  <xsl:attribute name="value"><xsl:value-of select="normalize-space(/Result/Threshold)" /></xsl:attribute>
                </input>
                <input type="button" class="querylist-addtop-button" value="过滤" onclick="setSearchRank(this)" />&#160;
            </xsl:if>
            <xsl:if test="normalize-space(/Result/Foo) = 'SEARCH-MASTER' or normalize-space(/Result/Foo) = 'SEARCH-MASTER-TOP' or normalize-space(/Result/Foo) = 'SEARCH-PATENT'">
              <span style="vertical-align:middle">专利号:</span>
              <input onkeydown="onAddPatentToMasterQuerylist(event);" onfocus="onInputFocus(this);" class="querylist-pn-input" type="text"  title="请输入专利号" id="search-input-topquery"/>
            </xsl:if>
						<xsl:if test="normalize-space(/Result/Foo) = 'SEARCH-MASTER' or normalize-space(/Result/Foo) = 'SEARCH-MASTER-TOP' or normalize-space(/Result/Foo) = 'SEARCH-PATENT'">
            <img style="vertical-align:bottom" class="imglink"  onmouseover="this.src='img/more6-active.gif'" title="将专利添加到搜索结果列表中" onclick="addPatentToMasterQuerylist(null)" onmouseout="this.src='img/more6.gif'" src="img/more6.gif"/>
						</xsl:if>
						<!--<xsl:if test="normalize-space(/Result/Foo) = 'SEARCH-MASTER'">

							<img src="img/6.gif" style="vertical-align:bottom;cursor:pointer"  onclick="compareTopPatents();"></img>
							</xsl:if>-->
					</td>
				</xsl:if>
				<xsl:if test="substring-before(normalize-space(/Result/Foo), '~') = 'QUERYTAB-USREFERENCE'">
					<td align="right">
						<input type="radio" value="cite" >
							<xsl:attribute name="name">querytab-usreferencetype-radio-<xsl:value-of select="substring-after(normalize-space(/Result/Foo),'~')" /></xsl:attribute>
							<xsl:attribute name="id">querytab-usreferencetype-radio-cite-<xsl:value-of select="substring-after(normalize-space(/Result/Foo),'~')" /></xsl:attribute>
							<xsl:attribute name="onclick">onUSReferenceTypeChange('<xsl:value-of select="substring-after(normalize-space(/Result/Foo),'~')" />')</xsl:attribute>
						</input>本文引用的专利
            <input type="radio" value="cite" >
              <xsl:attribute name="name">querytab-usreferencetype-radio-<xsl:value-of select="substring-after(normalize-space(/Result/Foo),'~')" /></xsl:attribute>
              <xsl:attribute name="id">querytab-usreferencetype-radio-citee-<xsl:value-of select="substring-after(normalize-space(/Result/Foo),'~')" /></xsl:attribute>
              <xsl:attribute name="onclick">onUSReferenceTypeChange('<xsl:value-of select="substring-after(normalize-space(/Result/Foo),'~')" />')</xsl:attribute>
              
            </input>本文引用专利引用的专利
						<input type="radio" value="ref">
							<xsl:attribute name="name">querytab-usreferencetype-radio-<xsl:value-of select="substring-after(normalize-space(/Result/Foo),'~')" /></xsl:attribute>
							<xsl:attribute name="id">querytab-usreferencetype-radio-ref-<xsl:value-of select="substring-after(normalize-space(/Result/Foo),'~')" /></xsl:attribute>
							<xsl:attribute name="onclick">onUSReferenceTypeChange('<xsl:value-of select="substring-after(normalize-space(/Result/Foo),'~')" />')</xsl:attribute>
							
						</input>引用本文的专利
            <input type="radio" value="ref">
              <xsl:attribute name="name">querytab-usreferencetype-radio-<xsl:value-of select="substring-after(normalize-space(/Result/Foo),'~')" /></xsl:attribute>
              <xsl:attribute name="id">querytab-usreferencetype-radio-reff-<xsl:value-of select="substring-after(normalize-space(/Result/Foo),'~')" /></xsl:attribute>
              <xsl:attribute name="onclick">onUSReferenceTypeChange('<xsl:value-of select="substring-after(normalize-space(/Result/Foo),'~')" />')</xsl:attribute>
              
            </input>引用引用本文的专利的专利
						<!--<input type="radio" value="ref">
							<xsl:attribute name="name">
								querytab-usreferencetype-radio-<xsl:value-of select="substring-after(normalize-space(/Result/Foo),'~')" />
							</xsl:attribute>
							<xsl:attribute name="id">
								querytab-usreferencetype-radio-reff-<xsl:value-of select="substring-after(normalize-space(/Result/Foo),'~')" />
							</xsl:attribute>
							<xsl:attribute name="onclick">
								onUSReferenceTypeChange('<xsl:value-of select="substring-after(normalize-space(/Result/Foo),'~')" />')
							</xsl:attribute>
							第一发明人在Google Scholar中的文献
						</input>-->
						<span style="padding:2px;border:1px solid gray;margin-left:20px;color:blue;cursor:pointer;">
							<xsl:attribute name="onclick">ShowRefChart('<xsl:value-of select="substring-after(normalize-space(/Result/Foo),'~')" />')</xsl:attribute> 引用图</span>
					</td>
				</xsl:if>
				<xsl:if test="contains(normalize-space(/Result/Foo),'QUERYTAB-CN')">
					<td align="right">
						<input type="radio" value="cn" >
							<xsl:attribute name="name">querytab-cnpatentabilitytype-radio-<xsl:value-of select="normalize-space(/Result/Footype)" />-<xsl:value-of select="substring-after(normalize-space(/Result/Foo),'~')" /></xsl:attribute>
							<xsl:attribute name="id">querytab-cnpatentabilitytype-radio-cn-<xsl:value-of select="normalize-space(/Result/Footype)" />-<xsl:value-of select="substring-after(normalize-space(/Result/Foo),'~')" /></xsl:attribute>
							<xsl:attribute name="onclick">onCNPatentabilityTypeChange('<xsl:value-of select="substring-after(normalize-space(/Result/Foo),'~')" />', '<xsl:value-of select="normalize-space(/Result/Footype)" />')</xsl:attribute>
						</input>
							搜索中文
						<input type="radio" value="us">
							<xsl:attribute name="name">querytab-cnpatentabilitytype-radio-<xsl:value-of select="normalize-space(/Result/Footype)" />-<xsl:value-of select="substring-after(normalize-space(/Result/Foo),'~')" /></xsl:attribute>
							<xsl:attribute name="id">querytab-cnpatentabilitytype-radio-us-<xsl:value-of select="normalize-space(/Result/Footype)" />-<xsl:value-of select="substring-after(normalize-space(/Result/Foo),'~')" /></xsl:attribute>
							<xsl:attribute name="onclick">onCNPatentabilityTypeChange('<xsl:value-of select="substring-after(normalize-space(/Result/Foo),'~')" />', '<xsl:value-of select="normalize-space(/Result/Footype)" />')</xsl:attribute>
						</input>
						搜索英文

						<xsl:if test="normalize-space(/Result/Footype) = 'x'" >
						<span style="padding:2px;border:1px solid gray;margin-left:20px;color:blue;cursor:pointer;">
							<xsl:attribute name="onclick">ShowRefChart('<xsl:value-of select="substring-after(normalize-space(/Result/Foo),'~')" />',2)</xsl:attribute> 虚拟引用图
						</span>
					</xsl:if>
          </td>
				</xsl:if>
        <td align="right">

			<img id="expand-all-patent-content-img" onmouseover="this.src='img/expandall-active.gif'" onmouseout="this.src='img/expandall.gif'" src="img/expandall.gif" alt="打开所有标签" title="打开所有标签" onclick="expandAll(this);" class="imglink">
				<xsl:attribute name="id">expand-all-patent-content-img-<xsl:value-of select="normalize-space(/Result/Foo)"/>
				</xsl:attribute>
			</img>
			<img onmouseover="this.src='img/close-active.gif'" onmouseout="this.src='img/close.gif'" src="img/close.gif" alt="关闭所有标签" title="关闭所有标签" onclick="closeAllHiddenTr(this);" class="imglink">
				<xsl:attribute name="id">close-all-patent-content-img-<xsl:value-of select="normalize-space(/Result/Foo)"/>
				</xsl:attribute>
			</img>
        </td>
			</tr>
		</table>
    </xsl:if>
    <xsl:if test="normalize-space(/Result/Foo) = 'SEARCH-MASTER' or normalize-space(/Result/Foo) = 'SEARCH-SLAVE' or normalize-space(/Result/Foo) = 'SEARCH-PATENT'">
      <div style="display:none">
        <xsl:attribute name="id">querylist-queryresultstat-div-<xsl:value-of select="normalize-space(/Result/Foo)" /></xsl:attribute>
      </div>
    </xsl:if>
    <xsl:if test="normalize-space(/Result/Foo) = 'SEARCH-MASTER'">
      <div style="display:none">
        <xsl:attribute name="id">querylist-patentmap-div-<xsl:value-of select="normalize-space(/Result/Foo)" /></xsl:attribute>
        <div align="right">
          <table>
            <td>
              <input type="radio" value="keyword" checked="true" style="vertical-align:middle" name="querylist-patentmap-radio" id="querylist-patentmap-keyword" onclick="doPatentMap('SEARCH-MASTER','radio')">
                
              </input>关键词
              <input type="radio" value="pn" style="vertical-align:middle" name="querylist-patentmap-radio" id="querylist-patentmap-pn" onclick="doPatentMap('SEARCH-MASTER','radio')">
                
              </input>专利
            </td>
            <td>
              <img onmouseover="this.src='img/close-active.gif'" onmouseout="this.src='img/close.gif'" src="img/close.gif" alt="关闭" title="关闭" onclick="closeSwfByClick('SEARCH-MASTER');" class="imglink" align="right" style="vertical-align:middle;"></img>
            </td>
          </table>
        </div>
        <div style="z-index:-1">
          <xsl:attribute name="id">querylist-patentmap-div-swf-<xsl:value-of select="normalize-space(/Result/Foo)" /></xsl:attribute>
        </div>
      </div>
      <!--<div style="display:none;">
        <xsl:attribute name="id">querylist-expandkeyword-div-<xsl:value-of select="normalize-space(/Result/Foo)" /></xsl:attribute>
		  <xsl:attribute name="langvalue">en</xsl:attribute>
        <table style="border:1px solid rgb(128,128,128);margin-bottom:4px;" width="100%">
        <tr><td></td></tr>
        <tr><td align="center">
        <input class="querylist-pn-input" type="text" id="search-master-expandkeyword-input" onfocus="onInputFocus(this)">
        	<xsl:attribute name="onkeydown">
        	expandKeywordDown(event, '<xsl:value-of select="normalize-space(/Result/Foo)" />');
        	</xsl:attribute>
        </input>
			由
			<input class="querylist-pn-input" type="text" id="search-master-expandrank-input" onfocus="onInputFocus(this)">
				<xsl:attribute name="onkeydown">
					expandKeywordDown(event, '<xsl:value-of select="normalize-space(/Result/Foo)" />');
				</xsl:attribute>
			</input>排序
       
        &#160;&#160;<img class="imglinkmargin" onmouseover="this.src='img/case-expand-active.gif'" onmouseout="this.src='img/case-expand.gif'" src="img/case-expand.gif">
        <xsl:attribute name="onclick">expandKeyword('<xsl:value-of select="normalize-space(/Result/Foo)" />')</xsl:attribute>
        </img>
         &#160;&#160;&#160;&#160;&#160;
        <img class="imglinkmargin" onmouseover="this.src='img/case-and-active.gif'" onmouseout="this.src='img/case-and.gif'" src="img/case-and.gif" title="用选中相关概念词做&#34;与&#34;搜索" alt="用选中相关概念词做&#34;与&#34;搜索" onclick="doCheckedKeywordsSearch('1', 'expand-keyword' );"/>
        <img class="imglinkmargin" onmouseover="this.src='img/case-or-active.gif'" onmouseout="this.src='img/case-or.gif'" src="img/case-or.gif" title="用选中相关概念词做&#34;或&#34;搜索" alt="用选中相关概念词做&#34;或&#34;搜索" onclick="doCheckedKeywordsSearch('2', 'expand-keyword' );"/>
        <img class="imglinkmargin" onmouseover="this.src='img/conceptsearch-active.gif'" onmouseout="this.src='img/conceptsearch.gif'" src="img/conceptsearch.gif" title="用选中相关概念词做概念搜索" alt="用选中相关概念词做概念搜索" onclick="doCheckedKeywordsSearch('3', 'expand-keyword' );"/>
			<input type="radio" value="cn" style="vertical-align:middle">
				<xsl:attribute name="name">expandkeyword-radio</xsl:attribute>
				<xsl:attribute name="id">expandkeyword-radio-cn</xsl:attribute>
				<xsl:attribute name="onclick">onChangeExpandKeywordLang('cn')</xsl:attribute>

				搜索中文
			</input>
			<input type="radio" value="us" style="vertical-align:middle" checked="true">
				<xsl:attribute name="name">expandkeyword-radio</xsl:attribute>
				<xsl:attribute name="id">expandkeyword-radio-us</xsl:attribute>
				<xsl:attribute name="onclick">onChangeExpandKeywordLang('en')</xsl:attribute>
				搜索英文
			</input>
        </td>
        <td align="right">
							<img onmouseover="this.src='img/close-active.gif'" onmouseout="this.src='img/close.gif'" src="img/close.gif" alt="关闭" title="关闭" class="imglink" style="margin-right:3px">
							<xsl:attribute name="onclick">doExpandKeyword('<xsl:value-of select="normalize-space(/Result/Foo)" />')</xsl:attribute></img>
				</td>
				</tr>
        <tr>
        <td colspan="2">
        <div parseWidgets="false"  style="display:none;">
          <xsl:attribute name ="id">expand-keyword-div-<xsl:value-of select="normalize-space(/Result/Foo)"/>
          </xsl:attribute>
        </div>
        </td>
        </tr>
        </table>
      </div>-->
    </xsl:if>
    <xsl:if test="normalize-space(/Result/Foo) = 'SEARCH-MASTER'">
      <div style="display:none">
        <xsl:attribute name="id">querylist-queryresultchart-div-<xsl:value-of select="normalize-space(/Result/Foo)" /></xsl:attribute>
		  <div  width="100%" style="border:1px solid rgb(128,128,128)">
			  <table width="100%"  cellspacing="0" cellpadding="0">
				  <tr>
					  <td align="center">
						  <span  class="statistic-time-label">单位:</span>
						  <select class="smallcombo" title="设置统计单位"  id="statistic-itselect">
							  <option value="-1"  selected="true">年度</option>
							  <option value="-2">季度</option>
							  <option value="-3">月份</option>
						  </select>
						  <span  class="statistic-time-label">尺寸:</span>
						  <select class="smallcombo" id="statistic-sizeselect" title="设置图形大小">
							  <option value="1" selected="true">600*400</option>
							  <option value="2">800*600</option>
							  <option value="3">1024*768</option>
						  </select>
						  <input class="statsitic-time-bt" type="button" value="设置" title="点击查看统计图" onclick="openQueryFulltextDrawing(true);"/>
					  </td>
					  <td align="right">
						  <img onmouseover="this.src='img/close-active.gif'" onmouseout="this.src='img/close.gif'" src="img/close.gif" alt="关闭" title="关闭" onclick="openQueryFulltextDrawing();" class="imglink" style="margin-right:3px"></img>
					  </td>
				  </tr>
			  </table>
			  <div id="statistic-picdiv" style="padding-top:2px"></div>
		  </div>
		  <br></br>
      </div>
    </xsl:if>
    <xsl:if test="normalize-space(/Result/Foo) = 'SEARCH-MASTER'">
      <div parseWidgets="false" id="search-master-rotate-div" style="display:none" >
        <!--<div align="right">
          <img onmouseover="this.src='img/close-active.gif'" onmouseout="this.src='img/close.gif'" src="img/close.gif" alt="关闭" title="关闭" onclick="prepareRotate();" class="imglink" />
        </div>-->
        <table cellpadding="2" cellspacing="2"  width="100%" style="border:1px solid rgb(128,128,128)">
          	<tr width="100%">
        <td align="right">
          <img onmouseover="this.src='img/close-active.gif'" onmouseout="this.src='img/close.gif'" src="img/close.gif" alt="关闭" title="关闭" onclick="prepareRotate();" class="imglink" />
        </td>
      </tr>
          <tr>
            <td align="center">
              <input class="querylist-pn-input" type="text" id="search-master-rotate-input"  onfocus="onInputFocus(this)"/>
              <input type="checkbox" style="vertical-align:middle" id="search-master-rotate-fromclaim-checkbox" />从权利要求
              <img class="imglink" onmouseover="this.src='img/big-add-active.gif'" onmouseout="this.src='img/big-add.gif'" src="img/big-add.gif" title="添加专利索引词或新词" alt="添加专利索引词或新词" onclick="addQueryResultStatKeywords();" />

              <div id="rotatekeywords-container-div" class="combobox" style="background-color:White; ">
                <span typevalue="1" class="combobox" id="rotatekeywords-display-span" onmouseover="onSearchTypeMouseOver(this);" style="color:Gray" onmouseout="onSearchTypeMouseOut(this)" onclick="onRotateKeywordsDisplayClick(this);">Click to select words...</span>
                <img alt="" id="rotatekeywords-display-img" class="combobox" onmouseover="this.src='img/combobox-arrow-active.gif'" onmouseout="this.src='img/combobox-arrow.gif'" src="img/combobox-arrow.gif" onclick="onRotateKeywordsDisplayClick(this.previousSibling);"/>
              </div>

              <input type="checkbox" style="vertical-align:middle" id="search-master-rotate-withterm-checkbox" />具有该项
              <img class="imglink" onmouseover="this.src='img/big-rotate-active.gif'" onmouseout="this.src='img/big-rotate.gif'" src="img/big-rotate.gif" title="旋转搜索" alt="旋转搜索" onclick="doSearchMasterRotateSearch();" />
              <img class="imglink" onmouseover="this.src='img/big-and-active.gif'" onmouseout="this.src='img/big-and.gif'" src="img/big-and.gif" title="用选中相关概念做&#34;与&#34;搜索" alt="用选中相关概念做&#34;与&#34;搜索" onclick="doRotateBookmarkSearch(1);" />
              <img class="imglink" onmouseover="this.src='img/big-or-active.gif'" onmouseout="this.src='img/big-or.gif'" src="img/big-or.gif" title="用选中相关概念做&#34;或&#34;搜索" alt="用选中相关概念做&#34;或&#34;搜索" onclick="doRotateBookmarkSearch(2);" />
              <img class="imglink" onmouseover="this.src='img/big-andnot-active.gif'" onmouseout="this.src='img/big-andnot.gif'" src="img/big-andnot.gif" title="用选中相关概念做&#34;与非&#34;搜索" alt="用选中相关概念做&#34;与非&#34;搜索" onclick="doRotateBookmarkSearch(3);" />
            </td>
          </tr>
          <tr>
            <td align="center">
              <div parseWidgets="false" id="search-master-rotate-bookmark-div">
              </div>
            </td>
          </tr>
        </table>
		  <br></br>
      </div>
    </xsl:if>
    <xsl:if test="normalize-space(/Result/Foo) = 'SEARCH-MASTER' or normalize-space(/Result/Foo) = 'SEARCH-SLAVE'">

			<div parseWidgets="false"  width="100%" style="display:none">
				<xsl:attribute name ="id">queryrelated-cluster-div-<xsl:value-of select="normalize-space(/Result/Foo)"/>
				</xsl:attribute>
			</div>

		</xsl:if>
    <xsl:apply-templates />
  </xsl:template>

	<xsl:template match="PageList"></xsl:template>
</xsl:stylesheet>