<?xml version='1.0' encoding='utf-8'?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
<xsl:output method="html" encoding="utf-8"/>

  <xsl:template match="*|@*">
	<xsl:copy>
		<xsl:apply-templates select="@*|*|comment()|processing-instruction()|text()"/>
	</xsl:copy>
  </xsl:template>

	<xsl:template match="Foo"></xsl:template>
	<xsl:template match="Total"></xsl:template> 
    <xsl:template match="PageSize"></xsl:template> 
    <xsl:template match="PageIndex"></xsl:template> 
    <xsl:template match="Suffix"></xsl:template> 
    <xsl:template match="Classsuffix"></xsl:template>
    <xsl:template match="PageCount"></xsl:template>
    <xsl:template match="DisplayFieldList"></xsl:template>
    <xsl:template match="PN"></xsl:template>
    <xsl:template match="ID"></xsl:template>
    <xsl:template match="Other"></xsl:template>
    <xsl:template match="Color"></xsl:template>
    <xsl:template match="ColorList"></xsl:template>
  <xsl:template match="BookmarkNumber"></xsl:template>
  <xsl:template match="BookmarkName"></xsl:template>
	<xsl:template match="CheckPdf"></xsl:template>
	<xsl:template match="ap"></xsl:template>
	<xsl:template match="pt"></xsl:template>
	<xsl:template match="et"></xsl:template>
	<xsl:template match="WithCount"></xsl:template>
	<xsl:template match="sd"></xsl:template>
	<xsl:template match="idb">
		<div id="returndb" style="display:none">
			<xsl:value-of select="."/>
		</div>
	</xsl:template>
	
  
   <xsl:template match="RelatedList">
     <div align="right">
       <img onmouseover="this.src='img/close-active.gif'" onmouseout="this.src='img/close.gif'" src="img/close.gif" alt="关闭" title="关闭" onclick="loadQueryFulltextCluster();" class="imglink" />
     </div>
  		<table>
        <xsl:attribute name="style">border:1px solid #065f6c;</xsl:attribute>
  			<xsl:attribute name="class">querylist-related<xsl:value-of select="normalize-space(/Result/Classsuffix)" /></xsl:attribute>
  			<tr>
  				<xsl:attribute name="class">querylist-related-title<xsl:value-of select="normalize-space(/Result/Classsuffix)" /></xsl:attribute>
  				<td width="100%" colspan="4">相关概念:</td>
  			</tr>
  			<tr>				 	
  				<td width="25%">
  				 <xsl:for-each select="Related">
  				  <xsl:if test="position() &lt; 3">
  					<img class="imglink" style="vertical-align:middle"  src="img/st.gif">
						<xsl:attribute name="onclick">onQuerylistRelatedIconClick<xsl:value-of select="normalize-space(/Result/Suffix)" />(this, 'w')</xsl:attribute>
					</img>
  				  	<span>
  				  	<xsl:attribute name="class">querylist-related-w<xsl:value-of select="normalize-space(/Result/Classsuffix)" /></xsl:attribute>
  				  	<xsl:attribute name="onmouseover">onQuerylistRelatedMouseOver<xsl:value-of select="normalize-space(/Result/Suffix)" />(this, 'w')</xsl:attribute>
  				  	<xsl:attribute name="onmouseout">onQuerylistRelatedMouseOut<xsl:value-of select="normalize-space(/Result/Suffix)" />(this, 'w')</xsl:attribute>
  				  	<xsl:attribute name="onclick">onQuerylistRelatedClick<xsl:value-of select="normalize-space(/Result/Suffix)" />(this, 'w')</xsl:attribute>
					<xsl:attribute name="oncontextmenu">onQuerylistRelatedContextMenu<xsl:value-of select="normalize-space(/Result/Suffix)" />(this, 'w')</xsl:attribute>
  				  		<xsl:value-of select="normalize-space(.)" />
  				  	</span>
					  <br /> 				 	
  				   </xsl:if>
  				 </xsl:for-each>
  				</td>
  				<td width="25%">
  				 <xsl:for-each select="Related">
  				  <xsl:if test="2 &lt; position() and position() &lt; 5">
  					<img class="imglink" style="vertical-align:middle"  src="img/st.gif">
						<xsl:attribute name="onclick">onQuerylistRelatedIconClick<xsl:value-of select="normalize-space(/Result/Suffix)" />(this, 'w')</xsl:attribute>
					</img>
  				  	<span>
  				  	<xsl:attribute name="class">querylist-related-w<xsl:value-of select="normalize-space(/Result/Classsuffix)" /></xsl:attribute>
  				  	<xsl:attribute name="onmouseover">onQuerylistRelatedMouseOver<xsl:value-of select="normalize-space(/Result/Suffix)" />(this, 'w')</xsl:attribute>
  				  	<xsl:attribute name="onmouseout">onQuerylistRelatedMouseOut<xsl:value-of select="normalize-space(/Result/Suffix)" />(this, 'w')</xsl:attribute>
  				  	<xsl:attribute name="onclick">onQuerylistRelatedClick<xsl:value-of select="normalize-space(/Result/Suffix)" />(this, 'w')</xsl:attribute>
					<xsl:attribute name="oncontextmenu">onQuerylistRelatedContextMenu<xsl:value-of select="normalize-space(/Result/Suffix)" />(this, 'w')</xsl:attribute>
  				  		<xsl:value-of select="normalize-space(.)" />
  				  	</span>
  				  <br />  				 	
  				   </xsl:if>
  				 </xsl:for-each>
  				</td> 
  				<td width="25%">
  				 <xsl:for-each select="Related">
  				  <xsl:if test="4 &lt; position() and position() &lt; 7">
  					<img class="imglink" style="vertical-align:middle"  src="img/st.gif">
						<xsl:attribute name="onclick">onQuerylistRelatedIconClick<xsl:value-of select="normalize-space(/Result/Suffix)" />(this, 'w')</xsl:attribute>
					</img>
  				  	<span>
  				  	<xsl:attribute name="class">querylist-related-w<xsl:value-of select="normalize-space(/Result/Classsuffix)" /></xsl:attribute>
  				  	<xsl:attribute name="onmouseover">onQuerylistRelatedMouseOver<xsl:value-of select="normalize-space(/Result/Suffix)" />(this, 'w')</xsl:attribute>
  				  	<xsl:attribute name="onmouseout">onQuerylistRelatedMouseOut<xsl:value-of select="normalize-space(/Result/Suffix)" />(this, 'w')</xsl:attribute>
  				  	<xsl:attribute name="onclick">onQuerylistRelatedClick<xsl:value-of select="normalize-space(/Result/Suffix)" />(this, 'w')</xsl:attribute>
					<xsl:attribute name="oncontextmenu">onQuerylistRelatedContextMenu<xsl:value-of select="normalize-space(/Result/Suffix)" />(this, 'w')</xsl:attribute>
  				  		<xsl:value-of select="normalize-space(.)" />
  				  	</span>
  					<br />  				 	
  				   </xsl:if>
  				 </xsl:for-each>
  				</td> 
  				<td width="25%">
  				 <xsl:for-each select="Related">
  				  <xsl:if test="6 &lt; position()">
  					<img class="imglink" style="vertical-align:middle"  src="img/st.gif">
						<xsl:attribute name="onclick">onQuerylistRelatedIconClick<xsl:value-of select="normalize-space(/Result/Suffix)" />(this, 'w')</xsl:attribute>
					</img>
  				  	<span>
  				  	<xsl:attribute name="class">querylist-related-w<xsl:value-of select="normalize-space(/Result/Classsuffix)" /></xsl:attribute>
  				  	<xsl:attribute name="onmouseover">onQuerylistRelatedMouseOver<xsl:value-of select="normalize-space(/Result/Suffix)" />(this, 'w')</xsl:attribute>
  				  	<xsl:attribute name="onmouseout">onQuerylistRelatedMouseOut<xsl:value-of select="normalize-space(/Result/Suffix)" />(this, 'w')</xsl:attribute>
  				  	<xsl:attribute name="onclick">onQuerylistRelatedClick<xsl:value-of select="normalize-space(/Result/Suffix)" />(this, 'w')</xsl:attribute>
					<xsl:attribute name="oncontextmenu">onQuerylistRelatedContextMenu<xsl:value-of select="normalize-space(/Result/Suffix)" />(this, 'w')</xsl:attribute>
  				  		<xsl:value-of select="normalize-space(.)" />
  				  	</span>
  					<br />  				 	
  				   </xsl:if>
  				 </xsl:for-each>
  				</td>
  			</tr>
  		</table>
  </xsl:template>

   <xsl:template match="p">
	   <td colspan="2">
       <xsl:attribute name="PN"><xsl:value-of select="normalize-space(../PN)" /></xsl:attribute>
	   <xsl:for-each select="/Result/DisplayFieldList/DisplayField">
		   <xsl:if test="normalize-space(Key) = 'p' and normalize-space(Value) != ''">
			   <xsl:attribute name="style">width:<xsl:value-of select="normalize-space(Value)" /></xsl:attribute>
		   </xsl:if>
	   </xsl:for-each>
	   <xsl:if test="(../PN) &gt; 3574860 or (../PN) &lt; 60000 ">
       <span target="_self" href="#" title="浏览专利全文">
				<xsl:attribute name="class">querylist<xsl:value-of select="normalize-space(../Other)" />-p<xsl:value-of select="normalize-space(/Result/Classsuffix)" /></xsl:attribute>   		
				<!--<xsl:attribute name="href">invokehtml.do?sf=ShowPatent&amp;ip=<xsl:value-of select="normalize-space(/Result/ID)" />&amp;spn=<xsl:value-of select="normalize-space(../PN)" />&amp;sx=showpatent</xsl:attribute>-->
        <xsl:attribute name="url">pncompare.htm?sl=chs&amp;ip=<xsl:value-of select="normalize-space(/Result/ID)" />&amp;pnlist=<xsl:value-of select="normalize-space(.)" /></xsl:attribute>
				<xsl:attribute name="onmouseover">onQueryTableMouseOver<xsl:value-of select="normalize-space(/Result/Suffix)" />(this, 'p', '<xsl:value-of select="normalize-space(../PN)" />')</xsl:attribute> 
				<xsl:attribute name="onmouseout">onQueryTableMouseOut<xsl:value-of select="normalize-space(/Result/Suffix)" />(this, 'p', '<xsl:value-of select="normalize-space(../PN)" />')</xsl:attribute>
         <!--<xsl:attribute name="onclick">onQueryTableClick<xsl:value-of select="normalize-space(/Result/Suffix)" />(this, 'p', '<xsl:value-of select="normalize-space(../PN)" />', '<xsl:value-of select="normalize-space(../ID)" />', '<xsl:value-of select="normalize-space(/Result/ID)" />')</xsl:attribute>-->
         <xsl:attribute name="onclick">
			 setCurrentEvent(event);return onQueryFulltextPNClick(this, '<xsl:value-of select="normalize-space(.)" />')</xsl:attribute>
				<xsl:attribute name="oncontextmenu">onQueryTableContextMenu<xsl:value-of select="normalize-space(/Result/Suffix)" />(this, 'p', '<xsl:value-of select="normalize-space(../PN)" />', '<xsl:value-of select="normalize-space(../ID)" />')</xsl:attribute>
				<xsl:attribute name="pn"><xsl:value-of select="normalize-space(../PN)" /></xsl:attribute>
				<xsl:attribute name="apn"><xsl:value-of select="normalize-space(../ap)" /></xsl:attribute>
				<xsl:value-of select="normalize-space(.)" />
			</span>
		</xsl:if>
	   <xsl:if test="(../PN) &lt; 3574861 and (../PN) &gt; 60000 ">
		   <span>
			   <xsl:attribute name="pn"><xsl:value-of select="normalize-space(../PN)" /></xsl:attribute>
			   <xsl:attribute name="apn"><xsl:value-of select="normalize-space(../ap)" /></xsl:attribute>
			   <xsl:value-of select="normalize-space(.)" />
		   </span>
	   </xsl:if>
   </td> 
  </xsl:template> 
   
  <xsl:template match="t">
	  <td>
	   <xsl:for-each select="/Result/DisplayFieldList/DisplayField">
		   <xsl:if test="normalize-space(Key) = 't' and normalize-space(Value) != ''">
			   <xsl:attribute name="style">width:<xsl:value-of select="normalize-space(Value)" /></xsl:attribute>
		   </xsl:if>
	   </xsl:for-each>
		<span target="_blank" title="点击打开专利浏览器">
			<xsl:attribute name="class">querylist-t<xsl:value-of select="normalize-space(/Result/Classsuffix)" /></xsl:attribute>   		  	 							
			<xsl:attribute name="onmouseover">onQueryTableMouseOver<xsl:value-of select="normalize-space(/Result/Suffix)" />(this, 't', '<xsl:value-of select="normalize-space(../PN)" />')</xsl:attribute> 
			<xsl:attribute name="onmouseout">onQueryTableMouseOut<xsl:value-of select="normalize-space(/Result/Suffix)" />(this, 't', '<xsl:value-of select="normalize-space(../PN)" />')</xsl:attribute> 
			<xsl:attribute name="onclick">onQueryTableClick<xsl:value-of select="normalize-space(/Result/Suffix)" />(this, 't', '<xsl:value-of select="normalize-space(../PN)" />', '<xsl:value-of select="normalize-space(../ID)"/>', '<xsl:value-of select="normalize-space(/Result/ID)" />')</xsl:attribute>
			<xsl:attribute name="oncontextmenu">onQueryTableContextMenu<xsl:value-of select="normalize-space(/Result/Suffix)" />(this, 't', '<xsl:value-of select="normalize-space(../PN)" />', '<xsl:value-of select="normalize-space(../ID)" />')</xsl:attribute>
			<xsl:value-of select="normalize-space(.)" />
		</span>
   </td> 
  </xsl:template> 
	
	<xsl:template match="r">
		<td>
			<xsl:for-each select="/Result/DisplayFieldList/DisplayField">
			   <xsl:if test="normalize-space(Key) = 'r' and normalize-space(Value) != ''">
				   <xsl:attribute name="width"><xsl:value-of select="normalize-space(Value)" /></xsl:attribute>
			   </xsl:if>
		   </xsl:for-each>
			<span target="_blank">
					<xsl:value-of select="normalize-space(.)" />%
			</span>
		</td> 
	</xsl:template>

  <xsl:template match="aList">
    <td>
      <xsl:if test="normalize-space(../Color) != ''">
        <xsl:attribute name="class">
          querylist-contenttd<xsl:value-of select="normalize-space(/Result/Classsuffix)" />
        </xsl:attribute>
      </xsl:if>
      <xsl:for-each select="/Result/DisplayFieldList/DisplayField">
        <xsl:if test="normalize-space(Key) = 'a' and normalize-space(Value) != ''">
          <xsl:attribute name="style">
            width:<xsl:value-of select="normalize-space(Value)" />
          </xsl:attribute>
        </xsl:if>
      </xsl:for-each>
      <xsl:apply-templates />
    </td>
  </xsl:template>
  <xsl:template match="a">

    <xsl:if test="normalize-space(.) != ''">
      <span target="_blank" title="Click to search assignee">
        <xsl:if test="starts-with(../PN, '-') = false">
          <xsl:attribute name="class">
            querylist-a<xsl:value-of select="normalize-space(/Result/Classsuffix)" />
          </xsl:attribute>
          <xsl:attribute name="onmouseover">
            onQueryTableMouseOver<xsl:value-of select="normalize-space(/Result/Suffix)" />(this, 'a', '<xsl:value-of select="normalize-space(../PN)" />')
          </xsl:attribute>
          <xsl:attribute name="onmouseout">
            onQueryTableMouseOut<xsl:value-of select="normalize-space(/Result/Suffix)" />(this, 'a', '<xsl:value-of select="normalize-space(../PN)" />')
          </xsl:attribute>

          <xsl:attribute name="onclick">
            onQueryTableClick<xsl:value-of select="normalize-space(/Result/Suffix)" />(this, 'a', '<xsl:value-of select="normalize-space(../PN)" />', '<xsl:value-of select="normalize-space(../ID)"/>', '<xsl:value-of select="normalize-space(/Result/ID)" />')
          </xsl:attribute>
          <xsl:attribute name="oncontextmenu">
            onQueryTableContextMenu<xsl:value-of select="normalize-space(/Result/Suffix)" />(this, 'a', '<xsl:value-of select="normalize-space(../PN)" />', '<xsl:value-of select="normalize-space(../ID)" />')
          </xsl:attribute>
        </xsl:if>
        <xsl:value-of select="normalize-space(.)" />

      </span>
    </xsl:if>
    <xsl:if test="normalize-space(.) = ''">
      &#160;
    </xsl:if>
    <xsl:if test="position() != last()"> | </xsl:if>
  </xsl:template>
  
  <xsl:template match="i">
    <span target="_blank" title="在发明人(IN)中进行二次搜索">
			<xsl:attribute name="class">querylist-i<xsl:value-of select="normalize-space(/Result/Classsuffix)" /></xsl:attribute>   		  	 							
			<xsl:attribute name="onmouseover">onQueryTableMouseOver<xsl:value-of select="normalize-space(/Result/Suffix)" />(this, 'i', '<xsl:value-of select="normalize-space(../../PN)" />')</xsl:attribute> 
			<xsl:attribute name="onmouseout">onQueryTableMouseOut<xsl:value-of select="normalize-space(/Result/Suffix)" />(this, 'i', '<xsl:value-of select="normalize-space(../../PN)" />')</xsl:attribute> 
			<xsl:attribute name="onclick">onQueryTableClick<xsl:value-of select="normalize-space(/Result/Suffix)" />(this, 'i', '<xsl:value-of select="normalize-space(../../PN)" />', '<xsl:value-of select="normalize-space(../../ID)"/>', '<xsl:value-of select="normalize-space(/Result/ID)" />')</xsl:attribute>
			<xsl:attribute name="oncontextmenu">onQueryTableContextMenu<xsl:value-of select="normalize-space(/Result/Suffix)" />(this, 'i', '<xsl:value-of select="normalize-space(../PN)" />', '<xsl:value-of select="normalize-space(../ID)" />')</xsl:attribute>
			<xsl:value-of select="normalize-space(.)" />
		</span>
	  <xsl:if test="position() != last()"> | </xsl:if>
  </xsl:template>
 
  <xsl:template match="iList">
	  <td>
	   <xsl:for-each select="/Result/DisplayFieldList/DisplayField">
		   <xsl:if test="normalize-space(Key) = 'i' and normalize-space(Value) != ''">
			   <xsl:attribute name="style">width:<xsl:value-of select="normalize-space(Value)" /></xsl:attribute>
		   </xsl:if>
	   </xsl:for-each>
    <xsl:apply-templates />    
   </td> 
  </xsl:template>  

  <xsl:template match="c">
   <td>
	   <xsl:for-each select="/Result/DisplayFieldList/DisplayField">
		   <xsl:if test="normalize-space(Key) = 'c' and normalize-space(Value) != ''">
			   <xsl:attribute name="style">width:<xsl:value-of select="normalize-space(Value)" /></xsl:attribute>
		   </xsl:if>
	   </xsl:for-each>
		<span target="_blank" title="在美国分类(CCL)中进行二次搜索">
			<xsl:attribute name="class">querylist-c<xsl:value-of select="normalize-space(/Result/Classsuffix)" /></xsl:attribute>   		  	 							
			<xsl:attribute name="onmouseover">onQueryTableMouseOver<xsl:value-of select="normalize-space(/Result/Suffix)" />(this, 'c', '<xsl:value-of select="normalize-space(../PN)" />')</xsl:attribute> 
			<xsl:attribute name="onmouseout">onQueryTableMouseOut<xsl:value-of select="normalize-space(/Result/Suffix)" />(this, 'c', '<xsl:value-of select="normalize-space(../PN)" />')</xsl:attribute> 
			<xsl:attribute name="onclick">onQueryTableClick<xsl:value-of select="normalize-space(/Result/Suffix)" />(this, 'c', '<xsl:value-of select="normalize-space(../PN)" />', '<xsl:value-of select="normalize-space(../ID)"/>', '<xsl:value-of select="normalize-space(/Result/ID)" />')</xsl:attribute>
			<xsl:attribute name="oncontextmenu">onQueryTableContextMenu<xsl:value-of select="normalize-space(/Result/Suffix)" />(this, 'c', '<xsl:value-of select="normalize-space(../PN)" />', '<xsl:value-of select="normalize-space(../ID)" />')</xsl:attribute>
			<xsl:attribute name="title"><xsl:value-of select="normalize-space(Value)" /></xsl:attribute>
			<xsl:value-of select="normalize-space(Key)" />
		</span>
   </td> 
  </xsl:template> 

  <xsl:template match="w">
   <td>
	   <xsl:for-each select="/Result/DisplayFieldList/DisplayField">
		   <xsl:if test="normalize-space(Key) = 'w' and normalize-space(Value) != ''">
			   <xsl:attribute name="style">width:<xsl:value-of select="normalize-space(Value)" /></xsl:attribute>
		   </xsl:if>
	   </xsl:for-each>
		<span target="_blank" title="在索引词(IWK)中进行二次搜索">
			<xsl:attribute name="class">
				querylist-w<xsl:value-of select="normalize-space(/Result/Classsuffix)" />
			</xsl:attribute>
			<xsl:attribute name="onmouseover">
				onQueryTableMouseOver<xsl:value-of select="normalize-space(/Result/Suffix)" />(this, 'w', '<xsl:value-of select="normalize-space(../PN)" />')
			</xsl:attribute>
			<xsl:attribute name="onmouseout">
				onQueryTableMouseOut<xsl:value-of select="normalize-space(/Result/Suffix)" />(this, 'w', '<xsl:value-of select="normalize-space(../PN)" />')
			</xsl:attribute>
			<xsl:attribute name="onclick">
				onQueryTableClick<xsl:value-of select="normalize-space(/Result/Suffix)" />(this, 'w', '<xsl:value-of select="normalize-space(../PN)" />', '<xsl:value-of select="normalize-space(../ID)"/>', '<xsl:value-of select="normalize-space(/Result/ID)" />')
			</xsl:attribute>
			<xsl:attribute name="oncontextmenu">
				onQueryTableContextMenu<xsl:value-of select="normalize-space(/Result/Suffix)" />(this, 'w', '<xsl:value-of select="normalize-space(../PN)" />', '<xsl:value-of select="normalize-space(../ID)" />')
			</xsl:attribute>
			<xsl:value-of select="normalize-space(.)" />
		</span>
	</td>
</xsl:template>

<xsl:template match="n">
	<td >
		<xsl:for-each select="/Result/DisplayFieldList/DisplayField">
			<xsl:if test="normalize-space(Key) = 'n' and normalize-space(Value) != ''">
				<xsl:attribute name="style">
					width:<xsl:value-of select="normalize-space(Value)" />
				</xsl:attribute>
			</xsl:if>
		</xsl:for-each>
		<span target="_blank">
			<xsl:attribute name="class">
				querylist-t<xsl:value-of select="normalize-space(/Result/Classsuffix)" />
			</xsl:attribute>
			<xsl:attribute name="onmouseover">
				onQueryTableMouseOver<xsl:value-of select="normalize-space(/Result/Suffix)" />(this, 'n', '<xsl:value-of select="normalize-space(../PN)" />')
			</xsl:attribute>
			<xsl:attribute name="onmouseout">
				onQueryTableMouseOut<xsl:value-of select="normalize-space(/Result/Suffix)" />(this, 'n', '<xsl:value-of select="normalize-space(../PN)" />')
			</xsl:attribute>
			<xsl:attribute name="onclick">
				onQueryTableClick<xsl:value-of select="normalize-space(/Result/Suffix)" />(this, 'n', '<xsl:value-of select="normalize-space(../PN)" />', '<xsl:value-of select="normalize-space(../ID)"/>', '<xsl:value-of select="normalize-space(/Result/ID)" />')
			</xsl:attribute>
			<xsl:attribute name="oncontextmenu">
				onQueryTableContextMenu<xsl:value-of select="normalize-space(/Result/Suffix)" />(this, 'n', '<xsl:value-of select="normalize-space(../PN)" />', '<xsl:value-of select="normalize-space(../ID)" />')
			</xsl:attribute>
			<xsl:value-of select="normalize-space(.)" />
		</span>
	</td>
</xsl:template>

<xsl:template match="e">
	<td>
		<xsl:for-each select="/Result/DisplayFieldList/DisplayField">
			<xsl:if test="normalize-space(Key) = 'e' and normalize-space(Value) != ''">
				<xsl:attribute name="style">
					width:<xsl:value-of select="normalize-space(Value)" />
				</xsl:attribute>
			</xsl:if>
		</xsl:for-each>
		<span target="_blank" title="在审查员(EXP)中进行二次搜索">
			<xsl:attribute name="class">querylist-t<xsl:value-of select="normalize-space(/Result/Classsuffix)" /></xsl:attribute>   		  	 							
			<xsl:attribute name="onmouseover">onQueryTableMouseOver<xsl:value-of select="normalize-space(/Result/Suffix)" />(this, 'e', '<xsl:value-of select="normalize-space(../PN)" />')</xsl:attribute> 
			<xsl:attribute name="onmouseout">onQueryTableMouseOut<xsl:value-of select="normalize-space(/Result/Suffix)" />(this, 'e', '<xsl:value-of select="normalize-space(../PN)" />')</xsl:attribute> 
			<xsl:attribute name="onclick">onQueryTableClick<xsl:value-of select="normalize-space(/Result/Suffix)" />(this, 'e', '<xsl:value-of select="normalize-space(../PN)" />', '<xsl:value-of select="normalize-space(../ID)"/>', '<xsl:value-of select="normalize-space(/Result/ID)" />')</xsl:attribute>
			<xsl:attribute name="oncontextmenu">onQueryTableContextMenu<xsl:value-of select="normalize-space(/Result/Suffix)" />(this, 'e', '<xsl:value-of select="normalize-space(../PN)" />', '<xsl:value-of select="normalize-space(../ID)" />')</xsl:attribute>
			<xsl:value-of select="normalize-space(.)" />
		</span>
   </td> 
  </xsl:template> 

  <xsl:template match="l">
   <td>
	   <xsl:for-each select="/Result/DisplayFieldList/DisplayField">
		   <xsl:if test="normalize-space(Key) = 'l' and normalize-space(Value) != ''">
			   <xsl:attribute name="style">width:<xsl:value-of select="normalize-space(Value)" /></xsl:attribute>
		   </xsl:if>
	   </xsl:for-each>
		<span target="_blank" title="在国际分类(ICL)中进行二次搜索">
			<xsl:attribute name="class">querylist-t<xsl:value-of select="normalize-space(/Result/Classsuffix)" /></xsl:attribute>   		  	 							
			<xsl:attribute name="onmouseover">onQueryTableMouseOver<xsl:value-of select="normalize-space(/Result/Suffix)" />(this, 'l', '<xsl:value-of select="normalize-space(../PN)" />')</xsl:attribute> 
			<xsl:attribute name="onmouseout">onQueryTableMouseOut<xsl:value-of select="normalize-space(/Result/Suffix)" />(this, 'l', '<xsl:value-of select="normalize-space(../PN)" />')</xsl:attribute> 
			<xsl:attribute name="onclick">onQueryTableClick<xsl:value-of select="normalize-space(/Result/Suffix)" />(this, 'l', '<xsl:value-of select="normalize-space(../PN)" />', '<xsl:value-of select="normalize-space(../ID)"/>', '<xsl:value-of select="normalize-space(/Result/ID)" />')</xsl:attribute>
			<xsl:attribute name="oncontextmenu">onQueryTableContextMenu<xsl:value-of select="normalize-space(/Result/Suffix)" />(this, 'l', '<xsl:value-of select="normalize-space(../PN)" />', '<xsl:value-of select="normalize-space(../ID)" />')</xsl:attribute>
			<xsl:value-of select="substring(normalize-space(.), 1, 4)" />
		</span>
   </td> 
  </xsl:template> 
  
  <xsl:template match="WordrelList">
	  <div>
		  <xsl:attribute name="id">fulltextcluster_<xsl:value-of select="normalize-space(/Result/Foo)"></xsl:value-of></xsl:attribute>
	  
	  <table cellspacing="3" cellpadding="0" width ="100%" style="background-color:white;border:1px solid rgb(128,128,128)">
		  <tr>
			  <td></td>
			  <td colspan="3" align="left">
				  <b>
					  <xsl:value-of select="/Result/Total" />
				  </b>个搜索结果中随机采样<b>
					  <xsl:value-of select="count(//PatentCluster)" />
				  </b>个&#160;
				 <!-- <input class="cluster-search-bt" type="button"  value="重新聚类">
					  <xsl:attribute name="onclick">
						  loadQueryFulltextCluster('<xsl:value-of select="normalize-space(/Result/Foo)" />', true)
					  </xsl:attribute>
				  </input>&#160;-->
				  
				  <span  class="querylist-p" href="#">
						<xsl:attribute name="onclick">
							loadQueryFulltextCluster('<xsl:value-of select="normalize-space(/Result/Foo)" />', true)
						</xsl:attribute>
						重新聚类
					</span>&#160;

			  </td>
			  <td align="left" colspan="2">
				  <b>选中的索引词:</b>&#160;
				  <input type="radio" value="and" style="vertical-align:middle"    name="cluster-search-type">
					  <xsl:attribute name="id">fulltextcluster_and_<xsl:value-of select="normalize-space(/Result/Foo)"></xsl:value-of>
					  </xsl:attribute>与&#160;
				  </input>
				  <input type="radio" value="or" style="vertical-align:middle" checked="true"  name="cluster-search-type">或</input>&#160;
				  <!--<input class="cluster-search-bt" type="button"  value="关键词搜索" >
					  <xsl:attribute name="onclick">
						  doFulltextClusterKeywordsSearch('<xsl:value-of select="normalize-space(/Result/Foo)"/>', 'B');
					  </xsl:attribute>
				  </input>
				  &#160;
				  <input class="cluster-search-bt" type="button"  value="概念搜索" >
					  <xsl:attribute name="onclick">
						  doFulltextClusterKeywordsSearch('<xsl:value-of select="normalize-space(/Result/Foo)"/>', 'R');
					  </xsl:attribute>
				  </input>-->
				  <img title="关键词搜索" alt="关键词搜索" class="imglink" src="img/b.gif" onmouseover="this.src='img/b-active.gif'" onmouseout="this.src='img/b.gif'">
						<xsl:attribute name="onclick">
							doFulltextClusterKeywordsSearch('<xsl:value-of select="normalize-space(/Result/Foo)"/>', 'B');
						</xsl:attribute>
					</img>
          &#160;
          <img title="概念搜索" alt="概念搜索" class="imglink" src="img/conceptsearch.gif" onmouseover="this.src='img/conceptsearch-active.gif'" onmouseout="this.src='img/conceptsearch.gif'">
          	<xsl:attribute name="onclick">
							doFulltextClusterKeywordsSearch('<xsl:value-of select="normalize-space(/Result/Foo)"/>', 'C');
						</xsl:attribute>
          </img>
				  <!--<input class="cluster-search-bt" type="button"  value="重新采样" onclick="loadQueryRelatedCluster(true);"  />&#160;-->
				  <!--<span onclick="setPageViewDisplay('search')" class="anchorunderline">返回搜索结果</span>&#160;-->
				  <!--<input class="cluster-search-bt" type="button"  value="复制选中" onclick="getCheckedKeywords();"  />-->
			  </td>
			  <td align="right">
				  <img onmouseover="this.src='img/close-active.gif'" onmouseout="this.src='img/close.gif'" src="img/close.gif" alt="关闭" title="关闭"  class="imglink" >
					  <xsl:attribute name="onclick">
						  loadQueryFulltextCluster('<xsl:value-of select="/Result/Foo"/>')
					  </xsl:attribute>
				  </img>
			  </td>
      </tr>
      <tr class="querylist-title">
        <td width="20px" style="background-color:white" nowrap="true">
          <img class="imglink" style="vertical-align:middle" src="img/plus.gif">
            <xsl:attribute name="onclick">showAllPatentClusterListClick(this)</xsl:attribute>
          </img>
        </td>
        <td valign="top" colspan="5" align="left">
          &#160;索引词
        </td>
        <td valign="top" align="center">
          专利数
        </td>
      </tr>
      <xsl:for-each select="WordrelList">
        <xsl:variable name="curindex" select="position()" />
        <tr style="background:#d0e0c7;font-size:12px;">
          <td width="20px" style="background-color:white" nowrap="true">
            <img class="imglink" style="vertical-align:middle" src="img/plus.gif">
              <xsl:attribute name="onclick">showPatentClusterListClick(this)</xsl:attribute>
            </img>
          </td>
			<td width="100px" norwap="true" style="background-color:white">

				<img class="imglink" onmouseover="this.src='img/rankby-active.gif'" onmouseout="this.src='img/rankby.gif'" src="img/rankby.gif" style="vertical-align:middle"  title="Rank by this cluster" alt="Rank by this cluster">
					<xsl:attribute name="onclick">
						onRankByClusterIconClick(this,'<xsl:value-of select="normalize-space(/Result/Foo)"/>')
					</xsl:attribute>
				</img>
				<xsl:text> </xsl:text>
				<img class="imglink" onmouseover="this.src='img/pns-active.gif'" onmouseout="this.src='img/pns.gif'" src="img/pns.gif" style="vertical-align:middle"  title="List this cluster" alt="List this cluster">
					<xsl:attribute name="onclick">
						onListByClusterIconClick(this,'<xsl:value-of select="normalize-space(/Result/Foo)"/>')
					</xsl:attribute>
				</img>
			</td>
			<xsl:for-each select="Wordrel">
          <td align="left" width="22%">
			  <span class="keyword">
				  <xsl:attribute name="value">
					  <xsl:value-of select="normalize-space(.)" />
				  </xsl:attribute>
				  <img class="imglink"  onmouseover="imgCheckboxOver(this)" onmouseout="imgCheckboxOut(this)" src="img/check.gif">
					  <xsl:attribute name="onclick">
						  checkCheckboxImg(this);
					  </xsl:attribute>
				  </img>
			  </span>
              <img class="imglink" style="vertical-align:middle;padding-left:2px;padding-right:4px"  src="img/st.gif" title="用该索引词在全文字段(B)中进行二次搜索">
                <xsl:attribute name="onclick">onClusterIconClick(this, 'w')</xsl:attribute>
              </img>
              <span style="cursor:pointer" title="用该索引词对搜索结果重排序">
                <xsl:attribute name="onmouseover">onClusterMouseOver(this, 'w')</xsl:attribute>
                <xsl:attribute name="onmouseout">onClusterMouseOut(this, 'w')</xsl:attribute>
		            <xsl:attribute name="onclick">onQueryTableClick<xsl:value-of select="normalize-space(/Result/Suffix)" />(this, 'r', '<xsl:value-of select="normalize-space(../PN)" />', '<xsl:value-of select="normalize-space(../ID)"/>', '<xsl:value-of select="normalize-space(/Result/ID)" />')</xsl:attribute>
		            <xsl:attribute name="oncontextmenu">onQueryTableContextMenu<xsl:value-of select="normalize-space(/Result/Suffix)" />(this, 'r', '<xsl:value-of select="normalize-space(../PN)" />', '<xsl:value-of select="normalize-space(../ID)" />')</xsl:attribute>
						    <xsl:value-of select="normalize-space(.)" />
              </span>&#160;
					 
          </td>
			</xsl:for-each>
          <td align="center"  width="7%" nowrap="true" >
            <span>
              <xsl:value-of select="count(/Result/PatentClusterList/PatentClusterList[position() = $curindex]/PatentCluster)" />
            </span>
          </td>
        </tr>
        <tr style="display:none;">
          <td valign="top">
          </td>
          <td width="100%" valign="middle" colspan="6">
            <div>
              <table cellspacing="2">
                <xsl:attribute name="class">querylist-content<xsl:value-of select="normalize-space(/Result/Classsuffix)" /></xsl:attribute>
                <tr> 
   			          <xsl:attribute name="class">querylist-title<xsl:value-of select="normalize-space(/Result/Classsuffix)" /></xsl:attribute>
                  <xsl:for-each select="/Result/DisplayFieldList/DisplayField">
  	 			          <td> 
  	 				          <xsl:if test="normalize-space(Value) != ''"><xsl:attribute name="style">width:<xsl:value-of select="normalize-space(Value)" /></xsl:attribute></xsl:if>
  	 				          <xsl:choose>
                        <xsl:when test="normalize-space(Key) = 'p'">
							<xsl:attribute name="colspan">2</xsl:attribute>
							公开号</xsl:when>
                        <xsl:when test="normalize-space(Key) = 't'">标题</xsl:when>
                        <xsl:when test="normalize-space(Key) = 'a'">申请人</xsl:when>
                        <xsl:when test="normalize-space(Key) = 'i'">发明人</xsl:when>
                        <xsl:when test="normalize-space(Key) = 'c'">分类</xsl:when>
                        <xsl:when test="normalize-space(Key) = 'w'">索引词</xsl:when>
                        <xsl:when test="normalize-space(Key) = 'n'">总数</xsl:when>
                        <xsl:when test="normalize-space(Key) = 'e'">审查员</xsl:when>
                        <xsl:when test="normalize-space(Key) = 'l'">国际分类</xsl:when>
                        <xsl:when test="normalize-space(Key) = 'r'">相关度</xsl:when>
                        <xsl:otherwise>其他</xsl:otherwise>
  	 				          </xsl:choose>
   				          </td>
   			          </xsl:for-each>
 			          </tr>
                <xsl:for-each select="/Result/PatentClusterList/PatentClusterList[position() = $curindex]/PatentCluster">
 			             <tr>
 			 		            <xsl:if test="position() mod 2 = 0">
 			 		              <xsl:attribute name="class">querylist-dark<xsl:value-of select="normalize-space(/Result/Classsuffix)" /></xsl:attribute>
 			 		            </xsl:if>
 			 		            <xsl:if test="position() mod 2 != 0">
 			 		              <xsl:attribute name="class">querylist-light<xsl:value-of select="normalize-space(/Result/Classsuffix)" /></xsl:attribute>
 			 		            </xsl:if>
                      <xsl:if test="normalize-space(Color) != ''">
                        <xsl:attribute name="style">background-color:<xsl:value-of select="normalize-space(Color)"/></xsl:attribute>
                      </xsl:if>
		 	               <xsl:apply-templates />		 	
 			             </tr>
 			             <tr width="100%" style="display:none">
                     <xsl:attribute name="class">querylist-hiderow<xsl:value-of select="normalize-space(/Result/Classsuffix)" /></xsl:attribute>
				             <td align="center" width="100%"> 
 			 		              <xsl:attribute name="colspan"><xsl:value-of select="count(/Result/DisplayFieldList/DisplayField)" /></xsl:attribute>   		
 			 		              <div style="width:100%">
 			 			              <xsl:attribute name="id"><xsl:value-of select="ID" /></xsl:attribute>
 			 		              </div>
 			 	             </td>
 			             </tr>
 			           </xsl:for-each>
              </table>
            </div>
          </td>
        </tr>
      </xsl:for-each>
    </table>
	  </div>
	  <br></br>
  </xsl:template>
	
<xsl:template match="Threshold"></xsl:template>
	<xsl:template match="Result">
    <xsl:apply-templates select="WordrelList" />
  </xsl:template>

  <xsl:template match="PageList"></xsl:template>
</xsl:stylesheet>