<?xml version='1.0' encoding='utf-8'?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
<xsl:output method="html" encoding="utf-8"/>

  <xsl:template match="*|@*">
	<xsl:copy>
		<xsl:apply-templates select="@*|*|comment()|processing-instruction()|text()"/>
	</xsl:copy>
  </xsl:template>
  
    <xsl:template match="Suffix"></xsl:template> 
    <xsl:template match="Classsuffix"></xsl:template>
  <xsl:template match="FooPageIndex"></xsl:template>
	
	<xsl:template match="QueryExp">
		<span style="display:none">
			<xsl:attribute name="id">queryrelated-queryexp<xsl:value-of select="normalize-space(/Result/Suffix)" /></xsl:attribute>
			<xsl:value-of select="normalize-space(.)" />
		</span>
	</xsl:template>
  
  <xsl:template match="QueryCoreExp">
		<span style="display:none">
			<xsl:attribute name="id">queryrelated-querycoreexp<xsl:value-of select="normalize-space(/Result/Suffix)" /></xsl:attribute>
			<xsl:value-of select="normalize-space(.)" />
		</span>
	</xsl:template>
	
	<xsl:template match="ImportantWordList">
		<div style="display:none">
			<xsl:attribute name="id">queryrelated-importantwords<xsl:value-of select="normalize-space(/Result/Suffix)" /></xsl:attribute>
			<xsl:for-each select="ImportantWord">
				<span><xsl:value-of select="normalize-space(.)" /></span>
			</xsl:for-each>
		</div>
	</xsl:template>

	<xsl:template match="ANrelList">
    <xsl:if test="count(ANrel)&gt;0">
		<table  cellspacing="0" class="queryrelated-table" id="queryrelated_searchmaster_anlist">
			<tr class="queryrelated-title">
				<td>相关公司</td>
				<!--<td align="right" style="padding-right:13px"><img class="imglink" onclick="changeLeftDivDisplay('ro');" id="queryrelated-organizations-img" onmouseover="this.src='img/expand-active.gif'" onmouseout="this.src='img/expand.gif'" src="img/expand.gif" /></td>-->
        <td align="right" style="padding-right:13px">
          <img class="imglink" onclick="changeLeftDivDisplay('ro');" id="queryrelated-organizations-img" onmouseover="onLeftDivTitleImgMouseover(this);" onmouseout="onLeftDivTitleImgMouseout(this);" src="img/expand.gif" />
        </td>
        
			</tr>
			<tr>
				<td colspan="2">
					<div id="queryrelated-organizations-tablediv">
						<table cellspacing="0" cellpadding="0">
							<xsl:for-each select="ANrel">
							<tr width="100%">
                  
	<td valign="middle"  width="15px">
        <img class="imglink" style="vertical-align:middle"  src="img/st.gif" title="用此公司在公司字段中进行二次搜索">
        <xsl:attribute name="onclick">onQuerylistRelatedIconClick<xsl:value-of select="normalize-space(/Result/Suffix)" />(this, 'a')</xsl:attribute>
        </img>
        </td>	
    <td valign="middle">
	<span title="查找该公司专利">
        <xsl:attribute name="class">querylist-related-w<xsl:value-of select="normalize-space(/Result/Classsuffix)" /></xsl:attribute>
        <xsl:attribute name="onmouseover">onQuerylistRelatedMouseOver<xsl:value-of select="normalize-space(/Result/Suffix)" />(this, 'a')</xsl:attribute>
        <xsl:attribute name="onmouseout">onQuerylistRelatedMouseOut<xsl:value-of select="normalize-space(/Result/Suffix)" />(this, 'a')</xsl:attribute>
	<xsl:attribute name="onclick">onQuerylistRelatedClick<xsl:value-of select="normalize-space(/Result/Suffix)" />(this, 'a')</xsl:attribute>
	<xsl:attribute name="oncontextmenu">onQuerylistRelatedContextMenu<xsl:value-of select="normalize-space(/Result/Suffix)" />(this, 'a')</xsl:attribute>
	<xsl:value-of select="normalize-space(.)" />
	</span>&#160;
	</td>
	</tr>

							</xsl:for-each>
						</table>
					</div>
				</td>
			</tr>
		</table>
      </xsl:if>
  </xsl:template>
  
  <xsl:template match="CCLrelList">
	  <table  cellspacing="0" class="queryrelated-table">
		  <tr class="queryrelated-title">
			  <td>相关分类</td>
			  <!--<td align="right" style="padding-right:13px"><img class="imglink" onclick="changeLeftDivDisplay('rc');" id="queryrelated-classes-img" onmouseover="this.src='img/expand-active.gif'" onmouseout="this.src='img/expand.gif'" src="img/expand.gif" /></td>-->
        <td align="right" style="padding-right:13px">
          <img class="imglink" onclick="changeLeftDivDisplay('rc');" id="queryrelated-classes-img" onmouseover="onLeftDivTitleImgMouseover(this);" onmouseout="onLeftDivTitleImgMouseout(this);" src="img/expand.gif" />
        </td>
        
		  </tr>
		  <tr>
			  <td colspan="2">
				  <div id="queryrelated-classes-tablediv">
					  <table>
						  <xsl:for-each select="CCLrel">
							  <tr width="100%">
                  
								  <td>
									<img class="imglink" style="vertical-align:middle"  src="img/st.gif">
										<xsl:attribute name="onclick">onQuerylistRelatedIconClick<xsl:value-of select="normalize-space(/Result/Suffix)" />(this, 'c')</xsl:attribute>
									</img>
		  							<span>
		  							<xsl:attribute name="class">querylist-related-w<xsl:value-of select="normalize-space(/Result/Classsuffix)" /></xsl:attribute>
		  							<xsl:attribute name="onmouseover">onQuerylistRelatedMouseOver<xsl:value-of select="normalize-space(/Result/Suffix)" />(this, 'c')</xsl:attribute>
		  							<xsl:attribute name="onmouseout">onQuerylistRelatedMouseOut<xsl:value-of select="normalize-space(/Result/Suffix)" />(this, 'c')</xsl:attribute>
		  							<xsl:attribute name="onclick">onQuerylistRelatedClick<xsl:value-of select="normalize-space(/Result/Suffix)" />(this, 'c')</xsl:attribute>
									<xsl:attribute name="oncontextmenu">onQuerylistRelatedContextMenu<xsl:value-of select="normalize-space(/Result/Suffix)" />(this, 'c')</xsl:attribute>
		  								<xsl:value-of select="normalize-space(Key)" />
		  							</span> (<xsl:value-of select="normalize-space(Value)" />)
								  </td>
							</tr>		 	
						 </xsl:for-each>
					  </table>
				  </div>
			  </td>
		  </tr>
	  </table>
  </xsl:template>
  
  <xsl:template match="WordrelList">
	<table  cellspacing="0" class="queryrelated-table">
	  <tr class="queryrelated-title">
		  <td>相关概念</td>
		  <!--<td align="right" style="padding-right:13px"><img class="imglink" onclick="changeLeftDivDisplay('rk');" id="queryrelated-keywords-img" onmouseover="this.src='img/expand-active.gif'" onmouseout="this.src='img/expand.gif'" src="img/expand.gif" /></td>-->
      <td align="right" style="padding-right:13px"><img class="imglink" onclick="changeLeftDivDisplay('rk');" id="queryrelated-keywords-img" onmouseover="onLeftDivTitleImgMouseover(this);" onmouseout="onLeftDivTitleImgMouseout(this);" src="img/expand.gif" /></td>
      
	  </tr>
	  <tr>
			<td colspan="2">
				<div id="queryrelated-keywords-tablediv">
					<table cellspacing="0" cellpadding="0" width="100%">
            <xsl:for-each select="Wordrel">
              <tr width="100%">


                <td valign="middle" width="15px"><img class="imglink" style="vertical-align:middle"  src="img/st.gif" title="用此相关概念在全文字段中进行二次搜索">
                     <xsl:attribute name="onclick">onQuerylistRelatedIconClick<xsl:value-of select="normalize-space(/Result/Suffix)" />(this, 'w')
                     </xsl:attribute>
                   </img>
                 </td>
                <td valign="middle">
								 
									<span title="用此相关概念进行概念搜索">
									<xsl:attribute name="class">querylist-related-w<xsl:value-of select="normalize-space(/Result/Classsuffix)" /></xsl:attribute>
									<xsl:attribute name="onmouseover">onQuerylistRelatedMouseOver<xsl:value-of select="normalize-space(/Result/Suffix)" />(this, 'w')</xsl:attribute>
									<xsl:attribute name="onmouseout">onQuerylistRelatedMouseOut<xsl:value-of select="normalize-space(/Result/Suffix)" />(this, 'w')</xsl:attribute>
									<xsl:attribute name="onclick">onQuerylistRelatedClick<xsl:value-of select="normalize-space(/Result/Suffix)" />(this, 'w')</xsl:attribute>
									<xsl:attribute name="oncontextmenu">onQuerylistRelatedContextMenu<xsl:value-of select="normalize-space(/Result/Suffix)" />(this, 'w')</xsl:attribute>
										<xsl:value-of select="normalize-space(.)" />
									</span>&#160;
                  <img class="imglink" style="vertical-align:middle" title="用此相关概念对搜索结果做重排序"  onmouseover="this.src='img/rankby-active.gif'" onmouseout="this.src='img/rankby.gif'"  src="img/rankby.gif"><xsl:attribute name="onclick">onQuerylistRelatedIconClick<xsl:value-of select="normalize-space(/Result/Suffix)" />(this, 'r')</xsl:attribute></img>
								 </td>
                <td align="right">
                   &#160;
                   <!--<input type="checkbox" class="keywordcheckbox">
                     <xsl:attribute name="value"><xsl:value-of select="normalize-space(.)" /></xsl:attribute>
                   </input>&#160;&#160;&#160;-->
					 <span class="keyword">
						 <xsl:attribute name="value">
							 <xsl:value-of select="normalize-space(.)" />
						 </xsl:attribute>
						 <img class="imglink"  onmouseover="imgCheckboxOver(this)" onmouseout="imgCheckboxOut(this)" src="img/check.gif">
							 <xsl:attribute name="onclick">
								 checkCheckboxImg(this);
							 </xsl:attribute>
						 </img>
					 </span>&#160;&#160;&#160;
                 </td>
							 </tr>
						 </xsl:for-each>
            <tr>
              <td colspan="3" align="right">
                 <table width="100%" cellspacing="0" cellpadding="0">
                  <tr width="100%">
                    
                    <td align="left">
                      <xsl:if test="/Result/FooPageIndex &gt; 0">
                        <img onmouseover="this.src='img/left-active.gif'" onmouseout="this.src='img/left.gif'" src="img/left.gif" class="imglinkmargin" alt="上一页" title="上一页" id="queryrelated_searchmaster_prev" >
                          <xsl:attribute name="onclick">getRelatedSearch(0, <xsl:value-of select="/Result/FooPageIndex - 1" />, null)</xsl:attribute>
                        </img>&#160;
                      </xsl:if>
                      <img onmouseover="this.src='img/right-active.gif'" onmouseout="this.src='img/right.gif'" src="img/right.gif" class="imglink" alt="下一页" title="下一页" id="queryrelated_searchmaster_next" >
                        <xsl:attribute name="onclick">getRelatedSearch(0, <xsl:value-of select="/Result/FooPageIndex + 1" />, null)</xsl:attribute>
                      </img>
                    </td>
                    
                    <td align="right">
                      <img class="imglinkmargin" onmouseover="this.src='img/case-and-active.gif'" onmouseout="this.src='img/case-and.gif'" src="img/case-and.gif"  title="用选中相关概念词做&quot;与&quot;搜索">
                        <xsl:attribute name="onclick">doCheckedKeywordsSearch('1', 'queryrelated' );</xsl:attribute>
                      </img>
                      <img class="imglinkmargin" onmouseover="this.src='img/case-or-active.gif'" onmouseout="this.src='img/case-or.gif'" src="img/case-or.gif"  title="用选中相关概念词做&quot;或&quot;搜索">
                        <xsl:attribute name="onclick">doCheckedKeywordsSearch('2', 'queryrelated' );</xsl:attribute>
                      </img>
                      <img class="imglinkmargin" onmouseover="this.src='img/conceptsearch-active.gif'" onmouseout="this.src='img/conceptsearch.gif'" src="img/conceptsearch.gif"  title="用选中相关概念词做概念搜索">
                        <xsl:attribute name="onclick">doCheckedKeywordsSearch('3', 'queryrelated' );</xsl:attribute>
                      </img>                      
                      <img class="imglinkmargin" onclick="loadQueryRelatedCluster(false);"  onmouseover="this.src='img/cluster-analysis-active.gif'" onmouseout="this.src='img/cluster-analysis.gif'" src="img/cluster-analysis.gif"  title="用相关概念词作聚类分析" ></img>
                        <div style="display:none">
                          <form id="queryrelated-cluster-form">
                            <input name="sq" type="hidden" />
                            <input name="idi" type="hidden" />
                          </form>
                        </div>                      
                     <img class="imglinkmargin" style="padding-left:4px;padding-right:1px" onmouseover="onCheckboxImgMouseOver(this);" onmouseout="onCheckboxImgMouseOut(this)" src="img/check.gif"  title="选中所有">
                        <xsl:attribute name="onclick">prepareKeywordsCheckStatus('queryrelated', this);</xsl:attribute>
                      </img>&#160;&#160;
                    </td>
                  </tr>
                </table>
              </td>
            </tr>
					</table>
					<table width="100%" id="queryrelated_searchmaster_cluster">
						<tr width="100%">
							
						</tr>
					</table>
				</div>
			</td>
	  </tr>
	</table>
	  
  </xsl:template>
  <xsl:template match="Result">
    <xsl:if test="count(WordrelList/Wordrel) > 0">
      <xsl:apply-templates select="WordrelList" />
    </xsl:if>
    <xsl:if test="count(CCLrelList/CCLrel) > 0">
      <xsl:apply-templates select="CCLrelList" />
    </xsl:if>
    <xsl:if test="count(ANrelList/ANrel) > 0">
      <xsl:apply-templates select="ANrelList" />
    </xsl:if>
    <xsl:apply-templates select="QueryExp" />
    <xsl:apply-templates select="ImportantWordList" />
    <xsl:apply-templates select="QueryCoreExp" />
  </xsl:template>
</xsl:stylesheet>