<?xml version='1.0' encoding='utf-8'?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
<xsl:output method="html" encoding="utf-8"/>

  <xsl:template match="Result">
    <xsl:apply-templates select="QueryExp"></xsl:apply-templates>
    <xsl:apply-templates select="WordrelList"></xsl:apply-templates>
    <xsl:apply-templates select="ImportantWordList" />
    <xsl:apply-templates select="QueryCoreExp"></xsl:apply-templates>
  </xsl:template>
	
	<xsl:template match="QueryExp">
		<span style="display:none">
			<xsl:attribute name="id">queryrelated-queryexp<xsl:value-of select="normalize-space(/Result/Suffix)" /></xsl:attribute>
			<xsl:value-of select="normalize-space(.)" />
		</span>
	</xsl:template>
  
  <xsl:template match="QueryCoreExp">
		<span style="display:none">
			<xsl:attribute name="id">queryrelated-querycoreexp<xsl:value-of select="normalize-space(/Result/Suffix)" /></xsl:attribute>
			<xsl:value-of select="normalize-space(.)" />
		</span>
	</xsl:template>
	
	<xsl:template match="ImportantWordList">
		<div style="display:none">
			<xsl:attribute name="id">queryrelated-importantwords<xsl:value-of select="normalize-space(/Result/Suffix)" /></xsl:attribute>
			<xsl:for-each select="ImportantWord">
				<span><xsl:value-of select="normalize-space(.)" /></span>
			</xsl:for-each>
		</div>
	</xsl:template>
	
  <xsl:template match="WordrelList">
	  <xsl:if test="count(Wordrel) &gt; 0">
  		<table width="100%">
  			<tr>				 	
  				<td width="25%">
  				 <xsl:for-each select="Wordrel">
  				  <xsl:if test="position() &lt; 3">
  					<img class="imglink" style="vertical-align:middle"  src="img/st.gif" title="用此相关概念在全文字段（B）中筛选当前搜索结果">
						<xsl:attribute name="onclick">onQuerylistRelatedIconClick<xsl:value-of select="normalize-space(/Result/Suffix)" />(this, 'w')</xsl:attribute>
					</img>
  				  	<span title="用此相关概念做概念搜索">
  				  	<xsl:attribute name="class">querylist-related-w<xsl:value-of select="normalize-space(/Result/Classsuffix)" /></xsl:attribute>
  				  	<xsl:attribute name="onmouseover">onQuerylistRelatedMouseOver<xsl:value-of select="normalize-space(/Result/Suffix)" />(this, 'w')</xsl:attribute>
  				  	<xsl:attribute name="onmouseout">onQuerylistRelatedMouseOut<xsl:value-of select="normalize-space(/Result/Suffix)" />(this, 'w')</xsl:attribute>
  				  	<xsl:attribute name="onclick">onQuerylistRelatedClick<xsl:value-of select="normalize-space(/Result/Suffix)" />(this, 'w')</xsl:attribute>
					<xsl:attribute name="oncontextmenu">onQuerylistRelatedContextMenu<xsl:value-of select="normalize-space(/Result/Suffix)" />(this, 'w')</xsl:attribute>
  				  		<xsl:value-of select="normalize-space(.)" />
  				  	</span>
              <xsl:if test="position() mod 2 = 1">
                <br />
              </xsl:if>	 	
  				   </xsl:if>
  				 </xsl:for-each>
  				</td>
  				<td width="25%">
  				 <xsl:for-each select="Wordrel">
  				  <xsl:if test="2 &lt; position() and position() &lt; 5">
  				  <img class="imglink" style="vertical-align:middle"  src="img/st.gif" title="用此相关概念在全文字段（B）中筛选当前搜索结果">
						<xsl:attribute name="onclick">onQuerylistRelatedIconClick<xsl:value-of select="normalize-space(/Result/Suffix)" />(this, 'w')</xsl:attribute>
					</img>
  				  	<span title="用此相关概念做概念搜索">
  				  	<xsl:attribute name="class">querylist-related-w<xsl:value-of select="normalize-space(/Result/Classsuffix)" /></xsl:attribute>
  				  	<xsl:attribute name="onmouseover">onQuerylistRelatedMouseOver<xsl:value-of select="normalize-space(/Result/Suffix)" />(this, 'w')</xsl:attribute>
  				  	<xsl:attribute name="onmouseout">onQuerylistRelatedMouseOut<xsl:value-of select="normalize-space(/Result/Suffix)" />(this, 'w')</xsl:attribute>
  				  	<xsl:attribute name="onclick">onQuerylistRelatedClick<xsl:value-of select="normalize-space(/Result/Suffix)" />(this, 'w')</xsl:attribute>
					<xsl:attribute name="oncontextmenu">onQuerylistRelatedContextMenu<xsl:value-of select="normalize-space(/Result/Suffix)" />(this, 'w')</xsl:attribute>
  				  		<xsl:value-of select="normalize-space(.)" />
  				  	</span>
					  <xsl:if test="position() mod 2 = 1">
                <br />
              </xsl:if>
  				  </xsl:if>				 	
  				 </xsl:for-each>
  				</td>
				<td width="25%">
  				 <xsl:for-each select="Wordrel">
  				  <xsl:if test="4 &lt; position() and position() &lt; 7">
  				  <img class="imglink" style="vertical-align:middle"  src="img/st.gif" title="用此相关概念在全文字段（B）中筛选当前搜索结果">
              <xsl:attribute name="onclick">onQuerylistRelatedIconClick<xsl:value-of select="normalize-space(/Result/Suffix)" />(this, 'w')
              </xsl:attribute>
            </img>
            <span title="用此相关概念做概念搜索">
              <xsl:attribute name="class">querylist-related-w<xsl:value-of select="normalize-space(/Result/Classsuffix)" />
              </xsl:attribute>
              <xsl:attribute name="onmouseover">onQuerylistRelatedMouseOver<xsl:value-of select="normalize-space(/Result/Suffix)" />(this, 'w')
              </xsl:attribute>
              <xsl:attribute name="onmouseout">onQuerylistRelatedMouseOut<xsl:value-of select="normalize-space(/Result/Suffix)" />(this, 'w')
              </xsl:attribute>
              <xsl:attribute name="onclick">onQuerylistRelatedClick<xsl:value-of select="normalize-space(/Result/Suffix)" />(this, 'w')
              </xsl:attribute>
              <xsl:attribute name="oncontextmenu">onQuerylistRelatedContextMenu<xsl:value-of select="normalize-space(/Result/Suffix)" />(this, 'w')
              </xsl:attribute>
              <xsl:value-of select="normalize-space(.)" />
            </span>
            <xsl:if test="position() mod 2 = 1">
              <br />
            </xsl:if>
          </xsl:if>
        </xsl:for-each>
      </td>
      <td width="25%">
        <xsl:for-each select="Wordrel">
          <xsl:if test="6 &lt; position()">
            <img class="imglink" style="vertical-align:middle"  src="img/st.gif" title="用此相关概念在全文字段（B）中筛选当前搜索结果">
						<xsl:attribute name="onclick">onQuerylistRelatedIconClick<xsl:value-of select="normalize-space(/Result/Suffix)" />(this, 'w')</xsl:attribute>
					</img>
  				  	<span title="用此相关概念做概念搜索">
  				  	<xsl:attribute name="class">querylist-related-w<xsl:value-of select="normalize-space(/Result/Classsuffix)" /></xsl:attribute>
  				  	<xsl:attribute name="onmouseover">onQuerylistRelatedMouseOver<xsl:value-of select="normalize-space(/Result/Suffix)" />(this, 'w')</xsl:attribute>
  				  	<xsl:attribute name="onmouseout">onQuerylistRelatedMouseOut<xsl:value-of select="normalize-space(/Result/Suffix)" />(this, 'w')</xsl:attribute>
  				  	<xsl:attribute name="onclick">onQuerylistRelatedClick<xsl:value-of select="normalize-space(/Result/Suffix)" />(this, 'w')</xsl:attribute>
					<xsl:attribute name="oncontextmenu">onQuerylistRelatedContextMenu<xsl:value-of select="normalize-space(/Result/Suffix)" />(this, 'w')</xsl:attribute>
  				  		<xsl:value-of select="normalize-space(.)" />
  				  	</span>
					  <xsl:if test="position() mod 2 = 1">
                <br />
              </xsl:if>
  				  </xsl:if>				 	
  				 </xsl:for-each>
  				</td>
          <td nowrap="true"  valign="bottom">
            <xsl:if test="/Result/FooPageIndex &gt; 0">
              <img onmouseover="this.src='img/left-active.gif'" onmouseout="this.src='img/left.gif'" src="img/left.gif" class="imglink" alt="前一页" title="前一页" id="queryrelated_searchslave_prev" >
                <xsl:attribute name="onclick">getRelatedSearch(1, <xsl:value-of select="/Result/FooPageIndex - 1" />, null)</xsl:attribute>
              </img>&#32;
            </xsl:if>
            <img onmouseover="this.src='img/right-active.gif'" onmouseout="this.src='img/right.gif'" src="img/right.gif" class="imglink" alt="后一页" title="后一页" id="queryrelated_searchslave_next">
              <xsl:attribute name="onclick">getRelatedSearch(1, <xsl:value-of select="/Result/FooPageIndex + 1" />, null)</xsl:attribute>
            </img>             
          </td>
  			</tr>
  		</table>
		</xsl:if>
  </xsl:template>
</xsl:stylesheet>