<?xml version='1.0' encoding='utf-8'?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
<xsl:output method="html" encoding="utf-8"/>

  <xsl:template match="*|@*">
	<xsl:copy>
		<xsl:apply-templates select="@*|*|comment()|processing-instruction()|text()"/>
	</xsl:copy>
  </xsl:template>
  <xsl:template match="Threshold"></xsl:template>
	<xsl:template match="Foo"></xsl:template>
	<xsl:template match="Total"></xsl:template> 
    <xsl:template match="PageSize"></xsl:template> 
    <xsl:template match="PageIndex"></xsl:template> 
    <xsl:template match="Suffix"></xsl:template> 
    <xsl:template match="Classsuffix"></xsl:template>
    <xsl:template match="PageCount"></xsl:template>
    <xsl:template match="DisplayFieldList"></xsl:template>
    <xsl:template match="PN"></xsl:template>
    <xsl:template match="ID"></xsl:template>
    <xsl:template match="Other"></xsl:template>
  <xsl:template match="Color"></xsl:template>
	<xsl:template match="CheckPdf"></xsl:template>
	<xsl:template match="pt"></xsl:template>
    
    <xsl:template match="RelatedList">  
  		<table>
  			<xsl:attribute name="class">querylist-related<xsl:value-of select="normalize-space(/Result/Classsuffix)" /></xsl:attribute>
  			<tr>
  				<xsl:attribute name="class">querylist-related-title<xsl:value-of select="normalize-space(/Result/Classsuffix)" /></xsl:attribute>
  				<td width="100%" colspan="4">相关概念:</td>
  			</tr>
  			<tr>				 	
  				<td width="25%">
  				 <xsl:for-each select="Related">
  				  <xsl:if test="position() &lt; 3">
  					<img class="imglink" style="vertical-align:middle"  src="img/st.gif">
						<xsl:attribute name="onclick">onQuerylistRelatedIconClick<xsl:value-of select="normalize-space(/Result/Suffix)" />(this, 'w')</xsl:attribute>
					</img>
  				  	<span>
  				  	<xsl:attribute name="class">querylist-related-w<xsl:value-of select="normalize-space(/Result/Classsuffix)" /></xsl:attribute>
  				  	<xsl:attribute name="onmouseover">onQuerylistRelatedMouseOver<xsl:value-of select="normalize-space(/Result/Suffix)" />(this, 'w')</xsl:attribute>
  				  	<xsl:attribute name="onmouseout">onQuerylistRelatedMouseOut<xsl:value-of select="normalize-space(/Result/Suffix)" />(this, 'w')</xsl:attribute>
  				  	<xsl:attribute name="onclick">onQuerylistRelatedClick<xsl:value-of select="normalize-space(/Result/Suffix)" />(this, 'w')</xsl:attribute>
					<xsl:attribute name="oncontextmenu">onQuerylistRelatedContextMenu<xsl:value-of select="normalize-space(/Result/Suffix)" />(this, 'w')</xsl:attribute>
  				  		<xsl:value-of select="normalize-space(.)" />
  				  	</span>
					  <br /> 				 	
  				   </xsl:if>
  				 </xsl:for-each>
  				</td>
  				<td width="25%">
  				 <xsl:for-each select="Related">
  				  <xsl:if test="2 &lt; position() and position() &lt; 5">
  					<img class="imglink" style="vertical-align:middle"  src="img/st.gif">
						<xsl:attribute name="onclick">onQuerylistRelatedIconClick<xsl:value-of select="normalize-space(/Result/Suffix)" />(this, 'w')</xsl:attribute>
					</img>
  				  	<span>
  				  	<xsl:attribute name="class">querylist-related-w<xsl:value-of select="normalize-space(/Result/Classsuffix)" /></xsl:attribute>
  				  	<xsl:attribute name="onmouseover">onQuerylistRelatedMouseOver<xsl:value-of select="normalize-space(/Result/Suffix)" />(this, 'w')</xsl:attribute>
  				  	<xsl:attribute name="onmouseout">onQuerylistRelatedMouseOut<xsl:value-of select="normalize-space(/Result/Suffix)" />(this, 'w')</xsl:attribute>
  				  	<xsl:attribute name="onclick">onQuerylistRelatedClick<xsl:value-of select="normalize-space(/Result/Suffix)" />(this, 'w')</xsl:attribute>
					<xsl:attribute name="oncontextmenu">onQuerylistRelatedContextMenu<xsl:value-of select="normalize-space(/Result/Suffix)" />(this, 'w')</xsl:attribute>
  				  		<xsl:value-of select="normalize-space(.)" />
  				  	</span>
  				  <br />  				 	
  				   </xsl:if>
  				 </xsl:for-each>
  				</td> 
  				<td width="25%">
  				 <xsl:for-each select="Related">
  				  <xsl:if test="4 &lt; position() and position() &lt; 7">
  					<img class="imglink" style="vertical-align:middle"  src="img/st.gif">
						<xsl:attribute name="onclick">onQuerylistRelatedIconClick<xsl:value-of select="normalize-space(/Result/Suffix)" />(this, 'w')</xsl:attribute>
					</img>
  				  	<span>
  				  	<xsl:attribute name="class">querylist-related-w<xsl:value-of select="normalize-space(/Result/Classsuffix)" /></xsl:attribute>
  				  	<xsl:attribute name="onmouseover">onQuerylistRelatedMouseOver<xsl:value-of select="normalize-space(/Result/Suffix)" />(this, 'w')</xsl:attribute>
  				  	<xsl:attribute name="onmouseout">onQuerylistRelatedMouseOut<xsl:value-of select="normalize-space(/Result/Suffix)" />(this, 'w')</xsl:attribute>
  				  	<xsl:attribute name="onclick">onQuerylistRelatedClick<xsl:value-of select="normalize-space(/Result/Suffix)" />(this, 'w')</xsl:attribute>
					<xsl:attribute name="oncontextmenu">onQuerylistRelatedContextMenu<xsl:value-of select="normalize-space(/Result/Suffix)" />(this, 'w')</xsl:attribute>
  				  		<xsl:value-of select="normalize-space(.)" />
  				  	</span>
  					<br />  				 	
  				   </xsl:if>
  				 </xsl:for-each>
  				</td> 
  				<td width="25%">
  				 <xsl:for-each select="Related">
  				  <xsl:if test="6 &lt; position()">
  					<img class="imglink" style="vertical-align:middle"  src="img/st.gif">
						<xsl:attribute name="onclick">onQuerylistRelatedIconClick<xsl:value-of select="normalize-space(/Result/Suffix)" />(this, 'w')</xsl:attribute>
					</img>
  				  	<span>
  				  	<xsl:attribute name="class">querylist-related-w<xsl:value-of select="normalize-space(/Result/Classsuffix)" /></xsl:attribute>
  				  	<xsl:attribute name="onmouseover">onQuerylistRelatedMouseOver<xsl:value-of select="normalize-space(/Result/Suffix)" />(this, 'w')</xsl:attribute>
  				  	<xsl:attribute name="onmouseout">onQuerylistRelatedMouseOut<xsl:value-of select="normalize-space(/Result/Suffix)" />(this, 'w')</xsl:attribute>
  				  	<xsl:attribute name="onclick">onQuerylistRelatedClick<xsl:value-of select="normalize-space(/Result/Suffix)" />(this, 'w')</xsl:attribute>
					<xsl:attribute name="oncontextmenu">onQuerylistRelatedContextMenu<xsl:value-of select="normalize-space(/Result/Suffix)" />(this, 'w')</xsl:attribute>
  				  		<xsl:value-of select="normalize-space(.)" />
  				  	</span>
  					<br />  				 	
  				   </xsl:if>
  				 </xsl:for-each>
  				</td>
  			</tr>
  		</table>
  </xsl:template>

   <xsl:template match="p">
   <td>
	   <xsl:for-each select="/Result/DisplayFieldList/DisplayField">
		   <xsl:if test="normalize-space(Key) = 'p' and normalize-space(Value) != ''">
			   <xsl:attribute name="style">width:<xsl:value-of select="normalize-space(Value)" /></xsl:attribute>
		   </xsl:if>
	   </xsl:for-each>
		<span target="_blank" href="#">
			<xsl:attribute name="class">querylist<xsl:value-of select="normalize-space(../Other)" />-p<xsl:value-of select="normalize-space(/Result/Classsuffix)" /></xsl:attribute>   		
      <xsl:attribute name="url">pncompare.htm?sl=chs&amp;ip=<xsl:value-of select="normalize-space(/Result/ID)" />&amp;pnlist=<xsl:value-of select="normalize-space(.)" /></xsl:attribute>
			<xsl:attribute name="onmouseover">onQueryTableMouseOver<xsl:value-of select="normalize-space(/Result/Suffix)" />(this, 'p', '<xsl:value-of select="normalize-space(../PN)" />')</xsl:attribute> 
			<xsl:attribute name="onmouseout">onQueryTableMouseOut<xsl:value-of select="normalize-space(/Result/Suffix)" />(this, 'p', '<xsl:value-of select="normalize-space(../PN)" />')</xsl:attribute> 
			<xsl:attribute name="onclick">
				setCurrentEvent(event);return onQueryTableClick<xsl:value-of select="normalize-space(/Result/Suffix)" />(this, 'p', '<xsl:value-of select="normalize-space(.)" />', '<xsl:value-of select="normalize-space(../ID)" />', '<xsl:value-of select="normalize-space(/Result/ID)" />')</xsl:attribute>
			<xsl:attribute name="oncontextmenu">onQueryTableContextMenu<xsl:value-of select="normalize-space(/Result/Suffix)" />(this, 'p', '<xsl:value-of select="normalize-space(../PN)" />', '<xsl:value-of select="normalize-space(../ID)" />')</xsl:attribute>
			<xsl:value-of select="normalize-space(.)" />
		</span>
   </td> 
  </xsl:template> 
   
  <xsl:template match="t">
   <td>
	   <xsl:for-each select="/Result/DisplayFieldList/DisplayField">
		   <xsl:if test="normalize-space(Key) = 't' and normalize-space(Value) != ''">
			   <xsl:attribute name="style">width:<xsl:value-of select="normalize-space(Value)" /></xsl:attribute>
		   </xsl:if>
	   </xsl:for-each>
		<span target="_blank">
			<xsl:attribute name="class">querylist-t<xsl:value-of select="normalize-space(/Result/Classsuffix)" /></xsl:attribute>   		  	 							
			<xsl:attribute name="onmouseover">onQueryTableMouseOver<xsl:value-of select="normalize-space(/Result/Suffix)" />(this, 't', '<xsl:value-of select="normalize-space(../PN)" />')</xsl:attribute> 
			<xsl:attribute name="onmouseout">onQueryTableMouseOut<xsl:value-of select="normalize-space(/Result/Suffix)" />(this, 't', '<xsl:value-of select="normalize-space(../PN)" />')</xsl:attribute> 
			<xsl:attribute name="onclick">onQueryTableClick<xsl:value-of select="normalize-space(/Result/Suffix)" />(this, 't', '<xsl:value-of select="normalize-space(../PN)" />', '<xsl:value-of select="normalize-space(../ID)"/>', '<xsl:value-of select="normalize-space(/Result/ID)" />')</xsl:attribute>
			<xsl:attribute name="oncontextmenu">onQueryTableContextMenu<xsl:value-of select="normalize-space(/Result/Suffix)" />(this, 't', '<xsl:value-of select="normalize-space(../PN)" />', '<xsl:value-of select="normalize-space(../ID)" />')</xsl:attribute>
			<xsl:value-of select="normalize-space(.)" />
		</span>
   </td> 
  </xsl:template> 
	
	<xsl:template match="r">
		<td>
			<xsl:for-each select="/Result/DisplayFieldList/DisplayField">
			   <xsl:if test="normalize-space(Key) = 'r' and normalize-space(Value) != ''">
				   <xsl:attribute name="width"><xsl:value-of select="normalize-space(Value)" /></xsl:attribute>
			   </xsl:if>
		   </xsl:for-each>
			<span target="_blank">
				<xsl:value-of select="normalize-space(.)" />%
			</span>
		</td> 
	</xsl:template>

  <xsl:template match="aList">
    <td>
      <xsl:apply-templates/>
    </td>
  </xsl:template>
  <xsl:template match="a">
	   <xsl:for-each select="/Result/DisplayFieldList/DisplayField">
		   <xsl:if test="normalize-space(Key) = 'a' and normalize-space(Value) != ''">
			   <xsl:attribute name="style">width:<xsl:value-of select="normalize-space(Value)" /></xsl:attribute>
		   </xsl:if>
	   </xsl:for-each>
		<span target="_blank">
			<xsl:attribute name="class">querylist-a<xsl:value-of select="normalize-space(/Result/Classsuffix)" /></xsl:attribute>
			<xsl:attribute name="type">a</xsl:attribute> 
			<xsl:attribute name="onmouseover">onQueryTableMouseOver<xsl:value-of select="normalize-space(/Result/Suffix)" />(this, 'a', '<xsl:value-of select="normalize-space(../PN)" />')</xsl:attribute> 
			<xsl:attribute name="onmouseout">onQueryTableMouseOut<xsl:value-of select="normalize-space(/Result/Suffix)" />(this, 'a', '<xsl:value-of select="normalize-space(../PN)" />')</xsl:attribute> 
			<xsl:attribute name="onclick">onQueryTableClick<xsl:value-of select="normalize-space(/Result/Suffix)" />(this, 'a', '<xsl:value-of select="normalize-space(../PN)" />', '<xsl:value-of select="normalize-space(../ID)"/>', '<xsl:value-of select="normalize-space(/Result/ID)" />')</xsl:attribute>
			<xsl:attribute name="oncontextmenu">onQueryTableContextMenu<xsl:value-of select="normalize-space(/Result/Suffix)" />(this, 'a', '<xsl:value-of select="normalize-space(../PN)" />', '<xsl:value-of select="normalize-space(../ID)" />')</xsl:attribute>
			<xsl:value-of select="normalize-space(.)" />
		</span>&#160;
     <img onmouseover="this.src='img/close-active.gif'" onmouseout="this.src='img/close.gif'" src="img/close.gif" style="display:none"  alt="取消" title="取消"  >
		   <xsl:attribute name="onclick">onQueryTableCancelImgClick<xsl:value-of select="normalize-space(/Result/Suffix)" />(this, 'a', '<xsl:value-of select="normalize-space(/Result/Foo)" />')</xsl:attribute>
	   </img>
  </xsl:template> 
         
  <xsl:template match="i">
    <span target="_blank">
			<xsl:attribute name="class">querylist-i<xsl:value-of select="normalize-space(/Result/Classsuffix)" /></xsl:attribute>   		  	 							
			<xsl:attribute name="onmouseover">onQueryTableMouseOver<xsl:value-of select="normalize-space(/Result/Suffix)" />(this, 'i', '<xsl:value-of select="normalize-space(../../PN)" />')</xsl:attribute> 
			<xsl:attribute name="onmouseout">onQueryTableMouseOut<xsl:value-of select="normalize-space(/Result/Suffix)" />(this, 'i', '<xsl:value-of select="normalize-space(../../PN)" />')</xsl:attribute> 
			<xsl:attribute name="onclick">onQueryTableClick<xsl:value-of select="normalize-space(/Result/Suffix)" />(this, 'i', '<xsl:value-of select="normalize-space(../../PN)" />', '<xsl:value-of select="normalize-space(../../ID)"/>', '<xsl:value-of select="normalize-space(/Result/ID)" />')</xsl:attribute>
			<xsl:attribute name="oncontextmenu">onQueryTableContextMenu<xsl:value-of select="normalize-space(/Result/Suffix)" />(this, 'i', '<xsl:value-of select="normalize-space(../PN)" />', '<xsl:value-of select="normalize-space(../ID)" />')</xsl:attribute>
			<xsl:value-of select="normalize-space(.)" />
		</span>
	  <xsl:if test="position() != last()"> | </xsl:if>
  </xsl:template>
 
  <xsl:template match="iList">
   <td>
	   <xsl:for-each select="/Result/DisplayFieldList/DisplayField">
		   <xsl:if test="normalize-space(Key) = 'i' and normalize-space(Value) != ''">
			   <xsl:attribute name="style">width:<xsl:value-of select="normalize-space(Value)" /></xsl:attribute>
		   </xsl:if>
	   </xsl:for-each>
    <xsl:apply-templates />    
   </td> 
  </xsl:template>  

  <xsl:template match="c">
   <td>
	   <xsl:for-each select="/Result/DisplayFieldList/DisplayField">
		   <xsl:if test="normalize-space(Key) = 'c' and normalize-space(Value) != ''">
			   <xsl:attribute name="style">width:<xsl:value-of select="normalize-space(Value)" /></xsl:attribute>
		   </xsl:if>
	   </xsl:for-each>
		<span target="_blank">
			<xsl:attribute name="class">querylist-c<xsl:value-of select="normalize-space(/Result/Classsuffix)" /></xsl:attribute>
			<xsl:attribute name="type">c</xsl:attribute>
			<xsl:attribute name="onmouseover">onQueryTableMouseOver<xsl:value-of select="normalize-space(/Result/Suffix)" />(this, 'c', '<xsl:value-of select="normalize-space(../PN)" />')</xsl:attribute> 
			<xsl:attribute name="onmouseout">onQueryTableMouseOut<xsl:value-of select="normalize-space(/Result/Suffix)" />(this, 'c', '<xsl:value-of select="normalize-space(../PN)" />')</xsl:attribute> 
			<xsl:attribute name="onclick">onQueryTableClick<xsl:value-of select="normalize-space(/Result/Suffix)" />(this, 'c', '<xsl:value-of select="normalize-space(../PN)" />', '<xsl:value-of select="normalize-space(../ID)"/>', '<xsl:value-of select="normalize-space(/Result/ID)" />')</xsl:attribute>
			<xsl:attribute name="oncontextmenu">onQueryTableContextMenu<xsl:value-of select="normalize-space(/Result/Suffix)" />(this, 'c', '<xsl:value-of select="normalize-space(../PN)" />', '<xsl:value-of select="normalize-space(../ID)" />')</xsl:attribute>
			<xsl:value-of select="normalize-space(Key)" />
			<xsl:if test="normalize-space(Value) != ''">(<xsl:value-of select="normalize-space(Value)" />)</xsl:if>
		</span>&#160;
     <img onmouseover="this.src='img/close-active.gif'" onmouseout="this.src='img/close.gif'" src="img/close.gif" style="display:none" alt="取消" title="取消">
		   <xsl:attribute name="onclick">onQueryTableCancelImgClick<xsl:value-of select="normalize-space(/Result/Suffix)" />(this, 'c', '<xsl:value-of select="normalize-space(/Result/Foo)" />')</xsl:attribute>
	   </img>
   </td> 
  </xsl:template> 

  <xsl:template match="w">
   <td>
	   <xsl:for-each select="/Result/DisplayFieldList/DisplayField">
		   <xsl:if test="normalize-space(Key) = 'w' and normalize-space(Value) != ''">
			   <xsl:attribute name="style">width:<xsl:value-of select="normalize-space(Value)" /></xsl:attribute>
		   </xsl:if>
	   </xsl:for-each>
		<span target="_blank">
			<xsl:attribute name="class">querylist-w<xsl:value-of select="normalize-space(/Result/Classsuffix)" /></xsl:attribute>
			<xsl:attribute name="type">w</xsl:attribute>
			<xsl:attribute name="onmouseover">onQueryTableMouseOver<xsl:value-of select="normalize-space(/Result/Suffix)" />(this, 'w', '<xsl:value-of select="normalize-space(../PN)" />')</xsl:attribute> 
			<xsl:attribute name="onmouseout">onQueryTableMouseOut<xsl:value-of select="normalize-space(/Result/Suffix)" />(this, 'w', '<xsl:value-of select="normalize-space(../PN)" />')</xsl:attribute> 
			<xsl:attribute name="onclick">onQueryTableClick<xsl:value-of select="normalize-space(/Result/Suffix)" />(this, 'w', '<xsl:value-of select="normalize-space(../PN)" />', '<xsl:value-of select="normalize-space(../ID)"/>', '<xsl:value-of select="normalize-space(/Result/ID)" />')</xsl:attribute>
			<xsl:attribute name="oncontextmenu">onQueryTableContextMenu<xsl:value-of select="normalize-space(/Result/Suffix)" />(this, 'w', '<xsl:value-of select="normalize-space(../PN)" />', '<xsl:value-of select="normalize-space(../ID)" />')</xsl:attribute>
			<xsl:value-of select="normalize-space(.)" />
		</span>&#160;
     <img onmouseover="this.src='img/close-active.gif'" onmouseout="this.src='img/close.gif'" src="img/close.gif" style="display:none" alt="取消" title="取消"  >
		   <xsl:attribute name="onclick">onQueryTableCancelImgClick<xsl:value-of select="normalize-space(/Result/Suffix)" />(this, 'w', '<xsl:value-of select="normalize-space(/Result/Foo)" />')</xsl:attribute>
	   </img>
   </td> 
  </xsl:template> 

  <xsl:template match="n">
   <td>
	   <xsl:for-each select="/Result/DisplayFieldList/DisplayField">
		   <xsl:if test="normalize-space(Key) = 'n' and normalize-space(Value) != ''">
			   <xsl:attribute name="style">width:<xsl:value-of select="normalize-space(Value)" /></xsl:attribute>
		   </xsl:if>
	   </xsl:for-each>
		<span target="_blank">
			<xsl:attribute name="class">querylist-n<xsl:value-of select="normalize-space(/Result/Classsuffix)" /></xsl:attribute>
			<xsl:attribute name="type">n</xsl:attribute>
			<xsl:value-of select="normalize-space(.)" />
		</span>
   </td> 
  </xsl:template> 

  <xsl:template match="e">
   <td>
	   <xsl:for-each select="/Result/DisplayFieldList/DisplayField">
		   <xsl:if test="normalize-space(Key) = 'e' and normalize-space(Value) != ''">
			   <xsl:attribute name="style">width:<xsl:value-of select="normalize-space(Value)" />px</xsl:attribute>
		   </xsl:if>
	   </xsl:for-each>
		<span target="_blank">
			<xsl:attribute name="class">querylist-t<xsl:value-of select="normalize-space(/Result/Classsuffix)" /></xsl:attribute>   		  	 							
			<xsl:attribute name="onmouseover">onQueryTableMouseOver<xsl:value-of select="normalize-space(/Result/Suffix)" />(this, 'e', '<xsl:value-of select="normalize-space(../PN)" />')</xsl:attribute> 
			<xsl:attribute name="onmouseout">onQueryTableMouseOut<xsl:value-of select="normalize-space(/Result/Suffix)" />(this, 'e', '<xsl:value-of select="normalize-space(../PN)" />')</xsl:attribute> 
			<xsl:attribute name="onclick">onQueryTableClick<xsl:value-of select="normalize-space(/Result/Suffix)" />(this, 'e', '<xsl:value-of select="normalize-space(../PN)" />', '<xsl:value-of select="normalize-space(../ID)"/>', '<xsl:value-of select="normalize-space(/Result/ID)" />')</xsl:attribute>
			<xsl:attribute name="oncontextmenu">onQueryTableContextMenu<xsl:value-of select="normalize-space(/Result/Suffix)" />(this, 'e', '<xsl:value-of select="normalize-space(../PN)" />', '<xsl:value-of select="normalize-space(../ID)" />')</xsl:attribute>
			<xsl:value-of select="normalize-space(.)" />
		</span>
   </td> 
  </xsl:template> 

  <xsl:template match="l">
   <td>
	   <xsl:for-each select="/Result/DisplayFieldList/DisplayField">
		   <xsl:if test="normalize-space(Key) = 'l' and normalize-space(Value) != ''">
			   <xsl:attribute name="style">width:<xsl:value-of select="normalize-space(Value)" /></xsl:attribute>
		   </xsl:if>
	   </xsl:for-each>
		<span target="_blank">
			<xsl:attribute name="class">querylist-t<xsl:value-of select="normalize-space(/Result/Classsuffix)" /></xsl:attribute>   		  	 							
			<xsl:attribute name="onmouseover">onQueryTableMouseOver<xsl:value-of select="normalize-space(/Result/Suffix)" />(this, 'l', '<xsl:value-of select="normalize-space(../PN)" />')</xsl:attribute> 
			<xsl:attribute name="onmouseout">onQueryTableMouseOut<xsl:value-of select="normalize-space(/Result/Suffix)" />(this, 'l', '<xsl:value-of select="normalize-space(../PN)" />')</xsl:attribute> 
			<xsl:attribute name="onclick">onQueryTableClick<xsl:value-of select="normalize-space(/Result/Suffix)" />(this, 'l', '<xsl:value-of select="normalize-space(../PN)" />', '<xsl:value-of select="normalize-space(../ID)"/>', '<xsl:value-of select="normalize-space(/Result/ID)" />')</xsl:attribute>
			<xsl:attribute name="oncontextmenu">onQueryTableContextMenu<xsl:value-of select="normalize-space(/Result/Suffix)" />(this, 'l', '<xsl:value-of select="normalize-space(../PN)" />', '<xsl:value-of select="normalize-space(../ID)" />')</xsl:attribute>
			<xsl:value-of select="normalize-space(Key)" />
			<xsl:if test="normalize-space(Value) != ''">(<xsl:value-of select="normalize-space(Value)" />)</xsl:if>
		</span>&#160;
     <img onmouseover="this.src='img/close-active.gif'" onmouseout="this.src='img/close.gif'" src="img/close.gif" style="display:none" alt="取消" title="取消"  >
		   <xsl:attribute name="onclick">onQueryTableCancelImgClick<xsl:value-of select="normalize-space(/Result/Suffix)" />(this, 'w', '<xsl:value-of select="normalize-space(/Result/Foo)" />')</xsl:attribute>
	   </img>
   </td> 
  </xsl:template> 

  
 <xsl:template match="PatentList">
   	<table cellspacing="2" style="border:1px solid #808080">
		<xsl:attribute name="id">querylist-table-<xsl:value-of select="normalize-space(/Result/Foo)" /></xsl:attribute>
   		<xsl:attribute name="class">querylist-content<xsl:value-of select="normalize-space(/Result/Classsuffix)" /></xsl:attribute>
   		<tr> 
   			<xsl:attribute name="class">querylist-title<xsl:value-of select="normalize-space(/Result/Classsuffix)" /></xsl:attribute>
	   		<xsl:for-each select="/Result/DisplayFieldList/DisplayField">
  	 			<td nowrap="true"> 
  	 				<xsl:if test="normalize-space(Value) != ''"><xsl:attribute name="style">width:<xsl:value-of select="normalize-space(Value)" /></xsl:attribute></xsl:if>
  	 				<xsl:choose> 
  	 					<xsl:when test="normalize-space(Key) = 'p'">专利号</xsl:when>
  	 					<xsl:when test="normalize-space(Key) = 't'">标题</xsl:when>
  	 					<xsl:when test="normalize-space(Key) = 'a'">公司</xsl:when> 
  	 					<xsl:when test="normalize-space(Key) = 'i'">发明人</xsl:when> 
  	 					<xsl:when test="normalize-space(Key) = 'c'">分类</xsl:when> 
  	 					<xsl:when test="normalize-space(Key) = 'w'">索引词</xsl:when> 
  	 					<xsl:when test="normalize-space(Key) = 'n'">专利总数</xsl:when> 
  	 					<xsl:when test="normalize-space(Key) = 'e'">审查员</xsl:when>
  	 					<xsl:when test="normalize-space(Key) = 'l'">国际分类</xsl:when>
						<xsl:when test="normalize-space(Key) = 'r'">相关度</xsl:when>
  	 					<xsl:otherwise>Other</xsl:otherwise>
  	 				</xsl:choose>
   				</td>
   			</xsl:for-each>
 			</tr> 
 			<xsl:for-each select="Patent">
 			 <tr>
 			 	<xsl:if test="position() mod 2 = 0">
 			 	 <xsl:attribute name="class">querylist-dark<xsl:value-of select="normalize-space(/Result/Classsuffix)" /></xsl:attribute>
 			 	</xsl:if>
 			 	<xsl:if test="position() mod 2 != 0">
 			 	 <xsl:attribute name="class">querylist-light<xsl:value-of select="normalize-space(/Result/Classsuffix)" /></xsl:attribute>
 			 	</xsl:if>
 			 	<xsl:apply-templates /> 			 	
 			 </tr>
 			 <!--<tr width="100%">
 			 	<xsl:attribute name="class">querylist-hiderow<xsl:value-of select="normalize-space(/Result/Classsuffix)" /></xsl:attribute>
				 <td align="center" width="100%"> 
 			 		<xsl:attribute name="colspan"><xsl:value-of select="count(/Result/DisplayFieldList/DisplayField)" /></xsl:attribute>   		
 			 		<div style="display:none;width:100%">
 			 			<xsl:attribute name="id"><xsl:value-of select="ID" /></xsl:attribute>
 			 		</div>
 			 	</td>
 			 </tr>-->
 			</xsl:for-each>
 		</table>
		<xsl:if test="1 &lt; /Result/PageCount">
     		<table>
     			<xsl:attribute name="class">querylist-pager<xsl:value-of select="normalize-space(/Result/Classsuffix)" /></xsl:attribute>
     			<tr>
     			 <td align="left">
						 <xsl:choose>
					 		<xsl:when test="/Result/PageIndex = 0">
					 			<span class="graytext">首页</span> | <span class="graytext">上一页</span> | 
					 		</xsl:when>
					 		<xsl:otherwise>
					 			<span> 
					 				<xsl:attribute name="class">querylist-pageranchor<xsl:value-of select="normalize-space(/Result/Classsuffix)" /></xsl:attribute>
					 				<xsl:attribute name="onclick">javascript:goPage<xsl:value-of select="normalize-space(/Result/Suffix)" />(0, this, <xsl:value-of select="/Result/PageCount"/>)</xsl:attribute>
					 				首页</span> | 
					 			<span> 
					 				<xsl:attribute name="class">querylist-pageranchor<xsl:value-of select="normalize-space(/Result/Classsuffix)" /></xsl:attribute>
					 				<xsl:attribute name="onclick">javascript:goPage<xsl:value-of select="normalize-space(/Result/Suffix)" />(<xsl:value-of select="/Result/PageIndex - 1" />, this, <xsl:value-of select="/Result/PageCount"/>)</xsl:attribute>
					 				上一页</span>  |					 		
					 		</xsl:otherwise>
						 </xsl:choose>     		  
						 <xsl:choose>
					 		<xsl:when test="/Result/PageIndex = /Result/PageCount - 1">
					 			<span class="graytext">下一页</span> | <span class="graytext">尾页</span> 
					 		</xsl:when>
					 		<xsl:otherwise>
								<span>
									<xsl:attribute name="class">querylist-pageranchor</xsl:attribute>
									<xsl:attribute name="onclick">goPage<xsl:value-of select="normalize-space(/Result/Suffix)" />(<xsl:value-of select="/Result/PageIndex + 1" />, this, <xsl:value-of select="/Result/PageCount"/>)</xsl:attribute>
									下一页</span> |
								<span>
									<xsl:attribute name="class">querylist-pageranchor</xsl:attribute>
									<xsl:attribute name="onclick">goPage<xsl:value-of select="normalize-space(/Result/Suffix)" />(<xsl:value-of select="/Result/PageCount - 1" />, this, <xsl:value-of select="/Result/PageCount"/>)</xsl:attribute>
									尾页
								</span> 	 		
					 		</xsl:otherwise>
						 </xsl:choose>
					 &#160;<input type="text" id="querylist-input">
					 		<xsl:attribute name="class">querylist-pagerinput<xsl:value-of select="normalize-space(/Result/Classsuffix)" /></xsl:attribute>
								 <xsl:attribute name="onkeydown">checkPagerInputKey<xsl:value-of select="normalize-space(/Result/Suffix)" />(event, this, <xsl:value-of select="/Result/PageCount"/>)</xsl:attribute> 
						 </input>
							&#160;<span>
					  		<xsl:attribute name="class">querylist-pageranchor</xsl:attribute>		
					  		<xsl:attribute name="onclick">goPage<xsl:value-of select="normalize-space(/Result/Suffix)" />(findSiblingBefore(this, 'input', 1).value - 1, this, <xsl:value-of select="/Result/PageCount"/>)</xsl:attribute>跳转</span>  
     			 </td>
     			 <td align="right">页号  <xsl:value-of select="/Result/PageIndex + 1"/> / <xsl:value-of select="/Result/PageCount"/> &#160;
     			 </td>
     			</tr>
     		</table>
		</xsl:if> 		
	</xsl:template>

		<xsl:template match="Result">  
		<div style="display:none"><xsl:value-of select="normalize-space(/Result/ID)" /></div> 
			<span style="display:none">
			 <xsl:attribute name="id">querylist-result-total-span<xsl:value-of select="normalize-space(/Result/Suffix)" /></xsl:attribute>
			 <xsl:value-of select="normalize-space(/Result/Total)" />
			</span> 
			<table style="display:none">
				<xsl:attribute name="class">querylist-summary<xsl:value-of select="normalize-space(/Result/Classsuffix)" /></xsl:attribute>
				<tr>
					<td>
					 <xsl:value-of select="normalize-space(/Result/Total)" />&#160;项结果:
					</td>
				</tr>
			</table>
      <xsl:apply-templates />
    </xsl:template>

	<xsl:template match="PageList"></xsl:template>
</xsl:stylesheet>