<?xml version="1.0" encoding="utf-8"?>

<xsl:stylesheet version="1.0"
    xmlns:xsl="http://www.w3.org/1999/XSL/Transform">

  <xsl:template match="*|@*">
	<xsl:copy>
		<xsl:apply-templates select="@*|*|comment()|processing-instruction()|text()"/>
	</xsl:copy>
  </xsl:template>
	<xsl:template match="sPatentInfo"></xsl:template>
  <xsl:template match="FooDisplayScore"></xsl:template>
  <xsl:template match="ERROR">
    <xsl:value-of select="normalize-space(.)" />
  </xsl:template>
  <xsl:template match="br">
    <br />
  </xsl:template>
  
    <xsl:template match="p">
      <div oncontextmenu="onQuerytabContentContextMenu(this, 'tab')" style="display:inline">
        <xsl:apply-templates />
        <xsl:if test="position() != last()">
          <br />
          <br />
        </xsl:if>
      </div>
     </xsl:template>
	<xsl:template match="P">
		<br/>
		<xsl:apply-templates />
	</xsl:template>
     
	<xsl:template match="/">
		<xsl:apply-templates select="Result"></xsl:apply-templates>
	</xsl:template>
	<xsl:template match="MainClaim">
		<xsl:apply-templates />
	</xsl:template>
	<xsl:template match="ptable">
		<center>
			<div class="ptable">
				<xsl:value-of select="." disable-output-escaping="yes" />
			</div>
		</center>
	</xsl:template>
	<xsl:template match="Result">
		<table cellspacing="2">
			<xsl:attribute name="class">querytab-content<xsl:value-of select="normalize-space(Classsuffix)" /></xsl:attribute>
			<xsl:apply-templates select="DisplayFieldList"></xsl:apply-templates>
			<tr>
				<td align="center" colspan="2">
					<span>
						<xsl:attribute name="ipn"><xsl:value-of select="/Result/PN"></xsl:value-of></xsl:attribute>
						
								<xsl:attribute name="title">用本专利做概念搜索</xsl:attribute>
								<xsl:attribute name="class">
									querytab-a<xsl:value-of select="normalize-space(../../Classsuffix)" />
								</xsl:attribute>
								<xsl:attribute name="onmouseover">
									onQuerytabContentMouseOver<xsl:value-of select="normalize-space(../../Suffix)" />(this,'pn','<xsl:value-of select="normalize-space(../../PN)" />')
								</xsl:attribute>
								<xsl:attribute name="onmouseout">
									onQuerytabContentMouseOut<xsl:value-of select="normalize-space(../../Suffix)" />(this,'pn','<xsl:value-of select="normalize-space(../../PN)" />')
								</xsl:attribute>
								<xsl:choose>
							
									<xsl:when test="(PN) &lt; 280000000 and (PN) &gt; 220000000">
										<xsl:attribute name="onclick">
											onQuerytabContentClick<xsl:value-of select="normalize-space(../../Suffix)" />(this,'pn','<xsl:value-of select="normalize-space(/Result/DisplayPN)" />', 'us')
										</xsl:attribute>
									</xsl:when>
									<xsl:otherwise>
										<xsl:attribute name="onclick">
											onQuerytabContentClick<xsl:value-of select="normalize-space(../../Suffix)" />(this,'pn','<xsl:value-of select="normalize-space(/Result/DisplayPN)" />')
										</xsl:attribute>
									</xsl:otherwise>
									</xsl:choose>
					
						<xsl:value-of select="normalize-space(DisplayPN)" />
					</span>
          &#160;&#160;<xsl:apply-templates select="TTL"/><!--<xsl:value-of select="normalize-space(TTL)" />-->
				</td>
			</tr>
			<tr>
				<td colspan="2">
					<xsl:for-each select="DisplayFieldList/DisplayField">
						<div >
							<xsl:attribute name="id">querytab-tab-div-<xsl:value-of select="normalize-space(.)" />-<xsl:value-of select="normalize-space(../../ID)" /></xsl:attribute>
							<xsl:attribute name="displaypn"><xsl:value-of select="normalize-space(/Result/DisplayPN)" /></xsl:attribute>
              <xsl:if test="position()!=1"><xsl:attribute name="style">display:none</xsl:attribute></xsl:if>
							<xsl:choose>
								<xsl:when test="normalize-space(.)='b'">
									<xsl:attribute name="style">line-height:18px</xsl:attribute>
									<xsl:if test="string-length(normalize-space(../../ABST)) &gt; 0">
										<xsl:attribute name="rankterm">
										<!--<xsl:value-of select="normalize-space(../../ABST)" /> 上下标问题修改-->
										<xsl:apply-templates select="../../ABST"/>
										</xsl:attribute>
										
											<xsl:if test="/Result/PN &gt; 199999999 and /Result/PN &lt; 219000000">
												<img src="img/search-end.gif" onmouseover="this.src='img/search-end-active.gif'" onmouseout="this.src='img/search-end.gif'" class="imglink" title="用摘要进行概念搜索">
													<xsl:attribute name="onclick">
														doSearchByObject(this.parentNode, '<xsl:value-of select="normalize-space(/Result/DisplayPN)" />')
													</xsl:attribute>
												</img>
											</xsl:if>
											<xsl:if test="(/Result/PN) &lt; 310000000 or (/Result/PN) &gt; 220000000">
												<xsl:if test="/Result/PN &lt; 200000000">
													<img src="img/search-end.gif" onmouseover="this.src='img/search-end-active.gif'" onmouseout="this.src='img/search-end.gif'" class="imglink" title="用摘要进行概念搜索">
														<xsl:attribute name="onclick">doTransPatentSearch('b', '<xsl:value-of select="normalize-space(/Result/DisplayPN)" />', 'querytab-tab-div-additional-<xsl:value-of select="normalize-space(/Result/ID)" />')
														</xsl:attribute>
													</img>
												</xsl:if>
												<xsl:if test="/Result/PN &gt; 220000000">
													<img src="img/search-end.gif" onmouseover="this.src='img/search-end-active.gif'" onmouseout="this.src='img/search-end.gif'" class="imglink" title="用摘要进行概念搜索">
														<xsl:attribute name="onclick">
															doTransPatentSearch('b', '<xsl:value-of select="normalize-space(/Result/DisplayPN)" />', 'querytab-tab-div-additional-<xsl:value-of select="normalize-space(/Result/ID)" />', 'us')
														</xsl:attribute>
													</img>
												</xsl:if>
												<img width="6" height="9" style="display:none"></img>
												<span class="querytag-rate-1">
													<xsl:attribute name="title">
														<xsl:value-of select="../../AbstractRel"/>%
													</xsl:attribute>&#160;<xsl:value-of select="../../AbstractRel"/>%
												</span>
											</xsl:if>
								
										<div class="searchobject">
											<xsl:attribute name="oncontextmenu">
												onQuerytabContentContextMenu(this, 'tab',<xsl:value-of select="(../../PN)"/>);
											</xsl:attribute>
											
											<xsl:apply-templates select="../../ABST" />
										</div>
											<img width="6" height="9" style="display:none"></img>
											<xsl:if test="/Result/PN &lt; 200000000 or /Result/PN &gt; 220000000">
												<xsl:if test="/Result/PN &lt; 30240000 or /Result/PN &gt; 39999999">
													<xsl:if test="/Result/PN &lt; 60300000 or /Result/PN &gt; 69999999">
														<img onmouseover="this.src='img/english-active.gif'" onmouseout="this.src='img/english.gif'" src="img/english.gif" class="imglink" title="查看原文" alt="查看原文" >
															<xsl:attribute name="onclick">
																doGetPatentSource('b', '<xsl:value-of select="normalize-space(/Result/PN)" />', 'querytab-tab-div-additional-<xsl:value-of select="normalize-space(/Result/ID)" />')
															</xsl:attribute>
														</img>
													</xsl:if>
												</xsl:if>
											</xsl:if>

											<xsl:if test="/Result/PN &lt; 220000000 and /Result/PN &gt; 309999999">
												<img onmouseover="this.src='img/english-active.gif'" onmouseout="this.src='img/english.gif'" src="img/english.gif" class="imglink" title="查看原文" alt="查看原文" >
													<xsl:attribute name="onclick">
														doGetPatentSource('b', '<xsl:value-of select="normalize-space(/Result/PN)" />', 'querytab-tab-div-additional-<xsl:value-of select="normalize-space(/Result/ID)" />')
													</xsl:attribute>
												</img>
											</xsl:if>
										</xsl:if>
                  <xsl:if test="string-length(normalize-space(../../ABST)) = 0">&#160;</xsl:if>
					</xsl:when>
								<xsl:when test="normalize-space(.)='m'">
									<xsl:apply-templates select="../../Misc"></xsl:apply-templates>
								</xsl:when>
								<xsl:when test="normalize-space(.)='p'">
									<xsl:apply-templates select="../../ParentCase"></xsl:apply-templates>
								</xsl:when>
								<xsl:when test="normalize-space(.)='c'">
									
								<xsl:attribute name="style">line-height:18px;display:none</xsl:attribute>
                  <xsl:if test="string-length(normalize-space(../../MainClaim)) &gt; 0">
                    <xsl:attribute name="rankterm">
                      <xsl:value-of select="normalize-space(../../MainClaim)" />
                    </xsl:attribute>
					  <xsl:if test="(/Result/PN) &lt; 310000000 or (/Result/PN) &gt; 220000000">
						  <xsl:if test="/Result/PN &gt; 199999999 and /Result/PN &lt; 220000000">
							  <img src="img/search-end.gif" onmouseover="this.src='img/search-end-active.gif'" onmouseout="this.src='img/search-end.gif'" class="imglink" title="用主权利要求进行概念搜索" alt="用主权利要求进行概念搜索" >
								  <xsl:attribute name="onclick">
									  doSearchByObject(this.parentNode, '<xsl:value-of select="normalize-space(/Result/DisplayPN)" />')
								  </xsl:attribute>
							  </img>
						  </xsl:if>
					  </xsl:if>
					  <xsl:if test="(../../PN) &lt; 310000000 or (../../PN) &gt; 220000000">
						  <xsl:if test="/Result/PN &lt; 200000000 or /Result/PN &gt; 220000000">
							  <img src="img/search-end.gif" onmouseover="this.src='img/search-end-active.gif'" onmouseout="this.src='img/search-end.gif'" class="imglink" title="用主权利要求进行概念搜索" alt="用主权利要求进行概念搜索" >
								  <xsl:attribute name="onclick">doTransPatentSearch('c', '<xsl:value-of select="normalize-space(/Result/DisplayPN)" />', 'querytab-tab-div-additional-<xsl:value-of select="normalize-space(/Result/ID)" />')
								  </xsl:attribute>
							  </img>
						  </xsl:if>
						  <img width="6" height="9" style="display:none"></img>
						  <span class="querytag-rate-1">
							  <xsl:attribute name="title"><xsl:value-of select="../../MainClaimRel"/>%</xsl:attribute>&#160;<xsl:value-of select="../../MainClaimRel"/>%
						  </span>

						  <xsl:if test="string-length(normalize-space(/Result/sPatentInfo)) &gt; 0">
							  <span>
								  <xsl:choose>
									  <xsl:when test="contains(/Result/sPatentInfo,',')">
										  <xsl:choose>
											  <xsl:when test="(../../PN) &lt; 10000000 or (../../PN) &gt; 200000000">
												  <xsl:attribute name="title">专利度|特征度, 授权专利专利度|特征度</xsl:attribute>
											  </xsl:when>
											  <xsl:otherwise>
												  <xsl:attribute name="title">专利度|特征度, 申请专利专利度|特征度</xsl:attribute>
											  </xsl:otherwise>
										  </xsl:choose>
									  </xsl:when>
									  <xsl:otherwise>
										  <xsl:attribute name="title">专利度|特征度</xsl:attribute>
									  </xsl:otherwise>
									  </xsl:choose>
								  <xsl:text> </xsl:text>[<xsl:value-of select="/Result/sPatentInfo"/>]
							  </span>
						  </xsl:if>
					  </xsl:if>
					  <div class="searchobject">
						  <xsl:attribute name="oncontextmenu">
							  onQuerytabContentContextMenu(this, 'tab',<xsl:value-of select="(../../PN)"/>);
						  </xsl:attribute>
						  <xsl:apply-templates select="../../MainClaim" />
						  <img width="6" height="9" style="display:none"></img>
							<xsl:if test="/Result/PN &lt; 200000000 or /Result/PN &gt; 220000000" >
								<xsl:if test="/Result/PN &lt; 30240000 or /Result/PN &gt; 39999999">
									<xsl:if test="/Result/PN &lt; 60300000 or /Result/PN &gt; 69999999">
										<img onmouseover="this.src='img/english-active.gif'" onmouseout="this.src='img/english.gif'" src="img/english.gif" class="imglink" title="查看原文" alt="查看原文" >
											<xsl:attribute name="onclick">
												doGetPatentSource('c', '<xsl:value-of select="normalize-space(/Result/PN)" />', 'querytab-tab-div-additional-<xsl:value-of select="normalize-space(/Result/ID)" />')
											</xsl:attribute>
										</img>
									</xsl:if>
								</xsl:if>
							</xsl:if>
						  <xsl:if test="/Result/IssuedPatent = 1">
							  <img onmouseover="this.src='img/Grantedclaim-active.gif'" onmouseout="this.src='img/Grantedclaim.gif'" src="img/Grantedclaim.gif" class="imglink">
								  <xsl:choose>
									  <xsl:when test="/Result/PN &lt; 10000000 or /Result/PN &gt; 200000000">
										  <xsl:attribute name="title">点击查看申请专利主权利要求</xsl:attribute>
										  <xsl:attribute name="alt">点击查看申请专利主权利要求</xsl:attribute>
									  </xsl:when>
									  <xsl:otherwise>
										  <xsl:attribute name="title">点击查看授权专利主权利要求</xsl:attribute>
										  <xsl:attribute name="alt">点击查看授权专利主权利要求</xsl:attribute>
									  </xsl:otherwise>
								  </xsl:choose>
								  <xsl:attribute name="onclick">
									  doGetIssuedMainClaim('c', '<xsl:value-of select="normalize-space(/Result/PN)" />', 'querytab-tab-div-additional-<xsl:value-of select="normalize-space(/Result/ID)" />')
								  </xsl:attribute>
							  </img>
						  </xsl:if>
					  </div>
                    
                  </xsl:if>
                  <xsl:if test="string-length(normalize-space(../../MainClaim)) = 0">&#160;</xsl:if>
									<!--<div style="display:none">
										<xsl:attribute name="id">technical-words-<xsl:value-of select="normalize-space(../../ID)" /></xsl:attribute>
									</div>-->
								</xsl:when>
								<xsl:when test="normalize-space(.)='r'">12</xsl:when>
								<xsl:when test="normalize-space(.)='u'">
									<xsl:apply-templates select="../../ECLAList"></xsl:apply-templates>
									<xsl:apply-templates select="../../CPCList"></xsl:apply-templates>
									<xsl:apply-templates select="../../ICLList"></xsl:apply-templates>
									<xsl:apply-templates select="../../LCNList"></xsl:apply-templates>
									<xsl:apply-templates select="../../CCLList"></xsl:apply-templates>
								</xsl:when>
								<xsl:when test="normalize-space(.)='k'">12</xsl:when>
								<xsl:when test="normalize-space(.)='x'">12</xsl:when>
								<xsl:when test="normalize-space(.)='1'">12</xsl:when>
								<xsl:when test="normalize-space(.)='2'">12</xsl:when>
								<xsl:when test="normalize-space(.)='f'">12</xsl:when>
								<xsl:when test="normalize-space(.)='a'">12</xsl:when>
								<xsl:otherwise>&#160;</xsl:otherwise>
							</xsl:choose>
						</div>
					</xsl:for-each>
				  <table cellspacing="0" cellpadding="0" width="100%">
					<tr style="display:none">
					  <td width="100%" align="center">
						  <div >
							  <xsl:attribute name="id">querytab-tab-div-additional-<xsl:value-of select="normalize-space(ID)" />-b</xsl:attribute>
							  null
						  </div>
						  <div style="line-height:18px">
							  <xsl:attribute name="id">querytab-tab-div-additional-<xsl:value-of select="normalize-space(ID)" />-c</xsl:attribute>
							  null
						  </div>
						</td>
					</tr>
				</table>
					
				</td>
			</tr>
		</table>
	</xsl:template>

	<xsl:template match="REFList">	
	</xsl:template> 

	<xsl:template match="CCLList">
	<table>
		<tr>
			<td align="left" colspan="2" title="查找美国专利分类(CCL)专利">
				美国专利分类:
			</td>
		</tr> 
				<xsl:for-each select="CCL">
					<tr>
						<td align="left" width="60px" valign="top">
							<span title="查找该美国分类专利">
								<xsl:attribute name="class">querytab-a<xsl:value-of select="normalize-space(../../Classsuffix)" /></xsl:attribute>
								<xsl:attribute name="onmouseover">onQuerytabContentMouseOver<xsl:value-of select="normalize-space(../../Suffix)" />(this,'c','<xsl:value-of select="normalize-space(../../PN)" />')</xsl:attribute>
								<xsl:attribute name="onmouseout">onQuerytabContentMouseOut<xsl:value-of select="normalize-space(../../Suffix)" />(this,'c','<xsl:value-of select="normalize-space(../../PN)" />')</xsl:attribute>
								<xsl:attribute name="onclick">onQuerytabContentClick<xsl:value-of select="normalize-space(../../Suffix)" />(this,'c','<xsl:value-of select="normalize-space(../../PN)" />')</xsl:attribute>
								<xsl:attribute name="oncontextmenu">onQuerytabContentContextMenu<xsl:value-of select="normalize-space(../../Suffix)" />(this,'c','<xsl:value-of select="normalize-space(../../PN)" />')</xsl:attribute>
								<xsl:value-of select="normalize-space(Key)" />
							</span>
						</td>
						<td align="left">
              
							<span target="_blank">
                <xsl:attribute name="prefix">
                  CCL/"<xsl:value-of select="normalize-space(Key)" />"
                </xsl:attribute>
								<xsl:attribute name="class">querytab-a<xsl:value-of select="normalize-space(../../Classsuffix)" /></xsl:attribute>
								<xsl:attribute name="onmouseover">onQuerytabContentMouseOver<xsl:value-of select="normalize-space(../../Suffix)" />(this,'c','<xsl:value-of select="normalize-space(../../PN)" />')</xsl:attribute>
								<xsl:attribute name="onmouseout">onQuerytabContentMouseOut<xsl:value-of select="normalize-space(../../Suffix)" />(this,'c','<xsl:value-of select="normalize-space(../../PN)" />')</xsl:attribute>
			          <xsl:attribute name="onclick">onQueryTableClick<xsl:value-of select="normalize-space(../../Suffix)" />(this, 'c', '<xsl:value-of select="normalize-space(../../PN)" />', null, null)</xsl:attribute>
								<xsl:attribute name="oncontextmenu">onQuerytabContentContextMenu<xsl:value-of select="normalize-space(../../Suffix)" />(this,'c','<xsl:value-of select="normalize-space(../../PN)" />')</xsl:attribute>
			          <xsl:value-of select="normalize-space(Value)" />
		          </span>
						</td>
					</tr>
				</xsl:for-each>
		</table>		
	</xsl:template>
  
  <xsl:template match="ICLList">
	<table>
		<tr>
			<td align="left" colspan="2" title="查找国际分类(ICL)专利">
				国际分类:
			</td>
		</tr> 
				<xsl:for-each select="ICL">
					<tr>
						<td align="left">
              <span align="left" width="60px"  valign="top" title="查找该国际分类专利">
							  <xsl:attribute name="class">querytab-a<xsl:value-of select="normalize-space(../../Classsuffix)" /></xsl:attribute>
							  <xsl:attribute name="onmouseover">onQuerytabContentMouseOver<xsl:value-of select="normalize-space(../../Suffix)" />(this,'l','<xsl:value-of select="normalize-space(../../PN)" />')</xsl:attribute>
							  <xsl:attribute name="onmouseout">onQuerytabContentMouseOut<xsl:value-of select="normalize-space(../../Suffix)" />(this,'l','<xsl:value-of select="normalize-space(../../PN)" />')</xsl:attribute>
							  <xsl:attribute name="onclick">onQuerytabContentClick<xsl:value-of select="normalize-space(../../Suffix)" />(this,'l','<xsl:value-of select="normalize-space(../../PN)" />')</xsl:attribute>
							  <xsl:attribute name="oncontextmenu">onQuerytabContentContextMenu<xsl:value-of select="normalize-space(../../Suffix)" />(this,'l','<xsl:value-of select="normalize-space(../../PN)" />')</xsl:attribute>
                <xsl:value-of select="normalize-space(Key)" />
						  </span>
						</td>
            <td align="left">
              <span target="_blank">
                <xsl:attribute name="prefix">
                  ICL/"<xsl:value-of select="normalize-space(Key)" />"
                </xsl:attribute>
								<xsl:attribute name="class">querytab-a<xsl:value-of select="normalize-space(../../Classsuffix)" /></xsl:attribute>
								<xsl:attribute name="onmouseover">onQuerytabContentMouseOver<xsl:value-of select="normalize-space(../../Suffix)" />(this,'c','<xsl:value-of select="normalize-space(../../PN)" />')</xsl:attribute>
								<xsl:attribute name="onmouseout">onQuerytabContentMouseOut<xsl:value-of select="normalize-space(../../Suffix)" />(this,'c','<xsl:value-of select="normalize-space(../../PN)" />')</xsl:attribute>
			          <xsl:attribute name="onclick">onQueryTableClick<xsl:value-of select="normalize-space(../../Suffix)" />(this, 'c', '<xsl:value-of select="normalize-space(../../PN)" />', null, null)</xsl:attribute>
								<xsl:attribute name="oncontextmenu">onQuerytabContentContextMenu<xsl:value-of select="normalize-space(../../Suffix)" />(this,'c','<xsl:value-of select="normalize-space(../../PN)" />')</xsl:attribute>
			          <xsl:value-of select="normalize-space(Value)" />
		          </span>
						</td>
					</tr>
				</xsl:for-each>
		</table>		
	</xsl:template>

	<xsl:template match="LCNList">
		<table>
			<tr>
				<td align="left" title="查找洛迦诺分类专利">
					洛迦诺分类:
				</td>
			</tr>
			<xsl:for-each select="LCN">
				<tr>
					<td align="left" width="60px"  valign="top">
            <span title="查找该洛迦诺分类专利">
              <xsl:attribute name="class">
                querytab-a<xsl:value-of select="normalize-space(../../Classsuffix)" />
							</xsl:attribute>
							<xsl:attribute name="onmouseover">
								onQuerytabContentMouseOver<xsl:value-of select="normalize-space(../../Suffix)" />(this,'lcn','<xsl:value-of select="normalize-space(../../PN)" />')
							</xsl:attribute>
							<xsl:attribute name="onmouseout">
								onQuerytabContentMouseOut<xsl:value-of select="normalize-space(../../Suffix)" />(this,'lcn','<xsl:value-of select="normalize-space(../../PN)" />')
							</xsl:attribute>
							<xsl:attribute name="onclick">
								onQuerytabContentClick<xsl:value-of select="normalize-space(../../Suffix)" />(this,'lcn','<xsl:value-of select="normalize-space(../../PN)" />')
							</xsl:attribute>
							<xsl:attribute name="oncontextmenu">
								onQuerytabContentContextMenu<xsl:value-of select="normalize-space(../../Suffix)" />(this,'lcn','<xsl:value-of select="normalize-space(../../PN)" />')
							</xsl:attribute>
							<xsl:value-of select="normalize-space(Key)" />
						</span>
					</td>
					<td align="left">
						<span target="_blank">
              <xsl:attribute name="prefix">
                LCN/"<xsl:value-of select="normalize-space(Key)" />"
              </xsl:attribute>
							<xsl:attribute name="class">
								querytab-a<xsl:value-of select="normalize-space(../../Classsuffix)" />
							</xsl:attribute>
							<xsl:attribute name="onmouseover">
								onQuerytabContentMouseOver<xsl:value-of select="normalize-space(../../Suffix)" />(this,'lcn','<xsl:value-of select="normalize-space(../../PN)" />')
							</xsl:attribute>
							<xsl:attribute name="onmouseout">
								onQuerytabContentMouseOut<xsl:value-of select="normalize-space(../../Suffix)" />(this,'lcn','<xsl:value-of select="normalize-space(../../PN)" />')
							</xsl:attribute>
							<xsl:attribute name="onclick">
								onQueryTableClick<xsl:value-of select="normalize-space(../../Suffix)" />(this, 'c', '<xsl:value-of select="normalize-space(../../PN)" />', null, null)
							</xsl:attribute>
							<xsl:attribute name="oncontextmenu">
								onQuerytabContentContextMenu<xsl:value-of select="normalize-space(../../Suffix)" />(this,'lcn','<xsl:value-of select="normalize-space(../../PN)" />')
							</xsl:attribute>
							<xsl:value-of select="normalize-space(Value)" />
						</span>
					</td>
				</tr>
			</xsl:for-each>
		</table>
	</xsl:template>
	<xsl:template match="ECLAList">
		<table>
			<tr>
				<td align="left" title="查找欧洲分类专利">
					CPC分类:
				</td>
			</tr>
			<xsl:for-each select="ECLA">
				<tr>
					<td align="left" width="60px"  valign="top">
						<span title="查找该欧洲分类专利">
							<xsl:attribute name="class">
								querytab-a<xsl:value-of select="normalize-space(../../Classsuffix)" />
							</xsl:attribute>
							<xsl:attribute name="onmouseover">
								onQuerytabContentMouseOver<xsl:value-of select="normalize-space(../../Suffix)" />(this,'ecla','<xsl:value-of select="normalize-space(../../PN)" />')
							</xsl:attribute>
							<xsl:attribute name="onmouseout">
								onQuerytabContentMouseOut<xsl:value-of select="normalize-space(../../Suffix)" />(this,'ecla','<xsl:value-of select="normalize-space(../../PN)" />')
							</xsl:attribute>
							<xsl:attribute name="onclick">
								onQuerytabContentClick<xsl:value-of select="normalize-space(../../Suffix)" />(this,'ecla','<xsl:value-of select="normalize-space(../../PN)" />')
							</xsl:attribute>
							<xsl:attribute name="oncontextmenu">
								onQuerytabContentContextMenu<xsl:value-of select="normalize-space(../../Suffix)" />(this,'ecla','<xsl:value-of select="normalize-space(../../PN)" />')
							</xsl:attribute>
							<xsl:value-of select="normalize-space(Key)" />
						</span>
					</td>
					<td align="left">
						<span target="_blank">
							<xsl:attribute name="prefix">
								ECLA/"<xsl:value-of select="normalize-space(Key)" />"
							</xsl:attribute>
							<xsl:attribute name="class">
								querytab-a<xsl:value-of select="normalize-space(../../Classsuffix)" />
							</xsl:attribute>
							<xsl:attribute name="onmouseover">
								onQuerytabContentMouseOver<xsl:value-of select="normalize-space(../../Suffix)" />(this,'ecla','<xsl:value-of select="normalize-space(../../PN)" />')
							</xsl:attribute>
							<xsl:attribute name="onmouseout">
								onQuerytabContentMouseOut<xsl:value-of select="normalize-space(../../Suffix)" />(this,'ecla','<xsl:value-of select="normalize-space(../../PN)" />')
							</xsl:attribute>
							<xsl:attribute name="onclick">
								onQueryTableClick<xsl:value-of select="normalize-space(../../Suffix)" />(this, 'c', '<xsl:value-of select="normalize-space(../../PN)" />', null, null)
							</xsl:attribute>
							<xsl:attribute name="oncontextmenu">
								onQuerytabContentContextMenu<xsl:value-of select="normalize-space(../../Suffix)" />(this,'ecla','<xsl:value-of select="normalize-space(../../PN)" />')
							</xsl:attribute>
							<xsl:value-of select="normalize-space(Value)" />
						</span>
					</td>
				</tr>
			</xsl:for-each>
		</table>
	</xsl:template>
	<xsl:template match="CPCList">
		<table>
			<tr>
				<td align="left" title="查找CPC分类专利">
					CPC分类:
				</td>
			</tr>
			<xsl:for-each select="CPC">
				<tr>
					<td align="left" width="60px"  valign="top">
						<span title="查找该CPC分类专利">
							<xsl:attribute name="class">
								querytab-a<xsl:value-of select="normalize-space(../../Classsuffix)" />
							</xsl:attribute>
							<xsl:attribute name="onmouseover">
								onQuerytabContentMouseOver<xsl:value-of select="normalize-space(../../Suffix)" />(this,'cpc','<xsl:value-of select="normalize-space(../../PN)" />')
							</xsl:attribute>
							<xsl:attribute name="onmouseout">
								onQuerytabContentMouseOut<xsl:value-of select="normalize-space(../../Suffix)" />(this,'cpc','<xsl:value-of select="normalize-space(../../PN)" />')
							</xsl:attribute>
							<xsl:attribute name="onclick">
								onQuerytabContentClick<xsl:value-of select="normalize-space(../../Suffix)" />(this,'cpc','<xsl:value-of select="normalize-space(../../PN)" />')
							</xsl:attribute>
							<xsl:attribute name="oncontextmenu">
								onQuerytabContentContextMenu<xsl:value-of select="normalize-space(../../Suffix)" />(this,'cpc','<xsl:value-of select="normalize-space(../../PN)" />')
							</xsl:attribute>
							<xsl:value-of select="normalize-space(Key)" />
						</span>
					</td>
					<td align="left">
						<span target="_blank">
							<xsl:attribute name="prefix">
								CPC/"<xsl:value-of select="normalize-space(Key)" />"
							</xsl:attribute>
							<xsl:attribute name="class">
								querytab-a<xsl:value-of select="normalize-space(../../Classsuffix)" />
							</xsl:attribute>
							<xsl:attribute name="onmouseover">
								onQuerytabContentMouseOver<xsl:value-of select="normalize-space(../../Suffix)" />(this,'cpc','<xsl:value-of select="normalize-space(../../PN)" />')
							</xsl:attribute>
							<xsl:attribute name="onmouseout">
								onQuerytabContentMouseOut<xsl:value-of select="normalize-space(../../Suffix)" />(this,'cpc','<xsl:value-of select="normalize-space(../../PN)" />')
							</xsl:attribute>
							<xsl:attribute name="onclick">
								onQueryTableClick<xsl:value-of select="normalize-space(../../Suffix)" />(this, 'c', '<xsl:value-of select="normalize-space(../../PN)" />', null, null)
							</xsl:attribute>
							<xsl:attribute name="oncontextmenu">
								onQuerytabContentContextMenu<xsl:value-of select="normalize-space(../../Suffix)" />(this,'cpc','<xsl:value-of select="normalize-space(../../PN)" />')
							</xsl:attribute>
							<xsl:value-of select="normalize-space(Value)" />
						</span>
					</td>
				</tr>
			</xsl:for-each>
		</table>
	</xsl:template>
	<xsl:template match="DisplayFieldList">
		<tr width="100%">
			<td align="left" >
				<xsl:apply-templates select="DisplayField"></xsl:apply-templates>
			</td>
			<xsl:choose>
				<xsl:when test ="starts-with(/Result/DisplayPN, 'SS')">
					<td align="right">
						<img name="close" onmouseover="this.src='img/close-active.gif'" onmouseout="this.src='img/close.gif'" src="img/close.gif" alt="关闭" title="关闭" onclick="closeQueryTab(this)"  class="funcimg"></img>
					</td>
				</xsl:when>
				<xsl:otherwise>
			<td align="right" width="120px">
				<img name="refinebypn" src="img/refinebypn.gif" onmouseover="this.src='img/refinebypn-active.gif'" onmouseout="this.src='img/refinebypn.gif'" alt="用此专利对搜索结果进行排序" title="用此专利对搜索结果进行排序" style="display:none" class="funcimg">
					<xsl:attribute name="onclick">doRefineSearchByPn('<xsl:value-of select="normalize-space(../DisplayPN)" />', this)</xsl:attribute>
				</img>
        <xsl:if test="/Result/FooDisplayScore = 1">
          <img name ="scoretoppn" src="img/nt.gif" onmouseover="this.src='img/nt-active.gif'" onmouseout="this.src='img/nt.gif'" alt="计算此专利与第一个专利的相关度" title="计算此专利与第一个专利的相关度"  style="display:none"  class="funcimg">
            <xsl:attribute name="onclick">
              doTopRankByPn('<xsl:value-of select="normalize-space(../PN)"/>','<xsl:value-of select="normalize-space(../DisplayPN)" />', this)
            </xsl:attribute>
          </img>
        </xsl:if>
        <img name="nrefinebypn" src="img/nrefinebypn.gif" onmouseover="this.src='img/nrefinebypn-active.gif'" onmouseout="this.src='img/nrefinebypn.gif'" alt="从搜索结果中去除此专利的影响，重新进行搜索" title="从搜索结果中去除此专利的影响，重新进行搜索"  style="display:none"  class="funcimg">
					<xsl:attribute name="onclick">doNRefineSearchByPn('<xsl:value-of select="normalize-space(../DisplayPN)" />', this)</xsl:attribute>
				</img>
				<img name="settotop" src="img/pin.gif"  onmouseover="this.src='img/pin-active.gif'" onmouseout="this.src='img/pin.gif'"  title="将该专利置顶"  style="display:none;"  class="funcimg">
					<xsl:attribute name="onclick">addPatentToMasterQuerylist('<xsl:value-of select="normalize-space(../DisplayPN)" />')</xsl:attribute>
				</img>
				<img name="copypatent" src="img/copypatent.gif" onmouseover="this.src='img/copypatent-active.gif'" onmouseout="this.src='img/copypatent.gif'" alt="复制专利" title="复制专利" class="funcimg">
					<xsl:attribute name="onmousedown">copyPatent(this, '<xsl:value-of select="normalize-space(../DisplayPN)" />','','<xsl:value-of select="normalize-space(../PN)" />',event)</xsl:attribute>
				</img>
				<img name="importpatent" src="img/import.gif"  onmouseover="this.src='img/import-active.gif'" onmouseout="this.src='img/import.gif'" alt="将专利添加到项目中" title="将专利添加到项目中" class="funcimg">
					<xsl:attribute name="onclick">showProjectDiv(this, '<xsl:value-of select="normalize-space(../ID)" />', '<xsl:value-of select="normalize-space(../PN)" />', '1')</xsl:attribute>
				</img>
        <img name="showpatent" src="img/showpatent.gif" onmouseover="this.src='img/showpatent-active.gif'" onmouseout="this.src='img/showpatent.gif'" alt="复制到剪贴板" title="复制到剪贴板"  class="funcimg">
					<xsl:attribute name="onclick">
            addClipboardPN('<xsl:value-of select="normalize-space(../PN)" />','<xsl:value-of select="normalize-space(../DisplayPN)" />', "<xsl:value-of select="normalize-space(../TTL)" />")</xsl:attribute>
				</img>
				<img name="close" onmouseover="this.src='img/close-active.gif'" onmouseout="this.src='img/close.gif'" src="img/close.gif" alt="关闭" title="关闭" onclick="closeQueryTab(this)"  class="funcimg"></img>
			</td>
		</xsl:otherwise>
	</xsl:choose>

</tr>
	</xsl:template>

	<xsl:template match="DisplayField">
		<span>
			<xsl:attribute name="id">querytab-tab-header-<xsl:value-of select="normalize-space(.)" />-<xsl:value-of select="normalize-space(../../ID)" /></xsl:attribute>
			<xsl:attribute name="displaypn"><xsl:value-of select="normalize-space(/Result/DisplayPN)" /></xsl:attribute>
			
      <xsl:attribute name="class">querytab-tab<xsl:if test="position()=1">active</xsl:if><xsl:value-of select="normalize-space(../../Classsuffix)" /></xsl:attribute>
			<xsl:attribute name="onmouseover">onQuerytabMouseOver<xsl:value-of select="normalize-space(../../Suffix)" />(this,'<xsl:value-of select="normalize-space(.)" />','<xsl:value-of select="normalize-space(../../PN)" />',<xsl:value-of select="normalize-space(../../ID)" />)</xsl:attribute>
			<xsl:attribute name="onmouseout">onQuerytabMouseOut<xsl:value-of select="normalize-space(../../Suffix)" />(this,'<xsl:value-of select="normalize-space(.)" />','<xsl:value-of select="normalize-space(../../PN)" />',<xsl:value-of select="normalize-space(../../ID)" />)</xsl:attribute>
			<xsl:attribute name="onclick">onQuerytabClick<xsl:value-of select="normalize-space(../../Suffix)" />(this,'<xsl:value-of select="normalize-space(.)" />','<xsl:value-of select="normalize-space(../../PN)" />','<xsl:value-of select="normalize-space(../../ID)" />', null,null,'<xsl:value-of select="normalize-space(../../DisplayPN)" />')</xsl:attribute>
			<xsl:attribute name="oncontextmenu">onQuerytabContextMenu<xsl:value-of select="normalize-space(../../Suffix)" />(this,'<xsl:value-of select="normalize-space(.)" />','<xsl:value-of select="normalize-space(../../PN)" />','<xsl:value-of select="normalize-space(../../ID)" />')</xsl:attribute>
			<xsl:choose>
				<xsl:when test="normalize-space(.)='b'">摘要</xsl:when>
				<xsl:when test="normalize-space(.)='m'">题录</xsl:when>
				<xsl:when test="normalize-space(.)='f'">图片</xsl:when>
				<xsl:when test="normalize-space(.)='p'">父专利</xsl:when>
				<xsl:when test="normalize-space(.)='x'">相关概念及专利</xsl:when>
				<xsl:when test="normalize-space(.)='c'">主权利要求</xsl:when>
				<xsl:when test="normalize-space(.)='r'">参考引用</xsl:when>
        <xsl:when test="normalize-space(.)='t'">检索报告</xsl:when>
				<xsl:when test="normalize-space(.)='u'">分类</xsl:when>
				<xsl:when test="normalize-space(.)='k'">索引</xsl:when>
				<xsl:when test="normalize-space(.)='1'">新颖分析</xsl:when>
				<xsl:when test="normalize-space(.)='2'">侵权分析</xsl:when>
				<xsl:when test="normalize-space(.)='3'">同族</xsl:when>
				<xsl:when test="normalize-space(.)='4'">法律状态</xsl:when>
				<xsl:when test="normalize-space(.)='a'">信息</xsl:when>
				<xsl:otherwise>
				</xsl:otherwise>
			</xsl:choose>
		</span>
		<xsl:if test="position()!=last()">|</xsl:if>
	</xsl:template>

	<xsl:template match="Misc">
		<table>
			<xsl:apply-templates/>
		</table>
	</xsl:template>

  <xsl:template match="WriteDate">
  </xsl:template>
  
  <xsl:template match="Author">
    <tr>
      <td align="left" width="200px">
        作者:
      </td>
      <td>
        <xsl:value-of select="normalize-space(.)" />
      </td>
    </tr>
  </xsl:template>

  <xsl:template match="CreateDate">
    <tr>
      <td align="left" width="200px">
        发布日期:
      </td>
      <td>
        <xsl:value-of select="substring-before(normalize-space(.), ' ')" />
      </td>
    </tr>
  </xsl:template>

  <xsl:template match="AN">
    <xsl:choose>
      <xsl:when test ="starts-with(../../DisplayPN,'SS')= false">
        <span title="查找该公司专利">
          <xsl:attribute name="class">
            querytab-a<xsl:value-of select="normalize-space(../../Classsuffix)" />
          </xsl:attribute>
          <xsl:attribute name="onmouseover">
            onQuerytabContentMouseOver<xsl:value-of select="normalize-space(../../Suffix)" />(this,'a','<xsl:value-of select="normalize-space(../../PN)" />')
          </xsl:attribute>
          <xsl:attribute name="onmouseout">
            onQuerytabContentMouseOut<xsl:value-of select="normalize-space(../../Suffix)" />(this,'a','<xsl:value-of select="normalize-space(../../PN)" />')
          </xsl:attribute>
          <xsl:attribute name="onclick">
            onQuerytabContentClick<xsl:value-of select="normalize-space(../../Suffix)" />(this,'a','<xsl:value-of select="normalize-space(../../PN)" />')
          </xsl:attribute>
          <xsl:attribute name="oncontextmenu">
            onQuerytabContentContextMenu<xsl:value-of select="normalize-space(../../Suffix)" />(this,'a','<xsl:value-of select="normalize-space(../../PN)" />')
          </xsl:attribute>
          <xsl:value-of select="normalize-space(Key)" />
        </span>
      </xsl:when>
      <xsl:otherwise>
        <span>
          <xsl:value-of select="normalize-space(Key)"/>
        </span>
      </xsl:otherwise>
    </xsl:choose>

    <xsl:if test="normalize-space(Value) != ''">
      (<xsl:value-of select="normalize-space(Value)" />)
    </xsl:if>
    <xsl:if test="position()!=last()">| </xsl:if>
  </xsl:template>
  
	<xsl:template match="ANList">
		<tr>
			<td align="left" width="200px">
				公司:
			</td>
			<td align="left">
        <xsl:apply-templates select="AN"/>				
			</td>
		</tr>
	</xsl:template>

  <xsl:template match="FAPD">
    <tr>
      <td align="left" width="160px">
        <xsl:if test="normalize-space(/Result/PN) &gt;199999999 and normalize-space(/Result/PN) &lt;300000000" >
          优先数据:
        </xsl:if>
        <xsl:if test="normalize-space(/Result/PN) &lt;200000000 or normalize-space(/Result/PN) &gt;300000000" >
          国际优先数据:
        </xsl:if>
      </td>
      <td align="left">
        <xsl:value-of select="normalize-space(.)" />
      </td>
    </tr>
  </xsl:template>
  
	<xsl:template match="INList">
		<tr>
			<td align="left" width="200px">
				发明人:
			</td>
			<td align="left">
				<xsl:apply-templates select="IN"></xsl:apply-templates>
			</td>
		</tr>
	</xsl:template>

	<xsl:template match="IN">
		<span title="查找该发明人专利">
			<xsl:attribute name="class">querytab-i<xsl:value-of select="normalize-space(../../../Classsuffix)" /></xsl:attribute>
			<xsl:attribute name="onmouseover">onQuerytabContentMouseOver<xsl:value-of select="normalize-space(../../../Suffix)" />(this,'i','<xsl:value-of select="normalize-space(../../../PN)" />')</xsl:attribute>
			<xsl:attribute name="onmouseout">onQuerytabContentMouseOut<xsl:value-of select="normalize-space(../../../Suffix)" />(this,'i','<xsl:value-of select="normalize-space(../../../PN)" />')</xsl:attribute>
			<xsl:attribute name="onclick">onQuerytabContentClick<xsl:value-of select="normalize-space(../../../Suffix)" />(this,'i','<xsl:value-of select="normalize-space(../../../PN)" />')</xsl:attribute>
			<xsl:attribute name="oncontextmenu">onQuerytabContentContextMenu<xsl:value-of select="normalize-space(../../../Suffix)" />(this,'i','<xsl:value-of select="normalize-space(../../../PN)" />')</xsl:attribute>
			<xsl:value-of select="normalize-space(Key)" />
		</span>
		<xsl:if test="normalize-space(Value) != ''">
			(<xsl:value-of select="normalize-space(Value)" />)
		</xsl:if>
		<xsl:if test="position()!=last()">| </xsl:if>
	</xsl:template> 
	
	<xsl:template match="APD">
		<tr>
			<td align="left" width="160px">
				申请日:
			</td>
			<td align="left">
				<span title="查找这一天申请专利">
					<xsl:attribute name="class">querytab-p<xsl:value-of select="normalize-space(../../Classsuffix)" /></xsl:attribute>
					<xsl:attribute name="onmouseover">onQuerytabContentMouseOver<xsl:value-of select="normalize-space(../../Suffix)" />(this,'p','<xsl:value-of select="normalize-space(../../PN)" />')</xsl:attribute>
					<xsl:attribute name="onmouseout">onQuerytabContentMouseOut<xsl:value-of select="normalize-space(../../Suffix)" />(this,'p','<xsl:value-of select="normalize-space(../../PN)" />')</xsl:attribute>
					<xsl:attribute name="onclick">onQuerytabContentClick<xsl:value-of select="normalize-space(../../Suffix)" />(this,'apd','<xsl:value-of select="normalize-space(../../PN)" />')</xsl:attribute>
					<xsl:attribute name="oncontextmenu">onQuerytabContentContextMenu<xsl:value-of select="normalize-space(../../Suffix)" />(this,'p','<xsl:value-of select="normalize-space(../../PN)" />')</xsl:attribute>
					<xsl:value-of select="normalize-space(.)" />
				</span>
			</td>
		</tr>
	</xsl:template>

	<xsl:template match="APN">
		<tr>
			<td align="left" width="160px">
				申请号:
			</td>
			<td align="left">
				<span title="查找该申请号对应专利">
					<xsl:attribute name="class">querytab-p<xsl:value-of select="normalize-space(../../Classsuffix)" /></xsl:attribute>
					<xsl:attribute name="onmouseover">onQuerytabContentMouseOver<xsl:value-of select="normalize-space(../../Suffix)" />(this,'p','<xsl:value-of select="normalize-space(../../PN)" />')</xsl:attribute>
					<xsl:attribute name="onmouseout">onQuerytabContentMouseOut<xsl:value-of select="normalize-space(../../Suffix)" />(this,'p','<xsl:value-of select="normalize-space(../../PN)" />')</xsl:attribute>
					<xsl:attribute name="onclick">onQuerytabContentClick<xsl:value-of select="normalize-space(../../Suffix)" />(this,'p','<xsl:value-of select="normalize-space(../../PN)" />')</xsl:attribute>
					<xsl:attribute name="oncontextmenu">onQuerytabContentContextMenu<xsl:value-of select="normalize-space(../../Suffix)" />(this,'p','<xsl:value-of select="normalize-space(../../PN)" />')</xsl:attribute>
					<xsl:value-of select="normalize-space(.)" />
				</span>
			</td>
		</tr>
	</xsl:template>

	<xsl:template match="ISD">
		<tr>
			<td align="left" width="160px">
        <xsl:if test="/Result/PN &gt; 10000000 and /Result/PN &lt; 200000000">
          公布日:
        </xsl:if>
        <xsl:if test="/Result/PN &lt; 10000000 or /Result/PN &gt; 199999999">
          公开日:
        </xsl:if>
			</td>
			<td align="left">
				<span title="查找这一天公开专利">
					<xsl:attribute name="class">querytab-p<xsl:value-of select="normalize-space(../../Classsuffix)" /></xsl:attribute>
					<xsl:attribute name="onmouseover">onQuerytabContentMouseOver<xsl:value-of select="normalize-space(../../Suffix)" />(this,'p','<xsl:value-of select="normalize-space(../../PN)" />')</xsl:attribute>
					<xsl:attribute name="onmouseout">onQuerytabContentMouseOut<xsl:value-of select="normalize-space(../../Suffix)" />(this,'p','<xsl:value-of select="normalize-space(../../PN)" />')</xsl:attribute>
					<xsl:attribute name="onclick">onQuerytabContentClick<xsl:value-of select="normalize-space(../../Suffix)" />(this,'isd','<xsl:value-of select="normalize-space(../../PN)" />')</xsl:attribute>
					<xsl:attribute name="oncontextmenu">onQuerytabContentContextMenu<xsl:value-of select="normalize-space(../../Suffix)" />(this,'p','<xsl:value-of select="normalize-space(../../PN)" />')</xsl:attribute>
					<xsl:value-of select="normalize-space(.)" />
				</span>
			</td>
		</tr>
	</xsl:template>	

	<xsl:template match="EXP">
		<tr>
			<td align="left" width="160px">
				主审查员:
			</td>
			<td align="left">
				<span title="查找该主审查员审查专利">
					<xsl:attribute name="class">querytab-e<xsl:value-of select="normalize-space(../../Classsuffix)" /></xsl:attribute>
					<xsl:attribute name="onmouseover">onQuerytabContentMouseOver<xsl:value-of select="normalize-space(../../Suffix)" />(this,'e','<xsl:value-of select="normalize-space(../../PN)" />')</xsl:attribute>
					<xsl:attribute name="onmouseout">onQuerytabContentMouseOut<xsl:value-of select="normalize-space(../../Suffix)" />(this,'e','<xsl:value-of select="normalize-space(../../PN)" />')</xsl:attribute>
					<xsl:attribute name="onclick">onQuerytabContentClick<xsl:value-of select="normalize-space(../../Suffix)" />(this,'e','<xsl:value-of select="normalize-space(../../PN)" />')</xsl:attribute>
					<xsl:attribute name="oncontextmenu">onQuerytabContentContextMenu<xsl:value-of select="normalize-space(../../Suffix)" />(this,'e','<xsl:value-of select="normalize-space(../../PN)" />')</xsl:attribute>
					<xsl:value-of select="normalize-space(.)" />
				</span>
			</td>
		</tr>
	</xsl:template>	
  
  <xsl:template match="EXA">
		<tr>
			<td align="left" width="160px">
        助理审查员:
      </td>
			<td align="left">
				<span title="查找该助理审查员审查专利">
					<xsl:attribute name="class">querytab-e<xsl:value-of select="normalize-space(../../Classsuffix)" /></xsl:attribute>
					<xsl:attribute name="onmouseover">onQuerytabContentMouseOver<xsl:value-of select="normalize-space(../../Suffix)" />(this,'exa','<xsl:value-of select="normalize-space(../../PN)" />')</xsl:attribute>
					<xsl:attribute name="onmouseout">onQuerytabContentMouseOut<xsl:value-of select="normalize-space(../../Suffix)" />(this,'exa','<xsl:value-of select="normalize-space(../../PN)" />')</xsl:attribute>
					<xsl:attribute name="onclick">onQuerytabContentClick<xsl:value-of select="normalize-space(../../Suffix)" />(this,'exa','<xsl:value-of select="normalize-space(../../PN)" />')</xsl:attribute>
					<xsl:attribute name="oncontextmenu">onQuerytabContentContextMenu<xsl:value-of select="normalize-space(../../Suffix)" />(this,'exa','<xsl:value-of select="normalize-space(../../PN)" />')</xsl:attribute>
					<xsl:value-of select="normalize-space(.)" />
				</span>
			</td>
		</tr>
  </xsl:template>
  <xsl:template name="splitAAOF">
				<xsl:param name="string"/>
				
				<xsl:choose>
					<xsl:when test="contains($string,';')">
						<span title="查找该代理负责专利">
							<xsl:attribute name="class">querytab-l<xsl:value-of select="normalize-space(../../Classsuffix)" /></xsl:attribute>
							<xsl:attribute name="onmouseover">onQuerytabContentMouseOver<xsl:value-of select="normalize-space(../../Suffix)" />(this,'lr','<xsl:value-of select="normalize-space(../../PN)" />')</xsl:attribute>
							<xsl:attribute name="onmouseout">onQuerytabContentMouseOut<xsl:value-of select="normalize-space(../../Suffix)" />(this,'lr','<xsl:value-of select="normalize-space(../../PN)" />')</xsl:attribute>
							<xsl:attribute name="onclick">onQuerytabContentClick<xsl:value-of select="normalize-space(../../Suffix)" />(this,'lr','<xsl:value-of select="normalize-space(../../PN)" />')</xsl:attribute>
							<xsl:attribute name="oncontextmenu">onQuerytabContentContextMenu<xsl:value-of select="normalize-space(../../Suffix)" />(this,'lr','<xsl:value-of select="normalize-space(../../PN)" />')</xsl:attribute>
							<xsl:value-of select="substring-before($string,';')"/>
				    </span>;
							<xsl:call-template name="splitAAOF">
									
								<xsl:with-param name="string" select="substring-after($string,';')"/>
								
							</xsl:call-template>
							
					</xsl:when>
					<xsl:otherwise>
						<xsl:choose>
						<xsl:when test="contains($string,'&lt;AAOFAddItem&gt;')">
						</xsl:when>
							<xsl:otherwise>
								<span title="查找该代理负责专利">
									<xsl:attribute name="class">querytab-l<xsl:value-of select="normalize-space(../../Classsuffix)" /></xsl:attribute>
									<xsl:attribute name="onmouseover">onQuerytabContentMouseOver<xsl:value-of select="normalize-space(../../Suffix)" />(this,'lr','<xsl:value-of select="normalize-space(../../PN)" />')</xsl:attribute>
									<xsl:attribute name="onmouseout">onQuerytabContentMouseOut<xsl:value-of select="normalize-space(../../Suffix)" />(this,'lr','<xsl:value-of select="normalize-space(../../PN)" />')</xsl:attribute>
									<xsl:attribute name="onclick">onQuerytabContentClick<xsl:value-of select="normalize-space(../../Suffix)" />(this,'lr','<xsl:value-of select="normalize-space(../../PN)" />')</xsl:attribute>
									<xsl:attribute name="oncontextmenu">onQuerytabContentContextMenu<xsl:value-of select="normalize-space(../../Suffix)" />(this,'lr','<xsl:value-of select="normalize-space(../../PN)" />')</xsl:attribute>
									<xsl:value-of select="$string"></xsl:value-of>
							</span>
							</xsl:otherwise>
						</xsl:choose>
					 	
						</xsl:otherwise>
			</xsl:choose>
			
		</xsl:template>
	<xsl:template match="LREP">
		<tr>
			<td align="left" width="160px">
				代理:
			</td>
			<td align="left">
					<xsl:call-template name="splitAAOF">
					<xsl:with-param name="string" select="."/>
					</xsl:call-template>
				
			</td>
		</tr>
	</xsl:template>

	<xsl:template match="APNLink">
		<span>
			<xsl:attribute name="class">anchor</xsl:attribute>
			<xsl:attribute name="onmouseover">onQuerytabContentMouseOver<xsl:value-of select="normalize-space(../../Suffix)" />(this,'p','<xsl:value-of select="normalize-space(../../PN)" />')</xsl:attribute>
			<xsl:attribute name="onmouseout">onQuerytabContentMouseOut<xsl:value-of select="normalize-space(../../Suffix)" />(this,'p','<xsl:value-of select="normalize-space(../../PN)" />')</xsl:attribute>
			<xsl:attribute name="onclick">onQuerytabAPNLinkClick('<xsl:value-of select="normalize-space(.)" />', '<xsl:value-of select="normalize-space(/Result/Misc/INList/IN[position()=1]/Key)" />', 'querytab-tab-div-additional-<xsl:value-of select="normalize-space(../../ID)" />', '<xsl:value-of select="normalize-space(../../ID)" />')</xsl:attribute>
			<xsl:attribute name="oncontextmenu">onQuerytabContentContextMenu<xsl:value-of select="normalize-space(../../Suffix)" />(this,'p','<xsl:value-of select="normalize-space(../../PN)" />')</xsl:attribute>
			<xsl:value-of select="normalize-space(.)" />
		</span>
	</xsl:template>

	<xsl:template match="PNLink">

		<span>
			<xsl:attribute name="class">anchor</xsl:attribute>
			<xsl:attribute name="onmouseover">onQuerytabContentMouseOver<xsl:value-of select="normalize-space(../../Suffix)" />(this,'p','<xsl:value-of select="normalize-space(../../PN)" />')</xsl:attribute>
			<xsl:attribute name="onmouseout">onQuerytabContentMouseOut<xsl:value-of select="normalize-space(../../Suffix)" />(this,'p','<xsl:value-of select="normalize-space(../../PN)" />')</xsl:attribute>
			<xsl:attribute name="onclick">showHiddenTr<xsl:value-of select="normalize-space(../../Suffix)" />('querytab-tab-div-additional-<xsl:value-of select="normalize-space(../../ID)" />','<xsl:value-of select="normalize-space(.)" />','<xsl:value-of select="normalize-space(../../ID)" />')</xsl:attribute>
			<xsl:attribute name="oncontextmenu">onQuerytabContentContextMenu<xsl:value-of select="normalize-space(../../Suffix)" />(this,'p','<xsl:value-of select="normalize-space(../../PN)" />')</xsl:attribute>
			<xsl:value-of select="normalize-space(.)" />
		</span>
	</xsl:template>
</xsl:stylesheet>

