<?xml version="1.0" encoding="utf-8"?>

<xsl:stylesheet version="1.0"
    xmlns:xsl="http://www.w3.org/1999/XSL/Transform">

	<xsl:template match="Result">
		<xsl:apply-templates select="RH/C" />
	</xsl:template>

	<xsl:template match="RH">
		<xsl:apply-templates select="C" />
	</xsl:template>
	
	<xsl:template match="SH">
		<table cellspacing="1" cellpadding="0" width="100%">
			<tr style="width:100%">
				<td width="9px" valign="top" align="left" style="padding-right:4px">
					<xsl:if test="(count(C/BH) + count(C/SH)) &gt; 0">
						<img class="imglink" src="img/plus.gif" style="vertical-align:middle">
							<xsl:attribute name="id">searchhistory-img-<xsl:value-of select="normalize-space(ID)" /></xsl:attribute>
							<xsl:attribute name="onclick">showDiv(this, 1)</xsl:attribute>
						</img>
					</xsl:if>
					<xsl:if test="(count(C/BH) + count(C/SH)) = 0">
						<img src="img/empty.gif"></img>
					</xsl:if>
				</td>
				<td width="9px" valign="top" align="left" style="padding-right:4px">
					<xsl:choose>
						<xsl:when test="normalize-space(T)='BRIEF'"><img src="img/brief.gif" alt="概要信息" title="概要信息" style="vertical-align:middle"/></xsl:when>
						<xsl:when test="normalize-space(T)='FULLTEXT'"><img src="img/fulltext.gif" alt="专利搜索" title="专利搜索" style="vertical-align:middle"/></xsl:when>
						<xsl:when test="normalize-space(T)='DETAIL'"><img src="img/detail.gif" alt="查看全文" title="查看全文" style="vertical-align:middle"/></xsl:when>
						<xsl:when test="normalize-space(T)='INFINGEMENT'"><img src="img/infringement.gif" alt="侵权分析" title="侵权分析" style="vertical-align:middle"/></xsl:when>
						<xsl:when test="normalize-space(T)='PATENTABILITY'"><img src="img/patentability.gif" alt="新颖分析" title="新颖分析" style="vertical-align:middle" /></xsl:when>
						<xsl:when test="normalize-space(T)='RELATED'"><img src="img/related.gif" alt="相关概念及专利" title="相关概念及专利" style="vertical-align:middle"/></xsl:when>
					</xsl:choose>
	           </td>
			   <td valign="top"  align="left" width="100%">
					<span title="调用该搜索历史">
						<xsl:attribute name="id">searchhistory-span-<xsl:value-of select="normalize-space(ID)" /></xsl:attribute>
						<xsl:attribute name="class">searchhistory-t</xsl:attribute>
						<xsl:attribute name="onclick">onSearchHistoryClick(this)</xsl:attribute>
						<xsl:attribute name="onmouseover">onSearchHistoryMouseOver(this)</xsl:attribute>
						<xsl:attribute name="currentCase"><xsl:value-of select="normalize-space(CC)"/>
						</xsl:attribute>
						<xsl:attribute name="onmouseout">onSearchHistoryMouseOut(this)</xsl:attribute>
						<xsl:value-of select="normalize-space(Q)" />
					</span>&#160;(<xsl:value-of select="normalize-space(RC)" /> 项结果)
				</td>
			</tr>
			<xsl:if test="(count(C/BH) + count(C/SH)) &gt; 0">
				<tr  style="width:100%">
					<td colspan="3" >
						<div style="margin-left:13px;display:none">
							<xsl:attribute name="id">searchhistory-div-<xsl:value-of select="normalize-space(ID)" /></xsl:attribute>
							<xsl:apply-templates select="C"></xsl:apply-templates>
						</div>
					</td>
				</tr>
			</xsl:if>
		</table>
	</xsl:template>
	
	<xsl:template match="BH">
		<table cellspacing="1" cellpadding="0" width="100%" >
			<tr style="width:100%">
				<td width="9px" valign="top" align="left" style="padding-right:4px">
					<xsl:if test="(count(C/BH) + count(C/SH)) &gt; 0">
						<img class="imglink" src="img/plus.gif" style="vertical-align:middle">
							<xsl:attribute name="id">searchhistory-img-<xsl:value-of select="normalize-space(ID)" /></xsl:attribute>
							<xsl:attribute name="onclick">showDiv(this, 2)</xsl:attribute>
						</img>
					</xsl:if>
					<xsl:if test="(count(C/BH) + count(C/SH)) = 0">
						<img src="img/empty.gif"/>
					</xsl:if>
				</td>
				<td width="9px" valign="top" align="left" style="padding-right:4px">
					<xsl:choose>
						<xsl:when test="normalize-space(T)='BRIEF'"><img src="img/brief.gif" alt="概要信息" title="概要信息" style="vertical-align:middle"/></xsl:when>
						<xsl:when test="normalize-space(T)='FULLTEXT'"><img src="img/fulltext.gif" alt="专利搜索" title="专利搜索" style="vertical-align:middle"/></xsl:when>
						<xsl:when test="normalize-space(T)='DETAIL'"><img src="img/detail.gif" alt="查看全文" title="查看全文" style="vertical-align:middle"/></xsl:when>
						<xsl:when test="normalize-space(T)='INFINGEMENT'"><img src="img/infringement.gif" alt="侵权分析" title="侵权分析" style="vertical-align:middle"/></xsl:when>
						<xsl:when test="normalize-space(T)='PATENTABILITY'"><img src="img/patentability.gif" alt="新颖分析" title="新颖分析" style="vertical-align:middle" /></xsl:when>
						<xsl:when test="normalize-space(T)='RELATED'"><img src="img/related.gif" alt="相关概念及专利" title="相关概念及专利" style="vertical-align:middle"/></xsl:when>
					</xsl:choose>
	           </td>
				<td valign="top" align="left">
					<span target="_self" href="#" title="点击查看全文" class="querylist-p">
						<!--<xsl:attribute name="href">invokexml.do?sf=ShowPatent&amp;spn=<xsl:value-of select="normalize-space(PN)" /></xsl:attribute>-->
						<!--<xsl:attribute name="href">invokehtml.do?sf=ShowPatent&amp;spn=<xsl:value-of select="normalize-space(PN)" />&amp;sx=showpatent</xsl:attribute>-->
						<xsl:attribute name="url">
							pncompare.htm?pnlist=<xsl:value-of select="normalize-space(PN)" />
						</xsl:attribute>
						<xsl:attribute name="onclick">
							setCurrentEvent(event);return onQueryFulltextPNClick(this, '<xsl:value-of select="normalize-space(PN)" />','<xsl:value-of select="normalize-space(PN)" />');
						</xsl:attribute>
						<xsl:attribute name="pn">
							<xsl:value-of select="normalize-space(PN)" />
						</xsl:attribute>
						<!--<xsl:attribute name="href">pncompare.htm?pnlist=<xsl:value-of select="normalize-space(PN)" /></xsl:attribute>-->
						<xsl:value-of select="normalize-space(PN)" />
					</span>&#160;
				</td>
				<td valign="top" align="left"  width="100%">
					<span>
						<xsl:attribute name="class">searchhistory-t</xsl:attribute>
						<xsl:attribute name="onclick">
							onBrowseHistoryClick(this, '<xsl:value-of select="normalize-space(PN)" />', '<xsl:value-of select="normalize-space(ID)" />')
						</xsl:attribute>
						<xsl:attribute name="onmouseover">onBrowseHistoryMouseOver(this)</xsl:attribute>
						<xsl:attribute name="onmouseout">onBrowseHistoryMouseOut(this)</xsl:attribute>
						<xsl:value-of select="normalize-space(TTL)" />
					</span>
				</td>
			</tr>
      <tr style="width:100%;display:none" class="querylist-hiderow"  >
				<td align="center"  style="width:100%" colspan="4" >
					<div>
						<xsl:attribute name="class">searchhistory-patentlist-content</xsl:attribute>
						<xsl:attribute name="id">searchhistory-hidden-div-<xsl:value-of select="normalize-space(ID)" /></xsl:attribute>
					</div>
				</td>
			</tr>
			<xsl:if test="(count(C/BH) + count(C/SH)) &gt; 0">
				<tr  style="width:100%">
					<td  colspan="4" >
						<div style="margin-left:13px;display:none">
							<xsl:attribute name="id">searchhistory-div-<xsl:value-of select="normalize-space(ID)" /></xsl:attribute>
							<xsl:apply-templates select="C"></xsl:apply-templates>
						</div>
					</td>
				</tr>
			</xsl:if>
		</table>
	</xsl:template>

</xsl:stylesheet>

