<?xml version='1.0' encoding='utf-8'?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
<xsl:decimal-format name="us" decimal-separator='.' grouping-separator=',' />
<xsl:output method="html" encoding="utf-8"/>

  <xsl:template match="*|@*">
	<xsl:copy>
		<xsl:apply-templates select="@*|*|comment()|processing-instruction()|text()"/>
	</xsl:copy>
  </xsl:template>   
  
  <xsl:strip-space elements="InventorName"/>
 
 
 
   <xsl:template match="AreaCode">
   </xsl:template>
  <xsl:template match="font">
   	<xsl:value-of select="." />
  </xsl:template>
   
   
  <xsl:template match="BR">
  	<br />
  </xsl:template>
  
  <xsl:template match="Abstract/p">
    <xsl:apply-templates />
  </xsl:template>
  
  <xsl:template match="ptable">
	   <center>
	   <div class="ptable">
	 		<xsl:value-of select="." disable-output-escaping="yes" />
	   </div>
		 </center>
  </xsl:template>
   
  <xsl:template match="hr">
  	<br />
  </xsl:template> 
  <xsl:template match="HLT">
    <span>
      <xsl:attribute name="style">border-bottom: 1px dashed rgb(0, 0, 255); cursor: pointer;</xsl:attribute>
      <xsl:attribute name="onclick">onHighlightFontClick(this);</xsl:attribute>
      <xsl:attribute name="onmouseover">onHighlightFontMouseOver(this,event);</xsl:attribute>
		<xsl:attribute name="pn">
			<xsl:value-of select="/Patent/PN"></xsl:value-of>
		</xsl:attribute>
      <xsl:apply-templates/>
    </span>
  </xsl:template>
  <xsl:template match="KHLT">
    <span>
      <xsl:attribute name="style">
        background-color:<xsl:value-of select="p" />
      </xsl:attribute>
      <xsl:value-of select="c" />
    </span>
  </xsl:template>
  
  
  <xsl:template match="Section">
	  <div  oncontextmenu="onSpanContextMenu(this, 'cd')">
		  <xsl:apply-templates />
	  </div>
	<img src="img/comment.gif" style="display:none" class="imglink" >
	  <xsl:attribute name="id">Comment_Label_<xsl:value-of select="@id + 20000" /></xsl:attribute>
	  <xsl:attribute name="onclick">showComment('<xsl:value-of select="@id + 20000" />')</xsl:attribute>
	</img>&#160;
	<br />
	<div style="display:none">
	  <xsl:attribute name="id">Comment_Div_<xsl:value-of select="@id + 20000" /></xsl:attribute>
	</div>
  <div style="display:none" class="notediv">
	  <xsl:attribute name="id">Note_Div_<xsl:value-of select="@id + 20000" /></xsl:attribute>
	</div>
  </xsl:template>

  <xsl:template match="PatentNumber">
	  <xsl:variable name="pncount" select="generate-id()" />
	  <span class="anchor" onmouseover="onSpanMouseOver(this, 'p')" onmouseout="onSpanMouseOut(this, 'p')" onclick="onSpanClick(this, 'p')" oncontextmenu="onSpanContextMenu(this, 'p')">
		  <xsl:attribute name="id">patent-span-pn-<xsl:value-of select="$pncount"/></xsl:attribute>
		  <xsl:attribute name="pn"><xsl:value-of select="@pn"/></xsl:attribute>
		  <xsl:value-of  select="normalize-space(.)"/>
	  </span>&#32;
	  <div style="display:none;"><xsl:attribute name="id">patent-div-pn-<xsl:value-of select="$pncount" /></xsl:attribute></div>
  </xsl:template>

  <xsl:template match="Figure">
	  <xsl:variable name="figcount" select="generate-id()" />
	  <span class="anchor" onmouseover="onSpanMouseOver(this, 'f')" onmouseout="onSpanMouseOut(this, 'f')" onclick="onSpanClick(this, 'f')" oncontextmenu="onSpanContextMenu(this, 'f')">
		  <xsl:attribute name="id">patent-span-fig-<xsl:value-of select="$figcount" /></xsl:attribute>
		  <xsl:attribute name="title"><xsl:value-of select="@fn" /></xsl:attribute>
		  <xsl:value-of  select="normalize-space(.)"/>
	  </span>&#32;
	  <div class="floatleftdiv" style="display:none;position:relative;float:left"><xsl:attribute name="id">patent-div-fig-<xsl:value-of select="$figcount" /></xsl:attribute></div>
  </xsl:template>
  
  <xsl:template match="RefLink">
	  <span class="anchor" onmouseover="onSpanMouseOver(this, 'r')" onmouseout="onSpanMouseOut(this, 'r')" onclick="onSpanClick(this, 'r')" oncontextmenu="onContextMenu(this, 'r')">
		  <xsl:value-of  select="normalize-space(.)"/>
	  </span>
  </xsl:template>
  
  <xsl:template match="EQU">
	  <span class="anchor" onmouseover="onSpanMouseOver(this, 'equ')" onmouseout="onSpanMouseOut(this, 'equ')" onclick="onSpanClick(this, 'equ')" oncontextmenu="onSpanContextMenu(this, 'equ')">
		  <xsl:value-of  select="normalize-space(.)"/>
	  </span>
  </xsl:template>

  <xsl:template match="STR">
	  <span class="anchor" onmouseover="onSpanMouseOver(this, 'str')" onmouseout="onSpanMouseOut(this, 'str')" onclick="onSpanClick(this, 'str')" oncontextmenu="onSpanContextMenu(this, 'str')">
		  <xsl:value-of  select="normalize-space(.)"/>
	  </span>
  </xsl:template>

  <xsl:template match="SPC">
	  <span class="anchor" onmouseover="onSpanMouseOver(this, 'spc')" onmouseout="onSpanMouseOut(this, 'spc')" onclick="onSpanClick(this, 'spc')" oncontextmenu="onSpanContextMenu(this, 'spc')">
		  <xsl:value-of  select="normalize-space(.)"/>
	  </span>
  </xsl:template>


  <xsl:template match="PN">
  </xsl:template>
  
  <xsl:template match="KindCode">
  </xsl:template>
  
  <xsl:template match="Date">
  </xsl:template>

  <xsl:template match="Title">
    <IMG id="patent-img-tag" class="patent-switchon" onclick="showDiv('tag')" src="img/plus-red.gif" />
    <SPAN id="patent-span-tag" class="patent-switchoff" onclick="showDiv('tag')">索引</SPAN>
    <BR />
    <center>
      <DIV id="patent-div-tag" style="display:none"></DIV>
    </center>
	  <IMG id="patent-img-related" class="patent-switchon" onclick="showDiv('related')" src="img/plus-red.gif" />
	  <SPAN id="patent-span-related" class="patent-switchoff" onclick="showDiv('related')">相关概念及专利</SPAN>
	  <BR />
	  <center>
		  <DIV id="patent-div-related" style="display:none"></DIV>
	  </center>
	  <DIV id="patent-div-ttl"  oncontextmenu="onSpanContextMenu(this, 'cd')">
		<div class="patent-ttl"><xsl:apply-templates />
		
		<xsl:if test="/Patent/Showed = 1">
		<span style="color:red">(*)</span>
		</xsl:if>
		
		</div>
	  </DIV>
	  <img src="img/comment.gif" style="display:none" class="imglink" id="Comment_Label_1" onclick="showComment('1')"></img>&#160;
	  <br />
	  <div id="Comment_Div_1" style="display:none" class="commentdiv"></div>
   <div id="Note_Div_1" style="display:none" class="notediv">
    </div>
  </xsl:template>
  
  <xsl:template match="Abstract">
    <A name="#abst" id="abst"></A>
	<IMG id="patent-img-abst" class="patent-switchon" onclick="showDiv('abst')" src="img/minus.gif"/>
	<SPAN id="patent-span-abst" class="patent-switchon" onclick="showDiv('abst')">摘要</SPAN>
	<BR />
	<DIV id="patent-div-abst" parseWidgets="false" oncontextmenu="onSpanContextMenu(this, 'cd')">
		    <table cellspacing="2">
      <tr>
        <td valign="top">
          <CENTER><B>摘要</B></CENTER>
          <div class="textcontent">
            <xsl:apply-templates />
          </div>
        </td>
      </tr>
    </table>
	</DIV>
	<img src="img/comment.gif" style="display:none" class="imglink" id="Comment_Label_2" onclick="showComment('2')"></img>&#160;
	<br />
	<div id="Comment_Div_2" style="display:none"></div>
    <div id="Note_Div_2" style="display:none" class="notediv">
    </div>
  </xsl:template>

  <xsl:template match="Header">
    <IMG id="patent-img-header" class="patent-switchon" onclick="showDiv('header')" src="img/minus.gif"/>
    <SPAN id="patent-span-header" class="patent-switchon" onclick="showDiv('header')">标题</SPAN>
    <BR />
    <A name="#header"></A>
    <DIV id="patent-div-header">
	<TABLE>
	  <TBODY>
		 <xsl:apply-templates />
	  </TBODY>
	</TABLE>
	</DIV>
  </xsl:template>
  
  	  <xsl:template match="Inventors">
	    <TR>
	      <TD vAlign="top" align="left" width="20%">发明人: </TD>
	      <TD align="left" width="80%">
	        <B>
	          <xsl:apply-templates />
	        </B>
	      </TD>
	    </TR>
	  </xsl:template>
  
		  <xsl:template match="InventorsItem">
			  <span class="anchor" onmouseover="onSpanMouseOver(this, 'i')" onmouseout="onSpanMouseOut(this, 'i')" onclick="onSpanClick(this, 'i')" oncontextmenu="onSpanContextMenu(this, 'i')"><xsl:value-of select="normalize-space(InventorName)" /></span>
			 (<xsl:value-of select="normalize-space(InventorOther)" />)<xsl:if test="position()!=last()">; </xsl:if>
		  </xsl:template>
	  
	  <xsl:template match="NameAddress">
	    <TR>
	      <TD vAlign="top" align="left" width="20%">通信地址: </TD>
	      <TD align="left" width="80%">
	        <B>
	          <xsl:value-of select="."/>
	        </B>
	      </TD>
	    </TR>
	  </xsl:template>
	  
	  <xsl:template match="Assignee">
	    <TR>
	      <TD vAlign="top" align="left" width="20%">公司: </TD>
	      <TD align="left" width="80%">
	        <B>
				<span class="anchor" onmouseover="onSpanMouseOver(this, 'a')" onmouseout="onSpanMouseOut(this, 'a')" onclick="onSpanClick(this, 'a')" oncontextmenu="onSpanContextMenu(this, 'a')">
					<xsl:value-of select="normalize-space(AssigneeName)" />
				</span>
				(<xsl:value-of select="normalize-space(AssigneeOther)" />)
	        </B>
	      </TD>
	    </TR>
	  </xsl:template>
	
	  <xsl:template match="ApplNO">
	    <TR>
	      <TD vAlign="top" align="left" width="20%" nowrap="">申请号: </TD>
	      <TD align="left" width="80%">
	        <B>
				<span class="anchor" onmouseover="onSpanMouseOver(this, 'apn')" onmouseout="onSpanMouseOut(this, 'apn')" onclick="onSpanClick(this, 'apn')" oncontextmenu="onSpanContextMenu(this, 'apn')">
					<xsl:value-of select="normalize-space(.)" />
				</span>
	        </B>
	      </TD>
	    </TR>
	  </xsl:template>
	
	  <xsl:template match="SeriesCode">
	    <TR>
	      <TD vAlign="top" align="left" width="20%" nowrap="">序列号: </TD>
	      <TD align="left" width="80%">
	        <B>
	          <xsl:value-of select="normalize-space(.)"/>
	        </B>
	      </TD>
	    </TR>
	  </xsl:template>
	
	  <xsl:template match="Filed">
	    <TR>
	      <TD vAlign="top" align="left" width="20%">申请日: </TD>
	      <TD align="left" width="80%">
	        <B>
	          <span class="anchor" onmouseover="onSpanMouseOver(this, 'apd')" onmouseout="onSpanMouseOut(this, 'apd')" onclick="onSpanClick(this, 'apd')" oncontextmenu="onSpanContextMenu(this, 'apd')">
              <xsl:value-of select="normalize-space(.)" />
            </span>

	        </B>
	      </TD>
	    </TR>
	  </xsl:template>
	  
	  <xsl:template match="Other">
			<xsl:apply-templates /> 
	  </xsl:template>
  
		  <xsl:template match="OtherItem">
		    <TR>
		      <TD vAlign="top" align="left" width="20%">
		        <xsl:value-of select="@name" />:
		      </TD>
		      <TD align="left" width="80%">
		        <B>
		          <xsl:value-of select="normalize-space(.)"/>
		        </B>
		      </TD>
		    </TR>              
		  </xsl:template>
  
  <xsl:template match="FAPD">
      <IMG id="patent-img-fapd" class="patent-switchoff" onclick="showDiv('fapd')" src="img/plus-red.gif"/>
    <SPAN id="patent-span-fapd" class="patent-switchoff" onclick="showDiv('fapd')">
      <xsl:if test="substring(normalize-space(/Patent/PN), 1, 2) = 'CN'" >
        优先数据:
      </xsl:if>
      <xsl:if test="substring(normalize-space(/Patent/PN), 1, 2) != 'CN'" >
        国际优先数据:
      </xsl:if>
    </SPAN>
    <BR />
    <A name="#fapd"></A>
      <DIV id="patent-div-fapd" style="DISPLAY: none">
        <CENTER>
          <B>
            国际优先数据
          </B>
        </CENTER>
        <TABLE width="100%">
          <TBODY>
          	<xsl:apply-templates />
          </TBODY>
        </TABLE>
        <BR />
      </DIV>
  </xsl:template>
  
	  <xsl:template match="FAPDItem">
	    <TR>
	      <TD >
	        <xsl:value-of select="normalize-space(.)"/>
	      </TD>
	    </TR>
	  </xsl:template>

	
<xsl:template match="RUPD">
    <IMG id="patent-img-rupd" class="patent-switchoff" onclick="showDiv('rupd')" src="img/plus-red.gif" />
    <SPAN id="patent-span-rupd" class="patent-switchoff" onclick="showDiv('rupd')">相关美国专利文档</SPAN>
    <BR />
    <A name="#rupd"></A>
      <DIV id="patent-div-rupd" style="DISPLAY: none">
        <CENTER>
          <B>
            相关美国专利文档
          </B>
        </CENTER>
        <TABLE width="100%">
          <TBODY>
		  <TR>
		    <TD width="25%" align="center">
		    	申请号
		    </TD>
		    <TD width="25%" align="center">
		    	申请日
		    </TD>
		    <TD width="25%" align="center">
		    	专利号
		    </TD>		   
		    <TD width="25%" align="center">
		    	公开日
		    </TD>
		  </TR>
		  <xsl:for-each select="RUPDItem">
		    <xsl:variable name="pncount" select="generate-id()" />
        <TR>
          <TD width="25%" align="center">
            <span class="anchor" onmouseover="onSpanMouseOver(this, 'apn')" onmouseout="onSpanMouseOut(this, 'apn')" onclick="onSpanClick(this, 'apn')" oncontextmenu="onSpanContextMenu(this, 'apn')">
              <xsl:if test="string-length(normalize-space(RUPDAN)) &gt; 6">
                <xsl:value-of select="substring(normalize-space(RUPDAN), 1, string-length(normalize-space(RUPDAN)) - 6)" />/<xsl:value-of select="substring(normalize-space(RUPDAN), string-length(normalize-space(RUPDAN)) - 5, 6)" />
              </xsl:if>
              <xsl:if test="string-length(RUPDAN) &lt; 7">
                <xsl:value-of select="normalize-space(RUPDAN)"/>
              </xsl:if>
            </span>
          </TD>
		      <TD width="25%" align="center">
		    	  <xsl:value-of select="normalize-space(RUPDFD)"/>
		      </TD>
		      <TD width="25%" align="center">
            <xsl:choose>
              <xsl:when test="RUPDPN &lt; 3574861 and RUPDPN &gt; 60000">
                <xsl:value-of select="normalize-space(RUPDPN)"/>
              </xsl:when>
              <xsl:otherwise>
                <span class="anchor" onmouseover="onSpanMouseOver(this, 'p')" onmouseout="onSpanMouseOut(this, 'p')" onclick="onSpanClick(this, 'p')" oncontextmenu="onSpanContextMenu(this, 'p')">
                  <xsl:attribute name="id">patent-span-rupd-pn-<xsl:value-of select="$pncount"/></xsl:attribute>
                  <xsl:value-of select="normalize-space(RUPDPN)"/>
                </span>
              </xsl:otherwise>
            </xsl:choose>
		      </TD>		   
		      <TD width="25%" align="center">
		    	  <xsl:value-of select="normalize-space(RUPDID)"/>
		      </TD>
		    </TR>
        <TR style="display:none">
          <TD colspan="4" align="center">
            <div><xsl:attribute name="id">patent-div-rupd-pn-<xsl:value-of select="$pncount" /></xsl:attribute></div>
          </TD>
        </TR>
		</xsl:for-each>
          </TBODY>
        </TABLE>
        <BR />
      </DIV>
</xsl:template>
	  	  
  <xsl:template match="Classification">
    <IMG id="patent-img-ccl" class="patent-switchoff" onclick="showDiv('ccl')" src="img/plus-red.gif" />
    <SPAN id="patent-span-ccl" class="patent-switchoff" onclick="showDiv('ccl')">分类</SPAN>
    <br />
    <A name="#ccl"></A>
      <DIV id="patent-div-ccl" style="DISPLAY: none">
        <TABLE width="100%">
          <TBODY>
        	<xsl:apply-templates />
          </TBODY>
        </TABLE>
      </DIV>
  </xsl:template>
  
	  <xsl:template match="USClass">
	    <TR>
	      <TD vAlign="top" align="left" width="20%">
	        <B>美国分类:</B>
	      </TD>
	      <TD vAlign="top">
	        <B>
	        	<xsl:apply-templates />
	        </B>
	      </TD>
	    </TR>
	  </xsl:template>
	  
		  <xsl:template match="USClassItem">
			  <span class="anchor" onmouseover="onSpanMouseOver(this, 'c')" onmouseout="onSpanMouseOut(this, 'c')" onclick="onSpanClick(this, 'c')" oncontextmenu="onSpanContextMenu(this, 'c')"><xsl:value-of select="normalize-space(.)" /></span>
			  <xsl:if test="position()!=last()">; </xsl:if>
		  </xsl:template>
	  
	  <xsl:template match="PubClass">
	    <TR>
	      <TD vAlign="top" align="left" width="20%">
	        <B>公开美国分类:</B>
	      </TD>
	      <TD vAlign="top">
	        <B>
	        	<xsl:apply-templates />
	        </B>
	      </TD>
	    </TR>
	  </xsl:template>
	  
		  <xsl:template match="PubClassItem">
			  <span class="anchor" onmouseover="onSpanMouseOver(this, 'c')" onmouseout="onSpanMouseOut(this, 'c')" onclick="onSpanClick(this, 'c')" oncontextmenu="onSpanContextMenu(this, 'c')">
				  <xsl:value-of select="normalize-space(.)" />
			  </span>
			  <xsl:if test="position()!=last()">; </xsl:if>
		  </xsl:template>

	<xsl:template match="ECLAClass">
		<TR>
			<TD vAlign="top" align="left" width="20%">
				<B>欧洲分类: </B>
			</TD>
			<TD vAlign="top" >
				<xsl:apply-templates />
			</TD>
		</TR>
	</xsl:template>

	<xsl:template match="ECLAClassItem">
		<B>
			<xsl:value-of select="."/>
		</B>
		<xsl:if test="position()!=last()">; </xsl:if>
	</xsl:template>

	<xsl:template match="InterClass">
	    <TR>
	      <TD vAlign="top" align="left" width="20%">
	        <B>国际分类: </B>
	      </TD>
	      <TD vAlign="top">
	        	<xsl:apply-templates />
	      </TD>
	    </TR>
	  </xsl:template>

		  <xsl:template match="InterClassItem">
		  	<B><xsl:value-of select="."/></B>
		  	<xsl:if test="position()!=last()">; </xsl:if>
		  </xsl:template>
	  
	  <xsl:template match="FieldSearch">
	    <TR>
	      <TD vAlign="top" align="left" width="20%">
	        <B>搜索领域:</B>
	      </TD>
	      <TD vAlign="top" >
	        	<xsl:apply-templates />
	      </TD>
	    </TR>
	  </xsl:template>

		  <xsl:template match="FieldSearchItem">
		  	<B><xsl:value-of select="normalize-space(.)"/></B>
		  	<xsl:if test="position()!=last()">; </xsl:if>
		  </xsl:template>
		  
  <xsl:template match="Reference">
    <IMG id="patent-img-ref" class="patent-switchoff" onclick="showDiv('ref')" src="img/plus-red.gif" />
    <SPAN id="patent-span-ref" class="patent-switchoff" onclick="showDiv('ref')">参考引用</SPAN>
    <br />
    <A name="#ref"></A>
      <DIV id="patent-div-ref" style="DISPLAY: none">
        <CENTER>
          <b>引用专利</b>
			[
			<span class="anchor" onmouseover="onSpanMouseOver(this, 'b')" onmouseout="onSpanMouseOut(this, 'b')" onclick="onSpanClick(this, 'b')" oncontextmenu="onSpanContextMenu(this, 'b')">被引用专利</span>
			]
			</CENTER>
		<DIV id="patent-div-refby" style="display:none"></DIV>
		<xsl:apply-templates />
        <BR />
      </DIV>
  </xsl:template>  
	  
	  <xsl:template match="USReference">
	    <CENTER>
	      <B>美国专利文档</B>
	    </CENTER>
	    <TABLE id="tableUSReference" width="100%">
	      <TBODY>
	        <xsl:for-each select="USReferenceItem">
            <xsl:variable name="pncount" select="generate-id()" />
	          <TR>
	            <TD width="25%">
	              <xsl:if test="USRefUserDefined = 1">
	              *
	              </xsl:if>
	              <xsl:if test="ForeignRefUserDefined = 1">
	              *
	              </xsl:if>
                <xsl:choose>
                  <xsl:when test="USRefPN &lt; 3574861 and USRefPN &gt; 60000">
                    <xsl:value-of select="normalize-space(USRefPN)"/>
                  </xsl:when>
                  <xsl:otherwise>
					          <span class="anchor" onmouseover="onSpanMouseOver(this, 'p')" onmouseout="onSpanMouseOut(this, 'p')" onclick="onSpanClick(this, 'p')" oncontextmenu="onSpanContextMenu(this, 'p')">
						          <xsl:attribute name="id">patent-span-usref-pn-<xsl:value-of select="$pncount"/></xsl:attribute>
                      <xsl:value-of select="normalize-space(USRefPN)"/>
					          </span>
                  </xsl:otherwise>
                </xsl:choose>
	            </TD>
	            <TD width="25%">
	              <xsl:value-of select="USRefDate" />
	            </TD>
	            <TD align="left" width="25%">
					<span class="anchor" onmouseover="onSpanMouseOver(this, 'i')" onmouseout="onSpanMouseOut(this, 'i')" onclick="onSpanClick(this, 'i')" oncontextmenu="onSpanContextMenu(this, 'i')">
						<xsl:value-of select="normalize-space(USRefInventor)" />
					</span>
				</TD>
	            <TD align="right" width="25%">
					<span class="anchor" onmouseover="onSpanMouseOver(this, 'c')" onmouseout="onSpanMouseOut(this, 'c')" onclick="onSpanClick(this, 'c')" oncontextmenu="onSpanContextMenu(this, 'c')">
						<xsl:value-of select="normalize-space(USRefOther)" />
					</span>
	            </TD>
	          </TR>
			      <tr align="left"  style="display:none">
              <td align="center" colspan="4" >
                <div>
                  <xsl:attribute name="id">patent-div-usref-pn-<xsl:value-of select="$pncount"/></xsl:attribute>
					      </div>
				      </td>
			      </tr>
				</xsl:for-each>
		</TBODY>
	</TABLE>
</xsl:template>
	<xsl:template match="CNReference">
		<CENTER>
			<B>中国专利文档</B>
		</CENTER>
		<TABLE id="tableUSReference" width="100%">
			<TBODY>
				<xsl:for-each select="CNReferenceItem">
					<xsl:variable name="pncount" select="generate-id()" />
					<TR>
						<TD width="25%">
							<span class="anchor" onmouseover="onSpanMouseOver(this, 'p')" onmouseout="onSpanMouseOut(this, 'p')" onclick="onSpanClick(this, 'p')" oncontextmenu="onSpanContextMenu(this, 'p')">
								<xsl:attribute name="id">patent-span-usref-pn-<xsl:value-of select="$pncount"/>
								</xsl:attribute>
								CN<xsl:value-of select="normalize-space(CNRefPN)"/>
							</span>
						</TD>
						<TD width="25%">
							<xsl:value-of select="CNRefDate" />
						</TD>
						<TD align="left" width="25%">
							<span class="anchor" onmouseover="onSpanMouseOver(this, 'i')" onmouseout="onSpanMouseOut(this, 'i')" onclick="onSpanClick(this, 'i')" oncontextmenu="onSpanContextMenu(this, 'i')">
								<xsl:value-of select="normalize-space(CNRefInventor)" />
							</span>
						</TD>
						<TD align="right" width="25%">
							<span class="anchor" onmouseover="onSpanMouseOver(this, 'c')" onmouseout="onSpanMouseOut(this, 'c')" onclick="onSpanClick(this, 'c')" oncontextmenu="onSpanContextMenu(this, 'c')">
								<xsl:value-of select="normalize-space(CNRefOther)" />
							</span>
						</TD>
					</TR>
					<tr align="left"  style="display:none">
						<td align="center" colspan="4" >
							<div>
								<xsl:attribute name="id">patent-div-usref-pn-<xsl:value-of select="$pncount"/>
								</xsl:attribute>
							</div>
						</td>
					</tr>
				</xsl:for-each>
			</TBODY>
		</TABLE>
	</xsl:template>
<xsl:template match="ForeignReference">
	<CENTER>
		<B>国际专利文档</B>
	</CENTER>
	<TABLE width="100%" parseWidgets="false">
		<TBODY>
			<xsl:for-each select="ForeignReferenceItem">
        <xsl:variable name="pncount" select="generate-id()" />
				<TR>
					<TD width="25%">
            <xsl:choose>
              <xsl:when test="normalize-space(ForeignRefInventor) = 'JP' or normalize-space(ForeignRefInventor) = 'EP' or normalize-space(ForeignRefInventor) = 'WO' or normalize-space(ForeignRefInventor) = 'US'">
              
                <span class="anchor" onmouseover="onSpanMouseOver(this, 'p')" onmouseout="onSpanMouseOut(this, 'p')" onclick="onSpanClick(this, 'p')" oncontextmenu="onSpanContextMenu(this, 'p')">
			            <xsl:attribute name="id">patent-span-usref-pn-<xsl:value-of select="$pncount"/></xsl:attribute>
                  <xsl:choose>
                  <xsl:when test="normalize-space(ForeignRefInventor) = 'JP' or normalize-space(ForeignRefInventor) = 'EP' or  normalize-space(ForeignRefInventor) = 'US'">
                  <xsl:value-of select="normalize-space(ForeignRefInventor)"/>
                   </xsl:when>
                   <xsl:otherwise>
                   <xsl:if test="normalize-space(ForeignRefInventor) = 'WO' and starts-with(normalize-space(ForeignRefPN),'W')= false">
                   WO</xsl:if>                   
                   </xsl:otherwise>
                    </xsl:choose>
                   <xsl:value-of select="normalize-space(ForeignRefPN)"/>
		            </span>
              </xsl:when>
              <xsl:otherwise>
                <xsl:value-of select="normalize-space(ForeignRefPN)"/>
              </xsl:otherwise>
            </xsl:choose>
          </TD>
          <TD width="25%">
            <xsl:value-of select="normalize-space(ForeignRefDate)" />
          </TD>
          <TD align="left" width="25%">
            <xsl:value-of select="normalize-space(ForeignRefInventor)" />
          </TD>
          <TD align="right" width="25%">
            <xsl:value-of select="normalize-space(ForeignRefOther)" />
          </TD>
        </TR>
        <tr align="left"  style="display:none">
          <td align="center" colspan="4" >
            <div>
              <xsl:attribute name="id">patent-div-usref-pn-<xsl:value-of select="$pncount"/></xsl:attribute>
			      </div>
		      </td>
	      </tr>
	        </xsl:for-each>
	      </TBODY>
	    </TABLE>
	  </xsl:template>
	
	  <xsl:template match="OtherReference">
	    <CENTER>
	      <B>其他引用</B>
	    </CENTER>
	    <TABLE width="100%" parseWidgets="false">
	      <TBODY>
	        <xsl:for-each select="OtherReferenceItem">
	           <TR>
	           <TD>
	              <xsl:apply-templates />
	            </TD>
	           </TR>
	        </xsl:for-each>
	      </TBODY>
	    </TABLE>
	  </xsl:template>

  <xsl:template match="Examiner">
    <IMG id="patent-img-exp" class="patent-switchoff" onclick="showDiv('exp')" src="img/plus-red.gif" />
    <SPAN id="patent-span-exp" class="patent-switchoff" onclick="showDiv('exp')">审查员</SPAN>
    <br />
    <A name="#exp"></A>
      <DIV id="patent-div-exp" style="DISPLAY: none">
        <TABLE width="100%">
          <TBODY>
            <xsl:apply-templates select="PrimaryExaminer" />
            <xsl:apply-templates select="AssistantExaminer" />
          </TBODY>
        </TABLE>
      </DIV>
    <IMG id="patent-img-exp2" class="patent-switchoff" onclick="showDiv('exp2')" src="img/plus-red.gif" />
    <SPAN id="patent-span-exp2" class="patent-switchoff" onclick="showDiv('exp2')">代理</SPAN>
    <br />
    <A name="#exp2"></A>
      <DIV id="patent-div-exp2" style="DISPLAY: none">
        <TABLE width="100%">
          <TBODY>
            <xsl:apply-templates select="AAOF" />
          </TBODY>
        </TABLE>
      </DIV>
  </xsl:template>
  
	  <xsl:template match="PrimaryExaminer">
	    <TR>
	      <TD vAlign="top" align="left" width="20%">
	        <B>
	          <I>主审查员:</I>
	        </B>
	      </TD>
	      <TD vAlign="top" align="left" width="80%">
	        <B>
				<span class="anchor" onmouseover="onSpanMouseOver(this, 'ep')" onmouseout="onSpanMouseOut(this, 'ep')" onclick="onSpanClick(this, 'ep')" oncontextmenu="onSpanContextMenu(this, 'ep')">
					<xsl:value-of select="normalize-space(.)" />
				</span>
			</B>
	      </TD>
	    </TR>
	  </xsl:template>
	
	  <xsl:template match="AssistantExaminer">
	    <TR>
	      <TD vAlign="top" align="left" width="20%">
	        <B>
	          <I>助理审查员:</I>
	        </B>
	      </TD>
	      <TD vAlign="top" align="left" width="80%">
	        <B>
				<span class="anchor" onmouseover="onSpanMouseOver(this, 'ea')" onmouseout="onSpanMouseOut(this, 'ea')" onclick="onSpanClick(this, 'ea')" oncontextmenu="onSpanContextMenu(this, 'ea')">
					<xsl:value-of select="normalize-space(.)" />
				</span>
			</B>
	      </TD>
	    </TR>
	  </xsl:template>
		<xsl:template name="splitAAOF">
				<xsl:param name="string"/>
				
				<xsl:choose>
					<xsl:when test="contains($string,';')">
							<span class="anchor" onmouseover="onSpanMouseOver(this, 'l')" onmouseout="onSpanMouseOut(this, 'l')" onclick="onSpanClick(this, 'l')" oncontextmenu="onSpanContextMenu(this, 'l')">
								<xsl:value-of select="substring-before($string,';')"></xsl:value-of>
							</span>;
							<xsl:call-template name="splitAAOF">
									
								<xsl:with-param name="string" select="substring-after($string,';')"/>
								
							</xsl:call-template>
							
					</xsl:when>
					<xsl:otherwise>
					 	<span class="anchor" onmouseover="onSpanMouseOver(this, 'l')" onmouseout="onSpanMouseOut(this, 'l')" onclick="onSpanClick(this, 'l')" oncontextmenu="onSpanContextMenu(this, 'l')">
				
							<xsl:value-of select="$string"></xsl:value-of>
						</span>
						</xsl:otherwise>
			</xsl:choose>
			
		</xsl:template>
	  <xsl:template match="AAOF">
	    <TR>
	      <TD vAlign="top" align="left" width="20%">
	        <B>
	          <I>代理:</I>
	        </B>
	      </TD>
	      <TD vAlign="top" align="left" width="80%">
	        <b>
	        <xsl:call-template name="splitAAOF">
	        <xsl:with-param name="string" select="."/>
				
				</xsl:call-template>
			</b>
	      </TD>
	    </TR>
	  </xsl:template>

  <xsl:template match="ParentCase">    
    <IMG id="patent-img-pc" class="patent-switchoff" onclick="showDiv('pc')" src="img/plus-red.gif"/>
    <SPAN id="patent-span-pc" class="patent-switchoff" onclick="showDiv('pc')">父专利信息</SPAN>
    <br />
    <A name="#pc"></A>
      <DIV id="patent-div-pc" style="DISPLAY: none">
        <CENTER>
          <B>
            <I>父专利信息</I>
          </B>
        </CENTER>
        <div parseWidgets="false">
          <xsl:apply-templates />
        </div>
      </DIV>
  </xsl:template>

  <xsl:template match="GovermentInterests">
    <IMG id="patent-img-gi" class="patent-switchoff" onclick="showDiv('gi')" src="img/plus-red.gif" />
    <SPAN id="patent-span-gi" class="patent-switchoff" onclick="showDiv('gi')">政府权益</SPAN>
    <br />
    <A name="#gi"></A>
      <DIV id="patent-div-gi" style="DISPLAY: none">
        <CENTER>
          <B>
            <I>政府权益</I>
          </B>
        </CENTER>
        <div parseWidgets="false">
          <xsl:apply-templates />
        </div>
      </DIV>
  </xsl:template>

  <xsl:template match="Claims">    	
    <A name="#aclm" id="patent-div-aclm-anchor-aclm">
	<IMG id="patent-img-aclm" class="patent-switchon" onclick="showDiv('aclm')" src="img/minus.gif" />
	<SPAN id="patent-span-aclm" class="patent-switchon" onclick="showDiv('aclm')">权利要求</SPAN>
	<br />
  </A>
	<DIV id="patent-div-aclm">
		<span oncontextmenu="onSpanContextMenu(this, 'cd')" ><CENTER><B><I>权利要求</I></B></CENTER></span>
		<img src="img/comment.gif" style="display:none" class="imglink" >
		  <xsl:attribute name="id">Comment_Label_10000</xsl:attribute>
		  <xsl:attribute name="onclick">showComment('10000')</xsl:attribute>
		</img>&#160;
		<br />
		<div style="display:none">
		  <xsl:attribute name="id">Comment_Div_10000</xsl:attribute>
		</div>
    <div style="display:none" class="notediv">
      <xsl:attribute name="id">Note_Div_10000</xsl:attribute>
    </div>
		<DIV><xsl:apply-templates /></DIV>
	</DIV>
  </xsl:template>

	  <xsl:template match="Claim">
		  <A>
		          <xsl:attribute name="id">patent-div-aclm-anchor-<xsl:value-of select="@name" /></xsl:attribute>
		      <xsl:attribute name="name">#<xsl:value-of select="@name" /></xsl:attribute>
		  </A>
		  <xsl:if test="@dep = 0">
		    <div class="textcontent" parseWidgets="false"  oncontextmenu="onSpanContextMenu(this, 'cd')">
		      <xsl:attribute name="id">patent-div-aclm-indep-<xsl:value-of select="@name" /></xsl:attribute>
		      <xsl:value-of select="@name" />.
		      <xsl:apply-templates />
		    </div>
		  </xsl:if>
		  <xsl:if test="@dep != 0">
        <div class="textcontent" parseWidgets="false"  oncontextmenu="onSpanContextMenu(this, 'cd')">
          <xsl:attribute name="id">patent-div-aclm-dep-<xsl:value-of select="@name" /></xsl:attribute>
		      <xsl:value-of select="@name" />.
		      <xsl:apply-templates />
        </div>
		  </xsl:if>
		  <img src="img/comment.gif" style="display:none" class="imglink" >
			  <xsl:attribute name="id">Comment_Label_<xsl:value-of select="@name + 10000" /></xsl:attribute>
			  <xsl:attribute name="onclick">
				  showComment('<xsl:value-of select="@name + 10000" />')
			  </xsl:attribute>
		  </img>&#160;
		  <br />
		  <div style="display:none;width:50%"><xsl:attribute name="id">Comment_Div_<xsl:value-of select="@name + 10000" /></xsl:attribute></div>
     <div style="display:none" class="notediv">
			  <xsl:attribute name="id">Note_Div_<xsl:value-of select="@name + 10000" /></xsl:attribute>
     </div>

   </xsl:template>
	  

  <xsl:template match="Description">		
	<IMG id="patent-img-desc" class="patent-switchon" onclick="showDiv('desc')" src="img/minus.gif" />
	<SPAN id="patent-span-desc" class="patent-switchon" onclick="showDiv('desc')">说明</SPAN>
	<br />
	<A name="#desc">
	   <xsl:attribute name="id">patent-div-desc-anchor-<xsl:value-of select="@name" /></xsl:attribute> 
 </A>
	<DIV id="patent-div-desc">
	    <span oncontextmenu="onSpanContextMenu(this, 'cd')" ><CENTER><B><I>说明</I></B></CENTER></span>
		<img src="img/comment.gif" style="display:none" class="imglink" >
		  <xsl:attribute name="id">Comment_Label_20000</xsl:attribute>
		  <xsl:attribute name="onclick">showComment('20000')</xsl:attribute>
		</img>&#160;
    <br />
		<div style="display:none"><xsl:attribute name="id">Comment_Div_20000</xsl:attribute></div>
    <div style="display:none" class="notediv">
      <xsl:attribute name="id">Note_Div_20000</xsl:attribute>
    </div>
		<DIV><xsl:apply-templates /></DIV>
	</DIV>
  </xsl:template>
  
	  <xsl:template match="DescriptionPart">
		<xsl:if test="@id != 'DescriptionContent'">
		    <IMG class="patent-switchon" src="img/minus.gif">
		      <xsl:attribute name="id">patent-img-desc-<xsl:value-of select="@id" /></xsl:attribute>
		      <xsl:attribute name="onclick">showDiv('desc-<xsl:value-of select="@id" />')</xsl:attribute>
		    </IMG>
        <A>
          <xsl:attribute name="id">patent-div-desc-anchor-<xsl:value-of select="@name" /></xsl:attribute> 
		      <xsl:attribute name="name">#desc-<xsl:value-of select="@id" /></xsl:attribute>
		    </A>
		    <SPAN class="patent-switchon">
		    	<xsl:attribute name="id">patent-span-desc-<xsl:value-of select="@id" /></xsl:attribute>
		    	<xsl:attribute name="onclick">showDiv('desc-<xsl:value-of select="@id" />')</xsl:attribute><xsl:value-of select="@name" />
		    </SPAN>
		    <br />
		      <div parseWidgets="false" class="textcontent">
		        <xsl:attribute name="id">patent-div-desc-<xsl:value-of select="@id" /></xsl:attribute>
            <xsl:if test="@id='BRIEFDESCRIPTIONOFTHEDRAWINGS' or @id='BRIEFDESCRIPTIONOFDRAWINGS' or @id='附图说明' or @name='附图说明'">
              <IMG class="patent-switchon" src="img/plus-red.gif" id="patent-img-figure" onclick="showDiv('figure')"/>
              <SPAN id="patent-span-figure" class="patent-switchoff" onclick="showDiv('figure')">图片</SPAN>
              <BR />
              <center>
                <DIV id="patent-div-figure" class="querytab-content-active" style="display:none"></DIV>
              </center>
            </xsl:if>
		        <xsl:apply-templates />
		        <BR />
		      </div>
	      	</xsl:if>
		<xsl:if test="@id = 'DescriptionContent'">
		<xsl:apply-templates />
		</xsl:if>
	  </xsl:template>
  
  <xsl:template match="Patent">
    <xsl:apply-templates select="PN" />
    <xsl:apply-templates select="Date" />
    <xsl:apply-templates select="Title" />
    <img title="Frontpage of this patent" onmousewheel="return bbimg(this);" alt="Frontpage of this patent" id="patent-abst-frontimg" style="display:none;float:right;margin-top:10px;margin-left:5px" />
    <img id="copy-patent-abst-frontimg" alt="复制" title="复制" src="img/compare.gif" onmouseout="this.src='img/compare.gif'" onmouseover="this.src='img/compare-active.gif'" style="display:none;float: right; margin-top: 10px; margin-left: 5px;" class="imglink"/>
    <xsl:apply-templates select="Abstract" />
    <xsl:apply-templates select="Header" />
    <xsl:apply-templates select="FAPD" />
    <xsl:apply-templates select="Classification" />
    <xsl:apply-templates select="Reference" />
    <xsl:apply-templates select="Examiner" />
    <xsl:apply-templates select="Claims" />
    <xsl:apply-templates select="Description" />
  </xsl:template>
  
  <xsl:template match="/">
	<HTML>
	<HEAD>
		<!--meta http-equiv="Content-Type" content="text/html; charset=utf-8"/-->
    <TITLE>
        	<xsl:choose>
											<xsl:when test="Patent/PN &lt; 3987">
												H<xsl:value-of select="format-number(Patent/PN, '###,###,###', 'us')"/>
											</xsl:when>
											<xsl:when test="Patent/PN &lt; 28671">
												PP<xsl:value-of select="format-number(Patent/PN, '###,###,###', 'us')"/>
											</xsl:when>
											<xsl:when test="Patent/PN &lt; 242583">
												RE<xsl:value-of select="format-number(Patent/PN, '###,###,###', 'us')"/>
											</xsl:when>
											<xsl:when test="Patent/PN &lt; 3930271">
												D<xsl:value-of select="format-number(Patent/PN, '###,###,###', 'us')"/>
											</xsl:when>
                      <xsl:when test="Patent/PN &gt; 503000000 and Patent/PN &lt; 600000000">
                        U<xsl:value-of select="(Patent/PN - 503000000) mod 256"/>
                      </xsl:when>
											<xsl:when test="Patent/PN &lt; 20010000001">
												<xsl:value-of select="format-number(Patent/PN, '###,###,###', 'us')"/>
											</xsl:when>
											<xsl:otherwise>
												<xsl:value-of select="normalize-space(Patent/PN)"/>
											</xsl:otherwise>
										</xsl:choose>
      <!--<xsl:value-of select="Patent/PN" />-->&#160;<xsl:value-of select="Patent/Title" />
    </TITLE>
		<link href="css/querytab.css" rel="stylesheet" type="text/css" />
		<link href="css/querytag.css" rel="stylesheet" type="text/css" />
		<link href="css/querylist.css" rel="stylesheet" type="text/css" />
    <link href="css/statistic.css" rel="stylesheet" type="text/css" />
		<link href="css/showpatent.css" rel="stylesheet" type="text/css" />
		<script src="dojo.js" type="text/javascript"></script>
		<script src="js/constant_cn.js" type="text/javascript"></script>
    <script src="js/config.js" type="text/javascript"></script>
		<script src="js/common.js" type="text/javascript"></script>
    <script src="js/querystat.js" type="text/javascript"></script>
		<script src="js/searchcommon.js" type="text/javascript"></script>
		<script src="js/querylist.js" type="text/javascript"></script>
		<script src="js/querytab.js" type="text/javascript"></script>
		<script src="js/querytag.js" type="text/javascript"></script>
		<script src="js/project.js" type="text/javascript"></script>
    <script src="js/bookmark.js" type="text/javascript"></script>
		<script src="js/urlbuilder.js" type="text/javascript"></script>
		<script src="js/highlight.js" type="text/javascript"></script>
		<script src="js/showpatent.js" type="text/javascript"></script>
	  <script src="js/pnclipboard.js" type="text/javascript"></script>
	  <script src="js/figclipboard.js" type="text/javascript"></script>
    <script src="js/highlightpopup.js" type="text/javascript"></script>
    <script src="editor.js" type="text/javascript"></script>
	</HEAD>
  <BODY onkeyup="handleescapekey(event);" onmousemove="onBodyMouseMove(event);" onload="escaping()">
    <div  parseWidgets="false" id="popupdiv-highlightword" style="position:absolute;visibility:hidden; z-index:999; padding:3px 3px 3px 3px; border:solid 1px black; background:white;" >
    </div>
    <div onmouseout="onSearchTypeDivMouseOut(event);" parseWidgets="false" id="search-selecttype-div" style="position:absolute;visibility:hidden; z-index:998;padding:3px 1px 3px 0px; border:solid 1px black; background:white; " >
      <table>
        <tr>
    	    <td nowrap="true">
    	      <input displaytext="美国专利" id="searchtype-p" value="1" type="checkbox" onclick="setSearchTypeCheckBoxClickStatus(1);" /><span id="searchtype-p-span">美国专利<br /></span>
            <input displaytext="美国申请" id="searchtype-a" value="2" type="checkbox" onclick="setSearchTypeCheckBoxClickStatus(2);" /><span id="searchtype-a-span">美国申请<br /></span>
            <input displaytext="欧洲专利" id="searchtype-e" value="16" type="checkbox" onclick="setSearchTypeCheckBoxClickStatus(16);" /><span id="searchtype-e-span">欧洲专利<br /></span>
            <input displaytext="日本专利" id="searchtype-j" value="32" type="checkbox" onclick="setSearchTypeCheckBoxClickStatus(32);" /><span id="searchtype-j-span">日本专利<br /></span>
            <input displaytext="世界专利" id="searchtype-o" value="64" type="checkbox" onclick="setSearchTypeCheckBoxClickStatus(64);" /><span id="searchtype-o-span">世界专利<br /></span>     
            <input displaytext="中国专利" id="searchtype-c" value="4" type="checkbox" onclick="setSearchTypeCheckBoxClickStatus(4);" /><span id="searchtype-c-span">中国专利<br /></span>
            <input displaytext="参考文献" id="searchtype-r" value="8" type="checkbox" onclick="setSearchTypeCheckBoxClickStatus(8);" /><span id="searchtype-r-span">参考文献<br /></span>
            <input displaytext="用户文档" id="searchtype-d" value="128" type="checkbox" onclick="setSearchTypeCheckBoxClickStatus(128);" /><span id="searchtype-d-span">用户文档<br /></span>
            <input displaytext="Web搜索" id="searchtype-w" value="-1" type="checkbox" onclick="setSearchTypeCheckBoxClickStatus(-1);" /><span id="searchtype-w-span">Web搜索<br /></span>
            <input displaytext="学术搜索" id="searchtype-s" value="-2" type="checkbox" onclick="setSearchTypeCheckBoxClickStatus(-2);" /><span id="searchtype-s-span">学术搜索<br /></span>
          </td>
        </tr>
      </table>
    </div>
     <div parseWidgets="false" id="popupdiv-clipboardfig" style="position:absolute;visibility:hidden;width:100px; z-index:998; border:solid 1px black; background:#EDF1F8;" >
		    <table width="100%" cellpadding="0px" cellspacing="0px">
		        <tr align="right">
		            <td align="left">
		                <input type="checkbox" title="Check/Uncheck" style="height:11px;width:11px" onclick="checkAllClipboardFig(this);" />
		            </td>
		            <td align="right">
		                <img id="popupdiv-clipboardfig-project" src="img/import.gif" onmouseover="this.src='img/import-active.gif'" onmouseout="this.src='img/import.gif'" alt="添加项目" title="添加项目"  class="imglink" onclick="showProjectDiv(this, 'SAVECLIPBOARD', '', '1')" />
		                <img src="img/delete.gif" onmouseover="this.src='img/delete-active.gif'" onmouseout="this.src='img/delete.gif'" alt="删除" title="删除" class="imglink" onclick="clearClipboard();" />
		                <img onmouseover="this.src='img/close-active.gif'" onmouseout="this.src='img/close.gif'" src="img/close.gif" alt="关闭" title="关闭" onclick="closeClipboardFigDiv();" class="imglink" />
		            </td>
		        </tr>
		    </table>
		    <table cellpadding="0px" cellspacing="0px" id="popupdiv-clipboardfig-table">
		        <tr>
		            <td align="center">
		                <input type="button" value="Search" class="login-bt" style="width:90px; height:20px; font-size:12px" onclick="compareFigs();" /><br />
		            </td>
		        </tr>
		    </table>
		</div>
	  <div parseWidgets="false" id="search-popupdiv" style="visibility:hidden; z-index:999; width:250px; height:50px; background-color:#d3e4e6;" >
	    <input type="hidden" id="search-popupdiv-pn" />
	    <input type="hidden" id="search-popupdiv-guid" />
	    <table cellspacing="2" style=" margin:1px 1px 1px 1px" width="98%">
	        <tr>
	            <td style="width:98%" align="center">
	                <select onchange="doPopupDivSelectChange();" style="width:100%" class="selectproject" id="search-popupdiv-select" ></select>
	            </td>
	        </tr>
	        <tr>
	            <td style="width:98%" align="center">
		        <input class="login-bt" style="width:50px; vertical-align:middle;" id="search-popupdiv-temp" type="button" value="临时" onclick="doAddToTemp();" />&#160;
	                <input class="login-bt" style="width:50px; vertical-align:middle;" type="button" value="添加" onclick="doPopupDivAddClick();" />&#160;
	                <input class="login-bt" style="width:50px; vertical-align:middle" type="button" value="取消" onclick="closeProjectDiv();" />
	            </td>
	        </tr>
	        <tr>
	            <td style="width:98%" align="center">
	                 <div id="search-popupdiv-div" style="display:none;">
                     <form id="search-popupdiv-form" onsubmit="return false;" method="post">
                       <table>
                                <tr>
                                    <td>
                                        <span style="font-size:11px">名称:</span>
                                    </td>
                                    <td>
                                        <input type="text" style="height:18px;" name="sn" id="search-popupdiv-div-name" onchange="onChangeColor(this)"/>
                                        <input type="hidden" name="idi" />
                                        <input type="hidden" name="iopt" />
                                        <input type="hidden" name="sq" />
                                        <input type="hidden" name="it" />
                                    </td>
                                </tr>
                                <tr  id="search-popupdiv-color-tr">
                                    <td>
                                        <span style="font-size:11px">颜色:</span>
                                    </td>
                                    <td align="left">
                                        <select class="selectproject" name="sc" onchange="onChangeColor(this)">
                                         
                                        </select>
                                    </td>
                                </tr>
                                <tr>        
                                    <td>
                                        <span style="font-size:11px">描述:</span>
                                    </td>
                                    <td>
                                        <input type="text" style="height:18px" name="sdesc" id="search-popupdiv-div-description" />
                                    </td>
                                </tr>
                       </table>
                     </form>
	                </div>	   
	            </td>
	        </tr>
	    </table>
	</div>
    <div dojoType="SplitContainer" id="patent-div"
			orientation="vertical"
			sizerWidth="5"
			activeSizing="0" executeScripts="true" 
			style="width: 100%; height: 100%; background: #ffffff; overflow:auto">
			<div dojoType="ContentPane" sizeShare="100" id="patent-div-master" class="splitchild">
				<table width="100%">
					<tr>
						<td align="left" width="30%">
							<table>
								<tr>
									<td align="left">
										<span id="patent-title-span">
                      中国专利
                    </span>
	
									</td>
								</tr>
								<xsl:if test="Patent/KindCode">
									<tr>
										<td align="left">
											类别编码
										</td>
									</tr>
								</xsl:if>
								<tr>
									<td align="left">
										<xsl:value-of select="normalize-space(Patent/Header/Inventors/InventorsItem/InventorName)" />
									</td>
								</tr>
							</table>
						</td>
						<td align="center">
              <div id="showpatent-uspto-img" style="display:none">
							  <xsl:choose>
								  <xsl:when test="Patent/PN &gt; 10000000">
									  <a target="_blank">
										  <xsl:attribute name="href">http://appft1.uspto.gov/netacgi/nph-Parser?Sect1=PTO1&amp;Sect2=HITOFF&amp;d=PG01&amp;p=1&amp;u=%2Fnetahtml%2FPTO%2Fsrchnum.html&amp;r=1&amp;f=G&amp;l=50&amp;s1=%22<xsl:value-of select="normalize-space(Patent/PN)" />%22.PGNR.&amp;OS=DN/<xsl:value-of select="normalize-space(Patent/PN)" />&amp;RS=DN/<xsl:value-of select="normalize-space(Patent/PN)" /></xsl:attribute>
										  <img class="imglink" onmouseover="this.src='img/U-home-active.gif'" onmouseout="this.src='img/U-home.gif'" src="img/U-home.gif" title="查看美国专利原文" alt="查看美国专利原文"></img>
									  </a>
								  </xsl:when>
                  <xsl:when test="Patent/PN &lt; 10">
                    <a target="_blank">
										  <xsl:attribute name="href">http://patft.uspto.gov/netacgi/nph-Parser?Sect1=PTO1&amp;Sect2=HITOFF&amp;d=PALL&amp;p=1&amp;u=%2Fnetahtml%2FPTO%2Fsrchnum.htm&amp;r=1&amp;f=G&amp;l=50&amp;s1=H00000<xsl:value-of select="normalize-space(Patent/PN)" />.PN.&amp;OS=PN/H00000<xsl:value-of select="normalize-space(Patent/PN)" />&amp;RS=PN/H00000<xsl:value-of select="normalize-space(Patent/PN)" /></xsl:attribute>
										  <img class="imglink" onmouseover="this.src='img/U-home-active.gif'" onmouseout="this.src='img/U-home.gif'" src="img/U-home.gif" title="查看美国专利原文" alt="查看美国专利原文"></img>
									  </a>								
                  </xsl:when>
                  <xsl:when test="Patent/PN &gt; 9 and Patent/PN &lt; 100">
                    <a target="_blank">
										  <xsl:attribute name="href">http://patft.uspto.gov/netacgi/nph-Parser?Sect1=PTO1&amp;Sect2=HITOFF&amp;d=PALL&amp;p=1&amp;u=%2Fnetahtml%2FPTO%2Fsrchnum.htm&amp;r=1&amp;f=G&amp;l=50&amp;s1=H0000<xsl:value-of select="normalize-space(Patent/PN)" />.PN.&amp;OS=PN/H0000<xsl:value-of select="normalize-space(Patent/PN)" />&amp;RS=PN/H0000<xsl:value-of select="normalize-space(Patent/PN)" /></xsl:attribute>
										  <img class="imglink" onmouseover="this.src='img/U-home-active.gif'" onmouseout="this.src='img/U-home.gif'" src="img/U-home.gif" title="查看美国专利原文" alt="查看美国专利原文"></img>
									  </a>								
                  </xsl:when>
                  <xsl:when test="Patent/PN &gt; 99 and Patent/PN &lt; 3987">
                    <a target="_blank">
										  <xsl:attribute name="href">http://patft.uspto.gov/netacgi/nph-Parser?Sect1=PTO1&amp;Sect2=HITOFF&amp;d=PALL&amp;p=1&amp;u=%2Fnetahtml%2FPTO%2Fsrchnum.htm&amp;r=1&amp;f=G&amp;l=50&amp;s1=H000<xsl:value-of select="normalize-space(Patent/PN)" />.PN.&amp;OS=PN/H000<xsl:value-of select="normalize-space(Patent/PN)" />&amp;RS=PN/H000<xsl:value-of select="normalize-space(Patent/PN)" /></xsl:attribute>
										  <img class="imglink" onmouseover="this.src='img/U-home-active.gif'" onmouseout="this.src='img/U-home.gif'" src="img/U-home.gif" title="查看美国专利原文" alt="查看美国专利原文"></img>
									  </a>								
                  </xsl:when>
                  <xsl:when test="Patent/PN &gt; 28670 and Patent/PN &lt;100000">
                    <a target="_blank">
										  <xsl:attribute name="href">http://patft.uspto.gov/netacgi/nph-Parser?Sect1=PTO1&amp;Sect2=HITOFF&amp;d=PALL&amp;p=1&amp;u=%2Fnetahtml%2FPTO%2Fsrchnum.htm&amp;r=1&amp;f=G&amp;l=50&amp;s1=00<xsl:value-of select="normalize-space(Patent/PN)" />.PN.&amp;OS=PN/00<xsl:value-of select="normalize-space(Patent/PN)" />&amp;RS=PN/00<xsl:value-of select="normalize-space(Patent/PN)" /></xsl:attribute>
										  <img class="imglink" onmouseover="this.src='img/U-home-active.gif'" onmouseout="this.src='img/U-home.gif'" src="img/U-home.gif" title="查看美国专利原文" alt="查看美国专利原文"></img>
									  </a>								
                  </xsl:when>
                  <xsl:when test="Patent/PN &gt; 99999 and Patent/PN &lt;242583">
                    <a target="_blank">
										  <xsl:attribute name="href">http://patft.uspto.gov/netacgi/nph-Parser?Sect1=PTO1&amp;Sect2=HITOFF&amp;d=PALL&amp;p=1&amp;u=%2Fnetahtml%2FPTO%2Fsrchnum.htm&amp;r=1&amp;f=G&amp;l=50&amp;s1=0<xsl:value-of select="normalize-space(Patent/PN)" />.PN.&amp;OS=PN/0<xsl:value-of select="normalize-space(Patent/PN)" />&amp;RS=PN/0<xsl:value-of select="normalize-space(Patent/PN)" /></xsl:attribute>
										  <img class="imglink" onmouseover="this.src='img/U-home-active.gif'" onmouseout="this.src='img/U-home.gif'" src="img/U-home.gif" title="查看美国专利原文" alt="查看美国专利原文"></img>
									  </a>								
                  </xsl:when>
                  <xsl:otherwise>
									  <a target="_blank">
										  <xsl:attribute name="href">http://patft.uspto.gov/netacgi/nph-Parser?Sect1=PTO1&amp;Sect2=HITOFF&amp;d=PALL&amp;p=1&amp;u=%2Fnetahtml%2FPTO%2Fsrchnum.htm&amp;r=1&amp;f=G&amp;l=50&amp;s1=<xsl:value-of select="normalize-space(Patent/PN)" />.PN.&amp;OS=PN/<xsl:value-of select="normalize-space(Patent/PN)" />&amp;RS=PN/<xsl:value-of select="normalize-space(Patent/PN)" /></xsl:attribute>
										  <img class="imglink" onmouseover="this.src='img/U-home-active.gif'" onmouseout="this.src='img/U-home.gif'" src="img/U-home.gif" title="查看美国专利原文" alt="查看美国专利原文"></img>
									  </a>
								  </xsl:otherwise>
							  </xsl:choose>&#160;
              </div>
              <div id="showpatent-printout-img" style="display:inline">
							  <a id="printbutton" name="printbutton"  target="_blank" href="printout.htm" onclick="window.open('printout.htm','_blank')">
								  <img class="imglink" onmouseover="this.src='img/print-active.gif'" onmouseout="this.src='img/print.gif'" src="img/print.gif" title="打印专利" alt="打印专利"></img>
							  </a>&#160;
              </div>
              <div id="showpatent-showclaims-img" style="display:inline">
                <img id="showclaimsbutton" name="showclaimsbutton" onmouseover="this.src='img/showclaim-active.gif'" onmouseout="this.src='img/showclaim.gif'" src="img/showclaim.gif" title="显示此专利权利声明" alt="显示此专利权利声明" class="imglink" onclick="showClaims();"></img>&#160;
              </div>
			  <div id="showpatent-dopdf-img" style="display:none">
				<a id="pdfbutton" name="pdfbutton" href="#" target="_blank" style="border:none" onclick="return doPdf2(this);">
					<img class="imglink" onmouseover="this.src='img/pdf-active.gif'" onmouseout="this.src='img/pdf.gif'" src="img/pdf.gif" title="查看PDF" alt="查看PDF"></img>
			    </a>&#160;
			  </div>
							<div id="showpatent-expandallcomment-img" style="display:none">
                <img onmouseover="this.src='img/expandcomment-active.gif'" onmouseout="this.src='img/expandcomment.gif'" src="img/expandcomment.gif" title="展开所有评论" alt="展开所有评论" class="imglink" onclick="initCommentStatus(false);"></img>&#160;
							</div>
							<div id="showpatent-addtoproject-img" style="display:none">
                <img onmouseover="this.src='img/project-active.gif'" onmouseout="this.src='img/project.gif'" src="img/project.gif" title="添加专利到项目中" alt="添加专利到项目中" class="imglink" onclick="showProjectDiv(this, null, g_pn, '1');"></img>&#160;
							</div>
						</td>
						<td align="right" width="30%">
							<table>
								<tr>
									<td align="right">
										<xsl:choose>
											<xsl:when test="Patent/PN &lt; 3987">
												H<xsl:value-of select="format-number(Patent/PN, '###,###,###', 'us')"/>
											</xsl:when>
											<xsl:when test="Patent/PN &lt; 28671">
												PP<xsl:value-of select="format-number(Patent/PN, '###,###,###', 'us')"/>
											</xsl:when>
											<xsl:when test="Patent/PN &lt; 242583">
												RE<xsl:value-of select="format-number(Patent/PN, '###,###,###', 'us')"/>
											</xsl:when>
											<xsl:when test="Patent/PN &lt; 3930271">
												D<xsl:value-of select="format-number(Patent/PN, '###,###,###', 'us')"/>
											</xsl:when>
                      <xsl:when test="Patent/PN &gt; 503000000 and Patent/PN &lt; 600000000">
                        U<xsl:value-of select="(Patent/PN - 503000000) mod 256"/>
                      </xsl:when>
											<xsl:when test="Patent/PN &lt; 20010000001">
												<xsl:value-of select="format-number(Patent/PN, '###,###,###', 'us')"/>
											</xsl:when>
		  								<xsl:otherwise>
												<xsl:value-of select="normalize-space(Patent/PN)"/>
											</xsl:otherwise>
										</xsl:choose>
									</td>
								</tr>
								<xsl:if test="Patent/KindCode">
									<tr>
										<td align="right">
											<xsl:value-of select="normalize-space(Patent/KindCode)"/>
										</td>
									</tr>
								</xsl:if>
								<tr>
									<td align="right">
										<xsl:value-of select="normalize-space(Patent/Date)"/>
									</td>
								</tr>
							</table>
						</td>
					</tr>
				</table>
				<xsl:apply-templates select="Patent"/>
			</div>
			<div id="patent-div-slave" dojoType="ContentPane" sizeShare="0" class="splitchild-slave">
				<table width="100%" cellspacing="0" cellpadding="0"  border="0" >
                    <tr>
                        <td class="tab selectedtab" id="statistic-tab-td-Search"  noWrap="true" onclick="onChangeTab('Search');">
                            <img height="1" width="2"/><span>搜索</span><img height="1" width="2"/>
                        </td>
                        <td class="tabspacer" id="statistic-tab-td-Search-next"><img height="1" width="4"/></td>
                        <td class="tab unselectedtab" id="statistic-tab-td-Research"   noWrap="true" onclick="onChangeTab('Research');">
                            <img height="1" width="2"/><span >词频统计</span><img height="1" width="2"/>
                        </td>
                        <td class="tabspacer" id="statistic-tab-td-Research-next"><img height="1" width="4"/></td>
                        <td class="tab unselectedtab" id="statistic-tab-td-Claims"   noWrap="true" onclick="onChangeTab('Claims');">
                            <img height="1" width="2"/><span >权利要求</span><img height="1" width="2"/>
                        </td>
												<td class="tabspacer" id="statistic-tab-td-Claims-next"><img height="1" width="4"/></td>
                        <td class="tab unselectedtab" id="statistic-tab-td-PDF"   noWrap="true" onclick="onChangeTab('PDF');">
                            <img height="1" width="2"/><span >PDF格式</span><img height="1" width="2"/>
                        </td>
                        <td class="tabspacer" id="statistic-tab-td-PDF-next" style="display:none"><img height="1" width="4"/></td>
                        <td class="tab unselectedtab" id="statistic-tab-td-Comment"   noWrap="true" onclick="onChangeTab('Comment');">
                            <img height="1" width="2"/><span >评论</span><img height="1" width="2"/>
                        </td>
                        <td class="tablink tabdirectorylink" noWrap="true"  width="100%">
							<div class="mod" >
								<img id="slave-restore" alt="恢复" title="恢复" onmouseover="this.src='img/nw-active.gif'" onmouseout="this.src='img/nw.gif'" src="img/nw.gif" style="display:none" class="imglink" onclick="onChangeSlaveSizeIconClick(this)" />
								<img id="slave-max"  class="imglink"  alt="最大化" title="最大化" src="img/max.gif" onmouseover="this.src='img/max-active.gif'" onmouseout="this.src='img/max.gif'" onclick="onChangeSlaveSizeIconClick(this)" />&#160;
								<img class="imglink"  alt="关闭" title="关闭" onmouseover="this.src='img/close-active.gif'" onmouseout="this.src='img/close.gif'" src="img/close.gif" onclick="showSlaveDiv('patent-div', 'patent-div-master', 'patent-div-slave', 0, false)" />&#160;&#160;
							</div>
						</td>
                    </tr>
                </table>
			<div class="showpatent-slave-div" onscroll="setPopupDivPosition();">
			  <div id="patent-div-tab-search" class="tabelement">
				  <table width="100%" style="table-layout:fixed">
					  <tr>
							  <td align="left" width="100%" nowrap="true" >
                  <form onsubmit="return false;" id="search-form-slave" method="post">
                   
								  <input id="patent-input-slave-search" class="search-slave" onkeydown="checkSlaveKey(event);" type="text" onfocus="onInputFocus(this);"/>
                   <!--
                  <select id="patent-searchtype-select" class="searchtypeselect">
                    <option value="1">美国专利</option>
                    <option value="2">美国申请</option>
                    <option value="3">美国专利和申请</option>
                    <option value="4">中国专利</option>
                    <option value="8">参考文献</option>
                    <option value="12">中国专利和参考文献</option>
                    <option value="-1">Web搜索</option>
                    <option value="-2">学术搜索</option>
                  </select>
                  -->
                  <div id="searchtype-container-div" class="combobox">
                    <span typevalue="1" class="combobox" id="searchtype-span" onmouseover="onSearchTypeMouseOver(this);" onmouseout="onSearchTypeMouseOut(this)" onclick="onSearchTypeClick(this);">美国专利</span><img alt="" id="searchtype-img" class="combobox" onmouseover="this.src='img/combobox-arrow-active.gif'" onmouseout="this.src='img/combobox-arrow.gif'" src="img/combobox-arrow.gif" onclick="onSearchTypeClick(document.getElementById('searchtype-span'));"/></div>

                  <input type="button" value="搜索" onclick="onSearchButtonClick();" class="patentsearch-bt"></input>
                  <input type="hidden" id="search-slave-spn" name="spn" value="0" />
                  <input type="hidden" id="search-slave-ips" name="ips" value="20" />
                  <input type="hidden" id="search-slave-ipi" name="ipi" value="0" />
                  <input type="hidden" id="search-slave-ip" name="ip" value="0" />
                  <input type="hidden" id="search-slave-sq" name="sq" value="" />
                  <input type="hidden" id="search-slave-sd" name="sd" value="C"/>
                  <input type="hidden" id="search-slave-irt" name="iopt" value="5" />
                  <input type="hidden" id="search-slave-ss" name="ss" value="p" />
                  <input type="hidden" id="search-slave-idi" name="idi" value="1" />
                  <input type="hidden" id="search-slave-sc" name="sc" value="" />
                 </form>
							  </td>
						  </tr>
				  </table>

				  <div id="patent-div-tab-searchresult-realated" style="display:inline"></div>
				  <div id="patent-div-tab-searchresult" style="width:100%"></div>
			  </div>
			  <div id="patent-div-tab-stat"  class="tabelement" style="display:none" >
				<table id="patent-div-tab-stat-table" style="display:none">
					
				  <tr>
					<td></td>
					<td align="center"  width="100px">
					  <a href="#abst">
						<b>在摘要中</b>
					  </a>
					</td>
					<td align="center" width="100px">
					  <a href="#aclm">
						<b>在权利要求中</b>
					  </a>
					</td>
					<td align="center" width="100px">
					  <a href="#desc">
						<b>在说明中</b>
					  </a>
					</td>
					<td align="center" width="80px" style="display:none;">
					  <b>标记词</b>
					</td>
					<td align="center" width="70px">
					  <b>标记颜色</b>
					</td>
				  </tr>
				</table>
				<!--  <table>
					  <tr>
						  <td colspan="6">
							  <input type="text" />
							  <input type="button" onclick="doInputWordStatistic(this);" value="高亮标记"/>
							  <input type="button" class="wordmarkrefresh"  id="wordmarkrefresh" onclick="refreshMark()" value="refresh"/>
						
						  </td>
					  </tr>
				  </table>-->
			  </div>
			  <div id="patent-div-tab-claims" class="tabelement" style="display:none">
				  <table id="patent-div-tab-claims-table">
					  <tr></tr>
				  </table>
			  </div>
			  <div id="patent-div-tab-pdf"  class="tabelement" style="display:none;width:100%;height:100%">
					<iframe name="pdfframe" id="pdfframe"  scrolling="no" style="width:100%;height:98%"></iframe>
			  </div>
			  <div id="patent-div-tab-comment"  class="tabelement" style="display:none">
           			<div id="commentFormDiv" style="display:none" >
					<form id="commentForm" method="post" >
              			<input id="commentPN" type="hidden" name="spn"> 
              				<xsl:attribute name="value"><xsl:value-of select="normalize-space(Patent/PN)" /></xsl:attribute>
              			</input>
              			<input id="commentParentID" type="hidden" name="ip" />
						<input id="commentSectionID" type="hidden" name="is" />
						<input type="hidden" name="it" />
						<input type="hidden" name="iid" />
						<input type="hidden" name="sot" />
            <input type="hidden" name="iw" value="1" />
            <table width="98%">
              <tr id="commentNameTr">
								<td align="left" width="10%">
									姓名: 
								</td>
								<td align="left" width="90%">
									<input disabled="true"  id="commentUID" type="text"/>
								</td>						
							</tr>
              <tr id="commentTitleTr">
								<td align="left" width="10%">
									标题:
								</td>
								<td align="left" width="90%">
									<input id="commentTitle" size="70"  type="text" name="st" />
								</td>
							</tr>
              <tr id="commentTypeTr">
                <td align="left" width="10%">
									类别:
								</td>
								<td align="left" width="90%">
									<input style="vertical-align:middle" checked="true"  id="commentType1" type="checkbox" name="type1" value="1" />
									<img style="vertical-align:middle" title='Public Readable' alt='Public Readable'  align='absmiddle' src='img/public-readable.gif'></img>
									公共可见&#160;
									<input style="vertical-align:middle" checked="true"  id="commentType2" type="checkbox" name="type2" value="2" />
									<img style="vertical-align:middle" title='Public Replyable' alt='Public Replyable' align='absmiddle' src='img/public-replyable.gif'></img>
									公共可回复&#160;
									<input style="vertical-align:middle" id="commentType3" type="checkbox" name="type3" value="4" />
									<img style="vertical-align:middle" title='Expert Note' alt='Expert Note' align='absmiddle' src='img/expert-note.gif'></img>
									专家评注&#160;
									<input style="vertical-align:middle" id="commentType4" type="checkbox" name="type4" value="8" />
									<img style="vertical-align:middle" title='System Note' alt='System Note' align='absmiddle' src='img/system-note.gif'></img>
									管理员评注&#160;
								</td>
							</tr>
							<tr>
								<td align="left" width="10%">
									共享:
								</td>
								<td align="left" width="90%">
									<select style="width:100%" class="selectproject" id="class-shared-select" itype="0" sid="0"></select>
								</td>
							</tr>
							<tr>
								<td align="left" width="10%">
									内容:
								</td>
                <td align="left" width="90%">
                  <textarea style="width:95%; height:130px" id="commentContent">
                  </textarea>
                </td>
                </tr>
            </table>
              			<input type="button" value="Save" onclick="doCommentAddorUpdate();" />
            <textarea rows="1" cols="1" style="display:none" name="sc">
            </textarea>
					 </form> 
					</div>
					<div id="commentStat" style="display:none">已保存.</div>
			</div>
			  </div>
			</div>
		</div>

	  <div dojoType="PopupMenu2" widgetId="contextmenu" contextMenuForWindow="true">
		  <div id="nsmenuitem" dojoType="MenuItem2" caption="搜索" submenuId="submenuns"></div>
		  <div id="rsmenuitem" dojoType="MenuItem2" caption="二次搜索" submenuId="submenurs"></div>
		  <div id="webmenuitem" dojoType="MenuItem2" caption="Web搜索" submenuId="submenuweb"></div>
		  <div dojoType="MenuSeparator2"></div>
		  <div dojoType="MenuItem2" caption="转到摘要" onClick="window.location.replace('#abst');"></div>
		  <div dojoType="MenuItem2" caption="转到权利要求" submenuId="submenuclaims"></div>
		  <div dojoType="MenuItem2" caption="转到说明" submenuId="submenudesc"></div>
		  <div dojoType="MenuSeparator2"></div>
		  <div id="wrsmenuitem" dojoType="MenuItem2" caption="词频研究" onClick="doWordStatistic(g_selHTML);"></div>
		  <div id="addcommentmenuitem" dojoType="MenuItem2" caption="添加评论" onClick="prepareCommentAdd(g_currentSectionID, '1', '1')"></div>
      <div id="addnotemenuitem" dojoType="MenuItem2" caption="添加个人注释" onClick="prepareNoteAdd(g_currentSectionID)"></div>
      <div id="ptmenuitem" dojoType="MenuItem2" caption="添加到项目中" onClick="onPtMenuClick();"  ></div>
 		  <div dojoType="MenuSeparator2"></div>
		  <div id="cpmenuitem" dojoType="MenuItem2" caption="复制" onClick="onMenuClickCopy()"></div>
		  <div id="pastemenuitem" dojoType="MenuItem2" caption="粘贴" onclick="onMenuClickPaste()"></div>
    </div>
	  
	  <div dojoType="PopupMenu2" widgetId="submenurs">
		  <div dojoType="MenuItem2" id="subrsconcept" caption="在概念中" onClick="doSearchByMenuClick('r','R');"></div>
      <div dojoType="MenuItem2" id="subrsrank" caption="按其来排序" onClick="doSearchByMenuClick('r','R');"></div>
      <div dojoType="MenuItem2" id="subrsboolean" caption="在关键词中" onClick="doSearchByMenuClick('r','B');"></div>
		  <div dojoType="MenuItem2" id="subrsttl" caption="在标题中" onClick="doSearchByMenuClick('r','TTL');"></div>
		  <div dojoType="MenuItem2" id="subrsabst" caption="在摘要中" onClick="doSearchByMenuClick('r','ABST');"></div>
		  <div dojoType="MenuItem2" id="subrsaclm" caption="在权利要求中" onClick="doSearchByMenuClick('r','ACLM');"></div>
		  <div dojoType="MenuItem2" id="subrsspec" caption="在说明中" onClick="doSearchByMenuClick('r','SPEC');"></div>
		  <div dojoType="MenuItem2" id="subrsan" caption="在公司中"  onClick="doSearchByMenuClick('r','AN');"></div>
		  <div dojoType="MenuItem2" id="subrsin" caption="在发明者中" onClick="doSearchByMenuClick('r','IN');"></div>
		  <div dojoType="MenuItem2" id="subrsccl" caption="在美国分类中" onClick="doSearchByMenuClick('r','CCL');"></div>
      <div dojoType="MenuItem2" id="subrsicl" caption="在国际分类中" onClick="doSearchByMenuClick('r','ICL');"></div>
	  </div>
	  <div dojoType="PopupMenu2" widgetId="submenuns">
		  <div dojoType="MenuItem2" id="subnsconcept" caption="在概念中" onClick="doSearchByMenuClick('n','R');"></div>
		  <div dojoType="MenuItem2" id="subnsboolean" caption="在关键词中" onClick="doSearchByMenuClick('n','B');"></div>
		  <div dojoType="MenuItem2" id="subnsttl" caption="在标题中" onClick="doSearchByMenuClick('n','TTL');"></div>
		  <div dojoType="MenuItem2" id="subnsabst" caption="在摘要中" onClick="doSearchByMenuClick('n','ABST');"></div>
		  <div dojoType="MenuItem2" id="subnsaclm" caption="在权利要求中" onClick="doSearchByMenuClick('n','ACLM');"></div>
		  <div dojoType="MenuItem2" id="subnsspec" caption="在说明中" onClick="doSearchByMenuClick('n','SPEC');"></div>
		  <div dojoType="MenuItem2" id="subnsan" caption="在公司中"  onClick="doSearchByMenuClick('n','AN');"></div>
		  <div dojoType="MenuItem2" id="subnsin" caption="在发明者中" onClick="doSearchByMenuClick('n','IN');"></div>
		  <div dojoType="MenuItem2" id="subnsccl" caption="在美国分类中" onClick="doSearchByMenuClick('n','CCL');"></div>
      <div dojoType="MenuItem2" id="subnsicl" caption="在国际分类中" onClick="doSearchByMenuClick('n','ICL');"></div>
	  </div>
	  <div dojoType="PopupMenu2" widgetId="submenuweb">
		  <div dojoType="MenuItem2" caption="Google搜索" onClick="doSearchByMenuClick('1', '');"></div>
		  <div dojoType="MenuItem2" caption="学术搜索" onClick="doSearchByMenuClick('2', '');"></div>
	  </div>
	  <div dojoType="PopupMenu2" widgetId="submenuclaims">
		  <div dojoType="MenuItem2" caption="Claims" onClick="document.getElementById('patent-div-aclm-anchor-aclm').scrollIntoView();"></div>
		  <xsl:for-each select="Patent/Claims/Claim[@dep='0' and @name &gt;= 1]">
			  <div dojoType="MenuItem2">
				  <xsl:attribute name="caption">
					  <xsl:value-of select="@name" />. <xsl:value-of select="substring(.,1,30)" />...
				  </xsl:attribute>
				  <xsl:attribute name="onClick">
            document.getElementById('patent-div-aclm-anchor-<xsl:value-of select="@name" />').scrollIntoView();
 				  </xsl:attribute>
			  </div>
		  </xsl:for-each>
	  </div>
	  <div dojoType="PopupMenu2" widgetId="submenudesc">
		  <div dojoType="MenuItem2" caption="Descriptions" onClick="document.getElementById('patent-div-desc-anchor-').scrollIntoView();"></div>
		  <xsl:if test="Patent/Description/DescriptionPart[1]/@id != 'DescriptionContent'">
			  <xsl:for-each select="Patent/Description/DescriptionPart">
				  <div dojoType="MenuItem2">
					  <xsl:attribute name="caption">
						  <xsl:value-of select="@name" />
					  </xsl:attribute>
					  <xsl:attribute name="onClick">
              document.getElementById('patent-div-desc-anchor-<xsl:value-of select="@name" />').scrollIntoView();
 					  </xsl:attribute>
				  </div>
			  </xsl:for-each>
		  </xsl:if>
	  </div>
    
    <script type="text/javascript">
      dojo.event.connect(document.body, "oncontextmenu", "prepareContextMenu");
      <xsl:if test="substring(normalize-space(/Patent/PN), 1, 2) != 'CN' and string-length(normalize-space(/Patent/PN)) = 11">
        var g_pn = '<xsl:value-of select="substring(normalize-space(/Patent/PN), 4)" />';
      </xsl:if>
      <xsl:if test="substring(normalize-space(/Patent/PN), 1, 2) = 'CN' or (string-length(normalize-space(/Patent/PN)) &lt; 11 or string-length(normalize-space(/Patent/PN)) &gt; 11)">
        var g_pn = '<xsl:value-of select="normalize-space(/Patent/PN)" />';
      </xsl:if>
      var g_claimsCount = <xsl:value-of select="count(/Patent/Claims/Claim)" />;
      var g_descriptionsCount = <xsl:value-of select="count(/Patent/Description//Section)" />;
      var g_innerpn = '<xsl:value-of select="normalize-space(/Patent/InnerPN)" />'
    </script>
	  
	</BODY>
</HTML>
  </xsl:template>
</xsl:stylesheet>