﻿dojo.require("dojo.string");
dojo.require("dijit.layout.ContentPane");
dojo.require("dijit.layout.SplitContainer");
dojo.require("dijit.form.ComboBox");
//dojo.require("dojox.widget.Wizard");

function checkAll(checkboxSwitch, checkboxGroup)
{
    for (var i = 0;i < checkboxGroup.length; i++)
    {
        if (checkboxGroup[i].type == 'checkbox')
            checkboxGroup[i].checked = checkboxSwitch.checked;
    }
}

function hideParentNode(obj, tag)
{
    obj = obj.parentNode;
    while (obj && obj.tagName.toLowerCase() != tag.toLowerCase())
    {
        obj = obj.parentNode;
    }
    if (obj)
        obj.style.display = 'none';
}

function findParentNode(obj, tag, index)
{    
    for (var i = 0; obj && i < index; ++i)
    {
        do
        {
            obj = obj.parentNode;
        }
        while(obj && obj.tagName != tag.toUpperCase())
    }
    if (i == index)
        return obj;
    else
        return null;
}

function isChildOf(childobj, parentobj)
{
    if(childobj == null || parentobj == null)
        return false;
    do
    {
        childobj = childobj.parentNode;
        if(childobj == null)
            return false;
        else if(childobj == parentobj)
            return true;
    }
    while(true)
}

function findSiblingBefore(obj, tag, index)
{    
    for (var i = 0; obj && i < index; ++i)
    {
        do
        {            
            obj = obj.previousSibling;
        }
        while (obj && obj.tagName != tag.toUpperCase())
    }
    if (i == index)
        return obj;
    else
        return null;
}

function findSiblingAfter(obj, tag, index)
{    
    for (var i = 0; obj && i < index; ++i)
    {
        do
        {
            obj = obj.nextSibling;
        }
        while (obj && obj.tagName != tag.toUpperCase())
    }
    if (i == index)
        return obj;
    else
        return null;
}

function getFormElementValue(form, name)
{
    if(form == null || isNullorEmpty(name))
        return null;
    var elems = form.elements;
    for (var i = 0; i < elems.length; ++i)
        if (elems[i].name == name && elems[i].checked)
            return elems[i].value;
    return null;
}

function setFormElementValue(form, name, value)
{
    var elems = form.elements;
    for (var i = 0; i < elems.length; ++i)
        if (elems[i].name == name)
        {
            if (elems[i].type == "radio" || elems[i].type == "checkbox")
            {
                if (value != elems[i].value)
                    continue;
                else
                {
                    elems[i].checked = true;
                    break;
                }
            }
            else
                elems[i].value = value;
        }        
}

function bbimg(o)
{
	var zoom=parseInt(o.style.zoom, 10)||100;zoom+=event.wheelDelta/12;if (zoom>0) o.style.zoom=zoom+'%';
	return false;
}

function showSlaveDiv(splitPaneId, masterPaneId, slavePaneId, slaveHeight, keepSlavePaneSize)
{
    var slave = dijit.byId(slavePaneId);
    var master = dijit.byId(masterPaneId);
    var main = dijit.byId(splitPaneId);
    if (!keepSlavePaneSize || slave.sizeShare * (100 - slaveHeight) < master.sizeShare * slaveHeight)
    {
        dijit.byId(masterPaneId).sizeShare = 100 - slaveHeight;
        dijit.byId(slavePaneId).sizeShare = slaveHeight;
        dijit.byId(splitPaneId).layoutPanels();  
    }
}

function textContentToSearch(node)
{
	var _result = "";
	if (node == null) { return _result; }
	for (var i = 0; i < node.childNodes.length; i++) {
		switch (node.childNodes[i].nodeType) {
			case 1: // ELEMENT_NODE
			case 5: // ENTITY_REFERENCE_NODE
				if (node.childNodes[i].tagName == "SUP" || node.childNodes[i].tagName == "SUB")
				{
					_result += " ";
					_result += textContentToSearch(node.childNodes[i]);
					_result += " ";
				}
				else
					_result += textContentToSearch(node.childNodes[i]);
				break;
			case 3: // TEXT_NODE
			case 2: // ATTRIBUTE_NODE
			case 4: // CDATA_SECTION_NODE
				_result += node.childNodes[i].nodeValue;
				break;
			default:
				break;
		}
	}
	return _result;
}

function getAdjacentText(startNode, endNode)
{
	var _result = '';
	if (!startNode && !endNode) { return _result; }
	var snode;
	if (!startNode)
	    snode = endNode.previousSibling;
	else
	    snode = startNode.nextSibling;
	var isEnd = false;
	while (!isEnd)
	{
		switch (snode.nodeType) {
			case 1: // ELEMENT_NODE
			case 5: // ENTITY_REFERENCE_NODE
				_result += textContentToSearch(snode);							
				break;
			case 3: // TEXT_NODE
			case 2: // ATTRIBUTE_NODE
			case 4: // CDATA_SECTION_NODE
				_result += snode.nodeValue;
				break;
			default:
				break;
		}
		snode = snode.nextSibling;
		if (!snode)
			isEnd = true;
	    else if (snode == endNode)
	        isEnd = true;
		else if (!endNode && snode.nodeType == 1 && snode.tagName == "BR")
			isEnd = true;
	}
	return _result;
}

function htmlEncode(strS)
{
	return(strS.replace(/&/g,"&amp;").replace(/</g,"&lt;").replace(/>/g,"&gt;").replace(/ /g,"&nbsp;").replace(/\r\n/g,"<br\/>"));
}

function htmlDecode(strS)
{
	return(strS.replace(/<br\/?>/ig,"\r\n").replace(/&nbsp;/ig," ").replace(/&gt;/ig,">").replace(/&lt;/ig,"<").replace(/&amp;/ig,"&"));
}

function isNullorEmpty(str)
{
    if(!str)
        return true;
    return (str == null || str == 'undefined' ||dojo.string.trim(str) == '');
}

function getElementByClassName(obj, tag, className)
{
    if(obj == null || isNullorEmpty(tag) || isNullorEmpty(className))
        return null;
    var objs = obj.getElementsByTagName(tag);
    if(objs == null || objs.length == 0)
        return;
    for(var i = 0; i < objs.length; i++)
        if(objs[i].className.toLowerCase() == className.toLowerCase())
            return objs[i];
    return null;
}


function calculateOffset(field, attr) 
{
    var offset = 0;
	while(field)
	{
		offset += field[attr];
		field = field.offsetParent;
		
	}
    return offset;
}

function XSLTtrans(xmldata, xslfile)
{
    var xmlDoc;
    var xslDoc;

    // 判断浏览器的类型
    if(document.implementation && document.implementation.createDocument)
    {        
        // 支持Mozilla浏览器
        try
        {
            var parser = new DOMParser();
            xmlDoc = parser.parseFromString(xmldata, "text/xml");
        }
        catch(e)
        {
            return "XML Document create error";
        }
        try
        {
            xslDoc = document.implementation.createDocument("", "", null);
            xslDoc.async = false;
            xslDoc.load(xslfile);
        }
        catch(e)
        {
            return "XSL Document load error";;
        }
        try
        {
            // 定义XSLTProcessor对象    
            var xsltProcessor = new XSLTProcessor();
            xsltProcessor.importStylesheet(xslDoc);
            var oResultFragment = xsltProcessor.transformToFragment(xmlDoc,document);
            var targetdiv = document.createElement('div');
            // 将解析过的文本输出到页面
            targetdiv.appendChild(oResultFragment);
            return targetdiv.innerHTML;
        }
        catch(e)
        {
             return "XSLT Transformation error";
        }    
    }
    else if(typeof window.ActiveXObject != 'undefined')
    {        
        // 支持IE浏览器
        xmlDoc = new ActiveXObject('Microsoft.XMLDOM');
        xslDoc = new ActiveXObject('Microsoft.XMLDOM'); 
        xmlDoc.async = false;
        xslDoc.async = false;    
        xmlDoc.loadXML(xmldata);
        xslDoc.load(xslfile);
        var result = xmlDoc.documentElement.transformNode(xslDoc); 
        return result;
    }
    else
    {
        return "Sorry, your browser does not support XSLT trnsformation. Please try IE 5.5+ or Firefox 1.5+";
    }
}

function getDojoRequestResult(url, mimeType, xsltFile, argsForm, argsArray, callbackFunc, callbackFuncArgsArray, callbackErrorFunc) //mimeType: 'html' or 'json'
{
    var requestType = '';
    if(mimeType == 'json')
        requestType = 'text/json';
    else //html
        requestType = 'text/html';
    var form = null;
    if(argsArray != null)
    {
        form = document.createElement('form');
        var key = '';
        for(key in argsArray)
        {
            var input = document.createElement('textarea');
            input.name = key;
            input.value = argsArray[key];
            form.appendChild(input);
        }
    }
    else
        form = argsForm;
    var methodname = 'get';
    if(form != null)
        methodname = 'post';
    var request = {
        form: form,
        handleAs:requestType,
        load: function(response, ioArgs){
            try
            {
                if(mimeType == 'json')
                {
                    var ret = eval(response);
                    callbackFunc(ret, callbackFuncArgsArray);
                }
                else //html
                {
                    if(!isNullorEmpty(xsltFile))
                        callbackFunc(XSLTtrans(response, xsltFile), callbackFuncArgsArray);
                    else
                        callbackFunc(response, callbackFuncArgsArray);
                }
            }
            catch(e)
            {
                alert(e);
            }
        },
		error: function(error,ioArgs) { 
		    callbackErrorFunc(error.message, callbackFuncArgsArray);
		}
    };
    dojo.xhr(methodname,request);
}

function switchDivDisplay(allIdArray, displayId, displayType)
{
    if(displayType == null)
        displayType = '';
    if(allIdArray == null)
        return;
    for(var i = 0; i < allIdArray.length; i++)
    {
        var div = dojo.byId(allIdArray[i]);
        if(div == null)
            continue;
        if(allIdArray[i] == displayId)
            div.style.display = displayType;
        else
            div.style.display = 'none';     
    }
}

function showMinusPlusDiv(thisobj, guid, imgprefix, hiddenobjprefix, callbackFunc, argsArray)
{
    var imgobj = dojo.byId(imgprefix + guid);
    var hiddenobj = dojo.byId(hiddenobjprefix + guid);
    if(imgobj == null || hiddenobj == null)
        return;
	if(hiddenobj.style.display == 'none')
	{
		hiddenobj.style.display = '';
		imgobj.src = c_sImgPath_Minus;
		if(callbackFunc != null)
		    callbackFunc(argsArray);
	}
	else
	{
		hiddenobj.style.display = 'none';
		imgobj.src = c_sImgPath_Plus;
	}
}

function removeComboboxOptions(combobox)
{
    if(combobox != null)
    {
        var length = combobox.options.length;
        while(length != 0)
        {  
            for(var i = 0; i < length; i++)
                combobox.remove(i);
            length = combobox.options.length;
        }
    }
}
