﻿
dojo.require("dojo.io.*");
//var patentInfoEditor = new WYSIWYG_Editor('patentInfoEditor');
c_sLoading = 'Loading...';


function XSLTtrans(xmldata, xslfile)
{
    var xmlDoc;
    var xslDoc;

    // 判断浏览器的类型
    if(document.implementation && document.implementation.createDocument)
    {        
        // 支持Mozilla浏览器
        try
        {
            //xmlDoc = document.implementation.createDocument("", "", null);    
            //xmlDoc.async = false;
            //xmlDoc.load(url);
            var parser = new DOMParser();
            xmlDoc = parser.parseFromString(xmldata, "text/xml");
        }
        catch(e)
        {
            return "XML Document create error";
        }
        try
        {
            xslDoc = document.implementation.createDocument("", "", null);
            xslDoc.async = false;
            xslDoc.load(xslfile);
        }
        catch(e)
        {
            return "XSL Document load error";;
        }
        try
        {
            // 定义XSLTProcessor对象    
            var xsltProcessor = new XSLTProcessor();
            xsltProcessor.importStylesheet(xslDoc);
            var oResultFragment = xsltProcessor.transformToFragment(xmlDoc,document);
            var targetdiv = document.createElement('div');
            // 将解析过的文本输出到页面
            targetdiv.appendChild(oResultFragment);
            return targetdiv.innerHTML;
        }
        catch(e)
        {
             return "XSLT Transformation error";
        }    
    }
    else if(typeof window.ActiveXObject != 'undefined')
    {        
        // 支持IE浏览器
        xmlDoc = new ActiveXObject('Microsoft.XMLDOM');
        xslDoc = new ActiveXObject('Microsoft.XMLDOM'); 
        //xmlDoc = new ActiveXObject('Msxml2.DOMDocument.6.0');
        //xslDoc = new ActiveXObject('Msxml2.DOMDocument.6.0'); 
        xmlDoc.async = false;
        xslDoc.async = false;    
        xmlDoc.loadXML(xmldata);
        xslDoc.load(xslfile);
        var result = xmlDoc.documentElement.transformNode(xslDoc); 
        return result;
    }
    else
    {
        return "Sorry, your browser does not support XSLT trnsformation. Please try IE 5.5+ or Firefox 1.5+";
    }
}

function showCommentContent(id)
{
    var tr = dojo.byId('comment-tr-' + id);
    if(tr != null)
    {
        if(tr.style.display == '')
            tr.style.display = 'none';
        else
            tr.style.display = '';
    }
}

function onSearchClick()
{   
    var pn = dojo.byId('patentid').value;
    var commentDiv = dojo.byId('CommentDiv');
    if(pn == '')
    {
        commentDiv.style.display = 'none';
        return;
    }
    commentDiv.pn = pn;
    getCommentByPatentNO(pn);
}

function getCommentByPatentNO(pn)
{
    var commentDiv = dojo.byId('CommentDiv');
    commentDiv.style.display = '';
    commentDiv.innerHTML = c_sLoading;
    var url = 'invokexml.do?sf=CommentGet&spn=' + pn + '&is=0&igc=1' + '&random=' + Math.random();
    var request = {
        url:url,
        handleAs:"text",
        load: function(response, ioArgs){
            commentDiv.innerHTML = XSLTtrans(response, 'patentinfoadd.xsl');
            //patentInfoEditor.display();
            dojo.byId('PatentInfoDiv').style.display = '';
            var form = dojo.byId('commentForm');
            form.iid.value = '';
            form.spn.value = pn;
            dojo.byId('PatentInfoUpdateButton').disabled = true;
            dojo.byId('PatentNumberLinkToSearch').style.display = '';
            dojo.byId('PatentNumberLinkToSearch').innerHTML = pn;
        },
        error: function(error, ioArgs) { commentDiv.innerHTML = error.message;}
    };
    dojo.xhrGet(request);
}

function doLinkToSearch()
{
   var pn = dojo.byId('PatentNumberLinkToSearch').innerHTML;
   var url = 'search.htm?sq=' + pn;
   window.open(url);
}

function doPatentInfoDelete(id)
{
    if(confirm('You are going to remove this comment.Continue?') == false)
        return;
    var url = 'invokejson.do?sf=CommentDelete&iid=' + id;
    var request = new dojo.io.Request(url, 'text/json', null, false);
    var request= {
        url:url,
        handleAs:"json",        
	    load: function(ret, ioArgs){
	        if(ret.Error != null)
		        alert('Delete comment failed!' +  + ret.Error);
		    else
		        getCommentByPatentNO(dojo.byId('CommentDiv').pn);
	    },
        error: function(error,ioArgs) { alert(error.message); }
    };
    dojo.xhrGet(request);
}

function doPatentInfoUpdate(id)
{
    var title = dojo.byId('comment-title-' + id).innerHTML;
    var content = dojo.byId('comment-content-' + id).innerHTML;
    dojo.byId('PatentInfoUpdateInput').value = title;
    //patentInfoEditor.content = content;
    //patentInfoEditor.display();
    editor_setHTML('PatentInfoUpdateTextarea', content);
    dojo.byId('commentForm').iid.value = id;
    dojo.byId('PatentInfoUpdateButton').disabled = false;
}

function doCommentAddorUpdate(functiontype) //functiontype :1 add 2 update
{
    var title = dojo.byId('PatentInfoUpdateInput').value;
    if(title == '' || title == null)
    {
        alert('Comment title can not be empty!');
        return;
    }
    var form = dojo.byId('commentForm');
    form.sot.value = functiontype;
    form.st.value = title;
    var url = '';
    if(form.sot.value == '1')
        url = 'invokejson.do?sf=CommentAdd&random=' + Math.random();
    else if(form.sot.value == '2')
        url =  'invokejson.do?sf=CommentUpdate&random=' + Math.random(); 
    form.it.value = 16;
    //form.sc.value = patentInfoEditor.prepareSubmit();
    form.sc.value = editor_getHTML('PatentInfoUpdateTextarea');
   
    var request = {
        url:url,
        handleAs:"json",
        form: form,
	    load: function(ret, ioArgs){
	       // var ret = eval(evaldObj);
	        if(ret.Error != null)
		    {
		        alert('Add comment failed!' + ret.Error);
		    }
		    else
		    {
		        getCommentByPatentNO(dojo.byId('CommentDiv').pn);
		    }  	    
	    },
        error: function(error,ioArgs) { alert(error.message); }
    };
    dojo.xhrPost(request);
}


function onLoad()
{
    editor_generate('PatentInfoUpdateTextarea');
    getUserLoginState();
}

function Login()
{
    var divf = dojo.byId('login-form-div');
    divf.style.display = 'none';
    var dive = dojo.byId('login-result-div');
    dive.style.display = '';
    dive.innerHTML = 'Waiting...';
    var url = 'invokejson.do?sf=UserLogin&random=' + Math.random();
	var request = {
	    url:url,
	    hanleAs:"json",
		form: 'login-form',
		load: function(ret, ioArgs){
			if(ret.Error != null)
			{
			    divf.style.display = '';
			    dive.style.display = 'none';
			    alert( 'Login failed!' + ret.Error);
			}
			else
			{
			    divf.style.display = 'none';
			    dive.style.display = 'none';
			    dojo.byId('PatentNumberInputDiv').style.display = '';
			}  	    
		},
		error: function(error,ioArgs) { 
		    divf.style.display = '';
			dive.style.display = 'none';
		    alert('Login failed!' + error.message);
		}
	};
	dojo.xhrPost(request);         
}

function getUserLoginState()
{
    var divf = dojo.byId('login-form-div');
    divf.style.display = 'none';
    var dive = dojo.byId('login-result-div');
    dive.style.display = '';
    dive.innerHTML = 'Waiting...';
    
    var url = 'invokejson.do?sf=UserGet&it=1&random=' + Math.random();
	var request = {
	    url:url,
	    handleAs:"json",
		load: function(ret, ioArgs){
			if(ret.Error != null) // error occurs
			{
			    divf.style.display = '';
			    dive.style.display = 'none';
			    dojo.byId('PatentNumberInputDiv').style.display = 'none';
			}
			else if(ret.User != null) 
			{
			    divf.style.display = 'none';
			    dive.style.display = 'none';
			    dojo.byId('PatentNumberInputDiv').style.display = '';
			}
			else
			{
			    divf.style.display = '';
			    dive.style.display = 'none';
			    dojo.byId('PatentNumberInputDiv').style.display = 'none';
			}	    
		},
		error: function(error,ioArgs) { 
		    divf.style.display = '';
			dive.style.display = 'none';
			dojo.byId('PatentNumberInputDiv').style.display = 'none';
		}
	};         
    dojo.xhrGet(request);
}

function checkLoginMasterKey(evt)
{
    evt = evt ? evt : (window.event ? window.event : null);
    if (evt.keyCode == 13) 
        Login();
}

function checkSearchClickKey(evt)
{
    evt = evt ? evt : (window.event ? window.event : null);
    if (evt.keyCode == 13) 
        onSearchClick();
}
