﻿function onQueryResultStatBarClick(querytype, value, type)
{
    var query;
    var prefix;
    if (querytype == 'a')
        prefix = 'ANN/';
    else if (querytype == 'kwk')
        prefix = 'IWK/';
    else if (querytype == 'c')
        prefix = 'CCL/';
    else if(querytype == 'l')
        prefix = 'ICL/';   
    else if(querytype == 'i')
        prefix = 'IN/';
    switch(type)
    {
        case 'SEARCH-MASTER':
            query = dojox.data.dom.textContent(dojo.byId('queryrelated-queryexp'));
            break;
        case 'SEARCH-SLAVE':
            query = dojox.data.dom.textContent(dojo.byId('queryrelated-queryexp_s'));
            break;
        case 'SEARCH-PATENT':
            query = dojox.data.dom.textContent(dojo.byId('queryrelated-queryexp_p'));
            break;
        default:
            query = 'proj/' + type;
            break;
    }
    query = query + ' and ' + prefix + '"' + value + '"'; 
    prepareSlaveSearch(query, -1, null, null, true, null)
}

function getQueryResultStat(type,alwaysdisplay)
{
    getUserLoginState2(getQueryResultStat1,[type,alwaysdisplay]);

}
function getQueryResultStat1(paramarray)
{
    var type = paramarray[0];
    var alwaysdisplay = paramarray[1];
    fulltextImgClick(dojo.byId('queryfulltext_querystat_'+type));
    var targetdiv = dojo.byId('querylist-queryresultstat-div-' + type);
    if(targetdiv == null)
        return;
    if(targetdiv.style.display == '' && alwaysdisplay != true)
    {
        targetdiv.style.display = 'none';
        return;
    }
    HiddenQueryListIcon(paramarray);
    if(targetdiv.innerHTML != '')
    {
        targetdiv.style.display = '';
        return;
    }
    var form;
    switch(type)
    {
        case 'SEARCH-MASTER':
            form = dojo.byId('search-form-master');
            break;
        case 'SEARCH-SLAVE':
            form = dojo.byId('search-form-slave');
            break;
        case 'SEARCH-PATENT':
            form = dojo.byId('search-form-slave');
            break;
    }
    doQueryResultStat(form, type);
}

function doQueryResultStat(form, type)
{
    var targetdiv = dojo.byId('querylist-queryresultstat-div-' + type);
    targetdiv.style.display = '';
    targetdiv.innerHTML = c_sLoading;
    var ibasic = 0;
    if(basic_search)
        ibasic = 1;
    var request = {
        url:c_sQueryResultStat + '&fooFrom='+type+'&foo=QueryResult~' + type+'&ibasic='+ibasic,
        handleAs:"text",
        form: form,
        load: function(response, ioArgs){
                targetdiv.innerHTML = XSLTtrans(response, c_sXslFileQueryResultStat);
                targetdiv.innerHTML = targetdiv.innerHTML + '<br />';
                if(basic_search) {
                    var tables = targetdiv.getElementsByTagName('table');
                    if(tables.length>=4) {
                        tables[0].style.display='none';
                        tables[2].style.display='none';
                        tables[3].style.display='none';
                    }
                }    
        },
        error: function(error,ioArgs) {targetdiv.innerHTML = error.message; }
    };
    dojo.xhrPost(request);
}

function checkPN(str)
{
    if(str == null)
        return 0;
    str = str.toUpperCase().replace(/'/g, '');
    var Normalized = getConfig(NORMALIZE_PN_CONFIG);
    if(!Normalized)
    {
        if(str.substring(0,1) >='A' && str.substring(0,1) <='Z' && str.substring(1,2) >='A' && str.substring(1,2) <='Z' &&  str.substring(2,3) >='0' && str.substring(2,3)<='9')
	        return 1;
	    return 0;
	}
    if((str.indexOf('CN') == 0 || str.indexOf('CK') == 0 || str.indexOf('EP') == 0 || str.indexOf('JP') == 0 || str.indexOf('WO') == 0) && parseInt(str.substring(2, 3)) >= 0 && parseInt(str.substring(2, 3)) <= 9)
        return 1;
    if(str.indexOf('U') == 0 && parseInt(str.substring(1, 2)) >= 0 && parseInt(str.substring(1, 2)) <= 9)
        return 1;
    if(parseInt(str) > 0)
        return 1;

    return 0;
}

function addQueryResultStatKeywords1()
{
    var pn = dojo.byId('search-master-rotate-input').value;
    var select = dojo.byId('search-master-rotate-combobox');
    if(isNullorEmpty(pn))
        return;
    var optioncolor = 'white';
    if(select.options.length > 0)
    {
        var lastcolor = select.options[select.options.length - 1].style.backgroundColor;
        if(isNullorEmpty(lastcolor) || lastcolor == 'white')
            optioncolor = '#fae7f3';
        else
            optioncolor = 'white';
    }
    if(checkPN(pn) == 0)
    {
        var exist = false;
        for(var k = 0; k < select.options.length; k++)
            if(select.options[k].value == pn)
            {
                exist = true;
                break;
            }
        if(!exist)
        {                            
            var option = document.createElement('OPTION');
            option.text = pn;
            option.value = pn;
            option.style.backgroundColor = optioncolor;
            select.options.add(option);   
        }
        select.value = pn;
    }
    else
    {
        var url = c_sQuerytagJson + '&spn=' + pn;
        if(dojo.byId('search-master-rotate-fromclaim-checkbox').checked)
            url += '&it=3';
        var request = {
            url:url,
            handleAs:"json",
            load: function(ret, ioArgs){
		        if(ret.Error != null)
		            alert(ret.Error);
		        else
		        {
		            if(select == null)
		                return;
		           
		            for(var i = 0; i < ret.TagList.length; i++)
                        for(var j = 0; j < ret.TagList[i].length; j++)
                        {
                            var word = ret.TagList[i][j].Word;
                            var exist = false;
                            for(var k = 0; k < select.options.length; k++)
                                if(select.options[k].value == ret.TagList[i][j].Word)
                                {
                                    exist = true;
                                    break;
                                }
                            if(!exist)
                            {                            
                                var option = document.createElement('OPTION');
                                option.text = word;
                                option.value = word;
                                option.style.backgroundColor = optioncolor;
                                select.options.add(option);   
                            }
                        }
		        }
            },
            error: function(error,ioArgs) {/*alert(error.message); */}
        };
        dojo.xhrGet(request); 
    } 
}

function getQueryResultStatKeywords1()
{
    var form = dojo.byId('search-form-master');
    var select = dojo.byId('search-master-rotate-combobox');
    var length = select.options.length;
    while(length != 0)
    {  
        for(var i = 0; i < length; i++)
            select.remove(i);
        length = select.options.length;
    }
    var request = {
        url:c_sQueryResultStatJson,
        handleAs:"json",
        form: form,
        load: function(ret, ioArgs){
		    if(ret.Error != null)
		        alert(ret.Error);
		    else
		    {
                var option = document.createElement('OPTION');
	            if(ret.KWCountList != null)
	            {        
                    for(var i = 0; i < ret.KWCountList.length; i++)
                    {        
                        var option = document.createElement('OPTION');
                        option.text = ret.KWCountList[i].Key;
                        option.value = ret.KWCountList[i].Key;
                        select.options.add(option);
                    }
                    if(select.options.length > 0)
                        select.value = select.options[0].value;
	            }
		    }
        },
        error: function(error,ioArgs) {alert(error.message); }
    };
    dojo.xhrPost(request);    
}

function addQueryResultStatKeywords()
{
    var pn = dojo.byId('search-master-rotate-input').value;
    if(isNullorEmpty(pn))
        return;
    var table = dojo.byId('popupdiv-rotatekeywords-table');
    var color = 'white';
    if(table.rows.length > 0)
    {
        var lastcolor = table.rows[table.rows.length - 1].style.backgroundColor;
        if(isNullorEmpty(lastcolor) || lastcolor == 'white')
            color = '#fae7f3';
        else
            color = 'white';
    }
    if(checkPN(pn) == 0)
    {
        var exist = false;
        for(var k = 0; k < table.rows.length; k++)
            if(dojox.data.dom.textContent(table.rows[k].cells[1]) == pn)
            {
                exist = true;
                break;
            }
        if(!exist)
        {                   
            var row = table.insertRow(table.rows.length);
            row.style.backgroundColor = color;
            var checkbox = document.createElement('input');
            checkbox.type = 'checkbox';
            checkbox.value = pn;
            row.insertCell(0).appendChild(checkbox);
            row.insertCell(1).innerHTML = pn;
        }
    }
    else
    {
        var url = c_sQuerytagJson + '&spn=' + pn;
        if(dojo.byId('search-master-rotate-fromclaim-checkbox').checked)
            url += '&it=3';
        var request = {
            url:url,
            handleAs:"json",
            load: function(ret, ioArgs){
		        if(ret.Error != null)
		            alert(ret.Error);
		        else
		        {
		            for(var i = 0; i < ret.TagList.length; i++)
                        for(var j = 0; j < ret.TagList[i].length; j++)
                        {
                            var word = ret.TagList[i][j].Word;
                            if(g_version == 'eng' && getPatentNumIDI(pn) == 12)
                                word = ret.TagList[i][j].OriginalWord;
                            var exist = false;
                            for(var k = 0; k < table.rows.length; k++)
                                if(dojox.data.dom.textContent(table.rows[k].cells[1]) == word)
                                {
                                    exist = true;
                                    break;
                                }
                            if(!exist)
                            {                            
                                var row = table.insertRow(table.rows.length);
                                row.style.backgroundColor = color;
                                var checkbox = document.createElement('input');
                                checkbox.type = 'checkbox';
                                checkbox.value = word;
                                row.insertCell(0).appendChild(checkbox);
                                row.insertCell(1).innerHTML = word;
                            }
                        }
                    setRotateKeywordsDivSize();
		        }
            },
            error: function(error,ioArgs) {/*alert(error.message);*/ }
        };
        dojo.xhrGet(request); 
    } 
}

function setRotateKeywordsDivSize()
{
    var div = dojo.byId('popupdiv-rotatekeywords-div');
    if(parseInt(div.offsetHeight) - parseInt(dojo.byId('popupdiv-rotatekeywords-table').offsetHeight) > 10)
        div.style.height = (parseInt(dojo.byId('popupdiv-rotatekeywords-table').offsetHeight) + 8) + 'px';
    if(parseInt(div.offsetHeight) > 300)
    {
        div.style.height = 300 + 'px';
        div.style.paddingRight = 20 + 'px';
    }
}

function getQueryResultStatKeywords()
{
    var form = dojo.byId('search-form-master');
    var request = {
        url:c_sQueryResultStatJson,
        handleAs:"json",
        form: form,
        load: function(ret, ioArgs){
		    if(ret.Error != null)
		        alert(ret.Error);
		    else
		    {
		        var table = dojo.byId('popupdiv-rotatekeywords-table');
		        while(table.rows.length > 0)
		            table.deleteRow(0);
		        dojo.byId('rotatekeywords-display-span').innerHTML = c_sRotateKeyword;
	            if(ret.KWCountList != null)
	            {        
                    for(var i = 0; i < ret.KWCountList.length; i++)
                    {        
                        var text = ret.KWCountList[i].Key;
                        var row = table.insertRow(table.rows.length);
                        var checkbox = document.createElement('input');
                        checkbox.type = 'checkbox';
                        checkbox.value = text;
                        row.insertCell(0).appendChild(checkbox);
                        row.insertCell(1).innerHTML = text;
                    }
	            }
	            setRotateKeywordsDivSize();
		    }
        },
        error: function(error,ioArgs) {alert(error.message); }
    };
    dojo.xhrPost(request);    
}

function onRotateKeywordsDisplayClick(obj)
{
    var popupdiv = dojo.byId('popupdiv-rotatekeywords-div');
    if(popupdiv.style.visibility == 'visible')
    {
        popupdiv.style.visibility = 'hidden';
        return;
    }
    var offsetwidth = dojo.byId('rotatekeywords-container-div').offsetWidth;
    popupdiv.style.visibility = 'visible';
    var left = calculateOffset(obj,'offsetLeft');
    var top =  calculateOffset(obj,'offsetTop');
    var scroll = calculateOffset(obj, 'scrollTop');
    popupdiv.style.left = (parseInt(left) - 2) + "px";
    var height = popupdiv.style.height.substring(0, popupdiv.style.height.length - 2);
    height = top - scroll + 17;
    if(height < 0)
        height = 0;
    popupdiv.style.top = height + "px";
}

function onRotateKeywordsDivMouseOut(evt) 
{
    var targetdiv = dojo.byId('popupdiv-rotatekeywords-div');
	evt = evt ? evt : (window.event ? window.event : null);
	var e = evt.toElement;
	while (e != null && e != targetdiv)
	   e = e.parentNode;
	if (e != null)
	   return;
	if (targetdiv != null)
	{
	    targetdiv.style.visibility = "hidden";
	    var queryterm = '';
	    var table = dojo.byId('popupdiv-rotatekeywords-table');
        for(var i = 0; i < table.rows.length; i++)
        {
            var input = table.rows[i].cells[0].getElementsByTagName('input')[0];
            if(input.checked)
                queryterm += input.value + ', ';
        }
        if(queryterm == '')
            dojo.byId('rotatekeywords-display-span').innerHTML = c_sRotateKeyword;
        else
        {
            queryterm = queryterm.substring(0, queryterm.length - 2);
            if(queryterm.length > 21)
                dojo.byId('rotatekeywords-display-span').innerHTML = queryterm.substring(0, 18) + '...';
            else
                dojo.byId('rotatekeywords-display-span').innerHTML = queryterm;
            dojo.byId('rotatekeywords-display-span').title = queryterm;
        }           
	}
}

function getQueryResultStatBookmarks()
{
    var targetdiv = dojo.byId('search-master-rotate-bookmark-div');
    if(targetdiv == null)
        return;
    targetdiv.innerHTML = c_sLoading;
    var url =  c_sBookmarkGet_Quick + '&random=' + Math.random();
    var request = {
        url:url,
        handleAs:"text",
        load: function(response, ioArgs){
            targetdiv.innerHTML = XSLTtrans(response, c_sXslFileBookmarkGet_Rotate);
        },
        error: function(error,ioArgs) { 
            alert(error.message);
        }
    };
    dojo.xhrGet(request);
}

function deleteStatBookmarks(obj, number, index)
{
    var table = dojo.byId('rotatebookmarklist-table');
    var tr = findParentNode(obj, 'tr', 1);
    var dterm = 'SS/' + number;
    for(var i = tr.rowIndex + 1; i < table.rows.length; i++)
    {
        var term = dojox.data.dom.textContent(table.rows[i].cells[1]);
        if(term.indexOf(dterm) != -1)
        {
            alert(c_sERROR_BOOKMARK_DELETEDEPENDENT);
            return;
        }        
    }
    if(parseInt(index) < 0)
        index = -parseInt(index);
    if(confirm(c_sCONFIRM_BOOKMARK_DELETEBOOKMARKITEM) == false)
        return;
    var url = c_sBookmarkDelete + '&random=' + Math.random();
    if(!isNullorEmpty(index))
        url += '&in=' + index;
    var request = {
                url:url,
                handleAs:"json",
                encoding: g_encoding,
                load: function(ret, ioArgs){
	                if(ret.Error != null)
		            {
		                alert(c_sERROR_BOOKMARK_DELETE + ret.Error);
		            }
		            else
		            {
		                getQueryResultStatBookmarks();
		            }
                },
                error: function(error,ioArgs) { 
                    alert(error.message);
                }
	    };
	    dojo.xhrGet(request);
}

function doCheckAllStatBookmarks()
{
    var tableobj = dojo.byId('rotatebookmarklist-table');
    if(tableobj == null)
        return;
    var titlecheckboxid = 'rotatebookmarklist-table-titlecheckbox';
    var titlecheckbox = dojo.byId(titlecheckboxid);
    var checkboxs = tableobj.getElementsByTagName('input');
    for(var i = 0; i < checkboxs.length; i++)
        if(checkboxs[i].type == 'checkbox' && checkboxs[i].id != titlecheckbox.id)
            checkboxs[i].checked = titlecheckbox.checked;
}

function doSearchMasterRotateSearch1()
{
    var select = dojo.byId('search-master-rotate-combobox');
    if(select.value == -1)
        return;
    if(dojo.byId('queryrelated-querycoreexp') == null)
        return;
    
    masterquery = dojox.data.dom.textContent(dojo.byId('queryrelated-querycoreexp'));
    var queryterm = '';
    if(dojo.byId('search-master-rotate-withterm-checkbox').checked)
        queryterm = getQueryString('B', select.value, masterquery, 'and');
    queryterm = getQueryString('R', select.value, (queryterm == '' ? masterquery : queryterm), 'and');
    prepareSlaveSearch(queryterm, -1, null, null, null, null);
    saveToCase('s', true);
}

function closeRotateSearch()
{

    
}

function doSearchMasterRotateSearch()
{
    if(dojo.byId('queryrelated-querycoreexp') == null)
        return;
    
    masterquery = dojox.data.dom.textContent(dojo.byId('queryrelated-querycoreexp'));
    var queryterm = masterquery;
    var rankterm = '';
    var table = dojo.byId('popupdiv-rotatekeywords-table');
    for(var i = 0; i < table.rows.length; i++)
    {
        var input = table.rows[i].cells[0].getElementsByTagName('input')[0];
        if(input.checked)
        {
            queryterm = getQueryString('B', input.value, queryterm, 'and');
            rankterm += input.value + ', ';
        }
    }
    if(!dojo.byId('search-master-rotate-withterm-checkbox').checked)
        queryterm = masterquery;
    if(isNullorEmpty(rankterm))
        return;
    rankterm = rankterm.substring(0, rankterm.length - 2);
    queryterm = getQueryString('R', rankterm, queryterm, 'and');
    prepareSlaveSearch(queryterm, -1, null, null, null, null, 1);
    //saveToCase('s', true);
}

function prepareRotate1()
{
    fulltextImgClick(dojo.byId('queryfulltext_rotatesearch_SEARCH-MASTER'));
    var rotatediv = dojo.byId('search-master-rotate-div');
    if(rotatediv.style.display == '')
    {
        rotatediv.style.display = 'none';
        return;
    }
    else
    {
        HiddenQueryListIcon('SEARCH-MASTER');
        doDeleteTempBookmark();
        getQueryResultStatKeywords();
        dojo.byId('search-master-rotate-bookmark-div').innerHTML = '';
        //rotatediv.style.display = '';
    }
}

function prepareRotate(){
    getUserLoginState2(prepareRotate1);
    
}


/*function prepareLogin(callbackFunc, callbackFuncArgsArray)
{
    var height = document.body.clientHeight;
    var width = document.body.clientWidth;
    var logindivwidth = 620;
    var logindivheight = 390;
    var left = (width - logindivwidth) / 2;
    var top = (height - logindivheight) / 2;
    if(left < 0)
        left = 0;
    if(top < 0)
        top = 0;
    dojo.byId('login-form-div').style.left = left + 'px';
    dojo.byId('login-form-div').style.top = top + 'px';
    dojo.byId('login-form-div-table1').style.display = '';
    dojo.byId('login-form-div-table2').style.display = 'none';
    dojo.byId('shadowDiv').style.display = '';
    dojo.byId('login-form-div').style.display = '';
    dojo.byId('login-form-div').style.visibility = 'visible';
    dojo.byId('shadowDiv').style.visibility = 'visible';
    
    funcBeforeLogin=callbackFunc;
    varsBeforeLoginArray = callbackFuncArgsArray;
    
}



function getUserLoginState2(callbackFunc,callbackFuncArgsArray)
{
    var divf = dojo.byId('login-form-div');
    if(divf == null){
        callbackFunc(callbackFuncArgsArray);
        return;
    }
    divf.style.display = 'none';
    var dive = dojo.byId('login-result-div');
    dive.style.display = '';
    var url = c_sUserGet + '&it=1&random=' + Math.random();
    var request = new dojo.io.Request(url, 'text/json', null, false);
	dojo.lang.mixin(request, {
	    encoding: g_encoding,
		load: function(type, evaldObj){
			var ret = eval(evaldObj);
			if(ret.Error != null) // error occurs
			{
			    dive.innerHTML = g_loginSpan;
			    setPageInitState(false);
			    alert(ret.Error);
			    prepareLogin(callbackFunc, callbackFuncArgsArray);
			}
			else if(ret.User != null) 
			{
			    divf.style.display = 'none';
			    dive.style.display = '';
			    dive.innerHTML = '<b><span class="querylist-a" onmouseout="onQueryTableMouseOut(this, &#39;a&#39;);" onmouseover="onQueryTableMouseOver(this, &#39;a&#39;);" onclick="prepareUpdateUserInfo()">' + ret.User.Name + '</span></b>&nbsp;<span class="header-menu-mouseover" onclick="doLogOff();">' + c_sSignOff + '</span>' + '&nbsp;' + g_versionSpan;
			    setPageInitState(true);
			    callbackFunc(callbackFuncArgsArray);
			}
			else
			{
			    dive.innerHTML = g_loginSpan;
			    if(!doLoginFormCookie())
			    {
			        prepareLogin(callbackFunc,callbackFuncArgsArray);
			    }
			}	    
		},
		error: function(type, error) { 
		    dive.innerHTML = g_loginSpan;
		    setPageInitState(false);
		    alert(error.message);
		    prepareLogin(callbackFunc,callbackFuncsArray);
		}
	});         
    dojo.io.bind (request);
}*/
