﻿function onQueryTagMouseOver(obj, evt)
{
    if(obj != null && isNullorEmpty(obj.style.borderBottom))
        obj.style.textDecoration = 'underline';
    onHighlightFontMouseOver(obj, evt)
}

function onQueryTagMouseOut(obj, evt)
{
    if(obj != null)
        obj.style.textDecoration = 'none';
    onHighlightFontMouseOut(obj, evt)
}

function onQueryTagClick(obj, type, pn, guid, word)
{
    onHighlightFontMouseOut(obj, null);
    setHiddenTrDivClass(findParentNode(obj, 'div', 2));
    //var word = dojox.data.dom.textContent(obj);
    var divid = 'querytag-hidden-div-' + guid;
    var divobj = dojo.byId(divid);
    if(divobj.title == null || divobj.title == '')
    {
        divobj.title = word;
        showHiddenTagTr(divid, pn, word, obj);
    }
    else if(divobj.title == word)
    {
        if(divobj.style.display == '')
            divobj.style.display = 'none';
        else
            showHiddenTagTr(divid, pn, word, obj);
    }
    else
    {
        divobj.title = word;
        divobj.style.display = 'none';
        showHiddenTagTr(divid, pn, word, obj);
    }
}

function onQueryTagKeywordClick(obj, type)
{
    var prefix = 'C/';
    if(type == 'b')
        prefix = 'B/';
    var suffix = dojox.data.dom.textContent(obj);
    var queryterm = '';
    if(suffix.indexOf(' ') == -1)
        queryterm = prefix + suffix;    
    else
        queryterm = prefix + '"' + suffix + '"';
    prepareSlaveSearch(queryterm, -1, null, null, null, null);    	    
}

function showHiddenTagTr(divid, pn, word, spanobj)
{
    var input = findSiblingAfter(spanobj, 'input', 1);
    var stats = input.value.split('/');
    var statinfo = '(<span title="Document Frequence">' + stats[0] + '<span>/' + '<span title="Term Frequence">' + stats[1] + '<span>/' + '<span title="Current Term Frequence">' + stats[2] + '<span>)';
    var divobj = dojo.byId(divid);
    if(divobj == null)
        return;
    divobj.style.display = '';
    divobj.innerHTML = c_sLoading;
    var url = c_sQueryTagAbstraction + '&spn=' + pn + '&fooPN=' + pn ;
    var form = document.createElement('form');
    var input = document.createElement('textarea');
    input.name = 'st';
    input.value = word;
    form.appendChild(input);
    var request = {
        url:url,
        handleAs:"text",
        form: form,
		load: function(response, ioArgs){
			divobj.innerHTML = XSLTtrans(response, c_sXslFileQueryTagAbstraction);
			if(divobj.getElementsByTagName('span')[0] == null)
			{
			    divobj.innerHTML = 'No occurrences in this patent.';
			    return;
			}
			escaping(divobj);
			
			
			var markword = dojox.data.dom.textContent(divobj.getElementsByTagName('span')[0]);
			if(!isNullorEmpty(markword))
			    doMarkByObj(markword, divobj.getElementsByTagName('div')[1], pn);
			var statdiv = divobj.getElementsByTagName('div')[0];
			if(statdiv != null)
			    statdiv.innerHTML = statinfo;
		
		},
		error: function(error,ioArgs) { divobj.innerHTML = error.message; }
	};
	dojo.xhrPost(request);
}

function onQueryTagContextMenu(obj, type, pn, did)
{
    setMenuItemVisibility(obj, type);
    var targetdiv = dojo.byId('popupdiv-highlightword');
    if(targetdiv != null && targetdiv.style.visibility != "visible")
        wait1s(null);
}

function doSearchByObject(obj, pn, db)
{
    var queryterm = dojox.data.dom.textContent(obj.getElementsByTagName('div')[0]).toString();
    queryterm = dojo.string.trim(dojo.string.trim(queryterm.replace(/"/g," ")));
    var arrays = queryterm.match(RegExp("[0-9]+\.", 'ig'));
    if(arrays != null && arrays.length > 0 && queryterm.indexOf(arrays[0]) == 0)
        queryterm = queryterm.substring(arrays[0].length);
    if(queryterm.indexOf('Abstract') == 0)
        queryterm = queryterm.substring(8);
    queryterm = dojo.string.trim(queryterm).replace(/"/g," ").replace(/<br\s\/>/ig,"").replace(/\n/ig,"");
    queryterm = c_sCONCEPT + "\"" + queryterm + "\"";
    if(!isNullorEmpty(pn))
        queryterm += ' and ' + c_sRANK + pn;
    if(!isNullorEmpty(db))
    		queryterm = 'db/' + db+ ' and '+queryterm;
    prepareSlaveSearch(queryterm, -1, null, null, null, null);
}

function doSearchByObjects(objs, guid, db)
{
    if(objs == null || objs.length == 0)
        return;
    var divobj = null;
    if(guid == 'showpatent_tag')
        divobj = dojo.byId('patent-div-tag');
    else if(guid == 'queryrelated') 
        divobj = dojo.byId('queryrelated-keywords-tablediv');
    else
        divobj = dojo.byId('querytab-tab-div-k-' + guid);
    if(divobj == null)
        return;
    var filter = false;
    if(divobj.patentabilitytype == 'us' && getPatentNumIDI(divobj.pn) > 3)
        filter = true;
    var queryterm = '';
    for(var i = 0; i < objs.length; i++)
    {
        var text = dojox.data.dom.textContent(objs[i]).toString();
        if(filter && strContainChinese(text))
            continue;
        queryterm = queryterm + (queryterm == '' ? '' : ', ') + text;
    }
    if(!isNullorEmpty(queryterm))
        queryterm = getQueryString(c_sC, queryterm, null, null);
        
    if(!isNullorEmpty(db))
        queryterm+=' and db/'+db;
    if(CheckClientShowPatent())
    {        
    	  var query = "javascript:prepareSlaveSearch('"+queryterm+"', '#', null, null, null,null);";
    	  window.external.SearchFromRightView(query);
    }
    else
    {
        if(divobj.patentabilitytype == 'us') 
        {
            dojo.byId('search-form-slave').idi.value = 3;
            if(guid=="showpatent_tag")
            {
                setSearchTypeCheckBoxByType(3);
                setSearchTypeSpan(3);        
            }
        }
        else
            dojo.byId('search-form-slave').idi.value = 12;
        prepareSlaveSearch(queryterm, '#', null, null, null, null);
    }
}