﻿dojo.require("dojox.data.dom");
var g_selHTML='';
var g_selText='';
var g_spancontext=false;
var g_enteredsetMenuItemVisibility=false;
var g_pabdate = '';
var g_infdate = '';
var g_queryfilter = '';
var g_pns = '';
var currentFocusInput = '';
var g_scholarPn;
var g_scholarType;
var menuitemArray = new Array(
    'subrsconcept',
    'subrsboolean',
    'subrsan',
    'subrsin',
    'subrsttl',
    'subrsccl',
    'subrsicl',
    'subrsabst',
    'subrsaclm',
    'subrsspec',
    'subnsconcept',
    'subnsboolean',
    'subnsan',
    'subnsin',
    'subnsttl',
    'subnsccl',
    'subnsicl',
    'subnsabst',
    'subnsaclm',
    'subnsspec',
    'subrsrank',
    //'subnsrank',
    'ptmenuitem'
    );
    
function getQueryString(type, value, parentquery, conj)
{
    
    value = dojo.string.trim(value.replace(/"/g," "));
    if(type == 'CCL' || type == 'ICL')
    {
        var pos = value.indexOf(' ');
        if(pos != -1)
            value = value.substring(0, pos);
    }
    if(value.indexOf(" ") != -1 || type == 'ANN'||value.indexOf("/")!=-1)
        value = '"' + value + '"';
    if(isNullorEmpty(conj))
        conj = 'and';
    if(isNullorEmpty(parentquery))
        return type + '/' + value;
    else
        return parentquery + ' ' + conj + ' ' + type + '/' + value;
}

function getQueryTypeMatcher(type, wordtype,pn) //wordtype means that 'w' maps to c_sCONCEPT or c_sBOOL or c_sRANK
{
    if(isNullorEmpty(wordtype))
        wordtype = c_sC;
    else if(wordtype == c_sCONCEPT)
        wordtype = c_sC;
    else if(wordtype == c_sBOOL)
        wordtype = 'B';
    else if(wordtype == c_sRANK)
        wordtype = 'R';
    switch(type)
    {
        case 'a':
            if(!isNullorEmpty(pn) && belongToMxDataBase(pn))
                return 'AN';
            return 'ANN';
        case 'i':
            return 'IN';
        case 'w':
            return wordtype;
        case 'c':
            if(getPatentNumIDI(pn)==12)
                return 'ECLA';
            return 'CCL';
        case 'l':
            return 'ICL';
        case 'k':
            return 'IW';
        case 'kwk':
            return 'IWK';
        case 'r':
            return 'R';
        default:
            alert('undefined type: ' + type);
            return '';
    }
}

function normalizeQueryStr(htmlStr, field)
{
    var queryterm;
    if(field != null && field != '')
        field = field.toUpperCase()
    var decodedHTMLStr = dojo.string.trim(htmlDecode(htmlStr));
    if(field == 'CCL' || field == 'ICL')
    {
        var i = decodedHTMLStr.indexOf(' ');
        if(i = -1)
        {
        		i = decodedHTMLStr.indexOf('(');
        		if(i!=-1)
            	decodedHTMLStr = decodedHTMLStr.substring(0, i);
        }else
        {
        	  decodedHTMLStr = decodedHTMLStr.substring(0, i);
        }
        decodedHTMLStr = '"' + decodedHTMLStr + '"';
    }
    if((decodedHTMLStr.indexOf(' ') == -1 && decodedHTMLStr.indexOf('<SUB>') == -1 && decodedHTMLStr.indexOf('<SUP>') == -1) || decodedHTMLStr.substring(0, 1) == '"')
    {
        if(field != null && field != '')
            queryterm = field + '/' + decodedHTMLStr;
        else
            queryterm = decodedHTMLStr;
    }
    else
    {
        if(field != null && field != '')
            queryterm = field + '/"' + decodedHTMLStr + '"';
        else
            queryterm = '"' + decodedHTMLStr + '"';
    }
    var reg0 = /<\/?(SUB|SUP)>/ig;
	var reg1 = /<\/?.*?>/ig;
	var reg2 = /[\n\r]+/ig;
	queryterm = queryterm.replace(reg2,' ').replace(reg0,' ').replace(reg1,'');
	return queryterm;
}

function prepareSelection()
{
    var sel = false;
	if (document.selection)
	{
		g_selText = document.selection.createRange().text;
		g_selHTML = document.selection.createRange().htmlText;
	}
	else if (window.getSelection)
	{
		g_selText = window.getSelection().toString();
		if(dojo.isIE)
		{
		    var df = window.getSelection().getRangeAt(0).cloneContents();
		    g_selHTML = textContentToSearch(df);
		}
		else if(dojo.isMoz)
		    g_selHTML = window.getSelection().toString();
	}
	else if (document.getSelection)
	{
		g_selText = document.getSelection().toString();
		if (dojo.render.html.ie)
		{
		    var df = document.getSelection().getRangeAt(0).cloneContents();
		    g_selHTML = textContentToSearch(df);
		}
		else
		    g_selHTML = document.getSelection().toString();
	}
	if (g_selText != '')
	{
	    g_selText = dojo.string.trim(g_selText);
	    g_selHTML = dojo.string.trim(g_selHTML);
	    return true;
	}
	else
	    return false;
}

function setMenuItemVisibility(obj, type,pn)
{
    
    
    var select = false;
    select = prepareSelection();
    g_enteredsetMenuItemVisibility = true;
    currentFocusInput='';
    var menuItemToEnable = new Array();
    //seedy added
    if(pn!=null && pn!='' && pn!='undefine')
    {
        g_scholarpn = pn;
    }else{
        g_scholarPn = '';
        if(obj.nodeName == 'font' || obj.nodeName == 'FONT')
        {
            if(obj.getAttribute('pn')!= null && obj.getAttribute('pn')!='')
            {
                g_scholarPn = obj.getAttribute('pn');
            }
        }
        if(g_scholarPn == '')
        {
            var tr = findParentNode(obj, 'tr', 1);
            if(tr != null && tr.className.match('^querylist-')=='querylist-')
            {
                if(tr.cells.length>0)
                {
                   g_scholarPn = tr.cells[0].firstChild.getAttribute('pn');
                }
            }
        }
        if(g_scholarPn == '')
        {
            if(obj.nodeName == 'div' || obj.nodeName == 'DIV')
            {
                var parentNode = obj.parentNode;
                if(parentNode.nodeName == 'abst' || parentNode.nodeName == 'ABST')
                {
                    var querytabdiv = findParentNode(parentNode, 'div',2);
                    if(querytabdiv.id.match('^querytab-')=='querytab-')
                    {
                        g_scholarPn = querytabdiv.getAttribute('displaypn');
                    }
                }
            }
        }
        
    }
    
    
    g_scholarType = 'o';
    
    //seedy addend;
    

    switch(type)
    {
        case 'a':
            menuItemToEnable[menuItemToEnable.length] = 'subrsan';
            menuItemToEnable[menuItemToEnable.length] = 'subnsan';
            break;
        case 'i':
            menuItemToEnable[menuItemToEnable.length] = 'subrsin';
            menuItemToEnable[menuItemToEnable.length] = 'subnsin';
            g_scholarType = 'i';
            break;
        case 'c':
            menuItemToEnable[menuItemToEnable.length] = 'subrsccl';
            menuItemToEnable[menuItemToEnable.length] = 'subnsccl';
            break;
        case 'l':
            menuItemToEnable[menuItemToEnable.length] = 'subrsicl';
            menuItemToEnable[menuItemToEnable.length] = 'subnsicl';
            break;
        case 'p':
            menuItemToEnable[menuItemToEnable.length] = 'subrsconcept';
            menuItemToEnable[menuItemToEnable.length] = 'subnsconcept';
            menuItemToEnable[menuItemToEnable.length] = 'subrsrank';
            //menuItemToEnable[menuItemToEnable.length] = 'subnsrank';
            break;
    }
    var clsMenuItem = dijit.byId('clsmenuitem');
    if(clsMenuItem != null)
    {
        if(type == 'cls_1' || type == 'cls_2' || type == 'cls_0') //cls_1:personal cls_2:global cls_0:icl、ccl
        {
            g_classSpanObj = obj;
            var objclass = obj.getAttribute('NodeType');
            
            clsMenuItem.setDisabled(false);
            dijit.byId('iscmenuitem').attr('disabled',type != 'cls_1'|| (objclass=='class'||objclass=='icl'||objclass=='ccl'||objclass=='locarno'));
            dijit.byId('uccmenuitem').attr('disabled',type != 'cls_1'||(objclass=='class'||objclass=='icl'||objclass=='ccl'||objclass=='locarno'));
            
            if(!isNullorEmpty(currentClassType) && currentClassType==4)
                 dijit.byId('dccmenuitem').attr('disabled',type!='cls_1'&&!(objclass=='class'||objclass=='icl'||objclass=='ccl'||objclass=='locarno'));
            else
                dijit.byId('dccmenuitem').attr('disabled',true);
            var parentdiv=findParentNode(obj,'div',1);
            if(parentdiv!=null)
            {
                if(!isNullorEmpty(parentdiv.id))
                {
                    if(parentdiv.id!='classdetail-div')
                        dijit.byId('dccmenuitem').attr('disabled',true);
                        
                }
                else
                {
                    dijit.byId('dccmenuitem').attr('disabled',type != 'cls_1'||(objclass=='class'||objclass=='icl'||objclass=='ccl'||objclass=='locarno'));
                }
            }
            dijit.byId('imscmenuitem').attr('disabled',type != 'cls_1'||(objclass=='class'||objclass=='icl'||objclass=='ccl'||objclass=='locarno'));
            dijit.byId('eccmenuitem').attr('disabled',false||(objclass=='class'||objclass=='icl'||objclass=='ccl'||objclass=='locarno'));
            dijit.byId('ecumenuitem').attr('disabled',!(type =='cls_0'&& (objclass=='class'||objclass=='icl'||objclass=='ccl'||objclass=='locarno')));
            if(!isNullorEmpty(currentClassType) && currentClassType==4)
                dijit.byId('ecumenuitem').attr('disabled',true);
        }
        else
            clsMenuItem.attr('disabled',true);//setDisabled(true);
    }   
	var nsMenuItem = dijit.byId('nsmenuitem');
	var rsMenuItem = dijit.byId('rsmenuitem');
	if(nsMenuItem == null || rsMenuItem == null)
	    return;
	var webMenuItem = dijit.byId('webmenuitem');
	var tcsearchMenuItem = dijit.byId('tcsearchmenuitem');
	var wrsMenuitem = dijit.byId('wrsmenuitem');
    nsMenuItem.attr('disabled',true);//setDisabled(true);
    rsMenuItem.attr('disabled',true);//setDisabled(true);
    if(webMenuItem != null)
        webMenuItem.attr('disabled',(type != 'w' && type != 'a' && type != 'i' && type != 't' && type != 'cls_2' && type != 'cls_1'));
    if(tcsearchMenuItem != null)
        tcsearchMenuItem.attr('disabled',(type != 'w' && type != 'cls_2' && type != 'cls_1'));
    if(wrsMenuitem != null)
        wrsMenuitem.attr('disabled',true);//(true);
    var addcommentMenuitem = dijit.byId('addcommentmenuitem');
    if(addcommentMenuitem != null)
    {
        addcommentMenuitem.attr('disabled',type != 'cd');
        if(type == 'cd')
        {
            var imgobj = findSiblingAfter(obj, 'img', 1);
            g_currentSectionID = imgobj.id.substring(14, imgobj.id.length);
        }
    }
    var addnoteMenuitem = dijit.byId('addnotemenuitem');
    if(addnoteMenuitem != null)
    {
        addnoteMenuitem.attr('disabled',type != 'cd');
        if(type == 'cd')
        {
            var imgobj = findSiblingAfter(obj, 'img', 1);
            g_currentSectionID = imgobj.id.substring(14, imgobj.id.length);
        }
    }
    dijit.byId('ptmenuitem').attr('disabled',true);//(true);
    
    g_selHTML = dojo.string.trim(obj.innerHTML);
    var tempSelHTML = g_selHTML;
    //g_selText = dojo.string.trim(dojox.data.dom.textContent(obj));
    g_selText = dojo.string.trim(dojox.data.dom.textContent(obj));
    var tempSelText = g_selText;
    if(!isNullorEmpty(g_selText))
    {
        nsMenuItem.attr('disabled',false);//(false);
        rsMenuItem.attr('disabled',false);//(false);
        if(wrsMenuitem != null)
            wrsMenuitem.attr('disabled',false);//(false);
        var enablept = false;
        g_spancontext = false;
        if(menuItemToEnable.length > 0)
        {
            for(var i = 0; i < menuitemArray.length; i++)
                dijit.byId(menuitemArray[i]).attr('disabled',true);//(true);
            for(var i = 0; i < menuItemToEnable.length; i++)
                dijit.byId(menuItemToEnable[i]).attr('disabled',false);//(false);
            enablept = (type != 'i');
            g_spancontext = true;
        }
        else if(type == 'w' || ((type != 'cls_2' || type != 'cls_1' || type == 't' || type == 'cd' || type == 'cd1' || type == 'tab') && !prepareSelection()))
        {
            g_selHTML = tempSelHTML;
            g_selText = tempSelText;
            var splits = g_selText.split(RegExp("(?=\\b)", 'ig'));
            var containChinese = strContainChinese(g_selText);
            if(type != 't' && ((!containChinese && splits.length > 40) || containChinese && g_selText.length > 40))
            {
                menuItemToEnable[menuItemToEnable.length] = 'subrsconcept';
                menuItemToEnable[menuItemToEnable.length] = 'subnsconcept';
                menuItemToEnable[menuItemToEnable.length] = 'subrsrank';
                //menuItemToEnable[menuItemToEnable.length] = 'subnsrank';
                for(var i = 0; i < menuitemArray.length; i++)
                    dijit.byId(menuitemArray[i]).attr('disabled',true);//(true);
                for(var i = 0; i < menuItemToEnable.length; i++)
                    dijit.byId(menuItemToEnable[i]).attr('disabled',false);//(false);
                if(webMenuItem != null)
                    webMenuItem.attr('disabled',true);//(true);
                if(tcsearchMenuItem != null)
                    tcsearchMenuItem.attr('disabled',true);//(true);
                    
            }
            else
            {
                /*for(var i = 0; i < menuitemArray.length; i++)
                {
                    if(menuitemArray[i] != 'subrsan' && menuitemArray[i] != 'subrsin' && menuitemArray[i] != 'subrsccl' && menuitemArray[i] != 'subnsan' && menuitemArray[i] != 'subnsin' && menuitemArray[i] != 'subnsccl' && menuitemArray[i] != 'subnsicl' && menuitemArray[i] != 'subrsicl' && menuitemArray[i] != 'ptmenuitem')
                        dijit.byId(menuitemArray[i]).setDisabled(false);
                    else
                        dijit.byId(menuitemArray[i]).setDisabled(true);
                }*/
                for(var i = 0; i < menuitemArray.length; i++)
                {
                    if(menuitemArray[i] == 'subrsconcept' || menuitemArray[i] == 'subnsconcept'|| menuitemArray[i] == 'subrsrank')
                        dijit.byId(menuitemArray[i]).attr('disabled',false);//(false);
                    else
                        dijit.byId(menuitemArray[i]).attr('disabled',true);//(true);
                }
                if(type=='w')
                {
                    dijit.byId('subrsboolean').attr('disabled',false);
                    dijit.byId('subnsboolean').attr('disabled',false);
                    dijit.byId('subrsttl').attr('disabled',false);
                    dijit.byId('subnsttl').attr('disabled',false);
                    dijit.byId('subrsabst').attr('disabled',false);
                    dijit.byId('subnsabst').attr('disabled',false);
                    dijit.byId('subrsaclm').attr('disabled',false);
                    dijit.byId('subnsaclm').attr('disabled',false);
                    dijit.byId('subrsspec').attr('disabled',false);
                    dijit.byId('subnsspec').attr('disabled',false);
                }
            }
            if(type == 'w')
                enablept = true;
            else // type == 'cd'
            {
                var arrays = g_selText.match(RegExp("[0-9]+\.", 'ig'));
                if(arrays != null && arrays.length > 0 && g_selText.indexOf(arrays[0]) == 0)
                    g_selText = g_selText.substring(arrays[0].length);
                if(g_selText.indexOf('Abstract') == 0)
                    g_selText = g_selText.substring(8);
                g_selText = dojo.string.trim(g_selText);
            }
            g_spancontext = true;
        }
        if(enablept)
        {
            dijit.byId('ptmenuitem').attr('disabled',false);//(false);
            dojo.byId('ptmenuitem').msg = g_selText;
            dojo.byId('ptmenuitem').type = type;
            g_curImgObj = obj;
        }
    }
}

function prepareContextMenu(evt)
{
    if(Query_JS)
        wait1s(null);
    evt = evt ? evt : (window.event ? window.event : null);
    var obj=null;
   // var radio3 = dojo.byId('classinfo-type-radio-4');
    //if(typeof(currentClassType)!='undefined')
    {
        if(typeof(currentClassType)!='undefined')
        {
            if(currentClassType==4)
            {
                obj = evt.srcElement;
                while(obj != null && obj.id != 'classinfo-div' ) 
                      obj = obj.parentElement; 
                if(obj==null)
                {
    	            if(dojo.byId('classinfo-div').style.display=='')
    	            {
    		            obj = dojo.byId('classinfo-div');
    	            }
                }
            }
        }
    }
    dijit.byId('cpmenuitem').attr('disabled',false);//(false);
    dijit.byId('pastemenuitem').attr('disabled',false);//(false);
   /* if(type == null && currentFocusInput=='')
    {
        dijit.byId('pastemenuitem').setDisabled(true);
    }
    /*if(obj!=null)
    {
    	var clsMenuItem = dijit.byId('clsmenuitem');
    	if(clsMenuItem != null)
    	{
    		clsMenuItem.setDisabled(false);
    		dijit.byId('armenuitem').setDisabled(false);
    		dijit.byId('ifmenuitem').setDisabled(false);
    		dijit.byId('iscmenuitem').setDisabled(true);
            dijit.byId('uccmenuitem').setDisabled(true);
            dijit.byId('dccmenuitem').setDisabled(true);
            dijit.byId('imscmenuitem').setDisabled(true);
            dijit.byId('eccmenuitem').setDisabled(true);
    		
    	}
    }*/
    if(!g_enteredsetMenuItemVisibility)
    {
        var addcommentMenuitem = dijit.byId('addcommentmenuitem');
        if(addcommentMenuitem != null)
            addcommentMenuitem.attr('disabled',true);//(true);
            
        var classtMenuitem = dijit.byId('clsmenuitem');
        if(obj==null&&classtMenuitem != null)
            classtMenuitem.attr('disabled',true);//(true);
        g_classSpanObj = null;
        
    }
    else
        g_enteredsetMenuItemVisibility = false;
    if(g_spancontext)
    {
        g_spancontext = false;
       /* if(obj!=null)
        {
        	var clsMenuItem = dijit.byId('clsmenuitem');
    	if(clsMenuItem != null)
    	{
    		clsMenuItem.setDisabled(false);
    		//dijit.byId('armenuitem').setDisabled(true);
    		//dijit.byId('ifmenuitem').setDisabled(true);
    		dijit.byId('iscmenuitem').setDisabled(false);
            dijit.byId('uccmenuitem').setDisabled(false);
            dijit.byId('dccmenuitem').setDisabled(false);
            dijit.byId('imscmenuitem').setDisabled(false);
            dijit.byId('eccmenuitem').setDisabled(false);
          }
        }*/
        return;
        
       
    }
    dijit.byId('ptmenuitem').attr('disabled',true);//(true);
    var nsMenuItem = dijit.byId('nsmenuitem');
    var rsMenuItem = dijit.byId('rsmenuitem');
	var webMenuItem = dijit.byId('webmenuitem');
	var tcsearchMenuItem = dijit.byId('tcsearchmenuitem');
	var wrsMenuitem = dijit.byId('wrsmenuitem');
	var select;
    if(select = prepareSelection())
    {
    	
        nsMenuItem.attr('disabled',false);//(false);
        rsMenuItem.attr('disabled',false);//(false);
        if(webMenuItem != null)
            webMenuItem.attr('disabled',false);//(false);
        if(tcsearchMenuItem != null)
            tcsearchMenuItem.attr('disabled',false);//(false);
        if(wrsMenuitem != null)
            wrsMenuitem.attr('disabled',false);//(false);
            
        var splits = g_selText.split(RegExp("(?=\\b)", 'ig'));
        if(splits.length > 40)
        {
            var menuItemToEnable = new Array();
            menuItemToEnable[menuItemToEnable.length] = 'subrsconcept';
            menuItemToEnable[menuItemToEnable.length] = 'subnsconcept';
            menuItemToEnable[menuItemToEnable.length] = 'subrsrank';
            //menuItemToEnable[menuItemToEnable.length] = 'subnsrank';
            for(var i = 0; i < menuitemArray.length; i++)
                dijit.byId(menuitemArray[i]).attr('disabled',true);//(true);
            for(var i = 0; i < menuItemToEnable.length; i++)
                dijit.byId(menuItemToEnable[i]).attr('disabled',false);//(false);
            if(webMenuItem != null)
                webMenuItem.attr('disabled',true);//(true);
            if(tcsearchMenuItem != null)
                tcsearchMenuItem.attr('disabled',true);
        }
        else
        {
            for(var i = 0; i < menuitemArray.length; i++)
            {
                if(menuitemArray[i] != 'subrsan' && menuitemArray[i] != 'subrsin' && menuitemArray[i] != 'subrsccl' && menuitemArray[i] != 'subnsan' && menuitemArray[i] != 'subnsin' && menuitemArray[i] != 'subnsccl' && menuitemArray[i] != 'ptmenuitem' && menuitemArray[i] != 'subrsicl' && menuitemArray[i] != 'subnsicl' && menuitemArray[i] != 'ptmenuitem')
                    dijit.byId(menuitemArray[i]).attr('disabled',false);//(false);
                else
                    dijit.byId(menuitemArray[i]).attr('disabled',true);//(true);
            }
        }
    }
    else
    {
        nsMenuItem.attr('disabled',true);//(true);
        rsMenuItem.attr('disabled',true);//(true);
        if(webMenuItem != null)
            webMenuItem.attr('disabled',true);//(true);
        if(tcsearchMenuItem != null)
            tcsearchMenuItem.attr('disabled',true);
        if(wrsMenuitem != null)
            wrsMenuitem.attr('disabled',true);//(true);
        dijit.byId('cpmenuitem').attr('disabled',true);//(true);
    }
    if(obj!=null&&!select)
    {
    		var clsMenuItem = dijit.byId('clsmenuitem');
    	if(clsMenuItem != null)
    	{
    		clsMenuItem.attr('disabled',false);//(false);
    		//dijit.byId('armenuitem').setDisabled(false);
    		//dijit.byId('ifmenuitem').setDisabled(false);
    		dijit.byId('iscmenuitem').attr('disabled',false);//(false);
            dijit.byId('uccmenuitem').attr('disabled',true);//(true);
            dijit.byId('dccmenuitem').attr('disabled',true);//(true);
            dijit.byId('imscmenuitem').attr('disabled',false);//(false);
            dijit.byId('eccmenuitem').attr('disabled',true);//(true);
            dijit.byId('ecumenuitem').attr('disabled',true);//(true);
          }
    }else if(obj!=null&&select)
    	{
    		var clsMenuItem = dijit.byId('clsmenuitem');
    	if(clsMenuItem != null)
    	{
    		clsMenuItem.attr('disabled',false);//(false);
    		//dijit.byId('armenuitem').setDisabled(true);
    		//dijit.byId('ifmenuitem').setDisabled(true);
    		dijit.byId('iscmenuitem').attr('disabled',false);//(false);
            dijit.byId('uccmenuitem').attr('disabled',false);//(false);
            dijit.byId('dccmenuitem').attr('disabled',false);//(false);
            dijit.byId('imscmenuitem').attr('disabled',false);//(false);
            dijit.byId('eccmenuitem').attr('disabled',false);//(false);
          }
    	}
    	
    	
 
  
    	
    	
    	
    	
    
    
}

function overtest(event)
{
	
	alert("e");
}

function GetAbsoluteLocationEx(element) 
				{ 
				    if ( arguments.length != 1 || element == null ) 
				    { 
				        return null; 
				    } 
				    var elmt = element; 
				    var offsetTop = elmt.offsetTop; 
				    var offsetLeft = elmt.offsetLeft; 
				    //alert("abs"+offsetLeft);
				    var offsetWidth = elmt.offsetWidth; 
				    var offsetHeight = elmt.offsetHeight; 
				    while( elmt = elmt.offsetParent ) 
				    { 
				          
				         if(elmt.id == 'wrap')
				         {
				         
				         		
				        }
				    
				        if ( elmt.style.position == 'absolute' || elmt.style.position == 'relative'  
				            || ( elmt.style.overflow != 'visible' && elmt.style.overflow != '') ) 
				        { 
				            break; 
				        }  
				        
				    
				        offsetTop += elmt.offsetTop; 
				        offsetLeft += elmt.offsetLeft; 
				    } 
				    return { absoluteTop: offsetTop, absoluteLeft: offsetLeft, 
				        offsetWidth: offsetWidth, offsetHeight: offsetHeight }; 
				}



function doMark(obj, suffix, ischinese)
{
    var div = dojo.byId('queryrelated-importantwords' + suffix);
    if(div == null)
        return;
    var words = div.getElementsByTagName('span');
    if(words == null || words.length == 0)
        return;
    var hl = new highlight();
    for(var i = 0; i < words.length; i++)
        hl.mark(words[i].innerHTML, '0', obj, '#c6cee7', 'black', false, ischinese, 9999, null, onHighlightFontDoNothing, null, null, null, null);	
}

function onHighlightFontDoNothing()
{
}

function doMarkByObj(word, targetObj, pn)
{
    if(targetObj == null)
        return;
    var hl = new highlight();
    hl.mark(word, '0', targetObj, '', '', true, (pn >= 200000000 && pn < 219000000), 9999, '1px dashed #0000ff', null, onQueryTagMouseOver, null, null, dojox.data.dom.textContent(targetObj), pn);	
}

function prepareMaster()
{
    prepareMasterSearch(null, -1, -1, null, null, null);
}

function prepareSlave()
{
    prepareSlaveSearch(null, -1, null, null, null, null);
}

//function doMarkTagWords(obj, pn, rankterm)
//{
//    var url = c_sQuerytagJson + '&spn=' + pn;
//    var request =  new dojo.io.Request(url, 'text/json', null, false);
//    dojo.lang.mixin(request, {
//        encoding: g_encoding,
//        load: function(typ, evaldObj){
//            var ret = eval(evaldObj);
//            if(ret.Error != null)
//                return;
//            else
//            {
//                var hl = new highlight();
//                for(var i = 0; i < ret.TagList.length; i++)
//                {
//                    var taglist = ret.TagList[i];
//                    if(taglist.length > 0)
//                    {
//                        var max = (i == 0 ? 3 : 1);
//                        for(var j = 0; j < max; j++)
//                        {
//                            var word = taglist[j].OriginalWord;
//                            hl.mark(word, '1', obj, '#ffffcc', 'black', true, (pn >= 200000000 && pn < 219000000), 1, null, null, null, null, null, rankterm, pn);	
//                        }
//                    }
//                }
//            }
//        }
//    });
//    dojo.io.bind (request);
//}

function doMarkTagWords(obj, pn, rankterm)
{
    if(!isNullorEmpty(obj.getAttribute('marked')) && obj.getAttribute('marked') == 1)
        return;
    var url = c_sQuerytagJson + '&spn=' + pn + '&random=' + Math.random();
    
    var form = document.createElement('form');
    var inputsq = document.createElement('input');
    inputsq.name = 'st';
    inputsq.value = rankterm;
    form.appendChild(inputsq);
    var request = {
        url:url,
        handleAs:"json",
        form: form,
        load: function(ret, ioArgs){
            if(ret.Error != null)
                return;
            else
            {
                var hl = new highlight();
                var wordArray = new Array();
                var wordcount = 0;
                if(ret.TagList == null)
                    return;
                for(var i = 0; i < ret.TagList.length; i++)
                {
                    var taglist = ret.TagList[i];
                    if(taglist != null && taglist.length > 0)
                    {
                        var word = taglist[0].OriginalWord;
                        wordArray[wordcount++] = word;      
                    }
                }
                var currentIndex = 0;
                var tagedWordArray = new Array();
                for(var j = 0; j < wordArray.length; j++)
                {
                    var maxlength = 0;
                    var maxpos = -1;
                    for(var i = 0; i < wordArray.length; i++)
                    {
                        if(wordArray[i] != '' && wordArray[i].length > maxlength)
                        {
                            maxlength = wordArray[i].length;
                            maxpos = i;
                        }
                    }
                    if(maxpos != -1)
                    {
                        var word = wordArray[maxpos];
                        wordArray[maxpos] = '';
                        maxpos = -1;
                        var existIndex = new Array();
                        for(var k = 0; k < tagedWordArray.length; k++)
                        {
                            if(tagedWordArray[k] != null && tagedWordArray[k].indexOf(word) != -1)
                                existIndex[existIndex.length] = k;
                        }
                        //var marked = hl.mark(word, currentIndex, obj, null, 'black', true, (pn >= 200000000 && pn < 219000000), 1, '1px dashed #0000ff', null, null, null, existIndex, rankterm, pn);	
                        //var marked = hl.mark(word, currentIndex, obj, '#ffffcc', 'black', true, (pn >= 200000000 && pn < 219000000), 1, null, null, null, null, existIndex, rankterm, pn);	
                        var marked = hl.mark(word, currentIndex, obj, '#ffffcc', 'black', true, (pn >= 200000000 && pn<219000000) || g_version == 'chn', 1, null, null, null, null, existIndex, rankterm, pn);	
                        if(marked)
                        {
                            tagedWordArray[currentIndex] = word;
                            currentIndex++;
                        }                        
                    }
                }
                obj.setAttribute('marked', 1);
            }
        },
		error: function(error,ioArgs) { alert(error.message); }
    };
    dojo.xhrPost(request);
}

function onBodyMouseMove(evt)
{
    
    evt = evt ? evt : (window.event ? window.event : null);
    
   if (navigator.appName == "Microsoft Internet Explorer"){
       if(evt.srcElement && evt.srcElement.id )
       {
            
            if(evt.srcElement.id == 'search-master-import-img'||evt.srcElement.id == 'search-master-import-span')
            {
                             
                 moveinputtoimportpatents('search-master-import-span','importpatents_input');
            }
            else
            {
                var input = document.getElementById('importpatents_input');
                
                if (input != null && input.style.visibility == 'visible' ) 
                    {
                        var pos = getElementPos('search-master-import-span');
                       
                        if(evt.x>pos.x+10||evt.y>pos.y+10||evt.x<pos.x||evt.y<pos.y)
                       
                        {
                            input.style.visibility ='hidden';
                            
                            moveinputout('search-master-import-span','importpatents_input');         
                            dojo.byId('search-master-import-img').src = c_sImgPath+'img/uploadpatent.gif';
                        }
                    }
                
            }
            
            
       }else
       {
              moveinputout('search-master-import-span','importpatents_input');
              if(dojo.byId('search-master-import-img')!=null)
                dojo.byId('search-master-import-img').src = c_sImgPath+'img/uploadpatent.gif';
       }
   }else
   {
        if(evt.srcElement && evt.srcElement.id )
       {
            
            if(evt.srcElement.id == 'search-master-import-img'||evt.srcElement.id == 'search-master-import-span')
            {
                             
                 moveinputtoimportpatents('search-master-import-span','importpatents_input');
            }
            else
            {
                var input = document.getElementById('importpatents_input');
                
                if (input != null && input.style.visibility == 'visible' ) 
                    {
                        var pos = getElementPos('search-master-import-span');
                       
                        if(evt.clientX>pos.x+15||evt.clientY>pos.y+12||evt.clientX<pos.x-3||evt.clientY<pos.y-10)
                       
                        {
                            input.style.visibility ='hidden';
                            
                            moveinputout('search-master-import-span','importpatents_input');         
                            dojo.byId('search-master-import-img').src = c_sImgPath+'img/uploadpatent.gif';
                        }
                    }
                
            }
            
            
       }else
       {
       
            var input = document.getElementById('importpatents_input');
                
                if (input != null && input.style.visibility == 'visible' ) 
                    {
              
              var pos = getElementPos('search-master-import-span');
                       
                        if(evt.clientX>pos.x+15||evt.clientY>pos.y+12||evt.clientX<pos.x-3||evt.clientY<pos.y-10)
                       
                        {
                            input.style.visibility ='hidden';
                            
                            moveinputout('search-master-import-span','importpatents_input');         
                             dojo.byId('search-master-import-img').src = c_sImgPath+'img/uploadpatent.gif';
                        }
              }
              
       }      
   }
    var popupdiv = dojo.byId('popupdiv-highlightword');
   
    if(popupdiv!=null && popupdiv.style.visibility == 'visible')
    {
        var margin = 20;
        var top = calculateOffset(popupdiv,'offsetTop');
        var left = calculateOffset(popupdiv,'offsetLeft');// + " " + evt.clientY);
        var right = popupdiv.offsetWidth + left;
        var bottom = popupdiv.offsetHeight + top;
        var cursorX = evt.clientX;
        var cursorY = evt.clientY;
        if(cursorX > right + margin || cursorX < left - margin || cursorY > bottom + margin || cursorY < top - margin)
        {
           hideHighlightPopupDiv();
        }
    }
        
    var keywordspopupdiv = dojo.byId('popupdiv-keywords');
   
    if(keywordspopupdiv!=null && keywordspopupdiv.style.visibility == 'visible')
    {
        var margin = 10;
        var top = calculateOffset(keywordspopupdiv,'offsetTop');
        var left = calculateOffset(keywordspopupdiv,'offsetLeft');// + " " + evt.clientY);
        var right = keywordspopupdiv.offsetWidth + left;
        var bottom = keywordspopupdiv.offsetHeight + top;
        var cursorX = evt.clientX;
        var cursorY = evt.clientY;
        if(cursorX > right + margin || cursorX < left - margin || cursorY > bottom + margin || cursorY < top - margin)
        {
           hideKeywodsPopupDiv();
        }
    }
    
  // moveinputout('search-master-import-img','importpatents_input');
    
        
}

function handleescapekey(evt)
{
    evt = evt ? evt : (window.event ? window.event : null);
    var KEYCODE_ESCAPE = 27;
    if(evt.keyCode == KEYCODE_ESCAPE)
    {
        if(dojo.byId('popupdiv-searchhelp') != null)
            dojo.byId('popupdiv-searchhelp').style.visibility = 'hidden';
        if(dojo.byId('search-popupdiv') != null)
            dojo.byId('search-popupdiv').style.visibility = 'hidden';
        if(dojo.byId('search-inputtipsdiv') != null)
            dojo.byId('search-inputtipsdiv').style.visibility = 'hidden';
        if(dojo.byId('search-bookmark-popupdiv') != null)
            dojo.byId('search-bookmark-popupdiv').style.visibility = 'hidden';
        if(dojo.byId('popupdiv-highlightword') != null)
            dojo.byId('popupdiv-highlightword').style.visibility='hidden';
    }
}

function setSearchTypeCheckBoxLOCARNO()
{
    var p = dojo.byId('searchtype-p');//US Patent
    var a = dojo.byId('searchtype-a');//US Application
    var c = dojo.byId('searchtype-c');//CN
    var r = dojo.byId('searchtype-r');//Reference
    var e = dojo.byId('searchtype-e');//EP
       
    var o = dojo.byId('searchtype-o');//WO
    
    var w = dojo.byId('searchtype-w');//Web
    var s = dojo.byId('searchtype-s');//Schoolor
    
    var d = dojo.byId('searchtype-d');//User Document
    var database = new Array(p,a,c,r,e,o,s,d,w);
    var dn_num = DESIGN_DATABASE.length;
    if(p!=null)
    	p.checked=false;
    if(a!=null)
    	a.checked=false;
    if(e!=null)
    	e.checked=false;
    if(o!=null)
    	o.checked=false;    
    if(c!=null)
    	c.checked=false;
    if(r!=null)
    	r.checked=false;
    if(d!=null)
    	d.checked=false;
    var t=0;
    for( var i = 0 ; i < dn_num; i++)
    {
        database[DESIGN_DATABASE[i]].checked = true;
        t = t | (1<<DESIGN_DATABASE[i]);
        //setSearchTypeCheckBoxClickStatus(1<<DESIGN_DATABASE[i]);
    }
    setSearchTypeSpan(t);
}
function setSearchTypeCheckBoxClickStatus(id)
{
    var p = dojo.byId('searchtype-p');//US Patent
    var a = dojo.byId('searchtype-a');//US Application
    var c = dojo.byId('searchtype-c');//CN
    var r = dojo.byId('searchtype-r');//Reference
    var e = dojo.byId('searchtype-e');//EP
       
    var o = dojo.byId('searchtype-o');//WO
    
    var w = dojo.byId('searchtype-w');//Web
    var s = dojo.byId('searchtype-s');//Schoolor
    
    var d = dojo.byId('searchtype-d');//User Document
    var ab = dojo.byId('searchtype-ab');//Abstract
    var database = new Array(p,a,c,r,e,o,ab,d,w,s);
    if(id < 0)
    {
        if(p!=null)
    	p.checked=false;
    if(a!=null)
    	a.checked=false;
    if(e!=null)
    	e.checked=false;
    if(o!=null)
    	o.checked=false;    
    if(c!=null)
    	c.checked=false;
    if(r!=null)
    	r.checked=false;
    if(d!=null)
    	d.checked=false;
    if(ab!=null)
      ab.checked=false;
        if(w != null)
            w.checked = (id == -1);
        if(s != null)
            s.checked = (id == -2);
    }
    else
    {
        if(w != null)
            w.checked = false;
        if(s != null)
            s.checked = false;
        var cn_num = CN_DATABASE.length;
        var en_num = EN_DATABASE.length;
        var dn_num = DESIGN_DATABASE.length;
        var ab_num = AB_DATABASE.length;
        var databasegroup = getDatabaseGroup(id);
        if(databasegroup == 0)
        {
            for( var i = 0 ; i < cn_num; i++)
            {
                database[CN_DATABASE[i]].checked = false;
            }
            for( var i = 0 ; i < ab_num; i++)
            {
                database[AB_DATABASE[i]].checked = false;
            }
        }
        else if(databasegroup == 1)
        {
            for( var i = 0 ; i < en_num; i++)
            {
                database[EN_DATABASE[i]].checked = false;
            }
            for( var i = 0 ; i < ab_num; i++)
            {
                database[AB_DATABASE[i]].checked = false;
            }
        }
        else if(databasegroup == 3)
        {
            for( var i = 0 ; i < en_num; i++)
            {
                database[EN_DATABASE[i]].checked = false;
            }
            for( var i = 0 ; i < cn_num; i++)
            {
                database[CN_DATABASE[i]].checked = false;
            }
            for( var i = 0 ; i < dn_num; i++)
            {
                database[DESIGN_DATABASE[i]].checked = false;
            }            
        }
        else
        {
            for( var i = 0 ; i < ab_num; i++)
            {
                database[AB_DATABASE[i]].checked = false;
            }
        
        }        
    }
}

//function setSearchTypeCheckBoxClickStatus2()
//{
//    var p = dojo.byId('searchtype-p');//US Patent
//    var a = dojo.byId('searchtype-a');//US Application
//    var c = dojo.byId('searchtype-c');//CN
//    var r = dojo.byId('searchtype-r');//Reference
//    var e = dojo.byId('searchtype-e');//EP
//    
//    var w = dojo.byId('searchtype-w');//Web
//    var s = dojo.byId('searchtype-s');//Schoolor
//    
//    var j = dojo.byId('searchtype-j');//JP
//    var o = dojo.byId('searchtype-o');//WO
//    if(p.checked || a.checked || e.checked || j.checked || o.checked)
//    {
////        p.disabled = false;
////        a.disabled = false;
//        c.checked = false;
////        c.disabled = true;
//        r.checked = false;
// //       r.disabled = true;
// //       e.disabled = false;
////      j.disabled = false;
////      o.disabled = false;
//        if(w != null)
//        {
//            w.checked = false;
//            //w.disabled = true;
//        }
//        if(s != null)
//        {
//            s.checked = false;
//            //s.disabled = true;
//        }
//    }
//    else if(c.checked || r.checked)
//    {
////        c.disabled = false;
////        r.disabled = false;
//        p.checked = false;
////       p.disabled = true;
//        a.checked = false;
////        a.disabled = true;
//        e.checked = false;
////        e.disabled = true;
//        j.checked = false;
////        j.disabled = true;
//        o.checked = false;
////        o.disabled = true;
//        if(w != null)
//        {
//            w.checked = false;
//            //w.disabled = true;
//        }
//        if(s != null)
//        {
//            s.checked = false;
//            //s.disabled = true;
//        }
//    }
//    else if((w != null && w.checked) || (s != null && s.checked))
//    {
//        p.checked = false;
////        p.disabled = true;
//        a.checked = false;
////        a.disabled = true;
//        e.checked = false;
////        e.disabled = true;
//        c.checked = false;
////        c.disabled = true;
//        r.checked = false;
////        r.disabled = true;
//        j.checked = false;
////        j.disabled = true;
//        o.checked = false;
////        o.disabled = true;
//        if(w.checked)
//        {
//           // w.disabled = false;
//            s.checked = false;
//            //s.disabled = true;
//        }
//        else
//        {
//            //s.disabled = false;
//            w.checked = false;
//            //w.disabled = true;
//        }
//    }
//    else
//    {
//        p.checked = false;
//  //      p.disabled = false;
//        a.checked = false;
//  //      a.disabled = false;
//        c.checked = false;
//  //      c.disabled = false;
//        r.checked = false;
//  //      r.disabled = false;
//        e.checked = false;
//  //      e.disabled = false;
//        j.checked = false;
//  //      j.disabled = false;
//        o.checked = false;
//  //      o.disabled = false;
//        if(w != null)
//        {
//            w.checked = false;
//            //w.disabled = false;
//        }
//        if(s != null)
//        {
//            s.checked = false;
//            //s.disabled = false;
//        }
//    }
//}

function setSearchTypeCheckBoxByType(type)
{
    var searchtype = parseInt(type);
    var p = dojo.byId('searchtype-p');//US Patent
    var a = dojo.byId('searchtype-a');//US Application
    var c = dojo.byId('searchtype-c');//CN
    var r = dojo.byId('searchtype-r');//Reference
    var e = dojo.byId('searchtype-e');//EP
    
    var w = dojo.byId('searchtype-w');//Web
    var s = dojo.byId('searchtype-s');//Schoolor
    
    var o = dojo.byId('searchtype-o');//WO
    
    var d = dojo.byId('searchtype-d');//User Document
    var ab= dojo.byId('searchtype-ab');//Abstract
    
    if(type == -1 || type == -2)
    {
	      if(p!=null)
		    	p.checked=false;
		    if(a!=null)
		    	a.checked=false;
		    if(e!=null)
		    	e.checked=false;
		    if(o!=null)
		    	o.checked=false;    
		    if(c!=null)
		    	c.checked=false;
		    if(r!=null)
		    	r.checked=false;
		    if(d!=null)
		    	d.checked=false;
		    if(ab!=null)
		        ab.checked= false;
		        
		        if(w != null && type == -1)
		            w.checked = true;
		        else if(s != null && type == -2)
		            s.checked = true;
    }
    else
    {
    	if(p!=null)
        p.checked = ((searchtype & 1) == 1);
      if(a!=null)
        a.checked = ((searchtype & 2) == 2);
      if(c!=null)
        c.checked = ((searchtype & 4) == 4);
      if(r!=null)
        r.checked = ((searchtype & 8) == 8);
      if(e!=null)
        e.checked = ((searchtype & 16) == 16);
      if(o!=null)
        o.checked = ((searchtype & 32) == 32);
      if(ab!=null)
        ab.checked= ((searchtype & 64) == 64);
      if(d!=null)
        d.checked = ((searchtype & 128) == 128);
        if(w != null)
            w.checked = false;
        if(s != null)
            s.checked = false;
    }
    //setSearchTypeCheckBoxClickStatus();
}

function getSearchTypeValue()
{
    var p = dojo.byId('searchtype-p');//US Patent
    var a = dojo.byId('searchtype-a');//US Application
    var c = dojo.byId('searchtype-c');//CN
    var r = dojo.byId('searchtype-r');//Reference
    var e = dojo.byId('searchtype-e');//EP
    
    var w = dojo.byId('searchtype-w');//Web
    var s = dojo.byId('searchtype-s');//Schoolor
    
    var o = dojo.byId('searchtype-o');//WO
    
    var d = dojo.byId('searchtype-d');//User Document
    var ab = dojo.byId('searchtype-ab');//Abstract
    
    if(w != null && w.checked)
        return -1;
    else if(s != null && s.checked)
        return -2;
    else
    {
        var searchtype = 0;
        if(p!=null && p.checked)
            searchtype |= 1;
        if(a!=null && a.checked)
            searchtype |= 2;
        if(c!=null && c.checked)
            searchtype |= 4;
        if(r!=null && r.checked)
            searchtype |= 8;
        if(e!=null && e.checked)
            searchtype |= 16;
        if(o!=null && o.checked)
            searchtype |= 32;
        if(ab!=null && ab.checked)
            searchtype |= 64;
        if(d!=null && d.checked)
            searchtype |= 128;
        return searchtype;
    }
}

function setSearchTypeSpan(type)
{
    var span = dojo.byId('searchtype-span');
    //span.typevalue = type;
    if(span==null)
        return;
    
    span.setAttribute('typevalue', type);
    //var searchtype = parseInt(type);
    var p = dojo.byId('searchtype-p');//US Patent
    var a = dojo.byId('searchtype-a');//US Application
    var c = dojo.byId('searchtype-c');//CN
    var r = dojo.byId('searchtype-r');//Reference
    var e = dojo.byId('searchtype-e');//EP
    
    var w = dojo.byId('searchtype-w');//Web
    var s = dojo.byId('searchtype-s');//Schoolor
    
    var j = dojo.byId('searchtype-j');//JP
    var o = dojo.byId('searchtype-o');//WO
    
    var d = dojo.byId('searchtype-d');//User Document
    var ab= dojo.byId('searchtype-ab');//Abstract
    
    var spantext = '';
    if(p!=null && p.checked)
        spantext += ((spantext == '') ? '' : ' & ') + p.getAttribute('displaytext');
    if(a!=null && a.checked)
        spantext += ((spantext == '') ? '' : ' & ') + a.getAttribute('displaytext');
    if(c!=null && c.checked)
        spantext += ((spantext == '') ? '' : ' & ') + c.getAttribute('displaytext');
    if(r!=null && r.checked)
        spantext += ((spantext == '') ? '' : ' & ') + r.getAttribute('displaytext');
    if(e!=null && e.checked)
        spantext += ((spantext == '') ? '' : ' & ') + e.getAttribute('displaytext');
    if(o!=null && o.checked)
        spantext += ((spantext == '') ? '' : ' & ') + o.getAttribute('displaytext');
    if(d!=null && d.checked)
        spantext += ((spantext == '') ? '' : ' & ') + d.getAttribute('displaytext');
    if(w != null && w.checked)
        spantext += ((spantext == '') ? '' : ' & ') + w.getAttribute('displaytext');
    if(s != null && s.checked)
        spantext += ((spantext == '') ? '' : ' & ') + s.getAttribute('displaytext');
    if(ab !=null && ab.checked)
        spantext += ((spantext == '') ? '' : ' & ') + ab.getAttribute('displaytext');
    span.innerHTML = spantext;
    setMxConcetpRadio(type);
}

function onSearchTypeDivMouseOut(evt) 
{
    var targetdiv = dojo.byId('search-selecttype-div');
	evt = evt ? evt : (window.event ? window.event : null);
	var e = evt.toElement;
	while (e != null && e != targetdiv)
	   e = e.parentNode;
	if (e != null)
	   return;
	if (targetdiv != null)
	{
	    targetdiv.style.visibility = "hidden";
	    var searchtype = getSearchTypeValue();
	    if(searchtype == 0)
	    {
	        if(INIT_DATABASE!=3)
	        {
	            searchtype = INIT_DATABASE;
	            dojo.byId('searchtype-'+spanType[Math.log(INIT_DATABASE)/Math.log(2)]).checked = true;
	        }
	        else
	        {
	            dojo.byId('searchtype-p').checked = true;
	            searchtype = 1;
	        }
	        setSearchTypeCheckBoxByType(searchtype);
	    }
	    setSearchTypeSpan(searchtype);
	}
}
function onHelpTypeDivMouseOut(evt) 
{
   
}


function doHelpSelect(obj,flag)
{
    obj.style.color='White';
	obj.style.backgroundColor='Blue';
}
function doHelpUnSelect(obj,flag)
{
	if(flag==null)
		obj.style.color='Black';
	else
		obj.style.color='Gray';
	obj.style.backgroundColor='White';
}
function onSearchTypeMouseOver(obj)
{
    obj.nextSibling.src = c_sImgPath+'img/combobox-arrow-active.gif';
}

function onSearchTypeMouseOut(obj)
{
    obj.nextSibling.src = c_sImgPath+'img/combobox-arrow.gif';
}

function onHelpTypeClick(obj)
{
    var popupdiv = dojo.byId('help-selecttype-div');
    if(popupdiv.style.visibility == 'visible')
    {
        popupdiv.style.visibility = 'hidden';
        return;
    }
    popupdiv.style.visibility = 'visible';
    var left = calculateOffset(obj,'offsetLeft');
    var top =  calculateOffset(obj,'offsetTop');
    var scroll = calculateOffset(obj, 'scrollTop');
    popupdiv.style.left = (parseInt(left) - 2) + "px";
    var height = popupdiv.style.height.substring(0, popupdiv.style.height.length - 2);
    height = top - scroll + 17;
    if(height < 0)
        height = 0;
    popupdiv.style.top = height + "px";
}


function onSearchTypeClick(obj)
{
    var popupdiv = dojo.byId('search-selecttype-div');
    if(popupdiv.style.visibility == 'visible')
    {
        popupdiv.style.visibility = 'hidden';
        return;
    }
    popupdiv.style.visibility = 'visible';
    var left = calculateOffset(obj,'offsetLeft');
    var top =  calculateOffset(obj,'offsetTop');
    var scroll = calculateOffset(obj, 'scrollTop');
    popupdiv.style.left = (parseInt(left) - 2) + "px";
    var height = popupdiv.style.height.substring(0, popupdiv.style.height.length - 2);
    height = top - scroll + 17;
    if(height < 0)
        height = 0;
    popupdiv.style.top = height + "px";
}



function moveinputout(posid,inputid)
{
    var pos = dojo.byId(posid);
    if(pos!=null){
    pos.src=c_sImgPath+'img/uploadpatent.gif';
    var input = dojo.byId(inputid);
    //input.style.top = '-100px';
    //input.style.left = '-200px';
    if(input!=null)
        input.style.visibility = 'hidden';
    }
}


function fulltextImgClick(obj, noClose, noChange)
{
    
   
    if(obj==null)
        return;
    
    switch(obj.getAttribute('state'))
    {
        case 'clicked':
            obj.setAttribute('state','normal');
            obj.src = obj.getAttribute('normalImg');
            break;
        case 'normal':
        case 'mouseover':
            if(noClose != null && noClose == 1)
            {
            }else{
                 var curClicked = getClickedFulltextImg(obj);
        
                if(curClicked != null)
                {
                    curClicked.setAttribute('state','normal');
                    curClicked.src = curClicked.getAttribute('normalImg');
                }
            }
            if(noChange != null && noChange == 1)
            {
           
            }else
            {
                 obj.setAttribute('state', 'clicked');
                obj.src = obj.getAttribute('clickedImg');
            }
            break;
        
        
    }
    
}

function getClickedFulltextImg(obj)
{
    var imgs = obj.parentNode.getElementsByTagName('img');
    
    for(var i=0;i<imgs.length;i++)
    {
        if(imgs[i].getAttribute('state')=='clicked')
        {
            return imgs[i]; 
        }
    }
    
}

function fulltextImgMouseOver(obj)
{
    switch(obj.getAttribute('state'))
    {
        case 'mouseover':
        case 'clicked':
            break;
        case 'normal':
        obj.setAttribute('state', 'mouseover');
        obj.src = obj.getAttribute('mouseoverImg');
            break;
        default:
            break;
        
    }
    
}

function fulltextImgMouseOut(obj)
{
    switch(obj.getAttribute('state'))
    {
        case 'mouseover':
            obj.setAttribute('state', 'normal');
            obj.src = obj.getAttribute('normalImg');
            break;
        case 'normal':
        case 'clicked':
            break;
        default:
            break;
            
            
    }
}

function expandCommand()
{
    LoadQueryJsFile();
	doExpandKeyword3();
}
function doExpandKeyword2(type,obj)
{
	getUserLoginState2(doExpandKeyword1,[type,obj]);
}
function doExpandKeyword3()
{
			
    var expandspan = dojo.byId('querylist-expandkeyword-div-SEARCH-MASTER');
	if(expandspan.style.display=='')
		{
			expandspan.style.display='none';
			currentFocusInput = null;
			return;
		}
		//HiddenQueryListIcon('SEARCH-MASTER');
		expandspan.style.display='';
		dojo.byId('expand-keyword-div-SEARCH-MASTER').innerHTML = '';
		currentFocusInput = dojo.byId('search-master-expandkeyword-input');
	}
	function toRead()
	{
		var toread = dojo.byId('newusertoread');
		if(toread!=null)
		{
			if(toread.style.display != 'none')
			{
				toread.style.display = 'none';
			}else
			{
				toread.style.display = '';
			}
		}
	}
	function toReadDown()
	{
		var toread = dojo.byId('newusertoread');
		if(toread!=null)
			toread.style.display = 'none';
	}

	function toReadUp()
	{
		var toread = dojo.byId('newusertoread');
		if(toread!=null)
			toread.style.display = 'block';
	}

function checkQuery(str)
{
    var searchForm = null;
    //if(type == '0')
        searchForm = dojo.byId('search-form-master');
    var obj=new Array(dojo.byId('searchtype-p'),dojo.byId('searchtype-a'),dojo.byId('searchtype-c'),dojo.byId('searchtype-r'),
                        dojo.byId('searchtype-e'),dojo.byId('searchtype-o'),dojo.byId('searchtype-ab'),dojo.byId('searchtype-d'));
    var isdatabase=new Array(0,0,0,0,0,0,0,0);
    for(var i =0;i<obj.length;i++)
    {
        if(obj[i]!=null && obj[i].checked)
        {
            isdatabase[i]=1;
        }
    }
    var idi=-1;
    var databasegroup=getDatabaseGroup(searchForm.idi.value);
    //else
       // searchForm = dojo.byId('search-form-slave');
    while(1==1)
    {
        var prefixIndex=str.indexOf('/');
        if(prefixIndex==-1)
            return;
        if(prefixIndex<2)
        {
            str=str.substring(prefixIndex+1);
            continue;
        }
        var pn=str.substring(prefixIndex-2,prefixIndex).toLowerCase();
        str=str.substring(prefixIndex+1);
        if(pn=='pn')// || prefix=='c')
        {
            pn=str.substring(0,2).toLowerCase();
            if(pn=='ep' && isdatabase[4]==0 && isdatabase[6]==0)
            {
                idi=1<<4;
                break;
            }
            else if(pn=='wo'&&isdatabase[5]==0 && isdatabase[6]==0)
            {
                idi=1<<5;
                break;
            }
            else if(pn=='us'&&isdatabase[0]==0 && isdatabase[1]==0 &&isdatabase[6]==0)
            {
                idi=3;
                break;
            }
            else if(pn.substring(0,1)=='u' && pn.substring(1,2)>'0' &&pn.substring(1,2)<='9')
            {
                idi=1<<7;
                break;
            }
            else if(pn=='cn' && isdatabase[2]==0 &&isdatabase[6]==0 )
            {
                idi=1<<2;
                break;
            }
            else if(pn=='ck' && isdatabase[3]==0)
            {
                idi=1<<3;
                break;
            }
            else if(pn.substring(0,1)>'0' && pn.substring(0,1)<'9')
            {
                idi=3;
                break;
            }
            else if(pn!='us'&&pn!='cn'&&pn!='ep'&&pn!='wo'&&pn!='ck')
            {
                idi=1<<6;
                break;
            }
        }
    }
    if(idi!=-1)
        setSearchTypeCheckbox(idi);
}