<?xml version="1.0" encoding="utf-8"?>

<xsl:stylesheet version="1.0"
    xmlns:xsl="http://www.w3.org/1999/XSL/Transform">

	<xsl:template match="Total">
		<span>
			<xsl:value-of select="normalize-space(/Result/Total)" />&#160;results:&#160;
		</span>
	</xsl:template>

	<xsl:template match="PageIndex"></xsl:template>
	<xsl:template match="PageCount"></xsl:template>
	<xsl:template match="PN"></xsl:template>
	
	<xsl:template match="FamilyList">
		<table class="querylist-contenttable-1">
			<tr class="querylist-title-1">
        <td style="width:10%">
          PN
        </td>
        <td style="width:50%">
          Title
        </td>
        <td style="width:15%">
          Publish Date
        </td>
        <td style="width:15%">
          Priority Date
        </td>
				<td style="width:10%" >
					
					Rank	
				</td>
      </tr>
      
			<xsl:for-each select="Family">
        <tr>
			<td width="10%">
            
              <xsl:if test="click = 1">
                <span target="_self" href="#">
                  <xsl:attribute name="class">querylist-triggered-p-1</xsl:attribute>
                  <xsl:attribute name="url">
                    pncompare.htm?ip=<xsl:value-of select="normalize-space(/Result/ID)" />&amp;pnlist=<xsl:value-of select="normalize-space(DisplayPN)" />
                  </xsl:attribute>
                  <!--<xsl:attribute name="url">invokehtml.do?sf=ShowPatent&amp;ip=<xsl:value-of select="normalize-space(/Result/ID)" />&amp;spn=<xsl:value-of select="normalize-space(../PN)" />&amp;sx=showpatent</xsl:attribute>-->
                  <xsl:attribute name="onmouseover">
                    onQueryTableMouseOver<xsl:value-of select="normalize-space(/Result/Suffix)" />(this, 'p', '<xsl:value-of select="normalize-space(PN)" />')
                  </xsl:attribute>
                  <xsl:attribute name="onmouseout">
                    onQueryTableMouseOut<xsl:value-of select="normalize-space(/Result/Suffix)" />(this, 'p', '<xsl:value-of select="normalize-space(PN)" />')
                  </xsl:attribute>
                  <xsl:attribute name="onclick">
					  setCurrentEvent(event);return onQueryFulltextPNClick(this, '<xsl:value-of select="normalize-space(DisplayPN)" />')
                  </xsl:attribute>
                  <xsl:attribute name="oncontextmenu">
                    onQueryTableContextMenu<xsl:value-of select="normalize-space(/Result/Suffix)" />(this, 'p', '<xsl:value-of select="normalize-space(PN)" />', '<xsl:value-of select="normalize-space(../ID)" />')
                  </xsl:attribute>
                  <xsl:attribute name="pn">
                    <xsl:value-of select="normalize-space(.)" />
                  </xsl:attribute>
                  <xsl:if test="(normalize-space(.) = normalize-space(/Result/ShowPN)) and (normalize-space(../Other) = '-triggered')">
                    <xsl:attribute name="style">color:White</xsl:attribute>
                  </xsl:if>
                  <xsl:if test="normalize-space(.) != normalize-space(/Result/ShowPN)">
                    <xsl:if test="normalize-space(/Result/Foo) != 'SEARCH-MASTER-TOP'">
                      <xsl:attribute name="class">
                        querylist<xsl:value-of select="normalize-space(../Other)" />-p<xsl:value-of select="normalize-space(/Result/Classsuffix)" />
                      </xsl:attribute>
                    </xsl:if>
                    <xsl:if test="normalize-space(/Result/Foo) = 'SEARCH-MASTER-TOP' or (normalize-space(../r) = '100' and (normalize-space(/Result/Foo) = 'SEARCH-MASTER' or normalize-space(/Result/Foo) = 'SEARCH-PATENT'))">
                      <xsl:attribute name="class">querylist-toppatent-p</xsl:attribute>
                    </xsl:if>
                    <xsl:if test="normalize-space(/Result/Foo) = 'SEARCH-MASTER-TOP-C'">
                      <xsl:attribute name="class">querylist-toppatent-c</xsl:attribute>
                    </xsl:if>
                  </xsl:if>
              
             
            <xsl:value-of select="DisplayPN" />
            </span>
              </xsl:if>
            <xsl:if test="click = 0">
              <span>
                <xsl:value-of select="DisplayPN" />
              </span>
            </xsl:if>
          </td>
			<td width="50%">
            <span target="_blank"  >
				<xsl:if test="click = 1">
					<xsl:attribute name="title">Click to view brief</xsl:attribute>
				</xsl:if>
				<xsl:if test="click = 1">
					<xsl:attribute name="class">
						querylist-t<xsl:value-of select="normalize-space(/Result/Classsuffix)" />
					</xsl:attribute>
				
					<xsl:attribute name="onmouseover">
						onQueryTableMouseOver<xsl:value-of select="normalize-space(/Result/Suffix)" />(this, 't', '<xsl:value-of select="normalize-space(PN)" />')
					</xsl:attribute>
					<xsl:attribute name="onmouseout">
						onQueryTableMouseOut<xsl:value-of select="normalize-space(/Result/Suffix)" />(this, 't', '<xsl:value-of select="normalize-space(PN)" />')
					</xsl:attribute>
				
              <xsl:attribute name="onclick">
                onQueryTableClick<xsl:value-of select="normalize-space(/Result/Suffix)" />(this, 't', '<xsl:value-of select="normalize-space(PN)" />', '<xsl:value-of select="normalize-space(ID)"/>', '<xsl:value-of select="normalize-space(/Result/ID)" />', '<xsl:value-of select="normalize-space(/Result/BookmarkName)" />', '<xsl:value-of select="normalize-space(/Result/BookmarkNumber)" />')
              </xsl:attribute>
				
              <xsl:attribute name="oncontextmenu">
                onQueryTableContextMenu<xsl:value-of select="normalize-space(/Result/Suffix)" />(this, 't', '<xsl:value-of select="normalize-space(PN)" />', '<xsl:value-of select="normalize-space(ID)" />')
              </xsl:attribute>
				</xsl:if>
              <xsl:value-of select="Title"/>
            </span>
            
          </td>
          <td width="15%">
            <xsl:value-of select="PB" />
          </td>
			<td width="15%">
            <xsl:value-of select="PR" />
          </td>
			<td width="10%">
				<xsl:if test="Rank &gt; -1">
					<xsl:value-of select="Rank"/>%
				</xsl:if>
				
			</td>
        </tr>
        <tr>
          <td align="center" width="100%">
            <xsl:attribute name="colspan">5</xsl:attribute>
            <div style="width:100%">
              <xsl:attribute name="id">
                <xsl:value-of select="ID" />
              </xsl:attribute>
            </div>
          </td>
        </tr>
      </xsl:for-each>

    </table>
		<xsl:if test="1 &lt; /Result/PageCount">
			<table>
				<xsl:attribute name="class">
					querylist-pager-1
				</xsl:attribute>
				<tr>
					<td align="left" height="14px">
						<xsl:choose>
							<xsl:when test="/Result/PageIndex = 0">
								<span class="graytext">First</span> | <span class="graytext">Prev</span> |
							</xsl:when>
							<xsl:otherwise>
								<span>
									<xsl:attribute name="class">querylist-pageranchor</xsl:attribute>
									<xsl:attribute name="onclick">
										javascript:goPage_Tab_LF('f',0, <xsl:value-of select="/Result/PN"/>, <xsl:value-of select="/Result/PageCount"/>,this)
									</xsl:attribute>
									First
								</span> |
								<span>
									<xsl:attribute name="class">querylist-pageranchor</xsl:attribute>
									<xsl:attribute name="onclick">
										javascript:goPage_Tab_LF('f',<xsl:value-of select="/Result/PageIndex - 1" />, <xsl:value-of select="/Result/PN"/>, <xsl:value-of select="/Result/PageCount"/>,this)
									</xsl:attribute>
									Prev
								</span>  |
							</xsl:otherwise>
						</xsl:choose>
						<xsl:choose>
							<xsl:when test="/Result/PageIndex = /Result/PageCount - 1">
								<span class="graytext">Next</span>
								<xsl:if test="/Result/PageCount &lt; 21">
									| <span class="graytext">Last</span>
								</xsl:if>
							</xsl:when>
							<xsl:otherwise>
								<span>
									<xsl:attribute name="class">querylist-pageranchor</xsl:attribute>
									<xsl:attribute name="onclick">
										goPage_Tab_LF('f',<xsl:value-of select="/Result/PageIndex + 1" />, <xsl:value-of select="/Result/PN"/>, <xsl:value-of select="/Result/PageCount"/>,this)
									</xsl:attribute>
									Next
								</span>
								<xsl:if test="/Result/PageCount &lt; 21">
									|
									<span>
										<xsl:attribute name="class">querylist-pageranchor</xsl:attribute>
										<xsl:attribute name="onclick">
											goPage_Tab_LF('f',<xsl:value-of select="/Result/PageCount - 1" />, <xsl:value-of select="/Result/PN"/>, <xsl:value-of select="/Result/PageCount"/>,this)
										</xsl:attribute>
										Last
									</span>
								</xsl:if>
							</xsl:otherwise>
						</xsl:choose>
						&#160;<input type="text" id="querylist-input">
							<xsl:attribute name="class">querylist-pagerinput</xsl:attribute>
							<xsl:attribute name="onkeydown">
								checkPagerInputKey_LF(event,'f',<xsl:value-of select="/Result/PN"/>,<xsl:value-of select="/Result/PageCount"/>,this)
							</xsl:attribute>
							<xsl:if test="normalize-space(/Result/FooShowPN) != '' and normalize-space(/Result/FooShowPN) != 'null'">
								<xsl:attribute name="value">
									<xsl:value-of select="normalize-space(/Result/FooShowPN)"/>
								</xsl:attribute>
							</xsl:if>
						</input><xsl:if test="/Result/PageCount &lt; 21">
							&#160;<span>
								<xsl:attribute name="class">querylist-pageranchor</xsl:attribute>
								<xsl:attribute name="onclick">
									goPage_Tab_LF('f',findSiblingBefore(this, 'input', 1).value - 1, <xsl:value-of select="/Result/PN"/>, <xsl:value-of select="/Result/PageCount"/>,this)
								</xsl:attribute>GO
							</span>
						</xsl:if>

					</td>
					<td height="14px" align="right">
						Page <xsl:value-of select="/Result/PageIndex + 1"/> / <xsl:value-of select="/Result/PageCount"/>
					</td>
				</tr>
			</table>
		</xsl:if>
	</xsl:template>

</xsl:stylesheet> 

