<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0">
	<xsl:template match="t"/>
	<xsl:template match="CnLit">
		<xsl:if test="t = 0">
			<br/>
			<b>无效信息</b>
		</xsl:if>
		<xsl:if test="t = 1">
			<br/>
			<b>复审信息</b>
		</xsl:if>
		<table>
			<tr>
				<td style="width:100px">决定号</td>
				<td>
					<a target="_blank" class="patenticsLink">
					<xsl:attribute name="href">http://app.sipo-reexam.gov.cn/reexam_out/searchdoc/decidedetail.jsp?jdh=<xsl:value-of select="num"/>&amp;lx=wx</xsl:attribute>
					<xsl:value-of select="num"/></a>
				</td>
			</tr>
			<tr>
				<td>决定日</td>
				<td>
					<xsl:value-of select="ltd"/>
				</td>
			</tr>
			<tr>
				<td>委内编号</td>
				<td>
					<xsl:value-of select="num2"/>
				</td>
			</tr>
			<tr>
				<td>请求人</td>
				<td>
					<xsl:value-of select="lpan"/>
				</td>
			</tr>
			<tr>
				<td>主审员</td>
				<td>
					<xsl:value-of select="p1"/>
				</td>
			</tr>
			<tr>
				<td>合议组组长</td>
				<td>
					<xsl:value-of select="p2"/>
				</td>
			</tr>
			<tr>
				<td>参审员</td>
				<td>
					<xsl:value-of select="p3"/>
				</td>
			</tr>
			<tr>
				<td>法律依据</td>
				<td>
					<xsl:for-each select="lsList/ls">
						<xsl:value-of select="."/>
						<xsl:text disable-output-escaping="yes"><![CDATA[&nbsp;&nbsp;]]></xsl:text>
					</xsl:for-each>
				</td>
			</tr>
			<tr>
				<td>决定要点</td>
				<td>
					<xsl:value-of select="cv"/>
				</td>
			</tr>
			<tr>
				<td>证据</td>
				<td>
					<xsl:for-each select="evList/ev">
						<div>
							<xsl:value-of select="."/>
						</div>
					</xsl:for-each>
				</td>
			</tr>
			<tr>
				<td>决定</td>
				<td>
					<xsl:value-of select="con"/>
				</td>
			</tr>
		</table>
	</xsl:template>
</xsl:stylesheet>
