<?xml version='1.0' encoding='utf-8'?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
<xsl:output method="html" encoding="utf-8"/>

  <xsl:template match="*|@*">
	<xsl:copy>
		<xsl:apply-templates select="@*|*|comment()|processing-instruction()|text()"/>
	</xsl:copy>
  </xsl:template>

	<xsl:template match="Foo"></xsl:template>
	<xsl:template match="FooIndex"></xsl:template>
  <xsl:template match="QueryFilter"></xsl:template>
  <xsl:template match="ShowPN"></xsl:template>
	<xsl:template match="ConceptFlag"></xsl:template>
	<xsl:template match="Fooconceptflag"></xsl:template>
	<xsl:template match="ConceptTerm"></xsl:template>
  <xsl:template match="Footype"></xsl:template>
	<xsl:template match="Total"></xsl:template> 
    <xsl:template match="PageSize"></xsl:template> 
    <xsl:template match="PageIndex"></xsl:template> 
    <xsl:template match="Suffix"></xsl:template> 
    <xsl:template match="Classsuffix"></xsl:template>
    <xsl:template match="PageCount"></xsl:template>
    <xsl:template match="DisplayFieldList"></xsl:template>
    <xsl:template match="PN"></xsl:template>
    <xsl:template match="ID"></xsl:template>
    <xsl:template match="Other"></xsl:template>
  <xsl:template match="Color"></xsl:template>
  <xsl:template match="ColorList"></xsl:template>
  <xsl:template match="BookmarkNumber"></xsl:template>
  <xsl:template match="BookmarkName"></xsl:template>
  <xsl:template match="FooShowPN"></xsl:template>
	<xsl:template match="CheckPdf"></xsl:template>
	<xsl:template match="ChangedQuery"></xsl:template>
  <xsl:template match="SpellSuggestQuery"></xsl:template>
  <xsl:template match="QueryExp"></xsl:template>
	<xsl:template match="ChangeLan"></xsl:template>
	<xsl:template match="ap"></xsl:template>
	<xsl:template match="pt"></xsl:template>
  <xsl:template match="RelatedList">  
  		<table>
  			<xsl:attribute name="class">querylist-related<xsl:value-of select="normalize-space(/Result/Classsuffix)" /></xsl:attribute>
  			<tr>
  				<xsl:attribute name="class">querylist-related-title<xsl:value-of select="normalize-space(/Result/Classsuffix)" /></xsl:attribute>
  				<td width="100%" colspan="4">Related concepts:</td>
  			</tr>
  			<tr>				 	
  				<td width="25%">
  				 <xsl:for-each select="Related">
  				  <xsl:if test="position() &lt; 3">
  					<img class="imglink" style="vertical-align:middle"  src="img/st.gif">
						<xsl:attribute name="onclick">onQuerylistRelatedIconClick<xsl:value-of select="normalize-space(/Result/Suffix)" />(this, 'w')</xsl:attribute>
					</img>
  				  	<span>
  				  	<xsl:attribute name="class">querylist-related-w<xsl:value-of select="normalize-space(/Result/Classsuffix)" /></xsl:attribute>
  				  	<xsl:attribute name="onmouseover">onQuerylistRelatedMouseOver<xsl:value-of select="normalize-space(/Result/Suffix)" />(this, 'w')</xsl:attribute>
  				  	<xsl:attribute name="onmouseout">onQuerylistRelatedMouseOut<xsl:value-of select="normalize-space(/Result/Suffix)" />(this, 'w')</xsl:attribute>
  				  	<xsl:attribute name="onclick">onQuerylistRelatedClick<xsl:value-of select="normalize-space(/Result/Suffix)" />(this, 'w')</xsl:attribute>
					<xsl:attribute name="oncontextmenu">onQuerylistRelatedContextMenu<xsl:value-of select="normalize-space(/Result/Suffix)" />(this, 'w')</xsl:attribute>
  				  		<xsl:value-of select="normalize-space(.)" />
  				  	</span>
					  <br /> 				 	
  				   </xsl:if>
  				 </xsl:for-each>
  				</td>
  				<td width="25%">
  				 <xsl:for-each select="Related">
  				  <xsl:if test="2 &lt; position() and position() &lt; 5">
  					<img class="imglink" style="vertical-align:middle"  src="img/st.gif">
						<xsl:attribute name="onclick">onQuerylistRelatedIconClick<xsl:value-of select="normalize-space(/Result/Suffix)" />(this, 'w')</xsl:attribute>
					</img>
  				  	<span>
  				  	<xsl:attribute name="class">querylist-related-w<xsl:value-of select="normalize-space(/Result/Classsuffix)" /></xsl:attribute>
  				  	<xsl:attribute name="onmouseover">onQuerylistRelatedMouseOver<xsl:value-of select="normalize-space(/Result/Suffix)" />(this, 'w')</xsl:attribute>
  				  	<xsl:attribute name="onmouseout">onQuerylistRelatedMouseOut<xsl:value-of select="normalize-space(/Result/Suffix)" />(this, 'w')</xsl:attribute>
  				  	<xsl:attribute name="onclick">onQuerylistRelatedClick<xsl:value-of select="normalize-space(/Result/Suffix)" />(this, 'w')</xsl:attribute>
					<xsl:attribute name="oncontextmenu">onQuerylistRelatedContextMenu<xsl:value-of select="normalize-space(/Result/Suffix)" />(this, 'w')</xsl:attribute>
  				  		<xsl:value-of select="normalize-space(.)" />
  				  	</span>
  				  <br />  				 	
  				   </xsl:if>
  				 </xsl:for-each>
  				</td> 
  				<td width="25%">
  				 <xsl:for-each select="Related">
  				  <xsl:if test="4 &lt; position() and position() &lt; 7">
  					<img class="imglink" style="vertical-align:middle"  src="img/st.gif">
						<xsl:attribute name="onclick">onQuerylistRelatedIconClick<xsl:value-of select="normalize-space(/Result/Suffix)" />(this, 'w')</xsl:attribute>
					</img>
  				  	<span>
  				  	<xsl:attribute name="class">querylist-related-w<xsl:value-of select="normalize-space(/Result/Classsuffix)" /></xsl:attribute>
  				  	<xsl:attribute name="onmouseover">onQuerylistRelatedMouseOver<xsl:value-of select="normalize-space(/Result/Suffix)" />(this, 'w')</xsl:attribute>
  				  	<xsl:attribute name="onmouseout">onQuerylistRelatedMouseOut<xsl:value-of select="normalize-space(/Result/Suffix)" />(this, 'w')</xsl:attribute>
  				  	<xsl:attribute name="onclick">onQuerylistRelatedClick<xsl:value-of select="normalize-space(/Result/Suffix)" />(this, 'w')</xsl:attribute>
					<xsl:attribute name="oncontextmenu">onQuerylistRelatedContextMenu<xsl:value-of select="normalize-space(/Result/Suffix)" />(this, 'w')</xsl:attribute>
  				  		<xsl:value-of select="normalize-space(.)" />
  				  	</span>
  					<br />  				 	
  				   </xsl:if>
  				 </xsl:for-each>
  				</td> 
  				<td width="25%">
  				 <xsl:for-each select="Related">
  				  <xsl:if test="6 &lt; position()">
  					<img class="imglink" style="vertical-align:middle"  src="img/st.gif">
						<xsl:attribute name="onclick">onQuerylistRelatedIconClick<xsl:value-of select="normalize-space(/Result/Suffix)" />(this, 'w')</xsl:attribute>
					</img>
  				  	<span>
  				  	<xsl:attribute name="class">querylist-related-w<xsl:value-of select="normalize-space(/Result/Classsuffix)" /></xsl:attribute>
  				  	<xsl:attribute name="onmouseover">onQuerylistRelatedMouseOver<xsl:value-of select="normalize-space(/Result/Suffix)" />(this, 'w')</xsl:attribute>
  				  	<xsl:attribute name="onmouseout">onQuerylistRelatedMouseOut<xsl:value-of select="normalize-space(/Result/Suffix)" />(this, 'w')</xsl:attribute>
  				  	<xsl:attribute name="onclick">onQuerylistRelatedClick<xsl:value-of select="normalize-space(/Result/Suffix)" />(this, 'w')</xsl:attribute>
					<xsl:attribute name="oncontextmenu">onQuerylistRelatedContextMenu<xsl:value-of select="normalize-space(/Result/Suffix)" />(this, 'w')</xsl:attribute>
  				  		<xsl:value-of select="normalize-space(.)" />
  				  	</span>
  					<br />  				 	
  				   </xsl:if>
  				 </xsl:for-each>
  				</td>
  			</tr>
  		</table>
  </xsl:template>

   <xsl:template match="p">


	   <xsl:choose>

		   <xsl:when test ="starts-with(., 'SS')">
			   <td>
				   <xsl:choose>
					   <xsl:when test ="../Other = ''">
						   <span>
							   <xsl:value-of select="."/>
						   </span>
					   </xsl:when>
					   <xsl:otherwise>

						   <a style="text-decoration:none" target="_blank">
							   <xsl:attribute name="href">
								   <xsl:value-of select="../Other"/>
							   </xsl:attribute>
							   <xsl:value-of select="."/>
						   </a>
					   </xsl:otherwise>
				   </xsl:choose>
			   </td>
		   </xsl:when>
		   <xsl:otherwise>
	   <td>

	<xsl:if test="(../PN) &lt; 400000001 or (../PN) &gt; 400000000">
       <xsl:if test="normalize-space(../Color) != ''">
       <xsl:attribute name="class">querylist-contenttd<xsl:value-of select="normalize-space(/Result/Classsuffix)" /></xsl:attribute>
         </xsl:if>
	   <xsl:for-each select="/Result/DisplayFieldList/DisplayField">
		   <xsl:if test="normalize-space(Key) = 'p' and normalize-space(Value) != ''">
			   <xsl:attribute name="style">width:<xsl:value-of select="normalize-space(Value)" /></xsl:attribute>
		   </xsl:if>
	   </xsl:for-each>
	   <xsl:if test="((../PN) &gt; 3574860) or ((../PN) &lt; 60000)">
			<span target="_self" href="#" title="Click to view fulltext">
       				<xsl:if test="(../CheckPdf) = 0">
					<xsl:attribute name="url">
						pncompare.htm?ip=<xsl:value-of select="normalize-space(/Result/ID)" />&amp;pnlist=<xsl:value-of select="normalize-space(.)" />						
					</xsl:attribute>
				</xsl:if>
				<xsl:if test="(../CheckPdf) = 1">
					<xsl:attribute name="url">
						/PatenticsMisc/invokebinary.do?sf=ShowPdf&amp;mime=application/pdf&amp;spn=<xsl:value-of select="normalize-space(../PN)" />
					</xsl:attribute>
				</xsl:if>
        
        <xsl:attribute name="onmouseover">onQueryTableMouseOver<xsl:value-of select="normalize-space(/Result/Suffix)" />(this, 'p', '<xsl:value-of select="normalize-space(../PN)" />')</xsl:attribute> 
				<xsl:attribute name="onmouseout">onQueryTableMouseOut<xsl:value-of select="normalize-space(/Result/Suffix)" />(this, 'p', '<xsl:value-of select="normalize-space(../PN)" />')</xsl:attribute>
				<!--<xsl:attribute name="onclick">onQueryTableClick<xsl:value-of select="normalize-space(/Result/Suffix)" />(this, 'p', '<xsl:value-of select="normalize-space(../PN)" />', '<xsl:value-of select="normalize-space(../ID)" />', '<xsl:value-of select="normalize-space(/Result/ID)" />')</xsl:attribute>-->
				
				<xsl:attribute name="onclick">
					setCurrentEvent(event);return onQueryFulltextPNClick(this, '<xsl:value-of select="normalize-space(.)" />','<xsl:value-of select="normalize-space(../PN)" />');</xsl:attribute>				
				<xsl:attribute name="oncontextmenu">onQueryTableContextMenu<xsl:value-of select="normalize-space(/Result/Suffix)" />(this, 'p', '<xsl:value-of select="normalize-space(../PN)" />', '<xsl:value-of select="normalize-space(../ID)" />')</xsl:attribute>
        <xsl:attribute name="pn"><xsl:value-of select="normalize-space(.)" /></xsl:attribute>
		<xsl:attribute name="apn"><xsl:value-of select="normalize-space(../ap)" /></xsl:attribute>
        <xsl:if test="(normalize-space(.) = normalize-space(/Result/ShowPN)) and (normalize-space(../Other) = '-triggered')">
          <xsl:attribute name="style">color:White</xsl:attribute>
        </xsl:if>
        <xsl:if test="normalize-space(.) != normalize-space(/Result/ShowPN)">
          <xsl:if test="normalize-space(/Result/Foo) != 'SEARCH-MASTER-TOP'">
			  <xsl:if test="(normalize-space(../Other) = '-triggered')">
				  <xsl:attribute name="class">querylist<xsl:value-of select="normalize-space(../Other)" />-p-1</xsl:attribute>
			  </xsl:if>
			  <xsl:if test="(normalize-space(../Other) != '-triggered')">
				  <xsl:attribute name="class">
					  querylist<xsl:value-of select="normalize-space(../Other)" />-p<xsl:value-of select="normalize-space(/Result/Classsuffix)" />
				  </xsl:attribute>
			  </xsl:if>
          </xsl:if>
          <xsl:if test="normalize-space(/Result/Foo) = 'SEARCH-MASTER-TOP' or (normalize-space(../r) = '100' and (normalize-space(/Result/Foo) = 'SEARCH-MASTER' or normalize-space(/Result/Foo) = 'SEARCH-PATENT'))">
            <xsl:attribute name="class">querylist-toppatent-p</xsl:attribute>   		
          </xsl:if>
          <xsl:if test="normalize-space(/Result/Foo) = 'SEARCH-MASTER-TOP-C'">
            <xsl:attribute name="class">querylist-toppatent-c</xsl:attribute>
          </xsl:if>
        </xsl:if>

          <xsl:value-of select="normalize-space(.)" />
       
      </span>
		</xsl:if>
	</xsl:if>
	   <xsl:if test="(../PN) &lt; 3574861 and (../PN) &gt; 60000 ">		
       <span>
			   <xsl:value-of select="normalize-space(.)" />
		   </span>
	   </xsl:if><!--
		   <xsl:if test="(../PN) &lt; 219000000 and (../PN) &gt; 309999999">
			   <a>
				   <xsl:if test="normalize-space(/Result/Foo) = 'SEARCH-MASTER-TOP'">
					   <xsl:attribute name="class">querylist-toppatent-p</xsl:attribute>
				   </xsl:if>
				   <xsl:value-of select="normalize-space(.)" />
			   </a>
		   </xsl:if>-->
		   <input type="hidden">
         <xsl:attribute name="value">
           <xsl:value-of select="normalize-space(../PN)"/>
         </xsl:attribute>
       </input>
   </td>
		   </xsl:otherwise>
		   </xsl:choose>
  </xsl:template> 
   
  <xsl:template match="t">
	  <td>
    <xsl:if test="normalize-space(../Color) != ''">
       <xsl:attribute name="class">querylist-contenttd<xsl:value-of select="normalize-space(/Result/Classsuffix)" /></xsl:attribute>
         </xsl:if>
	   <xsl:for-each select="/Result/DisplayFieldList/DisplayField">
		   <xsl:if test="normalize-space(Key) = 't' and normalize-space(Value) != ''">
			   <xsl:attribute name="style">width:<xsl:value-of select="normalize-space(Value)" /></xsl:attribute>
		   </xsl:if>
	   </xsl:for-each>
		<span target="_blank"  title="Click to view brief">
			<xsl:attribute name="class">querylist-t<xsl:value-of select="normalize-space(/Result/Classsuffix)" /></xsl:attribute>   		  	 							
			<xsl:attribute name="onmouseover">onQueryTableMouseOver<xsl:value-of select="normalize-space(/Result/Suffix)" />(this, 't', '<xsl:value-of select="normalize-space(../PN)" />')</xsl:attribute> 
			<xsl:attribute name="onmouseout">onQueryTableMouseOut<xsl:value-of select="normalize-space(/Result/Suffix)" />(this, 't', '<xsl:value-of select="normalize-space(../PN)" />')</xsl:attribute>

			<xsl:choose>
				<xsl:when test="starts-with(../PN, '-')">
					<xsl:attribute name="onclick">
						onQueryTableClick<xsl:value-of select="normalize-space(/Result/Suffix)" />(this, 't', 'SS<xsl:value-of select="normalize-space(../PN)" />', '<xsl:value-of select="normalize-space(../ID)"/>', '<xsl:value-of select="normalize-space(/Result/ID)" />', '<xsl:value-of select="normalize-space(/Result/BookmarkName)" />', '<xsl:value-of select="normalize-space(/Result/BookmarkNumber)" />')
					</xsl:attribute>
				</xsl:when>
				<xsl:otherwise>
					<xsl:attribute name="onclick">
						onQueryTableClick<xsl:value-of select="normalize-space(/Result/Suffix)" />(this, 't', '<xsl:value-of select="normalize-space(../PN)" />', '<xsl:value-of select="normalize-space(../ID)"/>', '<xsl:value-of select="normalize-space(/Result/ID)" />', '<xsl:value-of select="normalize-space(/Result/BookmarkName)" />', '<xsl:value-of select="normalize-space(/Result/BookmarkNumber)" />')
					</xsl:attribute>
				</xsl:otherwise>
			</xsl:choose>
			
			
			<!--<xsl:attribute name="onclick">onQueryTableClick<xsl:value-of select="normalize-space(/Result/Suffix)" />(this, 't', '<xsl:value-of select="normalize-space(../PN)" />', '<xsl:value-of select="normalize-space(../ID)"/>', '<xsl:value-of select="normalize-space(/Result/ID)" />', '<xsl:value-of select="normalize-space(/Result/BookmarkName)" />', '<xsl:value-of select="normalize-space(/Result/BookmarkNumber)" />')</xsl:attribute>-->
			<xsl:attribute name="oncontextmenu">onQueryTableContextMenu<xsl:value-of select="normalize-space(/Result/Suffix)" />(this, 't', '<xsl:value-of select="normalize-space(../PN)" />', '<xsl:value-of select="normalize-space(../ID)" />')</xsl:attribute>
      <xsl:attribute name="pn"><xsl:value-of select="normalize-space(../PN)" /></xsl:attribute>
      <xsl:attribute name="pnid"><xsl:value-of select="normalize-space(../ID)" /></xsl:attribute>
      <xsl:value-of select="normalize-space(.)" />
		</span>
   </td> 
  </xsl:template> 
	
	<xsl:template match="r">
		<td>
<xsl:if test="normalize-space(../Color) != ''">
       <xsl:attribute name="class">querylist-contenttd<xsl:value-of select="normalize-space(/Result/Classsuffix)" /></xsl:attribute>
         </xsl:if>
			<xsl:for-each select="/Result/DisplayFieldList/DisplayField">
			   <xsl:if test="normalize-space(Key) = 'r' and normalize-space(Value) != ''">
				   <xsl:attribute name="width"><xsl:value-of select="normalize-space(Value)" /></xsl:attribute>
			   </xsl:if>
		   </xsl:for-each>
			<span target="_blank">
					<xsl:value-of select="normalize-space(.)" />%
			</span>
		</td> 
	</xsl:template>

  <xsl:template match="aList">
    <td>
      <xsl:if test="normalize-space(../Color) != ''">
        <xsl:attribute name="class">
          querylist-contenttd<xsl:value-of select="normalize-space(/Result/Classsuffix)" />
        </xsl:attribute>
      </xsl:if>
      <xsl:for-each select="/Result/DisplayFieldList/DisplayField">
        <xsl:if test="normalize-space(Key) = 'a' and normalize-space(Value) != ''">
          <xsl:attribute name="style">
            width:<xsl:value-of select="normalize-space(Value)" />
          </xsl:attribute>
        </xsl:if>
      </xsl:for-each>
      <xsl:apply-templates />
    </td>
  </xsl:template>
  <xsl:template match="a">
     
     <xsl:if test="normalize-space(.) != ''">
		<span target="_blank" title="Click to search assignee">
			<xsl:if test="starts-with(../PN, '-') = false">
				<xsl:attribute name="class">querylist-a<xsl:value-of select="normalize-space(/Result/Classsuffix)" />
				</xsl:attribute>
				<xsl:attribute name="onmouseover">
					onQueryTableMouseOver<xsl:value-of select="normalize-space(/Result/Suffix)" />(this, 'a', '<xsl:value-of select="normalize-space(../PN)" />')
				</xsl:attribute>
				<xsl:attribute name="onmouseout">
					onQueryTableMouseOut<xsl:value-of select="normalize-space(/Result/Suffix)" />(this, 'a', '<xsl:value-of select="normalize-space(../PN)" />')
				</xsl:attribute>

				<xsl:attribute name="onclick">
					onQueryTableClick<xsl:value-of select="normalize-space(/Result/Suffix)" />(this, 'a', '<xsl:value-of select="normalize-space(../PN)" />', '<xsl:value-of select="normalize-space(../ID)"/>', '<xsl:value-of select="normalize-space(/Result/ID)" />')
				</xsl:attribute>
				<xsl:attribute name="oncontextmenu">
					onQueryTableContextMenu<xsl:value-of select="normalize-space(/Result/Suffix)" />(this, 'a', '<xsl:value-of select="normalize-space(../PN)" />', '<xsl:value-of select="normalize-space(../ID)" />')
				</xsl:attribute>
			</xsl:if>
			<xsl:value-of select="normalize-space(.)" />

		</span>
       </xsl:if>
     <xsl:if test="normalize-space(.) = ''">
       &#160;
     </xsl:if>
     <xsl:if test="position() != last()"> | </xsl:if>
  </xsl:template> 
         
  <xsl:template match="i">
    <span target="_blank" title="Click to search inventor">
			<xsl:attribute name="class">querylist-i<xsl:value-of select="normalize-space(/Result/Classsuffix)" /></xsl:attribute>   		  	 							
			<xsl:attribute name="onmouseover">onQueryTableMouseOver<xsl:value-of select="normalize-space(/Result/Suffix)" />(this, 'i', '<xsl:value-of select="normalize-space(../../PN)" />')</xsl:attribute> 
			<xsl:attribute name="onmouseout">onQueryTableMouseOut<xsl:value-of select="normalize-space(/Result/Suffix)" />(this, 'i', '<xsl:value-of select="normalize-space(../../PN)" />')</xsl:attribute> 
			<xsl:attribute name="onclick">onQueryTableClick<xsl:value-of select="normalize-space(/Result/Suffix)" />(this, 'i', '<xsl:value-of select="normalize-space(../../PN)" />', '<xsl:value-of select="normalize-space(../../ID)"/>', '<xsl:value-of select="normalize-space(/Result/ID)" />')</xsl:attribute>
			<xsl:attribute name="oncontextmenu">onQueryTableContextMenu<xsl:value-of select="normalize-space(/Result/Suffix)" />(this, 'i', '<xsl:value-of select="normalize-space(../PN)" />', '<xsl:value-of select="normalize-space(../ID)" />')</xsl:attribute>
			<xsl:value-of select="normalize-space(.)" />
		</span>
	  <xsl:if test="position() != last()"> | </xsl:if>
  </xsl:template>
 
  <xsl:template match="iList">
	  <td>
<xsl:if test="normalize-space(../Color) != ''">
       <xsl:attribute name="class">querylist-contenttd<xsl:value-of select="normalize-space(/Result/Classsuffix)" /></xsl:attribute>
         </xsl:if>
	   <xsl:for-each select="/Result/DisplayFieldList/DisplayField">
		   <xsl:if test="normalize-space(Key) = 'i' and normalize-space(Value) != ''">
			   <xsl:attribute name="style">width:<xsl:value-of select="normalize-space(Value)" /></xsl:attribute>
		   </xsl:if>
	   </xsl:for-each>
    <xsl:apply-templates />    
   </td> 
  </xsl:template>  

  <xsl:template match="c">
   <td>
    <xsl:if test="normalize-space(../Color) != ''">
       <xsl:attribute name="class">querylist-contenttd<xsl:value-of select="normalize-space(/Result/Classsuffix)" /></xsl:attribute>
         </xsl:if>
	   <xsl:for-each select="/Result/DisplayFieldList/DisplayField">
		   <xsl:if test="normalize-space(Key) = 'c' and normalize-space(Value) != ''">
			   <xsl:attribute name="style">width:<xsl:value-of select="normalize-space(Value)" /></xsl:attribute>
		   </xsl:if>
	   </xsl:for-each>
		<span target="_blank">
			<xsl:attribute name="class">querylist-c<xsl:value-of select="normalize-space(/Result/Classsuffix)" /></xsl:attribute>   		  	 							
			<xsl:attribute name="onmouseover">onQueryTableMouseOver<xsl:value-of select="normalize-space(/Result/Suffix)" />(this, 'c', '<xsl:value-of select="normalize-space(../PN)" />')</xsl:attribute> 
			<xsl:attribute name="onmouseout">onQueryTableMouseOut<xsl:value-of select="normalize-space(/Result/Suffix)" />(this, 'c', '<xsl:value-of select="normalize-space(../PN)" />')</xsl:attribute> 
			<xsl:attribute name="onclick">onQueryTableClick<xsl:value-of select="normalize-space(/Result/Suffix)" />(this, 'c', '<xsl:value-of select="normalize-space(../PN)" />', '<xsl:value-of select="normalize-space(../ID)"/>', '<xsl:value-of select="normalize-space(/Result/ID)" />')</xsl:attribute>
			<xsl:attribute name="oncontextmenu">onQueryTableContextMenu<xsl:value-of select="normalize-space(/Result/Suffix)" />(this, 'c', '<xsl:value-of select="normalize-space(../PN)" />', '<xsl:value-of select="normalize-space(../ID)" />')</xsl:attribute>
			<xsl:attribute name="title"><xsl:value-of select="normalize-space(Value)" /></xsl:attribute>
			<xsl:choose>
				<xsl:when test="contains(normalize-space(Key),'/')">
					<xsl:value-of select="substring-before(normalize-space(Key),'/')" />
				</xsl:when>
				<xsl:otherwise>
					<xsl:value-of select="normalize-space(Key)" />
				</xsl:otherwise>
			</xsl:choose>
		</span>
   </td> 
  </xsl:template> 

  <xsl:template match="w">
   <td>
	   <xsl:for-each select="/Result/DisplayFieldList/DisplayField">
		   <xsl:if test="normalize-space(Key) = 'w' and normalize-space(Value) != ''">
			   <xsl:attribute name="style">width:<xsl:value-of select="normalize-space(Value)" /></xsl:attribute>
		   </xsl:if>
	   </xsl:for-each>
		<span target="_blank">
			<xsl:attribute name="class">querylist-w<xsl:value-of select="normalize-space(/Result/Classsuffix)" /></xsl:attribute>   		  	 							
			<xsl:attribute name="onmouseover">onQueryTableMouseOver<xsl:value-of select="normalize-space(/Result/Suffix)" />(this, 'w', '<xsl:value-of select="normalize-space(../PN)" />')</xsl:attribute> 
			<xsl:attribute name="onmouseout">onQueryTableMouseOut<xsl:value-of select="normalize-space(/Result/Suffix)" />(this, 'w', '<xsl:value-of select="normalize-space(../PN)" />')</xsl:attribute> 
			<xsl:attribute name="onclick">onQueryTableClick<xsl:value-of select="normalize-space(/Result/Suffix)" />(this, 'w', '<xsl:value-of select="normalize-space(../PN)" />', '<xsl:value-of select="normalize-space(../ID)"/>', '<xsl:value-of select="normalize-space(/Result/ID)" />')</xsl:attribute>
			<xsl:attribute name="oncontextmenu">onQueryTableContextMenu<xsl:value-of select="normalize-space(/Result/Suffix)" />(this, 'w', '<xsl:value-of select="normalize-space(../PN)" />', '<xsl:value-of select="normalize-space(../ID)" />')</xsl:attribute>
			<xsl:value-of select="normalize-space(.)" />
		</span>
   </td> 
  </xsl:template> 

  <xsl:template match="n">
		<td>
      <xsl:if test="normalize-space(../Color) != ''">
       <xsl:attribute name="class">querylist-contenttd<xsl:value-of select="normalize-space(/Result/Classsuffix)" /></xsl:attribute>
         </xsl:if>
			<xsl:for-each select="/Result/DisplayFieldList/DisplayField">
			   <xsl:if test="normalize-space(Key) = 'n' and normalize-space(Value) != ''">
				   <xsl:attribute name="width"><xsl:value-of select="normalize-space(Value)" /></xsl:attribute>
			   </xsl:if>
		   </xsl:for-each>
			<span target="_blank">
					<xsl:value-of select="normalize-space(.)" />
			</span>
		</td> 
	</xsl:template> 


  <xsl:template match="e">
	  <td>
	   <xsl:for-each select="/Result/DisplayFieldList/DisplayField">
		   <xsl:if test="normalize-space(Key) = 'e' and normalize-space(Value) != ''">
			   <xsl:attribute name="style">width:<xsl:value-of select="normalize-space(Value)" /></xsl:attribute>
		   </xsl:if>
	   </xsl:for-each>
		<span target="_blank">
			<xsl:attribute name="class">querylist-t<xsl:value-of select="normalize-space(/Result/Classsuffix)" /></xsl:attribute>   		  	 							
			<xsl:attribute name="onmouseover">onQueryTableMouseOver<xsl:value-of select="normalize-space(/Result/Suffix)" />(this, 'e', '<xsl:value-of select="normalize-space(../PN)" />')</xsl:attribute> 
			<xsl:attribute name="onmouseout">onQueryTableMouseOut<xsl:value-of select="normalize-space(/Result/Suffix)" />(this, 'e', '<xsl:value-of select="normalize-space(../PN)" />')</xsl:attribute> 
			<xsl:attribute name="onclick">onQueryTableClick<xsl:value-of select="normalize-space(/Result/Suffix)" />(this, 'e', '<xsl:value-of select="normalize-space(../PN)" />', '<xsl:value-of select="normalize-space(../ID)"/>', '<xsl:value-of select="normalize-space(/Result/ID)" />')</xsl:attribute>
			<xsl:attribute name="oncontextmenu">onQueryTableContextMenu<xsl:value-of select="normalize-space(/Result/Suffix)" />(this, 'e', '<xsl:value-of select="normalize-space(../PN)" />', '<xsl:value-of select="normalize-space(../ID)" />')</xsl:attribute>
			
			<xsl:value-of select="normalize-space(.)" />
			
		</span>
   </td> 
  </xsl:template> 

  <xsl:template match="l">
   <td>
<xsl:if test="normalize-space(../Color) != ''">
       <xsl:attribute name="class">querylist-contenttd<xsl:value-of select="normalize-space(/Result/Classsuffix)" /></xsl:attribute>
         </xsl:if>
	   <xsl:for-each select="/Result/DisplayFieldList/DisplayField">
		   <xsl:if test="normalize-space(Key) = 'l' and normalize-space(Value) != ''">
			   <xsl:attribute name="style">width:<xsl:value-of select="normalize-space(Value)" /></xsl:attribute>
		   </xsl:if>
	   </xsl:for-each>
		<span target="_blank" >
			<xsl:attribute name="class">querylist-c<xsl:value-of select="normalize-space(/Result/Classsuffix)" /></xsl:attribute>   		  	 							
			<xsl:attribute name="onmouseover">onQueryTableMouseOver<xsl:value-of select="normalize-space(/Result/Suffix)" />(this, 'l', '<xsl:value-of select="normalize-space(../PN)" />')</xsl:attribute> 
			<xsl:attribute name="onmouseout">onQueryTableMouseOut<xsl:value-of select="normalize-space(/Result/Suffix)" />(this, 'l', '<xsl:value-of select="normalize-space(../PN)" />')</xsl:attribute> 
			<xsl:attribute name="onclick">onQueryTableClick<xsl:value-of select="normalize-space(/Result/Suffix)" />(this, 'l', '<xsl:value-of select="normalize-space(../PN)" />', '<xsl:value-of select="normalize-space(../ID)"/>', '<xsl:value-of select="normalize-space(/Result/ID)" />')</xsl:attribute>
			<xsl:attribute name="oncontextmenu">onQueryTableContextMenu<xsl:value-of select="normalize-space(/Result/Suffix)" />(this, 'l', '<xsl:value-of select="normalize-space(../PN)" />', '<xsl:value-of select="normalize-space(../ID)" />')</xsl:attribute>
			<!--<xsl:value-of select="substring(normalize-space(.), 1, 4)" />-->
			<!-- edit by seedy-->
			<xsl:attribute name="title"><xsl:value-of select="normalize-space(Value)" /></xsl:attribute>
			<xsl:value-of select="substring(normalize-space(.), 1, 4)" />
			<!-- edit by seedy-->
		</span>
   </td> 
  </xsl:template> 

  
  <xsl:template match="PatentList">
    <table>
    	<xsl:if test="/Result/Foo = 'SEARCH-MASTER' or /Result/Foo = 'SEARCH-SLAVE'">
    		<xsl:attribute name="style">border:1px solid #808080;background-color:white</xsl:attribute>
    	</xsl:if>
      <xsl:attribute name="id">querylist-queryresult-table-<xsl:value-of select="normalize-space(/Result/Foo)" /></xsl:attribute>
      <xsl:attribute name="resultid"><xsl:value-of select="normalize-space(/Result/ID)" /></xsl:attribute>
      <xsl:if test="normalize-space(/Result/Classsuffix) = ''"><xsl:attribute name="cellspacing">2</xsl:attribute></xsl:if>
      <xsl:if test="normalize-space(/Result/Classsuffix) != ''"><xsl:attribute name="cellspacing">0</xsl:attribute></xsl:if>
   		<xsl:attribute name="class">querylist-contenttable<xsl:value-of select="normalize-space(/Result/Classsuffix)" /></xsl:attribute>
   		<tr> 
   			<xsl:attribute name="class">querylist-title<xsl:value-of select="normalize-space(/Result/Classsuffix)" /></xsl:attribute>   		
	   		<xsl:for-each select="/Result/DisplayFieldList/DisplayField">
  	 			<td> 
  	 				<xsl:if test="normalize-space(Value) != ''"><xsl:attribute name="style">width:<xsl:value-of select="normalize-space(Value)" /></xsl:attribute></xsl:if>
  	 				<xsl:choose> 
  	 					<xsl:when test="normalize-space(Key) = 'p'">
							<xsl:if test="normalize-space(/Result/Foo) = 'SEARCH-MASTER'">
								<xsl:attribute name="align">left</xsl:attribute>
								<span class="querylist-sortedColumn">
									<xsl:attribute name="onclick">prepareMasterSearch('', -1, -1, '0', null, null)</xsl:attribute>   
									PN
								</span>
								<img src="img/sort.gif" style="display:none">
									<xsl:attribute name="id">querylist-sort-img-pn<xsl:value-of select="normalize-space(/Result/Suffix)" /></xsl:attribute> 
								</img>
							</xsl:if>
							<xsl:if test="normalize-space(/Result/Foo) = 'SEARCH-SLAVE'">
								<xsl:attribute name="align">left</xsl:attribute>   	
								<span class="querylist-sortedColumn">
									<xsl:attribute name="onclick">prepareSlaveSearch('', -1, '0', null, null, null)</xsl:attribute>   
									PN
								</span>
								<img src="img/sort.gif" style="display:none">
									<xsl:attribute name="id">querylist-sort-img-pn<xsl:value-of select="normalize-space(/Result/Suffix)" /></xsl:attribute> 
								</img>
							</xsl:if>
							<xsl:if test="normalize-space(/Result/Foo) = 'SEARCH-PATENT'">
								<xsl:attribute name="align">left</xsl:attribute>   	
								<span class="querylist-sortedColumn">
									<xsl:attribute name="onclick">prepareSlaveSearch('', -1, '0', null, null, null)</xsl:attribute>   
									PN
								</span>
								<img src="img/sort.gif" style="display:none">
									<xsl:attribute name="id">querylist-sort-img-pn<xsl:value-of select="normalize-space(/Result/Suffix)" /></xsl:attribute> 
								</img>
							</xsl:if>
							<xsl:if test="normalize-space(/Result/Foo) != 'SEARCH-MASTER' and normalize-space(/Result/Foo) != 'SEARCH-SLAVE' and normalize-space(/Result/Foo) != 'SEARCH-PATENT'" >PN</xsl:if>
						</xsl:when>
  	 					<xsl:when test="normalize-space(Key) = 't'">Title</xsl:when>
  	 					<xsl:when test="normalize-space(Key) = 'a'">Assignee</xsl:when> 
  	 					<xsl:when test="normalize-space(Key) = 'i'">Inventors</xsl:when> 
  	 					<xsl:when test="normalize-space(Key) = 'c'">Class</xsl:when> 
  	 					<xsl:when test="normalize-space(Key) = 'w'">Index Word</xsl:when> 
  	 					<xsl:when test="normalize-space(Key) = 'n'">Count</xsl:when> 
  	 					<xsl:when test="normalize-space(Key) = 'e'">Examiner</xsl:when>
  	 					<xsl:when test="normalize-space(Key) = 'l'">ICL</xsl:when>
						<xsl:when test="normalize-space(Key) = 'r'">
							<xsl:if test="normalize-space(/Result/Foo) = 'SEARCH-MASTER'">
								<xsl:attribute name="align">left</xsl:attribute>   	
								<span class="sortedColumn">
									<xsl:attribute name="onclick">prepareMasterSearch('', -1, -1, '1', null, null)</xsl:attribute>   
									Rank
								</span>
								<img src="img/sort.gif" style="display:none">
									<xsl:attribute name="id">querylist-sort-img-rate<xsl:value-of select="normalize-space(/Result/Suffix)" /></xsl:attribute> 
								</img>
							</xsl:if>
							<xsl:if test="normalize-space(/Result/Foo) = 'SEARCH-SLAVE'">
								<xsl:attribute name="align">left</xsl:attribute>   	
								<span class="sortedColumn">
									<xsl:attribute name="onclick">prepareSlaveSearch('', -1, '1', null, null, null)</xsl:attribute>   
									Rank
								</span>
								<img src="img/sort.gif" style="display:none">
									<xsl:attribute name="id">querylist-sort-img-rate<xsl:value-of select="normalize-space(/Result/Suffix)" /></xsl:attribute> 
								</img>
							</xsl:if>
							<xsl:if test="normalize-space(/Result/Foo) = 'SEARCH-PATENT'">
								<xsl:attribute name="align">left</xsl:attribute>   	
								<span class="sortedColumn">
									<xsl:attribute name="onclick">prepareSlaveSearch('', -1, '1', null, null, null)</xsl:attribute>   
									Rank
								</span>
								<img src="img/sort.gif" style="display:none">
									<xsl:attribute name="id">querylist-sort-img-rate<xsl:value-of select="normalize-space(/Result/Suffix)" /></xsl:attribute> 
								</img>
							</xsl:if>
							<xsl:if test="normalize-space(/Result/Foo) != 'SEARCH-MASTER' and normalize-space(/Result/Foo) != 'SEARCH-SLAVE' and normalize-space(/Result/Foo) != 'SEARCH-PATENT'">Rank</xsl:if>
						</xsl:when>
  	 					<xsl:otherwise>Other</xsl:otherwise>
  	 				</xsl:choose>
   				</td>
   			</xsl:for-each>
 			</tr> 
 			<xsl:for-each select="Patent">
 			 <tr>
         <xsl:if test="normalize-space(p) = normalize-space(/Result/ShowPN)">
           <xsl:attribute name="class">querylist-showpn</xsl:attribute>
           <xsl:attribute name="style">overflow:auto</xsl:attribute>
         </xsl:if>
         <xsl:if test="normalize-space(p) != normalize-space(/Result/ShowPN)">
				  <xsl:if test="normalize-space(/Result/Foo) != 'SEARCH-MASTER-TOP'">
					  <xsl:if test="normalize-space(/Result/Foo)!='SEARCH-SLAVE'">
 			 			  <xsl:if test="position() mod 2 = 0">
 			 			   <xsl:attribute name="class">querylist-dark<xsl:value-of select="normalize-space(/Result/Classsuffix)" /></xsl:attribute>
 			 			  </xsl:if>
 			 			  <xsl:if test="position() mod 2 != 0">
 			 			   <xsl:attribute name="class">querylist-light<xsl:value-of select="normalize-space(/Result/Classsuffix)" /></xsl:attribute>
 			 			  </xsl:if>
					  </xsl:if>
					  <xsl:if test="normalize-space(/Result/Foo)='SEARCH-SLAVE'">
						  <xsl:if test="position() mod 2 = 0">
							  <xsl:attribute name="class">
								  querylist-dark<xsl:value-of select="normalize-space(/Result/Classsuffix)" />-SEARCH-SLAVE
							  </xsl:attribute>
						  </xsl:if>
						  <xsl:if test="position() mod 2 != 0">
							  <xsl:attribute name="class">
								  querylist-light<xsl:value-of select="normalize-space(/Result/Classsuffix)" />-SEARCH-SLAVE
							  </xsl:attribute>
						  </xsl:if>
					  </xsl:if>
				  </xsl:if>
				 <xsl:if test="substring(normalize-space(p),1,2)='CN' and substring(normalize-space(/Result/ShowPN),1,string-length(normalize-space(p)))=normalize-space(p)">
					<xsl:attribute name="class">querylist-showpn</xsl:attribute>
					<xsl:attribute name="style">overflow:auto</xsl:attribute>
				 </xsl:if>
				  <xsl:if test="normalize-space(/Result/Foo) = 'SEARCH-MASTER-TOP'">
					   <xsl:attribute name="class">querylist-top</xsl:attribute>
				  </xsl:if>
           <xsl:if test="normalize-space(Color) != ''">
             <xsl:attribute name="style">background-color:<xsl:value-of select="normalize-space(Color)"/></xsl:attribute>
             <xsl:attribute name="Color"><xsl:value-of select="normalize-space(Color)"/></xsl:attribute>
           </xsl:if>
        </xsl:if>
 			 	<xsl:apply-templates /> 			 	
 			 </tr>
 			 <tr width="100%" style="display:none">
 			 	<xsl:attribute name="class">querylist-hiderow<xsl:value-of select="normalize-space(/Result/Classsuffix)" /></xsl:attribute>
				 <td align="center" width="100%"> 
 			 		<xsl:attribute name="colspan"><xsl:value-of select="count(/Result/DisplayFieldList/DisplayField)" /></xsl:attribute>   		
 			 		<div style="width:100%" onclick="onActiveQueryList(this,'t');event.cancelBubble=true;">
 			 			<xsl:attribute name="id"><xsl:value-of select="ID" /></xsl:attribute>
 			 		</div>
 			 	</td>
 			 </tr>
 			</xsl:for-each>
 		</table>
		<xsl:if test="1 &lt; /Result/PageCount">
     		<table>
     			<xsl:attribute name="class">querylist-pager<xsl:value-of select="normalize-space(/Result/Classsuffix)" /></xsl:attribute>
				<tr>
     			 <td align="left" height="14px">
						 <xsl:choose>
					 		<xsl:when test="/Result/PageIndex = 0">
					 			<span class="graytext">First</span> | <span class="graytext">Prev</span> | 
					 		</xsl:when>
					 		<xsl:otherwise>
					 			<span> 
					 				<xsl:attribute name="class">querylist-pageranchor</xsl:attribute>
					 				<xsl:attribute name="onclick">javascript:goPage<xsl:value-of select="normalize-space(/Result/Suffix)" />(0, this, <xsl:value-of select="/Result/PageCount"/>)</xsl:attribute>
					 				First</span> | 
					 			<span> 
					 				<xsl:attribute name="class">querylist-pageranchor</xsl:attribute>
					 				<xsl:attribute name="onclick">javascript:goPage<xsl:value-of select="normalize-space(/Result/Suffix)" />(<xsl:value-of select="/Result/PageIndex - 1" />, this, <xsl:value-of select="/Result/PageCount"/>)</xsl:attribute>
					 				Prev</span>  |					 		
					 		</xsl:otherwise>
						 </xsl:choose>     		  
						 <xsl:choose>
					 		<xsl:when test="/Result/PageIndex = /Result/PageCount - 1">
					 			<span class="graytext">Next</span><xsl:if test="/Result/PageCount &lt; 41"> | <span class="graytext">Last</span></xsl:if>
					 		</xsl:when>
					 		<xsl:otherwise>
								<span>
									<xsl:attribute name="class">querylist-pageranchor</xsl:attribute>
									<xsl:attribute name="onclick">goPage<xsl:value-of select="normalize-space(/Result/Suffix)" />(<xsl:value-of select="/Result/PageIndex + 1" />, this, <xsl:value-of select="/Result/PageCount"/>)</xsl:attribute>
									Next</span><xsl:if test="/Result/PageCount &lt; 41"> |
								<span>
									<xsl:attribute name="class">querylist-pageranchor</xsl:attribute>
									<xsl:attribute name="onclick">goPage<xsl:value-of select="normalize-space(/Result/Suffix)" />(<xsl:value-of select="/Result/PageCount - 1" />, this, <xsl:value-of select="/Result/PageCount"/>)</xsl:attribute>
									Last</span></xsl:if> 	 		
					 		</xsl:otherwise>
						 </xsl:choose>
							 &#160;<input type="text" id="querylist-input">
								 <xsl:attribute name="id">querylist-input-<xsl:value-of select="normalize-space(/Result/Foo)" />
								 </xsl:attribute>
					 		    <xsl:attribute name="class">querylist-pagerinput</xsl:attribute>
								 <xsl:attribute name="onclick">onInputFocus(this);</xsl:attribute>
								 <xsl:attribute name="onkeydown">checkPagerInputKey<xsl:value-of select="normalize-space(/Result/Suffix)" />(event, this, <xsl:value-of select="/Result/PageCount"/>)</xsl:attribute>
                 <xsl:if test="normalize-space(/Result/FooShowPN) != '' and normalize-space(/Result/FooShowPN) != 'null'">
                   <xsl:attribute name="value"><xsl:value-of select="normalize-space(/Result/FooShowPN)"/></xsl:attribute>
                 </xsl:if>
						 </input><xsl:if test="/Result/PageCount &lt; 41">
							&#160;<span>
					  		<xsl:attribute name="class">querylist-pageranchor</xsl:attribute>		
					  		<xsl:attribute name="onclick">goPage<xsl:value-of select="normalize-space(/Result/Suffix)" />(findSiblingBefore(this, 'input', 1).value - 1, this, <xsl:value-of select="/Result/PageCount"/>)</xsl:attribute>GO</span></xsl:if> 	   
					  		
			  		&#160;<span>
					  		<xsl:attribute name="class">querylist-pageranchor</xsl:attribute>
              <xsl:attribute name="id">querylist-goPatent-<xsl:value-of select="normalize-space(/Result/Foo)" /></xsl:attribute>
					  		<xsl:attribute name="onclick">goPatent<xsl:value-of select="normalize-space(/Result/Suffix)" />(findSiblingBefore(this, 'input', 1).value, this)</xsl:attribute>LocatePN</span>
				
					  		
     			 </td>
					<td height="14px" align="right">
            Page <xsl:value-of select="/Result/PageIndex + 1"/> / <xsl:value-of select="/Result/PageCount"/> &#160;
					 <xsl:for-each select="/Result/PageList/Page">
						 <xsl:choose>
							 <xsl:when test="/Result/PageIndex + 1 = .">
							 <input type="hidden" style="display:none" >
							 	<xsl:attribute name="id">querylist-queryresult-pageindex-<xsl:value-of select="normalize-space(/Result/Foo)" /></xsl:attribute>
							 	
							 	<xsl:attribute name="value"><xsl:value-of select="."/></xsl:attribute></input>
								 <span class="graytext">[<xsl:value-of select="."/>]</span>
							 </xsl:when>
							 <xsl:otherwise>
								 [<span><xsl:attribute name="class">querylist-pageranchor</xsl:attribute>
									 <xsl:attribute name="onclick">goPage<xsl:value-of select="normalize-space(/Result/Suffix)" />(<xsl:value-of select=". - 1" />, this, <xsl:value-of select="/Result/PageCount"/>)</xsl:attribute>
									 <xsl:value-of select="normalize-space(.)"/></span>]
							 </xsl:otherwise>
						 </xsl:choose>
					 </xsl:for-each>
     		   </td>
     			</tr>
     		</table>
		</xsl:if> 		
	</xsl:template>
	<xsl:template match="Threshold"></xsl:template>

	<xsl:template match="Result">
		<input type="hidden" id="changedquery">
			<xsl:attribute name="value">
				<xsl:value-of select="ChangedQuery"/>
			</xsl:attribute>
		</input>
		<input type="hidden" id="changedquery">
		<xsl:attribute name="value"><xsl:value-of select="ChangedQuery"/></xsl:attribute>
		
		</input>
		<input type="hidden" id="suggestedquery">
			<xsl:attribute name="value">
				<xsl:value-of select="SpellSuggestQuery"/>
			</xsl:attribute>
		</input>
		<input type="hidden">
		  <xsl:attribute name="id">queryexp<xsl:value-of select="/Result/Suffix"/></xsl:attribute>
			<xsl:attribute name="value">
			<xsl:value-of select="QueryExp"/>
			</xsl:attribute>
			
		</input>
		<div style="display:none" id="resultparamdiv">
		<xsl:attribute name="conceptterm"><xsl:value-of select="normalize-space(/Result/ConceptTerm)"/></xsl:attribute>
      <xsl:attribute name="showpn"><xsl:value-of select="normalize-space(/Result/ShowPN)" /></xsl:attribute>
      <xsl:value-of select="normalize-space(/Result/ID)" />
    </div> 
		 <span style="display:none">
			 <xsl:attribute name="id">querylist-result-total-span<xsl:value-of select="normalize-space(/Result/Suffix)" /></xsl:attribute>
			 <xsl:value-of select="normalize-space(/Result/Total)" />
		 </span> 
		<table>
			<xsl:attribute name="class">querylist-summary<xsl:value-of select="normalize-space(/Result/Classsuffix)" /></xsl:attribute>
			<tr>
				<td align="left">
					<span>
            <!--<xsl:if test="normalize-space(/Result/QueryFilter) != '' and (normalize-space(/Result/Foo) = 'SEARCH-MASTER' or normalize-space(/Result/Foo) = 'SEARCH-SLAVE')">-->
            <xsl:if test="normalize-space(/Result/QueryFilter) != ''">
							<xsl:attribute name="class">resultsummary</xsl:attribute>
							<xsl:attribute name="onclick">onSelectTypeChange('p');</xsl:attribute>
						</xsl:if>
						<xsl:choose>
							<xsl:when test = "/Result/ConceptFlag = 1">
								Most Relevant <xsl:value-of select="normalize-space(/Result/Total)" /> results:&#160;	
							</xsl:when>
							<xsl:otherwise>
								<xsl:value-of select="normalize-space(/Result/Total)" /> results:
							</xsl:otherwise>
						</xsl:choose>
						<xsl:if test="/Result/Fooconceptflag = 1">
							
					
					</xsl:if>
					</span>
					<xsl:if test="normalize-space(/Result/Footype) = '1' or normalize-space(/Result/Footype) = '2'">
						<div style="display:none">
							<xsl:attribute name="id">querytab-beforeafterdate-div-<xsl:value-of select="normalize-space(/Result/Footype)" />-<xsl:value-of select="substring-after(normalize-space(/Result/Foo),'~')" />
							</xsl:attribute>
						</div>
					</xsl:if>
					<xsl:if test="(normalize-space(/Result/Foo) = 'SEARCH-MASTER' or normalize-space(/Result/Foo) = 'SEARCH-SLAVE' or normalize-space(/Result/Foo) = 'SEARCH-PATENT') and /Result/Total > 0 and count(/Result/FooIndex)=0">
						
						<img src="img/1.gif" mouseoverImg="img/1-active.gif" normalImg="img/1.gif" clickedImg="img/1-clicked.gif" state="normal" onmouseover="fulltextImgMouseOver(this);" onmouseout="fulltextImgMouseOut(this);" title="Add current page results to project" class="fulltextimglink2">
							<xsl:attribute name="onclick">fulltextImgClick(this, 1, 1);showProjectDiv(this, 'page', '', '1')</xsl:attribute>
							<xsl:attribute name="id">queryfulltext_addtoproject_<xsl:value-of select="normalize-space(/Result/Foo)" />
							</xsl:attribute>
						</img>

						<xsl:if test="normalize-space(/Result/Foo) = 'SEARCH-MASTER' or normalize-space(/Result/Foo) = 'SEARCH-SLAVE'">
							<img src="img/6.gif" mouseoverImg="img/6-active.gif" normalImg="img/6.gif" clickedImg="img/6-clicked.gif" state="normal" onmouseover="fulltextImgMouseOver(this);" onmouseout="fulltextImgMouseOut(this);" title="Add current page results to clipboard"  class="fulltextimglink2">
								<xsl:attribute name="onclick">
									fulltextImgClick(this, 1, 1);addCurrentPagePN('<xsl:value-of select="normalize-space(/Result/Foo)" />')
								</xsl:attribute>
								<xsl:attribute name="id">queryfulltext_addtoclipboard_<xsl:value-of select="normalize-space(/Result/Foo)" />
								</xsl:attribute>
							</img>
						</xsl:if>
						<xsl:if test="(normalize-space(/Result/Foo) = 'SEARCH-MASTER' or normalize-space(/Result/Foo) = 'SEARCH-SLAVE')">
							<img src="img/7.gif" mouseoverImg="img/7-active.gif" normalImg="img/7.gif" clickedImg="img/7-clicked.gif" state="normal" onmouseover="fulltextImgMouseOver(this);" onmouseout="fulltextImgMouseOut(this);" title="Email current page results" class="fulltextimglink2">
								<xsl:attribute name="onclick">
									doMailSearchResults('<xsl:value-of select="normalize-space(/Result/Foo)" />')
								</xsl:attribute>
								<xsl:attribute name="id">queryfulltext_mail_<xsl:value-of select="normalize-space(/Result/Foo)" />
								</xsl:attribute>
							</img>
						</xsl:if>
						<xsl:if test="(normalize-space(/Result/Foo) = 'SEARCH-MASTER' or normalize-space(/Result/Foo) = 'SEARCH-SLAVE')">

							<img src="img/8.gif" mouseoverImg="img/8-active.gif" normalImg="img/8.gif" clickedImg="img/8-clicked.gif" state="normal" onmouseover="fulltextImgMouseOver(this);" onmouseout="fulltextImgMouseOut(this);" title="Export current page results" class="funcimg2">
								<xsl:attribute name="onclick">
									fulltextImgClick(this,1,1);doExportSearchResults('<xsl:value-of select="normalize-space(/Result/Foo)" />')
								</xsl:attribute>
								<xsl:attribute name="id">queryfulltext_exportpatent_<xsl:value-of select="normalize-space(/Result/Foo)" />
								</xsl:attribute>
							</img>
						</xsl:if>
						
					<img src="img/sep.gif" style="padding-left:2px; padding-right:2px" class="fulltextimglink2"/>
						
						
						<xsl:if test="/Result/Total > 0 ">
							<img src="img/2.gif" mouseoverImg="img/2-active.gif" normalImg="img/2.gif" clickedImg="img/2-clicked.gif" state="normal" onmouseover="fulltextImgMouseOver(this);" onmouseout="fulltextImgMouseOut(this);" title="Query statistic with search result"  class="fulltextimglink2">
								<xsl:attribute name="onclick">
									getQueryResultStat('<xsl:value-of select="normalize-space(/Result/Foo)" />')
								</xsl:attribute>
								<xsl:attribute name="id">queryfulltext_querystat_<xsl:value-of select="normalize-space(/Result/Foo)" />
								</xsl:attribute>
							</img>
						</xsl:if>
						<xsl:if test="normalize-space(/Result/Foo) = 'SEARCH-MASTER'">
							<img name="queryFulltextDrawing" src="img/3.gif" mouseoverImg="img/3-active.gif" normalImg="img/3.gif" clickedImg="img/3-clicked.gif" state="normal" onmouseover="fulltextImgMouseOver(this);" onmouseout="fulltextImgMouseOut(this);" title="Open statistic chart" class="fulltextimglink2">
								<xsl:attribute name="onclick">openQueryFulltextDrawing()</xsl:attribute>
								<xsl:attribute name="id">queryfulltext_statdrawing_<xsl:value-of select="normalize-space(/Result/Foo)" />
								</xsl:attribute>
							</img>
						</xsl:if>
						<xsl:if test="(normalize-space(/Result/Foo) = 'SEARCH-MASTER' or normalize-space(/Result/Foo) = 'SEARCH-SLAVE')">
							
							<img name ="queryFulltextCluster" src="img/4.gif" mouseoverImg="img/4-active.gif" normalImg="img/4.gif" clickedImg="img/4-clicked.gif"   state="normal" onmouseover="fulltextImgMouseOver(this);" onmouseout="fulltextImgMouseOut(this);" title="Query result patent cluster"  class="fulltextimglink2">
								<xsl:attribute name="onclick">
									loadQueryFulltextCluster('<xsl:value-of select="normalize-space(/Result/Foo)" />', false)
								</xsl:attribute>
								<xsl:attribute name="id">queryfulltext_clusterpatent_<xsl:value-of select="normalize-space(/Result/Foo)" />
								</xsl:attribute>
							</img>
						</xsl:if>
						<xsl:if test="normalize-space(/Result/Foo) = 'SEARCH-MASTER'">
							
							<img src="img/5.gif" mouseoverImg="img/5-active.gif" normalImg="img/5.gif" clickedImg="img/5-clicked.gif" state="normal" onmouseover="fulltextImgMouseOver(this);" onmouseout="fulltextImgMouseOut(this);" class="fulltextimglink2" title="Rotate search">
								<xsl:attribute name="onclick">prepareRotate()</xsl:attribute>
								<xsl:attribute name="id">queryfulltext_rotatesearch_<xsl:value-of select="normalize-space(/Result/Foo)" />
								</xsl:attribute>
							</img>
						</xsl:if>
						<!--<xsl:if test="(normalize-space(/Result/Foo) = 'SEARCH-MASTER' or normalize-space(/Result/Foo) = 'SEARCH-SLAVE')">
              <img onmouseover="this.src='img/downloadpatent-active.gif'" onmouseout="this.src='img/downloadpatent.gif'" src="img/downloadpatent.gif" alt="Export search results" title="Export search results" class="fulltextimglink">
                <xsl:attribute name="onclick">doExportSearchResults('<xsl:value-of select="normalize-space(/Result/Foo)" />')</xsl:attribute>
                <xsl:attribute name="id">queryfulltext_exportpatent_<xsl:value-of select="normalize-space(/Result/Foo)" /></xsl:attribute>
              </img>
            </xsl:if>-->
						
						<xsl:if test="(normalize-space(/Result/Foo) = 'SEARCH-MASTER')">
							
							<img src="img/9.gif" mouseoverImg="img/9-active.gif" normalImg="img/9.gif" clickedImg="img/9-clicked.gif" state="normal" onmouseover="fulltextImgMouseOver(this);" onmouseout="fulltextImgMouseOut(this);" title="Patent map" class="fulltextimglink2">
								<xsl:attribute name="onclick">
									fulltextImgClick(this);doPatentMap('<xsl:value-of select="normalize-space(/Result/Foo)" />')
								</xsl:attribute>
								<xsl:attribute name="id">doPatentMap_<xsl:value-of select="normalize-space(/Result/Foo)" />
								</xsl:attribute>
							</img>
           <!-- <img src="img/10.gif" mouseoverImg="img/10-active.gif" normalImg="img/10.gif" clickedImg="img/10-clicked.gif" state="normal" onmouseover="fulltextImgMouseOver(this);" onmouseout="fulltextImgMouseOut(this);" title="Expand Keyword" class="fulltextimglink2">
              <xsl:attribute name="onclick">
                doExpandKeyword('<xsl:value-of select="normalize-space(/Result/Foo)" />',this)
              </xsl:attribute>
              <xsl:attribute name="id">doExpandKeyword_<xsl:value-of select="normalize-space(/Result/Foo)" />
              </xsl:attribute>
            </img>&#160;-->
          </xsl:if>

						<!-- <xsl:if test="count(/Result/ColorList) > 0">
					  <div style="display:none">
						  <xsl:attribute name="id">
							  querylist-color-control-div-<xsl:value-of select="normalize-space(/Result/Foo)" />
						  </xsl:attribute>
						  <xsl:for-each select="/Result/ColorList/Color">
							  <img class="imglink" style="margin-right:5px">
								  <xsl:attribute name="src">
									  img/<xsl:value-of select="substring-after(normalize-space(Key), '#')" />.gif
								  </xsl:attribute>
								  <xsl:attribute name="onmouseover">
									  src='img/<xsl:value-of select="substring-after(normalize-space(Key), '#')" />-active.gif'
								  </xsl:attribute>
								  <xsl:attribute name="onmouseout">
									  src='img/<xsl:value-of select="substring-after(normalize-space(Key), '#')" />.gif'
								  </xsl:attribute>
								  <xsl:attribute name="onclick">
									  setPatentDisplayColor(this, '<xsl:value-of select="normalize-space(Key)" />')
								  </xsl:attribute>
								  <xsl:attribute name="title">
									  <xsl:value-of select="normalize-space(Name)" />
								  </xsl:attribute>
							  </img>(<xsl:value-of select="normalize-space(Count)" />)
						  </xsl:for-each>
					  </div>
				  </xsl:if>-->
						<xsl:if test="count(/Result/ColorList) > 0">
							<div style="display:none">
								<xsl:attribute name="id">querylist-color-control-div-<xsl:value-of select="normalize-space(/Result/Foo)" />
								</xsl:attribute>
								<xsl:for-each select="/Result/ColorList/Color">
									<img class="imglink" style="margin-right:5px">
										<xsl:attribute name="src">
											img/<xsl:value-of select="substring-after(normalize-space(Key), '#')" />.gif
										</xsl:attribute>
										<xsl:attribute name="onmouseover">
											src='img/<xsl:value-of select="substring-after(normalize-space(Key), '#')" />-active.gif'
										</xsl:attribute>
										<xsl:attribute name="onmouseout">
											src='img/<xsl:value-of select="substring-after(normalize-space(Key), '#')" />.gif'
										</xsl:attribute>
										<xsl:attribute name="onclick">
											setPatentDisplayColor(this, '<xsl:value-of select="normalize-space(Key)" />')
										</xsl:attribute>
										<xsl:attribute name="title">
											<xsl:value-of select="normalize-space(Name)" />
										</xsl:attribute>
									</img>(<xsl:value-of select="normalize-space(Count)" />)
								</xsl:for-each>
							</div>
						</xsl:if>
					</xsl:if>
				</td>
				<xsl:if test="normalize-space(/Result/Foo) = 'SEARCH-MASTER' or normalize-space(/Result/Foo) = 'SEARCH-SLAVE' or normalize-space(/Result/Foo) = 'SEARCH-MASTER-TOP' or normalize-space(/Result/Foo) = 'SEARCH-PATENT'">
					<td align="right">
						<xsl:if test="count(/Result/FooIndex)=0">
            <xsl:if test="normalize-space(/Result/Threshold) >= 0 and (normalize-space(/Result/Foo) = 'SEARCH-MASTER' or normalize-space(/Result/Foo) = 'SEARCH-SLAVE')">
              <span style="vertical-align:middle">Rank(%):</span>
                <input class="querylist-searchrank" type="text" onkeydown="checkSearchRankKey(event, this);">
                  <xsl:attribute name="id">querylist-searchrank-input<xsl:value-of select="normalize-space(/Result/Suffix)" /></xsl:attribute>
                  <xsl:attribute name="value"><xsl:value-of select="normalize-space(/Result/Threshold)" /></xsl:attribute>
                </input>
                <input type="button" class="querylist-addtop-button" value="Filter" onclick="setSearchRank(this)" />&#160;
            </xsl:if>
            <xsl:if test="normalize-space(/Result/Foo) = 'SEARCH-MASTER' or normalize-space(/Result/Foo) = 'SEARCH-MASTER-TOP' or normalize-space(/Result/Foo) = 'SEARCH-PATENT'">
              <span style="vertical-align:middle" id="search-input-topquery-span">PN:</span>
              <input onkeydown="onAddPatentToMasterQuerylist(event);" onfocus="onInputFocus(this);" class="querylist-pn-input" type="text" id="search-input-topquery" />
            </xsl:if>
            	
						<xsl:if test="normalize-space(/Result/Foo) = 'SEARCH-MASTER' or normalize-space(/Result/Foo) = 'SEARCH-MASTER-TOP' or normalize-space(/Result/Foo) = 'SEARCH-PATENT'">
							<img  style="vertical-align:bottom" class="imglink" onmouseover="this.src='img/more6-active.gif'" title="Add" onclick="addPatentToMasterQuerylist(null)" onmouseout="this.src='img/more6.gif'" src="img/more6.gif"/>
						</xsl:if>
						<!--<xsl:if test="normalize-space(/Result/Foo) = 'SEARCH-MASTER'">

							<img src="img/6.gif" style="vertical-align:bottom;cursor:pointer"  onclick="compareTopPatents();"></img>
							</xsl:if>-->
						</xsl:if>
					</td>
				</xsl:if>
				<xsl:if test="substring-before(normalize-space(/Result/Foo), '~') = 'QUERYTAB-USREFERENCE'">
					<td align="right">
						<input type="radio" value="cite" >
							<xsl:attribute name="name">querytab-usreferencetype-radio-<xsl:value-of select="substring-after(normalize-space(/Result/Foo),'~')" /></xsl:attribute>
							<xsl:attribute name="id">querytab-usreferencetype-radio-cite-<xsl:value-of select="substring-after(normalize-space(/Result/Foo),'~')" /></xsl:attribute>
							<xsl:attribute name="onclick">onUSReferenceTypeChange('<xsl:value-of select="substring-after(normalize-space(/Result/Foo),'~')" />')</xsl:attribute>
							Cited References
						</input>
            <input type="radio" value="citee" >
              <xsl:attribute name="name">querytab-usreferencetype-radio-<xsl:value-of select="substring-after(normalize-space(/Result/Foo),'~')" /></xsl:attribute>
              <xsl:attribute name="id">querytab-usreferencetype-radio-citee-<xsl:value-of select="substring-after(normalize-space(/Result/Foo),'~')" /></xsl:attribute>
              <xsl:attribute name="onclick">onUSReferenceTypeChange('<xsl:value-of select="substring-after(normalize-space(/Result/Foo),'~')" />')</xsl:attribute>
              Cited Cited References
            </input>
						<input type="radio" value="ref">
							<xsl:attribute name="name">querytab-usreferencetype-radio-<xsl:value-of select="substring-after(normalize-space(/Result/Foo),'~')" /></xsl:attribute>
							<xsl:attribute name="id">querytab-usreferencetype-radio-ref-<xsl:value-of select="substring-after(normalize-space(/Result/Foo),'~')" /></xsl:attribute>
							<xsl:attribute name="onclick">onUSReferenceTypeChange('<xsl:value-of select="substring-after(normalize-space(/Result/Foo),'~')" />')</xsl:attribute>
							Referenced By
						</input>
            <input type="radio" value="ref">
              <xsl:attribute name="name">querytab-usreferencetype-radio-<xsl:value-of select="substring-after(normalize-space(/Result/Foo),'~')" /></xsl:attribute>
              <xsl:attribute name="id">querytab-usreferencetype-radio-reff-<xsl:value-of select="substring-after(normalize-space(/Result/Foo),'~')" /></xsl:attribute>
              <xsl:attribute name="onclick">onUSReferenceTypeChange('<xsl:value-of select="substring-after(normalize-space(/Result/Foo),'~')" />')</xsl:attribute>
              Referenced Referenced By
            </input>
					</td>
				</xsl:if>
        <xsl:if test="contains(normalize-space(/Result/Foo),'QUERYTAB-CN')">
					<td align="right">
						<input type="radio" value="cn" style="vertical-align:middle" >
							<xsl:attribute name="name">querytab-cnpatentabilitytype-radio-<xsl:value-of select="normalize-space(/Result/Footype)" />-<xsl:value-of select="substring-after(normalize-space(/Result/Foo),'~')" /></xsl:attribute>
							<xsl:attribute name="id">querytab-cnpatentabilitytype-radio-cn-<xsl:value-of select="normalize-space(/Result/Footype)" />-<xsl:value-of select="substring-after(normalize-space(/Result/Foo),'~')" /></xsl:attribute>
							<xsl:attribute name="onclick">onCNPatentabilityTypeChange('<xsl:value-of select="substring-after(normalize-space(/Result/Foo),'~')" />', '<xsl:value-of select="normalize-space(/Result/Footype)" />')</xsl:attribute>
            </input>
							Search CN
						<input type="radio" value="us" style="vertical-align:middle">
							<xsl:attribute name="name">querytab-cnpatentabilitytype-radio-<xsl:value-of select="normalize-space(/Result/Footype)" />-<xsl:value-of select="substring-after(normalize-space(/Result/Foo),'~')" /></xsl:attribute>
							<xsl:attribute name="id">querytab-cnpatentabilitytype-radio-us-<xsl:value-of select="normalize-space(/Result/Footype)" />-<xsl:value-of select="substring-after(normalize-space(/Result/Foo),'~')" /></xsl:attribute>
							<xsl:attribute name="onclick">onCNPatentabilityTypeChange('<xsl:value-of select="substring-after(normalize-space(/Result/Foo),'~')" />', '<xsl:value-of select="normalize-space(/Result/Footype)" />')</xsl:attribute>
            </input>
							Search EN
					</td>
				</xsl:if>
        <td align="right">
			<xsl:if test="(normalize-space(/Result/Foo) = 'SEARCH-MASTER' or normalize-space(/Result/Foo) = 'SEARCH-SLAVE') and /Result/Total>0 and count(/Result/FooIndex)>0">
				<a class="search-option" style="text-decoration:none;padding-right:2px;" target="_blank" >
					<xsl:if test="normalize-space(/Result/Foo) = 'SEARCH-MASTER'">
						<xsl:attribute name="onclick">return compareTopPatents('m', this);</xsl:attribute>
					</xsl:if>
					<xsl:if test="normalize-space(/Result/Foo) = 'SEARCH-SLAVE'">
						<xsl:attribute name="onclick">return compareTopPatents('s', this);</xsl:attribute>
					</xsl:if>
					Fulltext view
				</a>
			</xsl:if>
          <img onmouseover="this.src='img/expandall-active.gif'" onmouseout="this.src='img/expandall.gif'" src="img/expandall.gif" alt="Expand all closed tabs" title="Expand all closed tabs" onclick="expandAll(this);" class="imglink">
            <xsl:attribute name="id">expand-all-patent-content-img-<xsl:value-of select="normalize-space(/Result/Foo)"/></xsl:attribute>
          </img>
			<img onmouseover="this.src='img/close-active.gif'" onmouseout="this.src='img/close.gif'" src="img/close.gif" alt="Close all expanded tabs" title="Close all expanded tabs" onclick="closeAllHiddenTr(this);" class="imglink">
				<xsl:attribute name="id">close-all-patent-content-img-<xsl:value-of select="normalize-space(/Result/Foo)"/>
				</xsl:attribute>
			</img>
        </td>
			</tr>
		</table>
    <xsl:if test="normalize-space(/Result/Foo) = 'SEARCH-MASTER' or normalize-space(/Result/Foo) = 'SEARCH-SLAVE' or normalize-space(/Result/Foo) = 'SEARCH-PATENT'">
      <div style="display:none">
        <xsl:attribute name="id">querylist-queryresultstat-div-<xsl:value-of select="normalize-space(/Result/Foo)" /></xsl:attribute>
      </div>
    </xsl:if>
    <xsl:if test="normalize-space(/Result/Foo) = 'SEARCH-MASTER'">
		<div style="display:none">
			<xsl:attribute name="id">querylist-patentmap-div-<xsl:value-of select="normalize-space(/Result/Foo)" /></xsl:attribute>
			<div align="right">
        <table>
          <td>
            <input type="radio" value="keyword" checked="true" style="vertical-align:middle" name="querylist-patentmap-radio" id="querylist-patentmap-keyword" onclick="doPatentMap('SEARCH-MASTER','radio')">
              KeyWord
            </input>
            <input type="radio" value="pn" style="vertical-align:middle" name="querylist-patentmap-radio" id="querylist-patentmap-pn" onclick="doPatentMap('SEARCH-MASTER','radio')">
              Patent
            </input>
          </td>
          <td>
            <img onmouseover="this.src='img/close-active.gif'" onmouseout="this.src='img/close.gif'" src="img/close.gif" alt="Close" title="Close" onclick="closeSwf('SEARCH-MASTER');" class="imglink" align="right" style="vertical-align:middle;"></img>
          </td>
        </table>
			</div>
			<div style="z-index:-1">
				<xsl:attribute name="id">querylist-patentmap-div-swf-<xsl:value-of select="normalize-space(/Result/Foo)" /></xsl:attribute>
			</div>
		</div>
      <!--<div style="display:none;">
        <xsl:attribute name="id">querylist-expandkeyword-div-<xsl:value-of select="normalize-space(/Result/Foo)" /></xsl:attribute>
        <xsl:attribute name="langvalue">en</xsl:attribute>
        <table style="border:1px solid rgb(128,128,128);margin-bottom:4px;" width="100%">
          <tr>
            <td></td>
          </tr>
          <tr>
            <td align="center">
              <input class="expandkeyword-input" type="text" id="search-master-expandkeyword-input"  onfocus="onInputFocus(this)">
              	<xsl:attribute name="onkeydown">
              	expandKeywordDown(event, '<xsl:value-of select="normalize-space(/Result/Foo)" />');
              	</xsl:attribute>
              </input>
              rank by
              <input class="expandkeyword-input" type="text" id="search-master-expandrank-input" onfocus="onInputFocus(this)">
				  <xsl:attribute name="onkeydown">
					  expandKeywordDown(event, '<xsl:value-of select="normalize-space(/Result/Foo)" />');
				  </xsl:attribute>
              </input>
              &#160;&#160;<img class="imglinkmargin" onmouseover="this.src='img/case-expand-active.gif'" onmouseout="this.src='img/case-expand.gif'" src="img/case-expand.gif">
                <xsl:attribute name="onclick">
                  expandKeyword('<xsl:value-of select="normalize-space(/Result/Foo)" />', true)
                </xsl:attribute>
              </img>
              &#160;&#160;&#160;&#160;&#160;
              <img class="imglinkmargin" onmouseover="this.src='img/case-and-active.gif'" onmouseout="this.src='img/case-and.gif'" src="img/case-and.gif" title="Checked words And Search" alt="Checked words And Search" onclick="doCheckedKeywordsSearch('1', 'expand-keyword' );"/>
              <img class="imglinkmargin" onmouseover="this.src='img/case-or-active.gif'" onmouseout="this.src='img/case-or.gif'" src="img/case-or.gif" title="Checked words Or Search" alt="Checked words Or Search" onclick="doCheckedKeywordsSearch('2', 'expand-keyword' );"/>
              <img class="imglinkmargin" onmouseover="this.src='img/conceptsearch-active.gif'" onmouseout="this.src='img/conceptsearch.gif'" src="img/conceptsearch.gif" title="Checked words Concept Search" alt="Checked words Concept Search" onclick="doCheckedKeywordsSearch('3', 'expand-keyword' );"/>
              &#160;&#160;&#160;&#160;&#160;&#160;
              
						<input type="radio" value="cn" style="vertical-align:middle">
							<xsl:attribute name="name">expandkeyword-radio</xsl:attribute>
							<xsl:attribute name="id">expandkeyword-radio-cn</xsl:attribute>
							<xsl:attribute name="onclick">onChangeExpandKeywordLang('cn')</xsl:attribute>
							
							Search CN
						</input>
						<input type="radio" value="us" style="vertical-align:middle" checked="true">
							<xsl:attribute name="name">expandkeyword-radio</xsl:attribute>
							<xsl:attribute name="id">expandkeyword-radio-us</xsl:attribute>
							<xsl:attribute name="onclick">onChangeExpandKeywordLang('en')</xsl:attribute>
							Search EN
						</input>
              
            </td>
            <td align="right">
              <img onmouseover="this.src='img/close-active.gif'" onmouseout="this.src='img/close.gif'" src="img/close.gif" alt="Close" title="Close" class="imglink" style="margin-right:3px">
                <xsl:attribute name="onclick">
                  doExpandKeyword('<xsl:value-of select="normalize-space(/Result/Foo)" />')
                </xsl:attribute>
              </img>
            </td>
          </tr>
          <tr>
            <td colspan="2">
              <div parseWidgets="false"  style="display:none;">
                <xsl:attribute name ="id">expand-keyword-div-<xsl:value-of select="normalize-space(/Result/Foo)"/></xsl:attribute>
              </div>
            </td>
          </tr>
        </table>
      </div>-->

	</xsl:if>
	<xsl:if test="normalize-space(/Result/Foo) = 'SEARCH-MASTER'">
		<div style="display:none">
			
				<xsl:attribute name="id">querylist-queryresultchart-div-<xsl:value-of select="normalize-space(/Result/Foo)" />
				</xsl:attribute>
			<div style="border:1px solid rgb(128,128,128)">
				<table width="100%"  cellspacing="0" cellpadding="0" >
					<tr>
						<td align="center">
							<span  class="statistic-time-label">Unit:</span>
							<select class="smallcombo" id="statistic-itselect" >
								<option value="-1"  selected="true">Year</option>
								<option value="-2">Quarter</option>
								<option value="-3">Month</option>
							</select>
							<span  class="statistic-time-label">Size:</span>
							<select class="smallcombo" id="statistic-sizeselect" >
								<option value="1" selected="true">600*400</option>
								<option value="2">800*600</option>
								<option value="3">1024*768</option>
							</select>
							<input class="querylist-addtop-button" type="button" value="Set" onclick="openQueryFulltextDrawing(true);"/>
						</td>
						<td align="right">
							<img onmouseover="this.src='img/close-active.gif'" onmouseout="this.src='img/close.gif'" src="img/close.gif" alt="Close" title="Close" onclick="openQueryFulltextDrawing();" class="imglink" style="margin-right:3px"></img>
						</td>
					</tr>


				</table>
				<div id="statistic-picdiv" style="padding-top:2px"></div>

			</div>
			<br/>
		</div>
    </xsl:if>
    <xsl:if test="normalize-space(/Result/Foo) = 'SEARCH-MASTER'">
      <div parseWidgets="false" id="search-master-rotate-div" style="display:none" >
        <!--<div align="right">
          <img onmouseover="this.src='img/close-active.gif'" onmouseout="this.src='img/close.gif'" src="img/close.gif" alt="Close" title="Close" onclick="prepareRotate();" class="imglink" />
        </div>-->
        <table cellpadding="2" cellspacing="2" width="100%" style="border:1px solid rgb(128,128,128)">
           	<tr width="100%">
        <td align="right">
          <img onmouseover="this.src='img/close-active.gif'" onmouseout="this.src='img/close.gif'" src="img/close.gif" alt="Close" title="Close" onclick="prepareRotate();" class="imglink" />
        </td>
      </tr>
          <tr>
            <td align="center">
              <input class="querylist-pn-input" type="text" id="search-master-rotate-input" onfocus="onInputFocus(this)"/>
              <input type="checkbox" style="vertical-align:middle" id="search-master-rotate-fromclaim-checkbox" />by Claim
              <img class="imglink" onmouseover="this.src='img/big-add-active.gif'" onmouseout="this.src='img/big-add.gif'" src="img/big-add.gif" title="Add patent index words or new words" alt="Add patent index words or new words" onclick="addQueryResultStatKeywords();" />

              <div id="rotatekeywords-container-div" class="combobox" style="background-color:White; ">
                <span typevalue="1" class="combobox" id="rotatekeywords-display-span" onmouseover="onSearchTypeMouseOver(this);" style="color:Gray" onmouseout="onSearchTypeMouseOut(this)" onclick="onRotateKeywordsDisplayClick(this);">Click to select words...</span>
                <img alt="" id="rotatekeywords-display-img" class="combobox" onmouseover="this.src='img/combobox-arrow-active.gif'" onmouseout="this.src='img/combobox-arrow.gif'" src="img/combobox-arrow.gif" onclick="onRotateKeywordsDisplayClick(this.previousSibling);"/>
              </div>

              <input type="checkbox" style="vertical-align:middle" id="search-master-rotate-withterm-checkbox" />with Term
              <img class="imglink" onmouseover="this.src='newstyle/img/search-rotate-active.gif'" onmouseout="this.src='newstyle/img/search-rotate.gif'" src="newstyle/img/search-rotate.gif" title="Rotate search" alt="Rotate search" onclick="doSearchMasterRotateSearch();" />
              <img class="imglink" onmouseover="this.src='newstyle/img/search-and-active.gif'" onmouseout="this.src='newstyle/img/search-and.gif'" src="newstyle/img/search-and.gif" title="AND search" alt="AND search" onclick="doRotateBookmarkSearch(1);" />
              <img class="imglink" onmouseover="this.src='newstyle/img/search-or-active.gif'" onmouseout="newstyle/img/search-or-active.gif" src="newstyle/img/search-or-active.gif" title="OR search" alt="OR search" onclick="doRotateBookmarkSearch(2);" />
              <img class="imglink" onmouseover="this.src='newstyle/img/search-andnot-active.gif'" onmouseout="this.src='newstyle/img/search-andnot-active.gif'" src="newstyle/img/search-andnot-active.gif" title="ANDNOT search" alt="ANDNOT search" onclick="doRotateBookmarkSearch(3);" />
            </td>
          </tr>
          <tr>
            <td align="center">
              <div parseWidgets="false" id="search-master-rotate-bookmark-div">
              </div>
            </td>
          </tr>
        </table>
		  <br/>
      </div>
    </xsl:if>
    <xsl:if test="normalize-space(/Result/Foo) = 'SEARCH-MASTER' or normalize-space(/Result/Foo) = 'SEARCH-SLAVE'">
     
        <div parseWidgets="false"  style="display:none;">
          <xsl:attribute name ="id">queryrelated-cluster-div-<xsl:value-of select="normalize-space(/Result/Foo)"/>
        </xsl:attribute>
        </div>
     
    </xsl:if>
    <xsl:apply-templates />
  </xsl:template>
	<xsl:template match="PageList"></xsl:template>
</xsl:stylesheet>
