<?xml version="1.0" encoding="utf-8"?>

<xsl:stylesheet version="1.0"
    xmlns:xsl="http://www.w3.org/1999/XSL/Transform">

	<xsl:template match="*|@*">
		<xsl:copy>
			<xsl:apply-templates select="@*|*|comment()|processing-instruction()|text()"/>
		</xsl:copy>
	</xsl:template>
	<xsl:template match="FooDisplayScore"></xsl:template>
	<xsl:template match="ERROR">
		<xsl:value-of select="normalize-space(.)" />
	</xsl:template>

	<xsl:template match="p">
		<div oncontextmenu="onQuerytabContentContextMenu(this, 'tab')" style="display:inline">
			<xsl:apply-templates />
			<xsl:if test="position() != last()">
				<br />
				<br />
			</xsl:if>
		</div>
	</xsl:template>
	<xsl:template match="MainClaim">
		<xsl:apply-templates />
	</xsl:template>
	<xsl:template match="br">
		<br />
	</xsl:template>

	<xsl:template match="/">
		<xsl:apply-templates select="Result"></xsl:apply-templates>
	</xsl:template>

	<xsl:template match="ptable">
		<center>
			<div class="ptable">
				<xsl:value-of select="." disable-output-escaping="yes" />
			</div>
		</center>
	</xsl:template>
	<xsl:template match="Result">
		<table cellspacing="2">
			<xsl:attribute name="class">querytab-content<xsl:value-of select="normalize-space(Classsuffix)" />
			</xsl:attribute>
			<xsl:apply-templates select="DisplayFieldList"></xsl:apply-templates>
			<tr>
				<td align="center" colspan="2">
					<span>
						
							<xsl:attribute name="class">
								querytab-a<xsl:value-of select="normalize-space(../../Classsuffix)" />
							</xsl:attribute>
							<xsl:attribute name="onmouseover">
								onQuerytabContentMouseOver<xsl:value-of select="normalize-space(../../Suffix)" />(this,'pn','<xsl:value-of select="normalize-space(../../PN)" />')
							</xsl:attribute>
							<xsl:attribute name="onmouseout">
								onQuerytabContentMouseOut<xsl:value-of select="normalize-space(../../Suffix)" />(this,'pn','<xsl:value-of select="normalize-space(../../PN)" />')
							</xsl:attribute>
							<xsl:choose>
							
						<xsl:when test="(PN) &lt; 300000000 and (PN) &gt; 219000000">
							<xsl:attribute name="onclick">
								onQuerytabContentClick<xsl:value-of select="normalize-space(../../Suffix)" />(this,'pn','<xsl:value-of select="normalize-space(/Result/DisplayPN)" />', 'us')
							</xsl:attribute>
						</xsl:when>
						<xsl:otherwise>
							<xsl:attribute name="onclick">
								onQuerytabContentClick<xsl:value-of select="normalize-space(../../Suffix)" />(this,'pn','<xsl:value-of select="normalize-space(/Result/DisplayPN)" />')
							</xsl:attribute>
						</xsl:otherwise>
						</xsl:choose>
						
						<xsl:value-of select="normalize-space(DisplayPN)" />
					</span>
					&#160;&#160;<xsl:value-of select="normalize-space(TTL)" />
				</td>
			</tr>
			<tr>
				<td colspan="2">
					<xsl:for-each select="DisplayFieldList/DisplayField">
						<div >
							<xsl:attribute name="id">querytab-tab-div-<xsl:value-of select="normalize-space(.)" />-<xsl:value-of select="normalize-space(../../ID)" />
							</xsl:attribute>
							<xsl:attribute name="displaypn">
								<xsl:value-of select="normalize-space(/Result/DisplayPN)" />
							</xsl:attribute>
							<xsl:if test="position()!=1">
								<xsl:attribute name="style">display:none</xsl:attribute>
							</xsl:if>
							<xsl:choose>
								<xsl:when test="normalize-space(.)='b'">
									<xsl:if test="string-length(normalize-space(../../ABST)) &gt; 0">
										<xsl:attribute name="rankterm">
											<xsl:value-of select="normalize-space(../../ABST)" />
										</xsl:attribute>
									
											<img src="img/search-end.gif" onmouseover="this.src='img/search-end-active.gif'" onmouseout="this.src='img/search-end.gif'" class="imglink" title="Concept search with the abstract" alt="Concept search with the abstract" >
												<xsl:if test="/Result/PN &lt; 220000000">
												<xsl:attribute name="onclick">
														doSearchByObject(this.parentNode, '<xsl:value-of select="normalize-space(/Result/DisplayPN)" />');
													</xsl:attribute>
												</xsl:if>
												<xsl:if test="/Result/PN &gt; 219999999">
													<xsl:attribute name="onclick">
														doSearchByObject(this.parentNode, '<xsl:value-of select="normalize-space(/Result/DisplayPN)" />', 'us');
													</xsl:attribute>
												</xsl:if>
											</img>
											<img width="6" height="9"></img>
											<span class="querytag-rate-1">
												<xsl:attribute name="title">
													Abstract <xsl:value-of select="../../AbstractRel"/>% related to this patent
												</xsl:attribute>
												<xsl:value-of select="../../AbstractRel"/>%
											</span>
										</xsl:if>
										<div class="searchobject">
											<xsl:attribute name="oncontextmenu">
												onQuerytabContentContextMenu(this,'tab','<xsl:value-of select="normalize-space(../../PN)" />')
											</xsl:attribute>
											<xsl:apply-templates select="../../ABST" />
										</div>
									
									<xsl:if test="string-length(normalize-space(../../ABST)) = 0">
										&#160;
									</xsl:if>
								</xsl:when>
								<xsl:when test="normalize-space(.)='m'">
									<xsl:apply-templates select="../../Misc"></xsl:apply-templates>
								</xsl:when>
								<xsl:when test="normalize-space(.)='p'">
									<xsl:apply-templates select="../../ParentCase"></xsl:apply-templates>
								</xsl:when>
								<xsl:when test="normalize-space(.)='c'">
									<xsl:if test="string-length(normalize-space(../../MainClaim)) &gt; 0">
										<xsl:attribute name="rankterm">
											<xsl:value-of select="normalize-space(../../MainClaim)" />
										</xsl:attribute>
										<xsl:if test="(../../PN) &lt; 310000000 or (../../PN) &gt; 219000000">
											<img src="img/search-end.gif" onmouseover="this.src='img/search-end-active.gif'" onmouseout="this.src='img/search-end.gif'" class="imglink" title="Concept search with main claim" alt="Concept search with the main claim" >
												<xsl:attribute name="onclick">
													doSearchByObject(this.parentNode, '<xsl:value-of select="normalize-space(/Result/DisplayPN)" />')
												</xsl:attribute>
											</img>
											<img width="6" height="9"></img>
											<span class="querytag-rate-1">
												<xsl:attribute name="title">
													Main Claim <xsl:value-of select="../../MainClaimRel"/>% related to this patent
												</xsl:attribute>
												<xsl:value-of select="../../MainClaimRel"/>%
											</span>
										</xsl:if>
										<div class="searchobject">
											<xsl:attribute name="oncontextmenu">
												onQuerytabContentContextMenu(this,'tab','<xsl:value-of select="normalize-space(../../PN)" />')
											</xsl:attribute>
											<xsl:apply-templates select="../../MainClaim" />
										</div>
									</xsl:if>
									<xsl:if test="string-length(normalize-space(../../MainClaim)) = 0">
										&#160;
									</xsl:if>
								</xsl:when>
								<xsl:when test="normalize-space(.)='r'">12</xsl:when>
								<xsl:when test="normalize-space(.)='u'">
									<xsl:apply-templates select="../../CCLList"></xsl:apply-templates>
									<xsl:apply-templates select="../../ICLList"></xsl:apply-templates>
									<xsl:apply-templates select="../../LCNList"></xsl:apply-templates>
									<xsl:apply-templates select="../../ECLAList"></xsl:apply-templates>
								</xsl:when>
								<xsl:when test="normalize-space(.)='k'">12</xsl:when>
								<xsl:when test="normalize-space(.)='x'">12</xsl:when>
								<xsl:when test="normalize-space(.)='1'">12</xsl:when>
								<xsl:when test="normalize-space(.)='2'">12</xsl:when>
								<xsl:when test="normalize-space(.)='f'">12</xsl:when>
								<xsl:when test="normalize-space(.)='a'">12</xsl:when>
								<xsl:otherwise>&#160;</xsl:otherwise>
							</xsl:choose>
						</div>
					</xsl:for-each>

					<table width="100%">
						<tr style="display:none">
							<td width="100%" align="center">
								<div >
									<xsl:attribute name="id">querytab-tab-div-additional-<xsl:value-of select="normalize-space(ID)" />
									</xsl:attribute>
								</div>
							</td>
						</tr>
					</table>

				</td>
			</tr>
		</table>
	</xsl:template>

	<xsl:template match="REFList">
	</xsl:template>

	<xsl:template match="CCLList">
		<table>
			<tr>
				<td align="left" colspan="2">
					US Class:
				</td>
			</tr>
			<xsl:for-each select="CCL">
				<tr>
					<td align="left" width="60px"  valign="top">
						<span>
							<xsl:attribute name="class">
								querytab-a<xsl:value-of select="normalize-space(../../Classsuffix)" />
							</xsl:attribute>
							<xsl:attribute name="onmouseover">
								onQuerytabContentMouseOver<xsl:value-of select="normalize-space(../../Suffix)" />(this,'c','<xsl:value-of select="normalize-space(../../PN)" />')
							</xsl:attribute>
							<xsl:attribute name="onmouseout">
								onQuerytabContentMouseOut<xsl:value-of select="normalize-space(../../Suffix)" />(this,'c','<xsl:value-of select="normalize-space(../../PN)" />')
							</xsl:attribute>
							<xsl:attribute name="onclick">
								onQuerytabContentClick<xsl:value-of select="normalize-space(../../Suffix)" />(this,'c','<xsl:value-of select="normalize-space(../../PN)" />')
							</xsl:attribute>
							<xsl:attribute name="oncontextmenu">
								onQuerytabContentContextMenu<xsl:value-of select="normalize-space(../../Suffix)" />(this,'c','<xsl:value-of select="normalize-space(../../PN)" />')
							</xsl:attribute>
							<xsl:value-of select="normalize-space(Key)" />
						</span>
					</td>
					<td align="left">
						<span target="_blank">
							<xsl:attribute name="prefix">
								CCL/"<xsl:value-of select="normalize-space(Key)" />"
							</xsl:attribute>
							<xsl:attribute name="class">
								querytab-a<xsl:value-of select="normalize-space(../../Classsuffix)" />
							</xsl:attribute>
							<xsl:attribute name="onmouseover">
								onQuerytabContentMouseOver<xsl:value-of select="normalize-space(../../Suffix)" />(this,'c','<xsl:value-of select="normalize-space(../../PN)" />')
							</xsl:attribute>
							<xsl:attribute name="onmouseout">
								onQuerytabContentMouseOut<xsl:value-of select="normalize-space(../../Suffix)" />(this,'c','<xsl:value-of select="normalize-space(../../PN)" />')
							</xsl:attribute>
							<xsl:attribute name="onclick">
								onQueryTableClick<xsl:value-of select="normalize-space(../../Suffix)" />(this, 'c', '<xsl:value-of select="normalize-space(../../PN)" />', null, null)
							</xsl:attribute>
							<xsl:attribute name="oncontextmenu">
								onQuerytabContentContextMenu<xsl:value-of select="normalize-space(../../Suffix)" />(this,'c','<xsl:value-of select="normalize-space(../../PN)" />')
							</xsl:attribute>
							<xsl:value-of select="normalize-space(Value)" />
						</span>
					</td>
				</tr>
			</xsl:for-each>
		</table>
	</xsl:template>

	<xsl:template match="ICLList">
		<table>
			<tr>
				<td align="left">
					ICL:
				</td>
			</tr>
			<xsl:for-each select="ICL">
				<tr>
					<td align="left" width="60px"  valign="top">
						<span>
							<xsl:attribute name="class">
								querytab-a<xsl:value-of select="normalize-space(../../Classsuffix)" />
							</xsl:attribute>
							<xsl:attribute name="onmouseover">
								onQuerytabContentMouseOver<xsl:value-of select="normalize-space(../../Suffix)" />(this,'l','<xsl:value-of select="normalize-space(../../PN)" />')
							</xsl:attribute>
							<xsl:attribute name="onmouseout">
								onQuerytabContentMouseOut<xsl:value-of select="normalize-space(../../Suffix)" />(this,'l','<xsl:value-of select="normalize-space(../../PN)" />')
							</xsl:attribute>
							<xsl:attribute name="onclick">
								onQuerytabContentClick<xsl:value-of select="normalize-space(../../Suffix)" />(this,'l','<xsl:value-of select="normalize-space(../../PN)" />')
							</xsl:attribute>
							<xsl:attribute name="oncontextmenu">
								onQuerytabContentContextMenu<xsl:value-of select="normalize-space(../../Suffix)" />(this,'l','<xsl:value-of select="normalize-space(../../PN)" />')
							</xsl:attribute>
							<xsl:value-of select="normalize-space(Key)" />
						</span>
						<!--
              <xsl:if test="normalize-space(../../PN) &gt; 300000000">
                <span>
								  <xsl:attribute name="class">querytab-a<xsl:value-of select="normalize-space(../../Classsuffix)" /></xsl:attribute>
								  <xsl:attribute name="onmouseover">onQuerytabContentMouseOver<xsl:value-of select="normalize-space(../../Suffix)" />(this,'l','<xsl:value-of select="normalize-space(../../PN)" />')</xsl:attribute>
								  <xsl:attribute name="onmouseout">onQuerytabContentMouseOut<xsl:value-of select="normalize-space(../../Suffix)" />(this,'l','<xsl:value-of select="normalize-space(../../PN)" />')</xsl:attribute>
								  <xsl:attribute name="onclick">onQuerytabContentClick<xsl:value-of select="normalize-space(../../Suffix)" />(this,'l','<xsl:value-of select="normalize-space(../../PN)" />')</xsl:attribute>
								  <xsl:attribute name="oncontextmenu">onQuerytabContentContextMenu<xsl:value-of select="normalize-space(../../Suffix)" />(this,'l','<xsl:value-of select="normalize-space(../../PN)" />')</xsl:attribute>
								  <xsl:value-of select="." />
							  </span>
              </xsl:if>
              <xsl:if test="normalize-space(../../PN) &lt; 300000000">
							  <span>
								  <xsl:attribute name="class">querytab-a<xsl:value-of select="normalize-space(../../Classsuffix)" /></xsl:attribute>
								  <xsl:attribute name="onmouseover">onQuerytabContentMouseOver<xsl:value-of select="normalize-space(../../Suffix)" />(this,'l','<xsl:value-of select="normalize-space(../../PN)" />')</xsl:attribute>
								  <xsl:attribute name="onmouseout">onQuerytabContentMouseOut<xsl:value-of select="normalize-space(../../Suffix)" />(this,'l','<xsl:value-of select="normalize-space(../../PN)" />')</xsl:attribute>
								  <xsl:attribute name="onclick">onQuerytabContentClick<xsl:value-of select="normalize-space(../../Suffix)" />(this,'l','<xsl:value-of select="normalize-space(../../PN)" />')</xsl:attribute>
								  <xsl:attribute name="oncontextmenu">onQuerytabContentContextMenu<xsl:value-of select="normalize-space(../../Suffix)" />(this,'l','<xsl:value-of select="normalize-space(../../PN)" />')</xsl:attribute>
                  <xsl:attribute name="iclvalue"><xsl:value-of select="substring(., 1, 4)" /><xsl:value-of select="normalize-space(substring(., 5))" /></xsl:attribute>
                  <xsl:value-of select="substring(., 1, 4)" />
							  </span>
              </xsl:if>
              -->
					</td>
					<td align="left">
						<span target="_blank">
							<xsl:attribute name="prefix">
								ICL/"<xsl:value-of select="normalize-space(Key)" />"
							</xsl:attribute>
							<xsl:attribute name="class">
								querytab-a<xsl:value-of select="normalize-space(../../Classsuffix)" />
							</xsl:attribute>
							<xsl:attribute name="onmouseover">
								onQuerytabContentMouseOver<xsl:value-of select="normalize-space(../../Suffix)" />(this,'c','<xsl:value-of select="normalize-space(../../PN)" />')
							</xsl:attribute>
							<xsl:attribute name="onmouseout">
								onQuerytabContentMouseOut<xsl:value-of select="normalize-space(../../Suffix)" />(this,'c','<xsl:value-of select="normalize-space(../../PN)" />')
							</xsl:attribute>
							<!--<xsl:attribute name="onclick">onQueryTableClick<xsl:value-of select="normalize-space(../../Suffix)" />(this, 'r', '<xsl:value-of select="normalize-space(../../PN)" />', null, null)</xsl:attribute>-->
							<xsl:attribute name="onclick">
								onQueryTableClick<xsl:value-of select="normalize-space(../../Suffix)" />(this, 'c', '<xsl:value-of select="normalize-space(../../PN)" />', null, null)
							</xsl:attribute>
							<xsl:attribute name="oncontextmenu">
								onQuerytabContentContextMenu<xsl:value-of select="normalize-space(../../Suffix)" />(this,'c','<xsl:value-of select="normalize-space(../../PN)" />')
							</xsl:attribute>
							<xsl:value-of select="normalize-space(Value)" />
						</span>
					</td>
					<!--
						<td align="left">
              <xsl:if test="normalize-space(../../PN) &lt; 300000000">
                <xsl:value-of select="normalize-space(substring(., 5))" />
              </xsl:if>
						</td>
            -->
				</tr>
			</xsl:for-each>
		</table>
	</xsl:template>

	<xsl:template match="LCNList">
		<table>
			<tr>
				<td align="left">
					LCN:
				</td>
			</tr>
			<xsl:for-each select="LCN">
				<tr>
					<td align="left" width="60px"  valign="top">
						<span>
							<xsl:attribute name="class">
								querytab-a<xsl:value-of select="normalize-space(../../Classsuffix)" />
							</xsl:attribute>
							<xsl:attribute name="onmouseover">
								onQuerytabContentMouseOver<xsl:value-of select="normalize-space(../../Suffix)" />(this,'lcn','<xsl:value-of select="normalize-space(../../PN)" />')
							</xsl:attribute>
							<xsl:attribute name="onmouseout">
								onQuerytabContentMouseOut<xsl:value-of select="normalize-space(../../Suffix)" />(this,'lcn','<xsl:value-of select="normalize-space(../../PN)" />')
							</xsl:attribute>
							<xsl:attribute name="onclick">
								onQuerytabContentClick<xsl:value-of select="normalize-space(../../Suffix)" />(this,'lcn','<xsl:value-of select="normalize-space(../../PN)" />')
							</xsl:attribute>
							<xsl:attribute name="oncontextmenu">
								onQuerytabContentContextMenu<xsl:value-of select="normalize-space(../../Suffix)" />(this,'lcn','<xsl:value-of select="normalize-space(../../PN)" />')
							</xsl:attribute>
							<xsl:value-of select="normalize-space(Key)" />
						</span>
					</td>
					<td align="left">
						<span target="_blank">
							<xsl:attribute name="prefix">
								LCN/"<xsl:value-of select="normalize-space(Key)" />"
							</xsl:attribute>
							<xsl:attribute name="class">
								querytab-a<xsl:value-of select="normalize-space(../../Classsuffix)" />
							</xsl:attribute>
							<xsl:attribute name="onmouseover">
								onQuerytabContentMouseOver<xsl:value-of select="normalize-space(../../Suffix)" />(this,'lcn','<xsl:value-of select="normalize-space(../../PN)" />')
							</xsl:attribute>
							<xsl:attribute name="onmouseout">
								onQuerytabContentMouseOut<xsl:value-of select="normalize-space(../../Suffix)" />(this,'lcn','<xsl:value-of select="normalize-space(../../PN)" />')
							</xsl:attribute>
							<xsl:attribute name="onclick">
								onQueryTableClick<xsl:value-of select="normalize-space(../../Suffix)" />(this, 'c', '<xsl:value-of select="normalize-space(../../PN)" />', null, null)
							</xsl:attribute>
							<xsl:attribute name="oncontextmenu">
								onQuerytabContentContextMenu<xsl:value-of select="normalize-space(../../Suffix)" />(this,'lcn','<xsl:value-of select="normalize-space(../../PN)" />')
							</xsl:attribute>
							<xsl:value-of select="normalize-space(Value)" />
						</span>
					</td>
				</tr>
			</xsl:for-each>
		</table>
	</xsl:template>

	<xsl:template match="ECLAList">
		<table>
			<tr>
				<td align="left">
					ECLA:
				</td>
			</tr>
			<xsl:for-each select="ECLA">
				<tr>
					<td align="left" width="60px"  valign="top">
						<span>
							<xsl:attribute name="class">
								querytab-a<xsl:value-of select="normalize-space(../../Classsuffix)" />
							</xsl:attribute>
							<xsl:attribute name="onmouseover">
								onQuerytabContentMouseOver<xsl:value-of select="normalize-space(../../Suffix)" />(this,'ecla','<xsl:value-of select="normalize-space(../../PN)" />')
							</xsl:attribute>
							<xsl:attribute name="onmouseout">
								onQuerytabContentMouseOut<xsl:value-of select="normalize-space(../../Suffix)" />(this,'ecla','<xsl:value-of select="normalize-space(../../PN)" />')
							</xsl:attribute>
							<xsl:attribute name="onclick">
								onQuerytabContentClick<xsl:value-of select="normalize-space(../../Suffix)" />(this,'ecla','<xsl:value-of select="normalize-space(../../PN)" />')
							</xsl:attribute>
							<xsl:attribute name="oncontextmenu">
								onQuerytabContentContextMenu<xsl:value-of select="normalize-space(../../Suffix)" />(this,'ecla','<xsl:value-of select="normalize-space(../../PN)" />')
							</xsl:attribute>
							<xsl:value-of select="normalize-space(Key)" />
						</span>
					</td>
					<td align="left">
						<span target="_blank">
							<xsl:attribute name="prefix">
								ECLA/"<xsl:value-of select="normalize-space(Key)" />"
							</xsl:attribute>
							<xsl:attribute name="class">
								querytab-a<xsl:value-of select="normalize-space(../../Classsuffix)" />
							</xsl:attribute>
							<xsl:attribute name="onmouseover">
								onQuerytabContentMouseOver<xsl:value-of select="normalize-space(../../Suffix)" />(this,'ecla','<xsl:value-of select="normalize-space(../../PN)" />')
							</xsl:attribute>
							<xsl:attribute name="onmouseout">
								onQuerytabContentMouseOut<xsl:value-of select="normalize-space(../../Suffix)" />(this,'ecla','<xsl:value-of select="normalize-space(../../PN)" />')
							</xsl:attribute>
							<xsl:attribute name="onclick">
								onQueryTableClick<xsl:value-of select="normalize-space(../../Suffix)" />(this, 'c', '<xsl:value-of select="normalize-space(../../PN)" />', null, null)
							</xsl:attribute>
							<xsl:attribute name="oncontextmenu">
								onQuerytabContentContextMenu<xsl:value-of select="normalize-space(../../Suffix)" />(this,'ecla','<xsl:value-of select="normalize-space(../../PN)" />')
							</xsl:attribute>
							<xsl:value-of select="normalize-space(Value)" />
						</span>
					</td>
				</tr>
			</xsl:for-each>
		</table>
	</xsl:template>

	<xsl:template match="DisplayFieldList">

		<tr  width="100%">
			<td align="left">
				<xsl:apply-templates select="DisplayField"></xsl:apply-templates>
			</td>
			<xsl:choose>
				<xsl:when test ="starts-with(/Result/DisplayPN,'SS')">
					<td align="right">
						<img name="close" onmouseover="this.src='img/close-active.gif'" onmouseout="this.src='img/close.gif'" src="img/close.gif" alt="Close" title="Close" onclick="closeQueryTab(this)" class="funcimg"></img>
					</td>
				</xsl:when>
				<xsl:otherwise>
					<td align="right" width="120px">
						<img name="refinebypn" src="img/refinebypn.gif" onmouseover="this.src='img/refinebypn-active.gif'" onmouseout="this.src='img/refinebypn.gif'" alt="Rank search result by this patent" title="Rank search result by this patent"  style="display:none"  class="funcimg">
							<xsl:attribute name="onclick">
								doRefineSearchByPn('<xsl:value-of select="normalize-space(../DisplayPN)" />', this)
							</xsl:attribute>
						</img>
						<xsl:if  test="/Result/FooDisplayScore = 1">
							<img name="scoretoppn" src="img/nt.gif" onmouseover="this.src='img/nt-active.gif'" onmouseout="this.src='img/nt.gif'" alt="Score top of list with this patent" title="Score top of list with this patent"  style="display:none"  class="funcimg">
								<xsl:attribute name="onclick">doTopRankByPn('<xsl:value-of select="normalize-space(../DisplayPN)"/>','<xsl:value-of select="normalize-space(../DisplayPN)" />', this);
								</xsl:attribute>
							</img>
						</xsl:if>

						<img name="nrefinebypn" src="img/nrefinebypn.gif" onmouseover="this.src='img/nrefinebypn-active.gif'" onmouseout="this.src='img/nrefinebypn.gif'" alt="De-rank search result by this patent" title="De-rank search result by this patent"  style="display:none"  class="funcimg">
							<xsl:attribute name="onclick">
								doNRefineSearchByPn('<xsl:value-of select="normalize-space(../DisplayPN)" />', this)
							</xsl:attribute>
						</img>
						<img name="settotop" src="img/pin.gif" onmouseover="this.src='img/pin-active.gif'" onmouseout="this.src='img/pin.gif'" title="Set top"  style="display:none;" class="funcimg">
							<xsl:attribute name="onclick">
								addPatentToMasterQuerylist('<xsl:value-of select="normalize-space(../DisplayPN)" />')
							</xsl:attribute>
						</img>
						<img name="copypatent" src="img/copypatent.gif" onmouseover="this.src='img/copypatent-active.gif'" onmouseout="this.src='img/copypatent.gif'" alt="Copy patent" title="Copy patent" class="funcimg">
							<xsl:attribute name="onclick">
								copyPatent(this, '<xsl:value-of select="normalize-space(../DisplayPN)" />')
							</xsl:attribute>
						</img>
						<img name="importpatent" src="img/import.gif" onmouseover="this.src='img/import-active.gif'" onmouseout="this.src='img/import.gif'" alt="Add into project" title="Add into project"  class="funcimg">
							<xsl:attribute name="onclick">
								showProjectDiv(this, '<xsl:value-of select="normalize-space(../ID)" />', '<xsl:value-of select="normalize-space(../DisplayPN)" />', '1')
							</xsl:attribute>
						</img>
						<img name="showpatent" src="img/showpatent.gif" onmouseover="this.src='img/showpatent-active.gif'" onmouseout="this.src='img/showpatent.gif'" alt="Copy to clipboard" title="Copy to clipboard"  class="funcimg">
							<xsl:attribute name="onclick">
								addClipboardPN('<xsl:value-of select="normalize-space(../PN)" />','<xsl:value-of select="normalize-space(../DisplayPN)" />', '<xsl:value-of select="normalize-space(../TTL)" />')
							</xsl:attribute>
						</img>
						<!--<a target="blank" style="margin-right:6px;">
          <xsl:attribute name="href">invokehtml.do?sf=ShowPatent&amp;spn=<xsl:value-of select="normalize-space(../PN)" />&amp;sx=showpatent</xsl:attribute>
					-->
						<!--<xsl:attribute name="href">invokexml.do?sf=ShowPatent&amp;spn=<xsl:value-of select="normalize-space(../PN)" /></xsl:attribute>-->
						<!--
					<img src="img/showpatent.gif" onmouseover="this.src='img/showpatent-active.gif'" onmouseout="this.src='img/showpatent.gif'" alt="View this patent" title="View this patent"  class="imglink" ></img>
				</a>-->
						<img name="close" onmouseover="this.src='img/close-active.gif'" onmouseout="this.src='img/close.gif'" src="img/close.gif" alt="Close" title="Close" onclick="closeQueryTab(this)" class="funcimg"></img>
					</td>
				</xsl:otherwise>
			</xsl:choose>

		</tr>
	</xsl:template>

	<xsl:template match="DisplayField">
		<span>
			<xsl:attribute name="id">querytab-tab-header-<xsl:value-of select="normalize-space(.)" />-<xsl:value-of select="normalize-space(../../ID)" />
			</xsl:attribute>
			<xsl:attribute name="class">
				querytab-tab<xsl:if test="position()=1">active</xsl:if><xsl:value-of select="normalize-space(../../Classsuffix)" />
			</xsl:attribute>
			<xsl:attribute name="onmouseover">
				onQuerytabMouseOver<xsl:value-of select="normalize-space(../../Suffix)" />(this,'<xsl:value-of select="normalize-space(.)" />','<xsl:value-of select="normalize-space(../../PN)" />',<xsl:value-of select="normalize-space(../../ID)" />)
			</xsl:attribute>
			<xsl:attribute name="onmouseout">
				onQuerytabMouseOut<xsl:value-of select="normalize-space(../../Suffix)" />(this,'<xsl:value-of select="normalize-space(.)" />','<xsl:value-of select="normalize-space(../../PN)" />',<xsl:value-of select="normalize-space(../../ID)" />)
			</xsl:attribute>
			<xsl:attribute name="onclick">
				onQuerytabClick<xsl:value-of select="normalize-space(../../Suffix)" />(this,'<xsl:value-of select="normalize-space(.)" />','<xsl:value-of select="normalize-space(../../PN)" />','<xsl:value-of select="normalize-space(../../ID)" />', null,null,'<xsl:value-of select="normalize-space(../../DisplayPN)" />')
			</xsl:attribute>
			<xsl:attribute name="oncontextmenu">
				onQuerytabContextMenu<xsl:value-of select="normalize-space(../../Suffix)" />(this,'<xsl:value-of select="normalize-space(.)" />','<xsl:value-of select="normalize-space(../../PN)" />','<xsl:value-of select="normalize-space(../../ID)" />')
			</xsl:attribute>
			<xsl:choose>
				<xsl:when test="normalize-space(.)='b'">Abstract</xsl:when>
				<xsl:when test="normalize-space(.)='m'">Biblio</xsl:when>
				<xsl:when test="normalize-space(.)='p'">Parent</xsl:when>
				<xsl:when test="normalize-space(.)='f'">Figure</xsl:when>
				<xsl:when test="normalize-space(.)='x'">Related</xsl:when>
				<xsl:when test="normalize-space(.)='c'">Main Claim</xsl:when>
				<xsl:when test="normalize-space(.)='r'">Ref</xsl:when>
				<xsl:when test="normalize-space(.)='t'">Report</xsl:when>
				<xsl:when test="normalize-space(.)='u'">Class</xsl:when>
				<xsl:when test="normalize-space(.)='k'">Index</xsl:when>
				<xsl:when test="normalize-space(.)='1'">Patentability</xsl:when>
				<xsl:when test="normalize-space(.)='2'">Infringement</xsl:when>
				<xsl:when test="normalize-space(.)='3'">Family</xsl:when>
				<xsl:when test="normalize-space(.)='4'">LegalStatus</xsl:when>
				<xsl:when test="normalize-space(.)='a'">Info</xsl:when>
				<xsl:otherwise>
				</xsl:otherwise>
			</xsl:choose>
		</span>
		<xsl:if test="position()!=last()">|</xsl:if>
	</xsl:template>

	<xsl:template match="Misc">
		<table>
			<xsl:apply-templates/>
		</table>
	</xsl:template>

	<xsl:template match="WriteDate">
	</xsl:template>

	<xsl:template match="Author">
		<tr>
			<td align="left" width="200px">
				Author:
			</td>
			<td>
				<xsl:value-of select="normalize-space(.)" />
			</td>
		</tr>
	</xsl:template>

	<xsl:template match="CreateDate">
		<tr>
			<td align="left" width="200px">
				Publication Date:
			</td>
			<td>
				<xsl:value-of select="substring-before(normalize-space(.), ' ')" />
			</td>
		</tr>
	</xsl:template>

	<xsl:template match="AN">
		<tr>
			<td align="left" width="200px">
				Assignee:
			</td>
			<td align="left">
				<xsl:choose>
					<xsl:when test ="starts-with(../../DisplayPN,'SS')= false">
						<span>
							<xsl:attribute name="class">
								querytab-a<xsl:value-of select="normalize-space(../../Classsuffix)" />
							</xsl:attribute>
							<xsl:attribute name="onmouseover">
								onQuerytabContentMouseOver<xsl:value-of select="normalize-space(../../Suffix)" />(this,'a','<xsl:value-of select="normalize-space(../../PN)" />')
							</xsl:attribute>
							<xsl:attribute name="onmouseout">
								onQuerytabContentMouseOut<xsl:value-of select="normalize-space(../../Suffix)" />(this,'a','<xsl:value-of select="normalize-space(../../PN)" />')
							</xsl:attribute>
							<xsl:attribute name="onclick">
								onQuerytabContentClick<xsl:value-of select="normalize-space(../../Suffix)" />(this,'a','<xsl:value-of select="normalize-space(../../PN)" />')
							</xsl:attribute>
							<xsl:attribute name="oncontextmenu">
								onQuerytabContentContextMenu<xsl:value-of select="normalize-space(../../Suffix)" />(this,'a','<xsl:value-of select="normalize-space(../../PN)" />')
							</xsl:attribute>
							<xsl:value-of select="normalize-space(Key)" />

						</span>
					</xsl:when>
					<xsl:otherwise>
						<xsl:value-of select="normalize-space(Key)" />

					</xsl:otherwise>
				</xsl:choose>
				<xsl:if test="normalize-space(Value) != ''">
					(<xsl:value-of select="normalize-space(Value)" />)
				</xsl:if>

			</td>
		</tr>
	</xsl:template>

	<xsl:template match="INList">
		<tr>
			<td align="left" width="200px">
				Inventors:
			</td>
			<td align="left">
				<xsl:apply-templates select="IN"></xsl:apply-templates>
			</td>
		</tr>
	</xsl:template>

	<xsl:template match="IN">
		<span>
			<xsl:attribute name="class">
				querytab-i<xsl:value-of select="normalize-space(../../../Classsuffix)" />
			</xsl:attribute>
			<xsl:attribute name="onmouseover">
				onQuerytabContentMouseOver<xsl:value-of select="normalize-space(../../../Suffix)" />(this,'i','<xsl:value-of select="normalize-space(../../../PN)" />')
			</xsl:attribute>
			<xsl:attribute name="onmouseout">
				onQuerytabContentMouseOut<xsl:value-of select="normalize-space(../../../Suffix)" />(this,'i','<xsl:value-of select="normalize-space(../../../PN)" />')
			</xsl:attribute>
			<xsl:attribute name="onclick">
				onQuerytabContentClick<xsl:value-of select="normalize-space(../../../Suffix)" />(this,'i','<xsl:value-of select="normalize-space(../../../PN)" />')
			</xsl:attribute>
			<xsl:attribute name="oncontextmenu">
				onQuerytabContentContextMenu<xsl:value-of select="normalize-space(../../../Suffix)" />(this,'i','<xsl:value-of select="normalize-space(../../../PN)" />')
			</xsl:attribute>
			<xsl:value-of select="normalize-space(Key)" />
		</span>
		<xsl:if test="normalize-space(Value) != ''">
			(<xsl:value-of select="normalize-space(Value)" />)
		</xsl:if>
		<xsl:if test="position()!=last()">| </xsl:if>
	</xsl:template>

	<xsl:template match="APD">
		<tr>
			<td align="left" width="160px">
				Application Date:
			</td>
			<td align="left">
				<span>
					<xsl:attribute name="class">
						querytab-p<xsl:value-of select="normalize-space(../../Classsuffix)" />
					</xsl:attribute>
					<xsl:attribute name="onmouseover">
						onQuerytabContentMouseOver<xsl:value-of select="normalize-space(../../Suffix)" />(this,'p','<xsl:value-of select="normalize-space(../../PN)" />')
					</xsl:attribute>
					<xsl:attribute name="onmouseout">
						onQuerytabContentMouseOut<xsl:value-of select="normalize-space(../../Suffix)" />(this,'p','<xsl:value-of select="normalize-space(../../PN)" />')
					</xsl:attribute>
					<xsl:attribute name="onclick">
						onQuerytabContentClick<xsl:value-of select="normalize-space(../../Suffix)" />(this,'apd','<xsl:value-of select="normalize-space(../../PN)" />')
					</xsl:attribute>
					<xsl:attribute name="oncontextmenu">
						onQuerytabContentContextMenu<xsl:value-of select="normalize-space(../../Suffix)" />(this,'p','<xsl:value-of select="normalize-space(../../PN)" />')
					</xsl:attribute>
					<xsl:value-of select="normalize-space(.)" />
				</span>
			</td>
		</tr>
	</xsl:template>

	<xsl:template match="FAPD">
		<tr>
			<td align="left" width="160px">
				<xsl:if test="normalize-space(/Result/PN) &gt;200000000 and normalize-space(/Result/PN) &lt;300000000" >
					Priority Data:
				</xsl:if>
				<xsl:if test="normalize-space(/Result/PN) &lt;200000000 or normalize-space(/Result/PN) &gt;300000000" >
					Foregin Application Priority Data:
				</xsl:if>
			</td>
			<td align="left">
				<xsl:value-of select="normalize-space(.)" />
			</td>
		</tr>
	</xsl:template>

	<xsl:template match="APN">
		<tr>
			<td align="left" width="160px">
				Application Serial No:
			</td>
			<td align="left">
				<span>
					<xsl:attribute name="class">
						querytab-p<xsl:value-of select="normalize-space(../../Classsuffix)" />
					</xsl:attribute>
					<xsl:attribute name="onmouseover">
						onQuerytabContentMouseOver<xsl:value-of select="normalize-space(../../Suffix)" />(this,'p','<xsl:value-of select="normalize-space(../../PN)" />')
					</xsl:attribute>
					<xsl:attribute name="onmouseout">
						onQuerytabContentMouseOut<xsl:value-of select="normalize-space(../../Suffix)" />(this,'p','<xsl:value-of select="normalize-space(../../PN)" />')
					</xsl:attribute>
					<xsl:attribute name="onclick">
						onQuerytabContentClick<xsl:value-of select="normalize-space(../../Suffix)" />(this,'p','<xsl:value-of select="normalize-space(../../PN)" />')
					</xsl:attribute>
					<xsl:attribute name="oncontextmenu">
						onQuerytabContentContextMenu<xsl:value-of select="normalize-space(../../Suffix)" />(this,'p','<xsl:value-of select="normalize-space(../../PN)" />')
					</xsl:attribute>
					<xsl:value-of select="normalize-space(.)" />
				</span>
			</td>
		</tr>
	</xsl:template>

	<xsl:template match="ISD">
		<tr>
			<td align="left" width="160px">
				<xsl:if test="/Result/PN &gt; 10000000">
					Publication Date:
				</xsl:if>
				<xsl:if test="/Result/PN &lt; 10000000">
					Issue Date:
				</xsl:if>
			</td>
			<td align="left">
				<span>
					<xsl:attribute name="class">
						querytab-p<xsl:value-of select="normalize-space(../../Classsuffix)" />
					</xsl:attribute>
					<xsl:attribute name="onmouseover">
						onQuerytabContentMouseOver<xsl:value-of select="normalize-space(../../Suffix)" />(this,'p','<xsl:value-of select="normalize-space(../../PN)" />')
					</xsl:attribute>
					<xsl:attribute name="onmouseout">
						onQuerytabContentMouseOut<xsl:value-of select="normalize-space(../../Suffix)" />(this,'p','<xsl:value-of select="normalize-space(../../PN)" />')
					</xsl:attribute>
					<xsl:attribute name="onclick">
						onQuerytabContentClick<xsl:value-of select="normalize-space(../../Suffix)" />(this,'isd','<xsl:value-of select="normalize-space(../../PN)" />')
					</xsl:attribute>
					<xsl:attribute name="oncontextmenu">
						onQuerytabContentContextMenu<xsl:value-of select="normalize-space(../../Suffix)" />(this,'p','<xsl:value-of select="normalize-space(../../PN)" />')
					</xsl:attribute>
					<xsl:value-of select="normalize-space(.)" />
				</span>
			</td>
		</tr>
	</xsl:template>

	<xsl:template match="EXP">
		<tr>
			<td align="left" width="160px">
				Primary Examiner:
			</td>
			<td align="left">
				<span>
					<xsl:attribute name="class">
						querytab-e<xsl:value-of select="normalize-space(../../Classsuffix)" />
					</xsl:attribute>
					<xsl:attribute name="onmouseover">
						onQuerytabContentMouseOver<xsl:value-of select="normalize-space(../../Suffix)" />(this,'e','<xsl:value-of select="normalize-space(../../PN)" />')
					</xsl:attribute>
					<xsl:attribute name="onmouseout">
						onQuerytabContentMouseOut<xsl:value-of select="normalize-space(../../Suffix)" />(this,'e','<xsl:value-of select="normalize-space(../../PN)" />')
					</xsl:attribute>
					<xsl:attribute name="onclick">
						onQuerytabContentClick<xsl:value-of select="normalize-space(../../Suffix)" />(this,'e','<xsl:value-of select="normalize-space(../../PN)" />')
					</xsl:attribute>
					<xsl:attribute name="oncontextmenu">
						onQuerytabContentContextMenu<xsl:value-of select="normalize-space(../../Suffix)" />(this,'e','<xsl:value-of select="normalize-space(../../PN)" />')
					</xsl:attribute>
					<xsl:value-of select="normalize-space(.)" />
				</span>
			</td>
		</tr>
	</xsl:template>

	<xsl:template match="EXA">
		<tr>
			<td align="left" width="160px">
				Assistant Examiner:
			</td>
			<td align="left">
				<span>
					<xsl:attribute name="class">
						querytab-e<xsl:value-of select="normalize-space(../../Classsuffix)" />
					</xsl:attribute>
					<xsl:attribute name="onmouseover">
						onQuerytabContentMouseOver<xsl:value-of select="normalize-space(../../Suffix)" />(this,'exa','<xsl:value-of select="normalize-space(../../PN)" />')
					</xsl:attribute>
					<xsl:attribute name="onmouseout">
						onQuerytabContentMouseOut<xsl:value-of select="normalize-space(../../Suffix)" />(this,'exa','<xsl:value-of select="normalize-space(../../PN)" />')
					</xsl:attribute>
					<xsl:attribute name="onclick">
						onQuerytabContentClick<xsl:value-of select="normalize-space(../../Suffix)" />(this,'exa','<xsl:value-of select="normalize-space(../../PN)" />')
					</xsl:attribute>
					<xsl:attribute name="oncontextmenu">
						onQuerytabContentContextMenu<xsl:value-of select="normalize-space(../../Suffix)" />(this,'exa','<xsl:value-of select="normalize-space(../../PN)" />')
					</xsl:attribute>
					<xsl:value-of select="normalize-space(.)" />
				</span>
			</td>
		</tr>
	</xsl:template>


	<xsl:template match="LREP">
		<tr>
			<td align="left" width="160px">
				Attorney, Agent or Firm:
			</td>
			<td align="left">
				<span>
					<xsl:attribute name="class">
						querytab-l<xsl:value-of select="normalize-space(../../Classsuffix)" />
					</xsl:attribute>
					<xsl:attribute name="onmouseover">
						onQuerytabContentMouseOver<xsl:value-of select="normalize-space(../../Suffix)" />(this,'lr','<xsl:value-of select="normalize-space(../../PN)" />')
					</xsl:attribute>
					<xsl:attribute name="onmouseout">
						onQuerytabContentMouseOut<xsl:value-of select="normalize-space(../../Suffix)" />(this,'lr','<xsl:value-of select="normalize-space(../../PN)" />')
					</xsl:attribute>
					<xsl:attribute name="onclick">
						onQuerytabContentClick<xsl:value-of select="normalize-space(../../Suffix)" />(this,'lr','<xsl:value-of select="normalize-space(../../PN)" />')
					</xsl:attribute>
					<xsl:attribute name="oncontextmenu">
						onQuerytabContentContextMenu<xsl:value-of select="normalize-space(../../Suffix)" />(this,'lr','<xsl:value-of select="normalize-space(../../PN)" />')
					</xsl:attribute>
					<xsl:value-of select="normalize-space(.)" />
				</span>
			</td>
		</tr>
	</xsl:template>

	<xsl:template match="APNLink">
		<span>
			<xsl:attribute name="class">anchor</xsl:attribute>
			<xsl:attribute name="onmouseover">
				onQuerytabContentMouseOver<xsl:value-of select="normalize-space(../../Suffix)" />(this,'p','<xsl:value-of select="normalize-space(../../PN)" />')
			</xsl:attribute>
			<xsl:attribute name="onmouseout">
				onQuerytabContentMouseOut<xsl:value-of select="normalize-space(../../Suffix)" />(this,'p','<xsl:value-of select="normalize-space(../../PN)" />')
			</xsl:attribute>
			<xsl:attribute name="onclick">
				onQuerytabAPNLinkClick('<xsl:value-of select="normalize-space(.)" />', '<xsl:value-of select="normalize-space(/Result/Misc/INList/IN[position()=1]/Key)" />', 'querytab-tab-div-additional-<xsl:value-of select="normalize-space(../../ID)" />', '<xsl:value-of select="normalize-space(../../ID)" />')
			</xsl:attribute>
			<xsl:attribute name="oncontextmenu">
				onQuerytabContentContextMenu<xsl:value-of select="normalize-space(../../Suffix)" />(this,'p','<xsl:value-of select="normalize-space(../../PN)" />')
			</xsl:attribute>
			<xsl:value-of select="normalize-space(.)" />
		</span>
	</xsl:template>

	<xsl:template match="PNLink">

		<span>
			<xsl:attribute name="class">anchor</xsl:attribute>
			<xsl:attribute name="onmouseover">
				onQuerytabContentMouseOver<xsl:value-of select="normalize-space(../../Suffix)" />(this,'p','<xsl:value-of select="normalize-space(../../PN)" />')
			</xsl:attribute>
			<xsl:attribute name="onmouseout">
				onQuerytabContentMouseOut<xsl:value-of select="normalize-space(../../Suffix)" />(this,'p','<xsl:value-of select="normalize-space(../../PN)" />')
			</xsl:attribute>
			<xsl:attribute name="onclick">
				showHiddenTr<xsl:value-of select="normalize-space(../../Suffix)" />('querytab-tab-div-additional-<xsl:value-of select="normalize-space(../../ID)" />','<xsl:value-of select="normalize-space(.)" />','<xsl:value-of select="normalize-space(../../ID)" />')
			</xsl:attribute>
			<xsl:attribute name="oncontextmenu">
				onQuerytabContentContextMenu<xsl:value-of select="normalize-space(../../Suffix)" />(this,'p','<xsl:value-of select="normalize-space(../../PN)" />')
			</xsl:attribute>
			<xsl:value-of select="normalize-space(.)" />
		</span>
	</xsl:template>
</xsl:stylesheet>

