<?xml version="1.0" encoding="utf-8"?>

<xsl:stylesheet version="1.0"
    xmlns:xsl="http://www.w3.org/1999/XSL/Transform">

  <xsl:template match="Total">
    <xsl:if test="count(/Result/USLitigation) = 0 and count(/Result/PatentAssignorList)=0">
      <span>
        <xsl:value-of select="normalize-space(/Result/Total)" />&#160;results:&#160;
      </span>
    </xsl:if>
  </xsl:template>

  <xsl:template match="PageIndex"></xsl:template>
  <xsl:template match="PageCount"></xsl:template>
  <xsl:template match="PN"></xsl:template>
  <xsl:template match="Legal"></xsl:template>
  <xsl:template match="Assignor"></xsl:template>
  <xsl:template match="h"></xsl:template>

  <xsl:template match="LegalStatusList">
    <table class="querylist-contenttable-1">
      <tr class="querylist-title-1">
        <td nowrap="true">
          Issue Num
        </td>
        <td nowrap="true">
          Issue Date
        </td>
        <td nowrap="true">
          Type
        </td>
      </tr>

      <xsl:for-each select="LegalStatus">
        <tr style="vertical-align: top;">
          <td>
            <xsl:value-of select="normalize-space(./publish_num)" />
          </td>
          <td>
            <xsl:value-of select="normalize-space(./PD)" />
          </td>
          <td >
            <span target="_blank">
              <xsl:value-of select="normalize-space(./Type)" />
              <xsl:if test="count(Content)='1'">
                <div style="color:gray">
                  <xsl:value-of select="Content" disable-output-escaping="yes"/>
                </div>
              </xsl:if>
            </span>
          </td>
        </tr>


      </xsl:for-each>

    </table>
    <xsl:if test="1 &lt; /Result/PageCount">
      <table>
        <xsl:attribute name="class">
          querylist-pager-1
        </xsl:attribute>
        <tr>
          <td align="left" height="14px">
            <xsl:choose>
              <xsl:when test="/Result/PageIndex = 0">
                <span class="graytext">First</span> | <span class="graytext">Prev</span> |
              </xsl:when>
              <xsl:otherwise>
                <span>
                  <xsl:attribute name="class">querylist-pageranchor</xsl:attribute>
                  <xsl:attribute name="onclick">
                    javascript:goPage_Tab_LF('l',0, <xsl:value-of select="/Result/PN"/>, <xsl:value-of select="/Result/PageCount"/>,this)
                  </xsl:attribute>
                  First
                </span> |
                <span>
                  <xsl:attribute name="class">querylist-pageranchor</xsl:attribute>
                  <xsl:attribute name="onclick">
                    javascript:goPage_Tab_LF('l',<xsl:value-of select="/Result/PageIndex - 1" />, <xsl:value-of select="/Result/PN"/>, <xsl:value-of select="/Result/PageCount"/>,this)
                  </xsl:attribute>
                  Prev
                </span>  |
              </xsl:otherwise>
            </xsl:choose>
            <xsl:choose>
              <xsl:when test="/Result/PageIndex = /Result/PageCount - 1">
                <span class="graytext">Next</span>
                <xsl:if test="/Result/PageCount &lt; 21">
                  | <span class="graytext">Last</span>
                </xsl:if>
              </xsl:when>
              <xsl:otherwise>
                <span>
                  <xsl:attribute name="class">querylist-pageranchor</xsl:attribute>
                  <xsl:attribute name="onclick">
                    goPage_Tab_LF('l',<xsl:value-of select="/Result/PageIndex + 1" />, <xsl:value-of select="/Result/PN"/>, <xsl:value-of select="/Result/PageCount"/>,this)
                  </xsl:attribute>
                  Next
                </span>
                <xsl:if test="/Result/PageCount &lt; 21">
                  |
                  <span>
                    <xsl:attribute name="class">querylist-pageranchor</xsl:attribute>
                    <xsl:attribute name="onclick">
                      goPage_Tab_LF('l',<xsl:value-of select="/Result/PageCount - 1" />, <xsl:value-of select="/Result/PN"/>, <xsl:value-of select="/Result/PageCount"/>,this)
                    </xsl:attribute>
                    Last
                  </span>
                </xsl:if>
              </xsl:otherwise>
            </xsl:choose>
            &#160;<input type="text" id="querylist-input">
              <xsl:attribute name="class">querylist-pagerinput</xsl:attribute>
              <xsl:attribute name="onkeydown">
                checkPagerInputKey_LF(event,'l',<xsl:value-of select="/Result/PN"/>,<xsl:value-of select="/Result/PageCount"/>,this)
              </xsl:attribute>
              <xsl:if test="normalize-space(/Result/FooShowPN) != '' and normalize-space(/Result/FooShowPN) != 'null'">
                <xsl:attribute name="value">
                  <xsl:value-of select="normalize-space(/Result/FooShowPN)"/>
                </xsl:attribute>
              </xsl:if>
            </input><xsl:if test="/Result/PageCount &lt; 21">
              &#160;<span>
                <xsl:attribute name="class">querylist-pageranchor</xsl:attribute>
                <xsl:attribute name="onclick">
                  goPage_Tab_LF('l',findSiblingBefore(this, 'input', 1).value - 1, <xsl:value-of select="/Result/PN"/>, <xsl:value-of select="/Result/PageCount"/>,this)
                </xsl:attribute>GO
              </span>
            </xsl:if>

          </td>
          <td height="14px" align="right">
            Page <xsl:value-of select="/Result/PageIndex + 1"/> / <xsl:value-of select="/Result/PageCount"/>
          </td>
        </tr>
      </table>
    </xsl:if>
  </xsl:template>
  <xsl:template match="lpanList">
    <table>
      <xsl:for-each select="lpan">
        <tr >
          <td style="width:130px">
            <xsl:if test="position() &lt; 2">
              <i>LPAN(Plantiff)</i>
            </xsl:if>
          </td>
          <td >
            <span target="_blank" title="Click to search assignee">
              <xsl:attribute name="class">
                querylist-a
              </xsl:attribute>
              <xsl:attribute name="onmouseover">
                onQueryTableMouseOver(this, 'lsa', '')
              </xsl:attribute>
              <xsl:attribute name="onmouseout">
                onQueryTableMouseOut(this, 'lsa', '')
              </xsl:attribute>

              <xsl:attribute name="onclick">
                onQueryTableClick(this, 'lpan', '', '', '')
              </xsl:attribute>
              <xsl:attribute name="oncontextmenu">
                onQueryTableContextMenu(this, 'lsa', '', '')
              </xsl:attribute>
              <xsl:value-of select="."/>
              <br/>
            </span>
          </td>
        </tr>
      </xsl:for-each>
    </table>
  </xsl:template>
  <xsl:template match="ldanList">
    <table>
      <xsl:for-each select="ldan">
        <tr >
          <td style="width:130px">
            <xsl:if test="position() &lt; 2">
              <i>LDAN(Defendant)</i>
            </xsl:if>
          </td>
          <td valign="top">
            <span target="_blank" title="Click to search assignee">
              <xsl:attribute name="class">
                querylist-a
              </xsl:attribute>
              <xsl:attribute name="onmouseover">
                onQueryTableMouseOver(this, 'lsa', '')
              </xsl:attribute>
              <xsl:attribute name="onmouseout">
                onQueryTableMouseOut(this, 'lsa', '')
              </xsl:attribute>

              <xsl:attribute name="onclick">
                onQueryTableClick(this, 'ldan', '', '', '')
              </xsl:attribute>
              <xsl:attribute name="oncontextmenu">
                onQueryTableContextMenu(this, 'lsa', '', '')
              </xsl:attribute>
              <xsl:value-of select="."/>
              <br/>
            </span>
          </td>
        </tr>
      </xsl:for-each>
    </table>
  </xsl:template>
  <xsl:template match="USLitigation">
    <xsl:if test="count(/Result/PatentAssignorList/PatentAssignor) &gt; 0">
      <br/>
      <br/>
    </xsl:if>
    <b>Litigation Info</b>
    <xsl:apply-templates select="lpanList"/>
    <xsl:apply-templates select="ldanList"/>
  </xsl:template>
  <xsl:template match="PatentAssignorList">
    <xsl:if test="/Result/Legal = 1">
      <xsl:if test="count(PatentAssignor) &gt; 0">
        <b>Legal Info</b>
        <br/>
      </xsl:if>
      <table class="querylist-contenttable-1">
        <xsl:for-each select="PatentAssignor">
          <xsl:if test="position() &gt; 1 and position() &lt; 3">
            <tr>
              <td colspan="2" height="10px">
              </td>
            </tr>
          </xsl:if>
          <xsl:if test="count(LegalList/Legal) &gt; 0">
            <xsl:for-each select="LegalList/Legal">
              <tr>
                <td colspan="2">
                  <xsl:apply-templates/>
                </td>
              </tr>
            </xsl:for-each>
          </xsl:if>
        </xsl:for-each>
      </table>
    </xsl:if>
    <xsl:if test="/Result/Assignor = 1">
      <b>Assignment Info</b>
    </xsl:if>
    <table class="querylist-contenttable-1">
      <xsl:for-each select="PatentAssignor">
        <xsl:if test="h = 1">
          <tr>
            <td colspan="2" height="10px">
            </td>
          </tr>
        </xsl:if>
        <xsl:if test="count(AssignorList/Assignor) &gt; 0">
          <xsl:for-each select="ConveyanceList/Conveyance">
            <tr>
              <td style="width:130px">
                <i>Conveyance</i>
              </td>
              <td>
                <xsl:apply-templates/>
              </td>
            </tr>
          </xsl:for-each>
          <xsl:for-each select="AssignorList/Assignor">
            <tr>
              <td>
                <xsl:if test="position()&lt;2">
                  <i>Assignor</i>
                </xsl:if>
              </td>
              <td >
                <xsl:apply-templates/>
              </td>
            </tr>
          </xsl:for-each>
          <xsl:for-each select="CorrespondentList/Correspondent">
            <tr>
              <td>
                <xsl:if test="position()&lt;2">
                  <i>Correspondent</i>
                </xsl:if>
              </td>
              <td >
                <xsl:apply-templates/>
              </td>
            </tr>
          </xsl:for-each>
          <xsl:for-each select="AssigneeList/Assignee">
            <tr>
              <td >
                <xsl:if test="position()&lt;2">
                  <i>Assignee</i>
                </xsl:if>
              </td>
              <td>
                <span target="_blank" title="Click to search assignee">
                  <xsl:attribute name="class">
                    querylist-a
                  </xsl:attribute>
                  <xsl:attribute name="onmouseover">
                    onQueryTableMouseOver(this, 'lsa', '')
                  </xsl:attribute>
                  <xsl:attribute name="onmouseout">
                    onQueryTableMouseOut(this, 'lsa', '')
                  </xsl:attribute>

                  <xsl:attribute name="onclick">
                    onQueryTableClick(this, 'lsa', '', '', '')
                  </xsl:attribute>
                  <xsl:attribute name="oncontextmenu">
                    onQueryTableContextMenu(this, 'lsa', '', '')
                  </xsl:attribute>
                  <xsl:apply-templates/>
                </span> (address: <xsl:apply-templates select="../../AssigneeAddrList/AssigneeAddr[position()=1]"/>)
              </td>
            </tr>
          </xsl:for-each>
        </xsl:if>
      </xsl:for-each>
    </table>
    <xsl:if test="1 &lt; /Result/PageCount">
      <table>
        <xsl:attribute name="class">
          querylist-pager-1
        </xsl:attribute>
        <tr>
          <td align="left" height="14px">
            <xsl:choose>
              <xsl:when test="/Result/PageIndex = 0">
                <span class="graytext">First</span> | <span class="graytext">Prev</span> |
              </xsl:when>
              <xsl:otherwise>
                <span>
                  <xsl:attribute name="class">querylist-pageranchor</xsl:attribute>
                  <xsl:attribute name="onclick">
                    javascript:goPage_Tab_LF('l',0, <xsl:value-of select="/Result/PN"/>, <xsl:value-of select="/Result/PageCount"/>,this)
                  </xsl:attribute>
                  First
                </span> |
                <span>
                  <xsl:attribute name="class">querylist-pageranchor</xsl:attribute>
                  <xsl:attribute name="onclick">
                    javascript:goPage_Tab_LF('l',<xsl:value-of select="/Result/PageIndex - 1" />, <xsl:value-of select="/Result/PN"/>, <xsl:value-of select="/Result/PageCount"/>,this)
                  </xsl:attribute>
                  Prev
                </span>  |
              </xsl:otherwise>
            </xsl:choose>
            <xsl:choose>
              <xsl:when test="/Result/PageIndex = /Result/PageCount - 1">
                <span class="graytext">Next</span>
                <xsl:if test="/Result/PageCount &lt; 21">
                  | <span class="graytext">Last</span>
                </xsl:if>
              </xsl:when>
              <xsl:otherwise>
                <span>
                  <xsl:attribute name="class">querylist-pageranchor</xsl:attribute>
                  <xsl:attribute name="onclick">
                    goPage_Tab_LF('l',<xsl:value-of select="/Result/PageIndex + 1" />, <xsl:value-of select="/Result/PN"/>, <xsl:value-of select="/Result/PageCount"/>,this)
                  </xsl:attribute>
                  Next
                </span>
                <xsl:if test="/Result/PageCount &lt; 21">
                  |
                  <span>
                    <xsl:attribute name="class">querylist-pageranchor</xsl:attribute>
                    <xsl:attribute name="onclick">
                      goPage_Tab_LF('l',<xsl:value-of select="/Result/PageCount - 1" />, <xsl:value-of select="/Result/PN"/>, <xsl:value-of select="/Result/PageCount"/>,this)
                    </xsl:attribute>
                    Last
                  </span>
                </xsl:if>
              </xsl:otherwise>
            </xsl:choose>
            &#160;<input type="text" id="querylist-input">
              <xsl:attribute name="class">querylist-pagerinput</xsl:attribute>
              <xsl:attribute name="onkeydown">
                checkPagerInputKey_LF(event,'l',<xsl:value-of select="/Result/PN"/>,<xsl:value-of select="/Result/PageCount"/>,this)
              </xsl:attribute>
              <xsl:if test="normalize-space(/Result/FooShowPN) != '' and normalize-space(/Result/FooShowPN) != 'null'">
                <xsl:attribute name="value">
                  <xsl:value-of select="normalize-space(/Result/FooShowPN)"/>
                </xsl:attribute>
              </xsl:if>
            </input><xsl:if test="/Result/PageCount &lt; 21">
              &#160;<span>
                <xsl:attribute name="class">querylist-pageranchor</xsl:attribute>
                <xsl:attribute name="onclick">
                  goPage_Tab_LF('l',findSiblingBefore(this, 'input', 1).value - 1, <xsl:value-of select="/Result/PN"/>, <xsl:value-of select="/Result/PageCount"/>,this)
                </xsl:attribute>GO
              </span>
            </xsl:if>
 
          </td>
          <td height="14px" align="right">
            Page <xsl:value-of select="/Result/PageIndex + 1"/> / <xsl:value-of select="/Result/PageCount"/>
          </td>
        </tr>
      </table>
    </xsl:if>
  </xsl:template>
  <xsl:template match="Lit2List">
    <xsl:for-each select="Lit2">
    <div style="margin: 30px 0">
        <p class="cnlist-p" style="color: #ff4163"><b>诉讼信息:</b></p>
        <p class="cnlist-p">
          <b class="cnlist-title">案例ID:</b>
          <span class="cnlist-content"><xsl:value-of select="Case_id"/></span>
        </p>
        <p class="cnlist-p">
          <b class="cnlist-title">案例名称:</b
          ><span class="cnlist-content"><xsl:value-of select="Case_name"/></span>
        </p>
        <p class="cnlist-p">
          <b class="cnlist-title">法院:</b
          ><span class="cnlist-content"><xsl:value-of select="Court"/></span>
        </p>
        <p class="cnlist-p">
          <b class="cnlist-title">辖区:</b
          ><span class="cnlist-content"><xsl:value-of select="District"/></span>
        </p>
        <p class="cnlist-p">
          <b class="cnlist-title">法官:</b
          ><span class="cnlist-content"><xsl:value-of select="Judge"/></span>
        </p>
        <p class="cnlist-p">
          <b class="cnlist-title">裁判官:</b
          ><span class="cnlist-content"><xsl:value-of select="Magistrate"/></span>
        </p>
        <p class="cnlist-p">
          <b class="cnlist-title">原告 vs 被告:</b>
        </p>
        <table class="pure-table pure-table-bordered">
          <thead>
            <tr>
              <th>原告</th>
              <th>被告</th>
              <th>反诉</th>
              <th>反诉被告</th>
              <th>通知</th>
            </tr>
          </thead>
          <tbody>
            <tr>
              <td>
                <ul>
                  <xsl:for-each select="PlainArrList">
                  <xsl:for-each select="PlainArr">
                  <li
                    class="litigation-li"
                  > 
                  <xsl:apply-templates/>
                  </li>
                  </xsl:for-each>
                  </xsl:for-each>
                </ul>
              </td>
              <td>
                <ul>
                <xsl:for-each select="DefArrList">
                <xsl:for-each select="DefArr">
                  <li
                    class="litigation-li"
                  > 
                  <xsl:apply-templates/>
                  </li>
                  </xsl:for-each>
                  </xsl:for-each>
                </ul>
              </td>
              <td>
                <ul>
                <xsl:for-each select="CntClmArrList">
                <xsl:for-each select="CntClmArr">
                  <li
                    class="litigation-li"
                  > 
                  <xsl:apply-templates/>
                  </li>
                  </xsl:for-each>
                  </xsl:for-each>
                </ul>
              </td>
              <td>
                <ul>
                <xsl:for-each select="CntDefArrList">
                <xsl:for-each select="CntDefArr">
                  <li
                    class="litigation-li"
                  > 
                  <xsl:apply-templates/>
                  </li>
                  </xsl:for-each>
                  </xsl:for-each>
                </ul>
              </td>
              <td>
                <ul>
                  <xsl:for-each select="NoticeOnlyArrList">
                  <xsl:for-each select="NoticeOnlyArr">
                  <li
                    class="litigation-li"
                  > 
                  <xsl:apply-templates/>
                  </li>
                  </xsl:for-each>
                  </xsl:for-each>
                </ul>
              </td>
            </tr>
          </tbody>
        </table>
        <p class="cnlist-p"><b class="cnlist-title">律师:</b></p>
        <table class="pure-table pure-table-bordered">
          <thead>
            <tr>
              <th>原告</th>
              <th>被告</th>
              <th>反诉</th>
              <th>反诉被告</th>
              <th>通知</th>
            </tr>
          </thead>
          <tbody>
            <tr>
              <td>
                <ul>
                  <xsl:for-each select="AttPlainArrList">
                  <xsl:for-each select="AttPlainArr">
                  <li
                    class="litigation-li"
                  > 
                  <xsl:apply-templates/>
                  </li>
                  </xsl:for-each>
                    </xsl:for-each>
                </ul>
              </td>
              <td>
                <ul>
                <xsl:for-each select="AttDefArrList">
                  <xsl:for-each select="AttDefArr">
                  <li
                    class="litigation-li"
                  > 
                  <xsl:apply-templates/>
                  </li>
                  </xsl:for-each>
                </xsl:for-each>
                </ul>
              </td>
              <td>
                <ul>
                <xsl:for-each select="AttCntClmArrList">
                <xsl:for-each select="AttCntClmArr">
                  <li
                    class="litigation-li"
                  > 
                  <xsl:apply-templates/>
                  </li>
                  </xsl:for-each>
                    </xsl:for-each>
                </ul>
              </td>
              <td>
                <ul>
                <xsl:for-each select="AttCntDefArrList">
                <xsl:for-each select="AttCntDefArr">
                  <li
                    class="litigation-li"
                  > 
                  <xsl:apply-templates/>
                  </li>
                  </xsl:for-each>
                    </xsl:for-each>
                </ul>
              </td>
              <td>
                <ul>
                <xsl:for-each select="AttNoticeOnlyArrList">
                <xsl:for-each select="AttNoticeOnlyArr">
                  <li
                    class="litigation-li"
                  > 
                  <xsl:apply-templates/>
                  </li>
                  </xsl:for-each>
                    </xsl:for-each>
                </ul>
              </td>
            </tr>
          </tbody>
        </table>
        <p class="cnlist-p">
          <b class="cnlist-title">诉讼法律条款:</b
          ><span class="cnlist-content"><xsl:value-of select="Litigation_t"/></span>
        </p>
        <p class="cnlist-p">
          <b class="cnlist-title">赔偿额:</b
          ><span class="cnlist-content"><xsl:value-of select="Demand"/></span>
        </p>
        <p class="cnlist-p">
          <b class="cnlist-title">起诉日:</b
          ><span class="cnlist-content"><xsl:value-of select="Date_filed"/></span>
        </p>
        <p class="cnlist-p">
          <b class="cnlist-title">截止日:</b
          ><span class="cnlist-content"><xsl:value-of select="Date_closee"/></span>
        </p>
        <p class="cnlist-p">
          <b class="cnlist-title">最后提交日:</b
          ><span class="cnlist-content"><xsl:value-of select="Date_last_filed"/></span>
        </p>
        <p class="cnlist-p">
          <b class="cnlist-title">案例类型:</b
          ><span class="cnlist-content"><xsl:value-of select="Case_t"/></span>
        </p>
      </div>
      </xsl:for-each>
	</xsl:template>
</xsl:stylesheet>

