<?xml version='1.0' encoding='utf-8'?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
<xsl:decimal-format name="us" decimal-separator='.' grouping-separator=',' />
<xsl:output method="html" encoding="utf-8"/>

  <xsl:template match="*|@*">
	<xsl:copy>
		<xsl:apply-templates select="@*|*|comment()|processing-instruction()|text()"/>
	</xsl:copy>
  </xsl:template>   
  
  <xsl:strip-space elements="InventorName"/>
 
  <xsl:template match="font">
   	<xsl:value-of select="." />
  </xsl:template>
   <xsl:template match="AreaCode">
   </xsl:template>
  <xsl:template match="BR">
  	<br />
  </xsl:template>
 
 	
 
 
  
    <xsl:template match="Abstract/p">
    <xsl:apply-templates />
  </xsl:template>
  
  <xsl:template match="CHE">
  	 <div parseWidgets="false" style="position:absolute;visibility:hidden; z-index:9998; padding:3px 3px 3px 3px; border:solid 1px black; background:white;" >
  	 <!--<xsl:attribute name="id">popupdiv-chspic-<xsl:value-of select="."/></xsl:attribute>-->
    </div>
  	<img style="padding-left:4px;cursor:pointer" src="img/little-z-10-1.gif" onmouseover="this.src='img/little-z-10-1.gif'" onmouseout="this.src='img/little-z-10-1.gif'">
  		<xsl:attribute name="onclick">showCHEPic(this, '<xsl:value-of select="."/>');</xsl:attribute>
  	</img>
  	
  	 
  </xsl:template>
  
  <xsl:template match="ptable">
   <center>
   <div class="ptable">
 		<xsl:value-of select="." disable-output-escaping="yes" />
  </div>
  </center>
   </xsl:template>
  
  <xsl:template match="hr">
  	<br />
  </xsl:template>
  <xsl:template match="HLT">
    <span>
      <xsl:attribute name="style">border-bottom: 1px dashed rgb(0, 0, 255); cursor: pointer;</xsl:attribute>
      <xsl:attribute name="onclick">onHighlightFontClick(this);</xsl:attribute>
      <xsl:attribute name="onmouseover">onHighlightFontMouseOver(this,event);</xsl:attribute>
      <xsl:attribute name="onmouseout">onHighlightFontMouseOut(this,event);</xsl:attribute>
		<xsl:attribute name="pn">
			<xsl:value-of select="/Patent/PN"></xsl:value-of>
		</xsl:attribute>
      <xsl:apply-templates/>
    </span>
  </xsl:template>
  <xsl:template match="KHLT">
  	<span class="khlt">
    <span>
      <xsl:attribute name="style">background-color:<xsl:value-of select="p" /></xsl:attribute>
      <xsl:attribute name="index"><xsl:value-of select="i"/></xsl:attribute>
      <xsl:value-of select="c" />
    </span>
    </span>
  </xsl:template>

  <xsl:template match="Section">
	  <div oncontextmenu="onSpanContextMenu(this, 'cd')">
        <xsl:apply-templates />
	  </div>
	<img src="img/comment.gif" style="display:none" class="imglink" >
	  <xsl:attribute name="id">Comment_Label_<xsl:value-of select="@id + 20000" /></xsl:attribute>
	  <xsl:attribute name="onclick">showComment('<xsl:value-of select="@id + 20000" />')</xsl:attribute>
	</img> 
    <br />
	<div style="display:none">
    <xsl:attribute name="id">Comment_Div_<xsl:value-of select="@id + 20000" /></xsl:attribute>
  </div>
  <div style="display:none" class="notediv">
	  <xsl:attribute name="id">Note_Div_<xsl:value-of select="@id + 20000" /></xsl:attribute>
	</div>
  </xsl:template>

  <xsl:template match="PatentNumber">
	  <xsl:variable name="pncount" select="generate-id()" />
	  <span class="anchor" onmouseover="onSpanMouseOver(this, 'p')" onmouseout="onSpanMouseOut(this, 'p')" onclick="onSpanClick(this, 'p')" oncontextmenu="onSpanContextMenu(this, 'p')">
		  <xsl:attribute name="id">patent-span-pn-<xsl:value-of select="$pncount"/></xsl:attribute>
		  <xsl:attribute name="pn"><xsl:value-of select="@pn"/></xsl:attribute>
		  <xsl:value-of  select="normalize-space(.)"/>
	  </span>
	  <div style="display:none;"><xsl:attribute name="id">patent-div-pn-<xsl:value-of select="$pncount" /></xsl:attribute></div>
	  <span style="visibility:hidden;display:none">#</span>
  </xsl:template>

  <xsl:template match="Figure">
	  <xsl:variable name="figcount" select="generate-id()" />
	  <span class="anchor" onmouseover="onSpanMouseOver(this, 'f')" onmouseout="onSpanMouseOut(this, 'f')" onclick="onSpanClick(this, 'f')" oncontextmenu="onSpanContextMenu(this, 'f')">
		  <xsl:attribute name="id">patent-span-fig-<xsl:value-of select="$figcount" /></xsl:attribute>
		  <xsl:attribute name="title"><xsl:value-of select="@fn" /></xsl:attribute>
		  <xsl:value-of  select="normalize-space(.)"/>
	  </span>
	  <div class="floatleftdiv" style="display:none"><xsl:attribute name="id">patent-div-fig-<xsl:value-of select="$figcount" /></xsl:attribute></div>
	   <span style="display:none">a</span>
  </xsl:template>
  
  <xsl:template match="RefLink">
	  <span class="anchor" onmouseover="onSpanMouseOver(this, 'r')" onmouseout="onSpanMouseOut(this, 'r')" onclick="onSpanClick(this, 'r')" oncontextmenu="onContextMenu(this, 'r')">
		  <xsl:value-of  select="normalize-space(.)"/>
	  </span>
  </xsl:template>
  
  <xsl:template match="EQU">
	  <span class="anchor" onmouseover="onSpanMouseOver(this, 'equ')" onmouseout="onSpanMouseOut(this, 'equ')" onclick="onSpanClick(this, 'equ')" oncontextmenu="onSpanContextMenu(this, 'equ')">
		  <xsl:value-of  select="normalize-space(.)"/>
	  </span>
  </xsl:template>

  <xsl:template match="STR">
	  <span class="anchor" onmouseover="onSpanMouseOver(this, 'str')" onmouseout="onSpanMouseOut(this, 'str')" onclick="onSpanClick(this, 'str')" oncontextmenu="onSpanContextMenu(this, 'str')">
		  <xsl:value-of  select="normalize-space(.)"/>
	  </span>
  </xsl:template>

  <xsl:template match="SPC">
	  <span class="anchor" onmouseover="onSpanMouseOver(this, 'spc')" onmouseout="onSpanMouseOut(this, 'spc')" onclick="onSpanClick(this, 'spc')" oncontextmenu="onSpanContextMenu(this, 'spc')">
		  <xsl:value-of  select="normalize-space(.)"/>
	  </span>
  </xsl:template>


  <xsl:template match="PN">
  </xsl:template>
  
  <xsl:template match="KindCode">
  </xsl:template>
  
  <xsl:template match="Date">
  </xsl:template>

  <xsl:template match="Title">
  <!--<xsl:if test="/Patent/Description/DescriptionPart/@id='BRIEFDESCRIPTIONOFTHEDRAWINGS' or /Patent/Description/DescriptionPart/@id='BRIEFDESCRIPTIONOFDRAWINGS' or /Patent/Description/DescriptionPart/@id='DESCRIPTIONOFDRAWINGS' or /Patent/Description/DescriptionPart/@id='DESCRIPTIONOFTHEDRAWINGS' or /Patent/Description/DescriptionPart/@id='附图说明' or /Patent/Description/DescriptionPart/@name='附图说明'">
            <div id="patent-desc-figure">
              <IMG class="patent-switchon" src="img/plus-red.gif" id="patent-img-figure" onclick="showDiv('figure')"/>
              <SPAN id="patent-span-figure" class="patent-switchoff" onclick="showDiv('figure')">FIGURE</SPAN>
              <BR />
              <center>
                <DIV id="patent-div-figure" class="querytab-content-active" style="display:none"></DIV>
              </center>
            </div>
            </xsl:if>-->
	  <DIV id="patent-div-ttl"  oncontextmenu="onSpanContextMenu(this, 'cd')">
		  <xsl:attribute name="isshowed">
			  <xsl:value-of select="/Patent/Showed"/>
		  </xsl:attribute>
		  <div class="patent-ttl">
			  <span>
				  <xsl:if test="/Patent/Showed = 1">
					  <!--<xsl:attribute name="style">background-color:#ee0000</xsl:attribute>-->

				  </xsl:if>

				  <xsl:apply-templates />
			  </span>
		  </div>
	  </DIV>
	  <xsl:if test="count(//Figure)>=0">
		  <div id="patent-desc-figure">
			  <IMG class="patent-switchon" src="img/plus-red.gif" id="patent-img-figure" onclick="showDiv('figure')"/>
			  <SPAN id="patent-span-figure" class="patent-switchoff" onclick="showDiv('figure')">图片</SPAN>
			  <BR />
			  <center>
				  <DIV id="patent-div-figure" style="display:none">
					  <table>
						  <tr>
							  <td valign="top">
								  <div id="patent-div-figure-content" class="querytab-content-active">

								  </div>
							  </td>
						  </tr>
					  </table>
				  </DIV>
			  </center>
		  </div>
	  </xsl:if>
	  <IMG id="patent-img-tag" class="patent-switchon" onclick="showDiv('tag')" src="img/plus-red.gif" />
    <SPAN id="patent-span-tag" class="patent-switchoff" onclick="showDiv('tag')">索引</SPAN>
    <BR />
    <center>
      <DIV id="patent-div-tag" style="display:none"></DIV>
    </center>
	  <IMG id="patent-img-related" class="patent-switchon" onclick="showDiv('related')" src="img/plus-red.gif" />
	  <SPAN id="patent-span-related" class="patent-switchoff" onclick="showDiv('related')">相关概念及专利</SPAN>
	  <BR />
	  <center>
		  <DIV id="patent-div-related" style="display:none"></DIV>
	  </center>

	  <IMG id="patent-img-legal" class="patent-switchon" onclick="showDiv('legal')" src="img/plus-red.gif" />
	  <SPAN id="patent-span-legal" class="patent-switchoff" onclick="showDiv('legal')">法律状态</SPAN>
	  <BR />
	  <center>
		  <DIV id="patent-div-legal" style="display:none"></DIV>
	  </center>
	  <img src="img/comment.gif" style="display:none" class="imglink" id="Comment_Label_1" onclick="showComment('1')"></img>&#160;
	  <br />
	  <div id="Comment_Div_1" style="display:none" class="commentdiv"></div>
    <div id="Note_Div_1" style="display:none" class="notediv">
    </div>
	  <!--<xsl:for-each select="HLTLIST/HLT">
		  <TR>
			  <font stype="border-bottom: 1px dashed rgb(0, 0, 255); cursor: pointer;">
				  TestForHighLight
			  </font>
		  </TR>
	  </xsl:for-each>-->
  </xsl:template>
  
  <xsl:template match="Abstract">
    <A name="#abst" id="abst"></A>
	<IMG id="patent-img-abst" class="patent-switchon" onclick="showDiv('abst')" src="img/minus.gif"/>
	<SPAN id="patent-span-abst" class="patent-switchon" onclick="showDiv('abst')">摘要</SPAN>
	<BR />
	<DIV id="patent-div-abst" parseWidgets="false" oncontextmenu="onSpanContextMenu(this, 'cd')">
    <table cellspacing="2">
      <tr>
        <td valign="top">
          <CENTER><B>摘要</B></CENTER>
          <div class="textcontent">
            <xsl:apply-templates />
          </div>
        </td>
      </tr>
    </table>
		
    
	</DIV>
	<img src="img/comment.gif" style="display:none" class="imglink" id="Comment_Label_2" onclick="showComment('2')"></img> 
    <br />
	<div id="Comment_Div_2" style="display:none"></div>
  <div id="Note_Div_2" style="display:none" class="notediv"></div>
  </xsl:template>

  <xsl:template match="Header">
    <IMG id="patent-img-header" class="patent-switchon" onclick="showDiv('header')" src="img/minus.gif"/>
    <SPAN id="patent-span-header" class="patent-switchon" onclick="showDiv('header')">题录</SPAN>
    <BR />
    <A name="#header"></A>
	<DIV id="patent-div-header">
	<TABLE>
	  <TBODY>
		 <xsl:apply-templates />
	  </TBODY>
	</TABLE>
	</DIV>
  </xsl:template>
  
  <xsl:template match="InventorsJP">
    <xsl:if test="count(../Inventors/InventorsItem)=0">
      <TR>
        <TD vAlign="top" align="left" width="20%">发明人: </TD>
        <TD align="left" width="80%">
          <B>
            <xsl:apply-templates />
          </B>
        </TD>
      </TR>
    </xsl:if>
</xsl:template>
  	  <xsl:template match="Inventors">
    <xsl:if test="count(InventorsItem)&gt;0">
	    <TR>
	      <TD vAlign="top" align="left" width="20%">发明人: </TD>
	      <TD align="left" width="80%">
	        <B>
	          <xsl:apply-templates />
	        </B>
	      </TD>
	    </TR>
    </xsl:if>
	  </xsl:template>
  
		  <xsl:template match="InventorsItem">
    <span class="anchor" onmouseover="onSpanMouseOver(this, 'i')" onmouseout="onSpanMouseOut(this, 'i')" onclick="onSpanClick(this, 'i')" oncontextmenu="onSpanContextMenu(this, 'i')">
      <xsl:value-of select="normalize-space(InventorName)" />
    </span>
			  (<xsl:value-of select="normalize-space(InventorOther)" />)<xsl:if test="position()!=last()">; </xsl:if>
		  </xsl:template>
	  
	  <xsl:template match="NameAddress">
	    <TR>
	      <TD vAlign="top" align="left" width="20%">通信地址: </TD>
	      <TD align="left" width="80%">
	        <B>
	          <xsl:value-of select="."/>
	        </B>
	      </TD>
	    </TR>
	  </xsl:template>
	  
  <xsl:template match="AssigneeJP">

    <xsl:if test="count(../Assignee/AssigneeItem)=0" >
    <TR>
      <TD vAlign="top" align="left" width="20%">公司: </TD>
      <TD align="left" width="80%">
        <B>
          <xsl:if test="count(//AssigneeItem)=0" >
            <span class="anchor" onmouseover="onSpanMouseOver(this, 'a')" onmouseout="onSpanMouseOut(this, 'a')" onclick="onSpanClick(this, 'a')" oncontextmenu="onSpanContextMenu(this, 'a')">
              <xsl:value-of select="normalize-space(AssigneeName)" />
            </span>
            (<xsl:value-of select="normalize-space(AssigneeOther)" />)
          </xsl:if>
          <xsl:if test="count(//AssigneeItem)&gt;0" >
            <xsl:apply-templates/>
          </xsl:if>
        </B>
      </TD>
    </TR>
    </xsl:if>
  </xsl:template>
	  <xsl:template match="Assignee">

    <xsl:if test="count(AssigneeItem)&gt;0" >
	    <TR>
	      <TD vAlign="top" align="left" width="20%">公司: </TD>
	      <TD align="left" width="80%">
	        <B>
            <xsl:if test="count(//AssigneeItem)=0" >
              <span class="anchor" onmouseover="onSpanMouseOver(this, 'a')" onmouseout="onSpanMouseOut(this, 'a')" onclick="onSpanClick(this, 'a')" oncontextmenu="onSpanContextMenu(this, 'a')">
                <xsl:value-of select="normalize-space(AssigneeName)" />
              </span>
              (<xsl:value-of select="normalize-space(AssigneeOther)" />)
            </xsl:if>
            <xsl:if test="count(//AssigneeItem)&gt;0" >
              <xsl:apply-templates/>
            </xsl:if>            
	        </B>
	      </TD>
	    </TR>
    </xsl:if>
	  </xsl:template>
  <xsl:template match="AssigneeItem">
    <span class="anchor" onmouseover="onSpanMouseOver(this, 'a')" onmouseout="onSpanMouseOut(this, 'a')" onclick="onSpanClick(this, 'a')" oncontextmenu="onSpanContextMenu(this, 'a')">
      <xsl:value-of select="normalize-space(AssigneeName)" />
    </span>
    (<xsl:value-of select="normalize-space(AssigneeOther)" />)<xsl:if test="position()!=last()">; </xsl:if>
  </xsl:template>
	
	  <xsl:template match="ApplNO">
	    <TR>
	      <TD vAlign="top" align="left" width="20%" nowrap="">申请号: </TD>
	      <TD align="left" width="80%">
	        <B>
				<span class="anchor" onmouseover="onSpanMouseOver(this, 'apn')" onmouseout="onSpanMouseOut(this, 'apn')" onclick="onSpanClick(this, 'apn')" oncontextmenu="onSpanContextMenu(this, 'apn')">
					<xsl:value-of select="normalize-space(.)" />
				</span>
	        </B>
	      </TD>
	    </TR>
	  </xsl:template>
	
	  <xsl:template match="SeriesCode">
	    <TR>
	      <TD vAlign="top" align="left" width="20%" nowrap="">序列号: </TD>
	      <TD align="left" width="80%">
	        <B>
	          <xsl:value-of select="normalize-space(.)"/>
	        </B>
	      </TD>
	    </TR>
	  </xsl:template>
	
	  <xsl:template match="Filed">
	    <TR>
	      <TD vAlign="top" align="left" width="20%">申请日: </TD>
	      <TD align="left" width="80%">
	        <B>
            <span class="anchor" onmouseover="onSpanMouseOver(this, 'apd')" onmouseout="onSpanMouseOut(this, 'apd')" onclick="onSpanClick(this, 'apd')" oncontextmenu="onSpanContextMenu(this, 'apd')">
              <xsl:value-of select="normalize-space(.)" />
            </span>
	        </B>
	      </TD>
	    </TR>
	  </xsl:template>
	  
	  <xsl:template match="Other">
			<xsl:apply-templates /> 
	  </xsl:template>
  
		  <xsl:template match="OtherItem">
		    <TR>
		      <TD vAlign="top" align="left" width="10%">
		        <xsl:value-of select="@name" />:
		      </TD>
		      <TD align="left" width="90%">
		        <B>
		          <xsl:value-of select="normalize-space(.)"/>
		        </B>
		      </TD>
		    </TR>              
		  </xsl:template>
  
  <xsl:template match="FAPD">
    <xsl:if test="name(..)='Header'">
      <tr>
        <td>
          <IMG id="patent-img-fapd" class="patent-switchoff" onclick="showDiv('fapd')" src="img/plus-red.gif"/>
          <SPAN id="patent-span-fapd" class="patent-switchoff" onclick="showDiv('fapd')">
            <xsl:if test="substring(normalize-space(/Patent/PN), 1, 2) = 'CN'" >优先数据:</xsl:if>
            <xsl:if test="substring(normalize-space(/Patent/PN), 1, 2) != 'CN'" >国际优先数据:</xsl:if>
          </SPAN>
          <BR />
          <A name="#fapd"></A>
          <DIV id="patent-div-fapd" style="DISPLAY: none">
            <CENTER>
              <B>

              </B>
            </CENTER>
            <TABLE width="100%">
              <TBODY>
                <xsl:apply-templates />
              </TBODY>
            </TABLE>
            <BR />
          </DIV>
        </td>
      </tr>
    </xsl:if>
    <xsl:if test="name(..)!='Header'">
          <IMG id="patent-img-fapd" class="patent-switchoff" onclick="showDiv('fapd')" src="img/plus-red.gif"/>
          <SPAN id="patent-span-fapd" class="patent-switchoff" onclick="showDiv('fapd')">
            <xsl:if test="substring(normalize-space(/Patent/PN), 1, 2) = 'CN'" >优先数据:</xsl:if>
            <xsl:if test="substring(normalize-space(/Patent/PN), 1, 2) != 'CN'" >国际优先数据:</xsl:if>
          </SPAN>
          <BR />
          <A name="#fapd"></A>
          <DIV id="patent-div-fapd" style="DISPLAY: none">
            <CENTER>
              <B>

              </B>
            </CENTER>
            <TABLE width="100%">
              <TBODY>
                <xsl:apply-templates />
              </TBODY>
            </TABLE>
            <BR />
          </DIV>
    </xsl:if>
  </xsl:template>
  
	  <xsl:template match="FAPDItem">
	    <TR>
	      <TD >
	        <xsl:value-of select="normalize-space(.)"/>
	      </TD>
	    </TR>
	  </xsl:template>

	
<xsl:template match="RUPD">
    <IMG id="patent-img-rupd" class="patent-switchoff" onclick="showDiv('rupd')" src="img/plus-red.gif" />
    <SPAN id="patent-span-rupd" class="patent-switchoff" onclick="showDiv('rupd')">相关美国专利文档</SPAN>
    <BR />
    <A name="#rupd"></A>
      <DIV id="patent-div-rupd" style="DISPLAY: none">
        <CENTER>
          <B>
            相关美国专利文档
          </B>
        </CENTER>
        <TABLE width="100%">
          <TBODY>
		  <TR>
		    <TD width="25%" align="center">
		    	申请号
		    </TD>
		    <TD width="25%" align="center">
		    	申请日
		    </TD>
		    <TD width="25%" align="center">
		    	专利号
		    </TD>		   
		    <TD width="25%" align="center">
		    	公开日
		    </TD>
		  </TR>
		  <xsl:for-each select="RUPDItem">
        <xsl:variable name="pncount" select="generate-id()" />
        <TR>
          <TD width="25%" align="center">
            <span class="anchor" onmouseover="onSpanMouseOver(this, 'apn')" onmouseout="onSpanMouseOut(this, 'apn')" onclick="onSpanClick(this, 'apn')" oncontextmenu="onSpanContextMenu(this, 'apn')">
              <xsl:if test="string-length(normalize-space(RUPDAN)) &gt; 6">
                <xsl:value-of select="substring(normalize-space(RUPDAN), 1, string-length(normalize-space(RUPDAN)) - 6)" />/<xsl:value-of select="substring(normalize-space(RUPDAN), string-length(normalize-space(RUPDAN)) - 5, 6)" />
              </xsl:if>
              <xsl:if test="string-length(RUPDAN) &lt; 7">
                <xsl:value-of select="normalize-space(RUPDAN)"/>
              </xsl:if>
            </span>
          </TD>
		      <TD width="25%" align="center">
		    	  <xsl:value-of select="normalize-space(RUPDFD)"/>
		      </TD>
		      <TD width="25%" align="center">
            <xsl:choose>
              <xsl:when test="RUPDPN &lt; 3574861 and RUPDPN &gt; 60000">
                <xsl:value-of select="normalize-space(RUPDPN)"/>
              </xsl:when>
              <xsl:otherwise>
                <span class="anchor" onmouseover="onSpanMouseOver(this, 'p')" onmouseout="onSpanMouseOut(this, 'p')" onclick="onSpanClick(this, 'p')" oncontextmenu="onSpanContextMenu(this, 'p')">
                  <xsl:attribute name="id">patent-span-rupd-pn-<xsl:value-of select="$pncount"/></xsl:attribute>
                  <xsl:value-of select="normalize-space(RUPDPN)"/>
                </span>
              </xsl:otherwise>
            </xsl:choose>
		      </TD>		   
		      <TD width="25%" align="center">
		    	  <xsl:value-of select="normalize-space(RUPDID)"/>
		      </TD>
		    </TR>
        <TR style="display:none">
          <TD colspan="4" align="center">
            <div><xsl:attribute name="id">patent-div-rupd-pn-<xsl:value-of select="$pncount" /></xsl:attribute></div>
          </TD>
        </TR>
		</xsl:for-each>
          </TBODY>
        </TABLE>
        <BR />
      </DIV>
</xsl:template>
	  	  
  <xsl:template match="Classification">
    <IMG id="patent-img-ccl" class="patent-switchoff" onclick="showDiv('ccl')" src="img/plus-red.gif" />
    <SPAN id="patent-span-ccl" class="patent-switchoff" onclick="showDiv('ccl')">分类</SPAN>
    <br />
    <A name="#ccl"></A>
      <DIV id="patent-div-ccl" style="DISPLAY: none">
        <TABLE width="100%">
          <TBODY>
        	<xsl:apply-templates />
          </TBODY>
        </TABLE>
      </DIV>
  </xsl:template>
  

  <xsl:template match="FTClass">
	    <TR>
			<TD vAlign="top" align="left" width="15%">
        <B>FT分类: </B>
	      </TD>
			<TD vAlign="top">
	        	<xsl:apply-templates />
      </TD>
    </TR>
  </xsl:template>
  <xsl:template match="FtClassItem">
    <span class="anchor" onmouseover="onSpanMouseOver(this, 'ft')" onmouseout="onSpanMouseOut(this, 'ft')" onclick="onSpanClick(this, 'ft')" oncontextmenu="onSpanContextMenu(this, 'ft')">
      <B>
        <xsl:value-of select="normalize-space(.)" />
	        </B>
    </span>
    <xsl:if test="position()!=last()">; </xsl:if>
  </xsl:template>

  <xsl:template match="FIClass">
    <TR>
      <TD vAlign="top" align="left" width="15%">
        <B>FI分类: </B>
      </TD>
      <TD vAlign="top">
        <xsl:apply-templates />
	      </TD>
	    </TR>
	  </xsl:template>

  <xsl:template match="FiClassItem">
    <span class="anchor" onmouseover="onSpanMouseOver(this, 'fi')" onmouseout="onSpanMouseOut(this, 'fi')" onclick="onSpanClick(this, 'fi')" oncontextmenu="onSpanContextMenu(this, 'fi')">
      <B>
        <span type="fi"><xsl:value-of select="normalize-space(.)" /></span>
      </B>
    </span><span type="fidescription" style="padding-left:20px"></span>
    <xsl:if test="position()!=last()"><br/> </xsl:if>
  </xsl:template>


	<xsl:template match="CPCClass">
		<TR>
      <TD vAlign="top" align="left" width="15%">
        <B>CPC发明信息:</B>
			</TD>
			<!--<TD vAlign="top" align="right" width="60%">-->
      <TD vAlign="top" type="cpcI">
        <xsl:apply-templates />
      </TD>
    </TR>
    <TR>
      <TD vAlign="top" align="left" width="15%">
        <B>CPC附加信息:</B>
      </TD>
      <!--<TD vAlign="top" align="right" width="60%">-->
      <TD vAlign="top" type="cpcA">
					<xsl:apply-templates />
			</TD>
		</TR>
	</xsl:template>


  <xsl:template match="CPCClassEntry">
    <span ctype="cpc" class="anchor" onmouseover="onSpanMouseOver(this, 'c')" onmouseout="onSpanMouseOut(this, 'c')" onclick="onSpanClick(this, 'cpc')" oncontextmenu="onSpanContextMenu(this, 'c')">
      <xsl:attribute name="type">cpc<xsl:value-of select="classification-value"/></xsl:attribute>
      <xsl:choose>
        <xsl:when test="normalize-space(./symbol-position)='F'">
          <B>
            <xsl:value-of select="normalize-space(./CPCClassItem)" />
          </B>
        </xsl:when>
        <xsl:otherwise>
          <xsl:value-of select="normalize-space(./CPCClassItem)" />
        </xsl:otherwise>
      </xsl:choose>

		</span>
    <!--<xsl:if test="position()!=last()">; </xsl:if>-->
	</xsl:template>


	<xsl:template match="USClass">
	    <TR>
	      <TD vAlign="top" align="left" width="20%">
	        <B>美国分类:</B>
	      </TD>
	      <TD vAlign="top">
	        <B>
	        	<xsl:apply-templates />
	        </B>
	      </TD>
	    </TR>
	  </xsl:template>
	  
		  <xsl:template match="USClassItem">
			  <span class="anchor" onmouseover="onSpanMouseOver(this, 'c')" onmouseout="onSpanMouseOut(this, 'c')" onclick="onSpanClick(this, 'c')" oncontextmenu="onSpanContextMenu(this, 'c')"><xsl:value-of select="normalize-space(.)" /></span>
			  <xsl:if test="position()!=last()">; </xsl:if>
		  </xsl:template>
	  
	  <xsl:template match="PubClass">
	    <TR>
	      <TD vAlign="top" align="left" width="20%">
	        <B>公开美国分类:</B>
	      </TD>
	      <TD vAlign="top">
	        <B>
	        	<xsl:apply-templates />
	        </B>
	      </TD>
	    </TR>
	  </xsl:template>
	  
		  <xsl:template match="PubClassItem">
			  <span class="anchor" onmouseover="onSpanMouseOver(this, 'c')" onmouseout="onSpanMouseOut(this, 'c')" onclick="onSpanClick(this, 'c')" oncontextmenu="onSpanContextMenu(this, 'c')">
				  <xsl:value-of select="normalize-space(.)" />
			  </span>
			  <xsl:if test="position()!=last()">; </xsl:if>
		  </xsl:template>

	<xsl:template match="ECLAClass">
		<TR>
			<TD vAlign="top" align="left" width="20%">
				<B>欧洲分类: </B>
			</TD>
			<TD vAlign="top">
				<xsl:apply-templates />
			</TD>
		</TR>
	</xsl:template>

	<xsl:template match="ECLAClassItem">
		<span class="anchor" onmouseover="onSpanMouseOver(this, 'ecla')" onmouseout="onSpanMouseOut(this, 'ecla')" onclick="onSpanClick(this, 'ecla')" oncontextmenu="onSpanContextMenu(this, 'ecla')">
			<B><xsl:value-of select="normalize-space(.)" /></B>
		</span>
		<xsl:if test="position()!=last()">; </xsl:if>
	</xsl:template>

	<xsl:template match="FtClass">
		<TR>
			<TD vAlign="top" align="left" width="15%">
				<B>FT分类: </B>
			</TD>
			<TD vAlign="top">
				<xsl:apply-templates />
			</TD>
		</TR>
	</xsl:template>

	<xsl:template match="FtClassItem">
		<span class="anchor" onmouseover="onSpanMouseOver(this, 'ft')" onmouseout="onSpanMouseOut(this, 'ft')" onclick="onSpanClick(this, 'ft')" oncontextmenu="onSpanContextMenu(this, 'ft')">
			<B>
				<xsl:value-of select="normalize-space(.)" />
			</B>
		</span>
		<xsl:if test="position()!=last()">; </xsl:if>
	</xsl:template>
	<xsl:template match="InterClass">
	    <TR>
	      <TD vAlign="top" align="left" width="20%">
	        <B>国际分类: </B>
	      </TD>
	      <TD vAlign="top">
	        	<xsl:apply-templates />
	      </TD>
	    </TR>
	  </xsl:template>

  <xsl:template match="InterClassEntry">
    <xsl:if test="./Version &lt; 8">
      <span style="display:none" type="ipc17"> IPC(1-7) </span>
    </xsl:if>
    <span ctype="ipc" class="anchor" onmouseover="onQueryIPCLevelMouseOver(this, event,0)" onmouseout="onSpanMouseOut(this, 'icl')" onclick="onSpanClick(this, 'icl')" oncontextmenu="onSpanContextMenu(this, 'icl')">
      <xsl:attribute name="Qualifiers">
        <xsl:value-of select="Qualifiers"/>
      </xsl:attribute>
      <xsl:attribute name="Version">
        <xsl:value-of select="Version"/>
      </xsl:attribute>

      <xsl:choose>
        <xsl:when test="position() = 1">
          <B>
            <xsl:value-of select="normalize-space(./InterClassItem)" />
          </B>
        </xsl:when>
        <xsl:when test="./Qualifiers = 'F' or ./Qualifiers = 'A'">
          <B>
            <xsl:value-of select="normalize-space(./InterClassItem)" />
          </B>
        </xsl:when>
        <xsl:otherwise>
          <xsl:value-of select="normalize-space(./InterClassItem)" />
        </xsl:otherwise>
      </xsl:choose>
		</span>
			<span style="padding-left:20px" type='ipcdescription'></span>
    <xsl:if test="position()!=last()"><br/></xsl:if>
		  </xsl:template>
	  
	  <xsl:template match="FieldSearch">
	    <TR>
	      <TD vAlign="top" align="left" width="20%">
	        <B>搜索领域:</B>
	      </TD>
	      <TD vAlign="top">
	        	<xsl:apply-templates />
	      </TD>
	    </TR>
	  </xsl:template>

		  <xsl:template match="FieldSearchItem">
		  	<B><xsl:value-of select="normalize-space(.)"/></B>
		  	<xsl:if test="position()!=last()">; </xsl:if>
		  </xsl:template>
		  
  <xsl:template match="Reference">
    <IMG id="patent-img-ref" class="patent-switchoff" onclick="showDiv('ref')" src="img/plus-red.gif" />
    <SPAN id="patent-span-ref" class="patent-switchoff" onclick="showDiv('ref')">参考引用</SPAN>
    <br />
    <A name="#ref"></A>
      <DIV id="patent-div-ref" style="DISPLAY: none">
        <CENTER>
          <b>引用专利</b>
			[
			<span class="anchor" onmouseover="onSpanMouseOver(this, 'b')" onmouseout="onSpanMouseOut(this, 'b')" onclick="onSpanClick(this, 'b')" oncontextmenu="onSpanContextMenu(this, 'b')">被引用专利</span>
			]
			<span style="padding:2px;border:1px solid gray;margin-left:20px;color:blue;cursor:pointer;">
				<xsl:attribute name="onclick">ShowRefChart('<xsl:value-of select="normalize-space(/Patent/PN)" />',1)</xsl:attribute> 引用图
			</span>
			</CENTER>
		<DIV id="patent-div-refby" style="display:none"></DIV>
		<xsl:apply-templates />
        <BR />
      </DIV>
  </xsl:template>  
	  
	  <xsl:template match="USReference">
	    <CENTER>
	      <B>美国专利文档</B>
	    </CENTER>
	    <TABLE id="tableUSReference" width="100%">
	      <TBODY>
	        <xsl:for-each select="USReferenceItem">
            <xsl:variable name="pncount" select="generate-id()" />
	          <TR>
	            <TD width="25%">
	              <xsl:if test="USRefUserDefined = 1">
	              *
	              </xsl:if>
	              <xsl:if test="ForeignRefUserDefined = 1">
	              *
	              </xsl:if>
                <xsl:choose>
                  <xsl:when test="USRefPN &lt; 3574861 and USRefPN &gt; 0">
					          <span class="anchor" onmouseover="onSpanMouseOver(this, 'p')" onmouseout="onSpanMouseOut(this, 'p')" onclick="onSpanClick(this, 'p')" oncontextmenu="onSpanContextMenu(this, 'p')">
						          <xsl:attribute name="id">patent-span-usref-pn-<xsl:value-of select="$pncount"/></xsl:attribute>
                      US<xsl:value-of select="normalize-space(USRefPN)"/>A
					          </span>
                  </xsl:when>
                  <xsl:otherwise>
					          <span class="anchor" onmouseover="onSpanMouseOver(this, 'p')" onmouseout="onSpanMouseOut(this, 'p')" onclick="onSpanClick(this, 'p')" oncontextmenu="onSpanContextMenu(this, 'p')">
						          <xsl:attribute name="id">patent-span-usref-pn-<xsl:value-of select="$pncount"/></xsl:attribute>
                      <xsl:value-of select="normalize-space(USRefPN)"/>
					          </span>
                  </xsl:otherwise>
                </xsl:choose>
	            </TD>
	            <TD width="25%">
	              <xsl:value-of select="USRefDate" />
	            </TD>
	            <TD align="left" width="25%">
					      <span class="anchor" onmouseover="onSpanMouseOver(this, 'i')" onmouseout="onSpanMouseOut(this, 'i')" onclick="onSpanClick(this, 'i')" oncontextmenu="onSpanContextMenu(this, 'i')">
						      <xsl:value-of select="normalize-space(USRefInventor)" />
					      </span>
				      </TD>
	            <TD align="right" width="25%">
					      <span class="anchor" onmouseover="onSpanMouseOver(this, 'c')" onmouseout="onSpanMouseOut(this, 'c')" onclick="onSpanClick(this, 'c')" oncontextmenu="onSpanContextMenu(this, 'c')">
						      <xsl:value-of select="normalize-space(USRefOther)" />
					      </span>
	            </TD>
	          </TR>
			      <tr align="left"  style="display:none">
              <td align="center" colspan="4" >
                <div>
                  <xsl:attribute name="id">patent-div-usref-pn-<xsl:value-of select="$pncount"/></xsl:attribute>
					      </div>
				      </td>
			      </tr>
			</xsl:for-each>
		</TBODY>
	</TABLE>
</xsl:template>
	<xsl:template match="CNReference">
		<CENTER>
			<B>中国专利文档</B>
		</CENTER>
		<TABLE id="tableUSReference" width="100%">
			<TBODY>
				<xsl:for-each select="CNReferenceItem">
					<xsl:variable name="pncount" select="generate-id()" />
					<TR>
						<TD width="25%">
							<span class="anchor" onmouseover="onSpanMouseOver(this, 'p')" onmouseout="onSpanMouseOut(this, 'p')" onclick="onSpanClick(this, 'p')" oncontextmenu="onSpanContextMenu(this, 'p')">
								<xsl:attribute name="id">patent-span-usref-pn-<xsl:value-of select="$pncount"/></xsl:attribute>
								CN<xsl:value-of select="normalize-space(CNRefPN)"/>
							</span>
						</TD>
						<TD width="25%">
							<xsl:value-of select="CNRefDate" />
						</TD>
						<TD align="left" width="25%">
							<span class="anchor" onmouseover="onSpanMouseOver(this, 'a')" onmouseout="onSpanMouseOut(this, 'i')" onclick="onSpanClick(this, 'a')" oncontextmenu="onSpanContextMenu(this, 'a')">
								<xsl:value-of select="normalize-space(CNRefInventor)" />
							</span>
						</TD>
						<TD align="right" width="25%">
							<span class="anchor" onmouseover="onSpanMouseOver(this, 'c')" onmouseout="onSpanMouseOut(this, 'c')" onclick="onSpanClick(this, 'c')" oncontextmenu="onSpanContextMenu(this, 'c')">
								<xsl:value-of select="normalize-space(CNRefOther)" />
							</span>
						</TD>
					</TR>
					<tr align="left"  style="display:none">
						<td align="center" colspan="4" >
							<div>
								<xsl:attribute name="id">patent-div-usref-pn-<xsl:value-of select="$pncount"/>
								</xsl:attribute>
							</div>
						</td>
					</tr>
				</xsl:for-each>
			</TBODY>
		</TABLE>
	</xsl:template>
	
<xsl:template match="ForeignReference">
	<CENTER>
		<B>国际专利文档</B>
	</CENTER>
	<TABLE width="100%" parseWidgets="false">
		<TBODY>
			<xsl:for-each select="ForeignReferenceItem">
        <xsl:variable name="pncount" select="generate-id()" />
				<TR>
					<TD width="20%">
						<!--<xsl:choose>
                <xsl:when test="normalize-space(ForeignRefInventor) = 'JP'  or normalize-space(ForeignRefInventor) = 'CN' or normalize-space(ForeignRefInventor) = 'EP' or normalize-space(ForeignRefInventor) = 'WO' or normalize-space(ForeignRefInventor) = 'US'">
-->
                <span class="anchor" onmouseover="onSpanMouseOver(this, 'p')" onmouseout="onSpanMouseOut(this, 'p')" onclick="onSpanClick(this, 'p')" oncontextmenu="onSpanContextMenu(this, 'p')">
							<xsl:attribute name="id">
								patent-span-usref-pn-<xsl:value-of select="$pncount"/>
							</xsl:attribute>
                   <xsl:value-of select="normalize-space(ForeignRefPN)"/>
		            </span>
						<!--</xsl:when>
              <xsl:otherwise>
                <xsl:value-of select="normalize-space(ForeignRefPN)"/>
              </xsl:otherwise>
              </xsl:choose>-->
          </TD>
					<TD width="20%">
            <xsl:value-of select="normalize-space(ForeignRefDate)" />
          </TD>
					<TD align="left" width="20%">
            <xsl:value-of select="normalize-space(ForeignRefInventor)" />
          </TD>
          <TD align="center" width="20%" type="refsource">
            <xsl:apply-templates select="D-rel-passage/ForeignRefType"/>
            <xsl:apply-templates select="GD-rel-passage/ForeignRefType"/>
            <xsl:apply-templates select="G-rel-passage/ForeignRefType"/>
          </TD>
          <TD align="center" width="20%" type="reftype">
            <xsl:apply-templates select="D-rel-passage/category"/>
            <xsl:apply-templates select="GD-rel-passage/category"/>
            <xsl:apply-templates select="G-rel-passage/category"/>
          </TD>
        </TR>
        <tr align="left"  style="display:none">
          <td align="center" colspan="5" >
            <div>
							<xsl:attribute name="id">
								patent-div-usref-pn-<xsl:value-of select="$pncount"/>
							</xsl:attribute>
			      </div>
		      </td>
	      </tr>
        </xsl:for-each>
	      </TBODY>
	    </TABLE>
	  </xsl:template>
	
  <xsl:template match="ForeignRefType">
    <span>
      <xsl:value-of select="."/>
    </span>
  </xsl:template>
  <xsl:template match="category">
    <xsl:if test=". != '(null)'">
      <span>
      <xsl:value-of select="."/>
      </span>
    </xsl:if>
  </xsl:template>
	  <xsl:template match="OtherReference">
	    <CENTER>
	      <B>其他引用</B>
	    </CENTER>
	    <TABLE width="100%" parseWidgets="false">
	      <TBODY>
	        <xsl:for-each select="OtherReferenceItem">
	           <TR>
	           <TD>
	              <xsl:apply-templates />
	            </TD>
	           </TR>
	        </xsl:for-each>
	      </TBODY>
	    </TABLE>
	  </xsl:template>
  <xsl:template match="Report">
    <IMG id="patent-img-rep" class="patent-switchoff" onclick="showDiv('rep')" src="img/plus-red.gif" />
    <SPAN id="patent-span-rep" class="patent-switchoff" onclick="showDiv('rep')">检索报告</SPAN>
    <br />
    <A name="#rep"></A>
    <DIV id="patent-div-rep" style="DISPLAY: none">
      <CENTER>
        <b>报告文档</b>
        [
        <span class="anchor" onmouseover="onSpanMouseOver(this, 'b')" onmouseout="onSpanMouseOut(this, 'b')" onclick="onSpanClick(this, 'rep')" oncontextmenu="onSpanContextMenu(this, 'b')">Report By</span>
        ]
      </CENTER>
      <xsl:apply-templates />
      <BR />
    </DIV>
  </xsl:template>
  <xsl:template match="Fam">
    <IMG id="patent-img-fam" class="patent-switchoff" onclick="showDiv('fam')" src="img/plus-red.gif" />
    <SPAN id="patent-span-fam" class="patent-switchoff" onclick="showDiv('fam')">同族</SPAN>
    <br />
    <A name="#rep"></A>
    <DIV id="patent-div-fam" style="DISPLAY: none">
      <CENTER>
        <b>同族专利</b>
      </CENTER>
      <xsl:apply-templates />
      <BR />
    </DIV>
  </xsl:template>
  <xsl:template match="ReportPatent">
    <CENTER>
      <B>专利文献</B>
    </CENTER>
    <TABLE width="100%" parseWidgets="false">
      <TBODY>
        <xsl:for-each select="ReportPatentItem">
          <xsl:variable name="pncount" select="generate-id()" />
          <TR>
            <TD width="25%">
              <span class="anchor" onmouseover="onSpanMouseOver(this, 'p')" onmouseout="onSpanMouseOut(this, 'p')" onclick="onSpanClick(this, 'p')" oncontextmenu="onSpanContextMenu(this, 'p')">
                <xsl:attribute name="id">
                  patent-span-usref-pn-<xsl:value-of select="$pncount"/>
                </xsl:attribute>
                <xsl:value-of select="normalize-space(ReportPn)"/>
              </span>
            </TD>
            <TD align="left" width="25%">
              <xsl:value-of select="normalize-space(ReportType)" />
            </TD>
            <TD align="right" width="25%">
              <xsl:value-of select="normalize-space(ReportCite)" />
            </TD>
            <TD align="right" width="25%">
              <xsl:value-of select="normalize-space(ReportAuthority)" />
            </TD>
          </TR>
          <tr align="left"  style="display:none">
            <td align="center" colspan="4" >
              <div>
                <xsl:attribute name="id">
                  patent-div-usref-pn-<xsl:value-of select="$pncount"/>
                </xsl:attribute>
              </div>
            </td>
          </tr>
        </xsl:for-each>
      </TBODY>
    </TABLE>
  </xsl:template>

  <xsl:template match="ReportOther">
    <CENTER>
      <B>非专利文献</B>
    </CENTER>
    <TABLE width="100%" parseWidgets="false">
      <TBODY>
        <xsl:for-each select="ReportOtherItem">
          <TR>
            <TD width="70%">
              <xsl:value-of select="normalize-space(ReportTitle)"/>
            </TD>
            <TD align="left" width="10%">
              <xsl:value-of select="normalize-space(ReportType)" />
            </TD>
            <TD align="right" width="10%">
              <xsl:value-of select="normalize-space(ReportCite)" />
            </TD>
            <TD align="right" width="10%">
              <xsl:value-of select="normalize-space(ReportAuthority)" />
            </TD>
          </TR>
        </xsl:for-each>
      </TBODY>
    </TABLE>
  </xsl:template>
  <xsl:template match="Examiner">
    <IMG id="patent-img-exp" class="patent-switchoff" onclick="showDiv('exp')" src="img/plus-red.gif" />
    <SPAN id="patent-span-exp" class="patent-switchoff" onclick="showDiv('exp')">审查员</SPAN>
    <br />
    <A name="#exp"></A>
      <DIV id="patent-div-exp" style="DISPLAY: none">
        <TABLE width="100%">
          <TBODY>
            <xsl:apply-templates select="PrimaryExaminer" />
            <xsl:apply-templates select="AssistantExaminer" />
          </TBODY>
        </TABLE>
      </DIV>
    <IMG id="patent-img-exp2" class="patent-switchoff" onclick="showDiv('exp2')" src="img/plus-red.gif" />
    <SPAN id="patent-span-exp2" class="patent-switchoff" onclick="showDiv('exp2')">代理</SPAN>
    <br />
    <A name="#exp2"></A>
      <DIV id="patent-div-exp2" style="DISPLAY: none">
        <TABLE width="100%">
          <TBODY>
			  <xsl:apply-templates select="AAOF" />
			  <xsl:if test="count(AAOF)=0">
				  <xsl:apply-templates select="../AAOF"/>
			  </xsl:if>
          </TBODY>
        </TABLE>
      </DIV>
  </xsl:template>
  
	  <xsl:template match="PrimaryExaminer">
	    <TR>
	      <TD vAlign="top" align="left" width="20%">
	        <B>
	          <I>主审查员:</I>
	        </B>
	      </TD>
	      <TD vAlign="top" align="left" width="80%">
	        <B>
				<span class="anchor" onmouseover="onSpanMouseOver(this, 'ep')" onmouseout="onSpanMouseOut(this, 'ep')" onclick="onSpanClick(this, 'ep')" oncontextmenu="onSpanContextMenu(this, 'ep')">
					<xsl:value-of select="normalize-space(.)" />
				</span>
			</B>
	      </TD>
	    </TR>
	  </xsl:template>
	
	  <xsl:template match="AssistantExaminer">
	    <TR>
	      <TD vAlign="top" align="left" width="20%">
	        <B>
	          <I>助理审查员:</I>
	        </B>
	      </TD>
	      <TD vAlign="top" align="left" width="80%">
	        <B>
				<span class="anchor" onmouseover="onSpanMouseOver(this, 'ea')" onmouseout="onSpanMouseOut(this, 'ea')" onclick="onSpanClick(this, 'ea')" oncontextmenu="onSpanContextMenu(this, 'ea')">
					<xsl:value-of select="normalize-space(.)" />
				</span>
			</B>
	      </TD>
	    </TR>
	  </xsl:template>
		<xsl:template name="splitAAOF">
				<xsl:param name="string"/>
				
				<xsl:choose>
					<xsl:when test="contains($string,';')">
							<span class="anchor" onmouseover="onSpanMouseOver(this, 'l')" onmouseout="onSpanMouseOut(this, 'l')" onclick="onSpanClick(this, 'l')" oncontextmenu="onSpanContextMenu(this, 'l')">
								<xsl:value-of select="substring-before($string,';')"></xsl:value-of>
							</span>;
							<xsl:call-template name="splitAAOF">
									
								<xsl:with-param name="string" select="substring-after($string,';')"/>
								
							</xsl:call-template>
							
					</xsl:when>
					<xsl:otherwise>
					 	<span class="anchor" onmouseover="onSpanMouseOver(this, 'l')" onmouseout="onSpanMouseOut(this, 'l')" onclick="onSpanClick(this, 'l')" oncontextmenu="onSpanContextMenu(this, 'l')">
				
							<xsl:value-of select="$string"></xsl:value-of>
						</span>
						</xsl:otherwise>
			</xsl:choose>
			
		</xsl:template>
	  <xsl:template match="AAOF">
	    <TR>
	      <TD vAlign="top" align="left" width="20%">
	        <B>
	          <I>代理:</I>
	        </B>
	      </TD>
	      <TD vAlign="top" align="left" width="80%">
	        <b>
	        <xsl:call-template name="splitAAOF">
	        <xsl:with-param name="string" select="."/>
				
				</xsl:call-template>
			</b>
	      </TD>
	    </TR>
	  </xsl:template>

  <xsl:template match="ParentCase">    
    <IMG id="patent-img-pc" class="patent-switchoff" onclick="showDiv('pc')" src="img/plus-red.gif"/>
    <SPAN id="patent-span-pc" class="patent-switchoff" onclick="showDiv('pc')">父专利信息</SPAN>
    <br />
    <A name="#pc"></A>
      <DIV id="patent-div-pc" style="DISPLAY: none">
        <CENTER>
          <B>
            <I>父专利信息</I>
          </B>
        </CENTER>
        <div parseWidgets="false">
          <xsl:apply-templates />
        </div>
      </DIV>
  </xsl:template>

  <xsl:template match="GovermentInterests">
    <IMG id="patent-img-gi" class="patent-switchoff" onclick="showDiv('gi')" src="img/plus-red.gif" />
    <SPAN id="patent-span-gi" class="patent-switchoff" onclick="showDiv('gi')">政府权益</SPAN>
    <br />
    <A name="#gi"></A>
      <DIV id="patent-div-gi" style="DISPLAY: none">
        <CENTER>
          <B>
            <I>政府权益</I>
          </B>
        </CENTER>
        <div parseWidgets="false">
          <xsl:apply-templates />
        </div>
      </DIV>
  </xsl:template>

  <xsl:template match="Claims">
    <A name="aclm" id="patent-div-aclm-anchor-aclm">
	<IMG id="patent-img-aclm" class="patent-switchon" onclick="showDiv('aclm')" src="img/minus.gif" />
	<SPAN id="patent-span-aclm" class="patent-switchon" onclick="showDiv('aclm')">权利要求</SPAN>
	<br />
	
    
  </A>
	<DIV id="patent-div-aclm">
		<span oncontextmenu="onSpanContextMenu(this, 'cd')" ><CENTER><B><I>权利要求</I></B></CENTER></span>
		<img src="img/comment.gif" style="display:none" class="imglink" >
		  <xsl:attribute name="id">Comment_Label_10000</xsl:attribute>
		  <xsl:attribute name="onclick">showComment('10000')</xsl:attribute>
		</img> 
    <br />
		<div style="display:none"><xsl:attribute name="id">Comment_Div_10000</xsl:attribute></div>
    <div style="display:none" class="notediv">
      <xsl:attribute name="id">Note_Div_10000</xsl:attribute>
    </div>
		<DIV><xsl:apply-templates /></DIV>
	</DIV>
  </xsl:template>

	<xsl:template match="claim-text">
		<xsl:apply-templates />
		<xsl:text> </xsl:text>
	</xsl:template>
	  <xsl:template match="Claim">
		  <A>
        <xsl:attribute name="id">patent-div-aclm-anchor-<xsl:value-of select="@name" /></xsl:attribute>
		      <xsl:attribute name="name">#<xsl:value-of select="@name" /></xsl:attribute>
		  </A>
		  <xsl:if test="@dep = 0">
		    <div class="textcontent" parseWidgets="false"  oncontextmenu="onSpanContextMenu(this, 'cd')">
		      <xsl:attribute name="id">patent-div-aclm-indep-<xsl:value-of select="@name" /></xsl:attribute>
		      <xsl:value-of select="@name" />.
		      <xsl:apply-templates />
		    </div>
		  </xsl:if>
		  <xsl:if test="@dep != 0">
        <div class="textcontent" parseWidgets="false"  oncontextmenu="onSpanContextMenu(this, 'cd')">
          <xsl:attribute name="id">patent-div-aclm-dep-<xsl:value-of select="@name" /></xsl:attribute>
		      <xsl:value-of select="@name" />.
		      <xsl:apply-templates />
        </div>
		  </xsl:if>
		  <img src="img/comment.gif" style="display:none" class="imglink" >
			  <xsl:attribute name="id">Comment_Label_<xsl:value-of select="@name + 10000" /></xsl:attribute>
			  <xsl:attribute name="onclick">showComment('<xsl:value-of select="@name + 10000" />')</xsl:attribute>
		  </img> 
      <br />
		  <div style="display:none;"><xsl:attribute name="id">Comment_Div_<xsl:value-of select="@name + 10000" /></xsl:attribute></div>
		  <div style="display:none" class="notediv">
        <xsl:attribute name="id">Note_Div_<xsl:value-of select="@name + 10000" /></xsl:attribute>
		  </div>
	  </xsl:template>
	  

  <xsl:template match="Description">		
	<IMG id="patent-img-desc" class="patent-switchon" onclick="showDiv('desc')" src="img/minus.gif" />
	<SPAN id="patent-span-desc" class="patent-switchon" onclick="showDiv('desc')">说明</SPAN>
	<br />
	<A name="desc">
    <xsl:attribute name="id">patent-div-desc-anchor-<xsl:value-of select="@name" /></xsl:attribute> 
  </A>
	<DIV id="patent-div-desc" style="line-height:24px;text-align:justify;">
    <span oncontextmenu="onSpanContextMenu(this, 'cd')" ><CENTER><B><I>说明</I></B></CENTER></span>
		<img src="img/comment.gif" style="display:none" class="imglink" >
		  <xsl:attribute name="id">Comment_Label_20000</xsl:attribute>
		  <xsl:attribute name="onclick">showComment('20000')</xsl:attribute>
		</img> 
    <br />
		<div style="display:none"><xsl:attribute name="id">Comment_Div_20000</xsl:attribute></div>
    <div style="display:none" class="notediv">
      <xsl:attribute name="id">Note_Div_20000</xsl:attribute>
    </div>
		<DIV><xsl:apply-templates /></DIV>
	</DIV>
  </xsl:template>
  
	  <xsl:template match="DescriptionPart">
		<xsl:if test="@id != 'DescriptionContent'">
		    <IMG class="patent-switchon" src="img/minus.gif">
		      <xsl:attribute name="id">patent-img-desc-<xsl:value-of select="normalize-space(@id)" /></xsl:attribute>
		      <xsl:attribute name="onclick">showDiv('desc-<xsl:value-of select="normalize-space(@id)" />')</xsl:attribute>
		    </IMG>
      <A>
              <xsl:attribute name="id">patent-div-desc-anchor-<xsl:value-of select="normalize-space(@name)" /></xsl:attribute> 
		      <xsl:attribute name="name">#desc-<xsl:value-of select="normalize-space(@id)" /></xsl:attribute>
		    </A>
		    <SPAN class="patent-switchon">
		    	<xsl:attribute name="id">patent-span-desc-<xsl:value-of select="normalize-space(@id)" /></xsl:attribute>
		    	<xsl:attribute name="onclick">showDiv('desc-<xsl:value-of select="normalize-space(@id)" />')</xsl:attribute><xsl:value-of select="@name" />
		    </SPAN> 
		    <br />
      <div parseWidgets="false" class="textcontent">
		        <xsl:attribute name="id">patent-div-desc-<xsl:value-of select="normalize-space(@id)" /></xsl:attribute>
          <!--<xsl:if test="@id='BRIEFDESCRIPTIONOFTHEDRAWINGS' or @id='BRIEFDESCRIPTIONOFDRAWINGS' or @id='附图说明' or @name='附图说明'">
            <IMG class="patent-switchon" src="img/plus-red.gif" id="patent-img-figure-1" onclick="showDiv('figure-1')"/>
            <SPAN id="patent-span-figure-1" class="patent-switchoff" onclick="showDiv('figure')">FIGURE</SPAN>
	          <BR />
	          <center>
		          <DIV id="patent-div-figure-1" class="querytab-content-active" style="display:none"></DIV>
	          </center>
          </xsl:if>-->
        <xsl:apply-templates />
		        <BR />
		      </div>
	   </xsl:if>
		<xsl:if test="@id = 'DescriptionContent'">
		<xsl:apply-templates />
		</xsl:if>
	  </xsl:template>

  <xsl:template match="Patent">
    <xsl:apply-templates select="PN" />
    <xsl:apply-templates select="Date" />
    <xsl:apply-templates select="Title" />
    <img title="Frontpage of this patent" onmousewheel="return bbimg(this);" alt="Frontpage of this patent" id="patent-abst-frontimg" style="display:none;float:right;margin-top:10px;margin-left:5px" />
    <img id="copy-patent-abst-frontimg" alt="复制" title="复制" src="img/compare.gif" onmouseout="this.src='img/compare.gif'" onmouseover="this.src='img/compare-active.gif'" style="display:none;float: right; margin-top: 10px; margin-left: 5px;" class="imglink"/>
    <xsl:apply-templates select="Abstract" />
    <xsl:apply-templates select="Header" />
    <xsl:apply-templates select="FAPD" />
    <xsl:apply-templates select="Classification" />
    <xsl:apply-templates select="Reference" />
    <xsl:apply-templates select="Report" />
    <xsl:apply-templates select="Fam" />
    <xsl:apply-templates select="Examiner" />
    <xsl:apply-templates select="Claims" />
    <xsl:apply-templates select="Description" />
  </xsl:template>

  <xsl:template match="/">
    <HTML>
      <HEAD>
        <!--meta http-equiv="Content-Type" content="text/html; charset=utf-8"/-->
        <TITLE>
          <xsl:choose>
            <xsl:when test="Patent/PN &lt; 3987">
              H<xsl:value-of select="format-number(Patent/PN, '###,###,###', 'us')"/>
            </xsl:when>
            <xsl:when test="Patent/PN &lt; 28671">
              PP<xsl:value-of select="format-number(Patent/PN, '###,###,###', 'us')"/>
            </xsl:when>
            <xsl:when test="Patent/PN &lt; 242583">
              RE<xsl:value-of select="format-number(Patent/PN, '###,###,###', 'us')"/>
            </xsl:when>
            <xsl:when test="Patent/PN &lt; 3574861">
              D<xsl:value-of select="format-number(Patent/PN, '###,###,###', 'us')"/>
            </xsl:when>
            <xsl:when test="Patent/PN &gt; 503000000 and Patent/PN &lt; 600000000">
              U<xsl:value-of select="(Patent/PN - 503000000) mod 256"/>
            </xsl:when>
            <xsl:when test="Patent/PN &lt; 20010000001">
              <xsl:value-of select="format-number(Patent/PN, '###,###,###', 'us')"/>
            </xsl:when>
            <xsl:otherwise>
              <xsl:value-of select="normalize-space(Patent/PN)"/>
            </xsl:otherwise>
          </xsl:choose>
          <!--<xsl:value-of select="Patent/PN" />-->&#160;<xsl:value-of select="Patent/Title" />
        </TITLE>
		<link href="css/querytab.css" rel="stylesheet" type="text/css" />
		<link href="css/querytag.css" rel="stylesheet" type="text/css" />
		<link href="css/statistic.css" rel="stylesheet" type="text/css" />
		<link href="css/querylist.css" rel="stylesheet" type="text/css" />
		<link href="css/showpatent.css" rel="stylesheet" type="text/css" />
		<script type="text/javascript" language="javascript">
			djConfig = { isDebug: false, preventBackButtonFix: false,parseOnLoad: true,dojoIframeHistoryUrl:"src1.4.0/dojo/resources/iframe_history.html" };
		</script>
    <script type="text/javascript" src="src1.4.3/dojo/dojo.js"></script>
    <script type="text/javascript" src="src1.4.3/dijit/dijit.js"></script>
    <script type="text/javascript" src="src1.4.3/dojo/patentics.js"></script>
    <script type="text/javascript" src="src1.4.3/dijit/patentics.js"></script>
    <script type="text/javascript" src="src1.4.3/dojox/patentics.js"></script>
		<script src="js1.4.3/constant_client_cn.js" type="text/javascript"></script>
    <script src="js1.4.3/dload.js" type="text/javascript"></script>
		<script src="js1.4.3/config.js" type="text/javascript"></script>
		<script src="js1.4.3/common.js" type="text/javascript"></script>
		<script src="js1.4.3/searchcommon.js" type="text/javascript"></script>
		<script src="js1.4.3/querylist.js" type="text/javascript"></script>
		<script src="js1.4.3/querystat.js" type="text/javascript"></script>
		<script src="js1.4.3/querytab.js" type="text/javascript"></script>
		<script src="js1.4.3/LegalStatuspopup.js" type="text/javascript"></script>
		<script src="js1.4.3/querytag.js" type="text/javascript"></script>
		<script src="js1.4.3/bookmark.js" type="text/javascript"></script>
		<script src="js1.4.3/project.js" type="text/javascript"></script>
		<script src="js1.4.3/urlbuilder.js" type="text/javascript"></script>
		<script src="js1.4.3/highlight.js" type="text/javascript"></script>
		<script src="js1.4.3/showpatent.js" type="text/javascript"></script>
		<script src="js1.4.3/highlightpopup.js" type="text/javascript"></script>
		<script src="js1.4.3/pnclipboard.js" type="text/javascript"></script>
		<script src="js1.4.3/figclipboard.js" type="text/javascript"></script>
		<script src="editor.js" type="text/javascript"></script>
		<script type="text/javascript" language="javascript">
			var initDND = function(){
			new dojo.dnd.Moveable("popupdiv-clipboardfig");
			};
			dojo.addOnLoad(initDND);
		</script>
		<style type="text/css">
			@import "src1.4.3/dijit/themes/tundra/tundra.css";
		</style>
  </HEAD>
  <BODY onkeyup="handleescapekey(event);" onmousemove="onBodyMouseMove(event);" onload="escaping();">
  	<input type="hidden" id="wordcount" value=""/>
    <div parseWidgets="false" id="tcKeywordList" style="background-color:#EDF1F8;border:1px solid black; left:0px;right:0px;display:none;position:absolute;z-index:999998;width:150px;background-color:#d3e4e6;">
		<table id="closeimg" width="100%">
		    <tr><td><img class="imglink" onclick="deleteAllTCWords();" src="img/delete.gif" onmouseover="this.src='img/delete-active.gif'" onmouseout="this.src='img/delete.gif'"/></td><td align="center">TC words</td><td align="right"><img onclick="hideParentDiv(this);" src="img/close.gif" onmouseover="this.src='img/close-active.gif'" onmouseout="this.src='img/close.gif'"/></td></tr>
		</table>
		<table id="tcKeywordTable" width="100%">
		    <tr><td></td></tr>
		</table>
		</div>
    <div  parseWidgets="false" id="popupdiv-highlightword" style="position:absolute;visibility:hidden; z-index:9998; padding:3px 3px 3px 3px; border:solid 1px black; background:white;" >
    </div>

	  <div  parseWidgets="false" id="popupdiv-LegalStatus" style="position:absolute;visibility:hidden; z-index:9998; padding:3px 3px 3px 3px; border:solid 1px black; background:white;"  class="searchpopupdiv">
	  </div>
     
    <div onmouseout="onSearchTypeDivMouseOut(event);" parseWidgets="false" id="search-selecttype-div" style="position:absolute;visibility:hidden; z-index:9998;padding:3px 1px 3px 0px; border:solid 1px black; background:white; " >
      <table>
        <tr>
          <td nowrap="true">
            <input displaytext="US Patent" id="searchtype-p" value="1" type="checkbox" onclick="setSearchTypeCheckBoxClickStatus(1);" /><span id="searchtype-p-span">US Patent<br /></span>
            <input displaytext="US Application" id="searchtype-a" value="2" type="checkbox" onclick="setSearchTypeCheckBoxClickStatus(2);" /><span id="searchtype-a-span">US Application<br /></span>
            <input displaytext="EP" id="searchtype-e" value="16" type="checkbox" onclick="setSearchTypeCheckBoxClickStatus(16);" /><span id="searchtype-e-span">EP<br /></span>
            <input displaytext="WO" id="searchtype-o" value="32" type="checkbox" onclick="setSearchTypeCheckBoxClickStatus(32);" /><span id="searchtype-o-span">WO<br /></span>     
            <input displaytext="Abstract" id="searchtype-ab" value="64" type="checkbox" onclick="setSearchTypeCheckBoxClickStatus(64);" /><span id="searchtype-ab-span">Abstract<br /></span>
            <input displaytext="CN Patent" id="searchtype-c" value="4" type="checkbox" onclick="setSearchTypeCheckBoxClickStatus(4);" /><span id="searchtype-c-span">CN Patent<br /></span>
            <input displaytext="Reference" id="searchtype-r" value="8" type="checkbox" onclick="setSearchTypeCheckBoxClickStatus(8);" /><span id="searchtype-r-span">Reference<br /></span>
            <input displaytext="User Document" id="searchtype-d" value="128" type="checkbox" onclick="setSearchTypeCheckBoxClickStatus(128);" /><span id="searchtype-d-span">User Document<br /></span>
            <input displaytext="Web Search" id="searchtype-w" value="-1" type="checkbox" onclick="setSearchTypeCheckBoxClickStatus(-1);" /><span id="searchtype-w-span">Web Search<br /></span>
            <input displaytext="Scholor Search" id="searchtype-s" value="-2" type="checkbox" onclick="setSearchTypeCheckBoxClickStatus(-2);" /><span id="searchtype-s-span">Scholor Search<br /></span>
          </td>
        </tr>
      </table>
    </div>
     <div parseWidgets="false" id="popupdiv-clipboardfig" style="position:absolute;visibility:hidden;width:100px; z-index:9998; border:solid 1px black; background:#EDF1F8;" >
		    <table width="100%" cellpadding="0px" cellspacing="0px">
		        <tr align="right">
		            <td align="left">
		                <input type="checkbox" title="Check/Uncheck" style="height:11px;width:11px" onclick="checkAllClipboardFig(this);" />
		            </td>
		            <td align="right">
		                <img id="popupdiv-clipboardfig-project" src="img/import.gif" onmouseover="this.src='img/import-active.gif'" onmouseout="this.src='img/import.gif'" alt="Add into project" title="Add into project"  class="imglink" onclick="showProjectDiv(this, 'SAVECLIPBOARD', '', '1')" />
		                <img src="img/delete.gif" onmouseover="this.src='img/delete-active.gif'" onmouseout="this.src='img/delete.gif'" alt="Delete checked figures" title="Delete checked figures" class="imglink" onclick="clearClipboard();" />
		                <img onmouseover="this.src='img/close-active.gif'" onmouseout="this.src='img/close.gif'" src="img/close.gif" alt="Close" title="Close" onclick="closeClipboardFigDiv();" class="imglink" />
		            </td>
		        </tr>
		    </table>
		    <table cellpadding="0px" cellspacing="0px" id="popupdiv-clipboardfig-table">
		        <tr>
		            <td align="center">
		                <input type="button" value="Search" class="login-bt" style="width:90px; height:20px; font-size:12px" onclick="compareFigs();" /><br />
		            </td>
		        </tr>
		    </table>
		</div>
	  <div  parseWidgets="false" id="search-popupdiv" style="visibility:hidden; z-index:999; width:200px; height:50px; background-color:#d3e4e6;" >
	    <input type="hidden" id="search-popupdiv-pn" />
	    <input type="hidden" id="search-popupdiv-guid" />
	    <table cellspacing="2" style=" margin:1px 1px 1px 1px" width="98%">
	        <tr>
	            <td style="width:98%" align="center">
	                <select onchange="doPopupDivSelectChange();" style="width:100%" class="selectproject" id="search-popupdiv-select" ></select>
	            </td>
	        </tr>
	        <tr>
	            <td style="width:98%" align="center">
        		    <input class="login-bt" style="width:50px; vertical-align:middle;" id="search-popupdiv-temp" type="button" value="Temp" onclick="doAddToTemp();" /> 
	                <input class="login-bt" style="width:50px; vertical-align:middle;" type="button" value="Add" onclick="doPopupDivAddClick();" /> 
	                <input class="login-bt" style="width:50px; vertical-align:middle" type="button" value="Cancel" onclick="closeProjectDiv();" />
	            </td>
	        </tr>
	        <tr>
	            <td style="width:98%" align="center">
	                 <div id="search-popupdiv-div" style="display:none;">
                     <form id="search-popupdiv-form" onsubmit="return false;" method="post">
                       <table>
                                <tr>
                                    <td>
                                        <span style="font-size:11px">Name:</span>
                                    </td>
                                    <td>
                                        <input type="text" style="height:18px;" name="sn" id="search-popupdiv-div-name" />
                                        <input type="hidden" name="idi" />
                                        <input type="hidden" name="iopt" />
                                        <input type="hidden" name="sq" />
                                        <input type="hidden" name="it" />
                                    </td>
                                </tr>
                                <tr id="search-popupdiv-color-tr">
                                    <td>
                                        <span style="font-size:11px">Color:</span>
                                    </td>
                                    <td align="left">
                                        <select class="selectproject" name="sc">
                                            
                                        </select>
                                    </td>
                                </tr>
                                <tr>        
                                    <td>
                                        <span style="font-size:11px">Desc:</span>
                                    </td>
                                    <td>
                                        <input type="text" style="height:18px" name="sdesc" id="search-popupdiv-div-description" />
                                    </td>
                                </tr>
                       </table>
                     </form>
	                </div>	   
	            </td>
	        </tr>
	    </table>
	</div>
		  <div id="patent-div" dojoType="dijit.layout.SplitContainer" 
			orientation="vertical"
			sizerWidth="5"
			activeSizing="0" executeScripts="true" 
			style="width: 100%; height: 100%; background: #ffffff;">
			<div dojoType="dijit.layout.ContentPane" sizeShare="100" id="patent-div-master" class="splitchild">
				<table width="100%">
					<tr>
						<td align="left" width="30%">
							<table>
								<tr>
									<td align="left">
                    <span id="patent-title-span">
                      United States Patent
                    </span>
									</td>
								</tr>
								<xsl:if test="Patent/KindCode">
									<tr>
										<td align="left">
											Kind Code
										</td>
									</tr>
								</xsl:if>
								<tr>
									<td align="left">
										<xsl:value-of select="normalize-space(Patent/Header/Inventors/InventorsItem/InventorName)" />
									</td>
								</tr>
							</table>
						</td>
						<td align="center">
              <div id="showpatent-uspto-img" style="display:none">
							  <xsl:choose>
                      <xsl:when test="Patent/InnerPN &gt; 20200000 and Patent/InnerPN &lt; 30000000">
									  <a target="_blank">
                          <xsl:attribute name="href">
                            http://patft.uspto.gov/netacgi/nph-Parser?Sect1=PTO1&amp;Sect2=HITOFF&amp;d=PALL&amp;p=1&amp;u=%2Fnetahtml%2FPTO%2Fsrchnum.htm&amp;r=1&amp;f=G&amp;l=50&amp;s1=<xsl:value-of select="normalize-space(Patent/PN)" />.PN.&amp;OS=PN/<xsl:value-of select="normalize-space(Patent/PN)" />&amp;RS=PN/<xsl:value-of select="normalize-space(Patent/PN)" />
                          </xsl:attribute>
										  <img class="imglink" onmouseover="this.src='img/U-home-active.gif'" onmouseout="this.src='img/U-home.gif'" src="img/U-home.gif" title="USPTO original HTML" alt="USPTO original HTML"></img>
									  </a>
								  </xsl:when>
                      <xsl:when test="Patent/InnerPN &gt; 10000000">
                    <a target="_blank">
                          <xsl:attribute name="href">
                            http://appft1.uspto.gov/netacgi/nph-Parser?Sect1=PTO1&amp;Sect2=HITOFF&amp;d=PG01&amp;p=1&amp;u=%2Fnetahtml%2FPTO%2Fsrchnum.html&amp;r=1&amp;f=G&amp;l=50&amp;s1=%22<xsl:value-of select="normalize-space(Patent/PN)" />%22.PGNR.&amp;OS=DN/<xsl:value-of select="normalize-space(Patent/PN)" />&amp;RS=DN/<xsl:value-of select="normalize-space(Patent/PN)" />
                          </xsl:attribute>
                          <img class="imglink" onmouseover="this.src='img/U-home-active.gif'" onmouseout="this.src='img/U-home.gif'" src="img/U-home.gif" title="查看美国专利全文" alt="查看美国专利全文"></img>
									  </a>								
                  </xsl:when>
                      <xsl:when test="Patent/InnerPN &lt; 10">
                    <a target="_blank">
                          <xsl:attribute name="href">
                            http://patft.uspto.gov/netacgi/nph-Parser?Sect1=PTO1&amp;Sect2=HITOFF&amp;d=PALL&amp;p=1&amp;u=%2Fnetahtml%2FPTO%2Fsrchnum.htm&amp;r=1&amp;f=G&amp;l=50&amp;s1=H00000<xsl:value-of select="normalize-space(Patent/PN)" />.PN.&amp;OS=PN/H00000<xsl:value-of select="normalize-space(Patent/PN)" />&amp;RS=PN/H00000<xsl:value-of select="normalize-space(Patent/PN)" />
                          </xsl:attribute>
                          <img class="imglink" onmouseover="this.src='img/U-home-active.gif'" onmouseout="this.src='img/U-home.gif'" src="img/U-home.gif" title="查看美国专利全文" alt="查看美国专利全文"></img>
									  </a>								
                  </xsl:when>
                      <xsl:when test="Patent/InnerPN &gt; 9 and Patent/InnerPN &lt; 100">
                    <a target="_blank">
                          <xsl:attribute name="href">
                            http://patft.uspto.gov/netacgi/nph-Parser?Sect1=PTO1&amp;Sect2=HITOFF&amp;d=PALL&amp;p=1&amp;u=%2Fnetahtml%2FPTO%2Fsrchnum.htm&amp;r=1&amp;f=G&amp;l=50&amp;s1=H0000<xsl:value-of select="normalize-space(Patent/PN)" />.PN.&amp;OS=PN/H0000<xsl:value-of select="normalize-space(Patent/PN)" />&amp;RS=PN/H0000<xsl:value-of select="normalize-space(Patent/PN)" />
                          </xsl:attribute>
                          <img class="imglink" onmouseover="this.src='img/U-home-active.gif'" onmouseout="this.src='img/U-home.gif'" src="img/U-home.gif" title="查看美国专利全文" alt="查看美国专利全文"></img>
									  </a>								
                  </xsl:when>
                      <xsl:when test="Patent/InnerPN &gt; 99 and Patent/InnerPN &lt; 3987">
                    <a target="_blank">
                          <xsl:attribute name="href">
                            http://patft.uspto.gov/netacgi/nph-Parser?Sect1=PTO1&amp;Sect2=HITOFF&amp;d=PALL&amp;p=1&amp;u=%2Fnetahtml%2FPTO%2Fsrchnum.htm&amp;r=1&amp;f=G&amp;l=50&amp;s1=H000<xsl:value-of select="normalize-space(Patent/PN)" />.PN.&amp;OS=PN/H000<xsl:value-of select="normalize-space(Patent/PN)" />&amp;RS=PN/H000<xsl:value-of select="normalize-space(Patent/PN)" />
                          </xsl:attribute>
                          <img class="imglink" onmouseover="this.src='img/U-home-active.gif'" onmouseout="this.src='img/U-home.gif'" src="img/U-home.gif" title="查看美国专利全文" alt="查看美国专利全文"></img>
									  </a>								
                  </xsl:when>
                      <xsl:when test="Patent/InnerPN &gt; 28670 and Patent/InnerPN &lt;100000">
                    <a target="_blank">
                          <xsl:attribute name="href">
                            http://patft.uspto.gov/netacgi/nph-Parser?Sect1=PTO1&amp;Sect2=HITOFF&amp;d=PALL&amp;p=1&amp;u=%2Fnetahtml%2FPTO%2Fsrchnum.htm&amp;r=1&amp;f=G&amp;l=50&amp;s1=00<xsl:value-of select="normalize-space(Patent/PN)" />.PN.&amp;OS=PN/00<xsl:value-of select="normalize-space(Patent/PN)" />&amp;RS=PN/00<xsl:value-of select="normalize-space(Patent/PN)" />
                          </xsl:attribute>
                          <img class="imglink" onmouseover="this.src='img/U-home-active.gif'" onmouseout="this.src='img/U-home.gif'" src="img/U-home.gif" title="查看美国专利全文" alt="查看美国专利全文"></img>
                        </a>
                      </xsl:when>
                      <xsl:when test="Patent/InnerPN &gt; 99999 and Patent/InnerPN &lt;242583">
                        <a target="_blank">
                          <xsl:attribute name="href">
                            http://patft.uspto.gov/netacgi/nph-Parser?Sect1=PTO1&amp;Sect2=HITOFF&amp;d=PALL&amp;p=1&amp;u=%2Fnetahtml%2FPTO%2Fsrchnum.htm&amp;r=1&amp;f=G&amp;l=50&amp;s1=0<xsl:value-of select="normalize-space(Patent/PN)" />.PN.&amp;OS=PN/0<xsl:value-of select="normalize-space(Patent/PN)" />&amp;RS=PN/0<xsl:value-of select="normalize-space(Patent/PN)" />
                          </xsl:attribute>
                          <img class="imglink" onmouseover="this.src='img/U-home-active.gif'" onmouseout="this.src='img/U-home.gif'" src="img/U-home.gif" title="查看美国专利全文" alt="查看美国专利全文"></img>
                        </a>
                      </xsl:when>
                      <xsl:when test="Patent/InnerPN &gt; 242582 and Patent/InnerPN &lt;1000000">
                        <a target="_blank">
                          <xsl:attribute name="href">
                            http://patft.uspto.gov/netacgi/nph-Parser?Sect1=PTO1&amp;Sect2=HITOFF&amp;d=PALL&amp;p=1&amp;u=%2Fnetahtml%2FPTO%2Fsrchnum.htm&amp;r=1&amp;f=G&amp;l=50&amp;s1=D<xsl:value-of select="normalize-space(Patent/InnerPN)" />.PN.
                          </xsl:attribute>
                          <img class="imglink" onmouseover="this.src='img/U-home-active.gif'" onmouseout="this.src='img/U-home.gif'" src="img/U-home.gif" title="查看美国专利全文" alt="查看美国专利全文"></img>
									  </a>								
                  </xsl:when>
                  <xsl:otherwise>
									  <a target="_blank">
                          <xsl:attribute name="href">
                            http://patft.uspto.gov/netacgi/nph-Parser?Sect1=PTO1&amp;Sect2=HITOFF&amp;d=PALL&amp;p=1&amp;u=%2Fnetahtml%2FPTO%2Fsrchnum.htm&amp;r=1&amp;f=G&amp;l=50&amp;s1=<xsl:value-of select="normalize-space(Patent/PN)" />.PN.&amp;OS=PN/<xsl:value-of select="normalize-space(Patent/PN)" />&amp;RS=PN/<xsl:value-of select="normalize-space(Patent/PN)" />
                          </xsl:attribute>
                          <img class="imglink" onmouseover="this.src='img/U-home-active.gif'" onmouseout="this.src='img/U-home.gif'" src="img/U-home.gif" title="查看美国专利全文" alt="查看美国专利全文"></img>
									  </a>
								  </xsl:otherwise>
                    </xsl:choose>&#160;
              </div>
			<div id="showpatent-doapppdf-img" style="display:none">
				<img class="imglink" onclick="doAppPdf(0)" onmouseover="this.src='img/apppdf-active.gif'" onmouseout="this.src='img/apppdf.gif'" src="img/apppdf.gif" title="View Application PDF" alt="View Application PDF"></img>&#160;
			</div>
              <div id="showpatent-dopdf-img" style="display:none">
				  <!--<img class="imglink"  style="border:none" onclick="return doPdf2(this);">-->
					  <img class="imglink" onclick="doPdf2(this)" onmouseover="this.src='img/pdf-active.gif'" onmouseout="this.src='img/pdf.gif'" src="img/pdf.gif" title="View PDF" alt="View PDF"></img>&#160;
				  <!--</img>--> 
              </div>
			<div id="showpatent-doapptext-img" style="display:none">
				<img class="imglink" onclick="doAppPdf(1)" onmouseover="this.src='img/fullview-active.gif'" onmouseout="this.src='img/fullview.gif'" src="img/fullview.gif" title="View Application Fulltext" alt="View Application Fulltext"></img>&#160;
			</div>
              <!--
              <a target="pdfframe" onclick="onChangeTab('PDF');">
                <xsl:attribute name="href">
                  PatenticsMisc/invokebinary.do?sf=ShowPdf&amp;mime=application/pdf&amp;spn=<xsl:value-of select="normalize-space(Patent/PN)"/>
                </xsl:attribute>
              </a> -->
							<div id="showpatent-expandallcomment-img" style="display:none">
                <img onmouseover="this.src='img/expandcomment-active.gif'" onmouseout="this.src='img/expandcomment.gif'" src="img/expandcomment.gif" title="Expand All Comments" alt="Expand All Comments" class="imglink" onclick="initCommentStatus(false);"></img> 
							</div>
							<div id="showpatent-addtoproject-img" style="display:none">
                <img onmouseover="this.src='img/project-active.gif'" onmouseout="this.src='img/project.gif'" src="img/project.gif" title="Add this patent to project" alt="Add this patent to project" class="imglink" onclick="showProjectDiv(this, null, g_pn, '1');"></img> 
							</div>
						</td>
						<td align="right" width="30%">
							<table>
								<tr>
									<td align="right">
                    <span class="anchor" onmouseover="onSpanMouseOver(this, 'r')" onmouseout="onSpanMouseOut(this, 'r')" onclick="onSpanClick(this, 'r')" oncontextmenu="onSpanContextMenu(this, 'r')">
										<xsl:choose>
											<xsl:when test="Patent/PN &lt; 3987">
												H<xsl:value-of select="format-number(Patent/PN, '###,###,###', 'us')"/>
											</xsl:when>
											<xsl:when test="Patent/PN &lt; 28671">
												PP<xsl:value-of select="format-number(Patent/PN, '###,###,###', 'us')"/>
											</xsl:when>
											<xsl:when test="Patent/PN &lt; 242583">
												RE<xsl:value-of select="format-number(Patent/PN, '###,###,###', 'us')"/>
											</xsl:when>
											<xsl:when test="Patent/PN &lt; 3574861">
												D<xsl:value-of select="format-number(Patent/PN, '###,###,###', 'us')"/>
											</xsl:when>
                      <xsl:when test="Patent/PN &gt; 503000000 and Patent/PN &lt; 600000000">
                        U<xsl:value-of select="(Patent/PN - 503000000) mod 256"/>
                      </xsl:when>
											<xsl:when test="Patent/PN &lt; 20010000001">
												<xsl:value-of select="format-number(Patent/PN, '###,###,###', 'us')"/>
											</xsl:when>
											<xsl:otherwise>
												<xsl:value-of select="normalize-space(Patent/PN)"/>
											</xsl:otherwise>
										</xsl:choose>
                    </span>
									</td>
								</tr>
								<xsl:if test="Patent/KindCode">
									<tr>
										<td align="right">
											<xsl:value-of select="normalize-space(Patent/KindCode)"/>
										</td>
									</tr>
								</xsl:if>
								<tr>
									<td align="right">
										<xsl:value-of select="normalize-space(Patent/Date)"/>
									</td>
								</tr>
							</table>
						</td>
					</tr>
				</table>
				<xsl:apply-templates select="Patent"/>
			</div>
	   <!--<div id="patent-div-slave" style="display:none" dojoType="dijit.layout.ContentPane" sizeShare="0" class="splitchild-slave">
				<table id="statistic-tab-table" width="100%" cellspacing="0" cellpadding="0"  border="0" >
                    <tr>
                        <td class="tab selectedtab" id="statistic-tab-td-Search"  noWrap="true" onclick="onChangeTab('Search');">
                            <img height="1" width="2"/><span>Search</span><img height="1" width="2"/>
                        </td>
                        <td class="tabspacer" id="statistic-tab-td-Search-next"><img height="1" width="4"/></td>
                        <td class="tab unselectedtab" id="statistic-tab-td-Research" noWrap="true" onclick="onChangeTab('Research');">
                            <img height="1" width="2"/><span >Word Statistic</span><img height="1" width="2"/>
                        </td>
                        <td class="tabspacer" id="statistic-tab-td-Research-next"><img height="1" width="4"/></td>
                        <td class="tab unselectedtab" id="statistic-tab-td-Claims" noWrap="true" onclick="onChangeTab('Claims');">
                            <img height="1" width="2"/><span >Claims</span><img height="1" width="2"/>
                        </td>
						            <td class="tabspacer" id="statistic-tab-td-Claims-next"><img height="1" width="4"/></td>
                        <td class="tab unselectedtab" id="statistic-tab-td-PDF" style="display:none" noWrap="true" onclick="doPdf();">
                            <img height="1" width="2"/><span >PDF</span><img height="1" width="2"/>
                        </td>
                        <td class="tabspacer" id="statistic-tab-td-PDF-next" style="display:none"><img height="1" width="4"/></td>
                        <td class="tab unselectedtab" id="statistic-tab-td-Comment" noWrap="true" onclick="onChangeTab('Comment');">
                            <img height="1" width="2"/><span >Comment</span><img height="1" width="2"/>
                        </td>
                        <td class="tablink tabdirectorylink" noWrap="true"  width="100%">
                            <div class="mod" >
								<img id="slave-restore" alt="Restore Down" title="Restore Down" onmouseover="this.src='img/nw-active.gif'" onmouseout="this.src='img/nw.gif'" src="img/nw.gif" style="display:none" class="imglink" onclick="onChangeSlaveSizeIconClick(this)" />
								<img id="slave-max"  class="imglink"  alt="Maximize" title="Maximize" src="img/max.gif" onmouseover="this.src='img/max-active.gif'" onmouseout="this.src='img/max.gif'" onclick="onChangeSlaveSizeIconClick(this)" /> 
								<img class="imglink"  alt="Close" title="Close" onmouseover="this.src='img/close-active.gif'" onmouseout="this.src='img/close.gif'" src="img/close.gif" onclick="showSlaveDiv('patent-div', 'patent-div-master', 'patent-div-slave', 0, false)" />  
							</div>
						</td>
                    </tr>
                </table>
			<div class="showpatent-slave-div" onscroll="setPopupDivPosition();">
			  <div id="patent-div-tab-search" class="tabelement"  >
				  <table width="100%" style="table-layout:fixed">
					  
						  <tr>
							  <td align="left" width="100%" nowrap="true" >
                  <form onsubmit="return false;" id="search-form-slave" method="post">
                   
								  <input id="patent-input-slave-search" class="search-slave" onkeydown="checkSlaveKey(event);" type="text" onfocus="onInputFocus(this);"/>
        
                  <div id="searchtype-container-div" class="combobox">
                    <span typevalue="1" class="combobox" id="searchtype-span" onmouseover="onSearchTypeMouseOver(this);" onmouseout="onSearchTypeMouseOut(this)" onclick="onSearchTypeClick(this);">US Patent</span><img alt="" id="searchtype-img" class="combobox" onmouseover="this.src='img/combobox-arrow-active.gif'" onmouseout="this.src='img/combobox-arrow.gif'" src="img/combobox-arrow.gif" onclick="onSearchTypeClick(document.getElementById('searchtype-span'));"/></div>

                  <input type="button" value="Search" onclick="onSearchButtonClick();" class="patentsearch-bt"></input>
                  <input type="hidden" id="search-slave-spn" name="spn" value="0" />
                  <input type="hidden" id="search-slave-ips" name="ips" value="20" />
								  <input type="hidden" id="search-slave-ipi" name="ipi" value="0" />
								  <input type="hidden" id="search-slave-ip" name="ip" value="0" />
								  <input type="hidden" id="search-slave-sq" name="sq" value="" />
								  <input type="hidden" id="search-slave-sd" name="sd" value="C"/>
								  <input type="hidden" id="search-slave-irt" name="iopt" value="5" />
								  <input type="hidden" id="search-slave-ss" name="ss" value="p" />
								  <input type="hidden" id="search-slave-idi" name="idi" value="1" />
                  <input type="hidden" id="search-slave-sc" name="sc" value="" />
                  </form>
							  </td>
						  </tr>
					  
				  </table>

				  <div id="patent-div-tab-searchresult-realated" style="display:inline"></div>
				  <div id="patent-div-tab-searchresult" style="width:100%"></div>
			  </div>
			  <div id="patent-div-tab-stat"  class="tabelement" style="display:none" >
				<table id="patent-div-tab-stat-table" style="display:none">
				  <tr>
					<td></td>
					<td align="center"  width="100px">
					  <a href="#abst">
						<b>Abstract</b>
					  </a>
					</td>
					<td align="center" width="100px">
					  <a href="#aclm">
						<b>Claims</b>
					  </a>
					</td>
					<td align="center" width="100px">
					  <a href="#desc">
						<b>Description</b>
					  </a>
					</td>
					<td align="center" width="80px" style="display:none;">
					  <b>Mark Word</b>
					</td>
					<td align="center" width="70px">
					  <b>Mark Color</b>
					</td>
				  </tr>
				</table>
			  </div>
			  <div id="patent-div-tab-claims" class="tabelement" style="display:none">
				  <table id="patent-div-tab-claims-table">
					  <tr></tr>
				  </table>
			  </div>
			  <div id="patent-div-tab-pdf"  class="tabelement" style="display:none;width:100%;height:100%">
					<iframe name="pdfframe" id="pdfframe"  scrolling="no" style="width:100%;height:100%"></iframe>
			  </div>
			  <div id="patent-div-tab-comment"  class="tabelement" style="display:none">
           			<div id="commentFormDiv" style="display:none" >
					<form id="commentForm" method="post" >
              			<input id="commentPN" type="hidden" name="spn"> 
              				<xsl:attribute name="value"><xsl:value-of select="normalize-space(Patent/PN)" /></xsl:attribute>
              			</input>
              			<input id="commentParentID" type="hidden" name="ip" />
						<input id="commentSectionID" type="hidden" name="is" />
						<input type="hidden" name="it" />
						<input type="hidden" name="iid" />
						<input type="hidden" name="sot" />
            <input type="hidden" name="iw" value="1" />
						<table width="98%">
              <tr id="commentNameTr">
                <td align="left" width="10%">
                  Name:
                </td>
                <td align="left" width="90%">
                  <input disabled="true"  id="commentUID" type="text"/>
                </td>
              </tr>
              <tr id="commentTitleTr">
								<td align="left" width="10%">
									Title:
								</td>
								<td align="left" width="90%">
									<input id="commentTitle" size="90%"  type="text" name="st" />
								</td>
							</tr>
              <tr id="commentTypeTr">
								<td align="left" width="10%">
									Type:
								</td>
								<td align="left" width="90%">
									<input style="vertical-align:middle" checked="true"  id="commentType1" type="checkbox" name="type1" value="1" />
									<img style="vertical-align:middle" title='Public Readable' alt='Public Readable'  align='absmiddle' src='img/public-readable.gif'></img>
									Public Readable 
									<input style="vertical-align:middle" checked="true"  id="commentType2" type="checkbox" name="type2" value="2" />
									<img style="vertical-align:middle" title='Public Replyable' alt='Public Replyable' align='absmiddle' src='img/public-replyable.gif'></img>
									Public Replyable 
									<input style="vertical-align:middle" id="commentType3" type="checkbox" name="type3" value="4" />
									<img style="vertical-align:middle" title='Expert Note' alt='Expert Note' align='absmiddle' src='img/expert-note.gif'></img>
									Expert Note 
									<input style="vertical-align:middle" id="commentType4" type="checkbox" name="type4" value="8" />
									<img style="vertical-align:middle" title='System Note' alt='System Note' align='absmiddle' src='img/system-note.gif'></img>
									System Note 
								</td>
							</tr>
							<tr>
								<td align="left" width="10%">
									Content:
								</td>
								<td align="left" width="90%">
									<textarea style="width:95%; height:130px" id="commentContent">
									</textarea>
								</td>
							</tr>
						</table>
              			<input type="button" value="Save" onclick="doCommentAddorUpdate();" />
            <textarea rows="1" cols="1" style="display:none" name="sc">
            </textarea>
					 </form> 
					</div>
					<div id="commentStat" style="display:none">Saved.</div>
			</div>
			  </div>
			</div>-->
		</div>
    <!--<div dojoType="dijit.Menu" class="tundra" id="contextmenu" contextMenuForWindow="true">
      <div id="nsmenuitem" dojoType="dijit.PopupMenuItem" label="搜索" submenuId="submenuns">
        <div dojoType="dijit.Menu" class="tundra" >
          <div dojoType="dijit.MenuItem" id="subnsconcept" label="在概念中" onClick="doSearchByMenuClick('n','R');"></div>
          <div dojoType="dijit.MenuItem" id="subnsboolean" label="在关键词中" onClick="doSearchByMenuClick('n','B');"></div>
          <div dojoType="dijit.MenuItem" id="subnsttl" label="在标题中" onClick="doSearchByMenuClick('n','TTL');"></div>
          <div dojoType="dijit.MenuItem" id="subnsabst" label="在摘要中" onClick="doSearchByMenuClick('n','ABST');"></div>
          <div dojoType="dijit.MenuItem" id="subnsaclm" label="在权利要求中" onClick="doSearchByMenuClick('n','ACLM');"></div>
          <div dojoType="dijit.MenuItem" id="subnsspec" label="在说明中" onClick="doSearchByMenuClick('n','SPEC');"></div>
          <div dojoType="dijit.MenuItem" id="subnsan" label="在公司中"  onClick="doSearchByMenuClick('n','AN');"></div>
          <div dojoType="dijit.MenuItem" id="subnsin" label="在发明人中" onClick="doSearchByMenuClick('n','IN');"></div>
          <div dojoType="dijit.MenuItem" id="subnsccl" label="在美国分类中" onClick="doSearchByMenuClick('n','CCL');"></div>
          <div dojoType="dijit.MenuItem" id="subnsicl" label="在国际分类中" onClick="doSearchByMenuClick('n','ICL');"></div>
        </div>
      </div>


      <div id="rsmenuitem" dojoType="dijit.PopupMenuItem" label="二次搜索" submenuId="submenurs">
        <div dojoType="dijit.Menu" class="tundra" >
          <div dojoType="dijit.MenuItem" id="subrsconcept" label="在概念中" onClick="doSearchByMenuClick('r','R');"></div>
          <div dojoType="dijit.MenuItem" id="subrsrank" label="按其来排序" onClick="doSearchByMenuClick('r','R');"></div>
          <div dojoType="dijit.MenuItem" id="subrsboolean" label="在关键词中" onClick="doSearchByMenuClick('r','B');"></div>
          <div dojoType="dijit.MenuItem" id="subrsttl" label="在标题中" onClick="doSearchByMenuClick('r','TTL');"></div>
          <div dojoType="dijit.MenuItem" id="subrsabst" label="在摘要中" onClick="doSearchByMenuClick('r','ABST');"></div>
          <div dojoType="dijit.MenuItem" id="subrsaclm" label="在权利要求中" onClick="doSearchByMenuClick('r','ACLM');"></div>
          <div dojoType="dijit.MenuItem" id="subrsspec" label="在说明中" onClick="doSearchByMenuClick('r','SPEC');"></div>
          <div dojoType="dijit.MenuItem" id="subrsan" label="在公司中"  onClick="doSearchByMenuClick('r','AN');"></div>
          <div dojoType="dijit.MenuItem" id="subrsin" label="在发明人中" onClick="doSearchByMenuClick('r','IN');"></div>
          <div dojoType="dijit.MenuItem" id="subrsccl" label="在美国分类中" onClick="doSearchByMenuClick('r','CCL');"></div>
          <div dojoType="dijit.MenuItem" id="subrsicl" label="在国际分类中" onClick="doSearchByMenuClick('r','ICL');"></div>
        </div>
      </div>

      <div id="webmenuitem" dojoType="dijit.PopupMenuItem" label="Web搜索" submenuId="submenuweb">
        <div dojoType="dijit.Menu" class="tundra" >
          <div dojoType="dijit.MenuItem" label="Google搜索" onClick="doSearchByMenuClick('1', '');"></div>
          <div dojoType="dijit.MenuItem" label="学术搜索" onClick="doSearchByMenuClick('2', '');"></div>
        </div>
      </div>

      <div dojoType="dijit.MenuSeparator"></div>

      <div dojoType="dijit.MenuItem" label="转到摘要" onClick="document.getElementById('abst').scrollIntoView();"></div>
      <div dojoType="dijit.PopupMenuItem" label="转到权利要求" submenuId="submenuclaims">
        <div dojoType="dijit.Menu" class="tundra" >
          <div dojoType="dijit.MenuItem" label="Claims" onClick="document.getElementById('patent-div-aclm-anchor-aclm').scrollIntoView();"></div>
          <xsl:for-each select="Patent/Claims/Claim[@dep='0' and @name &gt;= 1]">
            <div dojoType="dijit.MenuItem">
              <xsl:attribute name="label">
                <xsl:value-of select="@name" />. <xsl:value-of select="substring(.,1,30)" />...
              </xsl:attribute>
              <xsl:attribute name="onClick">
                document.getElementById('patent-div-aclm-anchor-<xsl:value-of select="@name" />').scrollIntoView();
              </xsl:attribute>
            </div>
          </xsl:for-each>
        </div>
      </div>
      <div dojoType="dijit.PopupMenuItem" label="转到说明" submenuId="submenudesc">
        <div dojoType="dijit.Menu" class="tundra" >
          <div dojoType="dijit.MenuItem" label="Descriptions" onClick="document.getElementById('patent-div-desc-anchor-').scrollIntoView();"></div>
          <xsl:if test="Patent/Description/DescriptionPart[1]/@id != 'DescriptionContent'">
            <xsl:for-each select="Patent/Description/DescriptionPart">
              <div dojoType="dijit.MenuItem">
                <xsl:attribute name="label">
                  <xsl:value-of select="@name" />
                </xsl:attribute>
                <xsl:attribute name="onClick">
                  document.getElementById('patent-div-desc-anchor-<xsl:value-of select="@name" />').scrollIntoView();
                </xsl:attribute>
              </div>
            </xsl:for-each>
          </xsl:if>
        </div>
      </div>

      <div dojoType="dijit.MenuSeparator"></div>
      <div id="wrsmenuitem" dojoType="dijit.MenuItem" label="词频研究" onClick="doWordStatistic(g_selHTML);"></div>
      <div id="addcommentmenuitem" dojoType="dijit.MenuItem" label="添加评论" onClick="prepareCommentAdd(g_currentSectionID, '1', '1')"></div>
      <div id="addnotemenuitem" dojoType="dijit.MenuItem" label="添加个人注释" onClick="prepareNoteAdd(g_currentSectionID)"></div>
      <div id="ptmenuitem" dojoType="dijit.MenuItem" label="添加到项目中" onClick="onPtMenuClick();"  ></div>
      <div dojoType="dijit.MenuSeparator"></div>
      <div id="cpmenuitem" dojoType="dijit.MenuItem" label="复制" onClick="onMenuClickCopy()"></div>
      <div id="pastemenuitem" dojoType="dijit.MenuItem" label="粘贴" onclick="onMenuClickPaste()"></div>
    </div>-->

    <script type="text/javascript">
      <xsl:if test="substring(normalize-space(/Patent/PN), 1, 2) != 'CN' and substring(normalize-space(/Patent/PN), 1, 2) != 'KR'  and substring(normalize-space(/Patent/PN), 1, 2) != 'EP' and string-length(normalize-space(/Patent/PN)) = 11">
		  <xsl:if test="substring(normalize-space(/Patent/PN), 1, 3) = '201'">
			  var g_pn = '<xsl:value-of select="substring(normalize-space(/Patent/PN), 3)" />';
		  </xsl:if>
		  <xsl:if test="substring(normalize-space(/Patent/PN), 1, 3) != '201'">
			  var g_pn = '<xsl:value-of select="substring(normalize-space(/Patent/PN), 4)" />';
		  </xsl:if>
      </xsl:if>
      <xsl:if test="substring(normalize-space(/Patent/PN), 1, 2) = 'CN' or substring(normalize-space(/Patent/PN), 1, 2) = 'KR' or substring(normalize-space(/Patent/PN), 1, 2) = 'EP' or (string-length(normalize-space(/Patent/PN)) &lt; 11 or string-length(normalize-space(/Patent/PN)) &gt; 11)">
        var g_pn = '<xsl:value-of select="normalize-space(/Patent/PN)" />';
      </xsl:if>
      var g_claimsCount = <xsl:value-of select="count(/Patent/Claims/Claim)" />;
      var g_descriptionsCount = <xsl:value-of select="count(/Patent/Description//Section)" />;
      var g_innerpn = '<xsl:value-of select="normalize-space(/Patent/InnerPN)" />';
      var g_apn =  '<xsl:value-of select="normalize-space(/Patent/Header/ApplNO)" />';
      var static_html=false;
    </script>
	  
	</BODY>
</HTML>
  </xsl:template>
</xsl:stylesheet>